Getting started

1.Getting started

Adobe FrameMaker is a complete content authoring solution with the required product maturity to support complex authoring environments and publishing needs.

Before you begin working with FrameMaker, take a few moments to read an overview of its capabilities and learn how to install, activate, and register the software. In addition to the information provided in this guide, you can access instructional videos, plug-ins, templates, user communities, seminars, tutorials, RSS feeds, and much more online.

To get an overview of FrameMaker, see What is FrameMaker.


What is FrameMaker

1.1.What is FrameMaker

If you need a versatile solution that takes care of all your authoring and publishing needs, FrameMaker is the answer:

•Whether you want to create a document that enforces a tight structure or whether you want to take a template-based approach, FrameMaker offers its powerful tools in the most accessible ways for individuals as well as teams.

•With the advanced review and collaboration capabilities of FrameMaker, you can seamlessly integrate and address review comments.

•FrameMaker lets you effortlessly tie your files to Adobe Experience Manager, Documentum, SharePoint, or any content management system of your choice.

•A large set of publishing options enables you to customize and deliver your content to multiple devices.

FrameMaker is a versatile solution for all your authoring and publishing needs

1.1.1.Author and enrich content

While the nature of some documents calls for structured authoring, you may want to use the free-flow mode of authoring for other documents. Graphics, tables, and rich-media objects are only some of the few ways in which you can enrich content. FrameMaker gives you the flexibility to choose your mode of authoring and also gives you several options to enhance content.

1.1.2.Manage and collaborate

Speed and accuracy are paramount in keeping your content current as well as relevant. You have several options to conduct content reviews and ensure smooth collaboration with team members. Use change bars, enable tracking of text edits, or set up shared PDF reviews depending upon your need. You can also use FrameMaker to directly access and upload assets to a content management system.

For details, see Structured authoring.

1.1.3.Publish across multiple channels

The current demands of content publishing requires the support for an ever-growing number of formats and devices. FrameMaker meets your complex publishing needs in the most easy-to-use and efficient ways. You can generate PDF, responsive HTML5, WebHelp, or output for Kindle devices, among other output formats. You can also choose to customize your output by changing styles and themes, setting templates, enabling encoding, or setting up content search options. Generate a single output format or multiple formats at one go.

For details, see Create a document.

1.1.4.Supported software

FrameMaker supports the following third-party software in its workflows:

•Microsoft® Word 2013 or 2010

•Adobe Acrobat XI or X

•Adobe Captivate 8

•EMC Documentum 6.7

•Microsoft® SharePoint Server® 2007, Microsoft® SharePoint Server® 2010

•Adobe Experience Manager, formerly known as Adobe CQ (certified on Adobe CQ 5.5)


Authoring modes

1.2.Authoring modes

FrameMaker offers the following authoring modes:

•FrameMaker mode

•Structured FrameMaker mode

•FrameMaker XML Author mode

Depending on whether you take the structured or unstructured approach to content authoring, you can choose an appropriate FrameMaker mode for your content.

1.2.1.FrameMaker mode

The FrameMaker mode is ideal for authoring content that need not be tied to a rigid structure. The unstructured style of authoring relies on a template to define the presentation of content. Font, paragraph, table, and other formats are often based on style guides, and content writing rules specified by editors. You, as an author, decide the content flow and formatting. For example, depending on the nature of content, you may include headings followed either by paragraphs or by graphics. This means that in an unstructured authoring workflow, you create relatively free-flow documents that are largely style-based.

A typical workflow for unstructured authoring in FrameMaker comprises the following tasks:

•Create single documents or include multiple documents in a book.

•Specify how content is presented by defining font, paragraph, and table formats among others.

•Create templates, with appropriate styles, that can be shared with multiple authors.

•Use the Document window to author in this free-form environment. Type Enter to create a new paragraph or place the insertion point at the required location before you insert objects like images and tables.

•Author in any of the supported formats:

–unstructured documents (.fm)

–Maker Interchange Format documents (.mif)

–books (.book)

note: You cannot use the FrameMaker mode to open structured documents.

1.2.2.Structured FrameMaker mode

Use the Structured FrameMaker mode for documents that need to adhere to a structure. The structure is defined in terms of the elements that are available to the document as well as the valid location of these elements in the structure.

Every part of a document, for example, a paragraph, a section, a topic, or a table, is expressed as an element. When you create a structured document, you need to ensure that every element is present at a structurally valid location. Structured authoring ensures consistency of structure across similar pieces of content.

Following are some examples of structural rules:

•A bulleted list must contain at least three items

•A heading must be followed by a paragraph.

•A table must have a heading row.

•A graphic must have a caption.

A typical workflow for structured authoring in FrameMaker comprises the following tasks:

•Create individual structured documents or include multiple documents in a DITAmap or a book.

•Use the existing structured samples or create a custom structure based on EDDs or DTDs.

•Include the right elements to define the flow of content. Some elements also include formating information that you can use to specify styles.

•The underlying structure ensures consistency across content in a multi-author environment.

•Use the Elements catalog or keyboard shortcuts to insert new elements for text, images, tables, and other objects.

•Use the Structure view to navigate through your document and also move elements around. The Structure view also indicates the validity of your document against the underlying structure.

•Author in any of the supported formats:

–structured documents (.fm)

–XML documents (.xml)

–books (.book)

note: You can also choose to work with unstructured documents in the Structured mode. All features of the FrameMaker mode are available in the Structured mode.

1.2.3.FrameMaker XML Author mode

The FrameMaker XML Author mode is specifically built for those authoring exclusively in XML. The underlying structure ensures consistency across content in a multi-author environment

A typical workflow for authoring in the FrameMaker XML Author mode comprises the following tasks:

•Create individual structured documents or include multiple documents in a DITA map or a book.

•Use the existing structured samples or create a custom structure based on DTDs.

•Include the right elements to define the flow of content.

•Use the Elements catalog or keyboard shortcuts to insert new elements for text, images, tables and other objects.

•Use the Structure view to navigate through your document and also move elements around. The Structure view also indicates the validity of your document against the underlying structure.

•Author in any of the supported formats:

–XML documents (.xml)

–books (.book)

note: You cannot open unstructured documents in the FrameMaker XML Author mode. This mode also does not include the multichannel publishing feature.

FrameMaker XML Author is also available as a separate standalone product.

1.2.4.Choose an authoring mode

The first time you launch FrameMaker, you are prompted to choose from the following modes:

•FrameMaker

•Structured FrameMaker

•FrameMaker XML Author

If you have already opened FrameMaker in one of the modes, you can change the mode from the Preferences dialog:

1)Open the Preferences dialog (Edit > Preferences).

2)In the Preferences dialog, go to Global > General tab.

3)In the Product Interface drop-down list, choose the FrameMaker mode and click OK.

You are prompted to restart FrameMaker for the changes to take effect.

The FrameMaker user interface provides for a seamless transition between unstructured and structured authoring. The menu options and other user interface elements are consistent between both the modes. The options, however, are specific to the mode in which you are authoring.


What’s new in Adobe FrameMaker 2015

1.3.What’s new in Adobe FrameMaker 2015

Adobe FrameMaker 2015 ships with a number of enhancements.

1.3.1.Structured authoring and XML Enhancements

Simplified XML

FrameMaker now makes it easier for the subject matter experts and casual authors to create valid XML documents without the need to know the underlying XML structure. DITA 1.2 structured application has been enhanced to support the new Simplified XML authoring environment. The new simplified authoring interface provides a form-like easy-to-fill authoring environment.

See the video, Simplified XML authoring.

While authoring, you can use the customized Quick Elements Toolbar to easily insert the most commonly used objects, such as numbered list, image, or a section in your document.

See the video, Enhanced Quick Element toolbar.

Out-of-the-box FrameMaker supports DITA 1.2 topics, however, you can also design your own structured applications to use the Simplified XML authoring environment. You can also customize the appearance of the form fields by updating the associated template.

For more information, see Conditional text.

See the video, Customized environments for simplified XML authoring.

DITA 1.3 support

FrameMaker now provides support for DITA 1.3. This means that now you can create troubleshooting DITA topics.

For more information, see Customization.

See the video, DITA 1.3 Support.

Structure view enhancements

Working with the Structure View is now more intuitive. Enhancements to the way elements are accessed and displayed makes navigating through your document much easier.

In addition to the triangle insertion point displayed in the Structure View, the element bubble containing the insertion point in your document is now highlighted. If your insertion point is inside an element whose parent is collapsed in the Structure View, the parent element is highlighted to indicate the top level location of your insertion point.

The right-click context menu includes the option to locate your current location in the Structure View. You can also use the Ctrl+Shift+L keystroke to locate your element in the Structure View.

When dragging and dropping elements across the Structure View, the destination pointer changes color based on whether the destination is structurally valid or not. You can, however, still choose to place an element at a location that is structurally invalid. If the target location element is collapsed, hover the mouse over the element to expand the target element.

You can choose to expand and collapse all sibling elements or all child elements in the Structure View. The right-click menu for an element includes an item for expanding and collapsing elements.

When scrolling through your document using the mouse or the scroll bars, FrameMaker also scrolls through the contents in the Structure View. The document view and the Structure View are therefore always synchronized. This synchronization is also maintained when you scroll through the Structure View. This feature is turned off by default. You can choose to activate the synchronization from the FrameMaker Preferences dialog.

For more information, see Working with the Structure View.

See the video, Enhanced Structure View.

MathML object enhancements

Saving PDF documents with MathML equations

When saving files as PDF documents, MathML objects are now saved with the EPS facet instead of PNG. In addition to making the object text searchable, the EPS facet enhances the clarity of the MathML object.

MathML object styles

You can now apply any of the object styles available in your template, to a MathML object. The compose DPI property is not supported for MathML objects. When you open previous versions of FrameMaker files the compose DPI property is not honored.

Support for inline MathML equations

By default, when you insert a MathML equation in a document, the equation is placed on the next line after the current insertion point. You can use the inline property to place the MathML equation inline with the paragraph text.

The Ambient property allows you to specify that the following MathML styles will be inherited from the styles of the enclosing text:

•Font color, size, and family

•Background color

You can update the inline and ambient properties of a MathML equation that is included from within the object properties dialog. Alternatively, you edit or create an object style with these properties are already set and then apply this object style to an MathML equation.

For more information, see Format a MathML equation.

See the video, Improved support for inline MathML Equations.

EDD enhancements

Faster and seamless EDD customization

The modular nature of the EDD structure makes updating it a time consuming process. The multi-step process involves identifying modular files, running book updates for modular EDDs as well as book updates for all EDDs among other tasks. This multi-step process could take well over 30 hours. FrameMaker now offers a single menu item for updating an EDD and it takes less than 10 minutes for the entire process to complete. Select DITA > Update EDD to update your EDD in a single step.

Using the Image align attribute

If the value for the align attribute is not defined in the document or not set through the Attribute editor, then FrameMaker checks for default value defined in the EDD. If a default value is not defined in the EDD, the image is center aligned in the document.

Ditaval support in DITA-OT publishing

When generating output using the DITA Open Tool kit, you can specify conditional filtering of content using attribute-value pairs in a ditaval file. While the location of the ditaval file could be specified in ditafm.ini, you can now select your ditaval file from the Generate DITA-OT Output dialog

For more information, see Generate output using DITA OT.

Preview child map in DITA maps

If a DITA map includes references to child maps, the Show and Hide options in the DITA map will show or hide the topics referenced in the child maps.

For more information, see Display DITA map content.

1.3.2.Right-to-left language support

FrameMaker now supports right-to-left (RTL) language scripts such as Hebrew and Arabic. You can author the entire document in the RTL script of your choice or you can author a document in both RTL and LTR scripts simultaneously. For example, in an LTR document, you can include selected paragraphs or tables that are authored in an RTL script. You can also author a document containing both RTL and LTR content.

Bi-directional content authoring

FrameMaker provides out-of-the-box document direction support for both unstructured documents (see Set the direction of a document) and DITA topics (see Change text direction). However, for structured documents based on other structured applications, the application developer will need to define the dir property in the EDD. For details, see the Structured applications reference guide.

You can also choose to author multi-directional documents. This means that you can author a document in a specific direction that includes parts authored in the other direction. For example, you can author a document in a LTR script such as English that includes paragraphs (see Paragraph Designer) and tables (see Change the direction of text in table) authored in RTL scripts such as Arabic or Hebrew.

You can import Word documents into FrameMaker that contain content that is either LTR or RTL (see Import Microsoft Word files). You can also copy and paste such text to and from FrameMaker documents.

For more information, see Document direction.

See the video, Bi-directional language authoring.

Bi-directional content publishing

You can save your bi-directional documents to PDF. You can use FrameMaker’s multi-device publishing feature to generate bi-directional output.

For more information, see Create a document.

See the video, Bi-directional Content Publishing.

Bi-directional content translation

You can also flip objects, such as images, in a document.

See the video, Bidirectional content flipping.

1.3.3.Authoring and productivity enhancements

Revamped Word import

The improved Word import feature in FrameMaker allows you to import a Word document into an existing or new FrameMaker document. When you import the document, you are provided with a number of options that allow you to choose the formatting of the destination content based on the styles and formats available in the Word document as well as FrameMaker document.

For more information, see Import Microsoft Word files.

See the video, More powerful Word Import.

Create mini TOCs for documents

Now make your long documents easy to read and navigate by adding a mini TOC. Earlier, FrameMaker allowed you to add a TOC at the book level, but now you can add a mini TOC in each document within your book. The style of your mini TOC can also be customized to match your document's look and feel.

For more information, see Generate a miniature table of contents.

See the video, Mini TOC.

Improved visual conditional indicators

Selecting any content, such as image, table, graphic, or anchored frame now reveals the conditional tags applied on it. Using the visual indicators, you can ensure consistency while applying the conditional tags.

See the video, Enhanced visual conditional indicators.

Table Enhancements

Conditionalize table columns

Apply conditional tags to individual columns in any of your tables. The column reflects the formatting specified in the conditional tag. The columns are either displayed or hidden based on the settings you save from the Show/Hide Conditional Text dialog. The conditional tag state for a column overrides any conditional tags that are applied to the text in the individual cells in the column.

For more information, see Conditional text.

See the video, Conditional table columns.

Table usability enhancements

Use one of the multiple table formats available to you when creating a new table. You can choose to use the new formats for existing tables, from the Table Designer or the Table Catalog. Use the Table Designer to modify a table design as required.

For more information, see Insert a table.

See the video, Improved usability in tables.

Navigate through the cells of a table using either the Tab key or the arrow keys on your keyboard. Pressing Tab when you are in the last cell of the table, creates a new row at the end of the table.

For more information, see Rows and columns.

You may need to reorder the rows and columns in your table. Select the row or column you want to move and hold the Shift key down before you drop the row or column to the desired location. You can select multiple rows and columns for reordering.

For more information, see Copy, move, or reorder rows or columns.

Auto insert table continuation variables

Add continuation variables to a table using the Add Variables option from the right-click menu. Apply the variables you created to the current table, to all tables, or to all tables of a certain format.

For more information, see Insert a table.

See the video, Automatic insertion of table continuation variables.

Table cell shading with solid fill

In previous releases, the color tint property of a table, would cause the color to be displayed as a granular pattern. The functionality now changes the color to a shade based on the percentage of the tint.

See the video, More out-of-the-box table styles.

Conditional text at book level

You can choose to apply conditional tags to all documents in your book at the same time instead of working with each file individually. Select your book file and click View > Show/Hide Conditional Text to select the conditions you want to apply to the files in your book. The Show/Hide Conditional Text dialog displays a consolidated list of all the conditional tags present in the files of the book. Only those expressions that are present in the default document, which is the first file in your book, are listed in the Show/Hide Conditional Text dialog.

For more information, see Applying conditional tags at book level.

See the video, Conditional text at book level.

UI Enhancements

Location of modal pods

FrameMaker now remembers the location of the modal pods in the application.

Activate opened pods

If a modeless pod is currently opened and a user opens the pod again (using the menu or shortcut keys), the pod is highlighted as an indicator to the user.

Resizable dialogs

The following modal and client dialogs can be resized:

•Set Up Table of Contents (Special > Table of Contents > Standalone TOC)

•Set Up Mini Table of Contents (Special > Table of Contents > Create Mini TOC).

•Set Up Standard Index dialog (Special > Standard Index).

•Set Up Author Index dialog (Special > Index Of > Authors).

•Set Up Subject Index dialog (Special > Index Of > Subjects).

•Set Up Index Of Markers dialog (Special > Index Of > Markers).

•Set Up Index Of References dialog (Special > Index Of > References).

•DITA Conref dialog (DITA > Insert Conref)

•DITA Cross-Reference dialog (Special > Cross-Reference)

•DITA Link dialog

The following modeless dialogs can be resized:

•Show / Hide Conditional Text dialog

•Cross-Reference dialog

Smart filter

In the following dialogs, you can use the Smart filter feature to search for tag names:

•Character Designer

•Paragraph Designer

•Table Designer

•Object Designer

See the video, Smart filters in pods.

Redesigned pods

The following pods have been redesigned to improved usability:

Add / Edit Condition Tag

Add / Edit Variable

Color definition dialog updates

The following updates have been made to the Color Definitions dialog:

•The color sliders now function on the 0-255 RGB range

•The New and Current views are now within the same color box to allow users to easily compare the two.

•You can now specify a Hex color code

Pods do not gray out on resize

If pods are docked at the bottom of the screen and a user reduces the size of the FrameMaker window, the pods are grayed out only if the size of the window is reduced to an extent that prevents functioning of the pod.

Table color shading

In previous releases, the color tint property of a table, would cause the color to be displayed as a granular pattern. The functionality now changes the color to a shade based on the percentage of the tint.

Drag and drop to open files

You can now drag-and-drop files from the Windows Explorer to empty UI areas, toolbars, menu bars, pods, or document window to open them.

Conditional tag pod State button

Now when you apply a condition to text in a document, the State checkbox operates as a toggle. This implies that if you apply a condition to text, you need to check the State checkbox. To remove a condition from text, you need to uncheck the State checkbox.

The intermediate state is read-only. This implies that if you select text where the current condition is partially applied, the checkbox displays with the intermediate state.

See the video, Enhanced pod support.

See the video, Enhanced UI.

FM-AEM connector Enhancements

The FrameMaker - AEM connector includes the following enhancements:

User area

The user area will be used to store lock token information instead of user preferences.

The previous preference location: home/groups/e/everyone/preferences

The new location: home/users

note: Since the way token information is stored is changed, all users should move simultaneously to the new connector. Failing to do this may lead to inconsistent behavior across file operations

Missing files

The missing file(s) will be displayed in FrameMaker Show Dependents and the Book dialog boxes.

Data loss during check-in

Previously, a user would lose data if the AEM server went down during a check-in operation. Now the check-in procedure is rolled back and the file remains checked out on the local drive.

Local download folder name

FrameMaker now always creates the local download folder in lower case, irrespective of the connection title provided in the Connection manager dialog.

note: If a local folder with name in capital letters is already present, a file will get checked-out and downloaded in this folder itself but check-in will fail. In this case, the local folder in upper case should be renamed to lower case before migrating to the new connector.


Installation and registration

1.4.Installation and registration

Follow these instructions to get up and running with FrameMaker on your computer.

1.4.1.System requirements

Before installing FrameMaker, make sure that you have the required hardware and software:

•"Intel Pentium 4 or faster processor

•Microsoft Windows 7, or 8.1

•1GB of RAM (2GB recommended)

•3GB of available hard-disk space for installation; additional free space required during installation (cannot install on a volume that uses a case-sensitive file system or on removable flash storage devices)

•DVD-ROM drive

•1024x768 screen resolution (1280x800 recommended) with 16-bit video card

•This software does not operate without activation. A broadband Internet connection and registration are required for software activation, validation of subscriptions, and access to Online Services.

note: Phone activation is not available.

Available in languages

FrameMaker is available in the following languages:

•Deutsch

•English

•Français

•Japanese

1.4.2.Install FrameMaker

To install FrameMaker:

1)Close any Adobe applications open on your computer.

2)Insert the installation disc into your disk drive, and follow the on-screen instructions.

During the installation process, your Adobe software contacts an Adobe server to complete the license activation process. No personal data is transmitted. For more information on product activation, visit the Adobe website at www.adobe.com/go/activation

note: You can have more than one version of FrameMaker installed on your computer.

Register

Register your product to receive complimentary installation support, notifications of updates, and other services.

1)To register, follow the onscreen instructions in the Registration dialog box, which appears when you first start the software.

tip: If you postpone registration, you can register at any time by choosing Help > Registration.


FrameMaker basics

2.FrameMaker basics


User interface

2.1.User interface

2.1.1.Welcome screen

FrameMaker displays a Welcome screen based on the current mode.

The Welcome screen provides options for performing a set of commonly required tasks as relevant to the current mode of FrameMaker.

•Open recent documents

•Create new documents, books, CMS connections, and (in structured and XML author modes) DITA maps, DITA files, and XML files

•Access FrameMaker templates

•Access FrameMaker learning resources

•Access support, product updates, and forums

•Restore the last session

Click a FrameMaker mode in the following figure to see the options available to you from the Welcome screen:

2.1.2.Workspaces

A particular arrangement of elements, such as pods that you use frequently while working on documents, is called a workspace. You can dock, stack, minimize, or make these elements free-floating in your workspace. You can select from several preset workspaces or create one of your own. Once you have arranged the pods, you can save the workspace settings for use later.

The FrameMaker interface has the following components.

•The Application bar across the top contains a workspace switcher, menus, and other application controls.

•The document window displays the file you’re working on. Document windows can be tabbed and, in certain cases, grouped and docked.

•Pods help you monitor and modify your work. Examples include character, paragraph, and table designers; and marker, variable, cross-reference pods. You can minimize, group, stack, or dock pods.

•The status bar shows text formatting and pagination information for the current document.

Standard workspaces

You can choose from standard workspaces or create custom workspaces and switch between them. The standard workspaces are designed so that you can quickly switch between workspaces according to what you want to accomplish. For example, the Review workspace has review toolbars, commonly used pods, and pods prearranged to help you review a document quickly.

•Authoring

•DITA Authoring (available only in Structured FrameMaker)

•Manage Content

•Manage Graphics

•Review

•Structured Authoring (available only in Structured FrameMaker)

Save a custom workspace

1)Configure the workspace the way you want it and choose Save Workspace from the workspace switcher on the Application bar.

2)Type a name for the workspace and click OK.

FrameMaker remembers the last used workspace across sessions. If you were working in the Review workspace and you close and relaunch FrameMaker, it loads the Review workspace.

Switch workspaces

1)Select a workspace from the workspace switcher in the Application bar.

Use the workspace switcher to switch between workspaces designed for your workflow.

Reset a workspace

By saving the current configuration of pods as a named workspace, you can restore that workspace even if you move or close a pod. The names of saved workspaces appear in the workspace switcher in the Application bar.

Select the Reset Workspace option from the workspace switcher in the Application bar.

Rename a custom workspace

1)Select Manage Workspace from the workspace switcher in the Application bar.

2)Select the workspace and click Rename.

3)Type a new name and click OK twice.

Delete a custom workspace

Select Manage Workspace from the workspace switcher in the Application bar, select the workspace, and then click Delete.

2.1.3.Document window

A document window appears when you open a structured or unstructured FrameMaker document. The window shows the document text formatted, with graphics and other items in place, and everything laid out in a page design. If more than one document is open, a document window appears for each one.

The document window is the only window available in the unstructured workspace. In the structured workspace, you can also view element boundaries in the document window.

Tabbed documents

When you open more than one file, the document windows are tabbed. You can open documents as floating windows by clearing the Open Documents As Tabs option in the Interface Preferences dialog box.

Documents appear as tabs in the document view

However, when you add a generated file, such as a Table of Contents, the generated file appears minimized in the lower-left corner of your workspace. There are multiple ways in which you can organize floating and tabbed document windows.

•To dock a document window in a group of document windows, drag the window into the group.

•To rearrange the order of tabbed document windows, drag a window’s tab to a new location in the group.

•To undock a document window from a group of windows, drag the window’s tab out of the group.

note: When you minimize a floating document window, it covers a part of the FrameMaker status bar. You cannot move the minimized window to a new location.

2.1.4.Pods

Pods are floating panels with an interface designed to simplify your work. FrameMaker offers the following key pods:

•Conditional Tags pod

•Cross-References pod

•Currently Opened Files pod

•Markers pod

•Fonts pod

•Insets pod

•Variables pod

•References pods

•Currently Opened Files

Pod interface

A. Select document B. Pod-specific toolbar buttons C. Search pod entries - as you type, FrameMaker searches through all the columns for matches and keeps displaying them D. Arrow on column headers indicates sort order E. Pod list area F. Details of each instance include location. You can customize the location using the Pods Location Criteria dialog box.

Close pods and tab groups

Pods have a button on the right side of the title bar that you can click to close a pod or a tab group (group of pods).

•Close: Closes just the pod in focus (the Markers pod, in this case)

•Close Tab Group: Closes all the pods in the tab group

Also, by double-clicking in the title of a pod, you can minimize or maximize that pod as well as the whole tab group it is a part of.

Pod list area

The Select pop-up displays a list of all open documents, including books and DITA maps. If you select All Open Docs, the pod list area displays all the variables from all the open documents. If you select a specific open document, the pod list area displays variables from the selected document even when you switch to other open documents. The pod list area continues to display the list of instances from the selected document.

If you select the Current option, the pod list area displays the list of instances from the selected document. The list area refreshes when you switch between open documents. However, when you switch between pods, you may need to click the Refresh button.

If you select an open document

•Single-click an instance in the pod to display the corresponding instance in the document. For example, if you select an image instance from the Insets pod, the corresponding image is also selected in the document view.

•Double-click an instance to do the following for each pod:

Conditional Tags pod

Displays the Add/Edit Condition Tag pod for the selected condition.

Cross-references pod

Displays the Cross-Reference pod for editing the selected cross-reference.

Markers pod

Displays the Markers pod so that you can edit the selected marker definition.

Fonts pod

Displays the Replace Font pod for selecting a replacement font.

Insets pod

Displays the Object Properties pod for the selected inset.

Variables pod

Adds the selected variable at the insertion point in the current document.

Reference pod

Displays the results of the search for locations where a particular element is referenced. This pod is only relevant for DITA documents.

Currently Opened Files

Lets you manage and navigate through large number of open files.

•Click a column name to sort the data in the list area in ascending or descending order.

Setting pod location criteria

The pod location criteria determine what should be displayed in the pod list area for an instance by way of identifying its location in the document.

For example, you can define two Paragraph tags that should be displayed as the location identifier for a marker. FrameMaker searches backwards for the first match of the first Paragraph tag that you have specified and displays it in the pod. Suppose you specify the first Paragraph tag as Topic_Title in the Location Criteria dialog box. FrameMaker locates a marker and traverses backwards to display the first topic title in which the marker occurs. If you specify the second Paragraph tag as Article_Name, FrameMaker displays the exact article name to which the topic belongs.

Pod location criteria

A. In structured interface, you can specify either the paragraph styles or the element names. In unstructured FrameMaker, you can only specify paragraph styles. B. Specify the first paragraph style. C. Specify the second paragraph style.

1)Choose Edit > Preferences.

2)Select Pods.

3)Select Element Name if you want the pod to display the element names in which the instance is located.

4)Specify valid element names and click OK.

For example, select Paragraph Style and specify head 2 and head 3 in the Style 1 and Style 2 boxes. In the Markers pod, for each instance of a marker, the first head 2 and head 3 it occurs under is displayed in the pod.

The Markers pod displays the setting for marker location

A. Marker is selected in the document view B. Paragraph styles that you specify in Pod Location Criteria C. Markers pod displays the first head3 title and head2 title in which the marker occurs.

2.1.5.Toolbars

You can access all commonly used commands from the following toolbars for use in structured or unstructured documents. You can display a toolbar from the View > Toolbars menu.

Graphics Toolbar

Provides shortcuts for graphics creation and edits.

Quick Access Bar

Provides commands for opening and saving documents, editing text, graphics, and tables.

Text Formatting

Provides text formatting commands, such as font styles.

Table Formatting

Provides table editing commands, such as add rows, columns, merge cells, and text alignment options for table cells.

Paragraph Formatting

Provides commands for formatting paragraphs, such as tab stops, text alignment, spacing, as well as the paragraph tag list.

Object Alignment

Provides commands to change sequence, alignment, and orientation of objects.

Object Properties

Provides commands to group objects, change layer order, reshape, scale, and snap objects.

Track Text Edits

Provides commands for tracking, accepting, and rejecting text edits.

Quick Element

Provides commands inserting and wrapping common structured document elements.

You also have keyboard shortcuts for all commands accessible through the toolbars and menus. For a list of all the keyboard shortcuts see Keyboard shortcuts.

Toolbar icons

FrameMaker gives you a choice of sizes and colors for the icons.

Using preferences, you can set up to use any of the following icons for FrameMaker interface:

•Large colored icons

•Large grayscale icons

•Regular colored icons

•Regular grayscale icons

note: Large icons’ size is 26x26pixels and regular icons’ size is 18x18pixels.

The regular grayscale icons in FrameMaker 12 are also of better resolution than the earlier FrameMaker versions.

FrameMaker 12 icons have better resolution than earlier versions of FrameMaker

See the video: Toolbar Icons.

Set icon preferences

Set your icon preferences to choose colored or greyscale and large or small.

1)Select Edit > Preferences.

2)In the Preferences dialog, select Interface and choose the preferences for icons.

3)Restart FrameMaker for the icon preferences to take effect.

Customize icons

You can also add your own custom icons in FrameMaker.

1)Locate the toolbar.xml file relevant to your view and mode and open it.

2)Create and place all the icon files in AppData\Roaming\Adobe\FrameMaker\12\.

3)Locate the Action element relevant to the icon you want to customize. The Action element code looks like the following:

<ACTION command="CenterPara">
<images base="P_TextAlignCenter_Md"/>

4)Add the base name of the icon in the base attribute of images element.

5)Create at least 2 icon images for normal and rollover state of the icon.

For example if the icon name is xyz the image names will be xyz_C_S.png and xyz_R_C_S.png. (Here, C= color, S=regular, and R=rollover.) If, however, your icon preferences are set to have large or greyscale icons instead of regular and color, you will use M and L in the icon names.

You can have 8 image files for the following possible combinations of preferences with the base name as xyz:

Preferences |  | Icon names
Size | Color | Normal | Rollover
Large (L) | Colored (C) | xyz_C_L.png | xyz_R_C_L.png
 | Grayscale (M) | xyz_M_L.png | xyz_R_M_L.png
Regular (S) | Colored (C) | xyz_C_S.png | xyz_R_C_S.png
 | Grayscale (M) | xyz_M_S.png | xyz_R_M_S.png

6)You can further add more icon files for icon states, such as dark_normal and dark_rollover by specifying attributes with data in the relevant element. For example:

<ACTION command="CenterPara">
<images base="P_TextAlignCenter_Md"
dark_normal=”<icon_name>.png” <!-- for regular sized icons-->
dark_rollover=”<icon_name>.png”
dark_normal_l=”<icon_name>.png”<!-- “_l” suffix for large sized icons-->
dark_rollover_l=”<icon_name>.png”/>

2.1.6.Smart catalogs

You can use the Smart catalog as a convenient shortcut to the catalogs available in FrameMaker. For example, to set a paragraph format in a document, you use the Smart catalog to quickly search for and select the required paragraph format. In a structured document, you can easily find the required elements and attributes to insert at a point in the document.

See the video, Smart Catalogs.

To use the Smart catalog:

1)Place the cursor at the required location in the document.

For instance, for character and paragraph formats, place the cursor inside a paragraph. For elements and attributes in a structured document, place the pointer at the element insertion location in the structure view.

2)Press the Smart catalog shortcut key. See, the Smart catalog shortcut keys defined below.

The Smart catalog dialog displays.

Smart catalog dialog

The focus of the pointer is now within the text box at the top of the dialog.

3)To search for an item in the current catalog, start typing either the name of the item or the description. As you type, the list in the dialog is narrowed down.

For example, if you want to insert a list element in a structured document, you can type the name of the list element: ul, ol, or dl. You can, however, also type the description of the element, list, and the dialog list is narrowed down to all the available list items in element catalog.

Filtered elements

note: The list of displayed items in the dialog is limited to 10. If the list exceeds 10, you can use the scrollbar to navigate up and down the list.

Smart catalog shortcut keys

Shortcut | Smart Catalog | Applies to...
F8, Ctrl + 8 | Character catalog | Structured and Unstructured
F9, Ctrl + 9 | Paragraph catalog | Structured and Unstructured
Ctrl + 1 | Element catalog | Structured
Ctrl + 2 | Wrap element | Structured
Ctrl + 3 | Change element | Structured
Ctrl + 4 | Apply condition | Structured and Unstructured
Ctrl + 5 | Remove condition | Structured and Unstructured
Ctrl + 7 | Attributes catalog | Structured
Esc + q + o | Object styles catalog | Structured and Unstructured

note: To restore the Hierarchical Element insert functionality available in FrameMaker 11.0, set the EnableOldSmartInsert flag to ON in the maker.ini.

2.1.7.Status bar controls

The FrameMaker status bar provides all the navigational controls, pagination information, and zoom controls.

Navigational controls on the status bar

A. First page B. Previous C. Go to page number D. Next E. Last page F. Go to line number G. Go to insertion point H. Zoom controls

Zoom in and out

•To magnify or decrease magnification, text, and objects, click the + (Increase Zoom) or - (Decrease Zoom) buttons on the status bar. FrameMaker zooms in or out on the area of the page containing the insertion point or selection. If the document doesn’t contain an insertion point or a selection, FrameMaker zooms in on the center of the page.

•To display text and objects at a particular magnification, select a percentage from the Zoom pop-up menu.

•To display the entire page in the current window, select Fit Page In Window from the Zoom pop-up menu.

•To fit the page or text frame to the window, select Fit Window To Page or Fit Window To Text Frame from the Zoom pop-up menu. If the view options are set to display facing pages, the window is resized to accommodate two pages side by side.

•To change the available zoom settings, click Set from the Zoom pop-up menu, select the percentage you want to change and enter the new percentage. Enter any percentage from 25% to 1600%. Click Set. To return to the default percentages, click Get Defaults.

•To make 100% zoom match the page size, select File > Preferences > General. For Monitor Size, specify the diagonal size of your monitor, and then click OK. If screen-to-paper fidelity is not critical, leave Monitor Size set to Default, which ensures cross-application compatibility.

note: You can customize the default zoom settings. For information, see the online manual Customizing FrameMaker on the Adobe website www.adobe.com/go/lr_FrameMaker_support_en.

Turn pages and set scrolling

You can navigate through a document window using controls in the status bar.

You can also define how FrameMaker displays pages when you scroll up and down, left and right, or two pages at a time.

If the document you are paging through is part of an open book, FrameMaker sometimes displays an alert message prompting you to choose to open the next or previous document in the book. For example, if you click Previous Page on the first page of a document, clicking Yes in the alert message box opens the previous document in the book. The last page of that document appears.

1)Make the appropriate document window or book window active. If a book window is active, select the documents you want to affect.

2)Choose View > Options.

3)Choose one of the following options from the Page Scrolling pop-up menu:

•To display pages from top to bottom (for example, page 2 below page 1), choose Vertical.

•To display pages from left to right (for example, page 2 to the right of page 1), choose Horizontal.

•To display pages two at a time, side by side, choose Facing Pages.

•To display as many pages as will fit in the window from left to right, choose Variable.

4)Click Set.

Go to another page

Do one of the following:

•To go to the next page, click the Next Page button.

•To go to the previous page, click the Previous Page button.

•To go to the first page in the document, click the First Page button.

•To go to the last page in the document, click the Last Page button.

•To go to a specific page, click in the Page Number area and specify the page number you want to display.

•To go to a specific line number, click in the Line Number area and specify the line number you want to display.

•To go to the page containing the insertion point, click the Insertion Point button.

•To move quickly through the pages, scroll vertically.

tip: In case of structured documents, click or select in the Structure View to display the corresponding page in the document window. This is often the quickest way to go to the page you want.

2.1.8.Viewing options

Faster page display

To display pages quickly:

•Open the document by bypassing the update of imported graphics, cross-references, and text insets. (Opening a document without updating references makes a document open faster but can slow down the display of individual pages.)

•Turn off the display of graphics by choosing View > Options, deselecting the Graphics option, and clicking Set.

important: If you deselect the Graphics option and generate a PDF, the graphics do not appear in the PDF.

•Display small text as gray bars by choosing File > Preferences > General, entering a point size in the Greek Screen Text Smaller box, and clicking Set. Whenever text in your document is in a point size smaller than the size you specified, it appears on the screen as a gray bar.

Preset display units

Some text boxes in dialog boxes require a unit of measurement (such as points or inches) for the value you enter. You can specify the default units for font size and line spacing (font size units) and for other measurements (display units). The default units of measurement appear after the values in the text boxes. If you enter a value without a unit of measurement, FrameMaker uses the default unit.

•To change the preset units, make the appropriate window is active. Select View > Options. Select the values for Display Units and Font Units, and then click Set.

•To enter different units in a box, make the appropriate window active. Enter an abbreviation for the unit along with the numeric value. Use cm for centimeters, mm for millimeters, "or in for inches, pc, pi, or pica for picas, pt or point for points, dd for didots, cc or cicero for ciceros, Q for Q units (refers to font size and line spacing for the Japanese language only).

FrameMaker converts the entry to the preset display units when you click a command button in the dialog box. For example, if your document display units are picas and you want to set a paragraph indent of 1 inch, enter 1" in the First Indent box. When you click Apply, the measurement changes to the number of picas that corresponds to 1 inch.

Spacing of ruler or grid intervals

1)Make the appropriate document window or book window active. If a book window is active, select the documents you want to affect.

2)Select View > Options. Select a new setting from the Rulers menu or the Grid menu, and click Set.

Line numbers

Line numbers in FrameMaker files help you identify particular lines of content. Line numbers are set at a document level (for a .fm file) and appear before each inserted line in a FrameMaker document.

While using line numbers and change bars, ensure that they do not overlap.

Line numbers and change bars displayed in a FrameMaker file

Insert line numbers

To insert line numbers, complete the following steps:

note: You can also use the View > Line Numbers to display/hide line numbers.

1)Select Format > Document > Line Numbers.

2)In the line number properties dialog, select Show line numbers and specify the following:

a)Width: Distance of line numbers from the column. The distance is relative to the columns that contain text.

b)Font: Font of the line numbers

c)Size: Size of the line numbers

d)Color: Color of the line numbers

e)Restart at Each Page: Selecting this option restarts line numbers for each page

Some highlights of line numbers

1)Support for multicolumn and multiflow formats: For files with multicolumn formats, line numbers appear for text in each of the columns. For multi-flow documents, the line numbers are calculated according to the text flows and continue accordingly.

2)Recalculation: When you insert text within a paragraph with line numbers are enabled, the line numbers are recalculated to accommodate the new text.

3)Document level property: Line numbers are a document level property, so you can enable/disable this feature for a document (.fm file). Line numbers can be set at a document level to continue from previous page or restart at each page.

4)Text flows: For multi-flow documents, the line numbers follow the text flows and continue according to the text flows.

5)XML documents: Line numbers do not persist in XML documents. However, you can enable line numbers in the application template.

6)Printing: Line numbers are visible in the print and PDF created using Save As PDF.

Visual guides

You can show several of these visual guides in a document window:

•Borders around text frames, graphic frames, and imported objects

•Markers, paragraph returns, and other symbols in running text

•Rulers along the top and left side of the window

You can also show a grid of horizontal and vertical lines for drawing, resizing, and aligning graphics. All visual guides are non-printing, so you do not need to hide them when you print.

1)Make the appropriate document window or book window active. If a book window is active, select the documents you want to affect.

2)Do the following:

•To show or hide borders, select View > Borders.

•To show or hide the text symbols, select View > Text Symbols.

•To show or hide the rulers, select View > Rulers.

•To show or hide grid lines, select View > Grid Lines.

•To show the element boundaries, select View > Element Boundaries or Element Boundaries (As Tags) in Structured FrameMaker. FrameMaker automatically toggles these two options.

Text symbols

Text symbol | Meaning
 | End of paragraph
 | End of flow and end of table cell
 | Tab
 | Anchored frame and table anchor
 | Marker
 | Forced return
 | Manual equation alignment point
 | Non-breaking space
 | Discretionary hyphen
 | Suppress hyphenation

Subset of menu commands

You can display a subset of menu commands called quick menus. The quick menus do not have commands for formatting text, editing some aspects of graphics, and inserting some objects such as markers and variables.

If you do not see the full set of menu commands, the quick menus is probably displayed.

note: If you’re using a structured document, your application developer can change the commands available in the complete menus.

•To display quick menus, select View > Menus > Quick.

•To restore the complete menu, select View > Menus > Complete.

•To customize menus, add, move, or remove menus and commands as described in the online manual Customizing FrameMaker on the Adobe website www.adobe.com/go/lr_FrameMaker_support_en.

High-contrast workspace

FrameMaker uses system colors to draw window backgrounds, text, and other graphics. Users who have trouble discerning colors or variations in contrast, or who have low visual acuity, can set high-contrast color schemes and custom text and background colors. This setting makes the information in the user interface easier to view.

1)Open the Windows Control Pod, double-click Accessibility Options, and select the Display tab.

2)Change contrast globally or change the color theme, as follows:

•To change the appearance of all operating system windows at once, select the Use High Contrast option.

•To change the color theme, click Settings and select one of the High Contrast Appearance Scheme options.

note: FrameMaker does not adjust colors of all items. Some of these include the background color, and the fill color of graphic objects.

2.1.9.Preferences dialog

Use the Preferences dialog (Edit > Preferences) to change FrameMaker settings.

Click the options in the following figure for more details:

•General Preferences - Use these preferences to specify settings, such as:

–Product interface

–File saving, naming, and backup

–Handling of embedded objects

•Interface preferences - Use this dialog box to specify whether FrameMaker should auto-collapse pods to icons or always open documents as tabs.

•Alerts - These settings control the display of warnings.

•Pods - The pod location criteria determine what should be displayed in the pod list area for an instance by way of identifying its location in the document.

•Launch - The Launch preferences help you optimize the startup time of FrameMaker. Using the Launch preferences, you can optimize the loading of the clients, fonts, language providers, and startup scripts according to your requirement.

•Dropbox - The Dropbox preferences help you set up the Dropbox app to work with FrameMaker.

•Documentum - Use these preferences to set up Documentum® file versioning, specify DFS SDK path, and add custom CMS properties to FrameMaker for Documentum®.

•SharePoint - Use these preferences to set up SharePoint file versioning and add custom CMS properties to FrameMaker for SharePoint.

•Dictionary - Use these preferences to specify Proximity or Hunspell dictionaries for Spelling, Hyphenation, and Thesaurus for various languages.

•Spelling options - Use these preferences to set up Spelling Checker.

•Simplified XML - Use these preferences to enable or disable Simplified XML view and the alert messages display options. For more information, see Simplified XML user interface.

•XML - Use these preferences to set up syntax colors and other display options for XML content in FrameMaker.

•MathML - Use these preferences to set up the MathFlow Editor install path and specify the license file path. You can also select the Style or Structure editor from this dialog.

2.1.10.Contextual tips

The contextual tips feature helps you find the new features introduced in FrameMaker, or find an alternate method of performing a regular task. If there's a feature that is related to the current task that you are performing, the contextual tips feature would show you the related feature's information in the form of a tip. These useful tips help you perform your tasks easily and efficiently.

For example, the first time you open a new document, a tip appears at the lower-right corner of the FrameMaker workspace.

The tip dialog box includes the following buttons:

•?: Hover the mouse over this button to see how to turn these tips on or off.

•ShowMe: This button is displayed for some specific tips only. Clicking this button opens the respective pod that is being referred in the tip.

•Details: Clicking this button takes you to the relevant Help content.

•X: clicking this button closes the tip. To stop displaying any further messages, see Contextual tips preferences.

Each tip appears only once for a specific workflow. For example, the next time you open a document, the tip is not displayed. The attempt is to provide you the valuable information without being intrusive. In this attempt, if you perform a workflow, FrameMaker assumes that either you have made use of the information in the tip or you do not require that information.

Contextual tips preferences

To customize the contextual tips preferences, choose Edit > Preferences > Global > Alerts. The following options related to the contextual tips are available at the bottom of the dialog:

Show Contextual Tips

Deselect this option to stop any further messages from displaying. This means that even if you are performing a task for the first time, you will not be shown any tip or message.

Reset Contextual Tips

Click the Reset Contextual Tips button to start displaying tips again even for those workflows that have been performed earlier. For example, a tip appears while saving a document, you rest the contextual tips by clicking this button, next time when you save the document, the same tip is displayed again.

2.1.11.Manage open files

Currently Opened Files pod lets you manage and navigate through large number of open files. Using the Currently Opened Files pod, you can:

1)Review and save files with unsaved changes

2)Search for a file with a specific name or files saved in a particular folder

3)Navigate across different files

4)Review the path of the various open files

5)Close specific files after saving or without saving

The Currently Opened Files pod

A. Select All, Unsaved, or Saved to filter results B. Save files and keep them open C. Save the selected files and close them D. Close the selected files - if there are unsaved changes in the files you are trying to close, the Save Files dialog appears E. Search - As you type, the pod matches the search criteria with entries in all the columns F. Clear search criteria G. Select all the currently opened files H. Select the currently opened files

You can display the Currently Opened Files pod by selecting View > Pods > Currently Opened Files.

See the video: Currently OpenedFilesPod.

Save files on file close and exit

FrameMaker displays the Save Files dialog when you attempt any of the following:

•Exit FrameMaker by

–Clicking the Close button

–Selecting File > Exit

–Right clicking in the Status Bar and selecting Close all windows

–Using Alt+F4 on the keyboard

•Select Shift+File and select one of the following options

–Close All Open Files

–Close All Files in Book

–Close All Files in Ditamap

•Try to close files without saving in the Currently Opened Files pod

The Save Files dialog

In the Save Files dialog, you can review and save unsaved changes files. You can also discard the changes by deselecting the files and clicking OK.

Save and close open files

You can see a list of currently open documents in the Currently Opened Files pod. Using the Currently Opened Files pod, you can select the files and changes to save and discard.

Save

1)Do one of the following:

•Select File > Currently Opened Files.

•Select View > Pods > Currently Opened Files.

FrameMaker displays the Currently Opened Files pod. Unsaved files and files with unsaved changes are indicated with asterisk (*). To locate files in a long list, type in the Search box. FrameMaker matches the text in the name of the file as well as the path.

2)Select the files to be saved and do one of the following:

•Click Save.

FrameMaker saves the selected files. FrameMaker prompts you to specify the name and path of the files that are not saved to the disk yet.

•Click Save and Close.

FrameMaker saves and closes the selected files.

•Close Files.

FrameMaker closes the selected files. If you choose to close any files with unsaved changes, the List Of All Open Files dialog appears.

2.1.12.Restore last session

FrameMaker allows you to restore the last session you were working on when you last exited FrameMaker or it crashed. In case of a crash, when you launch FrameMaker again, FrameMaker displays an alert where you can choose whether or not to restore the last session. By restoring the last session, you can reinstate the following as you were working on them in the last session:

•View: XML Code, WYSIWYG, or Author

•Workspace

•The document in focus

•The files open in the last session (Except the files open through the CMS connector in the last session)

•Page numbers in focus for different documents

•The scrollspace for the master, body and reference pages

•Tab order of the documents

•Palettes (such as Equation, Templates, and Thesaurus browser)

•stuctapps.fm file: The last read structapps.fm file (On restore, the last read structapps.fm file is read again)

See the video: Single Click SessionRestore.

Conditions to restore last session

If all the following conditions are met, you can restore last session:

1)There were files open when you exited FrameMaker or it crashed. In other words, there is something to restore in the last session. If you exit files FrameMaker after manually closing the files, there is nothing to restore.

2)There are no open files when you try to restore the last session

3)The current mode of FrameMaker (Structured, Unstructured, or XML Author) is same as FrameMaker’s last exit mode.

Steps to restore the last session

To restore FrameMaker’s last session, launch FrameMaker and do one of the following:

•Click Restore Last Session on the starter screen.

OR

•Select File > Restore Last Session.

OR

•Use the keyboard shortcut Esc r s.

•In case FrameMaker crashes, when you relaunch FrameMaker, FrameMaker displays an alert message where you can click Yes to restore the last session.

FrameMaker restores the last session. If there are some files that could not be restored, FrameMaker displays an error message and lists the files in the console.

Preferences for alerts on restore

In the preferences dialog, you can select whether or not to display the alerts, such as missing fonts and unresolved cross references, on session restore. The alerts that require user action, such as missing graphics, appear even when you have disabled the alerts.

2.1.13.Restore dimensions of Resource Manager views

FrameMaker retains the dimensions of the following RM Views on exit and relaunch:

•RM View for Book

•RM View for CMS Repository Browser

•RM View for Ditamap

FrameMaker retains the dimensions of the RM views and uses them as default dimensions of these RM views when you close and open them again.

•For undocked RM views, FrameMaker retains the width as well as height.

•For docked RM views, FrameMaker retains the width only.

The width that is retained for docked and undocked RM views is different. The dimensions retained for different RM Views, such as Book and Ditamap, are the same.

2.1.14.Tips to work with the user interface

Select the brightness

Select the brightness by using the UI Brightness options under Preferences > Interface.

Combine document windows

To consolidate all document windows, floating, minimized, or docked, right-click the tab bar of the docked document window and select Consolidate All To Here from the menu.

Float document windows

Click Arrange Documents icon on the top Application bar and select Float All In Windows. This arranges all the document windows as cascaded floating pods.

Tile documents

Use the Arrange Documents icon to tile document windows vertically or horizontally. This is specially useful for manually comparing documents and layering them side by side.

Bring hidden pods to the front

Sometimes while working with floating document windows or when switching workspaces, the pods may seem difficult to bring to the front.

•Undock the pods by dragging them out using the pod title bar.

•Dock all floating document windows. Right-click the docked tab bar and select Consolidate All To Here or drag and dock the floating document windows.

Minimize pods to icons

Right-click on the pods tab bar and select Collapse To Icons from the menu. This option is available only if the pods are floating and not docked. To collapse docked pods, click anywhere in the tab bar.

Reopen the pods

Choose View > Pods and click any pod name. The entire group of pods open at the bottom of the workspace.

Reopen a pod

Choose Windows and select Pods and select the pod you want to reopen.

Collapse all open pod groups to icons

Right-click the tab bar of the pod group and select Collapse To Icons.

Exit the full screen mode

Right-click outside the text frame in the document window and select Toggle Screen Mode.

Related links:

Screen modes


Accessibility

2.2.Accessibility

The FrameMaker software provides a number of features that improve access for visually impaired users. In particular, it:

•Provides support for high-contrast viewing for users with low visual acuity.

•Creates tagged Adobe PDF files when converting FrameMaker files to tagged PDF, making it easier for people who use screen reader software to navigate a document in the proper reading order. For information on how to turn your FrameMaker documents into tagged Adobe PDF files, see Tagged PDF output.

•Supports assistive technology, such as screen reader software for the Windows® platform.

Screen readers let visually impaired users interact with the computer by interpreting what is happening on the screen and sending that information to speech-synthesis devices. The screen reader will follow the logical structure of the document. Screen readers can read FrameMaker documents viewed in FrameMaker, or tagged PDF documents viewed in Adobe Acrobat® or Adobe Reader®. Refer to your screen reader documentation for information on installation and use with documents viewed in FrameMaker or Acrobat.

For more information on accessibility in Adobe Acrobat and Adobe PDF documents, see the Acrobat online Help and the Adobe website.

2.2.1.Launch the soft keyboard

1)From the Start menu, select Programs > Accessories > Accessibility > On-Screen Keyboard.

2)Click OK. You can then start using the onscreen keyboard.

Related links:

High-contrast workspace


Documents

2.3.Documents

2.3.1.Create a document

FrameMaker provides several templates upon which you can base your documents. Alternatively, you can choose to use a template defined by your organization or create a blank document.

By default, FrameMaker documents have a .fm extension.

Use a template to create a document

You can create a document using a template. Your organization may have predefined templates for different types of documents. Do the following to create a document based upon a predefined template:

1)Select File > New > Document.

2)Do one of the following:

Choose a standard template

a)Click Explore Standard Templates.

b)In the Standard Templates dialog, select a template. For example, User Guide—Legal.

c)Click Create to create a document based upon the selected template.

note: Optionally, click Show Sample to preview the document in a new document tab. This option closes the Standard Templates dialog. To return to the dialog once you’ve viewed the sample, select File > New > Document > Explore Standard Templates again.

Choose a structured template

a)Click Explore Structured Templates.

b)In the Structured Templates dialog, select a template. For example, Business—Memo.

c)Click Create to create a document based upon the selected template.

note: Optionally, click Show Sample to preview the document in a new document tab. This option closes the Structured Templates dialog. To return to the dialog once you’ve viewed the sample, select File > New > Document > Explore Structured Templates again.

Choose a custom template

a)Navigate to the document that you want to use as a template for the new document.

b)Click New.

3)Click New.

4)Add content to the document.

Create a blank document

You may want to start with a blank FrameMaker document if you’re defining a template for your organization or team.

1)Select File > New > Document.

2)Specify the basic page layout:

•To create a standard one-column document, click Portrait or Landscape.

•To create a document with custom page size, columns, column margins, and pagination settings, click Custom, specify the required values, and click Create.

You can also select a measurement unit for the document. FrameMaker displays measurements in dialog boxes and in the document window’s status bar in the selected unit.

3)Add content to the document.

Set the direction of a document

FrameMaker allows you to author documents in both left-to-right (LTR) and right-to-left (RTL) scripts (such as Arabic and Hebrew). However, you can change the direction of the current document.

1)Choose Format > Document > Direction.

2)In the Direction sub-menu, choose left-to-right or right-to-left.

The position of the insertion point changes based on the direction of the document.

2.3.2.Open a document

In addition to FrameMaker documents, you can open text files, files in MIF (Maker Interchange Format), files in MML (Maker Markup Language), and XML and SGML documents. If the required filter is installed, you can also open files created in other applications, such as Microsoft® Word. Much of the file’s formatting is retained when you open the file.

To open files created using FrameMaker 7 or earlier, you must save them as MIF files.

Open a file

1)Select File > Open.

2)Locate the document and click Open.

Opening a document usually updates graphics imported by reference, text insets, cross-references, and system variables (if any exist). Recently opened files are listed at the bottom of the File menu.

Messages alerting you to possible issues with the file sometimes appear. You can click OK and resolve the problems later.

note: You can also drag-and-drop files from Windows Explorer to the document window, empty UI areas, toolbars, menu bars, or pods to open the files.

Open a text file

Text-only files do not contain graphics or formatting information. When you open a text-only file, you are asked to confirm that it is a text file.

1)Select File > Open, and open a .txt file. The Unknown File Type dialog box appears.

2)Select the Text option.

3)Click Convert.

4)Select one of the following options:

•To break the text into paragraphs only at blank lines, select Merge Lines Into Paragraphs. Use this option for a paragraph-oriented text file, such as a file containing document text.

•To break the text into paragraphs at the end of each line, select Treat Each Line As A Paragraph. Use this option for a line-oriented text file, such as a file containing computer code.

•To convert the text into a table, select the Convert Text To Table. Use this option if the content of your source file is tabulated.

Select additional options in the Convert To Table dialog box, such as number of columns, cell separators, and heading rows, to obtain the data in the appropriate tabular form.

5)Select the desired Encoding scheme. By default, the ANSI (Windows) encoding scheme is selected.

6)Click Read. The text appears in a document that is created from a special template. You can customize the template so that documents created from text files are formatted differently.

Open a document in use

A lock file (*.lck) is created every time you open a document. This lock file prevents others from changing the file while you work in it. A lock file is in the same folder as the original document and is removed when you close the document. You can turn off file locking.

If you try to open a document that’s already open and if you have write permission to the document, a dialog box displays the name of the document, who opened it last and when, and the computer on which it is open. You sometimes see this dialog box after a system crash when you open a document you were last using.

Open the file and do one of the following:

•If you want to look at the file but not change it, click Open For Viewing Only, and then click Continue. The document appears in View Only format.

•If you want to edit a copy of the file, click Open Copy For Editing, and then click Continue. A copy of the file is opened and when you save this file you are prompted to provide a new filename.

•If you want to edit the file and you know that no one else is using it, click Reset Lock And Open, and then click Continue. Use this option after a system crash to edit a document that was open at the time of the crash.

Open a document without updating references

A document opens more slowly if it contains many cross-references to other files, large imported graphics, or many text insets. You can open a document faster by bypassing the update of imported graphics, cross-references, and text insets. However, if you use this method to open documents, keep in mind that FrameMaker does not warn you about missing items or unresolved cross-references. For this reason, it is best to occasionally open a document in the usual way.

1)Choose File > Open, and select the file you want to open.

2)Control-click Open.

After the file is open, FrameMaker imports and displays graphics as needed on a page-by-page basis. You can manually update cross-references and text insets by using Edit > Update References. If the page display is too slow, reopen the document in the usual way.

SGML, XML, MIF, and MML are all text formats, so they open as text in unstructured FrameMaker.

In the case of .xml or .mif files in structured FrameMaker, control-clicking the Open button opens them as text files. You are prompted to specify the text reading options in the Reading Text File dialog box. Opening these files as text lets you view or edit the markup.

Markup in an SGML file

Reopen a file after a system crash

If your system crashes, the file is saved automatically in the following situations:

•If you selected Automatic Save in the Preferences dialog box, autosave files (whose filename contains .auto) are created at the specified interval. This file is deleted when you save and close a file.

•If your system becomes unstable, FrameMaker tries to create a recover file (filename contains .recover) with your most recent changes.

An automatically saved copy of the file contains recent changes to the file.

1)Open the file you were working on last.

2)Do one of the following:

•If a recover file exists, open it when prompted and check whether your latest changes are there. If they are, save the recover file with the same name as the document you were originally working on and then delete the recover file.

•If no recover file exists, open the autosave file when prompted and save it with the same name as the document you were originally working on. The autosave file contains all the changes you made until the time of the last automatic save. The amount of work lost depends on the time interval you set between saves and when your system crashed.

Troubleshooting unavailable fonts

You sometimes get an alert message that indicates the document you are opening uses unavailable fonts. Fonts can become unavailable for a few reasons:

•The document was edited on a different system using fonts that are not installed on your system.

•A font is removed or has become damaged.

•The default printer for your system has changed.

If the Remember Missing Font Names option in the Preferences dialog box is selected, FrameMaker preserves the names of unavailable fonts. Selecting this option causes the original fonts to reappear when you open the document on a computer that has the fonts installed, even if you save the document with substitute fonts.

To fix the problem of missing fonts, consider the following options:

Check for damaged fonts

Determine whether the fonts that are unavailable in FrameMaker are installed on your system and available in another application. If another application can use fonts that FrameMaker cannot use, the fonts may be damaged. Reinstall them using the original media. For more information on troubleshooting font problems, isolating damaged fonts or a damaged fonts folder, or reinstalling PostScript fonts, see the Adobe website.

Remap unavailable fonts

If you cannot install or reinstall the unavailable fonts, you may want to permanently remap the unavailable fonts to available fonts, so that the alert message does not appear when you open the document. You do this by deselecting the Remember Missing Font Names option in the Preferences dialog box before you open the file. However, be aware that doing this causes you to lose the original font information referenced in the document.

Switch printers

FrameMaker reads font information stored in the printer driver so that it can make fonts stored at the printer available for use within FrameMaker. In some cases, changing the default printer can change one or more fonts available in FrameMaker.

Obtain and install the missing fonts

For example, if you and a co-worker are editing the same documents, and you would like to use the same fonts as your co-worker, consider purchasing and installing copies of the fonts.

2.3.3.Save a document

You can save a document using its current name and location, or save a copy of the document using a different name or location. You can save a document in several formats, including Hypertext Markup Language (HTML), Extensible Markup Language (XML), and Portable Document Format (PDF).

When a document or a book has unsaved changes, an asterisk (*) appears in the Page Status area of the status bar.

An asterisk indicates unsaved changes.

Related links:

Save as PDF

Import properties from a template

Save a document

1)Do one of the following:

•To save changes in the current file, choose File > Save.

•To save the file in a different folder or with a different filename, choose File > Save As.

2)If you choose the Save As command, or if the file has never been saved, specify the new filename and location. If you want to save the file in a different format, choose the format from the pop-up menu.

3)Click Save. If you choose Text Only format, specify how to treat the text and tables in the document.

Save a book

1)Do one of the following:

•To overwrite the current version on the disk, choose File > Save Book.

•To save the file in a different folder or using a different name, choose File > Save Book As.

2)If you choose the Save Book As command, or if the file has never been saved, specify the new filename and location.

Save all open documents

Hold down Shift and choose File > Save All Open Files.

Return to the saved version of your document

Choose File > Revert To Saved and click OK.

File formats you can save in

You can use the Save As command to save a file in the following formats:

Document 12.0

Saves the FrameMaker 12 document or book as a document or book that you can open and edit in FrameMaker.

View Only 12.0

Produces a book or document that you can open but cannot edit. If you accidentally save a file in View Only format, you can make it editable by pressing Esc Shift+f l (lowercase L) k. Then you can save the document or book in Document or Book format.

Document 11.0

Saves the FrameMaker document or book as a document or book that you can open and edit in FrameMaker.

note: To save a FrameMaker 11 document as a FrameMaker 9.0 or prior version’s document, save the document as a MIF 7.0 document, open the MIF 7.0 document in FrameMaker 9.0 or prior, and Save the document as the relevant FrameMaker 8.0 document.

MIF 12.0

Creates a text file containing FrameMaker 12 statements that describe all text and graphics. To avoid overwriting your original document, save the MIF file under a different name. (For example, add a .mif extension to the name.) For information on MIF, see the online manual MIF Reference.

MIF 7.0

Creates a text file containing FrameMaker 7.0 statements that describe all text and graphics. To avoid overwriting your original document, save the MIF file under a different name. (For example, add a .mif extension to the name.) For information on MIF, see the online manual MIF Reference.

Text Only

Creates a text file without graphics or formatting information. To avoid overwriting your original document, save the text file under a different name. (For example, add a .text extension to the name.)

SGML

Creates an SGML file with the content, elements, and attributes from your document.

PDF

Creates a Portable Document Format (PDF) file that can be viewed in Adobe Acrobat® and other applications that support PDF files.

HTML

Creates an HTML document that can be viewed on the World Wide Web. For information on adjusting the mapping of paragraph and character tags to predefined HTML elements, see Set up and adjust HTML mappings.

note: When you save a structured FrameMaker document as HTML, all attributes with the same name are mapped to the same value, even if the attributes have different values for different elements. To use different values for these attributes after exporting, use a text editor to edit the resulting file.

XML

Creates an XML document that can be used for data exchange and viewed on the World Wide Web.

Microsoft RTF

Create files in Rich Text Format 1.6 (RTF), which is supported by many word processors and can be read by other applications. Most formatting is preserved as formats are usually converted to word-processing styles.

note: You can use the Print command to save a PostScript®file.

Related links:

Create PostScript files

Using Save As to export to other formats

Set up and adjust HTML mappings

Filename extensions for saved files

When you save a file for the first time in Windows, FrameMaker automatically adds these extensions: .fm for documents, .book for book files, and .mif for MIF files. With these extensions, the files are recognized as FrameMaker files by the Windows operating system.

If you don’t want these special extensions added to the filenames you assign, enclose the filenames in double quotation marks. Windows doesn’t recognize a file without one of these extensions as a FrameMaker file, but you can still open the file in FrameMaker.

If you assign an extension that’s registered by another application, such as .doc, the extension is not replaced by the FrameMaker extension and you can still open the file in FrameMaker.

Save documents in text-only format

Saving a document in text-only format creates a text file with the text encoding of your choice: ANSI (Windows), or ASCII. (On Japanese-language systems, you can also use JIS, Shift-JIS, or EUC. On other Asian-language systems, you can use encoding for the supported languages.) Only ordinary text—those in text frames and tables—is saved; graphics, text in graphic callouts, footnotes, and formatting information are not saved. Reformat line lengths and hyphenation as needed before saving the file.

If some characters are not available in the text encoding that you choose, those characters are replaced in the text file. For example, when you save a document in Text Only format using ANSI (Windows) or ASCII encoding, spaces (including thin, en, em, and numeric spaces) are converted to regular spaces.

1)Choose File > Save As.

2)Specify the filename and location, and choose Text Only format.

3)Click Save.

4)Do one of the following:

•To break each line into a separate paragraph, click At The End Of Each Line. This option maintains a file’s original line breaks and blank lines. Use this option for a line-oriented file such as computer code.

•To merge adjacent lines into paragraphs and insert a carriage return only at blank lines, click Only Between Paragraphs. Use this option for paragraph-oriented files, such as files containing document text.

5)If you want to save table text, select Include Text From Table Cells. Then do the following:

•Specify the order in which you want the table cells saved (row by row or column by column).

•Choose whether to separate cells with tabs or with carriage returns by choosing items from the pop-up menus.

6)If the text file will be used on a platform that uses a different text encoding, choose an appropriate encoding from the Text Encoding pop-up menu, and then click Save.

Related links:

Control hyphenation

Indentation, alignment, and spacing

Use Save As to export XML from unstructured documents

You can export both structured and unstructured files to XML. The mapping used to specify what element to create for each paragraph tag in the source FrameMaker file is defined on a reference page. The export function creates an XML file and a corresponding cascading style sheet (CSS), which can be used with the document.

1)Do one of the following:

•Select File > Save As XML.

•Select File > Save As and choose XML from the pop-up menu. Give the filename an extension of .xml.

2)Specify the file location.

3)Click Save.

Back up and save automatically

FrameMaker can back up and save your work automatically.

1)Choose Edit > Preferences.

2)In General preferences, do the following:

•To create a backup file every time you save, select Automatic Backup On Save. This option creates a copy of the file before your latest changes are saved. If a backup file exists, the new backup file overwrites it. (The filenames of backup files contain .backup.)

•To create an autosave file at regular intervals, select Automatic Save and enter an interval (in minutes) in the box. This causes a copy of the file to be saved periodically without your having to choose File > Save. (The filenames of autosave files contain .auto.) When you save manually or revert to the last saved version with the Revert To Saved command, the autosave file is deleted.

3)Click OK.

2.3.4.Add metadata to a document

FrameMaker includes built-in support for Extensible Metadata Platform (XMP). Metadata, or file information, is descriptive information that can be searched and processed by a computer. Use it to provide information about the contents of a document, and to preserve information about a document that will be opened in other Adobe applications. If you export the file to PDF, much of this metadata will appear in Acrobat.

Metadata tags travel with the document and describe its content. By embedding them in your documents, you make the documents easier to track, manage, and retrieve.

note: Metadata in a book file sometimes overrides metadata in a document file. If your document is part of a book file, open the book file and select the document before you add metadata.

1)Make the appropriate document window or book window active. If a book window is active, select the documents you want to affect.

2)Choose File > File Info.

3)Enter the desired information in the box next to any or all categories.

4)For Marked, choose Yes if the document is copyrighted, or No if the document is explicitly in the public domain. Choose Unknown if you’re not sure.

5)Click Set.

2.3.5.Apply a template to an open document

You can import formats from a template or a different document to an open document. Formats that you can import include paragraph formats, table formats, variable definitions, and other properties. You can also retain or remove any format overrides in the document. For example, changes made to a paragraph but not stored in the Paragraph Catalog.

Templates in FrameMaker

FrameMaker templates store the following properties for reuse across documents.

1)Paragraph, character, and table formats

2)Page layouts that determine the number and position of columns on pages, and background items such as running headers

3)Reference pages that store often-used graphics and formatting information. For example, the tip and caution icons.

4)Variables you use as placeholders for text. For example, <BookTitle> and <CopyrightLine>. For more information, see Variables.

5)Formatting information for cross-references, equations, and conditional tags

6)Definitions for colors that you can apply to text and objects

7)Document-wide settings, including footnote properties, custom marker types, and feathering options for line spacing

8)On Japanese-language system, specifications for combined Japanese and Western fonts

For more information, see Page layout and templates .

Available import and update settings

When you import formatting information from a template, FrameMaker merges the information into the document rather than completely replacing the information. For example, when you import paragraph formats, FrameMaker adds the formats to the document’s Paragraph Catalog. If any formats have the same name in both documents, the imported format overwrites the original format. Any formats that are not overwritten remain in the document.

Format names are case-sensitive, so Body is not the same as body.

Paragraph formats: The template’s Paragraph Catalog is merged into the document, and all formats in the catalog are reapplied in the document. The template’s PDF bookmark settings are also copied into the document.

Character formats: The template’s Character Catalog is merged into the document, and all formats in the catalog are reapplied to the document.

Page layouts: The template’s master pages are merged into the document, and body pages are updated with the master page changes. If the template and the document both have a master page with the same name, the template’s master page replaces the document’s. FrameMaker copies the change bar properties, all the settings in the Page Size and Pagination dialog boxes, and most settings in the View Options dialog box.

Table formats: The template’s Table Catalog and ruling styles are merged into the document, and all formats in the catalog are reapplied in the document.

Color definitions: The template’s color definitions and views are merged into the document.

Document properties: The template’s custom marker types and footnote properties are merged into the document. These properties include:

•Volume, chapter, page, paragraph, footnote, and table footnote numbering

•Styles in the Numbering Properties dialog box

•Characters in the Allow Line Breaks After setting in the Text Options dialog box

•Feather settings in the Line Layout dialog box

PDF Setup settings (other than the bookmark settings) are also merged into the document.

note: On Japanese-language systems, the rubi properties and kumihan rules (Japanese-language typesetting rules) are merged into the document as well.

Reference pages: All the template’s reference pages (except for FrameMath reference pages) are merged into the document. If the template and the document both have a reference page with the same name, the template’s reference page replaces the document’s. To import FrameMath reference pages, select Math Definitions. See Equations.

Variable definitions: The template’s variable definitions are merged into the document.

Cross-reference formats: The template’s cross-reference formats are merged into the document, and internal cross-references are updated.

Conditional text settings: The template’s condition tags and Show/Hide settings are merged into the document and applied to conditional text.

Math definitions: The template’s equation size and font settings, custom math element definitions, and FrameMath reference pages are copied into the document. If a custom math element in the document is deleted when the reference pages are merged, FrameMaker replaces the math element in equations with the name of the element enclosed by question marks.

Combined fonts: On Japanese-language systems, the specifications for combined Japanese and Western fonts are merged into the document and applied to text that uses combined fonts.

Import formats

You can import formats from an open template or document. With the document open, perform the following steps:

1)Make the appropriate document window or book window active. If a book window is active, select the documents you want to update.

2)In the document or book you’re updating, choose File > Import > Formats.

3)Do one of the following:

•To import formats from a different open document, choose the document from the Import From Document pop-up menu. The pop-up menu lists all documents that are open and in the saved state.

•To reapply formats from the current document, choose Current from the Import From Document pop-up menu.

4)Select the Import And Update Settings that you want to apply to the current document. By default, all options are selected.

tip: To deselect or select all options at once, click Deselect All or Select All. If you’re updating variable definitions, cross-reference formats, or math definitions, and if any of these items use character formats, select Character Formats so that the formats are added to the document.

5)To remove changes that you made to individual formats and didn’t save in a catalog, do the following:

•To remove page breaks that are not a part of a Paragraph Catalog format, select Manual Page Breaks.

•To remove paragraph, character, page layout, and table formatting overrides, select Other Format/Layout Overrides.

6)Click Import.


Document direction

2.4.Document direction

FrameMaker allows you to author documents in both left-to-right (LTR) as well as right-to-left (RTL) scripts such as Arabic and Hebrew.

FrameMaker provides out-of-the-box document direction support for both unstructured documents (see Set the direction of a document) and DITA topics (see Change text direction). However, for structured documents based on other structured applications, the application developer will need to define the dir property in the EDD. For details, see the Structured applications reference guide.

You can also choose to author multi-directional documents. This means that you can author a document in a specific direction that includes parts authored in the other direction. For example, you can author a document in a LTR script such as English that includes paragraphs (see Paragraph Designer) and tables (see Change the direction of text in table) authored in RTL scripts such as Arabic or Hebrew. Or you can author a multi-flow document contains one flow (text frame) in an LTR language and another flow in an RTL language. For details, see Set flow direction.

Document containing text authored in LTR (English) and RTL (Arabic and Hebrew) scripts

You can change the orientation (flip) of the images in a document based on the direction of the document (see Change direction of document containing objects). Also, when you add a graphic to your document, you can add text lines in the graphic change the direction of the text lines You can create a graphic that includes multi-directional text lines (see Add a text line to a graphic).

You can import Word documents into FrameMaker that contain content that is either LTR or RTL (see Import Microsoft Word files). You can also copy and paste such text to and from FrameMaker documents.

note: When you import or copy text of a specific direction into a FrameMaker document, you need to ensure the text direction of the destination location (document, table, or paragraph) is set to the same direction.

The Direction of a book is based on the direction of the documents in the book.

2.4.1.Inheritance design

The direction authoring support in FrameMaker is based on an inheritance design. By default, the objects in a document inherit the direction of the document. For example, direction of the paragraphs or tables inserted into a RTL document will be RTL. FrameMaker uses this inheritance design to allow you to author multi-direction documents.

2.4.2.Caret location and movement

By default, the cursor in an RTL enabled document moves right to left as your type. FrameMaker now has system of a strong (primary) caret and a weak (secondary) caret. The strong caret indicates where an inserted character will be displayed when that character's direction is the same as the base direction of the text. The weak caret shows where an inserted character will be displayed when the character's direction is the opposite to the base direction.

To change the movement behavior of the caret:

1)Open the Preferences dialog (Choose Edit > Preferences).

2)In the Caret Movement group, choose Logical to ensure that the key movement remains the same as the logical order of inserted characters.

Choose Visual to ensure that the cursor movement is in the direction of the keys. For example, the left key moves the cursor in the left direction.

2.4.3.Asian language support

FrameMaker provides the option to choose Layout Engine at the paragraph level by specifying paragraph property Asian Composer.

Whenever you select a font that has double byte encoding or is an CJK language font in paragraph designer, you need to check the Use Asian Composer option.

When an legacy document is opened, for all paragraphs containing double byte font or Rubi text this property is switched on so that Asian layout engine will be used for those paragraphs.

Since the two layout engines have different capabilities, scenarios may arise wherein neither engine can handle the text correctly. For example, if a paragraph contains both Rubi and Arabic text, neither engine can handle both of these correctly.

You can also choose to not show this alert and instruct FrameMaker to automatically switch to Asian language support.


Page layout and templates

3.Page layout and templates

Multiple components make up a FrameMaker template. These components include paragraph formats, character formats, master page layouts, reference pages, and cross-reference formats. Both unstructured and structured templates require careful planning and upfront design before you create a template.


Formats

3.1.Formats

3.1.1.Paragraph formats

Paragraph formats contain settings for how the text looks and the format applies to the entire paragraph. Paragraph formats are the basis of document formatting in unstructured FrameMaker documents though they can also be the basis of document formatting in structured FrameMaker documents.

Paragraph Designer

The Paragraph Designer is used to create and manage paragraph formats.

Paragraph Designer

A (Basic)

Paragraph properties such as indentation, spacing, and alignment.

B (Default Font)

Font properties such as font family, size, angle, weight, and background color.

C (Pagination)

Pagination properties such as Keep With and format properties such as In Column, Across All Columns

D (Numbering)

Use the available building blocks to define a numbering format.

E (Advanced)

Properties such as automatic hyphenation and word spacing.

F (Asian)

Apply Asian language settings such as Asian character spacing. Includes the Use Asian Composer checkbox to choose the FrameMaker Layout Engine (see Asian language support).

G (Table Cell)

Paragraph properties applied to a table cell.

H (Direction)

Specify the paragraph direction to as is, inherit (default), right-to-left, and left-to-right.

The Paragraph Catalog lists all the paragraph formats available for a document. To apply a paragraph tag, select the text and select the tag from the Paragraph Catalog.

Paragraph Catalog

Create a paragraph format

1)Click in a paragraph whose format is like the one you want to create. Be careful not to select multiple paragraphs so that no properties are set to As Is.

2)Choose New Format from the Commands pop-up menu in the Paragraph Designer and enter a name for the new format in the Tag box.

3)To later update the new format or copy it to other documents by using the File > Import > Formats command, select Store In Catalog. Formats that aren’t stored in the catalog can be applied to other paragraphs only by copying and pasting.

4)To apply the new format to the current paragraph, select Apply To Selection.

5)Click Create.

6)If you didn’t select Apply To Selection in step 4, choose the new format name from the Paragraph Tag pop-up menu.

7)Modify any of the properties you want.

Don’t set any property to As Is. Paragraph formats must have all properties specified.

8)Click Update All.

3.1.2.Character formats

Character tags allow you to format one or more characters or words inside a paragraph. By applying character tags, you can quickly format text without overriding the properties of the entire paragraph. Creating character tags helps maintain format consistency as well as apply format changes globally. Character tags also serve as building blocks for other FrameMaker features, such as cross-reference formats or variables.

Character Designer

The Character Designer is used to create and manage character formats. All character formats are listed in the character catalog.

Character Designer

A. Character tag list B. Font properties C. Set the language for the character tag D. Commands menu E. Tsume property F. Text background color properties

Select As Is for the properties that you want the paragraph tag to determine. For example, when creating an Italics character tag, set all other properties to As Is and change just the Angle setting to Italic. The font, font size, style, and other settings of the paragraph tag are preserved.

In FrameMaker, these PDF comments are imported with the highlighting retained due to the implementation of the text background color feature.

Set the text background color from the character and paragraph designers.

The Character Catalog lists all the character formats available for a document. To apply a character tag, select the text and select the tag from the Character Catalog.

Character Catalog

Create a character format

1)In the Character Designer, choose Set Window To As Is from the Commands pop-up menu. Properties set to As Is do not change when you apply the character format. When set to As Is, text boxes are blank, check boxes are dim, and pop-up menus display As Is.

2)Change only the properties you want to include in the character format.

3)Choose New Format from the Commands pop-up menu in the Character Designer, and enter a name for the new format in the Tag box.

4)Select Store In Catalog.

5)To apply the new format to the current selection, select Apply To Selection.

6)Click Create.

3.1.3.Manage formats

FrameMaker provides features to manage various paragraph, character, and table formats from the respective designers and catalogs.

Update formats

You can change format properties and then use them to redefine, or update, the stored formats and all the text in the document tagged with them.

When you update a format, you can update all properties or just one group of properties. For example, you can change the default font family for all formats in a document without changing any other properties.

Importing paragraph or character fonts is also possible through the File > Import > Formats command.

Update a paragraph or character format

1)For paragraph format changes, indicate the scope of the changes you want to make by doing one of the following:

•To update one paragraph format or all paragraph formats in the document with a property group from a paragraph, click in that paragraph or select consecutive paragraphs.

•To update more than one paragraph format but not all paragraph formats, select consecutive paragraphs that use the formats you want to update.

2)Choose the appropriate designer.

3)Display the properties by doing one of the following:

•To display the properties of a paragraph including any overrides, click in the paragraph.

•To display properties of a format stored in the catalog, choose the format from the Paragraph Tag or Character Tag pop-up menu.

4)Change any properties, and then click Update All. FrameMaker asks whether you want to remove overrides.

tip: If you change properties in a designer and then decide against updating the format, you can cancel the operation and reset the properties by clicking in text. You can also choose Reset Window From Selection from the Commands pop-up menu in the designer.

Update specific format properties or single property group

1)Choose one of the following:

•If you are updating specific properties, set Window to As Is; then change only properties you want to update.

•If you are updating a single property group of a paragraph format, choose Format > Paragraphs > Designer, and delete the tag from the Paragraph Tag box if the box is not empty. Deleting the tag sets the box to As Is; FrameMaker does not change the tags of the formats that you update. Then display the property group; change the properties as needed.

2)Choose Global Update Options from the Commands pop-up menu.

3)Click the current property group in the Use Properties area.

4)Do one of the following:

•To update all formats in the document, click All Paragraphs And Catalog Entries or All Characters And Catalog Entries.

•To update all paragraphs or characters in the selection and all paragraphs or characters with the same tags, click All Matching Tags In Selection.

•To update formats with a specific tag, click All Tagged and choose a tag from the pop-up menu.

5)Click Update All in the Designer dialog box.

Rename or delete formats

When designing a template or importing a catalog from a template, you sometimes must rename or delete a format.

Deleting a format from a catalog does not affect any paragraphs or characters that have the same tag. The paragraphs or characters simply have a tag that isn’t in the catalog.

1)Choose a designer, and choose the format to rename or delete from the Paragraph Tag or Character Tag pop-up menu.

Do this even if the format you want is already displayed. This step ensures that the properties do not include any format overrides or As Is settings.

2)Do one of the following:

•To rename, enter a new name in the Paragraph Tag or Character Tag box and click Update All, and then OK.

•To delete a format, click Delete, and then Select the format in the scroll list and click Delete. Click Done.

•To delete all unused formats from a catalog, click Delete. Then click Delete until all formats have been removed, and click Done. Choose File > Utilities > Create And Apply Formats, and then click Continue. Any paragraph or character format used in the document is added back to the catalog.

To avoid creating paragraphs for every override in your document, import the formats from your template. Importing formats from a template overrides any changes to paragraph and character tags and does not create additional tags in your document.

Apply formats

Paragraph formats apply at paragraph level, character formats at character or word level, and table formats apply to complete tables.

•Paragraph and table formats: Place the cursor inside the paragraph or the table, and select a format from the catalog.

•Character format: Select the text and click a format from the catalog.

Tips for creating new formats

When working from a stable template, you rarely have to create a format. If you’re designing a new template or if the template you’re using is incomplete, you may have to create new formats. The easiest way to create a format is to modify the properties of an existing format.

When you’re creating new formats, consider these suggestions:

•Use consistent naming conventions for similar kinds of paragraphs or text items within a paragraph, such as Head1 and Head2.

•To apply formats by using the keyboard, name the formats so that often-used ones are unique or alphabetically first in their letter group, such as “H1 Head2” or “H2 Head2.”

•Give each format a name that’s easy to remember, recognize, and type. If you assign a tag based on its use and not its appearance (for example, Emphasis rather than Italics), you can later change the format properties without having to change the tag.

•Be aware of capitalization. Tags are case sensitive. Also, you sometimes want related tags to appear together in the catalog, with names such as Body and BodyIndent.

•If you have many formats, precede them with a period to avoid excessive scrolling in the catalogs; an initial period brings often-used formats to the top of the catalog. To force occasionally used formats to the bottom of the catalog, precede them with a z or a tilde (~).

Specify formats for the paragraphs that follow

Well-designed templates often connect formats so that FrameMaker automatically applies a format to the paragraph that follows the current one.

1)Click in the paragraph.

2)Display the Basic properties of the Paragraph Designer, and choose a tag from the Next Pgf Tag pop-up menu. FrameMaker applies this tag when you press Return to create a paragraph.

3)Click Apply To Selection.

Add graphics to paragraph formats

A paragraph format can include a line or other graphic that appears above or below a paragraph. Perhaps all top-level headings in a document rest on a long thin line.

1)On a reference page, draw or import the graphic in a reference frame, or locate one already there that you want to use.

2)Click in the paragraph you want to change. To place a line above or below several adjacent paragraphs, select all the paragraphs.

3)Display the Advanced properties of the Paragraph Designer, and choose the name of a reference frame from the Frame Above Pgf or from the Frame Below Pgf pop-up menu. All reference frames appear in the pop-up menus.

4)Click Apply To Selection.

tip: Because the Frame Above Pgf and the Frame Below Pgf settings can’t place graphics to the right or left of a paragraph, you can’t use these settings to place boxes around text. Box text by using a single-cell table with outside ruling.

3.1.4.Format catalog

FrameMaker offers enhanced features to manage and apply paragraph, character, and table formats. This is possible from the respective catalog. A catalog shows all formats in the current document by default. You can set which formats you want to see in the catalog. Catalogs also help in applying and managing the formats.

FrameMaker marks the used formats in a catalog. The unused formats are unmarked. This usage information is not updated as soon as you apply the formats in the document. Clicking Refresh Catalog at the bottom of the catalog, updates the usage information. The latest usage information is also updated when opening a document.

note: Formats in use in the current document are marked in the catalog. Whereas the format applied to your current selection is shown in the status bar.

Display formats

You can configure the formats that are visible in a catalog and their order too.

•Open a (paragraph, character, or table) catalog and click Options.

•Select one of the following

•Show All, to see all available formats.

•Show used before unused, to see used formats before unused formats in the catalog.

•Show only used formats, to hide unused formats in the catalog, but retain them in the template.

•Show only unused formats, to hide used formats in the catalog, but retain them in the template.

•Delete all unused formats, to delete all unused formats from the template, without warning or confirmation.

•Customized List, to customize which formats you see and in what order you see them.

•Format being used in the current document are marked in the catalog. While editing the document, the usage status might not get updated automatically. To refresh the list click Refresh Catalog.

note: The display options you set are workspace properties and are applicable to FrameMaker documents opened on your machine.

Delete formats

Formats can be deleted from respective catalogs.

•Open the catalog if not already open.

–Paragraph catalog from Format > Paragraphs > Catalog.

–Character catalog from Format > Characters > Catalog.

–Table catalog from Table > Format > Catalog.

•Click Delete.

•In the Delete Formats from Catalog window, select a format and delete it.

•Click Done to delete formats from document or click Cancel to undo the operation.

3.1.5.Fonts

Replace fonts using the Fonts pod

You can use the Fonts pod to identify all the fonts used in an open document or all open documents. The pod list area lists all the fonts used in a document. You can replace any font used in a document using the fonts pod including missing fonts. The missing fonts are indicated by a red cross sign.

Fonts pod lists all the fonts used in open documents.

A. Select all open documents or currently open document. B. Display only missing fonts or all fonts used in a document. C. Replace font to display the Replace Fonts pod. D. Refresh the list of fonts displayed in the pod list area. E. Missing fonts indicated by a red cross sign.

To replace a missing font:

1)Select a font from the list and click the Replace icon.

2)From the Replace Font pod, select the new font from the Replace With list box and click Apply.

Replace fonts pod lists all the paragraphs in a document that use a selected font.

A. Name of the selected font. B. Replace With list box lists all the fonts installed on your system. C. Locations list displays all the paragraphs in the document that use the selected font. D. Refresh the locations list. E. Go To Location takes you to the location in the document that uses the selected font.

Manual font changes

Format changes you make using the Format menu commands take effect immediately.

When changing font properties, keep in mind the following:

•To remove other style properties, choose Plain.

•If you change the font properties of selected text, those properties are retained when you later update the properties of the entire paragraph.

•You can change the font properties of text created with the Text Line tool as well as paragraph text.

•Do not use the Courier® font when Adobe® Type Manager® is turned off or not installed. If you do use Courier without ATM, FrameMaker products do not accurately display the Courier font.

•If a font has more than one weight—for example, Helvetica® Condensed Bold and Helvetica Condensed Black—the Format > Style submenu lists only Bold. To choose other weights, use the Default Font properties of the Paragraph Designer or use the Character Designer instead.

Font changes using the designers

To change the default font properties of an entire paragraph, use the Paragraph Designer. The font families and styles available depend on which fonts are installed.

To change specific text within a paragraph, select the text and use the Character Designer.

You’ve probably seen many of the settings in other word processors, but a few can be new to you.

Numeric Underlining

To use a single offset and thickness for an underline regardless of the character’s font or size, choose Numeric Underlining. Regular and numeric underlining does not affect tab characters. If you want the tab space to be underlined, format that tab stop so that it uses a nonbreaking space as a leader.

Numeric and regular underlining

Change Bar

To display a change bar next to text, select Change Bar.

Color

To display the text in a different color, choose a color from the Color pop-up menu. If you define your own colors, they appear in the pop-up menu.

Spread

To add or subtract space between characters, enter a percentage for Spread. Spread—also called tracking—is expressed as a percentage of an em space. Normal spread is 0%.

-10% spread (top), 0% spread (center), 10% spread (bottom)

Stretch

To set the width of the character shapes, enter a percentage for Stretch.

Capitalization

To display all characters in uppercase but use slightly smaller capital letters for text that was in lowercase, choose Small Caps.

Using a designer to apply a capitalization style to text changes only the appearance of the text (for example, makes lowercase text appear in uppercase letters). To permanently change the text itself, use the Capitalization dialog box to replace selected text with text that is all uppercase, all lowercase, or initial caps.

Language

To change the language associated with the text, choose from the Language pop-up menu. The language you choose affects the text in system variables as well as both spell-checking and hyphenation. Also, changing the language to None prevents the selected text from being spell-checked.

Pair Kern

To adjust the space between two characters in the same word, select Pair Kern. The kerning pairs that have been defined depend on the font.

Kerning pairs turned on and off

Tsume

To move a Japanese character closer to the characters next to it, select Tsume. The amount of space a variable-width character, such as a parenthesis, can move is determined by the metrics for that character.

Adjust superscripted, subscripted, and small cap text

Adjustments to the properties of subscript, superscript (including footnote references), and small cap text apply to all such text in the document.

1)In the Text Options dialog box, specify a size, offset, and stretch percentage.

When calculating the size and offset, FrameMaker multiplies the percentage you enter by the point size of the affected characters. For example, a 40% superscript offset value raises a 10-point character 4 points.

The stretch percentage is the amount that characters are condensed or expanded.

2)Click Apply.

Condense and expand characters

You can achieve some effects by stretching characters.

Text unchanged (top) and condensed 75% (bottom)

1)Depending on whether you are changing the entire paragraph or specific text in the paragraph, choose one of the following:

•Default Font from the Properties pop-up menu in the Paragraph Designer.

•Character Designer.

2)Enter a percentage in the Stretch box. A value of 100% means that the width of characters is as defined for the font. A value less than 100% condenses the width; a value greater than 100% expands the width.

3)Click Apply To Selection.

tip: In Japanese documents, use a stretch value greater than 100 to simulate heitai (horizontally stretched characters). Use a stretch value less than 100 and increase the point size of text to simulate chotai (vertically stretched characters).

You can also change the width of a text line by dragging to stretch the text.

1)Select the text line you want to change, and then drag one of its handles until the text is stretched to the shape you want. Dragging a corner handle changes the point size as well as the character width. You can also select a grouped object that includes a text line.

Create or change combined fonts of Japanese and Western characters

In addition to containing the full Japanese syllabaria, Japanese fonts include a set of Western characters to facilitate entering non-Japanese characters and numbers. You can define your own combined font—a font that uses a specified Western font with a specified Japanese font.

If you’re working on a system that supports Japanese text and if combined fonts are included as part of a template, they are available to you automatically. (The specified fonts must be installed.) If your system supports the typing of Japanese text in documents and dialog boxes, combined fonts appear at the top of the font lists along with regular Western and Japanese ones.

FrameMaker supports Japanese single-byte, half-width katakana characters in combined fonts. Changes to the combined fonts apply to the entire document.

1)In the Combined Fonts dialog box, do one of the following:

•To create a new combined font, enter a name in the Combined Font Name box.

•To change a combined font, select its name from the Combined Fonts list.

2)Do the following:

•To specify the Japanese font, choose from the pop-up menu of font families in the Asian Text area.

•To specify the Western font, choose from the pop-up menu of font families in the Western Text area.

•To adjust the relative size and baseline offset of the Western text, enter values for Size and Offset. The size and offset of the Western text are percentages of the Asian point size. Use a negative offset to move the text below the baseline.

3)Click Add or Change.

4)Click Done.

note: You can turn off the Allow Bolded And Obliqued Styles setting in the Asian Text area of the Edit Combined Fonts dialog box so that bolding or italicizing the Western font does not automatically enbold or italicize the Asian text.

1)To copy a set of combined fonts, choose File > Import > Formats and select Combined Fonts.

3.1.6.Background color

You can highlight sections of a document by setting the background color of the parts of the document in the following scenarios:

•Set background color of a specific part of text within a paragraph.

Text background color

•Set the background color of the entire text of a paragraph.

Paragraph background color

•Set the background color of the paragraph box that encloses the paragraph.

Paragraph box color

Set background color of text within a paragraph

Use this method to set a background color for some of the text in a paragraph.

1)Select the text in a paragraph.

2)Open the Character Designer.

3)Select the Background Color check box.

4)In the Background Color drop-down list, choose a color and click Apply.

The background color is set for only the selected text in the paragraph.

Set background color of entire paragraph text

1)Place the cursor anywhere within the paragraph.

2)Open the Paragraph Designer and go to the Default Font tab.

3)Select the Background Color check box.

4)In the Background Color drop-down list, choose a color and click Apply.

The background color is set for all the text in the paragraph.

Set background color of a paragraph box

1)Place the cursor anywhere within the paragraph.

2)Open the Paragraph Designer and go to the Advanced tab.

3)In the Pgf Box drop-down list, choose a color and click Apply.

The background color is set for the entire box that surrounds a paragraph.

When you set the background color of the text in paragraph, the color spans the text of the paragraph. However, in the case of a paragraph box, the text spans the entire real estate of the paragraph from the left margin to the right margin.

3.1.7.Indentation, alignment, and spacing

Change paragraph alignment

The alignment property of a paragraph determines how the paragraph is positioned between the left and right indents, not between the edges of the text column.

1)Do one of the following:

•To use the ruler, drag the indent symbol to a new location on the ruler.

A. First indent B. Left indent C.Right indent

tip: To align an indent with a ruler marking, turn on the snap grid (use Graphics > Snap). When you drag an indent symbol, it snaps to locations corresponding to the snap grid.

•To use an indent value, display the Basic properties of the Paragraph Designer. Enter the indents you want in the First, Left, and Right boxes, and then click Apply To Selection.

•Choose an alignment from the Alignment pop-up menu on the formatting bar or in the Basic properties of the Paragraph Designer.

note: If you use Shift+Enter or Shift+Return to insert a forced return within a fully justified paragraph, the line that ends with the forced return is not justified.

Change tab stops

If you press Tab and the insertion point doesn’t move, a tab stop hasn’t been defined.

You can choose from four types of tab stops—left, center, right, and decimal.

A. Left tab stop B. Center tab stop C. Right tab stop D. Decimal tab stop

You can also specify a pattern of characters—a leader—to fill the space between a tab and the character following it. Typically, a leader is a series of periods. Tab leaders are useful in tables of contents that have a wide gap between columns.

Change tabs in formatting bar

1)Display the Paragraph Format toolbar. Only the tab stops common to all the selected paragraphs appear on the top ruler.

2)Do one of the following:

•To add a tab stop, click a tab stop symbol from Paragraph Format toolbar and click the desired position below the top ruler.

•To move a tab stop, drag it to a new position.

tip: To align tab stops with ruler markings, turn on the snap grid (Graphics > Snap). When you drag a tab symbol, it snaps to locations corresponding to the snap grid.

•To add multiple tab stops at regular intervals, on the top ruler, double-click the existing tab stop that you want to duplicate. Enter the interval between tabs in the Repeat Every box and click Edit.

•To change a tab stop, double-click it, enter a new tab position in the New Position box, and choose a different alignment. The position is the distance from the left edge of the column to the tab stop. Then click Edit. You can also drag a new tab stop on top of an existing one on the ruler to replace it.

•To delete a tab stop, drag it off the bottom of the top ruler.

•To delete all tab stops, double-click a tab stop and click Delete All.

Change tabs in Paragraph Designer

1)Display the Basic properties of the Paragraph Designer.

2)In the Tab Stops area, create, edit, or delete, choosing the appropriate settings.

3)Click Apply To Selection.

Define a leader or decimal tab character

1)Double-click the tab stop on the ruler.

2)Do one of the following:

•In the Leader area of the dialog box, click one of the predefined tab leaders or enter your own custom leader, and then click Edit.

•To specify a decimal character—for example, a comma when you’re working with European decimals—enter the decimal character in the Align On box in the Alignment area and click Edit.

Change paragraph and character spacing

Vertical spacing is the space between paragraphs and lines. Horizontal spacing is the space between words and characters. Spacing properties go by different names in different contexts. The space between characters is often called pair kerning; adjusting the letterspacing in a line is spread or tracking; the line spacing of a paragraph— measured from the baseline of one line to the baseline of the next—includes its leading.

Adjust vertical spacing

When adjusting vertical spacing, keep in mind the following:

•If a paragraph falls at the top of a column, FrameMaker ignores the Space Above setting. If the paragraph falls at the bottom of a column, FrameMaker ignores the Space Below setting.

•When an anchored frame is positioned below the current line and its anchor symbol appears in the last line of a paragraph, the space below the paragraph usually appears between the frame and the next paragraph. If the frame is anchored in a straddle paragraph, the space below is discarded. If the frame is a straddle frame but is not anchored in a straddle paragraph, the space below appears between the anchor symbol and the frame.

•In a multicolumn layout, you can also adjust vertical spacing in columns by vertically justifying, or feathering, the text in them.

Several properties affect the vertical spacing of a paragraph: the space above the paragraph, the space below the paragraph, and the line spacing.

1)Display the Basic properties of the Paragraph Designer and do one of the following:

•Specify values for Space Above and Space Below. The space between paragraphs is determined by the Space Below setting of the first paragraph or the Space Above setting of the second paragraph, whichever is larger.

•Choose a type of line spacing from the Line Spacing pop-up menu, or enter a value in the box.

2)To allow extra space between lines to accommodate superscripts, subscripts, rubi text, and larger font sizes that appear in the paragraph, turn off Fixed.

3)Click Apply To Selection.

Adjust horizontal spacing

As FrameMaker fills a line of text, it adjusts the space between characters according to kerning and tracking properties. The spacing between words is based on the following values, which are stored as part of the paragraph format:

•The minimum spacing is the smallest space allowed between words.

•The maximum spacing is the largest space allowed between words before FrameMaker tries to hyphenate words or add space between letters in justified paragraphs.

•The optimum spacing is what FrameMaker tries to achieve.

These values are expressed as a percentage of the standard space character for the default font of a paragraph. Values below 100% create tighter word spacing with a more justified look; values above 100% create looser spacing, with a more ragged right edge.

1)To adjust the space between words, click a paragraph or select several paragraphs whose spacing you want to change.

2)Display the Advanced properties of the Paragraph Designer and specify the minimum, optimum, and maximum space to allow between words.

3)Click Apply To Selection.

note: Lines of text in a justified paragraph can have more than the maximum space between words if FrameMaker can’t fit a word on a line and can’t hyphenate it. To avoid this, add extra space between characters in justified text by choosing Allow Automatic Letter Spacing in the Word Spacing area.

4)To apply pair kerning or spread, in the Character Designer, choose Pair Kern option or fill in the Spread field.

Adjust spacing in Japanese documents

If your system supports the typing of Japanese text in documents and dialog boxes, you can adjust the following spacing properties:

•Special group of properties in the Paragraph Designer that controls some aspects of Japanese character spacing.

•Size, spacing, and alignment of rubi text throughout a document.

•Spacing of variable-width Japanese characters through selection of the Tsume font property.

Adjust the space around characters and punctuation

1)In the Paragraph Designer, display the Asian properties.

2)Do the following:

•To adjust the space between Japanese characters and Western ones, use the upper group of boxes; to adjust the space between Japanese characters, use the lower group of boxes. Enter minimum, maximum, and optimum percentages.

•To determine the space between characters and special punctuation characters (yakumono), choose from the Punctuation pop-up menu. Squeeze As Necessary means that space around punctuation is reduced only when special punctuation handling (kinsoku shori) occurs. Never Squeeze means that no space adjustment is made around punctuation. Always Squeeze means that space is always reduced around punctuation.

•To achieve a monospaced look in Japanese text, choose Never Squeeze from the Punctuation pop-up menu and turn off Tsume.

Adjust rubi text size, placement, and spacing

Rubi text is made up of small characters (usually kana) appearing above other text, called oyamoji. Your settings affect rubi text throughout a document.

1)In the Format > Document > Rubi Properties dialog box, choose a value from the Size pop-up menu or enter a value in the box. The value you enter can be a percentage of the point size of the underlying oyamoji, a point size, or any other unit of measurement, including Q units.

2)Do the following:

•To let rubi text overhang non-oyamoji text, click Let Rubi Overhang Surrounding Hiragana.

•To remove preceding or trailing space when rubi text appears at the start or end of a line, click Align All Characters At Line Boundaries.

3)Click an option in the Rubi Alignment For Japanese Oyamoji or the Rubi Alignment For Other Oyamoji area. The illustrations in the dialog box show how rubi text is spaced and aligned when it’s above Japanese or non-Japanese characters and when its length is less than or greater than the underlying text.

4)Click Set.

3.1.8.Lists and autonumbering

You create numbered and bulleted lists by using paragraph formats that have an autonumber format defined. As you add autonumbered paragraphs to your document, FrameMaker numbers them appropriately and renumbers existing autonumbered paragraphs if necessary.

Autonumbered paragraphs are numbered consecutively in a text flow. If your document contains several text flows, autonumbered paragraphs in each flow are independent of the others.

You define autonumbering in the Numbering properties of the Paragraph Designer. An autonumber format does not have to specify paragraph numbering. When used without building blocks, it is handy for inserting automatic text or symbols. An autonumber format can include a series label, a counter, tabs, and any additional text you need.

Series label

Series labels identify different types of autonumber series within the same text flow. For example, to number figures independently of tables or headings, you specify a different series for each formatting item ((headings, figures, and tables).

On the other hand, table and figure numbers must all be in the same series to be based on section numbers.

Counter

A counter is a placeholder (building block) that FrameMaker replaces with a number or letter in the autonumber. For example, the counter <n+> increments the paragraph’s number by 1; if the paragraph is the second in a series, FrameMaker replaces <n+> with the number 2. You can use multiple counters in a format.

You can also add chapter <$chapnum> and volume <$volnum> building blocks in a format.

Tabs, text, and punctuation

An autonumber format can also include tabs, text, bullets, spaces, or punctuation.

Format text as numbered lists

Creating a numbered list sometimes involves formatting the first item in the list with a paragraph format that resets the counter to 1, and then formatting the remaining items with a different format that increments the counter. For example, perhaps you apply a Step1 format to the first item in a list and then StepNext to the rest. The template also sometimes defines formats that let you apply a single format to all items in a numbered list.

1)Display the Numbering properties of the Paragraph Designer and enter a series label in the Autonumber Format box if you need more than one autonumber series in the document.

A series label consists of any single printable character followed by a colon (for example, S:). If you use a series label, it must appear at the beginning of the format.

2)Enter any text you want to have appear automatically with the autonumber format. You can enter tabs or counters from the Building Blocks scroll list. When you select an item, it appears at the insertion point in the Autonumber Format box.

3)Select a Character Format for the autonumber in the Character Format scroll list. If you don’t specify a format, the autonumber appears in the paragraph’s default font.

4)Choose a position for the autonumber from the Position pop-up menu. Autonumbers at the end of paragraphs are rare except in equation formats.

5)Click Apply To Selection.

6)If you inserted a tab (\t) in step 2, set a corresponding tab stop for the paragraph format.

Format text as bulleted lists

In addition to the regular bullet symbol found in all text fonts, you can use any character in any installed font, including a dingbat font such as Zapf Dingbats®.

1)Click in a single paragraph or select adjacent paragraphs that you want to make into a bulleted list.

2)Display the Numbering properties of the Paragraph Designer and click the bullet and tab symbols (\b and \t) in the Building Blocks scroll list.

3)Click Apply To Selection.

4)If you inserted a tab (\t) in step 1, set a corresponding tab stop for the paragraph format.

Specify a special bullet symbol

Before specifying a special bullet symbol, create a character format that uses the font of the bullet symbol you want to use. For example, to use 9-point Zapf Dingbats, create a character format using that font. Give the format a descriptive name such as BulletFont.

1)Display the Numbering properties of the Paragraph Designer and enter the character corresponding to the bullet symbol you want in the Autonumber Format box.

For example, if you want a Zapf Dingbats square bullet, enter a lowercase n, which appears as ■ in that font. To find the character that corresponds to the bullet symbol you want, see the character set for that font.

2)Click the tab symbol (\t) in the Building Blocks scroll list or enter spaces.

note: You sometimes must use special codes to enter characters such as nonbreaking spaces or em spaces.

3)In the Character Format scroll list, click the bullet character format that you created.

4)Click Apply To Selection.

Remove autonumbering or a bullet from a paragraph

1)Turn off Autonumber Format in the Numbering properties of the Paragraph Designer. Click the option twice to turn off the setting; clicking it only once changes it to As Is.

2)Click Apply To Selection.

Counters in autonumber formats

A counter consists of angle brackets (< >) that surround a display style and an increment value. The Custom Autonumbering feature supports the Unicode text encoding standard.

A. Display style B. Increment value

To indicate the display style, use a counter with one of the following letters.

For this numbering style | Use
Numeric (1, 2, 3, …) | n
Lowercase Roman (i, ii, iii, iv, …) | r
Uppercase Roman (I, II, III, IV, …) | R
Lowercase alphabetic (a, b, c, …, aa) | a
Uppercase alphabetic (A, B, C, …, AA) | A

To indicate how an autonumber is incremented, use a counter with an increment value, as shown in the following examples.

To | Use
Keep the value the same | <n>
Set the value to 1 or to any other number you enter after the equal sign | <n=1>
Increase the value of the counter by 1 | <n+>
Keep the value the same but not display it | < >
Reset to zero (or any other number) but not display it | < =0>

By default, each counter is initially set to zero. The counter can maintain its current value, be incremented by 1, or be reset to a different value. For example, use <n=1> in the format that resets numbering to 1 at the beginning of a new set of numbered steps.

To keep the value the same but not display it, place a blank space between the angle brackets. If you leave out the blank space, the angle brackets appear as part of the autonumber format.

Base autonumbering on book component numbers

You can insert <$volnum>, <$chapnum>, <$sectionnum>, or <$subsectionnum> building blocks in paragraph formats. The book component numbers are determined by the settings in the Numbering Properties dialog box.

Example | Autonumber format
Volume 3 Chapter 3 | Volume <$volnum> Chapter <$chapnum>

The following table illustrates how you can combine the chapter building block with other building blocks:

Example | Autonumber format
Section 1.1 Section 1.1.1 Figure 1-1 Table 1-1 | S:Section <$chapnum>.<n+><=0> S:Section <$chapnum>.<n>.<n+> F:Figure <$chapnum>-<n+> T:Table <$chapnum>-<n+>

Base autonumbering on section numbers

Table and figure numbers must all be in the same series for autonumbering in sections, as shown in the following table:

Section number | Figure number | Table number
Section 1 1.1 1.2 | Figure 1-1 Figure 1-2 | Table 1-1 Table 1-2
Section 2 2.1 2.2 | Figure 2-1 Figure 2-2 | Table 2-1 Table 2-2

To achieve this type of numbering, construct autonumber formats in a single series using the same series label for each format. The following table shows possible autonumber formats. The formats are presented in a table so that you can clearly see the position of each counter in the string. Counter position determines how the counter is incremented.

Paragraph format | Autonumber format |
SectionTitle | H:Section | <$chapnum> | < =0> | < =0> | < =0>
Head1 | H: | <$chapnum> | .<n+> | < > | < >
FigureTitle | H:Figure | <$chapnum> | < > | -<n+> | < >
TableTitle | H:Table | <$chapnum> | < > | < > | -<n+>

Whenever a paragraph tagged SectionTitle occurs, the section number is incremented by 1, and the remaining counter values are reset to zero. Each <n+> counter in the remaining formats refer to a different type of item, so they’re incremented independently.

The < > counters keep FrameMaker from resetting values back to zero.

Use multiple counters in an autonumber format

An autonumber format can contain more than one counter. For example, perhaps autonumbers for a series of section and subsection titles each contain two counters.

These counters | In this format | Would appear as
<$chapnum>.<n=0> | Head1 | 1.0
<$chapnum>.<n+> | Head2 | 1.1
<$chapnum>.<n+> | Head2 | 1.2
<$chapnum>.<n=0> | Head1 | 2.0

The counters in each format are independent of each other. The position of a counter in the string determines how it’s displayed and incremented. When incrementing a counter, FrameMaker bases its value on the corresponding counter in the previous autonumber paragraph in the same flow.

The following example shows multiple counters in section titles and subtitles. The counter before the period is incremented independently from the counter after the period.

Example | Autonumber format | Tag
1.0 Getting started 1.1 Installing 1.2 Backing up 1.2.1 Errors 1.3 Entering data | <n+>.<n=0>\t <n>.<n+>\t <n>.<n+>\t <n>.<n>.<n+>\t <n>.<n+>\t | Head1 Head2 Head2 Head3 Head2

The following example demonstrates outline style autonumber formats.

Example | Autonumber format | Tag
I Getting started A Installing B Backing up II Entering data A Opening a file B Saving a file | <R+>< =0>\t < ><A+>\t < ><A+>\t <R+>< =0>\t < ><A+>\t < ><A+>\t | Head1 Head2 Head2 Head1 Head2 Head2

The autonumber in the heading Opening a file is reset to A; the second counter in the previous paragraph’s format resets the numbering to zero without displaying it, so <A+> increments the counter to 1 or A.

The < > counter in the Head2 format keeps the value of the first counter the same but doesn’t display it. If the < > counter is not in that position, the <A+> in the Head2 format refers to the first counter (not the second), and FrameMaker produces the following result:

Incorrect outline style autonumber format

Reset a series

Some numbering series—such as a list of numbered steps—start at 1 every time they are used. You can reset such a series in two ways.

The first example shows how to restart series numbering by using the <n=1> building block for the first step in the series, and then using <n+> for subsequent steps.

Example | Autonumber format | Tag
Step 1. Unpack it. Step 2. Back it up. Step 3. Run setup. Step 1. Save your file. | S:Step <n=1>.\t S:Step <n+>.\t S:Step <n+>.\t S:Step <n=1>.\t | Step1 StepNext StepNext Step1

The second example shows another way to reset the counter so that you don’t have to use a unique format to start a numbered list. Instead, a paragraph that introduces the list uses a format that resets the counter.

Example | Autonumber format | Tag
To install the software: Step 1. Unpack it. Step 2. Back it up. Step 3. Run setup. | S:< =0> S:Step <n+>.\t S:Step <n+>.\t S:Step <n+>.\t | StepIntro Step Step Step

The < =0> counter in the StepIntro format resets the S series to zero but doesn’t display the number.

If a counter is incremented, any omitted counters in the series to the right of it are reset to zero. For example, the following autonumber formats are equivalent:

S:<n+>< =0>\t

S:<n+>\t

About Japanese numbering options

The following counters in autonumber formats are allowed in Japanese text and with Japanese fonts.

Building block | Meaning | Characters, in this order
<zenkaku a> | Fixed-width lowercase Roman alphabet |
<zenkaku A> | Fixed-width uppercase Roman alphabet |
<zenkaku n> | Fixed-width Arabic numbers |
<kanji kazu> | Standard kanji numbering, where double-digit numbers are made up from the traditional kanji characters for ten, one hundred, and so on |
<kanji n> | Numbers used for street addresses, phone numbers, postal codes, and so on, where double-digit numbers are made up from the kanji characters for zero through nine |
<daiji> | Numbers used in financial or banking contexts made up of old-style kanji numerals |
<hira gojuon> | Hiragana characters in the standard order |
<kata gojuon> | Katakana characters in the standard order |
<hira iroha> | Hiragana characters in the literary order (rare) |
<kata iroha> | Katakana characters in the literary order (rare) |

About RTL numbering options

The following counters in autonumber formats are allowed in RTL languages such as Arabic and Hebrew. For details on the formats, see Counters in autonumber formats.

For the Farsi language script

•<Farsi n>

•<Farsi n=1>

•<Farsi n+>

For the Hebrew language script

•<Hebrew n>

•<Hebrew n=1>

•<Hebrew n+>

For the Abjad language script

•<Abjad n>

•<Abjad n=1>

•<Abjad n+>

For the Farsi language script

•<Alif Ba Ta n>

•<Alif Ba Ta n=1>

•<Alif Ba Ta n+>


Master and reference pages

3.2.Master and reference pages

3.2.1.Body, master, and reference pages

FrameMaker documents contain three types of pages that help you set up your page layout:

•Master pages specify the page layout and the background text for document pages (for example, page headers and footers).

•Reference pages can contain frequently used graphics, formatting information, hypertext commands, mappings for HTML conversion, and boilerplate matter.

•Body pages show the background text and graphics from the corresponding master page and contain the document content.

A. Master pages: first and right B. Body pages: first chapter page and right page C. Reference page

Master pages

FrameMaker uses master pages to keep track of a document’s page layout. A double-sided document contains at least two master pages, one for left pages and one for right pages. A single-sided document uses the right master page only. Documents can also contain custom master pages, which you can use for special types of pages. You can also create layouts directly on body pages for one-time-only use.

If your page layout is complex, or if you need to create design components such as page headers and footers, work with the components directly on the master pages. You can draw or import graphics—such as lines, boxes, or company logos—anywhere on a master page, as well as type text on them. Graphics and text appear on the corresponding body pages exactly as they appear on the master page, as part of the body page’s background.

Master page and body page

Master pages can contain the following types of text frames:

•A template text frame contains a tagged text flow—a flow with a name. When you add a body page, the template text frame is copied to the new body page. You then type the document’s text in this text frame on the body page. You can type text in a template text frame on a master page, but the text does not appear on body pages.

•A background text frame contains an untagged text flow—a flow with no name. Its contents appear on corresponding body pages, but you can edit them only on the master pages. Background text frames are typically used for page headers and footers.

Master page

A. Untagged background text frame B. Template text frame

When you add text and illustrations to your document on body pages, FrameMaker adds body pages as necessary and automatically uses the page layout from the left or right master page.

On body pages, you type in a text frame copied from the template text frame.

Reference pages

You can use reference pages to store frequently used graphics that you want to position consistently throughout a document, and then use the graphics on body pages where they are needed. If you place a graphic in a reference frame—an unanchored graphic frame on a reference page—you can use the frame as a property of a paragraph format. For example, to design a heading with a line below it, draw the line in a reference frame, and then include the reference frame in the paragraph format of the heading.

Reference page and body page

Reference pages can also hold boilerplate material or clip art that you can copy and paste on body pages—for example, symbols for cautions and notes. And specialized reference pages can contain hypertext commands, formatting information for generated lists and indexes, definitions of custom math elements, and mappings for converting to XML and HTML.

A document normally contains at least one reference page. You can add your own graphics to an existing reference page, and you can create additional reference pages (up to 100).

3.2.2.Create custom master pages

Documents may need body pages with layouts that differ from those of the left and right master pages. For example, you can create a different look for the first page of a document, or you can include a landscape page in a portrait document. For such cases, you create custom master pages. (A document can contain up to 100 master pages.)

After you create the custom master page, change its column layout, and add background text and graphics. You then assign the custom master page to one or more body pages.

Create a custom master page that is empty or based on another master page’s layout

1)Display the master page that you want to use as a basis for the new master page.

2)Choose Special > Add Master Page and enter a name for the new master page in the Name text box.

3)Do one of the following:

•To create a master page with a layout that matches the layout of an existing master page, choose the master page from the Copy From Master Page pop-up menu.

•To create an empty master page, click Empty.

4)Click Add.

Create a custom master page based on a body page’s layout

1)Make the column layout changes you want on a body page.

2)With the body page displayed, choose Format > Page Layout > New Master Page.

3)Enter a name for the master page and click Create.

Related links:

Assign master pages to body pages

3.2.3.Reorder, rotate, or delete custom master pages

Reorder custom master pages

When you reorder custom master pages, the Right and Left master pages always remain at the beginning.

1)Open a master page, and then choose Format > Page Layout > Reorder Custom Master Pages.

2)Select a master page in the Custom Master Pages list, and click Move Up or Move Down to move the page accordingly.

3)Click Set. If you were previously viewing a custom master page, note that a different master page may now be visible.

Rotate a master page

You can create a custom master page that changes the orientation of a body page. For example, you can create a rotated orientation for a body page with a wide table.

Right page uses a rotated master page.

1)On a new master page, set up any text frames and background text and graphics that you want to have the same orientation (unrotated) as headers and footers on the other master pages.

2)Choose one of the Format > Customize Layout > Rotate Page commands. When FrameMaker rotates the page, part of the page will probably be out of view. You can adjust the window size to see as much of the page as possible.

3)Create the text frames, background text, and background graphics that you want to display rotated.

tip: You can type in rotated text frames, or you can unrotate the page to make typing faster. To unrotate a page, choose Format > Customize Layout > Unrotate Page. When you’re finished, you can rotate the page again.

Related links:

Creating and modifying background text frames

Rename or delete a custom master page

1)Display the master page, and choose Special > Delete Page.

note: You cannot rename the master pages named Left and Right, and you cannot delete the left or right master page or any master page currently assigned to a body page.

3.2.4.Assign master pages to body pages

You can assign a master page to a body page at any time. FrameMaker uses the template text frame from the master page and displays background text and graphics.

You can also choose to assign no master page to a body page. Because it’s not associated with a master page, this type of body page has no headers, footers, or other background text or graphics. (If the body page contains a text frame, the text frame is unaffected.) For example, if each chapter in a book must contain an even number of pages, and if the last page of a chapter contains no body text, you may not want that page to use a master page, so that it will be blank.

Assign a different master page

1)With a body page displayed, choose Format > Page Layout > Master Page Usage.

2)In the Use Master Page area, do one of the following:

•To assign the left or right master page, click Right (in a single-sided document) or Right/Left (in a double-sided document).

•To assign a custom master page, choose the page name from the Custom pop-up menu.

•To assign no master page, choose None from the Custom pop-up menu.

3)In the Apply To area, do one of the following:

•To apply the change to the current body page, click Current.

•To apply the change to a range of pages, enter the starting and ending page numbers in the Pages text boxes.

•To apply the changes only to odd or even pages within a range, select Even or Odd.

•To apply the changes only to pages within a range that currently use a particular master page, choose a page from the pop-up menu in the Apply To area.

4)Click Apply.

note: If the master page contains a template text flow not found on the body page, FrameMaker adds the text frames that contain that flow to the body page. If the body page contains a flow not found on the master page, FrameMaker leaves the text frames that contain that flow unchanged. This action could result in overlapping text frames.

Assign a master page to pages with specified paragraph tags

You can assign master pages to body pages that contain specified paragraph tags. For example, you may want all pages that include the Title paragraph tag to be formatted with a custom master page called First.

You map the paragraph tags to the master pages using the Reference Pages mapping table. When you choose the Apply Master Pages command, the master page will be applied to the body pages on which the referenced paragraph tag appears.

In this example, the First master page will be applied to body pages containing Title paragraph tags.

1)Choose View > Reference Pages.

2)Click the Next Page button until the five-column UnstructMasterPageMaps table appears.

tip: If the mapping table does not appear in the reference pages, choose Format > Page Layout > Apply Master Pages.

3)For Book Update (Yes Or No), type Yes or No to determine whether the specified master page is applied when you choose Apply Master Pages from a book.

4)Edit the mapping table by doing the following:

•Under the Paragraph Tag Name column heading, type the name of the paragraph tag to which you want the master page to be applied. This column is required for master pages to be applied. Spell the paragraph tag name correctly, using the same capitalization that the paragraph tag uses.

•Under the Right-Handed Master Page column heading, type the name of the master page you want to apply. This column is required for master pages to be applied. The specified master page is applied to all body pages, including left-handed pages in double-sided documents on which the paragraph tags appear, unless you specify a different master page under the Left-Handed Master Page column. Master page names are case-sensitive.

•Under the Left-Handed Master Page column heading, type the name of the master page that you want to apply to the left-handed body pages on which the paragraph tags appear in double-sided documents. This column is optional.

•Under the Range Indicator column heading, type Single to apply the master page only to the body page on which each paragraph tag appears; type Span pages to apply the master page to the entire span of pages to which the paragraph tag is applied; or type Until changed to apply the master page to all pages, until the next body page with a different paragraph tag listed in the mapping table is encountered. If this cell is blank, master pages are applied to single pages.

•Add notes to the Comments column. Text you type in this column does not affect how master pages are applied in any way.

•To map additional master pages to paragraph tags, add and fill out additional table rows.

5)When you are done, choose View > Body Pages.

6)Make the appropriate document window or book window active. If a book window is active, select the documents you want to affect.

7)Choose Format > Page Layout > Apply Master Pages, and then click Yes to override manually applied master pages.

Adobe FrameMaker searches each body page for the first occurrence of any paragraph tag specified in the Master Page Maps table. When it finds text containing the specified paragraph tag, it applies the specified master page.

Assign a master page to body pages of structured documents

To assign master pages to body pages containing elements in structured documents, you map the elements to the master pages using the Reference Pages mapping table. When you choose Apply Master Pages, the master page is applied to the body page on which the referenced element appears.

1)In Structured FrameMaker, choose View > Reference Pages.

2)Click the Next Page button until the eight-column StructMasterPageMaps table appears.

tip: If you are working on a document created in a previous version of FrameMaker, choose Format > Page Layout > Apply Master Pages, so that the mapping table appears in the reference pages.

3)To the right of Book Update (Yes Or No), type Yes or No to determine whether the specified master page is applied when you choose Apply Master Pages from a book.

4)Edit the mapping table by doing the following:

•Under the Element/Paragraph Tag Name column heading, type a valid prefix (E: for element tag, or P: for paragraph tag), followed by the name of the element or paragraph tag to which you want the master page to be applied. If no prefix is applied, an element tag is assumed. Spell the name correctly, using the same capitalization that the element or paragraph tag uses. This column is required for master pages to be applied.

•Under the Right-Handed Master Page column heading, type the name of the master page you want to apply. The specified master page is applied to all body pages, including left-handed pages in double-sided documents on which the elements or paragraph tags appear, unless you specify a different master page under the Left-Handed Master Page column. Master page names are case-sensitive. This column is required for master pages to be applied.

•Under the Left-Handed Master Page column heading, type the name of the master page that you want to apply to the left-handed body pages on which the elements or paragraph tags appear in double-sided documents. This column is optional.

•Under Attribute Name, type a valid attribute name to further define the mapping context.

•Under Attribute Value, type a valid attribute value to further define the mapping context.

•Under Context, type a value for an element’s context label to further define the mapping context.

•Under the Range Indicator heading, type Single to apply the master page only to the body page on which each element or paragraph tag appears; type Span pages to apply the master page to the entire span of pages to which the element or paragraph tag is applied; or type Until changed to apply the master page to all pages until the next body page with a different element or paragraph tag listed in the mapping table is encountered. If this cell is blank, master pages are applied to single pages.

•Add notes to the Comments column. Text you type in this column does not affect how master pages are applied in any way.

•To map additional master pages to elements or paragraph tags, add and fill out additional table rows.

5)Choose View > Body Pages.

6)Make the appropriate document window or book window active. If a book window is active, select the documents you want to affect.

7)Choose Format > Page Layout > Apply Master Pages, and then click Yes to override manually applied master pages.

FrameMaker searches each body page for the first occurrence of any element or paragraph tag specified in the Master Page Maps table. When it finds text containing the specified element or paragraph tag, it applies the specified master page.

3.2.5.Display master pages

When working with master pages, you move back and forth between them and the body pages. When a master page is visible, its name and the number of master pages in the document appear in the Page Status area of the status bar.

Page Status area of status bar

1)Choose View > Master Pages. The master page used by the current body page appears, with the text frame and column borders visible.

View other master pages when a master page is visible

1)Do one of the following:

•Click the Next Page or Previous Page button.

•Press the Page Up or Page Down key.

•Use the scroll bar.

Return to body pages while master pages are visible

1)Choose View > Body Pages. The most recently displayed body page appears. If FrameMaker detects any layout overrides on body pages, an alert message asks how you want to handle them.

Related links:

About layout overrides

3.2.6.View, create, and delete reference pages

Display reference pages

1)Choose View > Reference Pages. The name of the current reference page appears in the Page Status area of the status bar.

Page Status area

If the document doesn’t contain any reference pages, the Add Reference Page dialog box appears. Create the first reference page by entering a page name and clicking Add.

View other reference pages when a reference page is visible

•Click the Next Page [image] or Previous Page [image] button.

•Press the Page Up or Page Down key.

•Use the scroll bar.

Create a reference page

1)Display reference pages and choose Special > Add Reference Page.

2)Enter a name for the reference page and click Add.

Return to body pages

1)Choose View > Body Pages. The most recently displayed body page appears.

Rename or delete a reference page

You can rename a reference page—for example, to avoid overwriting the reference page when you import reference pages from a template that contains a reference page with the same name.

If you delete a reference page that contains a graphic used in a paragraph format, the graphic no longer appears in paragraphs using that format. When this happens, the Frame Above or the Frame Below pop-up menu in the Advanced properties [image] of the Paragraph Designer is set to As Is for the paragraphs.

1)Display the reference page and do one of the following:

•To rename the page, click the page name in the status bar, and type the new name. Click Set.

•To delete the page, choose Special > Delete Page.

3.2.7.Use reference frames on reference pages

You can use a graphic as part of a paragraph format if you have placed the graphic in a reference frame on a reference page.

Graphics in reference frames

When you select a reference frame on a reference page, its name appears in the status bar after the word Frame.

Create a reference frame on a reference page

1)Click the Graphic Frame tool [image] on the Tools pod, and then drag to draw the frame. To draw a square frame, Shift-drag.

2)Enter a name in the Name text box and click Set. Use a short, descriptive name you can recognize later when the name appears in the Frame Above and the Frame Below pop-up menus in the Advanced properties [image] of the Paragraph Designer.

3)Put a graphic in the frame. You can draw the graphic, import a graphic file, or combine drawn and imported graphics.

4)Adjust the frame’s size and shape if necessary. When you use a reference frame above or below a paragraph on a body page, the whole frame—not just the graphic inside it—appears on the body page. The height of the frame affects the spacing of text above and below the frame.

5)Use the Text Line tool to type the frame’s name above the frame. Typing the name helps you identify the frame when you view the reference page. It does not rename the reference frame.

Rename a reference frame

1)Select the reference frame and click the frame’s name in the status bar.

2)Enter the new name and click Set. You should also type the new name in the text line above the reference frame. If you rename a reference frame used in a paragraph format, you need to update the format so that it uses the new frame name.

Change other properties of a reference frame

1)Select the frame and use either Graphics > Object Properties or the options on the Tools pod.

Set up boilerplate graphics on reference pages

You can set up boilerplate graphics—for example, margin symbols—in anchored frames on a reference page. Then you can copy the anchored frames to body pages. When you do this, the graphics appear correctly positioned in their anchored frames.

You can copy and paste boilerplate graphics onto body pages.

You can also place graphics directly on reference pages and then copy and paste them anywhere on body pages.

1)Create a reference page with the same column layout as the body page on which you want to display the graphic. This ensures that the graphic is positioned correctly when you copy it to body pages. To set up the column layout, you can copy the text frame from a body page and paste it on the reference page.

On the reference page, set up the anchored frame exactly as you want it to appear on body pages.

2)Draw the graphic in the anchored frame, or paste or import it into the frame. You may want to add some text outside the anchored frame to identify the graphic. For example, in the illustration, Caution Symbol identifies the graphic.


Page layouts

3.3.Page layouts

You can make changes to a document’s basic page layout directly from a body page. FrameMaker automatically updates both the left and right master pages, and updates the layout of any body pages that use those master pages. If any of these body pages contain layout overrides, you are asked to confirm that you want to make the updates.

If your document uses another master page—for example, for the first page of the document—you must make any layout changes on that master page.

3.3.1.Change page size

1)Make the appropriate document window or book window active. If a book window is active, select the documents you want to affect.

2)Choose Format > Page Layout > Page Size.

3)Do one of the following:

•Choose a standard size from the Page Size pop-up menu. The correct dimensions appear in the Width and Height text boxes.

•Enter dimensions in the Width and Height text boxes. Custom appears in the pop-up menu. The custom page size you specify can be small, depending on the document’s margin settings, or as large as 216 inches by 216 inches (approximately 548 centimeters by 548 centimeters).

4)Click Set.

note: If the document contains custom master pages, FrameMaker prevents change to a page size that cannot accommodate the text frames on those master pages.

3.3.2.Change pagination

You can change a single-sided document to double-sided documents or the reverse. When you set up a double-sided document, you specify whether the first page is a left or a right page.

1)Make the appropriate document window or book window active. If a book window is active, select the documents you want to affect.

2)Choose Format > Page Layout > Pagination.

3)Select one of the options in the Pagination area. If you select Double Sided, also specify whether the first page is a left or right page. If you are applying pagination in a book, you can choose Read from File to use the page side specified in the file, or you can choose Next Available Side to avoid a blank page.

Depending on which option you selected, a blank page may be added to the previous file in the book so that the document can start on the page you specified.

4)Click Set. If the document contains custom master pages or page layout overrides, an alert message asks how you want to proceed.

3.3.3.Add or delete empty pages

You can specify that you want a document to have an even or odd number of pages. If necessary, FrameMaker adds a blank page at the end of the document to achieve the correct pagination.

Conversely, a document may contain unwanted blank pages at the end, left there because you deleted or reworked text. You can tell FrameMaker to delete these empty pages whenever you save or print the document.

FrameMaker deletes a blank page only if it uses the left or right master page, doesn’t contain the start of a flow, and has no layout overrides. FrameMaker doesn’t delete a page if it contains an empty paragraph but is otherwise blank.

If you use the document window to change the pagination of a document that is part of a book, the settings may be overridden when you update the book. You can make sure that the book pagination is correct by changing a document’s setup from the book window.

1)Make the appropriate document window or book window active. If a book window is active, select the documents you want to affect.

2)Choose Format > Page Layout > Pagination.

3)From the Before Saving & Printing pop-up menu, choose an option and click Set.

If blank pages are not added or deleted as expected, make sure that all pages in the document are autoconnected.

Related links:

About layout overrides

3.3.4.Change page margins and number of columns

The margin is the distance between the page edge and the text frame. For a single-sided document, you set margins for the top, bottom, left, and right sides of the text frame. For a double-sided document, you set the top, bottom, inside, and outside margins for a symmetrical look.

To set up asymmetrical left and right margins, you change the text frames directly on the master pages. For example, you could make the text frames on both the left and right pages appear on the right side of the page, leaving an area of white space on the left.

You can divide a text frame into two or more equally spaced columns of equal widths. To create a multicolumn layout with unequal column widths or gaps, use one text frame for each column of text and position the text frames one by one. Draw the text frames or set up one text frame the way you want it and then duplicate it.

1)Place the insertion point in the main text flow or click in the page margin. If a book window is active, select the documents you want to affect.

2)Choose Format > Page Layout > Column Layout.

If the layout is asymmetrical (for example, with a different number of columns, or a different inside or outside margin on the left and right master pages), an alert message asks whether you want to proceed. To retain the asymmetry, change the layout directly on the master pages.

3)To change the margins, enter the values in the Margins area. The margins and the gap (space) between columns determine the individual column width.

4)To change the number of columns or the gap between columns, enter new values in the Columns area.

All columns will be the same width and will be separated by a uniform gap.

5)Click Update Entire Flow. If the new column width is too narrow to accommodate some anchored frames or tables in the document, an alert message asks whether you want to proceed. If you click OK, you can manually resize the tables and frames.

Related links:

Changing page layout on specific pages

Add a template text frame on a master page

Adding text frames on body pages

3.3.5.Headers, footers, and other background text

You set up headers and footers by displaying master pages and typing text in background text frames. The contents of background text frames appear on body pages, but you can only edit them on master pages. The headers and footers might include the page number, date, chapter number and title, section number and title, author, revision number, and draft release (such as preliminary and final).

Header and footer text frames on master page

You create and edit header and footer text as you do any other paragraph text. You can apply paragraph and character formats, add and move tab stops, and add graphics such as a line above or below the text. In addition, you can add system variables for information such as the page number or the current date, and you can change the size and placement of the header and footer text frames. When you modify these text frames on a master page, FrameMaker automatically updates any body pages that use that master page.

You can also add other background text on master pages. For example, in the FrameMaker fax template, the informational headings are in a background text frame on the master page.

Background text frames

A. Informational headings in background text frames B. Template text frame

Related links:

Entering header or footer information

Creating and modifying background text frames

When you create a new, blank document, FrameMaker creates background text frames for headers and footers on the left and right master pages. To make it easy to add centered and right-aligned information in headers and footers, FrameMaker automatically adds center and right tab stops at the center of the text frame and at the right margin. You can draw background text frames for additional header and footer information or for other background text.

note: You can create single lines of background text by using the Text Line tool, but you can’t apply paragraph formats to the text or insert variables in it.

Add a background text frame on a master page

1)Draw the text frame by using the Text Frame tool.

2)In the Add New Text Frame dialog box, click Background Text and click Add. The new text frame, like all text frames for background text on master pages, is untagged.

3)Double-click in the text frame to place the insertion point, and then insert the header, footer, or other background text.

Resize or move a background text frame

1)Select the text frame by Control-clicking the text frame.

2)Do any of the following:

•To resize the text frame, drag a handle.

•To move the text frame, drag its border (not a handle).

Entering header or footer information

You can create simple headers and footers by typing text in the header and footer text frames on the master pages. In addition, you can specify items such as the current chapter and page numbers, the document’s total page count, and the current date. FrameMaker displays a system variable in the header or footer on the master page and replaces it with the correct value on each body page that uses that master page.

You can also create running headers and footers in which the text changes from page to page. In the following figure, the running header contains the current section heading; the footer contains the page number and some text typed directly into the background text frame.

Running headers and footers

To create running headers and footers, you insert running header/footer variables in background text frames on master pages.

Enter text, page numbers, dates, and other information

1)On a master page, click in the header or footer where you want to add information.

2)Do any of the following:

•To insert static text, type the text.

•To insert system variables, access the Variables pod and double-click the variable name in the Variables scroll list. You can insert any system variable, such as:

Numbering for book components

Volume Number, Chapter Number, Section Number, or Sub Section Number

Page numbers

Current Page # or Page Count

Date information

Current Date (Long), Current Date (Short), Modification Date (Long), Modification Date (Short), Creation Date (Long), or Creation Date (Short)

Other variables

Chapter Title Name, Filename (Long), Filename (Short), Table Continuation, or Table Sheet

•To insert user variables, access the Variables pod and double-click the variable name (if already defined) in the Variables scroll list.

tip: To add centered information in headers and footers, press Tab to move the insertion point to the centered tab stop. To add right-aligned information, press Tab again to move the insertion point to the right-aligned tab stop.

Related links:

Variables

3.3.6.Changing page layout on specific pages

You can create an asymmetrical layout by adding or changing text frames directly on the master pages. For example, you may want the left margin to be wider than the right on both left and right pages. Or you may want a single-column layout on the left page and a two-column layout on the right. You can even create a layout that contains columns with different widths or with different gaps by using several text frames on a page—one text frame for each column.

About layout overrides

When you make changes on a master page, FrameMaker automatically updates all body pages using that master page. When you make layout changes on a body page (for example, by changing the number of columns, the gap between columns, or the margins), you create an override to its master page’s layout. You can then do any of the following:

•Update the master page and all corresponding body pages with your changes.

•Create a master page based on the body page changes.

•Do neither of the above, leaving the override as a one-time-only page layout.

Related links:

Updating body and master page layouts

Create custom master pages

Creating one-time-only page layouts

Change margins and column layout on specific pages

The following steps always produce either a single-column layout or a multicolumn layout with equal-width columns.

If you want to create a multicolumn layout with unequal column widths or gaps, use one text frame for each column, and position the text frames one by one.

1)Select the text frame whose margins you want to change by Control-clicking the frame.

2)Choose Format > Customize Layout > Customize Text Frame.

3)Do the following:

•To change the margins, specify the new size and position in the Unrotated Size and Offset From areas. The Offset From Top and Offset From Left options specify the top and left margins. The bottom and right margins are then determined by the text frame’s width and height.

•To change the number of columns or the gap between columns, change the values in the Columns area.

4)Click Set.

tip: Another way to change the margins is to select a text frame and then drag a resize handle. When you resize a multicolumn text frame, the column widths change to fit within the text frame, but the column gap remains the same.

Related links:

Add a template text frame on a master page

Adding text frames on body pages

Add a template text frame on a master page

For a master page to contain unequal-width columns of text, or to set up the layout for a newsletter or other document in which the articles don’t flow continuously from the first page to the last, you use multiple text frames—one for each column. For example, for a page with two unequal-width columns, you would add a second template text frame. You can add a template text frame by drawing it or by duplicating an existing one.

1)To draw the text frame, use the Place A Text Frame tool on the Graphics Toolbar. To draw more than one text frame, draw them in the order you want them connected.

2)In the Add New Text Frame dialog box, click Template For Body Page Text Frame, and choose a tag from the Flow Tag pop-up menu. Choose the current flow tag, unless you’re setting up a text frame for a different flow in a multiflow document.

3)In the Columns area, specify the number of columns in the text frame and (if it’s more than 1) the gap between adjacent columns. If you’re setting up a layout with unequal-width columns, set the number of columns to 1, because you use a separate text frame for each column.

4)Click Add.

5)Move the text frame as needed.

tip: To copy an existing text frame, select the frame, choose Edit > Copy, and then choose Edit > Paste. FrameMaker copies the text frame, its contents, and its properties (including the flow tag).

Adding text frames on body pages

When you draw a text frame on a body page, you are prompted for the number of columns and the gap between them. However, FrameMaker does not assign a flow tag and does not connect the text frame to existing text frames on the page. To use the new text frame as part of the document’s text flow, connect it to the flow. If the new text frame is the first one in the flow, also select Autoconnect so that new pages are automatically added as needed.

Related links:

Connect text frames

Updating body and master page layouts

You can change template text frames on more than one master page and then update all corresponding body pages in one step. However, if you make column layout changes on a body page, you must update the corresponding master page before you can update the other body pages that use that master page.

Before FrameMaker updates body pages, it checks whether any body pages have column layouts that override their master page. If any pages contain layout overrides, you specify whether to keep the overrides.

Update body pages with master page changes

1)After making layout changes on master pages, display body pages.

2)If FrameMaker displays an alert message, specify whether to keep or remove layout overrides, and then click Continue. If you keep layout overrides, FrameMaker updates those body pages with the master page’s background text and graphics, but does not update the template text frames.

Update a master page with body page changes

1)Choose Format > Page Layout > Update Column Layout. A message asks you to confirm the master page and body pages that are to be updated.

2)Click Update.

3)If FrameMaker displays an alert message, specify whether to keep or remove layout overrides on the pages being updated, and then click Continue.

Related links:

About layout overrides

Creating one-time-only page layouts

You may need to change the layout of only one body page in a document. For example, you can make a text frame longer to fit one more line of text on the page, or shrink a text frame to make room for a graphic placed directly on the body page. When you change the column layout of a body page without updating the master page, you create a layout override.

Related links:

Change margins and column layout on specific pages

Adding text frames on body pages

3.3.7.Align text across columns

Balance text across columns

In a layout that uses a multicolumn text frame, you can balance the text across columns that aren’t full of text—for example, columns on partly empty pages that precede forced page breaks, and columns on the last page of a document. You can balance text across columns throughout a text flow or in an individual text frame.

Balancing off and on

Balance text across columns throughout a text flow

1)If a document window is active, place the insertion point in the main text flow or click in the page margin. If a book window is active, select the documents you want to affect.

2)Choose Format > Page Layout > Column Layout.

3)Select Balance Columns and click Update Entire Flow.

Balance text across columns in a single text frame

1)Click in the text frame and choose Format > Customize Layout > Customize Text Frame.

Select Balance Columns and click Set.

Feather text to the bottom of text frames

When FrameMaker feathers text, it first adds space between paragraphs, up to a limit that you set. If more adjustment is necessary, it adds space between lines, up to another limit that you set. FrameMaker does not feather the text in a text frame in which text runs around graphics.

Before and after feathering

In a multicolumn text frame that contains straddles—paragraphs, tables, or anchored frames—FrameMaker adds vertical space to align the last baselines of text in adjacent columns above each straddle.

Before and after feathering with straddling

When text is feathered, the display of pages may be slower. For this reason, you may want to feather text only after you finish editing a document.

1)If a document window is active, place the insertion point in the main text flow. If a book window is active, select the documents you want to affect.

2)Choose Format > Page Layout > Line Layout.

3)Select Feather, and enter the maximum amount of space FrameMaker can add between lines (Maximum Interline Padding) and between paragraphs (Maximum Inter-Pgf Padding).

FrameMaker will not exceed the padding limits you set. If it’s not possible to feather text in a column without exceeding the limits, FrameMaker does not feather text in that column.

4)Click Update Flow.

note: Feathering leaves room for the largest possible descender in the largest font size used in the line, even if no character with such a descender actually appears. If the last line in a column seems too high, check to see whether the column contains a nonprinting character (such as an anchor symbol) in a font that’s larger than that of the surrounding text.

Synchronizing baselines

When you synchronize (align) text in a flow, FrameMaker creates an invisible grid in each text frame and aligns the baseline of the first line of each specified paragraph to the grid. FrameMaker also aligns the first line after an anchored frame and tries to align the first line in each column.

note: If feathering and synchronization are both on for a flow, feathering takes precedence over synchronization. However, the first lines in the columns are synchronized with each other.

Before and after synchronizing

Because headings in large fonts often appear at the tops of columns, you can specify a first-line synchronization limit. This limit controls whether the baseline of a heading is placed on the first grid line when the heading falls at the top of a column, even when the heading’s default font is larger than the grid can accommodate. To place the baseline of a heading on the first grid line, FrameMaker lets the heading extend above the top of the column as shown in the illustration. FrameMaker does not synchronize font sizes larger than the limit you set.

Synchronize baselines across columns

1)Check the paragraph formats of the paragraph types you want to synchronize to make sure they all have the same default font size and line spacing. Fixed line spacing should be on.

2)Click in the flow you want to synchronize (or select the documents in the book that you want to affect) and choose Format > Page Layout > Line Layout.

3)Select Baseline Synchronization and turn off Feather.

4)In the Synchronization area, enter the line spacing you want to use for the text frame grid in the Synchronize Pgf’s With Line Spacing Of text box. Use the same line spacing as in the paragraphs you want to synchronize. Otherwise, FrameMaker will not synchronize the paragraphs with the text frame grid.

5)In the First-Line Synchronization Limit text box, enter the largest font size to align at the top of a column. For example, suppose the line spacing for body paragraphs is 12 points, the column grid is 12 points, and the headings are 18 points. If you want the headings to be aligned when they appear at the top of a column, specify 18 as the first-line limit.

6)Click Update Flow. As no descenders appear above the first line in a column, the first grid line is offset from the top of the column a distance equaling two-thirds of the specified line spacing.

Synchronize baselines in adjacent text frames

If the tops of adjacent text frames start at different positions on a page, you may need to adjust their tops to line up their grids.

1)Line up the grids by resizing adjacent text frames so that the distance between their tops is evenly divisible by the grid. For example, if the grid is 12 points, you can start a text frame 144 points (12 times 12 points) from the top of an adjacent text frame.

A. Grid spacing B. Distance evenly divisible by the grid

tip: Use the snap grid to correctly position the text frames. To do so, specify a snap grid equal to the text frame grid. Then resize the text frames until their tops snap to the grid.


Multiflow documents

3.4.Multiflow documents

A document can have separate text flows, each with its own text frame connections. For example, a bilingual document may contain side-by-side translations of the same text.

When a text frame fills in a multiflow document, you can tell FrameMaker not to add a new page. That way, you can add pages yourself and control the connections. Because each flow’s autonumbering is independent of the numbering in other flows, you can maintain separately numbered lists, headings, and figure titles for each flow.

3.4.1.Set up a multiflow document

About text flows and flow tags

A text flow is a series of connected text frames through which the text flows in a document. Most documents have a single text flow, from the first page to the last, in which FrameMaker handles the text frame connections automatically. You make the text frame connections yourself only for documents in which you need to weave several text flows together—for example, with a newsletter in which you need to continue a front-page article on the back page, skipping over other articles on the intervening pages.

The current text frame’s flow tag appears in the Tag area of the status bar.

Tag area of status bar

Set up a side-by-side flow

You set up a document with side-by-side text flows by laying out and connecting the text frames on the master pages. Because the text frame connections are the same throughout the document, you usually don’t need to make further changes on the body pages.

1)Set up the flows on one of the master pages. Use a text frame for each flow and assign a different flow tag to each text frame. Make sure that Autoconnect is on for each flow so that FrameMaker adds a new body page whenever text reaches the end of one of the flows.

Left and right master pages for a side-by-side flow

2)Repeat the previous step for the remaining master pages. All master pages should have the same flow tags. Otherwise, FrameMaker will not alternate properly between the left and right master pages when adding body pages.

important: To create a new body page correctly when text reaches the bottom of a text frame, the appropriate left or right master page must contain all of the flow tags on the current body page. If any flow tag is missing, FrameMaker creates the new page with the current body page’s master page instead.

3)Update the body pages with the master page changes by displaying body pages.

Related links:

Add a template text frame on a master page

Change a flow’s tag or Autoconnect setting

Set up a flow for a newsletter or magazine

You set up a newsletter or magazine that requires nonparallel, multiple flows by establishing a column layout on the master pages. However, the master pages act only as the basic layout grid. You resize, delete, connect, and disconnect the text frames on the body pages until they look right. This approach gives you the greatest flexibility in determining the way text flows through the document.

note: If you are creating a newsletter or magazine that has articles that flow consecutively from the first page to the last, you do not need to use the techniques described here. Instead, you can use a single text flow. You can create special effects by making text run around graphics, and by making paragraphs, tables, and frames straddle columns. For an example of this technique, see the newsletter template provided with FrameMaker.

1)Decide on the number of columns, and place that number of single-column text frames on each master page. All of the text frames should be in the same flow. You can use these text frames as the layout grid within which you’ll have text flow.

First master page

Left and right master pages with the same flow

2)Turn off Autoconnect so that FrameMaker will not automatically add pages.

3)Update body pages with the master page changes by displaying body pages.

4)On each body page, resize, disconnect, and connect text frames as necessary. Don’t update the master pages as you make changes on the body pages.

5)To synchronize text baselines in the newsletter, make sure that the text frames are placed appropriately. If the document contains several text flows, synchronize baselines for each flow.

6)Manually create new disconnected body pages as necessary.

7)Connect text frames between pages as necessary.

Related links:

Add a template text frame on a master page

3.4.2.Control the flow of text

A flow’s basic properties are its Autoconnect setting and its flow tag. In a document with one flow or parallel flows, Autoconnect is usually on to tell FrameMaker to add a new page whenever the flow’s text frames are full. The new page takes the column layout of the appropriate master page (left or right), and the text frames on the new page are automatically connected to the text frames on the original pages.

When working on a document with nonparallel, multiple flows, you usually turn off Autoconnect. This allows you to add a new, disconnected body page wherever you want, and to control the connections between it and existing pages. If Autoconnect is off, and if the flow contains more text than it can hold in its text frames, the text overflows at the end of the last text frame in the flow. The bottom border of an overflowing text frame appears as a solid line when borders are visible.

Overflowing text frame

If you try to type in an overflowing text frame, you hear a beep. Overflowing text is not deleted; it is hidden from view. As soon as you connect the overflowing text frame to another text frame, the hidden text reappears in the next text frame.

If you need to assign a flow tag (for example, when creating side-by-side text flows), you can do so at any time. (In a new, blank document, the main flow is tagged A.) You need to assign a tag only once for a flow. After that, connecting a text frame to the flow assigns the tag to the text frame. If you change the flow tag or the Autoconnect setting in one text frame in a flow, the change is made to the entire flow.

Change a flow’s tag or Autoconnect setting

You normally change flow tags and the Autoconnect setting on master pages. If two text frames are connected, you must disconnect them before you can change one of their flow tags.

1)Click in a text frame in the flow.

2)Choose Format > Customize Layout > Customize Text Frame.

3)Enter a tag for the flow in the Flow Tag text box. You should keep flow tags short so that they do not obscure other information in the Tag area of the status bar. You cannot assign a tag that is already used on the current page.

note: If you want two text frames on a page to have the same flow tag, connect the text frames.

4)If you want FrameMaker to add a new page when you fill the last column on a page, select Autoconnect.

5)Click Set.

Related links:

Connect text frames

Disconnect text frames

Add a new, disconnected page

In documents with one main flow or two parallel flows, you normally don’t add disconnected body pages; you let FrameMaker add connected pages automatically when necessary. In a multiflow document in which Autoconnect is off, or in other specialized documents, you can add new, disconnected body pages. When the text reaches the end of a text frame, you add a new page and connect the text frames.

1)From a body page, choose Special > Add Disconnected Pages.

2)Choose the location and number of pages you want to add.

3)Choose a master page from the Use Master Page pop-up menu and click Add.

Delete disconnected pages

When you delete disconnected pages in a multiflow document, FrameMaker also deletes the pages’ contents.

1)Click in a page you want to delete and choose Special > Delete Pages.

2)Specify the first and last disconnected pages you want to delete and click Delete. If you want to delete only one page, enter its page number in both text boxes.

Connect text frames

When two text frames are connected, the text flows from the end of the first text frame to the beginning of the second. You can connect a text frame on a master page to any other text frame on the same master page, and you can connect a text frame on a body page to any text frame on any body page. You can also connect a text frame in the middle of a flow.

When you connect two text frames, FrameMaker assigns the first text frame’s flow tag to the second frame. If the first text frame is untagged, the second frame’s tag is used. That way, all connected text frames belong to the same flow and have the same tag. If the first text frame contains overflowing text, the text flows into the second frame when you make the connection.

1)Select the two text frames in the order in which you want text to flow. To select the text frames, Control-click the text frames.

If the text frames are on different pages, the first frame is deselected when you select the second one, but FrameMaker keeps track of the first selection.

note: To add a text frame to the middle of a flow, first select the text frame you want to add, and then select the frame that should follow it.

2)Choose Format > Customize Layout > Connect Text Frames. If the first text frame you selected isn’t on a page that’s currently visible, an alert message asks whether you want to connect to that frame.

Disconnect text frames

You disconnect text frames when you want to create separate flows—for example, to place an article in a specific location in a newsletter, or to create a pull-quote. If you need to start a new flow in the middle of a column, you can split the text frame that contains the column in two, and then disconnect the two text frames.

You can disconnect a text frame from the preceding text frame, the following one, or both. You can also remove a text frame from the middle of a flow.

Disconnecting text frames does not affect existing text in the frames. To move text to a different text frame, cut and paste it after disconnecting the frames.

note: When you disconnect text frames on the same body page, FrameMaker creates separate flows with no flow tags. When you disconnect text frames on different body pages, FrameMaker creates separate flows with the same flow tag. In either case, if you’re creating a newsletter-type document where Autoconnect is off for each flow, the flow tags do not matter. FrameMaker does not create new pages automatically and, thus, there is no need to make text frame connections.

1)Select the text frame you want to disconnect by Control-clicking the text frame.

2)Choose Format > Customize Layout, and then choose Disconnect Previous, Disconnect Next, or Disconnect Both.

Remove a text frame from the middle of a flow

1)Select the text frame immediately preceding the one you want to remove. To do this, Control-click the text frame.

2)Select the text frame immediately following the text frame you want to remove.

3)Choose Format > Customize Layout > Connect Text Frames. If the first text frame you selected isn’t on a page that’s currently visible, an alert message asks whether you want to connect to that frame.

Split or unsplit text frames

You can split a text frame in two, and then disconnect the two text frames to start a new flow. For example, you may want a new article with its own flow to start in the middle of a text frame.

The second of three text frames is split, disconnected from the first text frame, and retagged.

Split text frames

1)Click in the line above where you want to split the text frame and choose Format > Customize Layout > Split Text Frame. FrameMaker splits the text frame below the line that contains the insertion point, creating two separate but connected text frames.

2)Select the bottom text frame by Control-clicking the text frame.

3)Disconnect the text frame from the previous one by choosing Format > Customize Layout > Disconnect Previous. If the flow was tagged, FrameMaker removes the flow tag. If Autoconnect was on before you disconnected the text frames, it is now off for both text frames.

4)Resize the text frames as necessary.

Unsplit text frames

•If you haven’t made any other changes since splitting the text frame, choose Edit > Undo.

•If you made another change but you have not yet disconnected the two text frames, delete the lower frame and then resize the remaining text frame to the size of the original unsplit frame.

•If you have already disconnected the two frames, cut the text from the second text frame and paste it at the end of the first text frame. Then delete the second text frame and resize the first one to the size of the original unsplit frame. If you need to turn Autoconnect back on or reassign a flow tag for the text flow, use Format > Customize Layout > Customize Text Frame.

Cross-reference a disconnected text frame

When an article in a newsletter or magazine continues from one page to another, you can use cross-references to tell the reader where to turn to continue reading and to indicate where the end of the article is continued from.

Indicate where the flow continues, and where it is continued from.

1)Resize the two text frames to make room for the cross-references. Drag the bottom of the first text frame upward and the top of the continuation text frame downward.

2)Draw a small text frame below the text frame on the first page, and another above the text frame on the continuation page. Don’t connect either text frame to any other text frame.

3)Insert a cross-reference in the empty text frame on the first page, referring to the continuation page of the article.

4)Insert a cross-reference in the empty text frame on the continuation page, referring to the first page of the article.

Tracking a text flow

In a document with many flows, it’s easy to lose sight of where a flow continues. You can zoom out to see more of a text flow or move from one text frame in a flow to the next.

1)Zoom out to 25% and adjust the window size to see as many pages as necessary.

2)Click in the flow you want to check and choose Edit > Select All In Flow. The flow is highlighted, showing how it traverses the pages of the document.

3)To move through a flow’s text flow’s text frames, do one of the following:

•To display the next connected text frame, click in the last line of a text frame and press the Down Arrow key.

•To display the preceding connected text frame, click in the first line of a text frame and press the Up Arrow key.

3.4.3.Set flow direction

You can specify the direction (LTR or RTL) of the text in a text frame. This implies that you can create a document in which the direction of flows can be different. For example, you can create a document with two flows where an LTR language (such as English or German) is authored in the left flow and an RTL language (such as Arabic or Hebrew) is authored in the right frame.

1)Select the text frame.

2)From the Graphics menu, choose Object Properties.

3)In the Text Frame tab, select the required direction from the Direction drop-down and click Apply.


Templates

3.5.Templates

When you set up a template, you lay out master pages, define and apply formats, and define special text, such as cross-reference formats and variables.

tip: For templates you create, set up a template folder that contains the related templates as well as a document that describes the templates and how to use them.

Unstructured templates

A template is a document that stores properties that are used in more than one place. You can create a document from a template to give it all the template properties, or you can import specific properties from the template later. Templates give your documents consistent layout and formatting.

Templates can store the following properties:

•Paragraph, character, and table formats that work with formatting information in the element definitions

•Page layouts that determine the number and position of columns on pages, and background items such as running headers

•Reference pages that store repeatedly used graphics and formatting information

•Variables you use as placeholders for text that FrameMaker updates

•Formatting information for cross-references, equations, and conditional tags

•Definitions for colors you can apply to text and objects

•Document-wide settings, including footnote properties, custom marker types, and feathering options for line spacing

•Specifications for combined Japanese and Western fonts (on Japanese-language systems)

Structured templates

Structured FrameMaker comes with Structured Templates for letters, memos, faxes, envelopes, reports, outlines, newsletters, books, FAQs, and single source books.

Structured templates can store the following properties:

•Element definitions that specify allowable contents, attributes, and formatting for elements

•Paragraphs and characters that work with formatting information in the element definitions

•Variables you use as placeholders for text that FrameMaker updates

•Formatting information for cross-references and conditional tags

•Definitions for colors you can apply to text and objects

note: If you’re working with structured files, an application developer can set up special documents that handle the translation to and from the structured application. These documents can include a template that formats the structured files in FrameMaker. This template is applied automatically when you import from the structured application.

3.5.1.Design the page layout

1)Create a document. You can start with either a custom new document or a copy of an existing document you plan to modify.

tip: To see how facing pages look as you design the page layout, display them side by side. Choose View > Options, and then choose Facing Pages from the Page Scrolling pop-up menu. Make the document window larger and zoom out, if necessary, to fit both pages in the window.

2)Define the column layout. If you started with a custom document, you have already specified the margins and the number of columns. If you’re modifying an existing document, you may want to change the column layout.

3)Add and name any custom master pages you will need.

4)Enter background text and graphics on the master pages, including headers and footers.

If a running header or footer shows the text or an autonumber of a document paragraph, such as a chapter or section title, it contains a Running H/F variable that refers to the paragraph. To set this up, determine the tag for that paragraph.

5)Define the custom document properties, such as numbering and text options, and specify the view options.

Designing text formats

After designing the page layout, define how you want the text to be formatted:

•If your document will be opened or printed on computers other than your own, use fonts that are widely available.

•Paragraph formats provide the foundation of text formatting, so set them up before setting up the character formats.

•When creating a character format, set all the options in the Character Designer as As Is, and then specify only the settings you want to change. This way, the format will work with any paragraph format.

•Use tags that express the purpose rather than the appearance of the text. For example, name a format for emphasized text Emphasis rather than Bold. Then if you decide to change to italics for emphasized text, you can redefine the Emphasis format without having to retag any text.

•Use names that are easily recognizable. For example, you might name the formats for numbered lists Step1 and StepNext rather than st1and stn. Or, if you want to use the keyboard to apply paragraph and character tags, consider naming your tags st1 Step1 and stn StepNext. That way the tags and descriptions are quickly available from the keyboard.

•If the template uses more than one series of autonumbers, add a series label to the format for each autonumber. For example, define step autonumbers as S:<n+>, where S: is the series label.

•In paragraph formats, use either Space Above or Space Below consistently to add space above or below the paragraph. (FrameMaker uses only the larger of the two values to determine the space between paragraphs.)

Standardizing graphics, frames, and tables

If the documents will contain graphics, frames, or tables, follow these guidelines to maintain consistency:

•Place standard items on a reference page. You can include graphics that users will need again and again—for example, a symbol that calls attention to notes and cautions, or an anchored frame with a standard height and width. Users can copy and paste these items as needed.

•Create a paragraph format for anchored frames to provide consistent spacing around graphics. For example, a paragraph format named Frame could contain a Space Below setting of 20 points and a Line Spacing setting of zero. Then, each frame could be anchored to a blank paragraph with the Frame tag. Alternatively, you can use single-cell tables and their titles for graphics and their captions.

•If you will use text frames for graphic callouts, create a paragraph format for the callouts. If you will use text lines for callouts, create a character format. (You can’t apply a paragraph format to a text line.)

•Choose a color model and redefine colors and color views if necessary.

•Prepare standard table formats. Not all the properties you set for tables can be imported into another document. The width of text in actual tables varies greatly, as do other properties. So, regardless of how you prepare your tables, users will probably need to adjust some of these properties themselves. Think of your tables as models for users to start with.

Setting up numbering

The page numbering for new documents is set to Restart at 1. If you are building a template for continuous page numbering in books, you may want to set the page numbering in the template to Continue Numbering From Previous Page In Book. In addition, you may want to set the chapter numbering to Continue Numbering From Previous File In Book.

Define special text and fonts

You may need to do the following to set up special text items:

•Select a footnote numbering style and number format, and other footnote properties.

•Define formats for cross-references. Standardize as much of the cross-reference format as possible. For example, if cross-references should always be introduced by see, include that word in the format definition.

•Consider defining user variables for product names, document names, and other items that may change during the course of the project.

•Define condition tags, condition indicators, and view settings for conditional tags.

•Define custom marker types if you have to create specialized indexes.

•Define equation sizes and fonts if any documents will have equations.

•If your documents will contain Japanese-language text, define the combined fonts you want to use and set the properties of rubi text.

Set up HTML options

If documents based on your templates will be converted to HTML, you will need to set up the mappings and conversion macros that define how documents are converted.

•Set up the mappings from FrameMaker paragraph formats and character formats to HTML tags.

•Create the conversion macros that convert cross-reference formats to a form suitable for online documents.

•Create any other conversion macros you may need (for example, to place a logo at the top of every new web page, or to define the title of the HTML document).

3.5.2.Create templates for generated files

When you generate a table of contents, an index, or another kind of generated file, if the folder that contains the source document or book file contains a file whose name matches the generated filename, FrameMaker uses the formatting of the existing file when generating the new one. In effect, the existing file serves as the new generated file’s template, just as if you had imported formats from it. Use this feature to create generated file templates that contain page layouts, paragraph and character formats, and the formatting information that appears on the reference page.

You can also update the formats in a generated file by importing formats from a template. However, you’ll probably need to generate the file again after importing formats to see all the formatting.

1)Open the document or book file from which you want to generate the table of contents, index, or other file.

2)Generate the file.

3)Format the generated file. This formatted file is your template.

4)Save the generated file. Make sure that this generated file template is in the folder that contains the document or book file that you will use to create a new generated file.

Related links:

Import formats from a template or document

3.5.3.Create templates to change conditional tags settings

If you often change the view of conditional documents in a book, you may find it helpful to have a template for each view. You can then change the view of all the files in the book at the same time by importing the conditional tags settings from one of the templates into the book file.

If you want to change the view of a single document that contains conditional tags, it is easier to change the document’s Show/Hide settings.

1)Set up a basic template for the conditional document with all conditions and condition indicators visible. You’ll import conditional tags settings from this template before editing a document.

2)Set up a template for each combination of conditions you want to view. Use these templates to view or print one version of the document at a time. You can also use the template to change variable definitions that are unique to a view.

3.5.4.Change templates for blank paper and text files

You can change the custom template for blank paper so that it contains the formats you want. The template can contain the same formats as any other template, except for the page layout. The master page layout, number of columns, and margins are determined when you create the blank paper documents.

You can also change the custom template that FrameMaker uses when you open text files.

note: You can change the filename that FrameMaker looks for when it creates a blank paper document or opens a text file.

Change the template for blank paper

1)Change a document so it contains the formats and settings you want. Leave existing master pages empty and do not create custom master pages.

2)Remove all text frames from both the left and right master pages—even if a document is single-sided. (If the document is single-sided, choose Format > Page Layout > Pagination, select Double Sided, and click Set. Then select and delete the text frames on the master pages.)

3)Choose Special > Delete Pages and delete all body pages.

4)Save the document, using the Custom file in the FrameMaker fminit folder. (When you choose New > Adobe FrameMaker document from the context menu in a folder or on the desktop, the Shellnew.fm file is used.)

Change the template for text files

1)Change a document so it contains the formats and settings you want. For example, you can place headers and footers, a Paragraph Catalog, and master page graphics in the template document.

2)Delete all text on the body pages.

3)Click in the empty text frame on page 1, and tag it with the paragraph format you want all text in the document to use. The default template uses the Body paragraph format.

4)Save the document, using the txttmplt file in the FrameMaker fminit folder.

3.5.5.Import formats from a template or document

You can import paragraph formats, table formats, variable definitions, and other properties from any document. You can also retain or remove any format overrides in the document—for example, changes that were made to a paragraph but not stored in the Paragraph Catalog.

Import formats

1)Open the document that contains the formats you want to import.

2)Make the appropriate document window or book window active. If a book window is active, select the documents you want to update.

3)In the document or book you’re updating, choose File > Import > Formats.

4)Do one of the following:

•To import formats from a document, choose the document from the Import From Document pop-up menu. The pop-up menu lists all open, saved documents.

•To reapply formats from the current document, choose Current from the Import From Document pop-up menu.

5)Select the Import and Update settings you want to apply to the current document. By default, all options are selected. To deselect or select all options at once, click Deselect All or Select All. If you’re updating variable definitions, cross-reference formats, or math definitions, and if any of these items use character formats, select Character Formats so that the formats are added to the document.

6)To remove changes that you made to individual formats and didn’t save in a catalog, do the following:

•To remove page breaks that are not a part of a Paragraph Catalog format, select Manual Page Breaks.

•To remove paragraph, character, page layout, and table formatting overrides, select Other Format/Layout Overrides.

7)Click Import.

Related links:

About layout overrides

About import and update settings

When you import formatting information from a template, FrameMaker merges the information into the document rather than completely replacing the information. For example, when you import paragraph formats, FrameMaker adds the formats to the document’s Paragraph Catalog. If any formats have the same name in both documents, the imported format overwrites the original format. Any formats that are not overwritten remain in the document.

note: Format names are case-sensitive, so Body is not the same as body.

Paragraph formats

The template’s Paragraph Catalog is merged into the document, and all formats in the catalog are reapplied in the document. The template’s PDF bookmark settings are also copied into the document.

Character formats

The template’s Character Catalog is merged into the document, and all formats in the catalog are reapplied in the document.

Page layouts

The template’s master pages are merged into the document, and body pages are updated with the master page changes. If the template and the document both have a master page with the same name, the template’s master page replaces the document’s. FrameMaker copies the change bar properties, all the settings in the Page Size and Pagination dialog boxes, and most settings in the View Options dialog box.

Table formats

The template’s Table Catalog and ruling styles are merged into the document, and all formats in the catalog are reapplied in the document.

Color definitions

The template’s color definitions and views are merged into the document.

Document properties

The template’s custom marker types and footnote properties; the volume, chapter, page, paragraph, footnote, and table footnote numbering styles in the Numbering Properties dialog box; the characters in the Allow Line Breaks After setting in the Text Options dialog box; and the Feather settings in the Line Layout dialog box are merged into the document. The PDF Setup settings (other than the bookmark settings) are also merged into the document. On Japanese-language systems, the rubi properties and kumihan rules (Japanese-language typesetting rules) are also merged into the document.

Reference pages

All the template’s reference pages (except for FrameMath reference pages) are merged into the document. If the template and the document both have a reference page with the same name, the template’s reference page replaces the document’s. To import FrameMath reference pages, select Math Definitions.

Variable definitions

The template’s variable definitions are merged into the document.

Cross-reference formats

The template’s cross-reference formats are merged into the document, and internal cross-references are updated.

Conditional tags settings

The template’s condition tags and Show/Hide settings are merged into the document and applied to conditional tags.

Math definitions

The template’s equation size and font settings, custom math element definitions, and FrameMath reference pages are copied into the document. If a custom math element in the document is deleted when the reference pages are merged, FrameMaker replaces the math element in equations with the name of the element enclosed by question marks.

Combined fonts

On Japanese-language systems, the specifications for combined Japanese and Western fonts are merged into the document and applied to text that uses combined fonts.


Editing content

4.Editing content

FrameMaker provides you with a variety of options and tools to author content. Besides text, you can add graphics, images, tables, and links to your documents. You can also include complex mathematical equations and QR codes.


Text and special characters

4.1.Text and special characters

As an authoring environment, FrameMaker provides you will the tools to easily add text (including special characters) to a document. While text includes the standard characters such as letters and numbers, you can also enter characters such as tab, bullet symbols, mathematical symbols.

4.1.1.Add text and special characters

The insertion point marks where you enter or edit text. The location of the insertion point determines the paragraph to which paragraph formatting commands are applied.

You can also insert special text items, such as cross-references, footnotes, variables, and markers from the Special menu. When you click a special text item, such as a cross-reference, variable, or text inset, you select the entire item.

If you can’t place the insertion point in or next to text, consider these possible reasons:

•The text is background text that was typed on a master page. Display the master page that contains the text and place the insertion point in the text on that page.

•The text was automatically generated, as with paragraph autonumbers, cross-references, or headers and footers.

Related links:

Change tab stops

Search

Special characters

In addition to standard characters, you can type bullets, dashes, fixed-width spaces, mathematical symbols, international characters, and other special characters.

note: In FrameMaker, character (ALT) sequences are not implemented for Dingbats and Symbol fonts because Unicode equivalents of codepage 1252 for these fonts are provided by default. The character (ALT) sequences are implemented for the MakerRoman font family only.

For a list of characters in the Symbol and Zapf Dingbats fonts, a list of accented characters in the standard character set, and information on inserting the Euro currency symbol, see the online manual FrameMaker Character Sets.

Some special characters are entered or displayed differently in dialog boxes. In Windows, you enter a sequence of characters beginning with a backslash (\), these sequences are listed in Dialog boxes.

Tabs

Each time you press Tab, a tab symbol [image] is embedded in the text. The symbol does not appear in the printed document, but it is visible onscreen when text symbols are visible.

If the current paragraph has tab stops set, FrameMaker moves the insertion point and text one tab stop each time you press Tab. If tab stops are not set, pressing Tab doesn’t move the insertion point and text. If you press Tab more times than you have tab stops, the Tab symbols overlap. If you later add tab stops to the paragraph, FrameMaker positions the text correctly at the tab stops.

FrameMaker uses tab stops that are absolute rather than relative. With relative tab stops, each time you press Tab, the insertion point moves to the next available tab stop. With absolute tab stops, the nth tab on a line moves the insertion point to the nth stop. If that tab stop is to the left of the insertion point, the insertion point does not move.

Special spaces

When you press the spacebar, you insert a proportional space (whose width depends on the characters on either side of it). You can also insert special fixed-width spaces—for example, to increase the space between two words. When you type a special space between two words, the words always remain together on one line.

You can use the following types of special spaces:

•An em space is the same width as the point size of the font you use. For example, if you use a 10-point font, an em space is 10 points wide.

•An en space is half the width of an em space.

•A numeric space is the same width as the font zero (0) character. All digits are typically the same width. This space is useful for aligning numbers in a column without using tabs.

•A thin space is one-twelfth the width of an em space. A thin space is used to separate a number and the unit of measure that follows it, or characters that appear too close together—such as ” /)”.

•A nonbreaking space is the same width as the default space width for the font.

When Smart Spaces is on, you can’t type more than one proportional space in a row. However, you can type multiple fixed-width spaces.

Smart quotes

When Smart Quotes is on, FrameMaker uses a curved left or right quotation mark whenever you press the [image], [image], or [image] key. If you prefer straight quotation marks, turn off Smart Quotes.

Smart Quotes doesn’t apply to text in dialog boxes. For information on typing quotation marks and apostrophes in dialog boxes, see the online manual FrameMaker Character Sets.

1)To set smart specials, in the book window, select the documents you want to affect.

2)Choose Format > Document > Text Options.

3)Change the Smart Spaces or Smart Quotes option and click Apply.

tip: When you select Smart Quotes, FrameMaker doesn’t change any quotation marks that are already in the document. To find straight quotation marks and apostrophes, and change them to curved quotation marks and apostrophes, use the Spelling Checker or the Find/Change command.

4.1.2.Copy, move, and delete text

Pasted text retains its character format properties. If the pasted text contains paragraph symbols [image], the paragraph format associated with each paragraph is also pasted. Otherwise, the pasted text takes the paragraph format of the paragraph in which it is pasted.

You copy text more quickly if you bypass the clipboard, which is possible only if the original text and the new location are visible and exist in the same document. You must use the clipboard to copy and paste text from one document to another.

note: Text pasted into a new document retains the character and paragraph tags that were assigned to it in the original document. If the text has no equivalent tag in the current document, an asterisk appears next to the tag name in the status bar when the cursor is within the pasted text.

1)To copy text without using the clipboard, place the insertion point where you want to insert the copied text, hold down Alt, and select the text you want to copy.

4.1.3.Drag and drop text

FrameMaker allows you to drag and drop text. You can drag and drop text across various FrameMaker documents and across other applications that support the drag and drop feature.

In addition, FrameMaker allows you to drag and drop elements.

•To copy an element, hold the CTRL key while dropping the element in its new location.

•If you drop an element in an invalid location, the cursor changes to a ‘?’ to indicate that the location is invalid.

You can also drag and drop rows and columns of a table.

•In a table, to move a whole row or column, select the column or row, and hold the ALT key while dropping it to the new location.

•In a table, to copy a whole row or column, select the column or row, and hold the CTRL and ALT keys together while dropping it to the new location.note: If you do not hold the ALT key while dragging columns or rows, only the contents of the columns and rows are copied.


Importing and linking files

4.2.Importing and linking files

4.2.1.Import and link methods

You can import other Adobe FrameMaker documents, documents created in other applications, text files, and graphic files. You can also import SWF files and 3D objects into FrameMaker documents. An imported object can simply be copied into the document. It can also be linked—such as when you import by reference—so that it remains tied to its source for easy updating.

Related links:

Import text

Import graphics

Embed objects

Use the clipboard

Perhaps the easiest way to import text and graphics is by copying to and pasting from the clipboard. When using this method, keep in mind the following:

1)Select the object or text you want to copy and Choose Edit > Copy. The contents is copied to the clipboard.

2)Place the insertion point in the document where you want to paste the content, and then choose Edit > Paste.

When using this method, keep in mind the following:

•You can convert tab-delimited text to a table using the Table > Convert To Table command.

•Text formatting is lost unless you’re pasting into another FrameMaker document.

•Choosing Edit > Paste Special offers you more options. For example, you can choose to paste text in the RTF format or as an embedded Microsoft Word document. If you want to apply FrameMaker formats, then paste clipboard content as text. For graphics you can paste clipboard content as an embedded bitmap, a device independent bitmap, or a metafile.

•When you copy and paste text of a specific direction (LTR or RTL) into a FrameMaker document, you need to ensure the text direction of the destination location (document, table, or paragraph) is set to the same direction.

Use drag-and-drop

Import and export are greatly simplified when you can drag an object to its new location.

FrameMaker supports the following drag-and-drop operations:

•Move a graphic from one open FrameMaker document window to another by dragging the graphic. You can also copy it by Control-dragging it or display a context (shortcut) menu when you drop it by right-dragging it.

•Drag a graphic between a FrameMaker document window and any other application that supports drag-and-drop operations.

•Drag a graphic file from a folder or the desktop into an open document window.

•Drag one or more document files into the application window to open the files, or you can drag a single file into a document window to embed that file.

Use the File > Import > File command

Import by copying

Importing by copying makes it easy to transfer the imported material from one location to another, but it increases the document size. In addition, if you change the source material, you need to reimport it to update the document with the latest version.

1)Choose File > Import > File, choose the file you want to copy, and then select Copy Into Document.

Import by reference

Importing by reference keeps the imported text or graphics linked to the source file. FrameMaker stores the path to the source file in the document. Each time you open the document, FrameMaker locates the file on the disk and displays it. If the source file was revised, FrameMaker updates the document with the latest version. Importing by reference can reduce total file size because it lets you use the same material in several places without storing the contents of imported images or text in the FrameMaker document. Text imported by reference is called a text inset.

1)Choose File > Import > File, choose the file you want to copy, and then select Import By Reference

For information on how the path is stored when importing by reference, see Using paths when importing by reference.

Use the File > Import > Object command

The main benefit of using Object Linking and Embedding (OLE) is to display visualizations of data created in programs other than FrameMaker. The File > Import > Object option associates the imported object with the program used to create it so that you can edit the object in its native software. For example, you can insert a pie-chart created using Microsoft Excel in a FrameMaker document. Each time you double-click the inserted object, FrameMaker opens it in Microsoft Excel for you to edit.

note: You cannot embed or link an object whose native software is not installed on your computer. For example, if you open a document having a Photoshop image embedded through File > Import > Object, you need to have Photoshop installed on your computer to be able to edit this image.

Consider the following factors when deciding whether to import text and graphics by reference or to use OLE to embed or link them instead:

•If the material you want to include comes from another FrameMaker document, use import by reference. This provides many more import options.

•If you want to collapse a linked file to an icon instead of displaying the full contents of the file in your document, use OLE linking.

•If the material you want to include is in a format that FrameMaker can’t open, use OLE.

•If you edit or view your document on multiple platforms, use import by reference. OLE works only in Windows.

•If the text or graphics you want to include comes from an application that doesn’t support OLE, use import by reference.

4.2.2.Using paths when importing by reference

When you import by reference with File > Import > File, the path to the text or graphic can be either absolute or relative. A relative path begins at a current folder or one folder up the hierarchy and specifies the file’s location from there. An absolute path begins at the root of the file system (the topmost folder) and fully specifies the file’s location from there. Following are two examples of absolute paths.

•d:\Graphics\Mountain.gif

•\\DocServer\Graphics\Mountain.gif

FrameMaker stores relative paths whenever possible so that it can find an imported file even when you move both the document and the source file—as long as you keep the files in the same relative locations. If you save the document in a different folder, FrameMaker adjusts the paths of the imported files accordingly. However, if the path to the imported file traverses the root (the topmost folder) of the file system, FrameMaker uses absolute paths that begins at the root.

To ensure that FrameMaker uses relative paths, make sure that it does not have to traverse the root to locate the file.

4.2.3.Import text

You can use the File > Import > File command to import text on all platforms. This method provides more flexibility than using the clipboard.

However, if you’re working on only one platform, you might want to use a platform-specific approach. For information, see Embed objects.

The text you import can be formatted or unformatted. Unformatted text contains only the words; it has no information on fonts, indents, spacing, autonumbering, and so on. Formatted text contains these types of information.

Import formatted text

You can import formatted text into a FrameMaker document by importing from the following sources:

•A text flow from another part of the same document

•A text flow from another FrameMaker document

•A text flow from another FrameMaker document that is a Maker Interchange Format (MIF) file

•A file created in another application, such as Microsoft Word, which has an installed filter

When you import text from another FrameMaker document, you also import cross-references, footnotes, variables, markers, tables, and anchored frames. Conditional tags in the flow is also imported. When you import text from another application, some of these special items may be imported, depending on the capabilities of the other application and the filter used.

1)Click where you want to insert the text and choose File > Import > File.

2)Specify the file that contains the flow you want to import and the import method.

3)Click Import.

4)If the Unknown File Type dialog box appears, select a file type and click Convert. The dialog box that appears next depends on the import method you chose in step 2. The Import Text Flow by Reference dialog box contains settings for specifying how to update the imported flow. Choose a body page flow or a reference page flow. Typically, the text you import will come from body pages. Reference pages can contain flows with boilerplate text or graphics for use on body pages.

5)Specify how to format the imported text by doing one of the following:

•To apply the current document’s formats to the imported text whenever their tags match, click Reformat Using Current Document’s Formats. If the tags don’t match, the formatting of imported text is unaffected. Usually, you would also select the options to remove manual page breaks and other format overrides (such as font properties or tab settings) so that the imported text looks like text in the current document with the same tags.

•To remove the formatting from the imported text and apply the character and paragraph formatting used at the insertion point, click Reformat As Plain Text. (Text in tables or anchored frames retains the formatting it had in the source document.)

•To keep the formatting from the source document, click Retain Source’s Formatting. Formats in the imported text aren’t added to the current document’s format catalogs. If you later modify the current document’s formats, the imported text formats won’t be affected—even if the tags in the current document and imported text match.

6)If you are importing the text by reference, specify how to update the text inset by doing one of the following:

•To update the text inset whenever you open the document, click Automatic.

•To update only when you specify, click Manual.

7)Click Import. If you imported the text by reference, it appears as a text inset. (A text inset is linked to the source document and can’t be edited outside that source document.)

Import unformatted text

When you import the text from an unformatted text file, you specify whether to import it by copying or by reference and how to treat lines in the text file. The imported text adopts the character and paragraph formatting used at the insertion point.

1)Place the insertion point where you want to insert the text, and then choose File > Import > File.

2)Specify the text file you want to import, and the import method.

3)Click Import. The dialog box that appears depends on the import method (Import By Reference or Copy Into Document) you chose.

4)Specify how to treat the imported text by doing one of the following:

•To break the text into paragraphs only at blank lines, click Merge Lines into Paragraphs. Use this option for a paragraph-oriented text file such as a file containing document text.

•To break the text into paragraphs at the end of each line, click Treat Each Line As A Paragraph. Use this option for a line-oriented text file such as a file containing computer code.

•To convert the imported text to a table, click Convert To Table. Specify a table format and other settings. Use this option only if the file contains delimited text, such as text output from a database program.

5)If you are importing the text by reference, specify how to update the text inset by doing one of the following:

•To update the text inset whenever you open the document, click Automatic.

•To update only when you specify, click Manual.

6)If necessary, choose a character encoding from the Text Encoding pop-up menu. Do this only if you know that the preselected encoding is incorrect. If you force an incorrect encoding, character substitution sometimes occurs or some characters appear as question marks.

7)Click Import. If you imported the text by reference, it appears as a text inset.

4.2.4.Import graphics

You can import Adobe® Photoshop®, JPEG 2000, SVG, and Adobe® Illustrator® files into FrameMaker. Use File > Import > File to import graphics.

You can import a graphic into an anchored or unanchored graphic frame, into a rectangle that serves as a bounding box, or directly onto a page. If you want the graphic to move with text as you edit the document—for example, a graphic in longer documents or documents intended for HTML conversion—import the graphic into an anchored frame. If you want the graphic to stay where you place it—for example, if the graphic is the logo of a letterhead—import it onto the page and position it where you want it.

When you import a graphic, you can specify an import filter on the basis of the graphic’s format. When you import a bitmap image, you also specify its scale in dots per inch (dpi). The larger the dpi value, the smaller the graphic is on the page.

When you copy an image, or copy an image by reference, into a document, you can specify an HTTP path from which to import the graphic. The HTTP path is preserved in the XML roundtrip.

Related links:

Using paths when importing by reference

Import a graphic

1)Specify the position of the graphic by doing one of the following:

•To place the imported graphic in a graphic frame, select an existing frame or place an insertion point in a text frame.

•To place the imported graphic directly on a page, click in the page margin.

•To use a drawn rectangle to define the size of the imported bitmap graphic, select an existing rectangle or draw one (do not select an anchored or unanchored frame). The graphic replaces the rectangle if the Fit in Selected Rectangle option is selected when you import; however, the aspect ratio of the graphic remains unchanged.

•To replace an existing graphic, select it.

2)Choose File > Import > File.

3)Select the graphic file you want to import, or specify the HTTP path of the graphic file to import, and the import method.

4)Click Import.

5)If the Unknown File Type dialog box appears when you click Import, select a file type in the scroll list and click Convert.

6)If you're importing a bitmap graphic, choose a scaling option or Fit in Selected Rectangle and click Set.

tip: For the best printed results, choose a dpi value that divides evenly (or leaves only a small remainder) into the resolution of your printer or typesetter. For the best screen representation, choose a dpi value that divides evenly into your screen resolution. (Windows screens typically have a resolution of 96 dpi.)

Related links:

Import and link methods

Resize imported graphics

Embed objects

Import JPEG 2000 files

FrameMaker supports JPEG 2000, a version of the JPEG image-compression format.

When importing JPEG 2000 files, the filter converts the supported color modes of RGB, CMYK, Grayscale, and LAB and discards unsupported modes such as Index. The filter does not support 16-bit-per-channel images.

1)Choose File > Import > File.

2)Specify the file you want to import, and select Import By Reference or Copy Into Document.

3)Click Import. If the Unknown File Type dialog box appears, select JPC, J2C, JPX, JPF, J2K, or JP2, and click Convert.

Import SVG images

When importing a Scalable Vector Graphic (SVG), the SVG Import dialog box allows the user to select the rasterization quality of the image. By increasing the rasterization quality, printed and PDF versions are crisper; however, increasing the rasterization also increases the file size of the image, and it takes longer to import it.

FrameMaker prints Scalable Vector Graphic (SVG) images to PostScript printers by rendering the images as vector graphics using Encapsulated PostScript (EPS). For non-PostScript printers, FrameMaker uses the FrameImage format.

In addition, when you create a PDF file from a document containing an SVG image, the image appears as vectors, which improves its look in Acrobat and allows you to zoom in on it without pixelation.

note: Embedded SVG image animations are not functional in FrameMaker.

1)Choose File > Import > File.

2)Click Import.

3)Specify the file you want to import, and select Import By Reference or Copy Into Document.

4)Click Import.

5)In the Import SVG dialog box, specify the raster quality.

6)Specify image dimensions if they are different from the default size (you can’t scale proportionally in this dialog box).

7)Click Set.

note: Depending on the rasterization quality and available memory, it might take several minutes for the SVG image to import.

Import Adobe Photoshop files

FrameMaker supports importing of Adobe Photoshop (PSD) files. FrameMaker converts PSD files to native FrameImage format and converts the color space (Photoshop RGB, CMYK, LAB, Indexed, Grayscale, or Bitmap) to RGB.

You import PSD files the same way you import other types of graphics.

Import Adobe Illustrator files

When you import an Adobe Illustrator file into FrameMaker, the file is treated as a graphic, and only one page can be imported at a time. You can import it either by copy or by reference. Both process and spot colors can be displayed and printed.

note: Graphics that use transparency do not always print as expected to a PostScript Level 1 or non-PostScript printer. If you run FrameMaker using the -noapioption (./maker.exe -noapi), you won’t be able to import PDF files.

1)In FrameMaker, choose File > Import > File, and specify the Illustrator file you want to import.

2)Select either Import By Reference or Copy Into Document.

3)Click Import.

4)If the file has more than one page, specify the page number you want by typing the page number into the box.

5)Click Select.

Illustrator files are imported at the page size of the file. Resize the anchored frame to crop any white space from the image.

Locate missing graphics

When you open a document that contains graphic files imported by reference, FrameMaker looks for the referenced graphic files. If it can’t find a graphic file, it displays a dialog box.

Locate a graphic FrameMaker can’t find

1)When FrameMaker displays the Missing File dialog box, do one of the following:

•To find and display the graphic, use the scroll list to select it and click Update Document to Use New Path. FrameMaker continues to use the new path to try to find other missing files while opening the document. That way, if you move all your graphic files to a new location, you specify the new path only once.

•To skip the graphic file, click Skip This File. The skipped graphic appears as a gray rectangle in the document. The next time you open the document, FrameMaker tries to find the file again.

•To skip other graphic files if they can’t be found, click Ignore All Missing Files.

2)Click Continue.

View an imported graphic’s filename

1)Select the graphic that has been imported by reference and choose Graphics > Object Properties. The graphic’s name and path appear in the panel.

Insert imported graphic elements into structured documents

Some graphic elements are defined for you to import a graphic along with the element. When you insert the element, FrameMaker displays an import dialog box. The graphic you import appears in an anchored frame below the line with the anchor symbol, and the frame is automatically sized large enough for the graphic.

Imported graphic in an anchored frame

After inserting the element, you can edit the frame by moving it, resizing it, and so on.

You can also import a graphic into an existing anchored frame—for example, if you used a graphic element that placed an empty frame in the document.

When you import a graphic element, you can make it part of your document (imported by copying) or keep it linked to its original application or document (imported by reference).

For information on inserting an imported graphic that’s not an element (which you can do only in an unstructured flow), see Import graphics.

Related links:

Fill and edit anchored frames

Import and link methods

Insert an imported graphic element

1)Click where you want to anchor the frame.

2)Select an imported graphic element in the Element Catalog, and click Insert.

You can also use File > Import > File to insert an element. Select a file and click Import. If more than one imported graphic element is available, choose the one you want from the Element Tag pop-up menu in the next dialog box that appears.

3)Select the graphic file you want to import and specify whether to import by copying or by reference.

4)Click Import.

5)If the Unknown File Type dialog box appears, select a file type in the scroll list and click Convert.

6)If the graphic you’re importing is a bitmap, choose a scaling option from the pop-up menu and click Set. The larger the dpi (dots-per-inch) value, the smaller the graphic is on the page.

An anchored frame with the imported graphic appears in the document window, with an anchor symbol

at the insertion point. A bubble with the text snippet <GRAPHIC> appears in the Structure View.

If no imported graphic element is available at the location you want, you can use an invalid element. After inserting the element, talk to your developer about making the element valid at this location.

Related links:

Import by copying

Change the scope of elements available in a structured document

Use an invalid imported graphic element

1)Do one of the following:

•To use an element that is valid in another part of the document, either insert the element in a valid location and then move it, or use the All Elements setting to make the element available everywhere and then insert the element where you want it.

•To insert an invalid element with the default tag GRAPHIC, use File > Import > File to import a graphic. (The element has a default tag if no defined imported graphic elements are available.)

Add an imported graphic to an existing anchored frame

1)Select the frame and use File > Import > File to import the graphic.

4.2.5.Import movies, SWF files, and 3D objects

You can import SWF files (for example, Adobe Captivate demos) into FrameMaker documents by copying or by reference.

You can also import 3D objects (U3D format) into documents by copying or by reference. You can set parameters for the 3D object, such as default view, rendering mode, background color, and lighting scheme. You can also choose to render a 3D object in an anchored or unanchored frame.

For a series of tutorials and demonstrations on using rich media in FrameMaker authoring, watch the episodes on the Technical Communications channel on Adobe TV.

Import movies

You can add movies to documents by embedding media files. FrameMaker supports the following media formats.

•AIF/AIFF (Audio Interchange File Format) WMV

•ASF (Advanced Systems Format File)

•AU (Audio File)

•AVI (Audio Video Interleave File)

•FLV (Flash Video File)

•IVF (Indeo Video Format File)

•KAR (Karaoke MIDI File)

•M1V (MPEG-1 Video File)

•M3U (Media Playlist File)

•MID (MIDI File)

•MOV (Apple QuickTime Movie)

•MP2 (MPEG Layer II Compressed Audio File)

•MP3 (MP3 Audio File)

•MP4 (MPEG-4 Video file)

•MPA (MPEG-2 Audio File)

•MPE (MPEG Movie File)

•MPEG (MPEG Movie)

•MPG (MPEG Video File)

•QT (Apple QuickTime Movie)

•WAV (DTS-WAV File)

•WMV (Windows Media Video File)

For more information see Embed objects.

When you print a document containing a QuickTime movie, only the movie title appears.

note: Don’t move or delete the original QuickTime movie file, even if you used the Copy into Document option when you imported it. Even with this option, the entire QuickTime movie is not copied into your document.

Import a SWF file

note: Ensure that you have installed Adobe® Flash® Player on your computer to play SWF files.

note: SWF files embedded inside PDF documents, do not need Adobe Flash Player, to play. Acrobat Pro and Acrobat Reader can play these files.

1)Place the insertion point in your document where you want the SWF file to appear.

2)Select File > Import > File.

3)Navigate to, and select, the SWF file you want to insert.

4)Select the Copy Into Document or Import by Reference option.

5)Click Import.

6)In the Graphic Scaling dialog box, select the desired DPI, and then click Set.

When you click Set, the first frame of the SWF file appears in the document. If you imported the file by reference, double-click the first frame to play the SWF file in a separate Adobe Flash Player window. If you copied the SWF file into the document, a bitmap image of the first frame is displayed. Click the frame to activate the SWF file. If the first frame is blank, the anchored frame containing the SWF file appears blank.

note: You can’t use any graphic operations on a SWF file in a FrameMaker document. In FrameMaker, SWF and FLV files are saved as RichMedia objects in PDF.

Import 3D objects

1)Place the insertion point in your document where you want the 3D object to appear.

2)Select File > Import > File.

3)Navigate to and select the U3D file you want to import.

4)Select the Copy Into Document or Import By Reference option.

5)Click Import.

6)Select the desired DPI and click Set.

When you click Set, the bitmap of the 3D object appears in the document. If you imported the 3D object by copying it, the U3D file is embedded in the document as a device-independent bitmap (DIB) in the document. If you imported the 3D object by reference, a bitmap image linked to the source U3D file is inserted in the document. Regardless of the method of importing the 3D file, the file is rendered in the DIB facet in the document.

When you import the 3D object into a document and save it in PDF or XML format, all information about the 3D object is preserved.

Save a document containing 3D objects

You can save a document containing 3D objects in PDF and XML formats.

1)Select File > Open, and then open the FrameMaker book or file containing 3D objects.

2)Select File > Save As PDF.

3)You can change the save location and the filename if you want, and then click Save.

4)Click Set in the PDF Setup dialog box to generate PDF with the default settings. Or, set additional options, and then click Set. The U3D file imported into the book or file is saved along with all its views. When you open the PDF, the view you last selected for the 3D object in the document displays in the PDF.

note: By default, FrameMaker is configured to embed 3D objects in PDFs. However, you can disable this option.

In the PDF, click the 3D object to view the 3D toolbar and to activate the interactive features of the 3D object. The Adobe Acrobat 3D toolbar, which is displayed above every 3D object in a PDF, lets you zoom, pan, rotate, and analyze 3D designs.

Save documents containing 3D objects as XML

You can save a FrameMaker file containing a 3D object as XML. When you open the XML file in FrameMaker, the 3D object is preserved through XML roundtrip. The 3D object is extracted and saved as an independent U3D file, along with the XML file. When the file is opened again in FrameMaker, the 3D object appears at the location where it was inserted.

To preserve changes made to a 3D object during a roundtrip in an XML file, add a new attribute called insetdata with the following properties in the Graphic section of the DTD file, along with other attributes such asOffsetand DPI:

insetdata CDATA #IMPLIED

Similarly, you must add the following lines in the XSD file:

<xsd:attribute name="insetdata" type="xsd:string" use="optional"/>

note: The insetdata attribute does not support read/write rules.

If you don’t modify the DTD and XSD files, U3D files can still be exported to XML. However, changes made to the U3D file in FrameMaker are not preserved during a roundtrip.

1)Select File > Open, and open the FrameMaker file containing 3D objects.

2)Select File > Save As XML.

3)You can change the save location and the filename, and then click Save.

note: When you open the XML file in a 3D compatible XML Editor, the relevant graphic element contains a reference to the U3D file, with the filename and location of the U3D file. If you open the XML file in FrameMaker, the 3D object appears as a bitmap image.

Print a FrameMaker file with 3D objects

You can print a document with 3D objects. The 3D objects are printed as bitmap images.

1)Open the document containing 3D objects.

2)Select File > Print.

3)Set the remaining print options as necessary, and then click Print.

Configure a 3D model imported into FrameMaker

You can configure a 3D model you have imported into a document by setting its background color, lighting schemes, changing views, and rendering mode.

Set the background color for a 3D object

You can change the color that appears behind a 3D object. The default background color is white.

1)Select a 3D object.

2)Select Graphics > 3D Menu option > Background Color.

3)Select the desired color and click OK.

Set lighting schemes for a 3D object

You can select from a wide range of 3D lighting schemes to cast a 3D object using different light sources. The default lighting scheme for all 3D objects is Lights From File.

1)Select a 3D object.

2)Select Graphics > 3D Menu option > Lighting, and choose one of the following light sources: Lights From File, No Lights, White Lights, Day Lights, Bright Lights, Primary Color Lights, Night Lights, Blue Lights, Red Lights, Cube Lights, CAD Optimized Lights, or Headlamp.

Set views for 3D objects in FrameMaker

The 3D object you import into a document can contain predefined views. You can change the view set for the object; the selected view is rendered when the document is saved. When you convert this FrameMaker document to a PDF, all predefined views of the 3D object are available in the PDF. The last view that you selected in the document before saving becomes the default view in the PDF.

1)Select a 3D object.

2)Select Graphics > 3D Menu option > Show Existing Views, choose a view from the list that appears in the dialog box, and click OK.

note: If you save the document as a PDF, all views of the U3D objects are available in the converted document.

Render a 3D object in a document

The rendering modes for 3D objects vary from the Wireframe, Solid, to Transparent Bounding box. The default rendering mode is Solid.

1)Select a 3D object.

2)Select Graphics > 3D Menu option > Rendering Mode, and then choose one of the following rendering modes: Bounding Box, Transparent Bounding Box, Transparent Bounding Box Outline, Vertices, Shaded Vertices, Wireframe, Shaded Wireframe, Solid, Transparent, Solid Wireframe, Transparent Wireframe, Illustration, Solid Outline, Shaded Illustration, or Hidden Wireframe.

Poster file for a media file

You can set a poster file to an imported media file. Importing a SWF file into FrameMaker, displays the first frame of the SWF file as the poster for the SWF file.

SWF file with first frame as the poster

For a SWF file whose first frame cannot be read, and for all other media types, FrameMaker displays the relevant placeholder image.

For structured documents, if an attribute is defined in the DTD with the name posterfile for a graphic object, the attribute is automatically mapped to the poster property of the anchored frame. You can also map any attribute to a poster using a rule in the read write file. The file referred in the attribute becomes the poster.

Set a poster image

FrameMaker sets the selected image as the poster. If the image that has been set as a poster is missing, FrameMaker sets a special image as the poster.

1)Right click the inserted media file.

2)Select Set Poster.

3)Select the image file (JPEG, PNG, BMP, or GIF) and click OK.

Reset the poster image

1)Right click the inserted media file.

2)Select Set Default Poster.

4.2.6.Import other files

You can import PageMaker, QuarkXPress, PDF, RTF, MIF, Microsoft Word, and Microsoft Excel files into FrameMaker. Use File > Import > File to import these files.

note: FrameMaker lets you import PageMaker 6.5 or 7.0 and QuarkXPress 3.3 or 4.1 documents.

Import PageMaker and QuarkXPress files

1)In FrameMaker, choose File > Open, and specify the PageMaker or QuarkXpress file you want to import.

2)Choose the appropriate file type in the Unknown File Type dialog box:

•If importing a PageMaker file, choose PageMaker [version] Document or PageMaker [version] Template.

•If importing a QuarkXPress file, choose QuarkXpress Document (3.3-4.1x).

3)Click Convert. If the Missing File dialog box appears, navigate to the folder that contains the missing file, click the name of the file, and click Continue.

FrameMaker imports the main components of PageMaker and QuarkXPress files.

Master Pages

FrameMaker adds a new master page for each master page in the document you are importing. All master-page items are placed on their corresponding master pages in FrameMaker. If you have custom-named master pages in PageMaker, FrameMaker uses the same name.

For QuarkXPress documents, FrameMaker imports all text objects on master pages as text flows, and preserves all body-page overrides. FrameMaker drops any overrides for other objects on body pages.

Sections

FrameMaker ignores sections and imports their contents only.

Layers

FrameMaker treats all layers in an imported document as one layer. The page items are drawn according to their stacking order on the page, starting with items on the master page and then items on the body page.

Character styles

FrameMaker creates new character formats for the character styles in the document you’re importing. If a character style has the same name as a character format in FrameMaker, the attributes in the character format are replaced by the corresponding attributes from the imported file. FrameMaker doesn’t import PageMaker or QuarkXPress character attributes that aren’t supported by FrameMaker.

Paragraph styles

FrameMaker creates new paragraph formats for the paragraph styles in the document you’re importing. If a paragraph style has the same name as a paragraph format in FrameMaker, the attributes in the paragraph format are replaced by the corresponding attributes from the imported file. FrameMaker doesn’t import PageMaker or QuarkXPress paragraph attributes that aren’t supported by FrameMaker.

FrameMaker creates a paragraph format (right) for each paragraph style (left) in the PageMaker document you’re importing.

Paragraphs with local overrides in the original document are also treated as overrides by FrameMaker.

Importing tagged text from PageMaker displays the actual tag names in the FrameMaker document. Deselect Export Tags in the PageMaker Text Export dialog box to import the text only, not the tag name.

Paragraph rules

FrameMaker imports paragraph rules as a single-line frame defined in the reference pages. All other settings applied to the rules, such as line colors, line styles, and so on, are not imported.

Drawing objects

FrameMaker imports all drawing objects. If fill and stroke colors are different, the fill color is used for both stroke and fill. The runaround settings are dropped.

Non-printing objects

FrameMaker doesn’t import non-printing objects.

Tate-Chu-Yoko

Because FrameMaker doesn’t support vertical text, FrameMaker treats Tate-Chu-Yoko as horizontal text.

Color definitions

FrameMaker creates color definitions to match custom colors or colors from a color library that are defined in the PageMaker or QuarkXPress file. However, if a color definition with the same name exists in FrameMaker, the FrameMaker color is used, and no new color is created.

Graphics

FrameMaker uses its filters to import linked (referenced) graphics files. If it doesn’t have the appropriate filter, FrameMaker doesn’t import the graphics files. For embedded graphics, FrameMaker uses the image data to import the graphics.

When importing a floating graphic, FrameMaker positions the graphic at the same position as in the original file. When importing an inline graphic, FrameMaker positions the graphic in the text flow in the same text position as in the original file.

OLE objects

FrameMaker supports OLE. FrameMaker imports OLE objects as long as FrameMaker supports the graphic format.

Grouped objects

FrameMaker supports hierarchical grouping of objects.

Hyperlinks

FrameMaker supports hyperlinks. For PageMaker documents, FrameMaker imports object and page item anchors as cross-references.

Table of contents

FrameMaker imports the table of contents generated in QuarkXPress or PageMaker as regular text.

Pasteboards

FrameMaker imports all pasteboard objects inline in their corresponding anchored frame. FrameMaker creates a separate section in the reference pages for the pasteboard objects it imports.

Indexing

FrameMaker imports all index entry markers but treats the index as regular text.

Import PDF files

When you import a PDF file into a FrameMaker document, the PDF file is treated as a graphic. Only one page of the PDF file can be imported into the FrameMaker document at a time. Both process and spot colors can be displayed and printed.

Graphics that use transparency do not always print as expected on a PostScript Level 1 or non-PostScript printer.

1)Specify the position of the graphic.

2)Choose File > Import > File.

3)Select the PDF file you want to import and click Import.

4)If the PDF file has more than one page, specify the page number in the Select PDF Page dialog box. Use the slider to display a thumbnail image of the page you want, and then click Select.

Import MIF files

MIF is a text format that lets you exchange information between FrameMaker and other applications. All types of format and page layout information are translated to MIF commands. FrameMaker interprets the commands in the MIF file, turning them back to formatting and layout properties.

You can import the text of a specified flow of a MIF file as you do any FrameMaker file. When you import by copying, all reference and master pages are imported as well as the body pages. The body text appears on a disconnected page. For information on MIF, see the online manual MIF Reference.

Related links:

Connect text frames

Import formatted text

Import Microsoft Word files

You can import Microsoft Word (.doc or .docx) documents into FrameMaker documents.

If you saved your Microsoft Word document in the Word 97-2003 format, you can import it using the Microsoft Word or the Microsoft Word 2007 filter. However, if you want to import a Microsoft Word 2007 document, you must use the Microsoft Word 2007 filter. You can import RTF files using the Microsoft RTF 1.6 filter in the Unknown File Type dialog box.

note: When you import a Word document of a specific direction (LTR or RTL) into a FrameMaker document, you need to ensure the text direction of the destination location (document, table, or paragraph) is set to the same direction.

1)Place the insertion point in the document where you want to insert the text, and then choose File > Import > File.

2)Specify the file you want to import, select the Import by Reference or Copy Into Document option, and then select Import.

Depending on the document you are importing, the Microsoft Word or Microsoft Word 2007 filter is selected in the Unknown File Type dialog box.

3)Click Convert. The Import Text Flow by Copy or the Import Text Flow by Reference dialog box appears.

note: Bookmarks within Word documents become cross-reference markers; annotations in Word documents become conditional tags with the condition “Comment” when imported by reference; hidden text in Word documents becomes conditional tags with the condition “Hidden” when imported.

Depending on if you choose Import by Reference or Copy Into Document, you need to follow the steps in one of the following procedures:

Import by Reference

If you choose Import by Reference in step 2 above:

1)In the Flow to Import area, select a Body Page Flow or a Reference Page Flow.

2)In the Formatting of Imported Flow area, select one of the following options:

•To select the Remove Manual Page Breaks option and the Other Format Overrides option, click Reformat Using Current Document's Formats.

•To convert the imported content to plain text and then insert it in the document, click Reformat as Plain Text.

•To retain the imported content in its original format and then insert it in the document, click Retain Source's Formatting.

3)In the Import Text Flow by Reference dialog box, select one of the following options in the Updating of Imported Flow area:

•To update the imported flow area automatically, click Automatic.

•To update the imported flow area manually, click Manual.

4)Click Import.

Copy Into Document

If you choose Copy Into Document in step 2 above:

1)If you choose to import a .docx document, you are prompted with a warning that importing a Word document of type .docx can cause loss of data. You can still choose to import the .docx document or you can cancel the procedure and first convert the document to .doc in Word.

FrameMaker analyses the paragraph and character styles in the Word document and maps these to the paragraph and character styles defined in the current FrameMaker template.

The Word Import dialog displays a message indicating (green indicator) the styles in the source Word document that matched the styles in the destination FrameMaker template. If a matching FrameMaker style is not found, the FrameMaker document formats defaults to the source Word style.

important: The style mapping is performed based on the names of the styles found in the Word and FrameMaker documents. The mapping is not based on the formatting definition of the styles.

In the FrameMaker document formats list, for each Word style, you have the option to select an alternative FrameMaker style.

2)In the drop-down list, choose a FrameMaker style that you want FrameMaker to apply to the corresponding Word styles in the imported document.

If the FrameMaker template contains a mapping style, the FrameMaker style is displayed, by default, in the drop-down. You can use this style or choose any other template style from the drop-down.

3)If no mapping FrameMaker style was found for the Word style, by default, FrameMaker will apply the Word style formatting. However, you can still choose an alternate FrameMaker style from the drop-down.

4)If the Word style contains a corresponding FrameMaker style, to use the Word style formatting, click the Keep Word formatting.

5)For each style map, if you retain the default option <Add new format> or you choose the Keep Word Formatting option, the Word style definitions are imported into FrameMaker. However, if a paragraph or character style in Word contains an inline style, select Import Word document inline styles and list format to include the inline styles in the FrameMaker document.

6)For each table in the Word document, choose to use the table style as defined in the Word document or select a FrameMaker table style from the Tables drop-down list.

7)In the Advanced Setting dialog, you can choose to remove the manual page breaks, if any, that are included in the Word document.

You can also choose to not include empty paragraphs, if any, that are included in the Word document.

8)Click Save Preset File to save the current settings such as the paragraph, character, and table style mapping settings to a preset file.

Later, if you are importing other documents that use similar styles and you need to use the same style mapping, click the open button to use the saved preset file.

Import Microsoft Excel files

You can import Microsoft Excel documents with XLS or XSLX extensions into FrameMaker documents.

If you saved your Microsoft Excel document in the Excel 97-2003 Workbook format, you can import it using the Microsoft Excel or the Microsoft Excel 2007 filter. However, if you want to import a Microsoft Excel 2007 document, you must use the Microsoft Excel 2007 filter.

1)Click where you want to insert the file, and choose File > Import > File.

2)Specify the file you want to import, select Import by Reference or Copy Into Document option, and click Import.

Depending on the document you are importing, the Microsoft Excel or Microsoft Excel 2007 filter is selected in the Unknown File Type dialog box.

3)Click Convert. The Import Text Flow By Copy or the Import Text Flow By Reference dialog box appears.

4)In the Flow To Import area, select Body Page Flow or Reference Page Flow.

5)In the Formatting Of Imported Flow area, select one of these options:

•To select the Remove Manual Page Breaks option and the Other Format Overrides option, click Reformat Using Current Document's Formats.

•To convert the imported content to plain text and then insert it in the document, click Reformat As Plain Text.

•To retain the imported content in its original format and then insert it in the document, click Retain Source's Formatting.

6)In the Import Text Flow By Reference dialog box, select one of the following options displayed in the Updating Of Imported Flow area:

•To update the imported flow area automatically, click Automatic.

•To update the imported flow area manually, click Manual.

7)Click Import.

4.2.7.Import formatting properties

Import formats

You can import a wide variety of formatting information—including page layouts, paragraph and table formats, variable and color definitions, and conditional tags settings. If your source document has any conditional expressions created, they, along with their Show As Per Expression status are also imported into the target documents. Similarly, in structured documents, any Filter By Attribute settings that you defined are also imported.

1)Open the template with the formats. The template must be named and saved.

2)Open the document or book that you want to update. If a book window is active, select the documents you want to update.

3)In the document or book you’re updating, choose File > Import > Formats.

4)Choose the template from the Import from Document pop-up menu. The menu lists all open, named documents.

You can also choose the current document to reapply the formats the document already has. This is useful mainly for removing formatting changes, as described in step 6.

5)Select the Import and Update settings you want to apply to the current document.

•If you’re updating cross-reference formats, math definitions, or variable definitions, and if any of these items uses character formats, also select Character Formats so that any new formats are added to the document.

•If the HTML mappings have been modified, select Reference Pages.

6)If you want to remove formatting changes that are not saved in catalog formats, do the following:

•To remove page breaks that are not part of a paragraph format, select Manual Page Breaks.

•To remove paragraph, character, page layout, and table formatting overrides, select Other Format/Layout Overrides.

important: In most cases, do not select Other Format/Layout Overrides in a structured document because the element definitions sometimes use format overrides.

7)Click Import.

Format settings

When you import formats, FrameMaker merges the new formatting information into the document. For example, if you import table formats, the formats are added to the Table Catalog. If a format already in the catalog has the same name as an imported format, the imported format replaces the original one. Any formats that are not overwritten remain in the catalog.

Paragraph formats

The template’s Paragraph Catalog is merged into the document, and all formats in the catalog are reapplied in the document.

Character formats

The template’s Character Catalog is merged into the document, and all formats in the catalog are reapplied in the document.

Page layouts

The template’s master pages are merged into the document, and body pages are updated with the master page changes. If the template and the document both have a master page with the same name, the master page of the template replaces that of the document. FrameMaker copies the change bar properties, all the settings in the Page Size and Pagination dialog boxes, and most settings in the View Options dialog box.

Table formats

The template’s Table Catalog and ruling styles are merged into the document, and all formats in the catalog are reapplied in the document.

Color definitions

The template’s color definitions and views are merged into the document.

Reference pages

The template’s reference pages (except for FrameMath™ reference pages) are merged into the document. If the template and the document both have a reference page with the same name, the reference page of the template replaces that of the document. To import the FrameMath reference pages, select Math Definitions.

Document properties

The template’s custom marker types and footnote properties; the volume, chapter, page, paragraph, footnote, and table footnote numbering styles in the Numbering Properties dialog box; the characters in the Allow Line Breaks After setting in the Text Options dialog box; and the Feather settings in the Line Layout dialog box are merged into the document. The PDF Setup settings (other than the bookmark settings) are also merged into the document. On Japanese-language systems, the rubi properties and kumihan rules (Japanese-language typesetting rules) are also merged into the document.

Variable definitions

The template’s variable definitions are merged into the document.

Cross-reference formats

The template’s cross-reference formats are merged into the document, and internal cross-references are updated.

Conditional tags settings

The template’s condition tags and Show/Hide settings are merged into the document.

Math definitions

The template’s equation size and font settings, custom math element definitions, and FrameMath reference pages are copied into the document. If any custom math elements in the document are deleted when the reference pages are merged, FrameMaker replaces the math elements in equations with the name of the math element enclosed in question marks.

note: In FrameMaker equations, the term “math element” refers to part of an expression. A math element is not a structural element.

Combined fonts

On Asian-language systems, the specifications of combined fonts are merged into the document.

About formatting overrides

The formatting information for a document can come from format rules in element definitions and from predefined formats stored in catalogs. It is possible for a document to have overrides to both sources of information:

•A format rule override is a deviation from a text element’s format rules. For example, if the rules specify a paragraph format for an element and you apply a different format, or if the rules specify boldface text and you change the text to italics, you are overriding the element’s format rules.

•A format override is a deviation from a catalog format for text or a table. For example, a paragraph format may specify the Times font family. If you change some text that uses that format to the Palatino font (without saving the change in the format), you are overriding the format. Format rules often use a few catalog formats and specify format overrides to them to describe many different formatting variations.

Generally, avoid using either type of override in your structured document. Let the document handle the formatting automatically, and see your application developer if you’d like to change any of the formatting properties.

If your document does have overrides, you can remove them throughout the document all at once when you import and update.

important: If you need to remove both kinds of overrides from a document, import formats and remove format overrides first, and then import element definitions and remove format rule overrides. Removing the rule overrides last ensures that the elements conform to their format rules.

Find and remove overrides

You can use the Find option to search and remove format overrides at paragraph, character, and table format levels.

1)Select Edit > Find.

2)From the Find pop-up menu, select Paragraph, Character, or Table format override.

3)From the Change pop-up menu, select Remove Override.

4)Click Find.

5)For each instance of format override, click Change to remove the override.

Import properties from a template

You can import element definitions and other properties into your document from any FrameMaker document. Typically, this other document is a template that you did not use for creating the document. (If you created your document from the appropriate template, you don’t need to import properties; the document already has the properties it needs.)

If your document’s template has been revised, import from the template again to update your document.

You can also import properties into all the files in a book at once.

Related links:

Import formats into book files


Equations

4.3.Equations

4.3.1.Placing and displaying equations

You can place an equation inline with paragraph text or display it in a paragraph of its own. In either case, FrameMaker creates an anchored frame for the equation. You can position an equation with other objects in an existing graphic frame, to annotate a graphic, for example. The graphic frames that contain equations can be either anchored or unanchored.

A. Inline B. Display C. In a graphic with other objects

Inline and display equations in structured documents

An equation element provides a frame with an equation object into which you can enter mathematical expressions. Like an anchored frame for graphics, an equation frame is anchored to a specific location in text.

You can insert an equation element inline with paragraph text or in a separate display paragraph.

A. Inline equation B. Display equation

An equation element appears in the document structure where it is anchored to text, regardless of the equation position on the page. In the Structure View, a square-cornered bubble with the snippet <EQUATION> indicates an equation element. The equation itself is not part of the structure.

Equation element

If you export to SGML or XML, FrameMaker writes the equation to a separate graphics file (CGM format). Then FrameMaker adds an entity reference to it from your SGML or XML file.

You can change the file format for equations using a read/write rule. If you change the file format to MIF, FrameMaker keeps a track of equations and their respective file names. Saving the equation multiple times, still saves it to its one file, instead of creating multiple files as in FrameMaker 9.

For example:

New behavior | Old behavior
Equation 1 is saved in file say eq1.mif Editing the FrameMaker content and subsequently saving the file, saves equation 1 to the same eq1.mif. FrameMaker does NOT create new files on every save for the same equation. | Equation 1 is saved in file say eq1.mif Editing the FrameMaker content and subsequently saving the file, creates a new file say eq2.mif for the same equation 1. FrameMaker creates new files on every save for the same equation.

Equations in graphic frames in structured documents

You can also place an equation in an anchored frame that’s already inserted for graphics. Do this to combine the equation with graphic objects. If the anchored frame is an element, the element is part of the document structure. However, the frame contents, including the equation, do not appear in the structure.

An equation in an anchored frame with graphics sometimes produces unwanted results if you export to SGML or XML. In general, if you plan to export to SGML or XML, place only one object in a frame.

4.3.2.Equations pod overview

The Equations pod contains the commands to create and change equations. It also contains the symbols, operators, functions, and other math elements you insert in equations. To display the pod, click the Equations button [image] at the upper-right in the document window.

A. The Equations pop-up menu appears on every page. B. This part of the pod changes from page to page. C. The names of the pages appear here, with the current page highlighted.

The Equations pod contains nine pages of math elements and commands. To display a page, click its name at the top of the pod.

Symbols

Greek characters, atomic symbols, diacritical marks, and strings.

Operators

Roots, powers, signs, subscripts, superscripts, and logic symbols.

Large

Sums, products, integrals, intersections, and unions.

Delimiters

Parentheses, brackets, curly brackets, and substitution.

Relations

Equal, less than, greater than, similar to, subset of, superset of, and proportional to.

Calculus

Integrals, derivatives, partial derivatives, gradients, and limits.

Matrices

Matrices and matrix commands.

Functions

Trigonometric, hyperbolic, and logarithmic functions; commands for evaluating expressions; and commands for creating and applying rules.

Positioning

Controls to adjust the position of an expression and the spacing around it, commands to specify alignment, and commands to set and clear manual line breaks.

4.3.3.Create equations

To create an equation, insert an equation object in the document and then insert math elements in the equation.

tip: When working with an equation, zoom in until it’s easy to read.

Create an inline equation

1)Click in text where you want to insert the equation. If the text is in a rotated text frame, unrotate the frame first by selecting the rotated text frame and pressing Esc g 0 (zero).

2)Choose Special > Equations, or click the Equations button [image] at the right side of the document window.

3)On the Equations pod, choose one of the New Equation commands from the Equations pop-up menu. Small, Medium, and Large specify the font sizes used in the new equation.

A new equation object appears as a question mark in a frame anchored below the line with the insertion point. The first math element that you insert replaces the question mark prompt.

New inline equation

4)Insert the math elements in the equation by typing the elements or by clicking items on the Equations pod.

Inserted elements

5)Choose Shrink-Wrap Equation from the Equations pop-up menu. This option shrinks the frame around the equation and places the equation in the line of text at the anchor symbol.

Shrink-wrapped inline equation

6)If the equation seems too close to the text on either side, insert a space before or after the frame. FrameMaker treats the frame that contains an inline equation as a character and doesn’t provide extra space around it.

7)If the equation is too tall for the line, open up more space above or below the line. Use the Line Spacing pop-up menu on the formatting bar to turn off fixed line spacing.

Create an equation in a paragraph of its own (a display equation)

1)Click in an empty paragraph.

2)Apply a paragraph format from the Paragraph Catalog, or set up your own format. The paragraph format determines the alignment, vertical spacing, and any autonumber for the paragraph that contains the equation.

tip: If you created the document from a book or report template, use the Equation paragraph format. You can also copy this format to your document, but you’ll probably want to make some changes (for example, to the Default Font and Spacing properties).

3)Click the Equations button [image] at the right side of the document window.

4)On the Equations pod, choose one of the New Equation commands from the Equations pop-up menu. Small, Medium, and Large specify the font sizes used in the new equation.

A new equation object appears as a question mark in a frame anchored below the empty paragraph. The first math element you insert replaces the question mark prompt.

New equation in anchored frame

5)Insert the math elements in the equation by typing the elements or by clicking items on the Equations pod.

Inserted elements

6)Choose Shrink-Wrap Equation from the Equations pop-up menu. This option shrinks the frame around the equation and places the equation in the empty paragraph.

Shrink-wrapped equation in its own paragraph

Create an equation in a graphic frame with other objects

1)Click the Equations button [image] at the right side of the document window.

2)Select a graphic frame or an object in a graphic frame.

3)On the Equations pod, choose one of the New Equation commands from the Equations pop-up menu. Small, Medium, and Large specify the font sizes used in the new equation.

A new equation object appears as a question mark inside the frame. The first math element you insert replaces the question mark prompt.

New equation object

4)Insert the math elements in the equation by typing the elements or by clicking items on the Equations pod.

5)To place the equation exactly where you want it, first select it by Control-clicking the equation.

6)Move the equation by doing one of the following:

•Drag it with the mouse.

•Move it with the arrow keys.

•Position it precisely with the Graphics > Object Properties command.

Related links:

Move an object

Create equations using the Equations pod

4.3.4.Insert math elements

An equation contains expressions made up of math elements—characters, text strings, operators, and other mathematical elements from the Equations pod.

A. Alphanumeric character B. Text string C. Expression D. Operator

After you create an equation object, insert math elements in it by typing them or by clicking them on the Equations pod. The Equations pod can be closed when you insert an item from the keyboard.

note: Math equations support the Unicode text-encoding standard.

About the scope of operations

When you insert a math element in an equation, FrameMaker adjusts the mathematical syntax. The result depends on the scope of operation—the selection or the location of the insertion point. For example, when you insert x in a fraction, the result depends on whether the numerator, the denominator, or the entire fraction is selected.

If you multiply by x | The result is
or |
or |

In the first example, only the 7 is multiplied by x. In the second example, FrameMaker adds parentheses to show that the entire expression 2y + 7 is multiplied by x. In the last example, the entire fraction is multiplied by x. The size of the insertion point in the first and last examples indicates the scope.

Many mistakes in equations result from an incorrect scope of operation—having too little or too much selected when inserting an element. Be careful to select the range you want before inserting an element.

Insert a math element

1)Select an expression or place the insertion point in an equation.

2)Do any of the following:

•To insert a math element by using the Equations pod, click the element.

•To insert an alphanumeric character or a symbol that appears on the keyboard, type it. You can type parentheses, brackets, plus signs, equal signs, and so on. If you type an open parenthesis, FrameMaker inserts the closing parenthesis.

•To insert an element by typing a backslash sequence, type a backslash ( \ ) and the string that identifies the element, and then press Return. For example, to insert the symbol for infinity [image], type\infty and press Return.

•Insert a custom math element.

If an element needs one or more operands, a question mark prompt [image] appears for each operand; otherwise, an insertion point appears. To move from one operand to another, press Tab.

Insert a text string

A text string is a series of characters that is interpreted as a unit. Unlike characters that make up an expression, the characters in a text string don’t usually appear in italics and aren’t multiplied together.

A. Text strings

Text strings have no mathematical meaning in FrameMaker. For example, evaluation commands can evaluate the function tan but not the string “tan”.

1)On the Symbols page of the Equations pod, click Start String. Two double quotation marks ( " " ) appear. You can also type an apostrophe ( ' ) or a double quotation mark (") to start the string.

2)Type the text of the string. The quotation marks disappear, and the text appears as you type. To insert a straight apostrophe or straight double quotation mark as part of the string, hold down Control while pressing the key.

3)Click End String on the Symbols page or press Return.

Insert, add, or edit a horizontal or vertical list of expressions

An equation object usually contains one equation or expression. You can set up a horizontal or vertical list in which several expressions are contained in the same object. When you select a list, all the expressions in the list are selected as one object.

A. Horizontal list B. Vertical list aligned on equal signs

FrameMaker aligns the expressions in the list automatically. When you move the list, all the expressions maintain their relative positions.

1)Select the expression you want to be the first item in the list or to add to a list.

2)On the Operators page of the Equations pod, click the horizontal list element [image] or vertical list element [image]. To add a math element, type the elements or click items on the Equations pod. A horizontal or vertical list appears. The selected expression appears as the first item in the list. A second item appears in the list as a question mark prompt.

Before clicking | After clicking

In the first example, a horizontal list is inserted. In the second example, a vertical list is inserted, and the selected expression becomes the first item in the list. In the last example, a vertical list is inserted as part of a larger expression.

Insert symbols

The Symbols page on the Equations pod contains the Greek alphabet, other symbols, and diacritical marks.

The Symbols page doesn’t include Greek letters that have Roman-alphabet equivalents, such as the uppercase alpha (A). The following examples show the result of clicking [image] on the Symbols page.

Before clicking | After clicking

Diacritical marks appear on the element to the left of the insertion point or on the selected expression. Click the dot or prime button once for each dot or prime diacritical mark you want to insert.

note: To interpret and mathematically manipulate a summation, product, or partial differential element, insert the element from the Large page or Calculus page. Do not insert from the Symbols page. Elements from the Symbols page are not evaluated.

Insert operators

The Operators page on the Equations pod contains commonly used operators, roots, powers, signs, subscripts, superscripts, and logic symbols.

If an expression is selected when you insert the operator, the expression becomes the first operand. The following examples show the result of clicking the plus sign [image] or the division operator [image] on the Operators page.

Before clicking | After clicking

You can represent the division operator as a slash (/), a horizontal bar [image], or a division sign [image].

FrameMaker can evaluate exponents mathematically, but not superscripts.

A. Superscript B. Exponent

Insert large elements

The Large page on the Equations pod contains sums, products, integrals, intersections, and unions.

If an expression is selected when you insert a large element, the expression becomes the first operand. The following examples show the result of clicking the summation symbol [image] on the Large page.

Before clicking | After clicking

You can add an operand after inserting a math element from the Large page.

Insert delimiters

The Delimiters page contains delimiters such as parentheses, brackets, and curly brackets.

If an expression is selected when you insert a pair of delimiters, the expression is placed inside the delimiters. The following examples show the result of clicking the parentheses on the Delimiters page.

Before clicking | After clicking

You can also represent parentheses as brackets ([ ]) or curly brackets ({ }).

Insert relations

The Relations page contains relation symbols such as =, <, >, [image], [image], [image], [image], and [image].

All relation symbols—except the binary equal sign [image] —apply to the character to the left or right of the insertion point or to the selection. When you insert a relation symbol between multiplied elements, it applies to the elements on either side of the insertion point.

Binary equal signs [image] appear to the right of the current expression (as shown in the second example). When the insertion point or selection is in a subscript or superscript, the equal sign appears in the subscript or superscript.

Before clicking | After clicking

Insert a binary equal sign at the insertion point

1)Press Esc m =

Before clicking | After clicking

Insert calculus elements

The Calculus page contains integrals, derivatives, partial derivatives, gradients, and the limit function.

If an expression is selected when you insert the calculus element, the expression becomes the first operand. The following examples show the result of clicking the integral symbol [image] on the Calculus page.

Before clicking | After clicking

You can change the position of operands and add operands.

Insert matrices

The Matrices page contains elements for matrices ranging in size from 1 by 1 to 3 by 3. After creating a matrix, you can add rows and columns.

If an expression is selected when you insert the matrix element, the expression becomes the first cell in the matrix.

Before clicking | After clicking

Insert functions

The Functions page contains trigonometric, hyperbolic, and logarithmic functions, and also the sign, limit, and general functions.

FrameMaker places functions at the insertion point or at the selection. When an expression is selected, the expression becomes the argument of the function—except for the limit and general functions [image] and [image]. The following examples show the result of clicking the sin function on the Functions page.

Before clicking | After clicking

Insert a custom math element

In addition to inserting math elements that are built in FrameMaker, you can insert custom math elements that have been defined for a document.

Custom math elements have no mathematical meaning in FrameMaker. For example, a custom math element for an operator is treated as an operator in an equation. However, FrameMaker cannot evaluate it.

1)On the Equations pod, choose Insert Math Element from the Equations pop-up menu.

2)Select the element name and click Insert.

4.3.5.Shrinkwrap or unwrap an equation

Shrinkwrapping an equation shrinks the surrounding anchored frame so that it’s large enough for the equation. The operation changes the frame anchoring position to At Insertion Point, and places the insertion point after the frame.

Before shrinkwrapping

After shrinkwrapping

Shrinkwrap an equation when you finish working with it so that the equation takes minimal space and aligns with the baseline of the surrounding text. Unwrap an equation to enlarge the anchored frame for easy editing.

1)Click in the equation or select its frame.

2)On the Equations pod, choose Shrink-Wrap Equation or Unwrap Equation from the Equations pop-up menu. The edges of a shrinkwrapped equation sometimes do not appear onscreen. They do appear in the printed document.

4.3.6.Edit equations

You can edit an equation as you edit text—adding, changing, rearranging, and removing math elements, and cutting, copying, and pasting them. As you edit an equation, the syntax of the equation is adjusted as necessary.

You can change a matrix—add or delete rows and columns, delete brackets, and change row height and column width. You can also choose among several representations for some math elements such as parentheses. You can add operands to others such as integrals and summations.

If your equation is shrinkwrapped, unwrap the equation before editing it. This makes the anchored frame full-sized again, giving you more room to work.

note: To edit a rotated equation, first restore the equation or text frame to its unrotated position by pressing Esc g 0 (zero).

Extend a selection using the keyboard

1)Press the spacebar. The selection expands to include the next higher expression. The following example shows the result of pressing the spacebar repeatedly.

Original selection

Pressed once

Pressed twice

Change the selection

1)Do one of the following:

•To change the selection to the next subexpression on the right, press the Right Arrow key.

•To change the selection to the next subexpression on the left, press the Left Arrow key.

•To change the selection to the next question mark prompt, press Tab.

Replace or delete a math element or equation

1)Select the element you want to delete and press Delete. A question mark prompt replaces the element.

2)Do one of the following:

•To replace the element, click the Equations pod or type to insert the replacement.

•To delete the element, press Delete again. FrameMaker removes any elements that are no longer necessary—for example, a plus sign or parentheses.

•Control-click the equation to select the equation, and press Delete.

Remove delimiters

After entering or editing an equation, you sometimes end up with extra delimiters—parentheses, curly brackets, and brackets. You can remove extra delimiters. If you later use evaluation commands, FrameMaker evaluates the equation as if the delimiters are still present.

•To remove all delimiters, select the expression. On the Delimiters page of the Equations pod, click Remove Parentheses.

Before clicking | After clicking

•To remove one delimiter, place the insertion point to the right of the delimiter and press Delete. If the delimiter has a mate, such as the left parenthesis between a and b in the example, the mate is also removed.

Before | After

Toggle an element format

You can represent some math elements in more than one way. For example, delimiters can appear as [image], [image], or [image]. Division can appear as [image], [image], or [image].

1)Select the entire element.

2)On the Operators, Large, Delimiters, or Calculus page of the Equations pod, click Toggle Format. The command is the same on all four pages and operates on any element with multiple formats. Click more than once to get the format you want in some cases.

Add an operand to a math element

Radical symbols, gradient symbols, and logarithms can have one or two operands. Integrals and other symbols on the Large and Calculus pages can have one, two, or three operands.

Operands

You can add operands to these elements without starting over.

1)Click or select anywhere in the expression with the element.

2)Click Add Operand on the Large or Calculus page. A question mark prompt appears where you specify the new operand.

Change matrices

You can change the number of rows or columns in a matrix and add or remove brackets around the matrix. You can allow the column width to vary from column to column, depending on the contents, or specify that all columns are equal width. Similarly, you can allow the row height to vary from row to row.

You can also transpose a matrix and perform matrix algebra.

•To add a row or column to a matrix, place the insertion point in the matrix. On the Matrices page of the Equations pod, choose Add Row or Add Column from the Matrix Commands pop-up menu.

Before Add Column | After Add Column

Add Row adds a row at the bottom. Add Column adds a column at the far right.

•To delete a row or column from a matrix, select the row or column and press Delete.

•To add or remove brackets around a matrix, select the entire matrix. On the Matrices page of the Equations pod, click Add/Remove Brackets.

•To change the row height or column width in a matrix, select the matrix. On the Matrices page of the Equations pod, choose All Equal or Proportional from the Matrix Row Height or Matrix Column Width pop-up menu.

Equal row heights (left) and Proportional row heights (right)

If you choose Proportional, each row is tall enough to hold the tallest cell in the row. Each column is wide enough to hold the widest cell in the column. If you choose All Equal, each row is tall enough to hold the tallest cell in the entire matrix. Each column is wide enough to hold the widest cell in the entire matrix.

4.3.7.Create and define math elements

If you need a math element that doesn’t appear on the Equations pod, you can create a custom element—for example, a new operator such as [image] [image]. However, FrameMaker cannot evaluate custom math elements mathematically.

To display a built-in element on the pod differently in your document, you can redefine the element. For example, you can redefine the asin(inverse sine) function so it appears as sin–1. You can redefine the appearance of a built-in element, but you can’t change its type.

You can also import math element definitions from another document.

Custom math element definitions are stored on one or more reference pages whose name begins with FrameMath. Each definition is a text line in an unanchored graphic frame whose name is the element name.

A. Graphic frame B. Text line

Related links:

Add text to graphics

Use reference frames on reference pages

Change equation fonts throughout a document

Math element types

A math element type indicates how the element behaves in relation to other elements around it. For example, a plus sign (+) has the type infix, which means that it has two operands, one to the left and one to the right.

You can define custom math elements of the following types.

Type | Example | Number of operands
Atom |  | None
Delimiter |  | One
Function |  | One, to the right of the element
Infix |  | Two, to the left and the right of the element
Large |  | Up to three, above, below, and to the right of the element
Limit |  | Up to two, below and to the right of the element
Prefix |  | One, to the left of the element
Postfix |  | One, to the right of the element
Vertical list |  | Two, one above the other (The text line that defines a custom vertical list is used as a separator between list items.)

You cannot define custom math elements of the following types.

Type | Example
Derivative |
Diacritical mark |
Horizontal list |
Matrix |
Root |
Script |
Substitution |
Vertical division bar |

Define a custom math element or change a built-in math element definition

1)Choose View > Reference Pages and display a FrameMath reference page.

If the document doesn’t contain a FrameMath reference page, display a reference page and then choose Special > Add Reference Page. Name the new page FrameMath1. Capitalize the letters F and M as shown.

2)Use the Graphic Frame tool to draw an unanchored graphic frame on the page.

3)In the Frame Name dialog box, enter a name for the math element. If you are redefining a built-in element, enter that element name.

4)Use the Text Line tool to add a text line in the graphic frame.

5)Create the math element in the text line using the following guidelines:

•You can type any characters in the text line, and you can change the character format. You can also move the characters by using micropositioning shortcuts.

•For all math elements except delimiters, the text line represents just the mathematical symbol, not the operands. When you later insert the element in an equation, FrameMaker places the operands in the appropriate places, based on the type of math element. For example, a large element, such as a summation or an integral sign, has up to three operands—one above, one below, and one to the right of the symbol.

•A custom delimiter can contain only one operand, even though some built-in delimiters contain two or three. To indicate the location of the operand, insert a space in the text line. If you do not insert a space in the text line, FrameMaker places the operand between two copies of the delimiter.

A.Characters in delimiter. B.Space indicates the operand.

•FrameMaker uses the first text line in the frame for the custom math element. Make sure that only one text line exists in the frame.

6)Select the graphic frame.

7)On the Equations pod, choose Add Definition To Catalog from the Equations pop-up menu.

8)If you’re defining a custom math element, choose an element type from the pop-up menu, and click Add.

Find the name of a math element

1)Place the insertion point in an equation.

2)On the Equations pod, choose Insert Math Element from the Equations pop-up menu.

3)Turn off Show Custom Only, and then scroll through the element names to find the one you want.

4)Click Cancel.

Change or delete a custom math element definition

1)Display the FrameMath reference page that contains the math element by doing one of the following:

•If the custom math element appears in an equation, select the element, and choose Update Definition from the Equations pop-up menu on the Equations pod. Then click Go To Frame.

•If you haven’t inserted the custom math element into an equation, choose View > Reference Pages. Then display the FrameMath reference page you want.

2)Do one of the following:

•Edit the text line that defines the math element. When you display a body page again, FrameMaker uses the modified definition, and shrinkwraps the equations again.

•Delete the graphic frame. If the element appears in an equation, FrameMaker displays the element name, surrounded by question marks, instead of the element.

Position math elements in an equation

FrameMaker positions math elements according to their mathematical meaning in an equation. Sometimes you want to microposition elements—reposition them so they’re closer to or farther from other elements in the equation.

Before and after micropositioning

You can also control the amount of white space on each side of an element.

A. Default spacing B. Space added to the left and right C. Space removed from the left and right

1)On the Positioning page of the Equations pod, do one of the following:

•To position a selected expression, click a Micropositioning arrow. Click as many times as necessary. (Each click moves an expression one pixel on the screen.) Zoom in for greater precision.

Micropositioning arrows

•To remove micropositioning, click the button at the center of the Microposition area [image].

•To inspect the position offsets and adjust them numerically, click Position Settings. The exact offsets appear in the Microposition Offset area of the Math Element Position Settings dialog box. To adjust the position, enter values in the Microposition Offset area and click Set.

•To adjust white space, click a plus sign (+) to add white space or a minus sign (–) to remove it. Click as many times as necessary. Each click adds or subtracts one pixel of space. Zoom in for greater precision.

note: To change the spacing around a math element of type infix, prefix, postfix, or delimiter, adjust the space around the adjacent math elements instead. For example, to add space on either side of the plus sign in the expression a+b, selecta. Add space to the right. Then selectb. Add space to the left.

•To adjust spacing values, click Position Settings. The exact spacing appears in the Spacing area of the Math Element Position Settings dialog box. To adjust the spacing values, enter values in the Spacing area, and click Set. To restore the default spacing values, click the button at the center of the Spacing area [image].

Adjust the spacing values for a math element wherever it appears

You can update some math element definitions—infix, prefix, postfix, large, scripts, and the division bar—with new spacing. When you do, FrameMaker adjusts the spacing around the element wherever it appears in the document and rewraps the equations.

You can also change the spread—the space between characters—uniformly in all small, medium, and large equations.

1)After you adjust the spacing around the element in an equation, select the element.

2)On the Equations pod, choose Update Definition from the Equations pop-up menu.

3)Do one of the following:

•To update the spacing for the element throughout the document, click Update.

•To reset the spacing to the default, click Get Default.

4.3.8.Set line breaks and align equations

You can control equation breaks across lines and alignment of the lines in a multiline equation, or of the items in a list or matrix. You can also align several equations with one another, even if they appear in different anchored frames.

Aligned along left side of equal signs

You can manipulate equation objects as you do other objects. You can automatically and manually align items in a vertical list and lines in a multiline equation. Manual alignment points override automatic alignment.

Aligned on left side and at manual alignment point

You can align the items in a horizontal list along their tops, bottoms, or baselines.

Baseline-aligned

You can also align the cells in each row of a matrix along their tops, bottoms, or baselines. You can align the cells in each column at the right, left, or center, or along equal signs.

Aligned along:

A. Baselines B. Centers

Related links:

Copy and arrange objects

Insert, add, or edit a horizontal or vertical list of expressions

Change equation line breaking

When an equation breaks across lines, the entire equation remains in a single anchored frame. You can set where an equation breaks across lines automatically. When you change the line-break width, the equation is reformatted to the new width.

Original equation

Equation set to break at 1.25"

You can also force a line break at a specific location in the equation. However, don’t use manual line breaks to create separate equations. Instead, insert a vertical list of expressions.

You can change line breaking in these ways:

•To change the automatic line break width, click in the equation or select any part of it. Choose Graphics > Object Properties. Edit the value in the Automatic Line Break After box, and click Set. The value is preset to the width of the equation frame.

•To insert a manual line break, click where you want the equation to break into two lines. On the Positioning page of the Equations pod, choose Set Manual from the Line Breaking pop-up menu. A line-break symbol [image] appears at the insertion point when text symbols are visible.

Manual line break

•To remove a manual line break, select the part of the equation that contains the line-break symbol. On the Positioning page of the Equations pod, choose Clear Manual from the Line Breaking pop-up menu.

Align display equations

The format of the paragraph that contains the equation controls the alignment (left, center, or right) of a display equation.

Paragraph alignment set to Center

1)Click in the paragraph that contains the equation (not in the equation itself).

2)Choose the alignment from the Alignment pop-up menu in the formatting bar or in the Paragraph Designer.

Set automatic alignment for a vertical list or multiline equation

1)Click in the equation or list.

2)On the Positioning page of the Equations pod, choose an item from the Left/Right pop-up menu. When you choose Left Of = or Right Of =, the lines are aligned along one side of an equal sign. A line with no equal sign is aligned along its left side.

Set a manual alignment point for a multiline equation or for an item in a vertical list

1)Do one of the following:

•Click in the first line of a multiline equation where you want subsequent lines to align.

•Click in a vertical list item where you want the item to align with the rest of the list.

2)On the Positioning page of the Equations pod, choose Set Manual from the Left/Right pop-up menu. A manual alignment symbol [image] appears at the insertion point when text symbols are visible. Subsequent lines of a multiline equation are left aligned with the manual alignment point. A vertical list item aligns with other items in the list at the manual alignment point.

Clear a manual alignment point

1)Select the part of the equation that contains the manual alignment point.

2)On the Positioning page of Equations pod, choose Clear Manual from the Left/Right pop-up menu. You can also clear a manual alignment point by setting another.

Align items in a horizontal list

1)Click in the list.

2)On the Positioning page of the Equations pod, choose an item from the Up/Down pop-up menu.

Align cells in a matrix

1)Click in the matrix.

2)On the Positioning page of the Equations pod, choose an item from the Up/Down pop-up menu or from the Left/Right pop-up menu. The Left/Right and Up/Down commands affect the whole matrix. To align individual cells, use micropositioning.

Check alignment settings for a horizontal or vertical list, or for a matrix

1)Do one of the following to select the entire list or matrix:

•Drag through the list or matrix.

•Place the insertion point in the matrix and press the spacebar repeatedly.

2)On the Positioning Page of the Equations pod, click Position Settings.

Left-, center-, or right-align equations in a frame

You can align several equation objects with one another in a graphic frame, just as you align other objects. You can also align several equation objects along a manual alignment point, even when they’re in separate graphic frames.

Equations aligned at manual alignment points

FrameMaker maintains the alignment of the equation objects as you edit the equations. For example, if two equations are left aligned, the left alignment is maintained as the equations expand or shrink.

1)Select the equations to align by Control-clicking the first equation; Control+Shift-click the other equations.

Make sure that the last equation you select is the one you want to align with.

2)Choose Graphics > Align.

3)Select the left/right alignment you want, and click Align.

Align equations along a point

1)Set the manual alignment point in one of the equations to align.

If you don’t set a manual alignment point, FrameMaker aligns an equation on the left.

2)Click in the equation and choose Graphics > Object Properties.

3)Choose Manual from the Alignment pop-up menu and specify the location of the alignment point within the frame in the Alignment Point Offset area. The left offset is the distance from the left edge of the frame to the manual alignment point.

Specifying the top offset precisely is unnecessary. You can move the equation up or down later, just as you do any other object.

4)Click Set.

5)Repeat steps 1 through 4 for each equation you want to align. Use the same distance from the left edge for each equation, but change the top offset to position the equation vertically in the frame. If the equations you’re aligning are in different anchored frames, make sure that the left edges align with one another.

4.3.9.Change font settings in equations

A document contains font settings that apply to all equations in it. These settings determine the font sizes and spacing for small, medium, and large equations. They also determine the character format used for Greek characters and for symbols, functions, numbers, strings, and variables.

You can change the preset size of an entire equation. You can also change the character format of individual math elements—for example, to use color or a special font.

You can also change the font sizes and character formats used for all equations in a document.

Change the character format in individual equations

You can’t change the spread, stretch, superscript, subscript, underline, overline, strikethrough, change bar, or pair kerning properties for any element. You also can’t change the font family for individual Greek characters and symbols and for some operators.

•To change the preset size or color of an equation, click in the equation, choose Graphics > Object Properties, and do one of the following:

–To change the equation size, choose a size from the Size pop-up menu, and click Set. If the equation is shrinkwrapped, FrameMaker rewraps it.

–To change the equation color, choose a color from the Color pop-up menu, and click Set.

•To change character format, select the element or expression, and change as you do for text.

•To create a superscript or subscript, insert the appropriate operator.

•To change the spread of characters, microposition them by using the positioning page of the Equations pod.

•To place a line over or under an expression, use the diacritical marks on the Symbols page of the Equations pod.

Change equation fonts throughout a document

You can change the font size and spacing for all small, medium, and large equations in a document. When you make global font changes, FrameMaker reformats and rewraps all shrinkwrapped equations in the document.

Greek characters and symbols in equations normally appear in the Symbol font. You can use fonts such as Mathematical Pi and Universal Greek if these fonts are installed on your system.

Functions, numbers, and strings normally appear in Times New Roman or Times. Variables normally appear in italic. You can change the character format of each of these kinds of elements. For example, you can display all elements in Helvetica, with functions in italic and variables in bold.

note: Don’t delete formats from the Character Catalog if you’re using them to specify the character format of math elements. If you delete these character formats, all equations in the document are reformatted using the default font.

Use Equation Sizes from the Equations pop-up menu on the Equations pod for the following change:

•To change equation fonts throughout the document, do one of the following:

–Specify the font sizes and spread, and click Set. Spread is expressed as a percentage of the font size. Positive spread values cause wider spacing around elements; negative values cause narrower spacing.

–Click Get Defaults.

•To change the font for Greek characters and symbols, choose one of the available fonts from the Math Symbols pop-up menu, and click Set.

•To change the character format for functions, numbers, strings, and variables, first create the character format you want. Then choose the character format from the Functions, Numbers, Strings, or Variables pop-up menu, and click Set. FrameMaker displays the format you created in the pop-up menus.

4.3.10.Evaluating equations

After you create an expression or equation, you can transform it by changing its mathematical representation. For example, you can multiply polynomials, factor terms, simplify expressions, and combine fractions.

Original selection

Expanded

Multiplied out

Multiplied out again

You can also evaluate equations by substituting values and performing computations.

Original selection

Expanded

Value substituted

Result computed

Transform or evaluate an expression

1)Select the expression, or part of it.

2)Choose a command on the Matrices or Functions page of the Equations pod. For example, select an expression and then choose Multiply Out from the Multiplication pop-up menu on the Functions page.

3)To transform or evaluate an expression, use the commands on the Matrix Commands pop-up menu of the Matrices page and the commands on the six pop-up menus of the Functions page.

Related links:

Change matrices

Matrix Commands pop-up menu

Matrix Transpose

Transposes the rows and columns of a selected matrix.

Selected matrix | After transposing

Matrix Algebra

Performs matrix multiplication and addition, and evaluates dot and cross products in a selected matrix.

Selected matrix (or matrices) | After matrix algebra

After performing matrix algebra, you can use the Simplify command to combine like terms.

Addition pop-up menu

Add Fractions

Adds selected fractions, expressing the result as a single fraction. This command also combines like terms.

Selected fraction | After adding

If the selected expression contains the sum of more than two fractions, Add Fractions adds only the first two. Use this command repeatedly to combine all the fractions.

Selected expression

Added once

Added twice

Order Sum

Arranges polynomials in decreasing powers of a selected variable.

Before ordering | After ordering

Order Sum Reverse

Arranges polynomials in increasing powers of a selected variable. In the following example, you select an x—any x—before choosing Order Sum Reverse.

Before ordering | After ordering

Multiplication pop-up menu

Use the Multiplication pop-up menu on the Functions page to factor terms, multiply out expressions, and distribute multiplication and division over addition.

Factor

Factors a selected term out of a product.

Before factoring | After factoring

Factor Some

Factors a selected term from only those terms that contain it.

Before factoring | After factoring

Multiply Out

Simplifies the selected expression, distributes multiplication over addition, and expands a selected term raised to a positive integral power.

Selected expression | After multiplying

The Simplify command also simplifies the selected expression.

Multiply Out Once

Multiplies the first pair of factors on the left side of a selected expression.

Selected expression | After multiplying

If you use this command several times, the results appear in a different form.

Distribute

Performs a variety of operations depending on the expression you select, as shown in the following examples:

•Distributes division over addition.

Selected expression | After distributing

Use the Add Fractions command to perform the reverse operation.

•Distributes multiplication over addition.

Selected expression | After distributing

Use the Factor command to perform the reverse operation.

•Transforms products and quotients involving radicals and exponents into a single expression raised to a power.

Selected expression | After distributing

Use the Simplify command to perform the reverse operation.

Distribute Over Equality

Performs the same operation on both sides of an equal sign.

Selected expression | After distributing

Division pop-up menu

Long Division

Performs long division in a fraction that contains a polynomial numerator and denominator.

In the following example, you select an x—any x—before choosing Long Division. You select an x in the fraction of the first result and choose Long Division again to obtain the second result.

Before dividing

Divided once

Divided twice

Remove Division

Converts division to multiplication in a selected expression by changing positive exponents in a denominator to negative and negative exponents in a denominator to positive.

Selected expression | After removing division

To convert negative exponents to division operators, use the Remove Negative Powers command.

Remove Division 1 Level

Converts division to multiplication, as Remove Division does, but applies only to the first level of operators.

Selected expression | After removing division

To convert the first level of negative exponents into division operators, use the Remove Negative Powers 1 Level command.

Remove Negative Powers

Converts negative exponents to positive in a selected expression by replacing multiplication with division and division with multiplication.

Selected expression | After removing negative powers

Remove Negative Powers 1 Level

Converts negative exponents to positive, as Remove Negative Powers does, but applies only to the first level. If the selected expression has no negative exponents at the first level, this command has no effect.

Selected expression | After removing negative powers
 | (no effect)

Evaluation pop-up menu

Number Crunch

Changes integers to floating-point numbers in a selected expression and then evaluates the expression.

Selected expression | After number crunch

Use the Show All Digits command to show up to 15 decimal places in a floating-point number.

Number Crunch displays NaN (Not a Number) for operations that result in undefined values. It displays Infinity for operations that result in a value too large to calculate. Small numbers can sometimes be evaluated to zero.

Selected expression | After number crunch

Show All Digits

Shows the full internal accuracy of a floating-point number.

Selected number | After showing all digits

Evaluate

Evaluates the selected expression. The operations performed depend on the type of expression selected, as shown in the following examples:

•Rewrites an expression raised to a power less than 20 as a product.

Selected expression | After evaluating

•Computes the factorial of an integer. If the result is too large to calculate, the result appears as Infinity.

Selected expression | After evaluating

•Computes the determinant of a 1-by-1 or 2-by-2 matrix.

Selected expression | After evaluating

•Extracts a term from a sum or product.

Selected expression | After evaluating

•Evaluates a substitution just as the Evaluate Substitution command does.

•Rewrites an Evaluate Between operator as a difference.

Selected expression | After evaluating

•Rewrites the logarithm of a product as a sum of logarithms and rewrites a logarithm of a power as a product.

Selected expression | After evaluating

•Rewrites a logarithm to a base in terms of natural logarithms.

Selected expression | After evaluating

•Rewrites a choice function in terms of factorials.

Selected expression | After evaluating

Evaluate Substitution

Performs a specified substitution and then simplifies the expression. When an Evaluate Between operator is selected, this command rewrites the expression as a difference.

Selected expression | After evaluating

Evaluate Integrals

Rewrites a selected integral with a polynomial integrand. This command converts a definite integral into an indefinite integral evaluated between the upper and lower bounds. Use Evaluate Integrals several times to integrate a polynomial fully.

Selected expression

Evaluated once

Evaluated twice

Evaluate Derivatives

Evaluates a selected derivative, applying the chain rule to complex expressions when necessary. This command evaluates a partial derivative only when all dependencies are explicitly written.

This command treats elements in a total derivative as if they depended on the variable of differentiation. Use the Evaluate command to expand an nth derivative before using Evaluate Derivatives to evaluate it.

Before | After

Evaluate Derivatives 1 Level

Evaluates only the first level of a selected derivative.

Before | After

Rules pop-up menu

Use the Rules pop-up menu on the Functions page to store and apply rules that transform expressions.

For example, use Enter Rule to store a rule such as a = a + 3. Then use Apply Rule to substitute a + 3 for a in another expression.

Enter Rule

Stores a rule for substituting one expression for another. Select the expression you want to store as a rule before you choose Enter Rule. You can store only one rule at a time.

Designate Dummy

Designates a selected term to be a dummy variable. Use a dummy variable in a rule to substitute the expression on the right side of the rule for any variable, not just the variable explicitly named on the left. A dummy variable appears in boldface. For example, if you designate x in the rule x = a 2– as a dummy variable, you can substitute a 2– or x for any variable in an expression.

Select the term you want to be a dummy variable before you choose Designate Dummy. Then use the Apply Rule command to replace a selected expression with the expression assigned to the dummy variable.

Apply Rule

Substitutes one term or set of terms for another in a selected expression, using the rule stored with the Enter Rule command.

Rule entered

Selected expression

After rule is applied

Before you apply a rule that contains a dummy variable, select the term you want the variable to replace. In the following example, x is the dummy variable in the rule.

Rule entered

Before rule is applied

After rule is applied

Other Rewrites pop-up menu

Simplify

Simplifies the selected expression. To evaluate fractions that involve infinity or division by zero, use the Number Crunch command instead of Simplify.

The operations performed depend on the type of expression selected, as shown in the following examples:

•Performs integer arithmetic.

Selected expression | After simplifying

When the result is too large to calculate, it appears as Infinity.

•Groups terms in a sum or product.

Selected expression | After simplifying

•Divides out common factors in a fraction.

Selected expression | After simplifying

Use the Remove Negative Powers command to remove negative powers from the result.

•Interprets the complex number i, represented by the Greek letter iota [image].

Selected expression | After simplifying

•Distributes exponentiation across multiplication and division.

Selected expression | After simplifying

Simplifying [image] x produces [image] rather than [image].

Simplify Some

Simplifies the selected expression, as the Simplify command does, but does not multiply fractions.

Selected expression | After simplifying

Isolate Term

Isolates a selected expression on one side of the equal sign. This command does not combine terms or solve for the selected expression.

Selected expression | After isolating term

Expand First Term

Expands the first term of a selected summation or product.

Selected expression | After expanding

Expand All Terms

Expands all terms of a selected summation or product.

Selected expression | After expanding


Markers

4.4.Markers

FrameMaker markers provide you multiple ways in which you can mark your documents. You can choose from pre-defined markers, such as Author, Comment, Conditional Tags, ContextString, Cross-Ref, Equation, Glossary; or create custom markers.

The Markers pod makes it easier to work with and troubleshoot hundreds of markers in a long document or book files. You can display all the markers in the current document, all open documents, selected file, or a book.

4.4.1.Add a marker

For example, to add a marker of Comment type:

1)Place the cursor in the document where you want to insert a comment.

2)Choose View > Pods > Markers to display the Markers pod if not already open.

3)Click the Insert icon.

4)Choose Comment from the Marker type box.

5)Type your comment in the Marker Text text box and click New Marker.

6)Save document.

note: You can enter a tab character in marker text by typing either \t or the hexadecimal code \x08. However, if you generate a list of markers, only tabs entered as hexadecimal codes appear. If you generate an index of markers, only tabs entered as \t appear.

To add a marker to a structured document:

1)Choose Special > Marker.

2)Select a marker element in the Element Catalog and click Insert.

3)Choose a marker type from the pop-up menu. You can use any predefined marker type except Conditional Tags. You can also define your own marker types.

note: For structured documents, consult your developer before changing a marker type. Your document may have a separate element defined for each marker type you’ll need.

4)If the Attributes for New Element dialog box appears, enter attribute values for the marker element and click Insert Element.

If no marker element is available at the location you want, you might use an invalid element. After inserting the element, talk to your developer about making the element valid at this location.

4.4.2.Generate a list of markers

For example, to generate a list of all your Comment markers:

1)Select Special > List Of > Markers to display the Set Up List of Markers dialog box.

2)Select the Comment marker type from the right pop-up menu and click the left arrow to transfer it into the Include Markers of Type list on the left.

3)Check the Create Hypertext links checkbox.

4)Click the Set button. All your Comment type markers are listed in a separate window.

4.4.3.Delete a marker

1)Select the marker from the Markers pod and click the Delete icon. The marker is deleted from the document.

4.4.4.Create a custom marker

You can also define custom markers for single-sourcing or automation. For example, you can use custom markers to mark text that can be extracted into a separate reference guide. You can mark graphic objects that require special processing, such as conversion from one format to another. You can then use a script to automatically extract all those graphics marked with the custom marker for further processing.

1)Choose View > Pods > Markers.

2)Click the Insert Icon.

3)From the Marker Type combo box, select Edit.

4)Type a name for the custom marker in the Edit Custom Marker Type box.

5)Click Add and click Done. The new Marker type is added to the list of markers.

4.4.5.Add a custom marker to your document

1)From the Markers pod, click Insert.

2)Select the custom marker type.

3)Type the marker text and click New Marker. A custom marker gets added to your document.

4.4.6.Publish options

When you use the multi-channel publishing feature of FrameMaker, you get several options that enable you to streamline online Help publishing.

Pagination with Page Break marker

Using the options in the Publish Options menu, you can avoid the traditional ways of having to define custom markers for pagination and topic naming. You can add Page Break markers to denote the topics that should be converted as separate Help topics, and define their topic names.

Add Page Break marker

1)Click the heading text, and select Special > Publish Options > Apply Page Break Marker.

2)In the Page Break Marker dialog box, enter the topic title. The file name is automatically populated based on the title text that you enter.

For example, if you enter the topic title as FrameMaker Publish options, the file is named FrameMaker_Publish_options.htm.

However, you have the option to change the file name in the Filename text box.

Apply No Page Break Marker

You can also specify a marker to enforce that a page does not break at a defined location. For example, you require to keep two closely related headings on the same page. In this case, you specify a No Page Break Marker at the top of the second heading.

1)Click the heading text of the second heading.

2)Select Special > Publish Options > Apply No Page Break Marker.

The marker text for the newly created marker is <NoSplit>. This indicates that the selected heading will appear on the same page as the previous heading.

Remove all Page Break markers

You can remove all the Page Break markers in a document.

1)Open the document from which you need to remove all the page break markers.

2)Select Special > Publish Options > Remove All Page Break Markers.

Context-sensitive Help marker

To create context-sensitive Help, you need to add markers in your documentation that the product developers can link to from the corresponding parts of the product. The CSH (context-sensitive help) Marker feature in FrameMaker allows you to apply TopicAlias markers in your documentation. The CSH markers are then used by the publisher to add anchors in the publish output. The publisher also creates a map file that the product developers use to link to the anchors in the documentation.

note: For best results, ensure that you are applying the map IDs to heading styles that you identified for pagination.

Context-sensitive Help markers are used in the following publish output formats:

•Responsive HTML5

•WebHelp

•Microsoft HTML Help

Apply a context-sensitive Help marker

1)Click to place the mouse cursor at the start of a paragraph text to insert the context-sensitive Help marker.

2)Select Special > Publish Options > Apply CSH Marker.

3)Enter the map ID and click OK.

When you create a CSH marker in a document, FrameMaker creates a TopicAlias marker with the marker text as the map ID that you specify.

important: You cannot use whitespaces or the following special characters for the marker text of a CSH marker: ~!@#$%^&*()+-={}|[]\\:\";'<>?,./

Creating and using a Context-sensitive Help map file

You apply CSH markers to specify context specific help location in your FrameMaker document. Next, you need to create a Help map file (with a .h extension). Your application developers use the map file to hook the specific parts of the application (for example, dialog boxes or menu items) to the corresponding help topics.

1)Add the CSH markers in the FrameMaker source.

2)Create a text file in any text editor and name the file as:

<source book or document name>.h

3)Place the map file in the FrameMaker source folder.

4)For each CSH marker that you apply in your document, you need to create one line item in the map file as follows:

#define <map ID> <map number>

map ID

Name that you specify for the CSH marker

map number

Unique numeric identifier that will be provided by the application developers. However, as a placeholder, you can provide any random number.

For reference, the FrameMaker publish procedure also creates a sample map file:

a)Run the publish procedure for your document.

b)In Windows Explorer, go to the output folder.

If your source content has CSH markers defined, a <source book or document name>_Generated.h file is created at the same folder level as the output folder.

Example: For the output of a book named framemaker-publisher.book, the map file is framemaker-publisher_Generated.h.

You can use this _Generated.h file as a reference to create your map file.

You need to create your map file in the same format as this _Generated.h file.

5)important: The <source book or document name>_Generated.h file is created at the same level as the output folder and not inside the output folder.

6)After you have added all the CSH markers to your map file, provide the map file to the product development team.

The product development team can use the unique identifiers that you have included in the file. Alternatively, the product team can change the identifiers, as required, and return the updated file.

7)Copy the updated map file to the FrameMaker source folder.

Ensure that the name of the file is <source book or document name>.h.

8)Run the publish procedure.

The CSH markers are now included as anchors in the published output. You can now test the product context-sensitive Help functionality.

To implement context-sensitive Help in an application, you need to include the CSH markers in the documentation as described above. In addition, your product team will also need to add functionality in the application. For a detailed description on how to include context-sensitive Help functionality in an application, see Context-senstiveHelpinformationfordevelopers in the Using RoboHelp guide.

Apply index markers

1)Click on the paragraph text that you want to insert the index marker.

2)Select Special > Publish Options > Apply Index Marker.

3)Enter the index entry and click OK.

Create Dynamic HTML effects

You can create dynamic HTML effects such as drop-down text and expanding text in your FrameMaker documents if you want to have the published online Help formats to have these options.

Use the drop-down text effect to provide alternative task options and basic conceptual topics, summarize the questions on an FAQ, and shorten nested procedures. Text that you mark as drop-down body is displayed in your Apply conditional tags. But the text appears online only when the user clicks the drop-down text caption on the Help page.

Similarly, you can use expanding text DHTML effect to display expanded definitions, key terms, or links to overview topics embedded in a paragraph. Expanding text requires an expanding text caption that contains the link and expanding text body that is displayed when a user clicks the expanding text link. Expanding text body is not displayed in PDF. It appears only in the Help page when a user clicks the text that contains the expanding text link.

These DHTML effects require two components: a caption and body. You apply the drop-down text effects to paragraphs and the expanding text effect to characters. When the drop-down text effect is created, two paragraph formats, DropDownCaption and DropDownBody, are added to the FrameMaker document. When the expanding text effect is created, two character formats ”ExpandingTextCaption and ExpandingTextBody” are added. These formats are imported to the RoboHelp project when you import the FrameMaker documents. The effects are visible in the created HTML topics.

If the HTML topic generated contains only the captions without the accompanying body formats, links are generated and visible in the HTML topic. If the HTML topic generated contains a text body without the corresponding captions, no links are generated. In addition, if a paragraph to which the drop-down text body format is applied is also specified for conversion to an autonumbered list, the list conversion is ignored.

Create drop-down text in a FrameMaker document

1)Select the text or paragraph on which you want to place the drop-down text caption.

2)Select Adobe RoboHelp > Dynamic HTML Effects > Drop Down Caption.

3)Select the text that should appear as drop-down text in your online Help page.

4)Select Adobe RoboHelp > Dynamic HTML Effects > Drop Down Body.

Create expanding text in a FrameMaker document

1)Select the term or phrase on which you want to place the expanding text caption.

2)Select Adobe RoboHelp > Dynamic HTML Effects > Expanding Text Caption.

3)Select the text that should appear as expanding text in your online Help page.

4)Select Adobe RoboHelp > Dynamic HTML Effects > Expanding Text Body.


Hypertext commands

4.5.Hypertext commands

A hypertext command in a FrameMaker document, defines an active area in a document. If a user clicks on the active area in a view-only FrameMaker document or an output such as PDF or HTML, the associated hypertext command is executed.

You can create a hypertext command in a document to provide inter-activity to the reader. See Add hypertext commands to documents.

You can use hypertext commands to perform tasks such as opening a web page, displaying a alert, go to a specific pages (first, last, page number) in the current document, open and close external applications. See Available hypertext commands.

You can then save your document as view-only, PDF or publish the document using the FrameMaker multi-channel publishing solution.

note: Hypertext commands work differently in PDF and HTML output. See PDF and HTML: Hypertext command support.

You can use hypertext commands in images added to a FrameMaker to Create an image map that defines multiple clickable areas in a single image.

4.5.1.Add hypertext commands to documents

To add hypertext commands to a document, you need to first Define an active area in a document and then Associate a hypertext command with an active area.

Define an active area in a document

You can associate hypertext commands to text or images in a document. When a user clicks on the active area, the area is highlighted after which the command is executed.

Create a text active area in a document

You can define a word, phrase, paragraph, or multiple adjacent words as active areas. To identify a text active area, FrameMaker uses the character format of the text. This implies that the character format of the text active area must be different from that of the surrounding text. If the character format is the same as the surrounding text, the entire text in the paragraph is set as active.

Define an active area for a word or phrase

1)Select the word or phrase.

You need to change the character format of selected the word or phrase.

2)In the Format menu, go to the Characters sub-menu.

3)In the Characters sub-menu, you can choose from the list of default character formats available in the current document catalog.

Alternatively, open the Character Designer catalog and apply a custom character format.

note: The following character format changes cannot be used to define a text active area: pairkerning, spread, stretch, change bars, language, and case.

tip: If you do not want the text in active area to display differently from the surrounding text, use a different character format that has the identical formats as the surrounding text. You can save the character format of the surrounding text with a different name and then apply that character format to the active area.

Define an active area for a paragraph

Ensure that the same character format is applied to the entire paragraph.

Define separate active areas for adjacent words or phrases

You can assign different hypertext commands to adjacent words or phrases in a paragraph by applying by different or the same character format to the words or phrases. However, you need to ensure that the character formats of the words or phrases are not the same as that of the surrounding paragraph text. See Define an active area for a word or phrase. After this you can associate a hypertext command with each of the adjacent words or phrases. For details, see Insert hypertext command marker.

Define an image active area

You can define an active area on a image in a document. When a user clicks the image, the associated hypertext command is executed.

1)Draw a text frame to cover the image in the document.

Make sure that the graphic is not set to have text run around it.

To place a text frame over the image:

a)Open the Graphics tool bar (View > Toolbars > Graphics Toolbar).

b)Click Text Frame in the Graphics Toolbar and draw the text frame to cover the image.

2)Set the text frame fill and pen patterns to None.

To set the text frame properties:

a)Right-click the text frame and choose Object Properties.

In the Anchored Frame Properties dialog:

b)Go to the Stroke tab and uncheck the Pen Pattern option.

c)Go to the Fill tab and uncheck the Pattern option.

3)Ensure that the text frame is placed above the image.

If you place the image after placing the text frame, choose Graphics > Bring To Front to place the text frame in front of the graphic.

Create an active area on multiple pages in a document

If you create an active area on the master page of a document, the area will be active on all pages of the document. For example, you can add text to the document header and create an active area in the text in the header.

Associate a hypertext command with an active area

After you Define an active area in a document, you need to associate a hypertext command to the area. When a reader clicks the active area in your document, the hypertext command is executed.

View-only FrameMaker documents support all FrameMaker hypertext commands, PDF and HTML outputs of hypertext documents, have limited support. For details, see PDF and HTML: Hypertext command support.

Insert hypertext command marker

1)Place the insertion point in the active area.

Word or phrase

At the start of the word or phase. See Define an active area for a word or phrase.

Paragraph

At the start of the paragraph. See Define an active area for a paragraph.

Multiple adjacent words or phrases

At the start of each separate word of phase. See Define separate active areas for adjacent words or phrases.

Image

In the enclosing text frame. See Define an image active area.

2)Open the Hypertext dialog. Special > Hypertext.

3)Use the Hypertext dialog to:

Element Tag

If you are adding a hypertext command in a structured document, select the required hypertext element tag.

note: This will depend on the structured application that you are using to create your structured documents.

Command

Select the hypertext command to execute when a user click the active area to which the current hypertext command is associated.

See the current set of Available hypertext commands.

Command syntax text box

Enter the command parameters.

Hypertext commands must always appear in lowercase. The parameters can be uppercase or lowercase, but they are case-sensitive. The entire command can be up to 255 characters long. (Each character in a Japanese font counts as two characters.)

note: If you enter a filename parameter for a file that is not in the same folder as the current document, specify a path to the document.

note: Hypertext markers support the Unicode text encoding standard.

See the current set of Available hypertext commands.

Validate Command upon Insertion

FrameMaker will validate the syntax as soon as you insert the command in the document.

Make View-Only

Make the current document view-only.

You can also use this option to text the hypertext commands that you insert in a document.

4)Click New Hypertext Marker.

A hypertext marker is inserted in the document.

note: To insert a hypertext command in a text inset, insert the command in the text inset source document.

note: If a cross-reference is present in the same text area as a hypertext command, the cross-reference takes precedence over the hypertext command.

4.5.2.Edit and delete hypertext commands

You can edit or delete an existing hypertext command in a document.

Editing a hypertext command

1)Open the Hypertext dialog and use the Find / Change dialog to find the hypertext command to edit.

In the Find drop-down list, choose Any Marker.

The marker will be displayed in the Hypertext dialog.

2)Change the required options for the command and click Edit Hypertext Marker.

Deleting a hypertext command

1)Open the Hypertext dialog and use the Find / Change dialog to find the hypertext command to edit.

In the Find drop-down list, choose Any Marker.

The marker will be displayed in the Hypertext dialog.

2)Press the Delete key to delete the marker.

4.5.3.Available hypertext commands

The sections covers the available hypertext commands to:

• Display alert messages

• Navigate to a named destination

• Navigate to a specific page

• Navigate back

• Open documents

• Button Matrix

• Go to URL

• Open external applications and files

• Close FrameMaker and FrameMaker documents

Display alert messages

You can display alert messages on the click on an active area by using the Alert and Alert With Title commands.

note: In PDF output, an alert message appears as a note without a title.

Alert

Displays an alert message.

Syntax:

alert message

Example:

alert Hello world

To display a custom title with the alert message:

1)Open a reference page for the current document (View > Reference Pages).

2)Place a text frame on the reference page and enter the custom title in the text frame.

3)Right-click on the text frame and choose Object Properties to display the Text Frame Properties dialog.

4)Go to the Text Frame tab and set the Flow > Tag to AlertTitle.

Alert With Title

Displays an alert message with a user-defined title.

Syntax:

alerttitle title:message

Example:

alerttitle Message to the World:Hello world

Navigate to a named destination

You can navigate to a specific destination in the current or another FrameMaker document. To do this, you need use the Specify Named Destination command. You then point to this destination when you create any of the following commands:

• Jump To Named Destination

• Jump To Named Destination & Fit To Page

• Open Document

• Open Document & Fit To Page

note: If you omit the Specify Named Destination command, the Jump To Named Destination and Open Document commands do not work when clicked unless they reference a filename. In that case, the other file opens, showing the first page.

Specify Named Destination

Specify a named destination location.

Syntax:

newlink linkname

Example:

newlink available_hypertext_commands

note: The named destination name is case-sensitive and cannot contain spaces.

Jump To Named Destination

Pointer to the named destination defined by the Specify Named Destination. You can point to a named destination in the current or another FrameMaker document.

Syntax:

gotolink filename:linkname

Example to a named destination in the current document:

gotolink available_hypertext_commands

Example to a named in another FrameMaker (.fm) document:

gotolink hypertextcommands.fm:available_hypertext_commands

important: You need to specify the destination file extension (for example .fm).

Jump To Named Destination & Fit To Page

Pointer to the named destination defined by the Specify Named Destination. You can point to a named destination in the current or another FrameMaker document. The window is then resized to fit the destination document page.

Syntax:

gotolinkfitwin filename:linkname

Example to a named destination in the current document:

gotolinkfitwin available_hypertext_commands

Example to a named in another FrameMaker (.fm) document:

gotolinkfitwin hypertextcommands.fm:available_hypertext_commands

important: You need to specify the destination file extension (fore example .fm).

Open Document

Point to the named destination defined by the Specify Named Destination. If the destination is a different document, it opens in a new window.

Syntax:

openlink file_name:linkname

Example to a named destination in the current document:

openlink available_hypertext_commands

Example to a named in another FrameMaker (.fm) document:

openlink hypertextcommands.fm:available_hypertext_commands

important: You need to specify the destination file extension.

Open Document & Fit To Page

Point to the named destination defined by the Specify Named Destination. If the destination is a different document, it opens in a new window. The new window is then resized to fit the document page displayed.

Syntax:

openlink file_name:linkname

Example to a named destination in the current document:

openlink available_hypertext_commands

Example to a named in another FrameMaker (.fm) document:

openlink hypertextcommands.fm:available_hypertext_commands

important: You need to specify the destination file extension.

Navigate to a specific page

You can navigate to a specific page in the current or another FrameMaker document.

Jump to First Page / Last Page

Point to the first or last page of the current or a different document. The page is displayed in the active window.

Syntax:

gotolink filename:firstpage

gotolink filename:lastpage

Example to a named destination in the current document:

gotolink firstpage

Example to a named in another FrameMaker (.fm) document:

gotolink hypertextcommands.fm:lastpage

important: You need to specify the destination file extension.

Jump To Page Number

Point to a specific page in the current or a different document. The page is displayed in the active window.

Syntax:

gotopage filename:pagenumber

Example to a named destination in the current document:

gotopage 7

Example to a named in another FrameMaker (.fm) document:

gotopage hypertextcommands.fm:7

important: Use the actual page number in the document. For example, if the destination document MyDoc uses Roman numerals for page numbers and begins on page v, the command to display the third page is open page MyDoc.fm:vii.

Jump To Previous Page / Next Page

Point to the previous or next page of the current document. The page is displayed in the active window.

Syntax:

previouspage

nextpage

Example:

previouspage

nextpage

tip: Add the previous and next page hypertext commands to on the master pages of a document to display these on every page of the document.

Navigate back

You can place hypertext commands on pages that a reader can click to go back to the page from which the reader reached the current page. This behavior is similar to the back button functionality on your web browser. For example, if you have create an active text area on a page to navigate the user to another page on the document. On the destination page, you can place a Jump Back or Jump Back & Fit to Page hypertext commands.

note: If the stack is empty and if you have not provided a filename and linkname, FrameMaker leaves the current page displayed.

Jump Back

Navigate back to the previous page. The page is displayed in the active window.

Syntax:

previouslink filename:linkname

Example to a named destination in the current document:

previouslink available_hypertext_commands

Example to a named in another FrameMaker (.fm) document:

previouslink hypertextcommands.fm:available_hypertext_commands

important: You need to specify the destination file extension.

Jump Back & Fit to Page

Navigate back to the previous page. The page is displayed in the active window. The new window is then resized to fit the document page displayed.

Syntax:

previouslinkfitwin filename:linkname

Example to a named destination in the current document:

previouslinkfitwin available_hypertext_commands

Example to a named in another FrameMaker (.fm) document:

previouslinkfitwin hypertextcommands.fm:available_hypertext_commands

important: You need to specify the destination file extension.

Open documents

You can open documents as new FrameMaker documents (Open Document As New), open the document on the first or last page(Open Document At First/Last Page), or open a document on a specific page number (Open Document At Page Number).

Open Document As New

Opens a document (defined in the file name argument) as a new, unnamed document. The document displays in a new window, leaving the active window open.

Syntax:

opennew filename

Example:

oopennew hypertextcommands.fm

important: You need to specify the destination file extension.

Open Document At First/Last Page

Opens a document at the first or last page of the document. The page appears in a new window (leaving the active window open) only if the page is in a different document.

Syntax:

openlink filename:firstpage

openlink filename:lastpage

Example:

oopenlink hypertextcommands.fm:firstpage

important: You need to specify the destination file extension.

Open Document At Page Number

Opens a document at a specific page. The page appears in a new window (leaving the active window open) only if the page is in a different document.

Syntax:

openpage filename:pagenumber

Example:

oopenpage hypertextcommands.fm:7

important: You need to specify the destination file extension.

Button Matrix

Defines a contiguous set of clickable areas in an image and associates one hypertext command with each area.

For example, you can take a screen capture of a toolbar in an application and then assign one hypertext command to each button on the toolbar. The hypertext command then navigates the reader to the corresponding help for the associated button on the toolbar image.

Syntax:

matrix rows columns ReferencePageFlowName

Example:

matrix 1 3 button_matrix_flow

rows

Number of rows of buttons

columns

Number of buttons in a row

ReferencePageFlowName

Text frame created on the document reference page that defined the hypertext command for each button in the matrix.

Define a button matrix

Define a button matrix to the map the three icons in the following image to three corresponding hypertext commands:

Button matrix image

1)Go to the reference page for the current document (View > Reference Pages).

2)Define a text frame on the reference page and set the value of the flow tag to button_matrix.

The flow tag value is used to map the image text frame (Step 1) to the text frame on the reference page.

a)Open the Text Frame Properties dialog.

Right-click on the text frame and choose Object Properties.

b)Go to the Text Frame tag and enter button_matrix in the Tag field.

3)In the text frame, enter the hypertext command for each button matrix.

For example, you can use the Jump To Named Destination command to navigate the reader to a named destination when the user clicks on a button in the matrix.

gotolink first_button_help
gotolink second_button_help
gotolink third_button_help

4)Add the above image to a FrameMaker document and Define an image active area.

5)In the text frame, add the following button matrix hypertext command:

matrix 1 3 button_matrix

The image contains one row of icons and three columns. Also, the text frame flow tag, on the reference page, is defined as button_matrix (Step 2).

The hypertext command defined on each line in the reference page text frame (Step 3) corresponds to the command to be executed for each button on the image (Step 4).

This means that for the following button matrix hypertext command, the reference page text frame (button_matrix_flow) must contain hypertext commands on six lines:

matrix 2 3 button_matrix_flow

6)You need to Specify Named Destination

7)To test the button matrix, click Make View-Only in the Hypertext dialog.

If you plan to create PDF or HTML output for FrameMaker document containing a button matrix, ensure PDF and HTML: Hypertext command support.

Go to URL

Launches browser and displays the specified web page.

Syntax:

message URL url

Example:

message URL http://www.adobe.com

Open external applications and files

You can use the hypertext command to open external applications and files.

Syntax:

message system application name or path, window state

note: The window state argument is set to SW_SHOWNORMAL. If you omit this argument, the external application opens in the last exited state.

Example:

To open Microsoft Paint in the maximized window state:

message system mspaint, SW_MAXIMIZE

Example:

To open Microsoft Word in the minimized window state:

message system winword, SW_MINIMIZE

Example:

To open a specific PDF document, specify the complete path to the document:

message system c:/hypertextdocuments.pdf

The PDF opens in the default application.

To specify the application to open the file:

message system acrobat c:/hypertextdocuments.pdf

The above examples specify the application name. You can also specify the complete path to the application .exe file. For example, if you have multiple versions of an application installed, usually the latest version is the default. You can open a previous version by specifying the complete path to the .exe for the version.

Example:

To open an application by specifying the complete path to the application .exe :

message system "C:\Program Files (x86)\Adobe\AdobeFrameMaker12\FrameMaker.exe"

note: Use double-quotes if the file path contains spaces.

Window states

The following table lists the available window state options:

1)

State | Definition
SW_HIDE | Hides the window and activates another window
SW_MAXIMIZE | Maximizes the specified window
SW_MINIMIZE | Minimizes the specified window and activates the next window in the Alt+Tab order
SW_RESTORE | Activates and displays the window (If the window is minimized or maximized, Windows restores it to its original size and position.)
SW_SHOW | Activates the window and displays it in its current size and position
SW_SHOWDEFAULT | Sets the show state based on the SW_ flag specified in the STARTUPINFO structure passed to the CreateProcess function by the program that started the application
SW_SHOWMAXIMIZED | Activates the window and displays it as a maximized window
SW_SHOWMINIMIZED | Activates the window and displays it as a minimized window
SW_SHOWMINNOACTIVE | Displays the window as a minimized window (The active window remains active.)
SW_SHOWNA | Displays the window in its current state (The active window remains active.)
SW_SHOWNOACTIVATE | Displays a window in its most recent size and position (The active window remains active.)
SW_SHOWNORMAL | Activates and displays a window (If the window is minimized or maximized, Windows restores it to its original size and position.)

If you omit the windowstate value, the window state is set to SW_SHOWNORMAL. For more information on window states, see the documentation for the Windows software development kit.

Close FrameMaker and FrameMaker documents

You can use hypertext commands to close the current document (Close Current Document) and close all open view-only document (Close All Hypertext Windows). You can also create a hypertext command to exit FrameMaker (Exit FrameMaker).

Close Current Document

Close the current active FrameMaker document.

Syntax:

quit

Close All Hypertext Windows

Close all open view-only FrameMaker documents.

Syntax:

quitall

Exit FrameMaker

Exit the current instance of FrameMaker.

Syntax:

exit

4.5.4.PDF and HTML: Hypertext command support

View-only FrameMaker documents support all hypertext commands.

PDF and HTML outputs of hypertext documents, have limited support.

The following table describes the PDF and HTML support:

Command | PDF | HTML
Alert, Alert with Title | Appears as a note, with no title | NO
Jump to Named Destination | YES | YES
Jump to Named Destination & Fit to Page | Works as described, but doesn’t fit to page | Works as described, but doesn’t fit to page
Jump to First Page, Jump to Last Page, Jump to Page Number, Jump to Previous Page, Jump to Next Page | YES | NO
Jump Back, Jump Back & Fit to Page | NO | NO
Open Document | YES | YES
Open Document & Fit to Page, Open Document as New, Open Document at First Page, Open Document at Last Page, Open Document at Page Number | Works as described, but doesn’t fit to page or open a separate window | Works as described, but doesn’t fit to page or open a separate window
Pop-up menu | NO | NO
Button Matrix | NO | Works as described, if the text frame containing the command is in an anchored frame in the main text flow
Message URL | Works when PDF is opened in browser; however, the link sometimes does not work in Acrobat | YES
Message Client | NO | NO
Close current window, Close All Hypertext Windows, Exit Application | NO | NO

4.5.5.Create an image map

You can use the hypertext commands to create different clickable regions in a single image. In the following procedure, create three clickable regions around the rectangles in the following flowchart:

Clickable image map

1) Define an image active area for each rectangle.

2)Insert a Jump To Named Destination hypertext command in the text frame for each image active area.

3)Use the Specify Named Destination hypertext command in the three destinations for each of the three clickable regions.

4)To test the image map in FrameMaker, click Make View-Only.

In this example, the Named Destination hypertext command is defined in each of the clickable regions. You can use any combination of the Available hypertext commands.

note: All available hypertext commands function in the FrameMaker view-only documents. However, if you create PDF of HTML output from FrameMaker, you will need to check the PDF and HTML: Hypertext command support.


Multiple Undo/Redo

4.6.Multiple Undo/Redo

You can undo or redo multiple actions in FrameMaker. For example, saving a .fm file as a .mif file does not clear the history. However some actions cannot be undone and you are prompted to confirm the action. For example, deleting a blank page from a document cannot be undone.

4.6.1.Undo and Redo commands

A Redo icon [image] appears in the toolbar, next to the Undo icon [image]. Click this button to redo the most recently undone action in the current document.

A Redo command also appears in the Edit menu and in context menus, under the Undo command, showing the most recent redoable command in the current document.

The Edit menu displays the last command as well as the last command that has been undone.

If no action is available for Undo or Redo in the current document, the corresponding menu options and toolbar buttons are unavailable (dimmed).

The History command opens the command History pod, which allows you to undo or redo an action other than the most recent one, along with all of the subsequent actions.

4.6.2.Document-level command history

FrameMaker maintains a history of undoable commands, so that you can select one or more recent commands to undo or redo.

The command history is available through the Edit menu and context menus. The command history is kept separately for each document, so undoing or redoing an operation in one document does not change the undo capability of another open document.

Cursor movement and object selection actions are not undoable, but when a previous state is restored, it includes the original cursor location and object selection state.

Commands that affect an external file (such as Spelling Checker commands that update the user dictionary) cannot be undone.

4.6.3.Repeat Last Operation

FrameMaker features a powerful Repeat Last Operation feature that makes it easy for you to repeat the previous operation, when working on a FrameMaker document.

Repeat Last Operation can be performed on a document at the following locations:

•The current insertion point

•The current text selection

•The current object selection

To perform the Repeat operation, select Edit > Repeat [operation/object name] from the FrameMaker menu.

In addition, you can view the history buffer by selecting Edit > History from the FrameMaker menu.

Click once on an entry in the buffer to perform it. Click once more on the entry to undo the operation.

Repeat Last Operation can be performed for the following actions on the document:

•Typing: Repeat Last Operation history buffer remembers the last chunk of characters that were typed. The typing sequence is broken when:

•The user clicks in the document.

•The user switches between tabbed documents.

•Paste: Repeat Last Operation can repeat the last paste operation at the current cursor location for both text and graphic objects in the clipboard. The list of graphic objects that can be pasted with Repeat Last Operation, are as follows: Aframe, Arc, Ellipse, Group, Inset, Line, Math, Polygon, Polyline, Rectangle, Rounded Rectangle, TextFrame, TextLine, Unanchored Frame.

note: The copy operation is not repeatable.

•Delete: Repeat Last Operation can repeat deletion of both text as well as graphical objects.

note: If you delete multiple characters and then use Repeat Last Operation, only a single character is deleted. Character deletion and object deletion operations are interchangeable. If you delete a character and then perform a Repeat Last Operation on a graphic object, the graphic object is also deleted.

•Apply Character Format Changes: Repeat Last Operation can reapply the properties of the last applied character format to the new text selection.

•Apply Paragraph Format Changes: Repeat Last Operation can reapply the properties of the last applied paragraph format to the new paragraph selection.

•Insert Graphic Objects: Repeat Last Operation can reinsert the last inserted graphic object at the current cursor location. This operation works across documents.

The list of graphic objects that can be inserted are as follows:

Aframe, Arc, Ellipse, Group, Inset, Line, Math, Polygon, Polyline, Rectangle, Rounded Rectangle, TextFrame, TextLine, Unanchored Frame.

•Insert Table: You can use Repeat Last Operation to reinsert the last inserted table at the current cursor location.

•Set Object Properties: When you apply the Repeat Last Operation command to set object properties, FrameMaker applies the last specified object properties to the new object.

•Set Text Properties: Repeat Last Operation can repeat the last selected text property such as Plain, Bold, Italic, Underline and Justify to the currently selected text or paragraph.

•Insert Footnote/Anchored Frame: You can use the Repeat Last Operation command to insert a previously inserted Footnote/Anchored Frame at the current cursor position.

•Find/Change: When you apply the Repeat Last Operation command to the Find/Change procedure, FrameMaker performs the last Find/Change operation on any further occurrences of the specified text.

•Apply Conditional Text: Repeat Last Operation can repeat the last applied conditional tag to the currently selected text.

The shortcut key for the Repeat Last Operation action is F6. Repeat Last Operation is session-specific and not document specific.

Repeat Last Operation actions can be turned off by editing maker.ini. Edit the following entries:

•RepeatTypingEnabled: By default this entry is set to ON. Set this entry to OFF to disable the repeat typing operation.

•RepeatEnabled: By default this entry is set to ON. Set this entry to OFF to disable the repeat last operation actions.

note: Use caution when editing an ini file.

4.6.4.History pod

The Edit > Undo and Redo menus show the most recent command, but a complete command history is available in the History pod, available from Edit > History. This pod allows you to select an action to undo or redo. The command history is shown only for the active document.

In the History pod, the most recent command is highlighted. Commands listed above the most recent are undoable. Commands listed below the most recent are redoable, and are marked with an asterisk (*).

The History pod shows a list of commands that have been performed as well as those that have been undone.

You can undo and redo actions only in the order in which they were originally performed. When you select a command to undo, all later commands (which have been affected by the selected action) are also undone. FrameMaker also moves the selected command and all succeeding commands to the Redo list. Similarly, redoing a command moves it and subsequent commands back to the Undo list.


Search

4.7.Search

The Find and Change functionality allows you to search for items (not only text) in a document, book, or map. You can use the find functionality to search for text, and other Structured authoring.

If you are searching in a document (Edit > Find/Change), FrameMaker begins searching at the insertion point and continues through the document. It searches only pages of the type the insertion point is on—for example, only body, master, or reference pages. When FrameMaker reaches the end of the document, it continues the search at the beginning. After searching the main text flow, it searches other text in the document. Because FrameMaker searches flow by flow rather than page by page, it sometimes appears to jump around within the document while searching.

If you are searching throughout a book, FrameMaker begins searching from the active document, or from the first document of the book if the book window is active, and continues searching until all documents in the book have been searched. If a document cannot be opened, the document is skipped and a message appears in the Book Error Log.

note: When you are searching through a book, bookmap, or DITA map, you cannot search the master or reference pages.

4.7.1.Find / Change dialog

To open the Find / Change dialog, choose Edit / Find/Change.

Find

Select the type of FrameMaker item to search. You can search for text and other Structured authoring.

Simple Search

Searches as per the text entered in the Find field.

Wildcards

Searches based on the wildcard rules defined in the Find field:

Wildcard | Description | Sample
* | Star.Any number of characters | *orm searches for: form or inform
| | Pipe. Spaces or punctuation |
. | Dot. Any one character | fo.m searches for form or foam
^ | Caret. Start of a line |
$ | End of line |
[ab] | Any one of the bracketed characters | f[ao]rm searches for farm or form
[^ab] | Any character except the bracketed characters | f[^ao]rm searches for f followed by any character except the a and o followed by rm
[a-f] | Any character in the specified range | f[b-e]rm searches for farm or form but not, for example, ferm

note: When performing a wildcard find, use the backslash character when finding a character that has special meaning to wildcards. For example, \* searches precisely for * (the star character).

Regular Expressions

Searches based on the regular expression defined in the Find field.

Regular expression | Description | Sample
* | Star. Zero or more instances | *orm searches for: form or inform, or frm
. | Dot. Any one character | fo.m searches for form or foam
+ | Plus. One Any one character | fo.m searches for form or foam
? | Restrict the search to the next specified character | fo.+?m searches for fo followed by one or more characters (any) followed by m
\d | A digit | \d+ Searches for a number with one or more digits
{n} | Specific number of instances | so{1}n searches for son but not soon
{n,m} | Range of instances | so{1-2}n searches for son and soon but not sooon
{n,} | Range n to m within braces. | so{1-2}n searches for son and soon but not sooon
^ | Caret. Start of a line |
$ | End of line |
[ab] | Any one of the bracketed characters | f[ao]rm searches for farm or form
[^ab] | Any character except the bracketed characters | f[^ao]rm searches for f followed by any character except the a and o followed by rm
[a-f] | Any character in the specified range | f[b-e]rm searches for farm or form but not, for example, ferm

note: When performing a regular expression find, use the backslash character when finding a character that has special meaning to regular expressions. For example, \* searches precisely for * (the star character).

Consider Case

Case-sensitive search

Whole word

Search for a whole word. For example, the search for the whole word so, finds so but not soon.

Find Backward

By default, the Find functionality searches from the start to the end of a document or book. Choose this option to search backwards.

Change

Select the item type to change the found item.

Regular expression change includes a capture group functionality. For example, to find the dates in a document and change the format from dd-mm-yyyy to mm-dd-yyyy, use the following regular expression:

(\d{2})-(\d{2})-(\d{4})

The round brackets on the date, month, and year parts of the regular expression are capture groups. Each capture group is captured within the regular expression variables \1, \2, \3 etc.

To swap the month group with the date group:

\2-\1-\3

note: If you choose Change or Change & Find when no text is selected in the document, FrameMaker inserts or applies the replacement item at the insertion point.

Clone Case

Ensure that the changed item follows the same casing as the found item. For example, find so and change to soon with Clone Case selected change so to soon and So to Soon.

Look in

Choose to find for items in a book, map, document, or current selection.

4.7.2.Types of search items

In addition to text, you can search for any of the following items in a selection, in a document, or throughout an entire book. You can also search in a map from the Resource Manager view.

Text formats and tags

Character format properties, or specific paragraph or character tags. In structured FrameMaker, Element appears right after text, so you can search for element tag, attribute name, attribute value, or simultaneously for all three.

a)Copy the text with the character format you want to find. FrameMaker uses only the first 126 characters copied into the clipboard.

b)Select Edit > Find/Change. In the Find/Change dialog box, choose Text & Character Formats In Clipboard from the Find pop-up menu. Don’t type the text you want to find in the Find box.

c)Click Find.

To prevent FrameMaker from applying a property to found text, set the property to As Is.

tip: After making changes in the Change To Character Format dialog box, you can reset the dialog box to match the format of the current text by pressing Ctrl+Shift+F9.

Markers

FrameMaker uses markers for cross-references, indexes, and other purposes. It can find any type of marker or just the marker type you specify. When text symbols are visible, a symbol [image] indicates a marker.

FrameMaker can also find markers with specific marker text.

You can’t change marker text by using the Find/Change dialog box. If FrameMaker finds the marker text you specify, and if you type different text in the Change box and click Change, FrameMaker replaces the marker—not the marker text—with the text in the Change box. To change marker text, use the Special > Marker command.

a)In the Find/Change dialog box:

•To find any marker in the document, choose Any Marker from the Find pop-up menu, and leave the Find box blank.

•To find a specific type of marker, choose Marker Of Type from the Find pop-up menu, and enter the marker type in the Find box.

•To find a marker with specific text, choose Marker Text from the Find pop-up menu, and enter the marker text in the Find box.

b)Click Find. If the Marker dialog box is open (Special > Marker), the marker text for the found marker appears in the dialog.

important: If you want to replace the text in a found marker, use the Marker dialog box to edit the marker text. If you use the Find/Change dialog box, you’ll replace the marker rather than the marker text.

Cross-references

Any cross-references, regardless of their formats, cross-references that use a specific format, or unresolved cross-references—cross-references that FrameMaker is unable to update. When an unresolved cross-reference is found, the marker text of the cross-reference appears in the Find box.

Text insets

Any text imported by reference. You can also search for unresolved text insets—insets that cannot be updated from their sources. However, you can’t search for graphics subscribers or OLE linked objects. (To list OLE links, choose Edit > Links.)

Variables

Any variables, regardless of their variable names, or specific variables.

Rubi

Any rubi text, when Japanese fonts are installed on your system.

Anchored frames

Frame that contains graphics and helps you locate them. Graphics placed in non-anchored frames are not found.

Footnotes

Any text or table footnotes.

Tables

Any tables regardless of their table format tags, or tables with a specific tag.

Conditional text

Any conditional text, regardless of its condition tags, text with specific condition tags, or unconditional text. FrameMaker cannot find conditional table rows or hidden conditional text.

You can search for visible text that has specific condition tags. When FrameMaker finds visible conditional text, it selects all adjacent text that uses these condition tags.

FrameMaker cannot find conditional table rows.

a)Make sure that the text with the condition tags you want to find is visible.

b)In the Find/Change dialog box, choose Conditional Text from the Find pop-up menu.

c)Do the following:

•To find text with a particular condition tag, move the condition tag to the In list.

•To find text that doesn’t have a particular condition tag, move the tag to the Not In scroll list.

•If you don’t care whether found text has a particular tag, move the tag to the As Is scroll list.

•To find all conditional text, move all tags to the As Is scroll list.

•To find unconditional text, select Unconditional.

note: To move a condition tag between scroll lists, select the tag and click an arrow, or double-click the tag. To move all tags from one scroll list to another, select a tag in the list and Shift-click an arrow.

d)Click Set, and then click Find.

Automatic hyphen

Words that are hyphenated automatically.

Text and character format on the clipboard

Text that matches the clipboard text, capitalization, and character formatting.

4.7.3.Unicode text search

FrameMaker uses the UTF-8 encoding format. Therefore, every character in a .fm or XML document containing Unicode-encoded text uses multiple bytes. As a result, only the string entered in the Find field is used to perform the search operation.

Searching in a range is applicable only to Unicode characters, and users can search for any character that belongs to the Basic Multilingual Plane (BMP). Unicode code points can also be used for performing search and replace operations. For example, you can provide \uXXXX as the input to locate a character that has code point XXXX. Thus, to search for letter “A” whose code point is u+0041, you can specify \u0041 in the Find/Change dialog box.

A code point is any value in the Unicode codespace, which is a range of integers from 0 to 10FFFF16. This particular range is defined for the codespace in the Unicode standard only. Other character-encoding standards sometimes use other codespaces.

You can also use wildcard characters while searching for Unicode text.

note: In Asian documents with multibyte characters, the bracket characters [ ] do not work as wildcards.

4.7.4.Special character and nonprinting symbol search

You can search for any text, including single characters, phrases, and special characters that aren’t on your keyboard. You’ll need to type the backslash sequence.

For example, you could find empty paragraphs by searching for \P\p (beginning of paragraph followed by end of paragraph).

You can use most of these sequences for both searching and replacing—for example, replacing a forced return symbol with an end-of-paragraph symbol. However, you cannot replace with the end-of-flow, start-of-paragraph, start-of-word, or end-of-word sequence.

4.7.5.Regular expression configuration

FrameMaker uses the boost engine for Regex. For more information on Boost, see http://www.boost.org/.

You can write the regular expressions using the following syntax:

•Perl (default): See Perl doc - Regularexpressions

•Grep: See Grep - Regular expressions

•Egrep: See Egrep - Regular expressions

By default, you use the Perl regular expression syntax to write regular expressions in FrameMaker. However, to use either the Grep or Egrep regular expression syntax, you need to update the Regular Expression Syntax flag in the maker.ini.


Spelling Checker

4.8.Spelling Checker

The Spelling Checker checks for incorrect spelling, repeated words, unusual hyphenation or capitalization, punctuation errors, straight quotation marks (when curved must be used), and extra spaces.

4.8.1.Run Spelling Checker

You can spell-check the current page, the open document, the entire book, bookmap or DITA map, or selected files within the book.

note: The spell check only checks on pages of the type you are viewing, for example, master pages or body pages.

note: To check the spelling inside a text inside, open the text inset and use the Spelling Checker.

1)Choose Edit > Spelling Checker.

The Spelling Checker dialog is displayed:

2)Click Start Checking.

FrameMaker begins spell-checking from the insertion point location in the active document or from the first document of the book if the book window is active.

If an error is encountered, the word or phrase is displayed in the Misspelling? field.

FrameMaker attempts to find alternative options that you can choose from.

The Correction field displays the first available alternative.

3)To correct a typing error, choose the correct alternative from the available list.

If the correct text is not available in the list, you can enter the alternative in the Correction field.

4)Click Correct.

5)You can also choose to ignore the correction flagged by the checker.

Learn

Add the flagged text to the personal dictionary. The text will no longer be flagged by the checker. If you open another document or if you restart FrameMaker, the word is not flagged.

If FrameMaker adds a word that contains uppercase letters to a personal or document dictionary, when Unusual Capitalization is selected in the Spelling Checker Options dialog box, it considers any other capitalization of the word a spelling mistake. For example, if FrameMaker learns Trinidad, it questions the spelling of trinidad. However, if it learns trinidad, in all lowercase letters, it does not question any type of capitalization of the word.

Allow in Document

Add the flagged text to the document dictionary. The text will not be flagged by the checker for the current document.

6)To ignore the current instance of a text that is flagged by the checker, click Start Checking.

note: FrameMaker does not spell-check superscript and subscript text or manually micropositioned text, such as text with a manual baseline shift.

If you are spell-checking a book or map, FrameMaker continues checking until all documents in the book are checked. If a document cannot be opened, the document is skipped and a message appears in the Book Error Log.

note: When spell-checking throughout a book or map, you cannot spell-check master or reference pages.

An alert message prompts you to save the document before continuing with the next document. When the last document in the book has been checked, a Spelling OK or Finished checking spelling message appears.

To check the spelling in specific documents of a book or map, you can select them in the resource manager view, and then choose Selection to spell-check only those files, books, or maps if you decide to spell-check the entire book or map.

FrameMaker draws a red squiggly line under words, to indicate spelling mistakes—words not present in the dictionary. A green squiggly line under the word indicates a punctuation mistake. To correct, right click on a highlighted word and select the desired option.

note: For the words highlighted in green, the options to add to dictionary are not applicable, and hence are not available.

4.8.2.Set Spelling Checker to skip text

You can prevent the Spelling Checker from checking the spellings of part of a document. For example, perhaps you don’t want to spell-check paragraphs of computer code.

To ignore certain text, change the Language property to None in the Character Designer.

note: When you set the language of text to None, FrameMaker no longer provides hyphenation for it.

4.8.3.Correct spelling errors automatically

You can have FrameMaker automatically correct future occurrences of a misspelled word or typing error. FrameMaker keeps track of the errors to correct automatically until you exit or until you instruct FrameMaker to stop making the corrections.

Before changing a particular misspelling or typing error automatically, verify the changes to make. If you use the Automatic Correction option when correcting a repeated word, FrameMaker corrects every repeated word even though some are correct (such as had had). Similarly, ifthstis a misspelling of both testandthat, you don’t want to change it automatically to either word.

1)Choose Edit > Spelling Checker and click Start Checking.

2)When FrameMaker questions a word or typing error, select and click Correct.

4.8.4.Change Spelling Checker options

When you spell-check a document, FrameMaker also checks for errors that don’t involve spelling—for example, repeated words, extra or misplaced spaces, or unusual capitalization. You can specify the kinds of typing errors to check.

You can also limit the spell-check so that FrameMaker overlooks certain types of words. For example, perhaps you want to overlook words that contain numbers.

1)Choose Edit > Spelling Checker and click Options.

Alternatively, click Options in the Spelling Checker dialog.

Auto Spell Check

Spell check the words in a document as you type. If a word is misspelt, a red squiggly appears below the word.

note: Auto spell check is session specific and not document specific. If the same document is opened on a different machine, settings for Auto spell checker might differ.

Find group

In the Find group, specify the types of typing errors you want to find. For example, select Unusual Capitalization if you want to find words with uppercase letters in inappropriate locations (for example, GReen).

Ignore group

Specify the kinds of words you want to overlook. For example, select Words With Digits if you want to ignore words that contain numbers.

note: The more words FrameMaker overlooks, the greater the possibility that your document contains mistakes. For example, if you choose to ignore words containing a period, you also skip over a sentence that begins without a space after the preceding period.

Get Defaults

If you change the Spelling Checker options and then want to reset the default options, click Get Defaults. If you exit FrameMaker without resetting the default options, your current settings become the default options.

2)Click Set.

FrameMaker rechecks only paragraphs that have been edited since the prior check. If you change options after spell-checking a document, consider running the Spelling Checker again after instructing FrameMaker to mark all paragraphs for rechecking.

4.8.5.Check spelling in different languages

All text in a document is assigned a language. When you spell-check a document, FrameMaker uses the main dictionary of the language assigned to the text. You can change the language used to spell-check text by changing the language assigned to the text. You can also add Unicode (UTF-8)-encoded words to user and personal dictionaries in FrameMaker.

FrameMaker contains dictionaries for all supported languages. However, the default installation contains only one dictionary in a single language.

1)To change the language of text in a document, use the Language property in the Default Font properties of the Paragraph Designer to change the language of one of the following:

•A single paragraph, or all the paragraphs in a document.

•A range of text within a paragraph, or the language of a text line.

Note the following about Asian-language documents:

•In an Asian-language document, some special characters are not displayed in the Spelling Checker as they are in a Western-language document. For example, a backslash is displayed as a yen symbol, and a nonbreaking hyphen is displayed as a blank.

•In an Asian-language document that contains Roman text, make sure that you turn off the Straight Quotes option in the Spelling Checker dialog box so that the Spelling Checker does not stop on properly spelled words.

4.8.6.Control hyphenation

When you add a word to a personal dictionary, FrameMaker suggests hyphenation points. You can change them before adding the word. You can also specify that a word is always or never hyphenated. For example, you can hyphenateheavy duty wherever it appears but never hyphenate your company name.

After making hyphenation changes, rehyphenate the document.

tip: For strict control over hyphenation (for example, before printing the final draft of a book), consider searching your document for all hyphens that FrameMaker has inserted automatically. Choose Automatic Hyphen from the Find pop-up menu in the Find/Change dialog box.

Change word hyphenation

1)Show the hyphenation points of the word.

2)Adjust the hyphenation and click Learn. You can add and delete hyphens as necessary.

Prevent FrameMaker from hyphenating a word

1)Enter the word in the Correction box.

2)Click Show Hyphenation.

3)Remove all hyphens from the word.

4)Insert a hyphen at the beginning of the word.

5)Click Learn.

Rehyphenate an entire document

1)Make the appropriate document window or book window active.

2)Choose Edit > Spelling Checker.

3)Click Dictionaries.

4)Select Rehyphenate Document and click OK. This option works for an open document.

In case of a book file, select Rehyphenate All Files In Book and then click OK.

4.8.7.Dictionaries

FrameMaker automatically creates a personal dictionary for you and a document dictionary for each of your documents. You can use either the Spelling Checker or Auto Spell Check options, to add or delete words in these dictionaries, or you can manage the dictionaries directly. When you work with a dictionary directly, you can examine and edit its contents or merge it with another dictionary. You can create multiple personal dictionaries and then use them one at a time.

If you make changes either to a personal or to a document dictionary, mark all paragraphs for rechecking before you spell-check the document again.

You perform many of the following tasks in the Dictionary Functions dialog box.

The FrameMaker Spelling Checker uses several dictionaries to check text for spelling errors. When you spell-check a document, FrameMaker compares each word in it with the words in the following dictionaries:

Main dictionary

Contains words found in a standard dictionary. You can’t add words to or delete words from this dictionary

Default site dictionary

Contains some technical terms. You can add words common to your site or workgroup—for example, the company name and product names. The site dictionary is normally in the site.dict file in the FrameMaker dict folder

Personal dictionary

Contains words you use often. Because FrameMaker uses this dictionary whenever you spell-check any document, use this dictionary for words that are neither document-specific nor site-specific (for example, your name). You can add or delete words. You can also create several personal dictionaries and switch between them.

Document dictionary

Contains words that are acceptable in a particular document. FrameMaker uses this dictionary regardless of who is editing the document. You can add words to or delete words from it. Unlike the other dictionaries, the document dictionary is part of the document rather than a separate file

About FrameMaker dictionaries

Dictionary Functions dialog

To open the Functions dialog, click Dictionaries in the Spelling Checker dialog (Edit > Spelling Checker).

Personal Dictionary

From the drop-down menu:

Set to None: Spell check a document without using the personal dictionary

Write to File: Specify the file to which you want to copy the dictionary contents. You can edit this file and then use it as a new dictionary.

note: If a book window is active when you choose this command, the document dictionaries are copied to a single file.

Merge from File: Choose the file to merge with the current dictionary.

Import Dictionary: Locate or specify the name of the file that contains the personal dictionary you want to use and click Use.

Document Dictionary

From the drop-down menu:

Clear: Delete the contents of the document dictionary

Write to File: Specify the file to which you want to copy the dictionary contents. You can edit this file and then use it as a new dictionary.

note: If a book window is active when you choose this command, the document dictionaries are copied to a single file.

Merge from File: Choose the file to merge with the current dictionary.

Write All Unknown Words to File

Add all the words in the current document with incorrect spelling to a dictionary.

Clear Automatic Corrections

To ensure FrameMaker does not Correct spelling errors automatically the next time you open FrameMaker.

Mark All Paragraphs for Rechecking

FrameMaker rechecks only paragraphs that have been edited since the previous check. If you change options after spell-checking a document, consider running the Spelling Checker again after instructing FrameMaker to mark all paragraphs for rechecking.

Rehyphenate Document

Rehyphenate an entire document or book.

Dictionaries for other languages

In FrameMaker, the dictionaries, hyphenation, and Thesaurus are Unicode enabled.

FrameMaker provides dictionary and hyphenation support for the following languages: Bulgarian, Catalan, Croatian, Czech, Danish, Dutch, Estonian, Finnish, Greek, Hungarian, Italian, Latvian, Lithuanian, Norwegian, Nynorsk, Polish, Portuguese, Romanian, Russian, Slovak, Slovenian, Spanish, Swedish, and Turkish.

note: By default, dictionaries of all languages supported in FrameMaker are installed.

FrameMaker provides full authoring support (without dictionaries and hyphenation) for Japanese, Korean, Traditional Chinese, and Simplified Chinese.

In addition, full authoring support (including language rules, dictionary, hyphenation, and thesaurus) is extended for US English, French, Danish, Dutch, German, Italian, Norwegian, Swedish, Swiss German, Canadian French, and British English.

Create another personal dictionary

1)Place words, with a hyphen at each hyphenation point, in a document. Type as the first line in the document: <MakerDictionary 3.0>

2)When you save the file, choose Text Only format and click Save. Then click Only Between Paragraphs and click Save.

Change site dictionaries

You can specify a different site dictionary for each of several projects. You can also edit your site dictionary directly.

If FrameMaker is used across a network at your site, a system administrator probably manages the site dictionary.

1)Specify the dictionary in the maker.ini file.

note: Use caution when editing an ini file.

Edit dictionary files

You have editorial control over your document, personal, and site dictionaries. You can choose different dictionaries, merge one dictionary into another, and edit and delete dictionaries.

1)If you’re editing a personal or document dictionary, use FrameMaker to write the dictionary contents to a file.

2)Edit the file. If you use FrameMaker to edit a dictionary, be sure to do the following:

•When you open the file, select Treat Each Line As A Paragraph in the Reading Text File dialog box and click Read.

•When you save the file, choose Text Only format and click Save. Then click Only Between Paragraphs and click Save.

3)Merge the dictionary file with another dictionary. If you removed words from the dictionary, delete the original dictionary before merging the file. Otherwise, the deleted words remain in the dictionary.

Add unknown words to a dictionary

If your document contains many correctly spelled words that FrameMaker questions, expedite spell-checking by adding the words to a dictionary in a separate operation before you begin to spell-check.

1)Make the appropriate document window or book window active.

2)Choose Edit > Spelling Checker.

3)Click Dictionaries.

4)Click Write All Unknown Words To File and click OK.

5)Specify a filename for the dictionary file, and click OK or Save. The resulting dictionary file doesn’t include typing errors such as repeated words, capitalization errors, or extra spaces.

6)Edit the dictionary file with a text editor or with FrameMaker. Delete any words you don’t want to add to your dictionary, such as misspelled words.

7)In the Spelling Checker dialog box, click Dictionaries.

8)Choose Merge From File from the Personal Dictionary or Document Dictionary pop-up menu, and click OK. If you expect the words to appear in several documents, merge the words with a personal dictionary, or merge them into all the files in a book.

9)Name and save the dictionary file.

note: To add a few words to a dictionary, you can select Learn Word from right click menu. Above method is help if you have many words highlighted by red squiggly line.

Add hyphenated compound words to personal dictionary

A document sometimes contains hyphenated compound words. By default, FrameMaker spell-checks each word in a hyphenated compound word rather than checking the hyphenated compound word as a whole. For example, when spell-checking the wordheavy-duty, FrameMaker checks heavy and then checks duty. By changing the default settings, you can spell-check hyphenated compound words as single words, and you can add hyphenated compound words to your personal dictionary.

1)Choose Edit > Spelling Checker and click Options.

2)Select Unusual Hyphenation and click Set.

3)In the Word box in the Spelling Checker dialog box, enter the hyphenated compound word you want to add to your personal dictionary. Include a hyphen at the beginning of the compound word, and type a backslash (\) before each hyphen that connects words.

For example, to add the word heavy-duty, type -heavy\-duty.

4)Click Learn.


Thesaurus

4.9.Thesaurus

Use the Thesaurus to look up synonyms, related words, and antonyms for words you specify. The Thesaurus lets you improve on a word already in a document or search for the right word to insert.

You can look up any one of the words from the first pass and display its synonyms, related words, and antonyms. FrameMaker keeps a history of the last 10 words you looked up.

If more information is available than fits, you can use the arrow buttons at the bottom of the dialog box to view the additional information. FrameMaker displays the synonyms, antonyms, and related words with capitalization that matches the capitalization of the word you looked up.

1)To look up a word or phrase in the thesaurus:

•To look up a word visible in the document window, select the word and choose Edit > Thesaurus.

•To look up a word not visible in the document window, make sure that no text is selected, then choose Edit > Thesaurus. Enter the word and click Look Up.

•To look up a phrase, make sure that no text is selected and choose Edit > Thesaurus. Enter the phrase, including any hyphens, in the Thesaurus Look Up dialog box, and click Look Up

note: If you try to specify a phrase by selecting it in the document window, FrameMaker looks up only the first selected word.

•To look up a synonym, a related word, or an antonym displayed in the Thesaurus dialog box, click the word. Synonyms, related words, and antonyms are shown in bold.

•To look up a word again, choose the word from the Word pop-up menu in the Thesaurus dialog box.

2)In the Language drop-down list, choose an alternative language.

FrameMaker uses the language of the current text. If a word is not selected or the insertion point is not in a paragraph, FrameMaker uses the language of the interface you chose when you installed FrameMaker. You can override the default language in new documents by creating your own template for custom new documents.

note: The Thesaurus for a language is installed along with the dictionary for that language.

3)To select a word to use in your document, select the word from the Synonyms or See Also lists and click Replace.

If you have selected a word when opening the Thesaurus dialog, the word is replaced by the word you selected in the dialog. If you did not select a word, the word you selected in the dialog, is placed at the current insertion point.


Export text and graphics

4.10.Export text and graphics

You can use the following techniques to export text and graphics:

•Copy and paste between files and applications.

•Save a document in another format.

•Use print options to create a PostScript or EPS file.

•Create a Portable Document Format (PDF) file.

•Save as HTML, which can convert a document’s graphics to GIF, PNG, or JPEG format.

•Save as XML.

•Send the document as an e-mail attachment.

•Use drag-and-drop techniques.

Related links:

Create PostScript files

Import Adobe Illustrator files

About HTML documents

Use drag-and-drop

Specifying graphics conversion

4.10.1.Using Save As to export to other formats

You can export a FrameMaker document to other applications by saving it in other formats. When you save a document in a word-processing format, it can be used in that application with most of its formatting intact. The available formats depend on the platform you’re using and the filters installed.

Two text-based file formats—Rich Text Format (RTF) and Maker Interchange Format (MIF)—are interchange formats. These formats are widely recognized by other programs and can often serve as a bridge from FrameMaker to an application that does not recognize the native format.

Saving MIF files

You can save FrameMaker files in the MIF 7.0 (MIF-Classic) or MIF 9.0 (MIF-Unicode) formats. When you choose to save a FrameMaker document as a MIF file, you can select the MIF 7.0 or MIF 9.0 option.

MIF-Classic

Choosing this format generates a MIF that is like the original format, which is forward-compatible. All Unicode content that can’t be represented in the earlier format is replaced with a character that you can configure using the configuration file, maker.ini.

note: Use caution when editing an ini file.

MIF-Unicode

Choosing this format generates a MIF that contains Unicode strings. All string data is in UTF-8 format.

You can also save a document as an HTML, XML, or PDF file.

4.10.2.Send files in e-mail

You can send a document as an e-mail attachment if a mail system compatible with the Messaging Application Programming Interface (MAPI) is installed on your computer. If your computer is not yet configured for MAPI, Windows guides you through some dialog boxes when you first try to send a document. If you need assistance, ask your network administrator for help.

note: The send e-mail menu and shortcut works only for single documents and not on a book file. You cannot send a book file via e-mail.

1)Choose File > Send.

2)Pick an e-mail profile to use from the Choose Profile dialog box, and click OK.

3)Fill in the e-mail fields, and then send the message as you normally do.

4.10.3.Save a document containing SWF files as PDF, HTML, and XML files

You can save a document containing SWF files in PDF, HTML, and XML formats. Also, you can print documents containing SWF files.

Save documents containing SWF files as PDF

1)Select File > Open, and then open the FrameMaker book or file containing SWF files.

2)Select File > Save As PDF.

3)You can change the save location and the filename if you want, and then click Save.

4)Click Set in the PDF Setup dialog box to generate a PDF with the default settings. Or, set additional options, and then click Set. The SWF file imported into the book or file and it is saved. If you have installed Flash Player on your computer, you can open the PDF and play the SWF file.

note: By default, FrameMaker is configured to embed SWF files in PDFs. However, you can disable this option.

When you open a PDF containing a SWF file, the Manage Trust For Multimedia Content dialog box appears. Select the Play The Multimedia Content This One Time or Play The Multimedia Content And Add This Document To My List Of Trusted Documents option and click Play. Ensure that you have installed Adobe Reader® 8 or later, or Adobe Acrobat 3D version 8 or later, to view the generated PDF containing SWF files.

When the imported media file is saved as a PDF and played, Acrobat plays SWF and FLV files with its own in-built native media player. Playback of all other media files is possible only if the relevant codecs are installed on the system

Save documents containing SWF files as HTML

You can import a SWF file into a document and save it as an HTML file. When you do this, a CSS file generates automatically. If you imported a SWF file by copying it into an Unstructured document, the SWF files are saved as GIFs with the HTML file. If you imported a SWF file by copying it into a Structured document, the SWF files are saved separately. When you open the HTML file, click the SWF content to play it.

1)Select File > Open, and then open the FrameMaker book or file containing SWF files.

2)Select File > Save As HTML.

3)You can change the save location and the filename if you want, and then click Save.

Save documents with SWF files as XML

You can save a FrameMaker file containing a SWF file as XML. When you open the XML file in FrameMaker, the SWF file is preserved through XML roundtrip. To ensure roundtripping of SWF files, make sure that the XML file contains correct read write rules before you save the file as XML.

note: Ensure that you create or open an XML file containing a graphic element definition before importing a SWF file into it.

1)Select File > Open, and then open the XML file containing SWF files.

2)Select File > Save As XML.

3)You can change the save location and the filename if you want, and then click Save.

If the SWF content was embedded in the FrameMaker file, and the document is saved as XML, the SWF content is saved as an independent SWF file. In addition, a reference to the SWF file is created in the XML.

Print a FrameMaker file with SWF files

You can print a FrameMaker document with SWF files. The SWF files are printed as frames. If the first frame contains an image, the bitmap of the image is printed.

1)Open the FrameMaker document containing SWF files.

2)Select File > Print.

3)Set the remaining print options as necessary, and then click Print. For information on the other options, see Print options.

4.10.4.Save a structured document in SGML or XML

You can save any structured FrameMaker document as SGML or XML. The contents, elements, and attributes from the document are preserved; however, formatting is not preserved. You can save to a different structured document type than the original (such as SGML to XML), but you may encounter errors due to differences in DTDs.

When you save Unicode content as an XML file, Adobe Product X.0 specifies the encoding automatically. By default, Adobe Product X.0 uses the UTF-8 encoding format.

Before saving a document as SGML or XML, you should validate it and correct any errors in the elements and attributes (see “Validating documents” on page 39). Otherwise, the markup may be invalid.

When saving structured XML documents, make sure valid XML element names start with a letter and contain only alphanumeric characters, periods, or hyphens. Spaces, underscores, and other characters in XML element names are invalid characters, and are either converted to hyphens (-) or generate errors.

Headings, tables, and reference pages are not used in XML export, and the default tag names are simply the format names.

Default encoding settings for exporting structured documents are ISO-8859-1 for SGML and UTF-8 for XML. If the structured document is an imported SGML or XML file, FrameMaker uses the encoding settings in the original file instead of the default settings.

1)Select File > Save As.

2)Specify a filename and location. You may want to add the appropriate extension (such as .sgm or .xml) to the filename.

3)Select SGML or XML from the pop-up menu and click Save. If the document has an application associated with it, the document is saved.

4)If the Set Structured Application dialog box appears, choose an application name from the Set Structured Application pop-up menu and click Continue. Then do one of the following:

•To associate an application with the document, choose the name of an application.

•To use default mapping and no read/write rules, choose <No Application>.

If FrameMaker finds any structure errors when you save a document, it lists error messages in a view-only error log. If a message refers to an error in the FrameMaker document, the message is linked to the document. For most errors, you can click the message to go to the location of the problem.

When you open the structured documents, import element definitions into them. You’ll probably need to make a few corrections to their structure.

Related links:

Import element definitions into structured books


Multilanguage authoring

4.11.Multilanguage authoring

4.11.1.Unicode support

About Unicode

Unicode is an industry standard that allows computers to represent text in most of the world's languages in a consistent way. It is implemented by different character encodings, such as UTF-8, UTF-16, and UTF-32. FrameMaker supports all three encodings but stores files in UTF-8. If you import files encoded in UTF-16 or UTF-32, FrameMaker automatically converts them to UTF-8.

In text processing, Unicode provides a unique number or code point for each character in a language. The Unicode standard does not specify the typeface or the visual rendering of each character. This is handled through Unicode fonts that may include visual renderings for thousands of Unicode characters thereby providing a single typeface across multilingual documents.

Enable Unicode

The Unicode standard is a character coding system designed to support the worldwide interchange, processing, and display of text in any language or character set. Unicode encoding allows you to create documents containing characters from any number of character sets, and allows sharing of documents between different geographic or linguistic regions.

FrameMaker supports Unicode text encoding for creating, editing, saving, and publishing documents in multiple languages and for creating multilingual documents. Unicode text is supported in FrameMaker markers, catalog entries, and dialogs. PDF export supports Unicode text, bookmarks, tags, and comments. You can import or copy Unicode content from other applications.

Unicode assigns a unique number to every single character, no matter which language or type of computer you use.

Portable

Letters and numbers do not change when you move the file from one workstation to another. Adding a foreign language to a document doesn’t cause confusion, because foreign characters have their own designations that don’t interfere with the encoding from other languages in the same projects.

Robust

Because Unicode-compliant fonts offer a larger number of potential characters, specialty type characters are readily available.

Flexible

With Unicode support, substituting a typeface in a project does not result in substituted characters. With a Unicode-compliant font, a g is a g no matter which typeface is used.

All of these things make it possible for a French company to do work for a client in Korea and hand the job off to a partner in the United States without having to struggle with the text. The writer or designer must enable the correct language in the operating system, load the foreign-language font, and continue the project.

a)To enable your computer to author content in languages other than English, start your computer in the UTF-8 locale.

b)To enable the dictionaries or open the thesaurus, select the desired language from the Input Method Editor (IME) Language bar.

c)Start typing the content in the selected language.

Certain features support Unicode, such as find and change, markers, hypertext, and catalog entries. You can export to PDF with Unicode bookmarks, tags, comments, and so on. You can import or export Unicode content from other applications. Additional dictionaries help you author content in more languages.

Related links:

Unicode support

Adding multilingual text

There are multiple ways to input characters in Unicode in a document. You could configure the regional language or locale settings on your computer to add the required languages for keyboard input. You could also configure and use a soft keyboard layout provided by third-party plug-ins.

Keyboard layouts cannot have simple key combinations for all characters and so FrameMaker provides two alternative input methods that allow access to the entire range of Unicode characters. One is the Hex palette which allows you to specify the code point in any of the three UTF encodings. The other is through a character map, which is a visual table listing all Unicode characters available in the selected font.

The Microsoft Windows XP Service Pack 2 (SP2) and Windows Vista® operating systems have regional and language settings. Use these settings to add additional languages for keyboard input. These languages and speech settings appear in the Language bar on the desktop. After you select a language and set up a localized keyboard, you can start typing the required text in the document. The keyboard layouts are defined by Microsoft.

You can type words in the selected language or input appropriate Unicode characters.

Set up input languages

1)On your computer, open the Control Panel and double-click the Regional And Language Options icon. The Regional And Language Options dialog box appears.

2)Click the Languages tab.

3)Click the Details button. The Text Services And Input Languages dialog box appears.

4)In the Settings tab, click the Add button. The Add Input Language dialog box appears.

5)Select a language from the Input Language list.

6)Click OK. The selected language is included in the Installed Services list.

7)Select the desired language in the Default Input Language list.

8)Click Apply and click OK to save the settings and close the Text Services And Input Languages dialog box.

9)Click the Regional Options tab, and then choose the language you selected in the Default Input Language list.

10)Click Apply and then click OK to save the settings and close the Regional And Language Options dialog box. The Language bar or the Input Method Editor (IME) appears in the system tray of your computer.

11)Open FrameMaker, and then type the content. The text appears in the selected language.

note: If you change the language in the Default Input Language list and the Regional Options tab, the language selected in the Language bar is also updated automatically.

Using third-party keyboard layout software

Several third-party keyboard layout software applications are available for different languages in Windows. When these layouts are activated, FrameMaker starts receiving input according to the keyboard mappings set by the third-party software. FrameMaker does not alter any of the key definitions.

Using the Character palette

The character palette lists all the Unicode characters in the three character sets.

Character palette

A. Select the font B. Scroll for the character in the selected font

1)Place the cursor where you want to insert the character in your document.

2)Select File > Utilities > Character Palette.

3)Select the font that supports the language you want to type in. The character palette displays the characters available in the selected font.

4)Click the box containing the character that you want to insert. Use the scroll bar to scan the character palette if needed.

Each character's code point in UTF-32, UTF-16, and UTF-8 is displayed at the bottom of the character palette.

5)If the character inserted in your document does not match what you selected, ensure that the font in the document is the same as the font selected in the character palette.

6)Click outside the character palette to dismiss it.

Using the Hex Input palette

The Hex Input palette allows you to add a Unicode character in your document by specifying its code point.

Hex Input palette

A. Typing area. B. View area. C. Click UTF-32 to change the default encoding. D. Click the arrows to browse the symbols.

1)Place the cursor where you want to insert the character in your document.

2)Select File > Utilities > Hex Input to display the Hex Input palette.

3)Type the Unicode number of the character you want to insert. The corresponding character is displayed on the right.

4)To toggle between Unicode character sets, click UTF 32.

5)If you cannot find the character you want to insert, either click the arrow keys to search sequentially or click the character to display the Character palette.

Also, ensure that you have selected the appropriate font from the Character palette. The character for the same hex value changes depending on the font that you select.

6)Click outside the Hex Input to dismiss it.

4.11.2.Asian language support

Simplified Chinese, Traditional Chinese, and Korean features are supported in Adobe® FrameMaker®. You can display, input, print, search and replace, import, and export Chinese and Korean text. To use these new Chinese and Korean features, install the English version of your FrameMaker product on Chinese or Korean operating systems. FrameMaker 7.0 does not provide translated interfaces and translated documentation for the Chinese and Korean languages.

The following sections describe the Chinese and Korean features in detail. For information on Asian-language filters, see the Using Filters online manual. For information on using Japanese characters, see the FrameMaker User Guide.

Character sets and encoding methods

Simplified Chinese

FrameMaker supports the GBK character set, which is a superset of the GB2312-80 character set. The Simplified Chinese versions of Windows systems support GBK. UNIX and Macintosh support the standard GB2312-80 character set. The characters in the GBK character set are encoded in the 0x8140 and 0xFEFE code range on Windows. The characters on Macintosh and UNIX are encoded within 0xA1A1 and 0xFEFE. Because the characters between 0xA1A1 and 0xFEFE are identical on all platforms, documents are cross-platform compatible. However, if you use extended characters in GBK, they will be displayed as meaningless characters on Macintosh and UNIX.

Traditional Chinese

FrameMaker supports the Big5 character set. These characters are encoded within 0xA140 and 0xFEFE on Windows and Macintosh. Chinese UNIX supports a larger character set (CNS11643-1992) in seven code planes. The first two code planes include the same characters as in the Big5 character set, although the code mapping is different. FrameMaker supports only the first two code planes on UNIX. If you enter characters in code plane 3 and above, they will appear as spaces in FrameMaker. The Traditional Chinese version of the UNIX operating system uses EUC- CNS encoding. FrameMaker provides code conversion between Big5 and EUC-CNS.

Korean

FrameMaker supports the KSC 5601-1992 character set. These characters are encoded in the 0xA1A1 and 0xFEFE code range on Windows, Macintosh, and UNIX. This encoding method is known as Wansung encoding. Most Windows versions have additional Hangul characters (Windows codepage 1361), which are called Johab characters. Because Johab characters are not commonly used and are not standard, FrameMaker products do not support these characters. If you enter a Johab character, it may become two separate, meaningless single-byte characters.

Inline input

Chinese and Korean character sets contain thousands of characters, many more than the keys on a standard keyboard. To enter these thousands of characters from a standard keyboard, you use a front-end processor (FEP), which is also known as an Input Method Editor (IME).

Roman letters are used to make up the phonetic pronunciation or make up the stroke or pictorial of Chinese characters. Korean characters are typically composed inline by combining basic Hangul building blocks called Jamo. FrameMaker supports inline (on-the-spot) input methods for all text. This means you can type Chinese or Korean text directly into documents or dialog boxes.

In the Equation Editor, the inline input method is not available. You can enter Asian text using the bottom-line or root window input methods. For information on inserting a text string in an equation, see the chapter on equations in the FrameMaker User Guide.

Typesetting rules

FrameMaker defines the typesetting rules for Chinese and Korean text in the Kumihan tables in the MIF file (see the MIF Reference online manual for details). The Kumihan specification defines the line-breaking rule and inter- character spacing rules for Japanese characters. FrameMaker has implemented similar rules for Chinese and Korean documents.

Asian hyphenation

A rule to prohibit certain characters from beginning a new line or ending a line is defined in the Kumihan table. You can customize the Kumihan table by modifying the table in MIF. See the Kumihan tables section in the MIF Reference online manual.

Spacing settings for Asian punctuation characters

The spacing settings for Asian punctuation characters, brackets, and so forth are defined in the Asian Punctuation text box in the Asian properties of the paragraph designer.

Western/Asian word spacing and Asian character spacing

These settings can be defined in the Asian properties of the paragraph designer. For details on spacing and punctuation settings, see the FrameMaker User Guide.

Combined Asian and Western fonts

Combined fonts assign two component fonts to one combined font name. This is done to handle both an Asian font and a Western font as though they are in one font family. In a combined font, the Asian font is the base font and the Roman font is the Western font. See the FrameMaker User Guide for details.

•If an Asian-language document with combined fonts is opened on a system that uses a different Asian language or a Western language, the Western component font is used for all text with the combined font. Text that used the Asian component font will be unreadable. If the document is then saved and reopened on a system with its original language, the Western text will appear correctly, but the information about the original Asian text will be lost.

•If you intend to move your documents across different Asian languages, do not use Asian characters for paragraph and character tag and combined font names. If you do, unexpected loss of data may occur.

•When you create a new document, two combined fonts are predefined in the new document. The names of the combined fonts are FMMyungjo and FMGothic for Korean, FMSongTi and FMHeiTi for Simplified Chinese, and FMSungTi and FMHeiTi for Traditional Chinese. The most commonly used Roman and Asian fonts are assigned as the component fonts for each combined font.

Text import and export

You can filter Chinese and Korean documents. For more information, see the Using Filters online manual.

Date and time

No specialized building blocks are provided for date and time variables. Day name and AM/PM are displayed in Chinese and Korean. Units for year, month, day, hour, and minute are translated in the standard template. To customize units, see the chapter on variables in the FrameMaker User Guide.

Autonumbering

Full-width alphabetic characters (Western alphabets using Asian full-width fonts), Arabic numbers, and Chinese numbers are supported for paragraph autonumbers, page numbers, and footnote numbers as follows:

•<full-width a> indicates full-width lowercase alphabetic characters.

•<full-width A> indicates full-width uppercase alphabetic characters.

•<full-width n> indicates full-width Arabic numerals.

•<chinese n> indicates Chinese numerals.

Index sorting

Simplified Chinese

Index sorting for Simplified Chinese is based on the pinyin method of spelling Chinese characters using Western alphabetic characters. This phonetic method is based on Mandarin. There are nearly 400 pinyin sounds. Four tonal marks can be placed over six vowels; the tonal marks can also be represented by the numbers 1, 2, 3, and 4.

Following are examples of pinyin sorting.

Sorted Chinese word | Pinyin with accent marks | Pinyin with numbers
 | línbíé | lin2bie2
 | línzhong | lin2zhong1
 | lìngwaì | ling4wai4

FrameMaker products assign the most commonly used pinyin sound to each Chinese character. If the assignment is incorrect, you can specify the correct pinyin by enclosing it in brackets after the Chinese character in the index marker text. You must use numbers to represent the tonal marks, as in the following example:

[hang2lie4]

A new index keyword, <$pinyin>, is added to the SortOrderIX paragraph on the IX reference page. You cannot redefine the sort order.

Group titles for index entries are defined in the GroupTitlesIX paragraph on the IX reference page. In Simplified Chinese documents, the default group titles are the same as in Western-language documents: Symbols, Numerics, and the letters A through Z.

Traditional Chinese

The stroke-radical sort method is used for the index sorting for Traditional Chinese in FrameMaker. With this method, the number of strokes is used as the primary criterion and the type of radical is used as the secondary sort key. The sort order of radicals is based on the Kangxi Radical chart.

A new index keyword, <$stroke>, is added to the SortOrderIX paragraph on the IX reference page. You cannot redefine the sort order.

Group titles for index entries are defined in the GroupTitlesIX paragraph on the IX reference page. In Traditional Chinese documents, the default group titles are as follows:

Korean

The Korean language uses Hangul (phonetic) characters and Hanja (Chinese) characters. A Hangul character is a single syllable created by combining an initial consonant, a medial vowel, and sometimes a final consonant; sorting is based on these elements in the order they occur.

The sort order of Hangul consonants is as follows:

The sort order of Hangul vowels is as follows:

The sort order of Hanja characters is determined by pronunciation. To specify the sorting of Hanja characters, add Hangul characters enclosed in brackets after the Hanja characters in the index marker text, as in the following example:

Group titles for index entries are defined in the GroupTitlesIX paragraph on the IX reference page. In Korean documents, the default group titles are as follows:

A new index keyword, <$hangul>, is automatically added to the SortOrderIX paragraph on the IX reference page when the index is created. You can specify your own sort order for Hangul characters by replacing <$hangul> with actual characters in the order you want them to sort.

Asian languages

If you modify the group title in an index file that was created on a different platform (for example, open an IX file generated in Windows and edit the group title in UNIX) and generate the index file again, the modified group title will not be reflected in the new index file. To resolve this problem, leave the index file open while generating the index, or turn off the Remember Missing Font Names option in the Preference dialog before opening the document from which you want to generate indexes.

Accented European characters and symbols cannot be used with Chinese or Korean characters because the same code values are used to represent multibyte characters.

For details on index generation, see the chapter on tables of contents and indexes in the FrameMaker User Guide.

Exporting Chinese, Korean, or Japanese documents to HTML or XML

The character encoding for exporting HTML or XML is determined by the Export Encoding and CSS Export Encoding settings in the Options table on the HTML or XML reference page. For best results, both of these options should have the same settings. For information on using Asian and Western European languages in XML features, see the chapter on working with structured documents in the FrameMaker User Guide.

The default encoding settings are:

•Japanese: Shift_JIS

•Korean: EUC-KR

•Simplified Chinese: EUC-CN

•Traditional Chinese: Big5

•Other languages: ISO-8859-1

In addition to the default encodings, you can specify ISO-8859-1 (for Western European language systems) or UTF- 8 (for browsers that support Unicode).

The Mapping table also allows encoding names used in FrameMaker (EUC-CNS for Traditional Chinese, GB for Simplifi Chinese), Structured FrameMaker (JIS8_EUC for Japanese, GB8_EUC for Simplifi Chinese, KSC8_EUC for Korean), and MIME character set attributes (EUC-JP for Japanese, EUC-TW for Traditional Chinese).

The Japanese standard templates create a cascading stylesheet with Japanese tag names that are not recognized by some browsers. To resolve this problem, save the file with the default Shift_JIS encoding instead of UTF-8, use an English paragraph or character tag name, and use an English font name for the Japanese font if possible. If you modify Chinese and Korean templates and use Chinese and Korean paragraph and character tags, the same problem will occur. To resolve this problem, follow the same steps as in Japanese, using the appropriate default encoding.

Use the default encodings on Chinese, Japanese, and Korean operating systems to avoid JavaScript error messages when an HTML file is opened in Navigator™ 4.x.

In general, filenames with multibyte characters are not recommended for HTML and XML files.

Structured FrameMaker

You can import and export Chinese and Korean SGML and XML files with Structured FrameMaker. Note the following:

•Multibyte characters are not allowed in attribute and element names.

•Multibyte characters in variable names may not correctly convert into an entity in SGML and XML.

•(UNIX) You can view Asian characters in the Structure View, but you must use the Document Window to edit.

For more information, see the chapter on working with structured documents in the FrameMaker User Guide.

MIF statement and keywords

To specify the encoding that was used when writing MIF statements on Chinese and Korean systems, a MIFEncoding statement is added at the top of Chinese and Korean MIF files:

•On Chinese systems, the statement indicates either traditional or simplified encodings:

<MIFEncoding ‘ [image] ’> #originally written as Traditional Chinese (Big5/EUC-TW)

or

<MIFEncoding ‘ [image] ’> #originally written as Simplifi Chinese

The two Chinese characters in the statement mean “Chinese.” The hexadecimal representation for these two characters is A4A4 A4E5 in Big5, C4E3 C5F3 in EUC-TW, and D6D0 CEC4 in EUC-CN.

•On Korean systems, the statement is:

<MIFEncoding ‘ [image] ’> #originally written as Korean

The three Korean characters in the statement mean “Korean.” Their hexadecimal representation is C7D1 B1B9 BEEE. On Chinese and Korean systems, four MIF keywords are used to specify the numbering style of autonumber formats:

•<FWLCAlpha> indicates full-width lowercase (Western) alphabetical characters.

•<FWUCAlpha> indicates full-width uppercase alphabetical characters.

•<FWArabic> indicates full-width Arabic numerals.

•<ChineseNumeric> indicates Chinese numerals.

See Autonumbering for the corresponding building blocks.

Other notes

PDF export for Chinese and Korean text is not supported with this version of FrameMaker.

Rubi is a Japanese system for representing the pronunciation of words as a string of phonetic characters directly above the word in question. This feature is available, although it is rarely used in Chinese and Korean text composition.

You cannot use multiple Asian languages in a single document.

When you create a new Chinese or Korean document or open a Chinese or Korean text file using the File > Open command, font and language settings are properly defined for Chinese or Korean. However, documents generated from this file (for example, Document Compare, index, TOC, SGML Error Log Report) will use the English settings, and may not display Asian characters correctly. To resolve this problem, change the English fonts to Asian fonts if the generated document is editable.

If the source document uses combined fonts, do not insert cross-references with text that includes Smart Quotes. The quotation marks become meaningless characters, and FrameMaker may crash when you use Find/Change to search for a cross-reference with Smart Quotes in a combined font.


HTML output

4.12.HTML output

FrameMaker allows you to save the book and FM files as HTML files. You can define the conversion and pagination settings in FrameMaker, and then save the entire book or a document as HTML. The HTML output thus created can be navigated through the links created from the source document.

If you are publishing the content authored into online Help formats other than HTML, such as WebHelp or Adobe AIR-based Help, you can use RoboHelp as the publishing tool. In addition, for enterprise-level publishing, you can use FrameMaker Publishing Server to publish content in multiple channels and on devices.

4.12.1.Preparing documents for conversion to HTML

HTML provides a set of elements that describe how each part of a document is used. For example, the P (paragraph) element is a normal body paragraph; the H1 element is a first-level heading.

HTML elements are conceptually similar to Adobe FrameMaker formats. For example, HTML documents contain body paragraph elements and heading elements, while FrameMaker documents contain paragraphs that use formats designed for body paragraphs and headings.

However, HTML elements differ from FrameMaker formats in the following ways:

•HTML documents use a standard set of elements, while FrameMaker documents can contain any number of formats and use any names for the formats.

•HTML elements describe the structure of a document, not its format. A Web browser such as Netscape Navigator or Microsoft Internet Explorer displays each element in a predefined format. Two browsers may display the same element in different ways.

HTML documents can contain hypertext links to locations in the same file, or to other files anywhere on the Internet or on an intranet. Most of the FrameMaker hypertext commands are automatically converted to HTML hypertext commands when you save a document as HTML.

About HTML documents

HTML provides a set of elements that describe how each part of a document is used. For example, the P (paragraph) element is a normal body paragraph; the H1 element is a first-level heading.

HTML elements are conceptually similar to Adobe FrameMaker formats. For example, HTML documents contain body paragraph elements and heading elements, while FrameMaker documents contain paragraphs that use formats designed for body paragraphs and headings.

However, HTML elements differ from FrameMaker formats in the following ways:

•HTML documents use a standard set of elements, while FrameMaker documents can contain any number of formats and use any names for the formats.

•HTML elements describe the structure of a document, not its format. A Web browser such as Netscape Navigator or Microsoft Internet Explorer displays each element in a predefined format. Two browsers may display the same element in different ways.

HTML documents can contain hypertext links to locations in the same file, or to other files anywhere on the Internet or on an intranet. Most of the FrameMaker hypertext commands are automatically converted to HTML hypertext commands when you save a document as HTML.

Related links:

PDF and HTML: Hypertext command support

HTML conversion overview

HTML is an online format optimized only for certain kinds of presentation. For example, you cannot easily create a two-column layout in HTML. For this reason, do not expect your HTML documents to look identical to the FrameMaker originals. If design items in your documents have no acceptable equivalents in HTML, consider converting to PDF instead of HTML. For information, see Save as PDF.

What is converted

When you save a document as HTML, FrameMaker converts only the contents of the main text flow (the flow tagged A). Make sure the text in flow A is the one you want and that all of flow A is connected. (See Connect text frames.)

tip: If your document has multiple flows that you want preserved, consider saving as PDF instead. (See Apply conditional tags.) When you save as PDF, each flow can be converted to an Acrobat article thread.

The contents of anchored frames in the flow are converted to graphics (including the text within anchored frames). Graphics and text not in the main flow whether they appear on master pages (such as headers and footers) or directly on body pages (such as graphics placed directly on the page) are not converted to HTML. If you want to duplicate the effect of headers so that text or graphics appear at the top of every HTML document (for example, text for a logo or navigation buttons), use macros.

Some FrameMaker hypertext commands convert to equivalent HTML links.

HTML export issues

When you export to HTML, note the following issues:

•Vector graphics and text frames in anchored frames are converted to bitmaps. If the text in the converted graphic is greeked, you can change the Greek Text Smaller Than setting in the Preferences dialog box.

•If you scale or crop GIF graphics that have been imported by reference, these settings will be lost when converted to HTML.

•HTML files produced by FrameMaker do not display line breaks when opened in Notepad. To view the HTML file correctly, use FrameMaker, WordPad, or a browser that lets you view the source code.

•If the document uses paragraph or character tag names that contain accented characters, you may have problems viewing the characters with some browsers. To avoid this problem, rename paragraph or character tags to use unaccented characters, or delete the cascading style sheet (.css) file that was created with the HTML file.

Using templates that map well to HTML

To minimize fine-tuning when you save documents as HTML, create your documents from one of the supplied FrameMaker templates. The formats of these templates map easily to HTML equivalents.

Sample chapter template before and after HTML conversion

Using web-safe colors

The Online color library provides 216 web-safe colors that have a consistent appearance on all platforms when viewed with a web browser.

Related links:

Hypertext commands

Colors

Preserve the FrameMaker look by using style sheets

HTML was designed not as a formatting language but as a way of presenting the structure of a document (its semantics). In some cases, however, you may be concerned with the format of a document as well as its semantics. You may want to preserve the look of your FrameMaker document more than is possible with regular HTML elements alone.

For example, suppose you have a document that uses blue 20-point type for the first letter of a chapter. An HTML style sheet can preserve unique formatting of this kind.

An HTML cascading style sheet is created for you with the same name as the main HTML file but with an extension of .css. It is a standardized file format that many Web browsers can use and interpret. A .css style sheet contains formatting specifications that can duplicate the font, style, size, indents, spacing, and margins of the original document.

The HTML file contains a reference to a .css style sheet. If the browser finds the style sheet, it uses the information to format the Web page. If the browser does not support style sheets, it uses only the built-in formatting defined for each HTML element.

1)Save your document as HTML. A .css file is automatically created in the same folder as the HTML file.

2)Copy the HTML style sheet (.css file) to the Web server in the same folder as your HTML files.

note: Style sheets are sometimes called “cascading” because their format rules can overlap-and collide-with rules in other style sheets, such as a personal style sheet set up by someone viewing your converted document. The style sheet that FrameMaker creates takes precedence over other style sheets.

Related links:

Saving structured documents as HTML

Format overrides

Changes tracked as format overrides

FrameMaker treats changes in text, character, and table properties that differ from the definitions as overrides. In addition, if the current document does not have a definition of the format, it is considered an override, such as when you copy and paste text from other documents.

The following cases are considered override:

•When you apply formatting using the toolbar such as applying bold, underline, or italics

•When you edit the paragraph, character, or table format in the Designer and then applying only to the selection, without updating the format definition

•When you copy content from another document with a different template, the content copied retains the formatting, but the definitions are not present in the current document.

For example, consider a character format named Error, with text color as Red and Weight as As Is. If you change the text color from Red to Black, then it is an override. However, if Weight is change from Regular to Bold, it is not an override (no deviation from definition). However, if a format that had a property set as As Is is changed, it is not tracked as an override.

note: If properties of table cells are changed from Table > Format > Custom Ruling and Shading, then it is not flagged as a table format override.

Managing format overrides for content conversion

Accurate conversion depends on the consistent use of formats in your FrameMaker documents. Results will not be as good if your documents use format overrides instead of defined formats stored in the catalogs. For example, a document that uses a Body format for both regular paragraphs and headings will not convert to HTML accurately. If your documents use overrides extensively, you should do one of the following:

Search and remove format overrides

You can search and remove paragraph, character, and table format overrides in a book or document.

1)Select Edit > Find, and from the Find pop-up menu, select the format override type.

2)In the Change pop-up menu, select Remove Override.

3)Click Find, and then click Change for each instance of the format override.

Create and apply a new set of formats based on the overrides

You can let FrameMaker automatically analyze the document for format overrides, and create new formats. Any format used in the document but not stored in a catalog is added to the catalog. Also, if the document uses a format with a format override, a separate format based on the override is added to the catalog.

For example, if a document contains a Body paragraph with an override (for example, a left indent), that paragraph will be tagged Body1. If another override is used for Body (for example, a default font change), any paragraph using that override will be tagged Body2. You may want to rename some formats to make them easier to interpret. For example, you could rename Body1 to BodyIndent.

1)Choose File > Utilities > Create And Apply Formats, and then click Continue.

note: Avoid using this approach if you are using the Technical Communication Suite workflow to publish online Help formats from FrameMaker. You will be required to map all these styles.

Add links to URLs

A uniform resource locator (URL) is the location of a document anywhere on the Internet or on an intranet. You can embed a special marker in a FrameMaker document that becomes a link to a URL when the document is saved as HTML or PDF.

1)Select the text you want to be linked to a URL and apply a character format to it. For example, you might apply an underline format to the words Click here for more information.

2)Click in the formatted area, and choose Special > Hypertext.

3)Choose Message Client from the Command pop-up menu and enter the following in the Syntax text box:

message URLurl_name

Replace url_name with the URL you want to link to. For example, to link to the Adobe Systems home page, you would enter the following:

message URL http://www.adobe.com

4)Click New Hypertext Marker. When the document is converted to HTML, XML, or PDF, clicking the formatted text displays the location specified by the URL.

Related links:

Define an active area in a document

Create links that simulate a TOC

You can convert a large file into a series of small HTML subdocuments that are linked to one parent document. The parent document can then function as a linked table of contents for the subdocuments.

FrameMaker document and the simulated TOC in a Web page

Subdocuments are automatically named sequentially. For example, when you save MyDoc to HTML, the parent document is called MyDoc.html, the first subdocument is MyDoc.1.html, the second one is MyDoc.2.html, and so on. Do not rename the files; otherwise, the links will become invalid.

The hierarchy of heading levels in the subdocuments is controlled by the Headings table.

1)Adjust your document mappings so that a heading starts a new file. Do this by using the Start New, Linked Web Page option in the HTML Setup dialog box.

note: Look for a heading whose contents are neither too large nor too small. (Readers might get lost if they have to do too much scrolling or might be frustrated if the page they jump to has only one paragraph.) Also, you may want to make sure some text appears before the first instance of the heading you choose so that there is an introduction to the list of links.

2)Give readers an easy way to return from the linked subdocuments to the parent document by defining the EndOfSubDoc or StartOfSubDoc system macro. The text or graphics defined by this macro will appear at the end or the start of each linked Web page as in the following example.

Macro Name | Replace With
EndOfSubDoc | <HR><P><A HREF=”<$parentdoc>”> Return to main page</A></P> <P><A HREF=”<$prevsubdoc>”> Go to previous page</A></P> <P><A HREF= “<$nextsubdoc>”> Go to next page</A></P>

3)Save the file or book as HTML. The parent document will contain the linked table of contents.

Related links:

Set up and adjust HTML mappings

Setting up links for image maps

Image maps on a Web page are graphics with areas defined as links. Image maps can add visual interest to otherwise plain text-only links to Web pages.

When you convert a FrameMaker document to HTML or XML, graphics in the main text flow are automatically converted to image maps if you have set them up correctly. They convert in these cases:

•When a graphic in an anchored frame has one or more text frames on top of the graphic, and these text frames have valid hypertext markers in them.

•When a graphic in an anchored frame has a rectangular matrix of links over it.

Specifying graphics conversion

When you save documents as HTML, all graphic files imported by copying into anchored frames are converted to GIF format unless you specify that all the graphics be saved to another format. Each graphic is saved to a separate file. Text in anchored frames is also converted to GIF.

Graphic files imported by reference are left in their original locations unless you specify that copies should be made. In that case, the formats are inspected and converted as needed (preserving the dpi scaling of a graphic). The new files are created in the same folder as the HTML document.

Specify the file format for converted graphics

1)Choose File > Utilities > HTML Setup and click Options.

2)Specify the graphic file format you want. You can choose from the following formats:

•GIF is best used for non-photographic images with no more than 256 colors.

•JPEG format is best used for images with a wide range of color, such as a 24-bit photograph.

•PNG format is a public-domain format that is becoming more widespread on the Web. Like GIF, it is best used for images with no more than 256 colors.

3)Click OK.

Specify that graphics imported by reference be copied and converted

1)Choose File > Utilities > HTML Setup and click Options.

2)Select Copy Files Imported by Reference.

4.12.2.Set up and adjust HTML mappings

You can change the following HTML mappings:

•Paragraph formats map to HTML elements to define paragraph-level formatting (including formats for body paragraphs and headings).

•Character formats map to HTML elements to define character-level formatting (including common mappings for bold or emphasized text).

•Cross-reference formats map to HTML conversion macros to specify how cross-references will be displayed in HTML.

After you save a document in HTML format, you may want to refine the mappings.

note: A few mappings cannot be changed. For example, a FrameMaker table always converts to an HTML table, and an anchored frame always becomes an image with an IMG tag.

Set up or modify HTML mappings

1)Choose File > Utilities > HTML Setup. FrameMaker either loads the current mappings into the HTML Setup dialog box or, if no mappings have been created yet, creates default mappings.

2)From the Map pop-up menu, choose the type of formats to map (paragraph, character, or cross-reference).

3)Specify a mapping by choosing a FrameMaker format from the From pop-up menu and an HTML element or macro from the To pop-up menu.

tip: You can click in the document to select a format to adjust. The HTML Setup dialog box immediately shows the current mapping for the format you click.

4)Choose from the following options:

•If you are mapping paragraph formats and want to include the paragraph autonumber in the converted text, click Include Autonumber. (You do not have to include an autonumber for items in a list.)

•If you are mapping to Heading (AutoLevel) and want to start a new Web page whenever this format is found, click Start New, Linked Web Page.

Use this option to break up a long FrameMaker document into several HTML files, each linked to a single file. Whenever the specified format is found, FrameMaker leaves the heading in the original file (the parent file) and makes it a link to a subdocument whose content starts at the heading format and continues until the next instance of the format. For information on using this setting to simulate a table of contents, see Create links that simulate a TOC.

•If you are mapping to the List Item element for either a bulleted or numbered list, and want to specify how many levels deep the item is (which usually translates as how much the item should be indented), enter a Nest List at Depth value.

5)Click Change to accept the mapping.

6)Repeat steps 2 through 5 as needed.

7)When you finish specifying mappings, close the dialog box and save the document as HTML.

If you want to edit the mapping tables on the HTML reference page, be sure to close the HTML Setup dialog box first. Keeping the dialog box open results in an error when you try to edit the tables on that page.

Autolevel mappings for headings

HTML supports six levels of headings. You can convert any FrameMaker paragraph format to a heading by mapping it to Heading (Autolevel). With this special mapping, headings in the document are mapped to H1, H2, and so on, according to their relative levels and based on the highest-level mapping in that file. The advantage of this method is that if the document is broken into separate HTML files, each will always have an H1 mapping and an appropriate hierarchy of headings under that H1.

For example, suppose your document uses Title1, Title2, and Title3 formats. When you convert to HTML, you might want to break up the document into two files, and the second file might contain only instances of Title2 and Title3. The autolevel feature ensures that Title2 maps to H2 in the first file but maps to H1 in the second file.

For more information on how the autolevel headings work, when you choose to split a document into separate HTML files, see Use the Headings reference page.

If you want to fine-tune the autolevel mechanism or override the autolevel function and make mappings to specific heading levels, you must edit special tables on reference pages of the FrameMaker document. For more information, see Edit the HTML Mapping table.

Mappings for lists

FrameMaker automatically maps bulleted lists to HTML unordered lists and numbered lists to HTML ordered lists. If you want to override the automatic mapping, you must edit a table on the HTML reference page of the FrameMaker document. (See Edit the HTML Mapping table.)

In the HTML Setup dialog box, you can define the level of a list by specifying a value for Nest List at Depth. Typically, a browser displays different levels with different amounts of indentation.

You can include a FrameMaker autonumber in the converted text by choosing Include Autonumber. However, most browsers provide their own bullet characters and numbers with lists, so you are unlikely to use this option when converting lists.

The following table shows paragraph-based HTML elements.

Mapping name in the HTML Setup dialog box | Equivalent HTML element | Recommended use and typical appearance in a Web browser
Heading (AutoLevel) | H1, H2, H3, H4, H5, H6 | Six levels of headings, with H1 the largest and most prominent
Paragraph | P | Normal body paragraphs
Preformatted Text | PRE | Text that closely matches the original’s line breaks and spacing; usually achieved by using multiple spaces and a fixed-width font
Address | ADDRESS | Text set off from the rest denoting an e-mail address or the like; usually indented or italicized
Block Quote | BLOCKQUOTE, BQ | A quotation set off by indenting
List Item | LI | Item preceded by a bullet character when it is part of an unordered list (UL), or by a sequential number when it is part of an ordered list (OL)
List Item (Continued) | P | Body paragraph within a list (not preceded by a bullet or number)
Data Term | DT | Item (such as a term in a glossary) that is to be defined by a DD element
Data Definition | DD | Definition of a term (a DT), such as in a glossary item
Data Definition (Continued) | P | Body paragraph within a data definition
Throw Away | None | Discarded during conversion to HTML

The following table shows character-based HTML elements.

Mapping name in the HTML Setup dialog box | Equivalent HTML element | Recommended use and typical appearance in a Web browser
Blink (Netscape) | BLINK | Blinking text (may not work in non-Netscape browsers)
Citation | CITE | A citation, usually displayed in italics or underlined
Code | CODE | Computer-program code, usually displayed in a fixed-width font such as Courier
Definition | DFN | Definition of a term, usually displayed in italics
Emphasis | EM | Emphasized text, usually displayed in italics or underlined
Keyboard | KBD | Text that a user types, usually displayed in a fixed-width font such as Courier
Sample | SAMP | Text that appears in a fixed-width font such as Courier
Short Quotation (Intl) | Q | Quotation of less than a full paragraph, usually displayed in quotation marks (may not be recognized by all browsers)
Span (CSS) | SPAN | Text that is displayed as specified in an HTML style sheet (by browsers that recognize style sheets) or without special formatting (by other browsers). For use when no other mapping is appropriate for example, for a drop cap.
Strong | STRONG | Emphasized text, displayed in bold
Typewriter | TT | Text in a fixed-width font such as Courier
Variable | VAR | A special term or, in programming contexts, the name of a variable, displayed in italics or bold italics
Plain Text | None | Text that cancels any previous character mapping, displayed as appropriate for the paragraph mapping
Throw Away | None | Discarded during conversion to HTML

Mappings for cross-reference formats

A typical cross-reference in a printed document such as “See Syntax” on page 8 for more information” loses its meaning in HTML documents, which do not use page numbers. For this reason, cross-references are mapped by default to a predefined cross-reference conversion macro called See Also. The See Also macro changes the cross-reference so that it refers to the text of the paragraph but not to the page number (for example, “See Syntax for more information”). The cross-reference text in the original document becomes an HTML link in the converted document regardless of what format is used.

You can modify the See Also macro, or you can create your own macros and then map cross-reference formats to them.

When you first map a cross-reference, the See Also macro is the only macro in the To pop-up menu in the HTML Setup dialog box. If you create other conversion macros, they will appear in this menu as well. For information on how to create and edit cross-reference macros, see Use HTML conversion macros.

Two other choices in the To pop-up menu let you map a cross-reference in other ways:

•Choose Original Cross-Reference Format to leave the text of the cross-reference unchanged.

•Choose Throw Away to delete the text of the cross-reference.

Fine-tuning mappings by editing reference pages

You can fine-tune the HTML conversion by editing tables on two special FrameMaker reference pages: the Headings page and the HTML page. If you are converting a book, the reference pages are BookHeadings and BookHTML. (See Convert books to HTML files.) For general information on reference pages, see Reference pages.

note: Do not edit the information on the HTML reference page unless you are familiar with HTML coding. Most users will not need to edit the tables on this page.

The reference-page tables are set up automatically the first time you save as HTML or the first time you choose File > Utilities > HTML Setup. The Headings reference page contains one table, the Headings table. The HTML reference page contains the following tables:

•The HTML Mapping table. (See Edit the HTML Mapping table.)

•The HTML Options table, which contains the settings you make in the Options dialog box. (See Specifying graphics conversion.)

•The HTML System Macros table, the HTML Cross-Reference Macros table, and the HTML General Macros table. (See Use HTML conversion macros.)

•The HTML Character Macros table. (See Convert special characters.)

If the tables are large, the HTML reference page will continue on for as many pages as needed.

Use the Headings reference page

The Headings table on the Headings reference page identifies which tags should be used for headings and what their hierarchy is.

The Headings Table sets up the relative hierarchy of the headings.

Using this table, you can modify the mappings for headings and the relative levels of those headings.

To Help you identify heading formats, text appears in the same font and point size as the headings do on the body pages of the document.

Edit the Headings table

1)Choose View > Reference Pages and display the Headings page. (The Headings page will not exist until you save the document as HTML, or choose File > Utilities > HTML Setup.)

2)Edit the table by doing the following:

•To map a different paragraph format to a heading level, change the paragraph tag in the second column but do not change the heading level number. For example, if a Tip format is mapped to a level-6 heading but you want the Warning format to be mapped at that level instead, just change Tip to Warning in the second column.

•To change the relative levels of headings, change the numbers in the Heading Level column. For example, to promote the Warning format to a higher heading level, change the 6 to a 5 in the Heading Level column. (You do not have to change the order of the rows when you do this, but you might want to so that the table is easier to read.)

•To map several formats to a single level of heading, use the same number in the Heading Level column. For example, the Note and Warning formats are both level-6 headings in the following Headings table.

Heading Level | Paragraph Format | Comment
6 | Note |
6 | Warning |

•To add a format to the Headings table, press Control+Return to add a row and then fill in the Heading Level and Paragraph Format columns.

3)If you removed or added formats in the Headings table, change their mappings in the HTML Mapping table as well. For example, you might change the entry of a SubHead format from H* to P in the HTML Mapping table. For more information on editing this table, see the next section.

Edit the HTML Mapping table

The HTML Mapping table on the HTML reference page contains the mappings you assign using the HTML Setup dialog box. (Mappings for headings appear here too, as well as in the Headings table.) You usually do not need to edit this table directly, but you might want to edit it in the following situations:

•To bypass the autolevel mapping of headings and instead map a format explicitly to a heading level such as H1 or H2. (See Autolevel mappings for headings.)

•To change many mappings quickly or globally by using Edit > Find/Change.

•To change a bulleted list to a numbered list, or the reverse.

•To use an HTML element that is not available through the HTML Setup dialog box.

•To document the mappings in the Comments column of the table.

The first column of the Mapping table contains a FrameMaker source item prefixed with a letter that indicates the type of item: P for paragraph format, C for character format, or X for cross-reference format. The second column can contain the name of an HTML element or an HTML conversion macro name.

The HTML Mapping table on the HTML reference page

For information on defining macros, see Use HTML conversion macros.

Edit a mapping using the HTML Mapping table

1)Choose View > Reference Pages and display the HTML page.

2)Locate the Mapping table on that page, and find the format whose mapping you want to change.

3)Make the following changes as needed:

•In the Element column, enter the name of the HTML element or conversion macro that the format is to be mapped to. If you are not sure of the correct HTML element name, see the tables in Mappings for lists. Enter H* to map to an autolevel heading.

•In the New Web Page column, enter Y for Yes to create a separate HTML document whenever this format is found. Otherwise, enter N for No.

•In the Include Auto# column, enter Y or Yes to include the full autonumber text of this format in the conversion. Otherwise, enter N or No.

•In the Comments column, enter any text to document the purpose of the mapping, special cases, and so on. You can leave this column blank.

An edited row might look like this.

FrameMaker Source Item | HTML Element | New Web Page? | Include Auto#? | Comments
P:Fnote | FOOTNOTE | N | N | Will not work in all browsers

Convert special characters

The FrameMaker character set and the character set used by HTML and the Web are not identical. Because of this, some characters are mapped to substitutions when converted to HTML. Some mappings are internal and rely on special HTML codes called entities. (For example, curved quotation marks are changed to the entity for straight ones.) Other substitutions are defined in the Character Macros table. For example, an em dash is defined as two hyphens. If no mapping exists, the character is ignored.

The following characters either have special predefined mappings or are treated specially.

Character | Default mapping | Where defined
� (ellipsis) | ... (three periods) | Character Macros table
(em dash) | -- (two hyphens) | Character Macros table
(en dash) | - (one hyphen) | Character Macros table
� (cent) | &#162; (HTML character reference) | Character Macros table
� (copyright) | &#169; (HTML character reference) | Character Macros table
� (registered) | &#174; (HTML character reference) | Character Macros table
? (degree symbol) | &#176; (HTML character reference) | Character Macros table
< and > (angle brackets) | &lt; and &gt; (HTML entities) | Internal
and [image] (curved quotation marks) | &quot; (HTML entity for ") | Internal
& (ampersand) | &amp; (HTML entity) | Internal

You can add or change mappings for characters by adding or editing entries in the Character Macros table. As the previous table illustrates, you can map characters to text or to HTML character and entity references (which begin with an ampersand and end with a semicolon).

1)Choose View > Reference Pages and display the Character Macros table on the HTML page.

2)Edit a mapping, or create a new row (by pressing Control+Return) and enter a new mapping.

If you are unsure how to type a special character in the first column, look up its keystroke.

For example, to set up mappings for the dagger character, the trademark symbol, and the ae ligature, you could add the following rows.

Character | Replace With | Comments
� | * | Dagger symbol
� | (tm) | Trademark symbol
� | &aelig; | ae maps to the HTML entity reference for that symbol

4.12.3.Save a document in HTML format

To convert a FrameMaker document to HTML, simply save it as an HTML file. Saving as HTML sets up definitions for how each FrameMaker format will convert, or map, to an HTML element. You can also save a whole book as HTML. (See Convert books to HTML files.)

FrameMaker automatically creates the mappings of formats to HTML elements upon initial conversion to HTML, but you can fine-tune them, and make further customizations, by creating conversion macros. For information, see Set up and adjust HTML mappings and Fine-tuning mappings by editing reference pages.

Even if you plan to fine-tune the conversion, you should begin by saving as HTML. You can then fine-tune the automatic mappings as needed.

1)Choose File > Save As and choose HTML from the pop-up menu.

2)Give the filename an extension of .html, specify the file location, and click Save. The converted file is saved where you specified.

3)Open the HTML file in a Web browser to examine the converted file. If it meets with your approval, you are done.

To refine some mappings, continue by following the steps in Set up and adjust HTML mappings.

4.12.4.Use HTML conversion macros

You can use the following tables on the HTML reference page to define HTML conversion macros:

•The HTML System Macros table, which contains eight predefined macro names you can use to perform special functions at the start or end of Web pages.

•The HTML Cross-Reference Macros table, which contains replacement text for FrameMaker cross-references.

•The HTML General Macros table, which contains general-purpose macros that you define (for example, the title of the converted document).

note: You cannot alter the System or General HTML macros in the HTML Setup dialog box.

After a macro is defined, you can use it by name in other macros, or you can map to it in the HTML Mapping table. The macro name appears in the To pop-up menu in the HTML Setup dialog box, so you can map a format to it without editing the Mapping table directly.

For examples of HTML conversion macros, see the reference pages of the templates that are included with FrameMaker.

Create or edit an HTML conversion macro

1)Choose View > Reference Pages and display the HTML page.

2)Edit a macro in a table, or create a row (by pressing Control+Return) and enter a new macro starting with a macro name. (You can not add macros to the HTML System Macros table; you can only edit their replacement text.)

Replacement text can contain any mixture of text, HTML codes, and FrameMaker building blocks. Be sure that you enter valid HTML code; FrameMaker does not check the HTML syntax.

Use building blocks in HTML conversion macros

You can use the following building blocks in HTML conversion macros to include special types of text.

Building block | Description
<$paratext> <$paratag> <$paranum> <$paranumonly> | See Including source information in cross references and Including character formats in cross-references for details.
<$variable[varname]> | Contains the text of the variable
<$defaulttitle> | Contains the text of the first heading that appears in the current document
<$nextsubdoc> | Contains the URL of the next HTML subdocument
<$prevsubdoc> | Contains the URL of the previous HTML subdocument
<$parentdoc> | Contains the URL of the parent HTML document

Building blocks are enclosed in angle brackets (< >) and begin with a dollar sign ($). Enter these building blocks in all lowercase letters.

note: The General Macros table has a column labeled “Head.” Use this column to define a title or to include special, advanced information about the HTML document (such as keywords that a search engine might use). To fill in this column, you need to know the HTML elements that are permitted in the HEAD section of an HTML document.

Redefining HTML system macros

HTML system macros are a special case because you can redefine them, but you cannot add new ones.

These macros are especially useful when splitting up documents into separate HTML files. For example, you can define the StartOfSubDoc macro so that your company logo appears at the top of every new Web page.

In these descriptions, the parent document refers to the first Web page and subdocument refers to a document linked to the parent document.

System macro | Use
StartOfDoc | Inserts text at the top of the topmost Web page
EndOfDoc | Inserts text at the end of the topmost Web page
StartOfSubDoc | Inserts text at the top of each subdocument except the first and last
EndOfSubDoc | Inserts text at the end of each subdocument except the first and last
StartOfFirstSubDoc | Inserts text at the top of only the first subdocument created
EndOfFirstSubDoc | Inserts the replacement text at the end of only the first subdocument
StartOfLastSubDoc | Inserts the replacement text at the top of only the last subdocument created
EndOfLastSubDoc | Inserts the replacement text at the end of only the last subdocument

Customize titles

The title of an HTML document appears in the window’s title bar. When you add a bookmark to that page, it also appears in the bookmark list. Initially, the <$defaulttitle> building block is used for the title, which uses the first heading in an HTML file as the title for that file. Usually, the default titles are satisfactory. However, you can specify a different title by editing macro tables on the HTML reference page.

System macros and general macros can define two sets of replacement text: one that appears in the body of the code and one that is inserted in the head area.

You can modify the default title, or you can remove the default title and set up your own titles.

Modify the default titles

1)Choose View > Reference Pages and display the HTML reference page.

2)In the HTML System Macros table, locate the four system macros that set up the default titles. Initially, they use the <$defaulttitle> building block to assign the first heading in the file as the title. You can change any or all of them.

Macro Name | Replace With | Head | Comments
StartOfDoc |  | <TITLE><$default�title></TITLE> |

3)Change the default macro for Head. For example, the following macro changes the text of the title to static text.

Macro Name | Replace With | Head | Comments
StartOfDoc |  | <TITLE> My Book</TITLE> |

Set up your own titles

1)Choose View > Reference Pages and display the HTML reference page.

2)Remove the four default title replacement texts from the HTML System Macros table.

3)In the HTML General Macros table, define a macro that uses the <TITLE> HTML element in the third column, the Replace With (in HEAD) column. For example, the following macro uses a paragraph autonumber and text for the title, and also as paragraph text in the document.

Macro Name | Replace With | Head | Comments
MyTitle | <P><$para�num><$para�text></P> | <TITLE><$para�num><$paratext>� </TITLE> |

4)Map the macro to the format that you are splitting the HTML document on.

4.12.5.Insert HTML code

You may want to insert special HTML code into your document (for example, the code that defines a Java applet).

1)Choose View > Reference Pages and display the HTML reference page.

2)In the HTML General Macros table, define a macro whose content is the HTML code.

3)Choose View > Body Pages and place the insertion point where you want to insert the HTML code.

4)Choose Special > Marker and choose HTML Macro as the marker type.

5)Enter the name of the general macro as the marker text and click New Marker.

For example, you could enter the following Java code as a macro definition.

Macro Name | Replace With
MyCode | <applet code="Bullets.class" width="600" height="6" codebase="classes/bullets/" > <param name="bgColor" value="White"> </applet>

Where you want to insert this applet, you insert a marker whose marker type is HTML Macro and whose marker text is MyCode.

4.12.6.Convert books to HTML files

You follow the same basic procedure to save a book in HTML format that you use to save a single document. When FrameMaker maps the files in the book, it stores the mappings on reference pages added to the first file in the book. You can edit the tables on the reference pages in the same way you edit the tables on reference pages of individual documents.

The files in a book may not remain separate files when the book is saved as HTML. To break up a book file into separate HTML files, use the Start New, Linked Web Page option.

1)Open the book file and choose File > Save Book As.

2)Choose HTML from the pop-up menu.

3)Give the filename an extension of .html and click Save. The converted files of the book are saved where you specified.

4)Examine the converted files by opening them in a Web browser. If they meet with your approval, you are done.

5)To refine some mappings, open the first file in the book file and display its BookHeadings or BookHTML reference page. Edit the tables there. Then save the file and save the book file as HTML again.

tip: If you fine-tuned the mappings for a document and want to use these mappings for a whole book, remove the tables on the BookHeadings and BookHTML reference pages in the book file’s first file. Then copy the tables on the document’s Headings and HTML reference pages and paste them onto the BookHeadings and BookHTML reference pages.

Related links:

Saving structured documents as HTML

Create links that simulate a TOC

Fine-tuning mappings by editing reference pages

4.12.7.Troubleshooting and tips on HTML conversion

Follow these guidelines to ensure a smooth conversion to HTML:

•When converting a book, open all documents before starting. This ensures that there will be no error messages that might interrupt the conversion process.

•Make sure the table formats you use have regular ruling lines defined for at least one body row. Otherwise, the HTML tables will have no lines around table cells.

•Make sure that your documents contain no unresolved cross-references before you save as HTML. Unresolved cross-references appear as broken links in HTML.

•If text or graphics do not convert when they should, make sure they are on body pages and not master pages, that they are part of the main text flow (flow A), and that they are in anchored frames.

•If you want to import the HTML conversion settings from one document to another, use the File > Import > Formats command to copy reference pages.

Related links:

Resolve cross-references

Import formats from a template or document

4.12.8.Saving structured documents as HTML

The procedures for saving structured documents as HTML are the same as for unstructured documents, with the exception of mappings. In structured documents, all mappings are based on elements and attributes, rather than character, paragraph, and cross-reference formats. Structured FrameMaker elements map to HTML elements to define formats for containers. Structured FrameMaker attributes map to HTML attributes to define cross-references, cascading style sheets, languages, and alt-text for images.

Publishing options for online output formats

In addition to saving FrameMaker documents as HTML from FrameMaker, you can use any of the enterprise-class publishing options provided by Adobe.

•Use RoboHelp to publish FrameMaker content into HTML and other formats. Such formats include WebHelp, HTML, ePub, and Adobe AIR-based Help. In this approach, you define the style mapping and other conversion settings, and import the FrameMaker content into a RoboHelp project. Later, you can publish the required online output formats using RoboHelp features. See Adobe RoboHelp Help.

•Use Adobe Technical Communication Suite to create automated workflows to publish FrameMaker content into several online output formats. Here, you can use FrameMaker as the authoring environment and RoboHelp as the publishing tool. When used as part of the Technical Communication Suite, FrameMaker and RoboHelp provide several advanced features. See the Adobe Technical Communications Suite Help.

•Use the FrameMaker Publishing Server and RoboHelp Server for enterprise-level, automated publishing into multi-channel, multi-device output formats.


Tables

5.Tables


About tables

5.1.About tables

5.1.1.Tables formats

Table formats contain settings for how the table looks. To create a table, the format and looks of the table needs to be defined, for example, border width, shading, heading, table and title.

The format of a table determines its appearance. The format includes the following types of properties:

•Properties set in the Table Designer, such as table position, cell margins, regular ruling and shading, and whether it has a title.

•Three types of default properties: the number of body, heading, and footing rows; the number of columns; and paragraph formats for the title, heading, footing, and body cells of each column. All three are supplied when you first insert a table. Changing the default properties of a format does not change the appearance of tables using that format, but it changes how a new, empty table looks when you insert it.

A new table is always created starting from the formats, which exist in the document. Similar to paragraph and character formats, table formats are the starting point for new tables, as well as, building blocks for new table formats. After you insert a table, you can perform extensive custom formatting, such as straddling or rotating cells, or applying special ruling or shading to selected cells. Custom formatting is not stored as part of the table format. For this reason, custom formatting is retained when you change or reapply a table format.

tip: Right-click a table to display a context menu for tables. Or use the QuickAccess bar to perform common tasks for tables.

When you insert a table, it’s anchored at the insertion point. A table anchor symbol [image] appears there when text symbols are visible.

A. Table title B. Table heading C. Table body D. Table footing

Related links:

Toolbars

5.1.2.Working with tables in structured documents

Structured tables work in much the same way as unstructured tables. The table element definition determines the table’s structure. When you insert the table, at least some row and cell elements are inserted along with it, ready for you to provide the contents.

Elements for structured tables and table parts

A table and its parts (such as title, rows, and cells) are each represented in an element. You can see and work with these elements in the Structure view.

Table and table part elements

When you insert a table element, some of the table parts are inserted automatically. You can use the Element Catalog as a guide for building the rest of the table. If you add more table parts, they can also have an initial structure; for example, a new row element contains cell elements. The content rules for table and table-part elements define an initial structure for that element.

A table can also have cells that are defined to remain empty. No valid elements can be inserted in these cells, and you cannot type in them. An empty cell element’s tag describes the use of the cell—look for names such as BlankHeader or SpacerCell.

How structured tables are formatted

The appearance of a structured table is determined by its table format, various settings in the Table menu, and paragraph formats for text.

Table formats

A table format controls the spacing, indentation, and alignment of a table in a column, the start position on a page, the location of the title, default margins for cells, the direction of autonumbering in cells, and default ruling and shading. A document stores table formats in a Table Catalog.

The format rules for a table element suggest a particular table format. You can apply a different format to the table at any time and the change is not considered a format rule override. (Changing the table format makes a table invalid, though, if the format adds a title and the table’s content rules don’t allow one.)

Table menu commands

The Table menu has commands for rotating and straddling cells, changing cell height and page breaks, adding rows and columns, and applying custom ruling and shading to cells. These settings take precedence over the table format for particular cells.

You can use any of the Table menu commands in a structured table. The commands are not format rule overrides and, except for Add Rows And Columns, do not affect the structure of the table.

Paragraph formats

Paragraph formats define fonts, line spacing, and other properties for text in the cells and the title. Table-part elements can specify paragraph formats.

DITA support for tables

DITA topics support two types of tables. The <table> element uses the OASIS Exchange Table Model (formerly known as the CALS table model). The OASIS table supports the spanning of multiple rows or columns for special layout or organizational needs, and provides a wide variety of controls over the display properties of the data and even the table structure itself.

The <table> element organizes arbitrarily complex relationships of tabular information. This standard table markup allows column or row spanning and table captions or descriptions. An optional title allowed inside the table element provides a caption to describe the table.

The DITA table is based on the OASIS Exchange Table Model, augmented with DITA attributes that enable it for specialization, conref, and other DITA processing. In addition, the table includes a desc element, which enables table description that is parallel with figure description.

In DITA tables, in place of the expanse attribute used by other DITA elements, the pgwide attribute is used to conform to the OASIS Exchange Table Model. This attribute has a similar semantic (1=page width; 0=resize to galley or column).

note: The scale attribute represents a stylistic markup property that is maintained (for now) in tables for legacy purposes. External style sheets should enable less dependency on this attribute. You should use the scale attribute judiciously in your topics.

The other table structure in DITA is called <simpletable>. As the name implies, it is structurally less complex than the OASIS table, and can be used as a simple, regular table for which close control of formatting is not as important. The main advantage of simpletable is for describing lists of data with regular headings, such as telephone directory listings, display adapter configuration data, or API properties.


Insert, move, or remove a table

5.2.Insert, move, or remove a table

5.2.1.Insert a table

When you insert a new, empty table, you select a format for the table. Table formats are stored in a catalog, as are paragraph and character formats. You can apply a different format to any paragraph in any cell, and you can modify the format of any paragraph.

1)Click in the line of text to which you want to anchor the table. You can insert a table anywhere except in a footnote.

2)Choose Table > Insert Table.

3)If required, change the number of columns, rows, heading rows, or footer rows.

4)Select a format for the table. If the format you need is not in the list, you can import the format from another document.

5)Choose the table variable type (continuation or sheet) to insert. For more details on table variables, see Add continuation text.

6)Click Insert.

An anchor symbol [image] appears at the insertion point when text symbols are visible. (Deleting the symbol deletes the table.)

note: In multicolumn page layouts, the table can straddle columns, and its position is sometimes affected by straddle paragraphs.

5.2.2.Insert a table element (structured documents)

A table is anchored to a specific location in text. As you edit the text, the table moves in the document along with the text. An anchor symbol [image] appears at the table’s anchor location in the document window.

When you insert a table, you specify where to anchor it. For example, you can anchor a table in a Para element (as a child element to the Para) or you can anchor it in a Section element (as a sibling to Para and other elements in the section). It depends on how the elements are defined for your document.

1)Click where you want to insert the table.

2)Select a table element in the Element Catalog, and click Insert.

note: To add other table-part elements to the table, use the Element Catalog as a guide.

3)If required, change the number of columns, rows, heading rows, or footer rows.

4)To change the table format, select a format in the scroll list. The table element can have a format preselected, but you can change the format and it is not considered a format rule override.

Consult your developer before changing a table format. Your element catalog can have a separate element defined for each format you’ll need.

5)Choose the table variable type (continuation or sheet) to insert. For more details on table variables, see Add continuation text.

6)Click Insert. FrameMaker inserts an anchor symbol [image] at the insertion point and a table with predefined descendant elements. The Structure view has bubbles for the new elements.

7)If the Attributes for New Element dialog box appears, enter attribute values for the table element and click Insert Element.

tip: Select cells in the table and then right-click to display a context menu for working with the cells. You can also use the QuickAccess bar as a quick way to apply table commands.

If no table element is available at the location you want, you can use an invalid element. After inserting the table, talk to your developer about making it valid at this location.

5.2.3.Use an invalid table element

•To use a table that is valid in another part of the document, either insert the table in a valid location and then move it, or use the All Elements setting to make the table available everywhere and then insert the table where you want it.

•To insert an invalid table with default tags, choose Table > Insert Table and choose TABLE from the Element Tag pop-up menu. (This option appears in the menu if the document has no defined table elements.) The table and table parts have default tags, such as TABLE, HEADING, and ROW. After replacing the table with a valid table, change the table parts to valid elements.

tip: Changing an invalid table with default tags to a valid table can be a laborious process. It’s best to work with tables that are defined.

Related links:

Change the scope of elements available in a structured document

5.2.4.Nest a table in a table cell

1)Click in the cell in which you want to nest a table.

2)Do one of the following:

•Choose Special > Anchored Frame.

–For unstructured documents, this command creates an anchored frame that’s anchored below the current line. Try to set the width and height of the frame to be slightly larger than the width and height of the table you want to insert.

–For structured documents, this command inserts an element. Choose a frame element from the Element Tag pop-up menu in the Anchored Frame pod.

•(Structured documents) Select a graphic element for empty anchored frames in the Element Catalog, and click New Frame.

3)If the anchored frame is wider than the cell, resize the column.

4)Use the Text Frame tool on the Tools pod to draw a text frame in the anchored frame.

5)Click in the text frame and choose Table > Insert Table.

important: If you export a document to SGML or XML, you can lose the contents of anchored frames in it because they are not part of the main structured flow. Work with your application developer if you plan to export to SGML or XML to avoid losing data in the nested table.

Related links:

Anchored frames

Resize rows and columns

5.2.5.Copy, move, or remove a table

If you copy or move an unstructured table to a structured flow, the table is given a basic structure with default elements named TABLE, HEADING, ROW, and so on. If you copy or move a structured table to an unstructured flow, the table structure may no longer be valid.

1)Control-triple-click a cell to select the entire table or click the table bubble in the Structure view.

2)Do one of the following:

•To copy the table, choose Edit > Copy.

•To move the table, choose Edit > Cut. If a dialog box appears, click Remove Cells From Table, and click Cut. Then click where you want to move the table, and choose Edit > Paste. See the Element Catalog before pasting to ensure that you paste the table at a valid location.

•To remove the table (without changing the contents of the clipboard), press Delete.

tip: You can also drag a table bubble in the Structure view to move the table, or Alt-drag the bubble to copy the table.


Text and graphics in tables

5.3.Text and graphics in tables

You format text in a table cell just as you format paragraphs in a regular column of text—for example, with paragraph or character formats.

Each table cell can contain text and anchored frames. (Anchored frames, in turn, can contain graphics or other tables.) As you type text or insert an anchored frame in a cell, the cell height expands as needed.

In addition to typing text in a table, you can also insert cross-references, table footnotes, variables, and markers. The tab character is the only character you have to enter in a special way in a table cell.

You can copy, cut, and paste the contents of cells just as you do text and graphics in any other part of a document. Special system variables let you specify continuation text in the titles or heading rows of multipage tables.

For structured documents, you can type text in the current cell when the <TEXT> indicator appears in the Element Catalog. You can also insert footnotes, cross-references, and other text-related elements in the cell. Use the Element Catalog as a guide.

5.3.1.Select text or cells in tables

Related links:

Navigating through tables

Place the insertion point in a table cell

1)Click in the cell, or click to the left of the cell’s text snippet in the Structure view.

Select the contents of a cell

1)Click in the cell and press Esc t h a, or double-click the cell’s bubble in the Structure view. You can also triple-click a cell’s contents if it contains just one paragraph.

Select a single cell

•Control-click the cell.

•(Structured documents) Drag across the cell’s boundary and back, or click the cell’s bubble in the Structure view.

Select multiple cells

•Drag across all the cells, and then Shift-double-click or Shift-click (structured documents) the last cell in the selection.

•To select an entire row, press Esc t h r, or drag across the cells in the row, or click the row’s bubble in the Structure view.

tip: If you click between table-part elements (such as between two rows) in the Structure view, the insertion point appears in the Structure view but not in the document window. A contiguous selection of cells in the document window doesn’t always appear as contiguous bubbles in the Structure view.

•To select an entire column, press Esc t h c, or drag from a heading cell into the first body cell.

•To select the entire table, press Esc t h t.

5.3.2.Add or remove a table title

A table title appears above or below a table and is repeated on all pages of a multipage table. Whether a table has a title and how it’s formatted is defined in the table format.

When you insert a table with a title, an empty text frame appears for the title. If the title format has been defined to include an autonumber, the autonumber text appears.

Title centered below (left), autonumbered title left-aligned above (right)

For structured documents, a table’s element definition sometimes specifies whether the table must have a title. You can add a title to any table, but check in the Structure view to be sure that the title is not invalid in the table. The title element is always the first child element of a structured table, regardless of whether the title appears above or below the table.

1)Click in the table and choose Table > Format > Table Designer.

2)In the Format properties of the Table Designer, choose an option from the Title pop-up menu.

3)Specify the gap between the table and the title in the Gap box.

4)Click Apply. If the title has been defined to be autonumbered, the number (such as Table 1) appears in the title cell. You enter the text of the title yourself.

tip: To display the title only on the first page of a multipage table, set the title position to No Title and use a body paragraph as the title. To prevent the title from becoming separated from the table, make sure that the anchor symbol is in the title text and that the table’s Start property is set to Anywhere.

Related links:

Anchored frames

5.3.3.Add continuation text

In a multi-page table, you can include special “continuation” text in the title or in heading or footing rows. Your document can have variable elements defined for this purpose, such as one that displays (continued) and another that tells the number of sheets in the table.

A. and C. Table Sheet variable B. Table Continuation variable

Add continuation text to a selected table

1)On the first page of the table, click in the title or in the heading or footing where you want to insert the variable or variable element.

2)Do one of the following:

•Double-click either the Table Continuation variable or the Table Sheet variable from the Variables pod.

•(Structured documents) Select a variable element for continuation text in the Element Catalog, and click Insert.

On the first page of the table, the variable appears as a non-breaking space [image]. On subsequent pages, the variable displays its text—for example, (continued).

Add continuation text to multiple tables in a document

1)To include a table continuation and sheet variable to multiple tables in the current document, choose Table > Insert Table Variables.

2)In the Table Variables dialog, choose the table variable type (continuation or sheet) to insert.

Alternatively, select a table format to insert the table variables to all tables in the current document of the selected format.

5.3.4.Place graphics in table cells

Place a graphic

You can adapt these instructions to position the anchored frame differently or to insert a graphic in a cell that also contains text.

note: Avoid using cropped anchored frames in heading or footing cells of a table. Such frames are not always cropped when that cell repeats on subsequent pages.

1)Click in a paragraph in the cell where you want to place the graphic.

2)Do one of the following:

•To create an anchored frame where you can draw, use Special > Anchored Frame to create an anchored frame that’s anchored at the insertion point.

•To create an anchored frame for an imported graphic, use File > Import > File to import the graphic.

3)If the anchored frame is wider than the cell, resize the column.

tip: To resize a column to match its contents, place the insertion point in the cell that has the desired length of text and press Esc t w.

4)If necessary, choose Graphics > Align to center the graphic in the frame.

Place a graphic in a structured document

If your table cells allow graphic elements, you can draw or import graphics in the cells. A new graphic element can be either an empty anchored frame that you can draw in or an anchored frame with an imported graphic.

1)Click where you want to place the graphic in the cell.

2)Select a graphic element in the Element Catalog and click Insert. The element’s definition determines which dialog box appears.

3)Do one of the following:

•If the Anchored Frame dialog box appears, choose At Insertion Point from the Anchoring Position pop-up menu, and click New Frame.

•If the Import File dialog box appears, select the file to import, and click Import.

An anchored frame appears in the cell, and a bubble with the text snippet GRAPHIC appears in the Structure view.

4)If the anchored frame is wider than the cell, resize the column.

tip: To resize a column to match its contents, select the column and press Esc t w.

5)If necessary, choose Graphics > Align to center the graphic in the frame.

Related links:

Anchored frames

Resize rows and columns

5.3.5.Convert between text and tables

You can convert text that’s already in your document to a table, or you can convert text in a text file as you open or import the file. In a structured document, the text is wrapped into a structure of table and table-part elements.

After converting text to a table, you can edit the table, removing blank cells or recombining text that was split into two or more cells. In most cases, you can edit the table directly in the document. However, if you converted text that was imported by reference, you must edit the text in the original file.

You can convert any table to text within FrameMaker, or you can copy the table as text to another application. You can also convert all the tables in a document at one time.

In structured documents, when you convert tables to text, all the table and table-part elements, except for the cells, are unwrapped. Change the cells to other elements or make other changes to correct the structure of the document.

Convert text to a table

1)Select the text you want to convert.

2)Choose Table > Convert To Table.

3)If you’re working in a structured document, choose a table element from the Element Tag pop-up menu.

4)Select a format for the table.

note: In a structured document, the table element may have a format preselected, but you can change the format and it is not considered a format rule override.

5)Specify how you want to convert paragraphs by doing one of the following:

•To convert text that uses tabs to separate information, click Tabs.

•To convert text that uses spaces to separate information, click Spaces and then enter the minimum number of spaces that indicate a separate cell.

•To convert text that uses other characters to separate information, click Other and then type the characters that can be used to separate cells.

•To convert each paragraph (such as those in a bulleted list) to a cell, click A Cell and then enter the number of columns you want in the table.

6)In the Heading Rows box, enter the number of heading rows you want in the new table. If the paragraphs you’re converting don’t include headings and you want to fill in the headings later, select Leave Heading Rows Empty.

7)Click Convert.

note: When working with structured documents, the Structure view has bubbles for the new elements. If the Attributes for New Element dialog box appears, enter attribute values for the table element and click Insert Element.

Convert a text file to a table as you open the file

1)Choose File > Open, and select the text file you want to open.

2)If the Unknown File Type dialog box appears, select Text, and then click Convert.

3)Click Convert To Table, and then click Read.

4)Follow the instructions for converting text to a table, starting from step 3.

Convert a text file to a table as you import the file

1)Click where you want to import the file.

2)Choose File > Import > File, and select the text file you want to import and the import method.

3)Click Convert To Table and then click Import.

4)Follow the instructions for converting text to a table, starting from step 3.

tip: If you want to merge a text file into an existing table, import the text file and convert it to a table. Then copy the rows and paste them into the existing table.

Touch up a table after conversion

•To combine text that is split across two or more rows, cut and paste the text from the lower cells into the upper cell, and delete the extra rows.

tip: To quickly combine text in adjacent cells, select the cells, choose Table > Straddle, and then choose Table > Unstraddle. Then you can delete empty rows or columns.

•To fix half-empty columns, cut and paste the text into the correct locations, and delete the extra columns.

•To fix major errors, you can return to the original text (choose Edit > Undo if necessary), edit the text (for example, by deleting extra tabs and forced returns), and then convert the text to a table again.

Convert a table to text within FrameMaker

1)Click in the table you want to convert to text.

2)Choose Table > Convert To Paragraphs.

3)Click Row By Row or Column By Column, and click Convert.

Table converted to text

A. Row by row B. Column by column

Copy a table to another application as text

1)Copy the table to the clipboard.

2)In another application, choose Edit > Paste. The table is pasted, row by row, with tabs separating table cells, and a paragraph return at the end of each row.

Convert all tables in a document to text

1)Save the document in Text Only format, and specify how you want the tables converted.

Related links:

Nest a table in a table cell

Import unformatted text

5.3.6.Run text around a table

Text does not run around a table that’s anchored directly in a column of text. You can, however, run text around a table in an anchored frame or in a text frame that’s disconnected from the main flow. (For structured documents, check to see if your developer has set up this application this way.)

A table in an anchored frame moves with the text it’s anchored to. A table in a disconnected text frame remains in place on a page while other text flows around it. The table does not autonumber with tables in the main flow.

important: The contents of an anchored frame or a disconnected text frame are not part of a document’s main structured flow, so they are not normally exported to SGML. If you plan to export to SGML, work with your application developer to avoid losing data in the table.

Table in an anchored frame and a table in a disconnected text frame

Run text around a table in an anchored frame

1)Use Special > Anchored Frame to create an anchored frame with an anchoring position of Run into Paragraph.

2)Draw a text frame in the anchored frame and then place the table in it.

Run text around a table in an anchored frame (structured documents)

1)Click in text where you want to anchor the table.

2)Select a graphic element for an empty anchored frame in the Element Catalog, and click Insert.

You can also use Special > Anchored Frame to insert an element. Choose a frame element from the Element Tag pop-up menu in the Anchored Frame pod.

3)Choose Run Into Paragraph from the Anchoring Position pop-up menu, set the width and height of the frame, and click New Frame. Try to set the size of the frame to be slightly larger than the size of the table.

4)Draw a text frame in the anchored frame. Select View > Toolbars > Graphics Toolbar and click the Place A Text Frame [image] tool. Drag to draw the frame, and click Set in the dialog box that appears.

5)Click in the text frame and use Table > Insert Table to insert an unstructured table.

Run text around a table that remains stationary on the page

1)Draw a text frame directly on a page and drag it where you want it. This type of text frame is not connected to the main flow.

2)Choose Graphics > Runaround Properties, click Run Around Bounding Box, and click Set.

3)Do one of the following:

•For unstructured documents, insert a table in the text frame.

•For structured documents, click in the text frame and choose Table > Insert Table.

5.3.7.Position and autonumber text within cells

When you insert a table, its cell margins—the distance between the cell edge and the cell text frame—are determined by the table format. The indent properties of text in the cell, which are measured from the cell margins, are part of the text’s paragraph format.

A. Left cell margins B. Paragraph’s left indent

Set default cell margins

1)Click in the table you want to change and choose Table > Format > Table Designer.

2)In the Basic properties of the Table Designer, enter the values for the top, bottom, left, and right margins in the Default Cell Margins area.

3)Click Apply To Selection.

tip: If you want text to look vertically centered, make the top margin larger than the bottom margin. For example, make the top margin 5 points and the bottom margin 3 points.

Customize cell margins or text alignment

When you change cell margins or text alignment and later apply a different format to the table, the changes are not overwritten by the new table format’s default settings.

Because cell margins and text alignment are part of a paragraph format, they aren’t normally stored as part of the Table Catalog format. However, the paragraph formats of the first title paragraph and the first paragraph in the heading, body, and footing rows of each column are stored. You can customize the alignment of any of these paragraphs and then store the table format in the catalog. Future tables using that table format will have the custom settings as their defaults.

Customize cell margins

1)Click in the first paragraph of the cell whose margins you want to customize.

2)Choose Format > Paragraphs > Designer to display the Paragraph Designer.

3)Choose Table Cell from the Properties pop-up menu.

4)In the Cell Margin area, specify the margins you want to customize by doing one of the following:

•To create a margin relative to the default cell margin, choose From Table Format, Plus from the pop-up menu and then enter a value.

•To create a fixed margin measured from the edge of the cell, choose Custom from the pop-up menu and then enter a value.

5)Click Apply To Selection.

Customize the vertical alignment of text in a cell

1)Click in the cell you want to customize.

2)Choose Format > Paragraphs > Designer to display the Paragraph Designer.

3)Choose Table Cell from the Properties pop-up menu and then choose Top, Middle, or Bottom from the Cell Vertical Alignment pop-up menu.

4)Click Apply To Selection.

note: The vertical alignment that you apply to a cell will persist even when you apply a different table format from the Table Designer.

Specify the direction of autonumbering in a table

When you insert a table, the table format determines the direction of autonumbering within cells—either across rows or down columns. This property also sets the direction of autonumbering for table footnotes.

1)Click in the table you want to change, and choose Table > Format > Table Designer.

2)In the Basic properties of the Table Designer, choose Row First or Column First from the Numbering pop-up menu.

3)Click Apply To Selection.

5.3.8.Change the direction of text in table

By default, the text in a table inherits the direction (LTR or RTL) of current document. However, you can change the direction of each table in a document.

1)Click in the table.

2)Choose Table > Format > Table Designer and go to the Direction tab.

3)Choose the direction in the Direction drop-down list.

4)To change the direction of the text in the selected table, click Apply.

Alternatively, to change the direction of the text in all the tables of the current table format, choose Update All.


Formatting tables

5.4.Formatting tables

5.4.1.Table Designer

You can use the Table Designer and Table menu commands to change the look of tables and create new table formats, and to change formats globally throughout a document.

Using the Table Designer, you can change the table’s indents, cell margins, spacing, alignment, ruling, and shading. You can also adjust the title position, numbering, and the start position of the table. The space above and below a table, and the table’s alignment and indentation, are determined by the table format. You can control other positioning properties—straddling and text runaround—on a table-by-table basis.

The Table Designer includes several commands for creating, changing, and overriding table formats. The designer contains several groups of properties, displaying one at a time. It’s shown here displaying the Basic group of table properties.

Table Designer

A (Basic)

Paragraph properties such as indentation, spacing, and alignment.

B (Ruling)

Ruling properties for headers, footers, separators, rows.

C (Shading)

Shading properties for headers, footers, and body.

H (Direction)

Specify the direction of the table text to as is, inherit (default), right-to-left, and left-to-right.

From the Table Tag field of the Table Designer, you choose a table format and then a property group. From the lower half of the Table Designer, you change the table’s properties. After making changes, click Apply to change the table’s appearance. Click Apply All, to change the definition of the format and globally change appearances of all tables using this format.

When you use the Table Designer to make a formatting change that doesn’t match the table’s predefined format, the change is a format override. Overrides are lost if you reapply the predefined format to the table. Changes made with the Table menu commands are not lost.

To remove all format overrides from a table, put the cursor in the table and click the desired table format from table catalog.

Related links:

Manage formats

Format catalog

Table position and spacing

Display the Table Designer and a property group

1)Choose Table > Table Designer.

2)Choose a group of properties from the Properties pop-up menu or click a tab.

Apply property changes

1)Click Apply To Selection. When you make a formatting change that doesn’t match the table’s predefined format, it’s considered a format override.

note: You don’t need to click Update All unless you want to make a global change—change the table format and all tables in the document with the same format. Because Update All redefines a format, use it with caution.

Reset properties after changing them in the Table Designer

•To reset the properties to match the current table, including any format overrides, click in the table or choose Reset Window from Selection from the Commands pop-up menu.

•To reset the properties to match the stored table format, choose the format from the Table Tag pop-up menu. Do this even if its tag is already displayed in the Table Tag box.

5.4.2.Table catalog

Table catalog works just like the paragraph or character catalogs. Commands to format tables, the Table Designer, and the table Catalog can be accessed from Table > Format.

Apply or change table format

•Do one of the following

•Place the cursor inside the table.

•Select one of more cells of the table.

•If the table catalog is not open, then click Table > Format > Catalog.

•Click the desired format in the catalog.

5.4.3.Create, edit, and delete table formats

You can rename or delete a table format when designing a template. You can also rename a table format if you want to copy an entire catalog from a template and don’t want a format to be overwritten.

Deleting a format from a catalog does not affect any tables that have the same tag—the tables simply have a format that isn’t stored in the catalog. If you want to change the format of these tables, you can then retag them.

Related links:

Rows and columns

Table position and spacing

Add or remove a table title

Ruling and shading

About tables

Working with tables in structured documents

Create a table format

1)Click in a table that has a format like the one you want to create. (The more similar it is to the format you’re defining, the fewer changes you’ll have to make.)

2)Set up the rows and columns by adding or deleting body, heading, and footing rows and adjusting columns as necessary.

3)Use the Table Designer to modify any of the table’s properties.

Don’t set any property to As Is. Table formats must have all properties specified. (An alert message warns you if not all settings are specified so you can go back and change any As Is properties.)

4)Use the Paragraph Designer to create or change any of the following paragraph formats, which are stored as part of a table format: the paragraph formats of the first title paragraph, and the first paragraph in the heading, body, and footing rows of each column.

5)When the table looks the way you want, choose New Format from the Commands pop-up menu in the Table Designer.

6)Enter a name for the new format in the Tag box.

7)To store the format in the Table Catalog, select Store In Catalog.

8)To apply the new format to the current table, select Apply To Selection.

9)Click Create.

Rename a table format

1)Click in a table whose format you want to rename.

2)In the Table Designer, choose the tag you want to change from the Table Tag pop-up menu.

Make sure that you perform this step even though it means choosing the same tag as the one currently displayed. Choosing a tag from the pop-up menu ensures that the stored format properties—not overrides—are displayed.

3)Type a new name in the Table Tag box, and click Update All.

4)Click OK.

Delete a table format

1)In the Table Designer, choose Delete Format from the Commands pop-up menu.

2)Select the format in the scroll list and click Delete. You can delete additional formats if you want to.

3)Click Done.

Apply a different format to a table

When you apply a different table format, only the properties associated with table formats change in the table. That is, any customizations you’ve made to the table—the column widths, the number of rows and columns, and the settings from the Table menu—are not affected.

The format rules for a table element suggest a particular table format, but you can apply a different format, either when you insert the table or later, and the change is not considered a format rule override. If you remove format rule overrides in the document, the table will not return to its original format. If a structured document does not have a format that meets your needs, see your developer about redefining a format or creating a new one.

important: If a new table format adds a title to the table and the table’s content rules do not allow a title, the title is invalid.

Table with old (left) and new (right) formats; custom rotated cells retained

1)Click in the table.

2)Choose Table > Format > Table Designer.

3)Choose the format from the Table Tag pop-up menu, and click Apply To Selection.

Apply a format to several tables

You can apply a format to all tables in the document, to all tables with tags (format names) that occur in a selection, or to all tables that have a particular tag. For example, you could apply Format B to all tables currently tagged Format A.

1)Select the tables by doing one of the following:

•To apply a format to all tables in the document, click in any table.

•To apply a format to several tables, but not all tables, in the document, select consecutive tables or table elements. (To select multiple tables, you must select their anchor symbols.)

2)Choose Table > Format > Table Designer.

3)Choose the format you want to apply from the Table Tag pop-up menu, and choose Global Update Options from the Commands pop-up menu.

4)Choose the tables you want to reformat by doing one of the following:

•To retag all tables in the document, click All Tables And Catalog Entries.

•To retag the tables in the selection and all tables with the same tags as these tables, click All Matching Tags In Selection.

•To retag all tables with a specific tag, choose a tag from the pop-up menu.

5)Click All Properties in the Use Properties area, and click Update.

Redefine table formats

To change a table format, you change a table’s properties and then change the corresponding catalog format to match the table.

The properties applied to the catalog format include those set in the Table Designer and the defaults not set in the Table Designer—for example, the default paragraph formats. In addition, properties set in the Table Designer (but not default properties that aren’t changed in the Table Designer) are applied to existing tables in the document that have the same tag.

tip: If you change properties in the Table Designer and then decide you don’t want to update the format, you can cancel the operation and reset the properties by simply clicking in text. You can also choose Reset Window from Selection from the Commands pop-up menu in the Table Designer.

Redefine a table format

1)Click in a table whose format you want to redefine, and choose Table > Format > Table Designer. If the table you click in has format overrides, these overrides—not the catalog format’s definition—appear in the Table Designer.

2)If you want to base the changed format on the catalog format, without any overrides, choose the format tag from the Table Tag pop-up menu, even if the tag you want is already displayed in the Table Tag box.

3)Do the following:

•Use the Table Designer to change any of the settings for the Basic, Ruling, or Shading properties.

•Change any of the default properties, such as the number of rows and columns, widths of columns, and the paragraph format of the title and of the first paragraph of each column. These properties are supplied when you first insert a new, empty table.

4)Click Update All. If any of the tables being updated contain format overrides, an alert message asks whether you want to remove them.

Change properties in multiple table formats

You can change specified properties of multiple table formats at the same time. For example, you can change all table formats from centered to left-aligned.

1)Select the tables whose formats you want to redefine by doing one of the following:

•To redefine one table format or all table formats in the document, click in any table.

•To redefine several table formats, but not all formats in the document, select consecutive tables whose formats you want to redefine. (To select multiple tables, select their anchor symbols.)

2)In the Table Designer, display the group of properties from which you want to apply one or two properties.

3)(Structured documents) Delete the tag from the Table Tag box if the box isn’t empty. Deleting the tag sets the box to As Is, which keeps FrameMaker from changing the tags of the formats that you update.

4)Change the properties as needed.

5)Choose Global Update Options from the Commands pop-up menu.

6)Choose the table formats you want to apply the properties to.

7)Click the current property group in the Use Properties area and click Update. If any of the tables being updated contain format overrides, an alert message asks whether you want to remove them.

FrameMaker applies the properties to the Table Catalog formats you specified and to all tables in the document with the same tags.

5.4.4.Ruling and shading

When you insert a table, its regular ruling and shading are determined by the table format. You can use the Table Designer to change a format’s ruling or shading properties for particular tables that use the format.

Custom ruling and shading aren’t limited to entire rows or columns and aren’t part of the table format. If you customize the ruling or shading of a table and later apply a different format to the table, the custom ruling or shading is not overwritten by the new format.

Set up regular ruling and shading

1)Click in the table you want to change and choose Table > Format > Table Designer.

2)Do one or more of the following:

•In the Ruling properties of the Table Designer, specify the ruling for columns, body rows, heading and footing rows, and outside edges.

•In the Shading properties of the Table Designer, specify the shading for heading and footing rows and for body rows or columns.

3)Click Apply To Selection.

Manage ruling styles

You can create additional ruling styles (such as Double, Thick, or Thin line styles), and edit or delete existing ones. If you edit a ruling style, the change applies to both the regular and custom ruling that use that style.

tip: When editing ruling styles, zooming in to a high percentage lets you see slight differences in line thickness.

Create or change a ruling style

1)Choose Table > Format > Custom Ruling & Shading.

2)Select a style in the scroll list that you want to edit or, if you’re creating a style, select one like the style you want to create.

3)Click Edit Ruling Style.

4)Enter the width, and choose a color and pen pattern for the style.

5)Click Single or Double to specify single or double lines. If you click Double, specify a value for the gap separating the lines.

6)If you’re creating a style, type a name in the Name box, and click Set.

Delete a ruling style

1)Choose Table > Format > Custom Ruling & Shading.

2)Select the style you want to delete.

3)Click Edit Ruling Style and click Delete. If the style was used for a table’s regular ruling, the occurrences of the style use no ruling. If the style was used for custom ruling, the table’s regular ruling is restored.

Manage custom ruling and shading

A table’s custom shading is not stored as part of the format. Wherever the regular and custom settings are in conflict, the custom settings prevail.

1)Select the cells, rows, or columns that you want to customize.

2)Choose Table > Format > Custom Ruling & Shading.

3)Do one of the following:

•Specify a fill percentage and color for the shading.

•Select a custom ruling style. The scroll list shows the document’s predefined ruling styles.

•Choose From Table to remove custom shading.

4)To prevent inadvertent changes, turn off Custom Cell Ruling or Custom Cell Shading and click Apply.

Display a cell’s ruling and shading settings

1)Select the cells, rows, or columns that have the ruling and shading properties you want to see.

2)Choose Table > Custom Ruling & Shading, and click Show Current Settings.

In the dialog box, Mixed means that the selected cells use more than one custom ruling style, fill, or color. From Table means that the selected cells use the regular ruling or shading set in the Table Designer.

5.4.5.Rows and columns

You can easily add, delete, copy, move, or resize rows and columns, either by using the clipboard or by dragging. Sort rows and columns by numbers or letters. You can sort by date or time, as long as the information is entered in the table as text.

Add and delete rows and columns

note: For structured documents, adding rows or columns can make the structure of the table invalid. For example, a table set up to contain only three columns will be invalid if you add a fourth. It’s best to use the Element Catalog for adding heading or footing rows, because tables are often defined to have a specific number of these rows.

Add a row or column

1)Click in a table cell next to where you want to add the row or column.

2)Choose Table > Add Rows Or Columns, and specify the number of rows or columns you want to add and where you want to insert them.

3)Click Add.

The new rows or columns have the same properties as the current row or column.

Add a row using the Element Catalog (structured documents)

1)Click where you want to add the row in the Structure view, select a row element in the Element Catalog, and click Insert.

Add a row below the current one

1)Press Control+Enter.

The new row has the same properties as the previous row.

If the insertion point is in the last cell of the last row, press Tab to create a new row at the end of the table.

Delete a row or column

1)Select the rows or columns you want to delete, making sure that you select entire rows or columns. (If you don’t, the contents of the selected cells are deleted without a prompt for a decision.)

2)Press Delete, click Remove Cells From Table, and click Clear.

Copy, move, or reorder rows or columns

Copy or move rows or columns

Use the Edit menu

1)Select the rows or columns, and do one of the following:

•If you are copying them, choose Edit > Copy.

•If you are moving them, choose Edit > Cut, click Remove Cells from Table, and then click Cut.

2)Click next to where you want to insert the rows or columns, and choose Edit > Paste. You can insert them next to the current row or column, or you can replace the current row or column.

If you overwrite the rows or columns in a table, the cells on the clipboard replace the current rows or columns according to the following rules:

•If the number of rows or columns on the clipboard is equal to the number of selected rows or columns, they are replaced exactly.

•If the number on the clipboard is greater than the number you select to replace, only the number of rows or columns that fit are pasted.

•If the number on the clipboard is less than the number you select to replace, the clipboard contents are repeated so that they fill the rows or columns.

tip: To split a table, cut rows or columns from a table and paste them where you want to make a new table. To combine two tables, cut the rows and columns from one table and paste them into another.

Using drag-and-drop

1)Select one or more rows or columns to move.

2)Drag the rows or columns to the location where you want to move them.

To copy the rows or columns, keep the Ctrl key pressed as you drag them.

3)Drop the rows or columns to move or copy.

When you drag-and-drop a row, the dragged row replaces the row below. Similarly, when you drag-and-drop a column, the dragged column replaces the column to the right.

4)To retain the row (below) or column (to the right), keep the Shift key pressed as you drag-and-drop.

tip: You can also drag a row’s bubble in the Structure view to move the row, or Alt-drag the bubble to copy the row.

Reorder rows or columns

1)Select the rows or columns to reorder in the table.

2)Hold down the Shift key and drag-and-drop the rows or columns to the required alternate location in the table.

Resize rows and columns

Resize a column by dragging

•To change a column width, select a cell in that column and drag its handle until the column is the size you want. Select several columns to resize them together.

•To move the border between two columns so one column grows wider and the other narrower, Alt-drag a selection handle. The overall width of the table doesn’t change.

tip: To align the column border with the snap grid, choose Graphics > Snap before you change the width.

Specify a precise column width

1)Select cells in the columns you want to resize (if you’re resizing a single column, just click in it), and choose Table > Resize Columns.

2)Do one of the following:

•To specify a value for the width, click To Width and enter the value.

•To set the width to a percentage of the original width, click By Scaling and enter a percentage.

•To make the column the same width as another column in the table, click To Width of Column Number and enter the column number.

•To make the widths equal parts of a total, click To Equal Widths Totaling and enter the total width.

•To specify a total width while still keeping the columns’ proportions the same, click By Scaling to Widths Totalling and enter the total width.

•To set the width to match the widest paragraph or frame in the selected cells, click To Width Of Selected Cells’ Contents and enter a maximum width.

3)Click Resize.

Copy and paste a column width

1)Click in the column whose width you want to copy.

2)Choose Edit > Copy Special > Table Column Width.

3)Click in the column you want to change and choose Edit > Paste. Only the column width is pasted; the contents of the cells remain unchanged.

Adjust the height of a row

The height of a row changes automatically to fit the cell’s contents, but you can increase the height further if you want.

note: When working with a structured document, adjusting the height of a row does not affect the structure of the table, and it is not a format rule override.

1)Click in the row that has the height you want to increase, and choose Table > Row Format.

2)Enter values for the minimum and maximum row height and then click Set.

Make all rows the same height

1)Determine the height of the tallest row in a table: Hold down Alt+Shift while drawing a selection border around the row.

2)Note the height, which appears in the status bar.

3)Select the entire table, and choose Table > Row Format.

4)Specify this value for the minimum row height and click Set.

Sort rows and columns

When sorting by numbers, currency symbols are ignored, but negative signs are recognized. For example, -9 or (9) sorts before 9 in an ascending sort. The comma and decimal separators displayed in numbers are treated according to the Regional options set for numbers and currencies on your system.

Text always comes after numbers in a sort. Text strings in tables are sorted based on the default system locale.

tip: You can sort by date or time as long as you enter it as text, use a consistent format, and include leading zeros. For example, if you’re using dd/mm/yy and hh:mm:ss formats, enter 04/12/2017 or 09:30:25.

1)Save your document, so that you can revert to your last saved version if the sort gives unexpected results.

2)Make sure the table contains no hidden conditional rows in the table (use Special > Conditional Text).

3)Do one of the following:

•To sort all columns or all rows in a table, click anywhere in the table.

•To sort only certain rows, select cells in the rows you want to sort.

4)Choose Table > Sort.

5)If you’re sorting all rows or all columns, click Select All Body Rows.

6)Do any of the following:

•To sort the rows of the table, click Row Sort. If the rows contain heading or footing cells as well as body cells, only the body cells are sorted.

•To sort the columns of the table, click Column Sort.

•To sort uppercase letters apart from lowercase letters, select Consider Case.

7)Choose a primary sort key by selecting from the Sort By box and clicking Ascending Sort or Descending Sort.

You can sort straddle cells as long as they don’t extend past a row or column that you’re using as a sort key. (Use Table > Unstraddle and try again.)

8)Optionally, choose a second and third sort key from the Then By areas.

9)Click Sort.

note: Adobe FrameMaker correctly sorts numbers preceded by the special symbols ()+-,. and $. However, combining several of these symbols in a cell sometimes adversely affects sorting. For example, a table cell containing -2 will fall correctly between -1 and -3, but a cell containing -2+3 will not (Frame interprets the sequence as -23).

note: The Table sorting feature supports the Unicode text encoding standard.


Table position and spacing

5.5.Table position and spacing

5.5.1.Specify table position and spacing

Normally, a table appears below the line of text containing the anchor symbol. However, you can force a table to start at the top of a page or column, or you can let the table float.

If a text column where a floating table is anchored is too small to contain the table, a floating table moves to the first text column that can contain it. However, the line of text containing the table’s anchor symbol does not move. If the table moves to the next text column, text fills the space below the line containing the anchor symbol.

The space between a table and the paragraph above it is determined by the table’s space above setting or the paragraph’s space below setting, whichever is larger. The space between a table and the paragraph below it is determined by the table’s space below setting or the paragraph’s space above setting, whichever is larger. When the table is at the top or bottom of a column, the above or below setting is ignored.

1)Click in the table you want to change, and choose Table > Table Designer.

2)In the Basic properties of the Table Designer, do one or more of the following:

•Enter indent values in the Left and Right boxes.

•Enter spacing values in the Above and Below boxes.

•Specify alignment from the Alignment pop-up menu.

•Specify placement from the Start pop-up menu.

3)Click Apply to Selection.

tip: If you want a table to start at the top of a page with no text preceding it, anchor it on the previous page and set the table to float. If you want it to always float, make its orphan setting a large number such as 200.

If the anchor symbol for a top-of-column table appears below a paragraph that straddles columns, the table appears in the next column but just below the straddle paragraph, instead of at the top of the column.

A top-of-column table anchored below a straddle

Related links:

Set the minimum number of rows on a page or in a column

5.5.2.Straddle or unstraddle tables and cells

Tables can straddle columns in multicolumn layouts, and their positions are sometimes affected by straddle paragraphs. Straddling does not affect the structure of a table and is not a format rule override.

Straddle a table

1)Do one of the following:

•Anchor the table in a straddle paragraph. A table anchored in a straddle paragraph, whatever the table’s width, always straddles the full width of the text frame.

•In case of structured documents, anchor the table in a paragraph element that’s formatted to straddle the columns. If the table is wide enough, it straddles the full column width. If it is not wide enough, the plane of the table nevertheless straddles the full width.

A table anchored in a straddle paragraph

•Extend the table width into a second column of the body area. If you want the table to straddle both the side-head area and the body area, extend it into the side-head area as well.

Straddling all columns and straddling side-head area

Unstraddle a table

•To unstraddle a table that’s anchored in a straddle paragraph or paragraph element, move the anchor to a nonstraddle paragraph or nonstraddle element.

•To unstraddle a table that’s anchored in an unstraddled paragraph or paragraph element, resize the column widths of the table to fit in the text column.

Straddle or unstraddle cells

If you straddle cells that have contents, the contents of those cells also merge, creating a separate paragraph for each merged cell.

1)Do one of the following:

•Select the cells you want to straddle, and choose Table > Straddle.

•Select the cells you want to unstraddle, and choose Table > Unstraddle. The contents of the straddle cell appear in the upper left new cell, not back in the original cells.

important: The contents of an anchored frame or a disconnected text frame are not part of a document’s main structured flow, so they are not normally exported to SGML. If you plan to export to SGML, work with your application developer to avoid losing data in the table.

Related links:

Rows and columns

Resize rows and columns

5.5.3.Rotate cells and tables

When you rotate a cell in a table, you can type in it just as you do in any other cell.

You can also rotate an entire table by placing the table in an anchored frame that is rotated. (For structured documents, check with your developer to see if the application is set up for rotated tables.) A rotated table can be in an anchored frame on a page of unrotated text or on a rotated page (one that uses a rotated master page). Place the table on a rotated page instead of rotating the table itself if you want background items (such as headers or footers) or body text to be rotated with the table. You cannot edit a table in a rotated page.

Rotating a cell or a page with a table does not affect the structure of a table, and it is not a format rule override.

note: For structured documents, a rotated table in an anchored frame is not part of a document’s main structured flow and is not normally exported to SGML. If you plan to export to SGML, consider rotating the page rather than just the table. If you must rotate just the table, work with your application developer to avoid losing data in the table.

Table on a rotated page (left), rotated table on a regular page (right)

Rotated cells

Related links:

Rotate a master page

Assign master pages to body pages

Resize rows and columns

Create anchored frames

Add text to graphics

Insert, move, or remove a table

Rotate cells

1)Select the cells you want to rotate, and choose Graphics > Rotate.

2)Specify the orientation you want for the cells and click Rotate.

tip: As you type in a rotated cell, the cell height increases and the text doesn’t wrap. You can limit the height of rotated cells so that text wraps when it reaches the limit.

Insert a rotated table in a page of unrotated text

1)Insert an anchored frame, and draw a text frame in it.

2)Insert the table in the text frame.

3)Select the text frame, choose Graphics > Rotate, and rotate the text frame counterclockwise. You can adjust the size of the text frame or the anchored frame to view the entire table.

Insert a rotated table in a page of unrotated text (structured documents)

1)Click in the text where you want to anchor the table.

2)Select a graphic element for empty anchored frames in the Element Catalog and click Insert.

3)Choose Below Current Line from the Anchoring Position pop-up menu, set the width and height of the frame, and click New Frame. Try to set the size of the frame to be slightly larger than the size of the table.

4)Draw a text frame in the anchored frame. Select View > Toolbars > Graphics Toolbar and click the Place A Text Frame tool [image] in the Tools pod. Drag to draw the frame and click Set in the dialog box that appears.

5)Click in the text frame and use Table > Insert Table to insert an unstructured table.

6)Choose Graphics > Rotate and rotate the text frame. You can adjust the size of the text frame or the anchored frame to view the entire table.

Create a rotated table on a page with other rotated text

1)Create a rotated master page and apply it to the body page where the table appears.

If document editing causes the table to move to a different page, you’ll need to reapply master pages.

Edit a rotated table

1)Unrotate the text frame, edit the table, and then rotate it back when you’re finished.

5.5.4.Insert page breaks in a table

If all the rows of a table don’t fit in a text column, some of the rows move to the next page or column. You can control how the table breaks between pages or columns. For example, you can set the minimum number of rows that can appear on a page or column, or specify that two rows always appear together on the same page or column. You can also force a break at any row in a table.

When you insert a table, the minimum number of rows in a column or on a page is determined by the table format. You can change this number in the Table Designer.

Keeping two rows together and forcing a page break are not part of the table format; they are custom settings, which you make on a case-by-case basis. If you apply a different format to the table, these settings are not overwritten.

Set the minimum number of rows on a page or in a column

If a table doesn’t fit on one page or in one column, the location of the page break is based on the number of orphan rows allowed for the table. The orphan row property determines the minimum number of body rows that must be kept together on a page or in a column.

note: When working with structured documents, changes to page breaks do not affect the structure of a table and are not format rule overrides.

1)Click in the table you want to change, and choose Table > Table Designer.

2)In the Basic properties of the Table Designer, enter the number of rows in the Orphan Rows box. The number can range from 1 and 255.

3)Click Apply to Selection.

tip: Specifying a large orphan row setting, such as 99, prevents a table from breaking across columns or pages.

Keep rows together

1)Select the row you want to keep together with the next or previous row, and choose Table > Row Format.

2)In the Keep With area, choose Next Row or Previous Row, and click Set.

Add or remove a page break in a table

Just as you can have a table or paragraph always start at the top of a page or column, you can do the same with a specific row in a table. Later, you can remove the page break if you want to.

1)Click in the row you want to change, and choose Table > Row Format.

2)Do one of the following:

•To force the row to the top of the next column, choose Top Of Column or one of the Top Of Page options from the Start Row pop-up menu.

•To remove a page break, choose Anywhere from the Start Row pop-up menu.

3)Click Set.


Graphics and objects

6.Graphics and objects


Create graphics

6.1.Create graphics

6.1.1.About graphics and objects

Working with illustrations

In FrameMaker, you can draw rectangles, ovals, and polygons, as well as straight and curved lines. You can create complex illustrations by combining several objects, and include text in illustrations. You can also specify object properties (such as fill pattern, line width, and color), and resize, reshape, rotate, and rearrange objects.

You can place illustrations directly on the page, in anchored graphic frames that move with the text, or in unanchored graphic frames that crop the edges of the illustration.

•Text frames control placement of the document text.

•Graphic frames, which can be anchored or unanchored control the position and appearance of graphics.

•Anchored frames hold graphics related to specific text and move along with the text as you edit it.

•Unanchored frames are used to crop graphics that stay in the same place on the page. You can also use unanchored frames to hold reference art. You draw unanchored graphic frames with the Graphic Frame tool on the Tools pod.

note: Graphics placed in unanchored frames are not exported to HTML, Microsoft Word, or RTF.

If you want the graphic to appear at a specific location on a page (for example, for a logo or a bleed tab), draw or import the graphic directly on the page. If you need to crop a graphic or include it as reference art on a reference page, you place it in an unanchored graphic frame.

A. Graphic drawn on page B. Text line C. Anchored frame D. Text frame for document text

You can use text frames along with graphics—for example, as callouts or captions. You can also use text frames in anchored frames to create effects such as sidebars. For single lines of text in graphics, you can also use the Text Line tool.

Tools palette overview

You use the dockable Tools pod to select drawing tools and to apply properties. To display the Tools pod, choose Graphics > Tools or View > Toolbars > Graphics Toolbar.

Graphics toolbar

A. Selection tools B. Drawing tools C. Drawing properties D. Hotspot mode

About paths

An object’s path is an imaginary line through the center of the object’s border. The path appears as an outline when you draw an object.

A. Border B. Path

FrameMaker uses the path to position objects. For example, when you use the Align command to align objects, the objects are aligned along their paths, not along the outside of their borders. When the snap grid is on as you draw, FrameMaker aligns the path with the snap grid.

Objects are aligned along their paths.

About graphic elements in structured documents

When working with structured documents, you use special elements to place graphics. A graphic element provides an anchored frame for holding graphic objects. The frame is anchored to a specific location in text. As you edit the text, the frame and its contents move in the document along with the text. The element appears in the document’s structure, but the graphic or equation itself is not part of the structure.

A new graphic element is either an empty anchored frame or an anchored frame with an imported graphic. When you insert the element, its format rules determine whether you see a dialog box for setting up a frame or for importing a graphic file:

•For an element that is an empty anchored frame, you specify the size of the frame, its anchoring position, and some formatting properties such as alignment. You can fill in the frame by drawing, pasting, or importing graphic objects in it.

•For an element that is a frame with an imported graphic, you specify the file to import. The graphic appears below the line with the anchor symbol, in a frame large enough for it.

After you’ve inserted a graphic element, you can place different contents in the frame, resize the frame, change the anchoring position, and edit the frame in other ways. These changes are not considered to be format rule overrides.

To align a graphic element in a structured document, you can either define the alignment in the document, using the Attribute editor or in the EDD (the structured application associated with the document). If you add a graphic element to a document and do not assign the alignment, by default, FrameMaker will center align the graphic on the document.

Scaling Images

An image can be resized by changing either the height, width, or the scaling attributes. In a DITA topic, you can access the height, width, and scaling attributes from the Object Properties or Attributes dialog.

Consider the following points while changing the image size attributes in the Object Properties dialog:

•If you change the height, width, or both, then you must click the Apply button for the changes to take effect.

•If you change the height, width, and scaling attributes, then the values present in the height and width attributes take precedence over the scaling attribute.

•If you specify only the scaling attribute, then the height and width of the image is proportionately adjusted. Also, the values in the height and width attributes are updated according to the scaling factor.

Consider the following points while changing the image size attributes in the Attributes dialog:

•If you specify a value in the height or width attribute and move the focus to any other attribute, the image is resized immediately.

•To scale an image, you must delete any value present in the height and width attributes, and then specify a value in the scale attribute.

•If a value is present in the height or width attribute, and you change the scale attribute, then the image would not be scaled. The value present in the height or width attribute takes precedence over the value specified in the scaling attribute.

Related links:

Create anchored frames

Multiple Undo/Redo

Anchored frames

Crop or mask graphics

Use reference frames on reference pages

Add text to graphics

6.1.2.Draw objects

When you draw an object, the pointer is a cross-hair [image]. After you draw, the pointer normally changes back to an arrow [image] so you can select objects, or to an I-beam [image] so you can select or type text. To draw another object, you usually have to click a drawing tool again.

When you draw an object directly on a page, it doesn’t move with the text, although text can run around the object. If you want the object to be “anchored” to surrounding text (that is, to move as you edit the text), you can draw the object in an anchored frame, or draw it on a page and then move it into an anchored frame.

When you draw an object, it uses the drawing properties that are selected on the Tools pod. The object is also selected, to make changing these properties easier.

Related links:

Apply and change drawing properties

Use gravity and grids to align objects

Resize and reshape objects

Draw a straight line

1)Click the Line tool [image].

2)Click at the start and end of the line. You can also drag from the beginning to the end of the line. To draw a horizontal or vertical line, or a line at a 45-degree angle, Shift-click, or Shift-drag.

tip: To draw several lines that touch one another, use the Polyline tool to draw several connected lines as a single object. You can also use the Line tool to draw the lines and then use the Gravity feature to make sure that they touch one another.

Draw a polyline or polygon

1)Click the Polyline tool [image] or the Polygon tool [image].

2)Click at each vertex in turn. To draw a horizontal or vertical segment, or a segment at a 45-degree angle, Shift-click.

3)Double-click at the last vertex.

Click at each vertex and then double-click to end.

Draw an arc

1)Click the Arc tool [image].

2)Put the pointer where you want to start the arc and drag along the path of the arc. To draw a circular arc, Shift-drag.

Drag and then release.

If the arc isn’t the shape you want (for example, if it’s concave rather than convex), don’t release the mouse button. Drag the cross back to the starting point and draw the arc again, dragging along the path you want the arc to trace.

Initially, the angle of the arc will be 90 degrees.

Draw a freehand curve

1)Click the Adobe FreeHand tool [image] .

2)Place the pointer where you want to start the freehand curve, and drag along the path of the curve. The snap grid is ignored for all but the first point of a freehand curve; however, you may want the snap grid to be off when you draw the curve.

Drag and then release.

When you release the mouse button, FrameMaker approximates a curve along the path you drew and displays reshape handles and control points so you can reshape the curve.

tip: For more precise control over the shape of a freehand curve, create a curve by drawing polylines or polygons and then smoothing them.

Draw a rectangle, a rounded rectangle, or an oval

1)Click the Rectangle tool [image] , the Oval tool [image] , or the Rounded Rectangle tool [image] .

2)Drag diagonally across the area in which you want the object to appear. To draw a square or circle, Shift-drag.

Drag and then release.

tip: To draw a border around a graphic, draw a rectangle with a fill pattern of None around the graphic.

Draw a regular polygon

1)Draw a circle or square that is slightly larger than the regular polygon you want to create. If you draw a rectangle or an oval, the polygon you create won’t be regular.

2)Select the object and choose Graphics > Set # Sides.

3)Specify the number of sides and the start angle of the polygon, and click Set.

Original object and regular polygon, with number of sides = 3 and start angle = 45°

Draw several objects of the same type without clicking the tool each time

1)Do one of the following:

•For all objects except text lines, Shift-click the tool. To stop using the tool, click another drawing tool or one of the selection tools [image], [image] on the Tools pod.

•For text lines, press Return at the end of a text line and continue typing.

6.1.3.Select objects

You can select objects that are on the same page or in the same graphic frame. When you select a graphic frame, any selected objects are deselected. When an object is selected, handles appear around it.

Smart Select tool

Allows you to place an insertion point or select text when the pointer is over text, and to select objects when the pointer is over an object. When the Smart Select tool is active, the pointer changes shape as you move it—to an I-beam [image] over text or to a hollow arrow [image] over objects. In general, use the Smart Select tool as you work.

Object Select tool

Use the Select Object tool when you’re working with text lines and text frames as objects—for example, when you want to move or resize a text frame. When you click in text with the Select Object tool active, you select the text line or text frame as an object rather than put an insertion point in the text.

note: After you draw an object, FrameMaker reverts to the Smart Select tool. If you want to keep the Select Object tool active after drawing an object, Shift-click the tool on the Tools pod.

Select an object or multiple objects

1)Do one of the following:

•To select one object, click it. If the object is transparent—that is, if it has a fill pattern of None—click its border. When you click overlapping objects, FrameMaker selects the object in the foreground.

•To select several objects, point outside the objects and drag diagonally to draw a selection border around them. All objects you want to select must be completely within the selection border.

Drag to select several objects.

note: If you move the object rather than draw a selection border (because the pointer was over an object), immediately choose Edit > Undo. Then press Shift-drag to draw a selection border.

•To select all objects in a graphic frame, select the frame or any object in the frame, and then choose Edit > Select All in Frame.

•To select all objects on a page, click outside any objects or text on the page and choose Edit > Select All on Page.

Deselect objects

1)Do one of the following:

•To deselect an object, click outside the object.

•To deselect one of several selected objects, Shift-click the object (not a handle). You can also Control-click the object.

•To deselect all selected objects, drag-and-drop the page away from any objects.

•To deselect several objects in the same area, point outside all the objects and Shift-drag diagonally to draw a selection border around the objects. When you release the mouse button, all objects that are completely within the selection border are deselected. If any objects within the selection border were not selected when you began dragging, they are selected.

6.1.4.Apply and change drawing properties

An object’s drawing properties include the fill pattern, pen pattern, line width, line ends, color, and whether the line is solid or dashed. You change drawing properties from pop-up menus on the Tools pod.

Pop-up menus on the Tools pod

You can change drawing properties before you draw an object, or you can select objects that you’ve already drawn and then change their properties. After you change a property, it becomes the current property—that is, it will be applied to any object you draw. For example, if you choose a line width of 1 point, this is applied to all newly drawn objects until you choose another line width or exit FrameMaker.

You can make objects look alike by applying one object’s properties to another object.

You can also change the colors in the Color pop-up menu and customize the following choices that appear on the Tools pod:

•The values assigned to the line widths that appear in the Line Widths pop-up menu.

•The Line end style, which determines the appearance of any line ends that don’t have an arrowhead.

•The pattern that FrameMaker uses when you choose the dashed line style from the Line Styles pop-up menu. (The pattern that appears in the pop-up menu doesn’t change, but FrameMaker uses the new pattern.)

The new line width settings remain until you change them. The other new settings remain until you change them or exit FrameMaker.

None of the changes described here are applied automatically to existing objects. However, you can apply the new settings to both new and existing objects.

note: Dashed line pattern and polylines may appear solid on screen and in print if the lines are especially thick and contain acute angles or have round or projecting caps. To make the lines print correctly, change the Line Ends Options setting to Butt, use a smaller line width, or redraw the object using separate lines.

Related links:

Change line width settings

Work with color in objects

Fonts

Apply a fill pattern or pen pattern to a selected object

1)Choose the pattern from the Fill Pattern pop-up menu [image] or Pen Pattern pop-up menu [image]. You can fill any objects except lines, text lines, and equations.

A. Pen pattern B. Fill pattern

The eight gray fill and pen patterns have the following percentages: 100, 90, 70, 50, 30, 10, 3, and 0 (no ink, typically white).

tip: To make an object transparent (so objects in back of it show through), choose a fill pattern of None. If you don’t want the object to have a border, choose a pen pattern of None. To see the border of an object that uses both a pen and a fill pattern of None, choose View > Borders.

Choose a line width for a line or an object’s border

1)Choose a width from the Line Widths pop-up menu [image]. You can change the line width of any object except text lines.

Change the ends of an arc, a line, a polyline, or a freehand curve

1)Choose the line end from the Set Line End Style pop-up menu [image]. You can use no arrowhead or place an arrowhead at the beginning, at the end, or at both ends.

Make a line or object’s borders solid or dashed

1)Choose a solid or dashed style from the Dashed Line Pattern pop-up menu [image].

Inspect an object’s drawing properties or apply them to other objects

1)Select the object that has the properties you want to inspect or copy.

2)Hold down Shift and choose Graphics > Pick Up Object Properties. The properties of the selected object become the current properties on the Tools pod. Any object you draw picks up those properties.

3)To apply the properties to existing objects, select the objects you want to change. In the Tools pod, click the current drawing properties you want to apply to the selected objects.

Current drawing properties

Change line width settings

1)Choose Set from the Line Width pop-up menu on the Tools pod.

2)Do one of the following:

•To change the line widths, enter the new line widths and click Set. You can enter the values in any order. When you click Set, the line widths are sorted from smallest to largest. The widths that appear in the pop-up menu don’t change.

•To revert to the line widths you had when you started FrameMaker, click Get Defaults.

Change the line end style

1)Choose Set from the Set Line End Style pop-up menu on the Tools pod.

2)Select a line end style and click Set.

A. Butt B. Round C. Projecting

Change the dashed line style

1)Choose Set from the Set Dashed Line Pattern pop-up menu on the Tools pod.

2)Click one of the patterns and click Set.

You can also create custom dashed line pattern.

tip: To create a dotted line that uses round dots, use a dashed line pattern of short dashes with a round line cap.

Change the arrow style

You can choose from among several preset arrow styles. Arrow styles are determined by their base angle, tip angle, and length.

A. Base angle B. Tip angle C. Length

None of the changes described here are applied automatically to existing objects. However, you can apply the new arrow style to both new and existing objects.

1)Choose Set from the Set Line End Style pop-up menu on the Tools pod.

2)Do one of the following:

•Click a preset arrow style and click Set.

•Fill in a custom base angle, tip angle, length, and style, and then click Set. You can use the following values for the custom options.

Option | Values
Base Angle | Between 10 and 175 degrees (and at least 5 degrees greater than the tip angle)
Tip Angle | Between 5 and 85 degrees
Length | Between 0 and 255 points
Style | Filled Hollow Stick

FrameMaker ignores the Base Angle option when you use Stick. The length you specify applies to objects that have a line width of 1 point. When you use a thicker line width, the arrowhead is longer.

The following table contains sample custom arrows and their settings.

Arrow | Base Angle | Tip Angle | Length
 | 70 degrees | 30 degrees | 10 points
 | 80 degrees | 30 degrees | 10 points
 | 70 degrees | 15 degrees | 10 points
 | 70 degrees | 30 degrees | 5 points
 | 120 degrees | 30 degrees | 5 points

6.1.5.Add text to graphics

You can add single lines of text or text frames to a graphic.

A. Text line B. Text frame

A text line is a single line of text that FrameMaker treats independently from other text. Text lines grow or shrink in length as you edit them, but they don’t wrap to the next line. You typically use text lines for single-line callouts and for text you want to resize in the same way that you resize other objects.

You can assign character formats and a spell-checking language to text lines. However, text lines can’t have paragraph formats, and they can’t contain anchored frames, markers, variables, cross-references, or conditional text.

Unlike a text line, a text frame can contain more than one line of text. You use text frames for multiline callouts, paragraphs of text, and any other text you want FrameMaker to wrap automatically from line to line. When graphics overlap text in a text frame, you can run the text around the graphics.

tip: When you resize a text frame created with the Text Frame tool [image], the font size remains the same. However, when you resize a text line created with the Text Line tool [image], the font height and width change proportionally.

Related links:

Resize and reshape objects

Font changes using the designers

Indentation, alignment, and spacing

Add a text line to a graphic

1)Click the Text Line tool [image]. The pointer changes to a crossed I-beam [image] when you move it to the document window. The small horizontal line across the pointer indicates the baseline position of the text.

2)Click in the document to place an insertion point, and then type the text. FrameMaker uses the last character format you typed or selected in the document.

The text line is left aligned on its alignment point (where you clicked).

1)To create several text lines, press Return at the end of one text line to create another. You can then select the text lines independently and move them as needed.

tip: To change the character format of text in a text line, use the font commands on the Format menu or the Character Designer. To change the font of several text lines at the same time, select the text lines as objects and change their format.

The text direction (LTR or RTL) of a text line inherits the direction of the document. However, you can choose to change the text direction of the text line within the document. To change the direction of the text in a text line:

1)Do one of the following:

Graphics > Object Properties > Text Line.

Graphics > Object Style Designer > Text Line.

2)In the Direction drop-down list, change the direction of the text line.

Add a text frame

1)Click the Text Frame tool [image].

2)Drag diagonally where you want to add the text frame.

3)Specify the number of columns and the gap between them, and then click Set.

4)Double-click in the text frame to place an insertion point in it, and then type the text.

Fix text frames that overflow

When the text you type overflows the text frame, the insertion point moves below the bottom of the frame and the new text doesn’t appear. The bottom border of the text frame appears as a solid line when borders are visible.

Overflowing text frame

You can enlarge the frame so the text fits, or you can connect the flow of the text frame to another frame (see Disconnect text frames). You can also decrease the font size of the text.

1)Control-click the text frame to select it.

2)Drag a handle to enlarge the frame.

Create reverse text in a text frame

You can create reverse text (text that appears in a light color on a dark background) for special emphasis. The reverse text can be in a text frame or a text line.

1)Set the desired fill pattern and color of the text frame.

2)Set the text frame’s pen pattern to None.

3)Change the color of the text with the Character Designer or the Paragraph Designer.

4)If necessary, change the indentation and alignment of the text with the Paragraph Designer.

Create a reverse text line over an object

1)Draw an object to act as the background for the text. Generally, it’s best to use a nearly black fill pattern for the object.

2)Outside the background object, add a text line and type its text.

3)Control-click the text line to select it.

4)Move the text line so part of it disappears into the background object.

Draw object and text line and then move line part of the way.

5)Choose a light color from the Color pop-up menu on the Tools pod. The text appears partially cut out of the background object.

If the text doesn’t appear in front of the object, choose Graphics > Bring to Front. If you still have trouble, make sure that the current color view of the document shows the text line’s color as Cutout.

6)Move the text line so all its letters appear cut out of the background object.

Choose a light color and then move the text line all the way.

Add a title to an illustration

You can include a text line or text frame in a graphic as a title. You can also use a paragraph above or below an anchored frame as a title for the frame’s graphic. However, you may find it easier to use table commands instead.

Single-cell table with table title below

You can also use multicell tables to achieve various effects with graphics and text. For example, the next example is a two-cell table. The first cell contains several autonumbered paragraphs; the second cell contains the figure.

One-row table containing two cells

Use the guidelines provided here for setting up the paragraph formats, table formats, and anchored frames you’ll need if you want to use single-cell tables and their titles for illustrations and their captions.

1)Use the Table > Insert Table command to create a single-cell table wide enough for your figure.

2)Use the Table > Table Designer command to specify the location of the title (see Add or remove a table title).

3)Type the text of the title.

4)Format the table title.

5)Store the format for the table title in the Paragraph Catalog (see Create a paragraph format).

6)Change the cell’s paragraph format to turn off fixed line spacing so that the size of an anchored frame can affect the paragraph’s line spacing.

7)Create an anchored frame in the cell, anchored at the insertion point (see Create anchored frames). If necessary, the cell grows vertically to accommodate the frame’s height.

8)Put the graphic in the anchored frame and resize the frame.

9)If the frame is wider than the cell, change the column’s width. You can select the table cell and drag a handle to change the width, or you can use the Table > Resize Columns command (see Resize rows and columns).

10)Store the table format in the Table Catalog (see Create, edit, and delete table formats).

11)The next time you add a table for a figure and its title, either use the Table > Insert Table command or copy and paste the table.

Run text around graphics

You can make the text in a text frame run around a graphic that overlaps the text. (However, text will not run around a text line or an equation.) When a graphic is placed directly on a page or in an unanchored frame, the text can follow the contours of the graphic, or it can align vertically at the edge of an imaginary box bounding the graphic.

Text run around contour and run around bounding box

You can also run text around anchored frames—for example, to set a small graphic or a drop cap at the beginning of a paragraph.

When text in a text frame runs around a graphic, FrameMaker does not feather text in that frame.

1)Draw or place the graphic on a page. When you place the graphic on a master page, it appears as a background graphic on all associated body pages. You can then make the text on all the associated body pages run around the graphic.

Make sure that you click in the page margin before importing or pasting the graphic. Otherwise, the document contains an insertion point, which will cause the graphic to be placed in an anchored frame.

2)Select the graphic. If the graphic is made up of several objects, select all the objects.

3)If you want to run text around the contour of an imported graphic, make sure the graphic is behind the text frame. To do so, select the graphic and choose Graphics > Send to Back.

4)If the graphic’s runaround properties aren’t set as you want them, choose Graphics > Runaround Properties, and do one of the following:

•To make text run around the graphic, click a runaround style and enter a gap.

•To prevent text from running around the graphic, click Don’t Run Around.

note: If the Style setting is As Is when you display the Runaround Properties dialog box, you selected several graphics that have different runaround properties.

5)Click Set.

tip: If the settings don’t produce exactly the results you want, add an object (with a pen and fill pattern of None) near the graphic to create the desired contour for the text to run around.

Related links:

Anchored frames run into paragraph text

Feather text to the bottom of text frames

6.1.6.Copy and arrange objects

Cut, copy, or paste an object by using the clipboard

1)Select the object and choose Edit > Cut, or Edit > Copy.

2)Do one of the following:

•To paste the object on a page, click in the margin of the page.

•To paste the object in an existing graphic frame, click the frame’s border to select the frame.

•To paste the object in text, click in the text where you want to paste the object.

3)Choose Edit > Paste. When you paste the object in a graphic frame or on a page that is the same size as the one from which you copied or cut the object, FrameMaker puts the object in the same relative location. Otherwise, FrameMaker centers the object.

When you paste an object into text, FrameMaker creates an anchored frame to hold the object, and centers the object in the frame. An anchor symbol [image] appears at the insertion point when text symbols are visible.

Copy an object by dragging

1)Select the object.

2)Point on the object (not on a handle), and Alt-drag the duplicate of the object, or right-drag the object and then choose Copy Here from the menu. To constrain the duplicate object’s movement to either a horizontal or vertical direction, hold down Shift while you drag.

Delete an object

1)Select the object and press Delete.

Move an object

1)Select the object.

2)Do one of the following:

•Drag in the direction you want to move the object.

•To move the object horizontally or vertically, Shift-drag.

•To move an object into a graphic frame, drag it until the pointer is in the frame.

•To move an object out of a graphic frame, drag it until the pointer is outside the frame. As you drag, the frame’s border may temporarily crop the object.

When you drag the object, the status bar shows the distance from the upper-left corner of the object to the upper-left corner of the page (or frame, if the object is in a graphic frame). When rulers are visible, lines in the rulers show you the object’s position. If the snap grid is on, objects snap to the invisible grid as you drag them.

tip: If your screen does not redraw properly when moving an object, press Ctrl+l (lowercase L) to redraw the screen.

•To move an object in small increments, hold down Alt and press an arrow key to move 1 point, or hold down Alt+Shift and press an arrow key to move 6 points. However, do not use an arrow key on the numeric keypad.

The preceding distances assume a 100% zoom setting. The actual distance moved depends on the current zoom setting, so you can do finer work when you’re zoomed in closer. For example, at 200% zoom, the distance is halved. At 50% zoom, the distance is doubled.

•To specify the exact position of an object, select the object, choose Graphics > Object Properties, do one of the following and apply the changes:

–For all objects except text lines and equations, specify the offset from the top and left edges of the page or graphic frame in the Offset From area.

A. Offset from left B.Offset from top

–For text lines and equations, specify the offset in the Alignment Point Offset area.

Left-aligned text line

A. Offset from left B. Offset from top

Change the stacking order of objects

When you draw or paste an object, FrameMaker places it in front of all other objects on the page or in a graphic frame. You can control how objects overlap by putting them in front of or in back of other objects.

Circle in front and circle in back

1)Select one of the objects and do one of the following:

•To put an object in front of other objects, choose Graphics > Bring to Front.

•To put an object in back of other objects, choose Graphics > Send to Back.

tip: To create a drop shadow, stack two objects and offset them slightly.

Use gravity and grids to align objects

You can align objects (except graphic frames) with one another along either a horizontal line (by specifying top/bottom alignment) or a vertical line (by specifying left/right alignment.

1)Select the objects and choose Graphics > Align. To align a single object in a graphic frame or on a page—for example, along the left side of a graphic frame—select only the object you want to align.

2)Choose the alignment you want and click Align. To align objects in only one direction, set the other direction to As Is.

FrameMaker aligns the objects—along their paths—with the last object you select. For example, “Top Align” aligns selected objects with the last selected object and is not necessarily the object that is currently highest in the anchored frame.

If you selected objects by dragging a selection border, FrameMaker aligns the objects with the object in the foreground.

Objects have gravity along their paths and at their corners. Rectangles and ovals also have gravity at their centers. Some points on an object exert a greater pull than others. For example, the corners of a triangle attract the pointer more than its sides do.

With Gravity on, an object attracts the pointer as you draw, resize, or reshape a nearby object. Gravity has no effect when you move objects.

Gravity extends the same distance on the screen regardless of the zoom setting. When you zoom in, objects and the space between them appear larger, so you can drag a handle or draw closer to an object without the object attracting the pointer.

Use gravity to align objects

It’s easier to make objects touch when you use the Gravity feature. If Gravity and Snap are both selected in the Graphics menu, gravity takes precedence.

1)If Gravity isn’t already on, choose Graphics > Gravity.

2)Drag a handle of an object, or draw an object, close to the object to which you want to connect. As you drag, the handle jumps so the two objects touch each other.

Gravity ensures perfect alignment.

Align objects on a grid

The visible grid appears as horizontal and vertical lines onscreen, but not on the printed page. A graphic frame contains its own visible grid, which begins at the upper-left corner of the frame.

The invisible snap grid attracts objects to it. As you draw, rotate, resize, or drag objects (and when you drag indent and tab stop symbols on the ruler), they snap to the invisible grid.

note: If Snap and Gravity are both selected in the Graphics menu, gravity takes precedence.

•To show or hide the visible grid, choose View > Grid Lines. If the visible grid doesn’t appear in a text frame, change the frame’s fill pattern to None.

•To turn the snap grid on or off, choose Graphics > Snap.

•To change the grid spacing, choose View > Options, and do any of the following, and then click Set:

–To set the space between lines in the visible grid, choose the spacing from the Grid Lines pop-up menu.

–To set the interval for the snap grid, enter the interval in the Grid Spacing text box.

–To set the snap interval for rotating objects, enter the number of degrees in the Snap Rotate text box.

tip: If you intend to use the grids together, make the visible grid spacing a multiple of the snap grid interval. For example, if the snap grid spacing is 0.125 inch, you could make the visible grid spacing 0.125 inch, 0.25 inch, or 0.5 inch.

Align text lines

When you create a text line, it is left aligned on its alignment point (where you clicked). You can change the alignment to centered or right aligned. FrameMaker then maintains the text line’s alignment when you insert text.

1)Select the text line and choose Graphics > Object Properties.

2)Choose a new alignment from the Alignment pop-up menu and click Align.

Distribute objects

You can move objects—distribute them—so they have an equal amount of space between them. You can distribute objects horizontally and vertically.

Objects before and after distributing (with zero edge gap)

Equidistant centers and equidistant edges

If you specify the exact space between the objects (the edge gap), FrameMaker moves all objects except the one at the left or top. If you specify that the objects’ centers or edges should be equidistant, FrameMaker leaves the left and right, or top and bottom, objects where they are and moves the others.

1)Select the objects and choose Graphics > Distribute.

2)Choose the spacing you want and click Distribute. To distribute objects in only one direction, set the other direction to As Is.

When you specify a large edge gap, objects may move off the page and disappear from sight. If they do, immediately choose Edit > Undo.

Make lines intersect cleanly

Lines intersect cleanly when they are the same thickness, meet at right angles, and use a projecting cap; lines don’t intersect cleanly when they use a projecting cap but don’t intersect at right angles. Notice the different intersections created by using the three line cap styles.

A. Projecting B. Butt C. Round

1)Do one of the following:

•If the lines don’t meet at a right angle, try a round cap for both lines.

•If the lines aren’t the same thickness, try a butt cap for the thinner line when the lines meet at their endpoints and for the stem of a T when they meet in a T.

For information on changing the line cap style, see Change the line end style.

Related links:

Apply and change drawing properties

Group and ungroup objects

When several objects (except graphic frames) are part of the same graphic, you can group the objects. You can then edit and arrange them as a single object.

You can combine a group of objects with other objects to form an even larger group. Because FrameMaker group and ungroup objects hierarchically, the first set of grouped objects is maintained as a set when you group other objects with it.

•To group objects, select the objects and choose Graphics > Group. One set of handles appears around the group.

Objects selected and then grouped

•To ungroup objects, select the group and choose Graphics > Ungroup. Handles appear on each object in the group. When a group has been grouped with other objects, you must choose Ungroup more than once to ungroup all objects.

6.1.7.Join lines and curves

You can create complex outlines by joining individual lines, polylines, arcs, and smoothed polylines that were created with FrameMaker drawing tools. Joining creates a single continuous curve. You can then change the new curve’s properties, such as its line width, pen and fill patterns, and color.

Objects drawn, and then positioned and selected

Objects joined, and then fill pattern added

1)Position the objects so that their endpoints touch. The ends of the lines or curves must be within 1 point of each other and the objects cannot be grouped. If necessary, choose Graphics > Gravity and zoom in.

2)Select the objects and choose Graphics > Join. The new curve takes on the properties of the last object selected before joining—for example, the object’s line width, pen pattern, or color. (In the preceding illustration, the last object selected before joining was the arc.)

note: If you join lines or curves by mistake, immediately choose Edit > Undo. Joining creates a single continuous object that cannot be “unjoined” at a later time in the way that grouped objects can be ungrouped.

6.1.8.Flip and rotate objects

You can create a mirror image of an object by flipping it up and down or left and right.

You can rotate all objects (except equations and graphic frames) any number of degrees. You can rotate graphic frames and equations in 90-degree increments.

All objects (except equations and text lines) rotate around their centers.

Equations and text lines rotate around their alignment points.

You may find it easier to edit objects—for example, to align and distribute them—in their unrotated position. After you edit an object, you can rerotate the object to restore it to its rotated position.

note: If you rotate an imported PICT image or a page containing an imported PICT image, the image may print poorly. To improve printing, convert the image to TIFF or EPS and reimport the image.

Related links:

Distribute objects

Flip an object

1)Select the object and choose Graphics > Flip Left/Right or Graphics > Flip Up/Down. If the object contains text, the text isn’t flipped. For example, the text in a flipped text line doesn’t appear flipped, but the alignment point of the text line is flipped.

A. Original B. Flipped up/down C. Flipped left/right

Create a symmetrical object

1)Draw one half of the object and copy it.

Draw and then make a copy.

2)Flip the copy and move it until it touches the original.

Flip and then move.

Rather than move the duplicate to the original, you can use the Distribute command with an edge gap of zero to ensure exact alignment of the objects.

Rotate objects by dragging

1)Select the object.

2)Hold down Alt and drag a handle.

When the snap grid is on, the object snaps to multiples of the angle specified in the View Options dialog box. To constrain the rotation to 45-degree increments, also hold down Shift while you drag.

Rotate an object precisely

1)Select an object and do one of the following:

•To rotate from the object’s current position, choose Graphics > Rotate, specify the direction and amount of rotation, and click Rotate. If you rotate several ungrouped objects in this way, each object rotates around its center.note: This method also works for equations and graphic frames.

•To rotate the object’s by a certain degree, choose Graphics > Object Properties, enter the angle of rotation and click Set.

6.1.9.Crop or mask graphics

When you want to crop the edges of a graphic, place the graphic in an anchored or unanchored graphic frame. An anchored graphic frame moves with the surrounding text. An unanchored graphic frame stays wherever you place it on a page, even when the text around it moves as the result of editing.

Uncropped and cropped graphics in graphic frames

When you want to mask an area of a graphic, particularly if the part you want to mask is in the middle of a graphic, you can cover the area with nonbordered objects.

Related links:

Create anchored frames

Crop the edges of a graphic frame

1)Do one of the following to create a graphic frame:

•To create an unanchored frame, click the Graphic Frame tool [image] on the Tools pod and then drag to draw the frame. To draw a square frame, Shift-drag.

•To create an anchored frame, use Special > Anchored Frame.

2)Do one of the following to put the graphic in the frame:

•Drag the graphic into the frame.

•Select the graphic, choose Edit > Copy or Edit > Cut, select the frame border, and then choose Edit > Paste.

3)Resize the frame around the graphic.

Mask an area within a graphic frame

1)Put graphic objects (such as rectangles and polygons) with a white fill and pen pattern in front of the parts you want to mask.

6.1.10.Measure object size and position

As you arrange and resize objects in an illustration, you may want to know an object’s dimensions and exact position.

The size of an object is the size of the rectangle that encloses its path. The position is the distance from the top and left edges of the page or graphic frame.

Object size and object position

Measure an object

1)Do one of the following:

•Select the object and choose Graphics > Object Properties. The width and height of the object appear in the Size area of the Object Properties dialog box.

•With Snap off, select the object, point on one of its handles, and hold down the mouse button. The dimensions appear in the status bar. If you move the mouse by mistake and resize the object, immediately choose Edit > Undo.

View the position of an object

1)Select the object.

2)Choose Graphics > Object Properties. For all objects except equations and text lines, the distance from the upper left corner of the page or graphic frame to the object’s topmost and left-most point appears in the Offset From area. For equations and text lines, the distance from the upper left corner of the page or graphic frame to the alignment point at the baseline of the text line or equation appears in the Alignment Point Offset From area.

View the position of an object as you move it

1)Look in the status bar. The distance between the object and the upper-left corner of the page or graphic frame appears in the status bar. When rulers are visible, guidelines in the rulers also show the position of the object.

Measure any distance on the page

1)Point where you want to start measuring.

2)Shift+Control-drag to force a selection border to appear, but don’t release the mouse button.

3)When the selection border encompasses the area you want to measure, look in the status bar for the dimensions.

Dimensions appear in the status bar.

In the example, the important dimension is the height (35 points between the bases of the triangles).

6.1.11.Resize and reshape objects

As you refine a graphic, you can change the size and shape of objects. Reshaping possibilities are unlimited. For example, you can add a corner to a polyline or polygon, move a corner to change its shape, and smooth a polyline to create a freehand curve.

Original polygon and then with corner added

Corner moved and then smoothed

You can resize all objects, including text lines. When you resize a text frame created with the Text Frame tool [image], the text remains the same size. When you resize a text line created with the Text Line tool [image], the font height and width change proportionally.

Before and after resizing a text line (not a text frame)

You can change the shape of lines, polylines, polygons, curves, and arcs as follows:

•Reshape a line, polyline, or polygon by moving its corners one at a time. You can also add and remove corners.

•Reshape a curve by changing the position of its reshape handles (which define the curve and control its location) and its control points (which adjust the curvature). You can also add and remove reshape handles to change the number of points that define the curve.

A. Reshape handle B. Control point

•You reshape an arc by dragging its endpoints or by changing the percentage of a circle that the arc represents.

Resize an object by dragging

1)Select the object and do one of the following:

•To change either the width or the height, drag a side handle.

•To change both the width and the height, drag a corner handle.

•To increase or decrease the dimensions proportionally, Shift-drag a corner handle.

The object’s dimensions appear in the status bar as you drag.

Resize an object precisely

1)Select the object and choose Graphics > Scale.

2)Do one of the following:

•To increase or decrease the height and width proportionally, enter a scale factor and click Scale. The scale factor is always relative to the object’s current size (100% means no change).

•To specify the exact dimensions you want, enter the dimensions and click Scale. The dimensions shown when you display the dialog box are the object’s current (unrotated) dimensions.

Resize imported graphics

You can resize imported graphics back to the original size. You can also change the size of imported bitmap graphics.

Resize your imported graphics back to 100%

1)Select the object and choose Graphics > Object Properties.

2)For Scaling Percent, type100%, and click Set.

Change the size of bitmap graphics

Changing the dpi value or the scaling factor changes the size of a bitmap graphic.

1)Do one of the following:

•Select the bitmap, choose Graphics > Object Properties, and click Set dpi.

•Select the bitmap, choose Graphics > Scale, and specify a scale factor.

•Shift-drag a corner handle of the bitmap. Holding down Shift while you drag maintains the proportions of the graphic.

note: If the graphic is a TIFF file (or other format that uses dpi settings), scaling must be done through the Object Properties to ensure that the dpi value is not lost when scaled using the Scale dialog.

Move a corner of a polyline or polygon

1)Select the object and choose Graphics > Reshape. Reshape handles appear on the object, replacing the selection handles.

2)Drag a handle. To move the handle horizontally or vertically, Shift-drag.

Add or remove a corner or reshape handle

1)Select the line, polyline, polygon, or curve, and choose Graphics > Reshape.

2)Control-click where you want to add a reshape handle (or corner), or Control-click the handle you want to remove.

Reshape a curve

1)Select the curve and choose Graphics > Reshape. Reshape handles appear at the locations that define the curve. Control points also appear around one of the handles.

2)If the control points aren’t the ones you want, click the handle where you want to change the curve. Control points appear around the handle that you click—the two control points that correspond to the handle and the next closest one on each side of the handle.

3)Drag a handle to change the position of the curve at the handle, or drag or rotate a control point to change the curvature. When you begin to drag, a lever appears that touches the curve at the handle. You can achieve different effects by dragging along the lever or by rotating it.

Choose Reshape and drag handle.

Drag a control point.

As you drag a reshape handle, the control points move as well, so the result is a smooth curve. As you drag a control point, the curvature changes on both sides of the handle, so the result is also a smooth curve.

Crimp a curve

1)Select the curve and choose Graphics > Reshape.

2)If the control points aren’t the ones you want, click the reshape handle where you want to change the curve.

3)Drag a handle or control point with the right mouse button.

Crimping a curve.

Reshape an arc

1)Select the arc and choose Graphics > Reshape. Reshape handles appear on the object, replacing the selection handles.

2)Drag a handle. As you drag, the start and end angle of the arc and the percentage of a circle that the arc represents appear in the status bar.

Drag to reshape an arc.

Reshape an arc precisely

1)Select the arc and choose Graphics > Object Properties.

2)Enter a new Start Angle and End Angle, and click Set.

Change the corner radius of a rounded rectangle

You can define the curvature of the corners of a rounded rectangle by specifying the radius of an imaginary circle drawn in the corner of a rectangle. The longer the radius, the more curved the corners.

Radius (r) = .125" and radius (r) = .25"

When you specify a corner radius, you also change the current drawing properties. New rounded rectangles you draw have this corner radius until you change it with the Object Properties command or until you exit FrameMaker.

1)Select a rounded rectangle and choose Graphics > Object Properties.

2)Enter the corner radius and click Set. The largest meaningful radius is one-half the length of the shortest rectangle side. For example, if the rectangle is 2 inches by 4 inches, the largest meaningful radius is 1 inch (one-half of 2 inches).

Smooth and unsmooth objects

You can smooth polylines, polygons, rectangles, and rounded rectangles. When you smooth a polyline, polygon, or rectangle, you change its angles to smooth curves. When you unsmooth a curve, you restore its angles.

Before and after smoothing

Each time you smooth a rounded rectangle, you increase the curvature of its corners (its corner radius).

1)Do one of the following:

•To smooth an object, select the object and choose Graphics > Smooth. After smoothing a polygon or polyline, reshape handles and control points appear so you can reshape the curve

•To unsmooth an object, select the object and choose Graphics > Unsmooth. If you later smooth the object, its shape is sometimes different from the original.


Colors

6.2.Colors

6.2.1.About color and color models

Before you begin

Applying color to frames and objects is a common publishing task, whether you are publishing in print or exporting to the web. FrameMaker provides color libraries to choose from colors defined by a color vendor. You define and modify colors by adjusting the color model you’re using or by choosing a predefined ink from a color library based on the color model.

Before applying color to your documents, prepare in these ways:

Identify the output format of your document

The final output of your color document can greatly affect color decisions:

•For online output, use the RGB or HLS color models. Your guide to correct color is how your documents look on your monitor.

•For desktop printing, use the CMYK model to define your colors and test them on the printer you’ll be using.

•For commercial printing, use colors from a library supported by your commercial printer. Don’t rely on the onscreen versions of library colors; use a swatch book.

Learn the limits of the medium

Become familiar with the range of colors available on your monitor or printer. For example, a system set to display 256 colors cannot display tints below 16% accurately in FrameMaker.

By default, FrameMaker publishes CMYK values when printing or saving as Adobe PDF. If you opt to use RGB values while saving as a PDF, FrameMaker converts color values to RGB and creates separations in equivalent RGB values. EPS graphics, however, are separated according to the color values specified within the EPS graphic itself.

FrameMaker retains the color values specified within Encapsulated PostScript (EPS) graphic objects, including CMYK colors, RGB colors, grayscale, spot colors, device-independent colors (such as CIE L*a*b color). The graphical information within an EPS file is passed directly into the output PostScript stream, bypassing any Windows GDI processing. EPS graphic objects can be created from text, vector graphics, or images of any type supported by Adobe PostScript. This capability allows EPS graphics to be saved or exported from many Adobe applications, as well as other third-party application programs.

Color models

When you use a color model to define colors, you manually adjust its components, such as the amount of pure red or the amount of saturation.

You can choose from three color models: CMYK, RGB, and HLS.

CMYK

Use the CMYK model to create color separations for four-color process printing. Colors are created by combining cyan, magenta, yellow, and black (CMYK) inks. In color separation, each color component is printed on a separate plate, in a different concentration, depending on the desired color.

RGB

Use the RGB model to create colors that are viewed on a monitor (for example, for online documentation). Colors are created by combining red, green, and blue (RGB) light.

HLS

Use the HLS model if you are familiar with color wheels. This model is most like the one artists use to mix colors and is often used in software color pickers. Colors are created by adjusting hue, lightness, and saturation (HLS). Hue controls the amount of red, green, yellow, blue, and so on. Lightness controls the lightness or darkness of a color. Saturation controls the amount of gray in the color.

6.2.2.Manage color libraries

When you use a color matching system—a color library—you choose from colors defined by a color vendor. Commercial printers can precisely match the formula represented in a vendor swatch book.

Every color from a library is defined as either a spot color or a process color. A spot color is printed on a printing press with premixed inks by using a single printing plate. A process color is printed on a press by overlapping dots of cyan, magenta, yellow, and black (CMYK) on separate plates.

Before choosing a color from a color library, ask your commercial printer for a list of supported libraries. For best results, choose colors from a swatch book, rather than relying on the onscreen representation of the color.

FrameMaker includes these libraries:

Crayon

Adobe developed the Crayon library to provide access to common RGB colors using everyday names in alphabetical order. Do not use Crayon colors as spot colors.

DIC

The DIC Color Guide provides spot colors. It is used mostly in Japan.

FOCOLTONE

The FOCOLTONE®Color System provides 860 process (CMYK) colors.

Grays

The Grays library, developed by Adobe, provides both process and spot shades of gray in 1% increments.

MUNSELL

The Munsell System provides colors defined on the RGB model.

Online

The Online color library provides 216 “web-safe” colors that have a consistent appearance on all platforms when viewed with a web browser.

PANTONE

Most of the libraries in the PANTONE®MATCHING SYSTEM are for spot colors. Only the two PANTONE process libraries are for selecting process colors. Separate PANTONE libraries are available for colors that are printed on coated and uncoated paper. The PANTONE ProSim Euro library uses color definitions that match the printing systems prevalent in Europe.

TOYO

The TOYO Color Finder provides over 1000 colors based on the most common printing inks in Japan.

TRUMATCH

The TRUMATCH®4-Color Selector provides over 2000 process colors that cover the CMYK visible color spectrum in even steps.

View color definitions in a color library

1)Choose View > Color > Definitions, choose a library from the Color Libraries pop-up menu, and then click About.

Add a color library for use in FrameMaker

You can add any library file formatted in the ASCII Color Format (.acf), version 2.1 or earlier, or in the Binary Color Format (.bcf), version 2.0. You can’t use FrameMaker to save a .bcf library file.

1)Place the library file into the Fminit\Color folder and restart FrameMaker.

6.2.3.Work with color in objects

The method you use to apply a color or a lightened version of a color (a tint) depends on the current selection. Any entry in a Color pop-up menu can be applied to FrameMaker text or objects. FrameMaker supplies a set of 16 standard colors that you can add to.

You can apply two types of tints:

•Color-level tints are tints you define and name by using View > Color > Definitions.

•Object-level tints are tints you apply to an object that lighten the original color of the object by a specified percentage.

note: You can’t colorize TIFF files.

Related links:

Font changes using the designers

Apply a color or tint to text or an object using formatting features

1)Select the text or object to color or tint.

2)Apply color to paragraphs, selected text, graphics, text lines, and equations using the appropriate formatting feature. Features include paragraph or character catalog or designer, or the Tint and Color pop-up menus on the Tools pod. The following table shows what features to use for tasks that vary:

To apply color or tint to | Use
A text frame | The Fill pop-up menu on the Tools pod to change the frame fill pattern from None. Then use the Color pop-up menu or the Tint pop-up menu to assign a color
Cells in a table | The Color pop-up menu in the Custom Ruling and Shading dialog box, or in the Table Designer
Change bars | The Color pop-up menu in the Change Bar Properties dialog box
Conditional text | The Color pop-up menu and the New Color button in the Edit Condition Tag dialog box
All drawn objects and text | The Color pop-up menu in the Tools pod (hold down Shift+Alt and choose a color).

Apply a tint to an object using a fill pattern

1)Select the object you want to tint.

2)Choose one of the first eight fill patterns from the Fill pop-up menu on the Tools pod. The fill patterns apply the following percentages to the current color of the object.

Fill Pattern | Tint Percentage
 | 100%
 | 90%
 | 70%
 | 50%
 | 30%
 | 10%
 | 3%
 | 0% (color of paper)

Define and modify colors and tints

You create or modify colors and tints by adjusting the color components in the color model or by choosing a predefined ink from a color library. New colors and tints appear in all Color pop-up menus and scroll lists.

You can also use the New Color button in the Add Condition Tag and Edit Condition Tag dialog boxes to select unique colors for condition tags. Unique colors let you distinguish one tag from another.

tip: You can’t change the 16 standard colors, except for their Print As and overprint properties. However, you can define your own colors using lowercase versions of these names (black, blue, and so on). The Crayon library has its own versions of these colors, which you can use or redefine under another name.

All define procedures require the appropriate document window or book window to be active and View > Color > Definitions, selected.

1)Do one of the following:

•To define a new color, enter a new name in the Name box.

•To modify an existing color (or base color), choose its name from the pop-up menu to the right of the Name box. You can also type its name until the color definition appears.

2)Specify how to print the color by choosing one of these options from the Print As pop-up menu:

Tint

A tint is always displayed and printed in the same manner and on the same plate as its base color. The base color also determines the color components.

Spot

Defines a spot color.

Process

Defines a color printed with CMYK inks.

Don’t Print

Defines a color that is not printed.

3)To change the color model, choose from the Model pop-up menu. (Base color determines the color model of the tint.)

4)Adjust the color components by dragging the sliders or entering values. If you’re defining a tint, choose a color from the Base Color pop-up menu and set the percentage. To reset any changes you’ve made, click the Current color box.

note: Perhaps your monitor cannot accurately display the color or tint that you define. For example, a tint value of less than 10% of the base color probably does not display accurately onscreen, or on some printers.

5)To make this color print on top of other colors when printing separations, choose Overprint from the Overprint pop-up menu.

6)To create a color, click Add (or click the New color box); to modify the current color, click Change.

7)Define or modify additional colors as needed, and then click Done.

Define a color from a color library

1)Choose a library from the Color Libraries pop-up menu.

2)Choose a color from the library of predefined colors. If you know the name, you can quickly scroll to it by starting to type its name.

3)Click Done. The color you choose appears as the Ink Name in the Color Definitions dialog box.

note: Colors from color libraries often have a preferred color model and type. When you choose a color, the color model or type sometimes changes automatically. Ordinarily, do not change these settings or the color definitions of a library color. If you do, the Ink Name disappears and the color no longer matches the formula defined by the vendor. To restore the original definition, choose the color again from the library and click Change.

4)To make this color print on top of other colors when printing separations, choose Overprint from the Overprint pop-up menu and click Add.

5)Define additional colors as needed, and then click Done.

tip: If you want to use the operating system color picker to define a color, choose Common Color Picker. You use these color pickers just as you do in other applications.

Delete a color or tint

1)Choose a color or tint from the Name pop-up menu. (You can’t delete the basic 16 colors.)

2)Click Delete. If the color is in use, an alert message asks whether you want to change items that use this color to black. If you delete the base color of a tint, the tint becomes a percentage of black.

3)Repeat the process to delete more colors. When you’re finished, click Done.

note: Color definition names support the Unicode text encoding standard.

Assign a color to an object

1)Choose the color from the Color menu.

2)To use a tint of the color, choose a tint value from the tint menu. If the value you want doesn’t appear on the menu, choose Other from the menu, enter a tint value, and click Set.

If an object isn’t visible after you assign it a color, make sure that the color isn’t in the Invisible scroll list in the Define Color Views dialog box for the current view.

You can also assign the same color to all objects in a document.

note: To control whether an object overprints or knocks out objects beneath it, use the Overprint pop-up menu. For information, see Knock out and overprint colors.

Set up and display color views

A color view specifies which colors are visible. For example, if your document uses black and a spot color, one view could display both colors and another view could display only the spot color.

Both colors visible and only one color visible

For each view you set up, specify which colors you want to display, which to display as cutouts, and which not to display at all. Cutouts display as white when overlapping different colored objects.

1)Make the appropriate document window or book window active. If a book window is active, select the documents you want to affect.

2)Choose View > Color > Views.

3)Select a view number and move the color names to the appropriate scroll lists. Tints do not appear in this dialog box; they appear along with the color they were based on.

To move a color, select it and click an arrow, or double-click it. To move all colors, select a color and Shift-click an arrow. To reset any changes you’ve made, click Get Default.

tip: Leave View 1 unmodified, with all colors (except white) in the Normal scroll list. When you draw an object in a color that is invisible in the current view, FrameMaker automatically switches to View 1.

4)Repeat step 3 for each view you want to set up, and then click Set. The currently selected view is displayed.


Anchored frames

6.3.Anchored frames

Related links:

Display master pages

6.3.1.About anchored frames

You often want to keep an illustration with particular document text. In FrameMaker, you do this by putting the illustration in a graphic frame anchored to the text—an anchored frame. When you edit the text, the frame and its contents move along with the text automatically.

You can use an anchored frame for an illustration in a column of text—below the line that contains the anchor symbol [image], or at the top or bottom of the column. You can use an anchored frame for small graphics that appear in line with paragraph text or for art that appears between columns or in the page margin.

You can also use an anchored frame to achieve special effects such as positioning an anchored frame in the top corner of a paragraph with the paragraph text running around the graphic.

A. Graphic in the top corner of a paragraph B. Illustration in a column of text C. Margin art D. Small graphic in a line of text

If you want an illustration to stay at a specific place on the page—for example, as a logo on letterhead stationery—don’t use an anchored frame. Instead, draw, paste, or import the illustration directly onto a body or master page without placing an insertion point in the text. Then move the illustration to the desired position.

By default, an anchored frame has no pen or fill pattern, which makes it invisible on the page unless borders are visible.

6.3.2.Create anchored frames

An anchored frame is created automatically when you paste or import a graphic at an insertion point. You can keep the properties assigned to the frame, or you can change them.

When you create an anchored frame using the Special > Anchored Frame command, you specify the location of the frame and its size and position. You can also specify other properties that depend on the frame’s position. For example, when the frame is placed in the line at the insertion point, you can specify its distance from the baseline of the text. When the frame is placed in a column of text, you can specify its alignment. You can change any of the properties, including the frame’s position, at any time.

When you create an anchored frame, you can use Object Properties to set unique tags to your anchor. These tags simply create a structure for the layout of your document. You can uniquely define an element for your frame that maps to tags in PDF format.

When you tag your document, you name each document property. Using tags allows you to easily change the appearance of your document without changing the content.

Create an anchored frame automatically

1)Do one of the following:

•Paste an object into text at the insertion point by cutting or copying the object, clicking in text where you want to insert the anchor symbol, and choosing Edit > Paste.

•Import a graphic into text by clicking in text, choosing File > Import > File, and selecting the graphic file you want to import. You can also import a graphic in other ways, depending on the platform. (See Import and link methods.

The pasted or imported object appears in an anchored frame that is centered below the current line. After the frame is created, you can change its properties.

Create an anchored frame with specific options

1)Click in text where you want to place the anchor symbol and choose Special > Anchored Frame. You can create an anchored frame in a text frame or in a table cell, but not in a text line.

2)Choose the frame’s anchoring position and specify its properties. The properties that appear in the Anchored Frame dialog box depend on the anchoring position.

3)Click New Frame. An anchor symbol [image] appears at the insertion point when text symbols are visible.

6.3.3.Inline anchored frames

To position an anchored frame in line with paragraph text—for example, to hold a small graphic such as a picture of a keycap—choose the At Insertion Point anchoring position in the Anchored Frame dialog box. When you put a space on either side of the anchored frame, the frame moves along from one line to another as you edit the document, as if it were a word (rather than being attached to the preceding or following word).

You can adjust the frame’s position up or down relative to the baseline of text by dragging the frame or by specifying a value for the Distance above Baseline option in the Anchored Frame dialog box. A value of zero aligns the bottom of the frame with the baseline of the text. A positive number moves the frame up; a negative number moves it down.

Zero distance and negative distance

If the frame obscures text in the line above or below, turn off fixed line spacing to allow the line height to change with the contents of the line.

Fixed line spacing on and off

tip: To shrink an anchored frame to the dimensions of its contents and place it in the line at the anchor symbol, select the frame or an object in the frame and press Esc m p. To enlarge a frame and place it below the line that contains the anchor symbol, select the frame or an object in it and press Esc m e.

Related links:

Adjust horizontal spacing

Anchored frames in a column of text

To position an anchored frame in a column of text, choose the Below Current Line, At Top of Column, or At Bottom of Column anchoring position in the Anchored Frame dialog box.

Below current line and at top of column

An anchored frame positioned at the top or bottom of the column moves only when its anchor symbol moves to another column.

important: To place an anchored frame below a line that contains a run-in head, place the anchor symbol in the body paragraph, not in the run-in head. Otherwise, the anchored frame obscures the text below the run-in head.

When you choose the Below Current Line, At Top of Column, or At Bottom of Column anchoring position, you can set the following properties.

Horizontal alignment

Choose the frame’s horizontal alignment from the Alignment pop-up menu. You can align the frame at the left, center, or right. In a double-sided document, you can also align the anchored frame closer to or farther from the binding edge.

Farther from binding

Cropping

To prevent a wide frame from extending beyond the edge of the column, use the Cropped option.

Cropped off and on

Floating

Use the Floating option to let the frame float to the next column that can hold it if the frame and its anchor symbol won’t fit in the same column.

Floating off and on

When Floating is off, both the frame and anchor symbol move to the first column that can hold them. White space remains at the bottom of the column. When Floating is on, the anchor symbol doesn’t move, but the frame floats to the next column that can hold it. Text from the next column fills the space between the anchor symbol and the frame.

Anchored frames in multicolumn layouts

An anchored frame in a multicolumn text frame can straddle columns, and its position may be affected by straddle paragraphs.

In a straddle paragraph

When a frame is anchored in a straddle paragraph, the frame straddles columns just as the paragraph does.

Wider than a column

An uncropped anchored frame that extends into a second column of the body area straddles columns in the body area. A frame that extends into the side-head area straddles the side-head area as well.

Straddling side-head area and all columns, and straddling only columns

A cropped anchored frame straddles columns only when it’s anchored in a straddle paragraph.

At top or bottom of column

When the anchor symbol for a top-of-column anchored frame appears below a straddle paragraph, the frame appears in the column just below the straddle paragraph rather than at the top of the column.

Anchored at top of column and at bottom

A bottom-of-column anchored frame is positioned similarly when the anchor symbol appears above a straddle paragraph.

You can force the anchored frame to appear at the top or bottom of the column (above or below a straddle paragraph) by making the frame straddle the columns. To do so, turn off Cropped in the Anchored Frame dialog box and resize the anchored frame until it extends into another column.

Anchored frames outside a column of text

To position an anchored frame outside a column of text, choose the Outside Column anchoring position in the Anchored Frame dialog box. For information on positioning an anchored frame so it always appears in the page margin, even in a multicolumn document.

When you choose the Outside Column anchoring position, you can set the following properties.

Side of column

You can position the anchored frame at the left or right side of the column, or along the side that’s closer to or farther from the edge of the page.

Anchored at left and at right

For a double-sided document, you can also position the frame closer to or farther from the binding edge.

Farther from binding

Distance above baseline

You can adjust the frame’s position up and down relative to the baseline of text by dragging the frame or by specifying a value for the Distance above Baseline option in the Anchored Frame dialog box. A value of zero aligns the bottom of the frame with the baseline of the text. A positive number moves the frame up; a negative number moves it down.

Zero distance and negative distance above baseline

You can’t position the anchored frame above the top or below the bottom of the text frame. If the setting would place the anchored frame above or below the text frame, FrameMaker puts it as high or as low as possible. If you later edit the text so that the anchor symbol moves away from the top or bottom of the text frame, FrameMaker adjusts the anchored frame’s position.

Distance from column

You can adjust the frame’s position left and right relative to the edge of the column by dragging the frame or by specifying a value for the Distance from Column option in the Anchored Frame dialog box. A value of zero aligns the edge of the frame with the edge of the column. A positive number moves the frame away from the column; a negative number moves it into the column.

Zero distance and positive distance from column

The distance is always relative to the edge of the column, so the frame may appear between columns on a multicolumn page. You can change the page margins and column layout to widen the gap between columns to make room for the frame. Or, if you’re working in a structured document, see your developer to widen the gap between columns to make room for the frame.

Related links:

Change page margins and number of columns

Change margins and column layout on specific pages

Anchored frames in the page margins

To position an anchored frame so it always appears in the margin (even in a multicolumn layout), choose the Outside Text Frame anchoring position in the Anchored Frame dialog box. You can then specify the options described in the previous section. However, the distances you specify are from the edge of the text frame, which may differ from the edge of the text column on multicolumn pages.

Closer to page edge and farther from page edge

In a single-column layout, the Outside Text Frame option has the same effect as the Outside Column option.

Anchored frames run into paragraph text

To position an anchored frame in the top corner of a paragraph (with the paragraph text in that column running around the frame), choose the Run into Paragraph anchoring position in the Anchored Frame dialog box. For example, you can set a small graphic or a drop cap at the beginning of a paragraph.

When the anchored frame is taller than the paragraph, the text from subsequent paragraphs runs around the frame unless the paragraph that contains the anchor symbol is a straddle paragraph.

Frame spanning paragraphs and in a straddle paragraph

When you choose the Run into Paragraph anchoring position, you can set the following properties:

Alignment

You can align the anchored frame on the left or right side of the paragraph. For a double-sided document, you can also choose Side Closer to Binding or Side Farther from Binding.

Closer to binding

The frame is aligned with the paragraph’s left indent when it appears at the left side of the paragraph, and with the right indent when it appears at the right side. When the paragraph has a first-line indent, the anchored frame does not change the position of the indent.

Graphic extending beyond first-line indent

Larger first-line indent

When you want to preserve a first-line indent, make the first-line indent setting for the paragraph larger than the width of the anchored frame. Or, if you’re working with a structured document, see your developer about making the first-line indent setting for the paragraph larger than the width of the frame.

Gap

You can specify the gap between the anchored frame and the paragraph text that runs around it.

Related links:

Indentation, alignment, and spacing

Insert anchored frames in structured documents

In a structured document, a graphic element provides an anchored frame for holding graphic objects. The frame is anchored to a specific location in text. As you edit the text, the frame and its contents move in the document along with the text.

When inserting a graphic element, you specify where you want to anchor the element’s frame. For example, you might anchor the frame in a Para element (and the graphic will be a child element to the Para), or you might anchor it in a Section element (as a sibling to Para and other elements in the Section). It depends on how the elements are defined for your document. The formatting properties you set are independent of the element’s format rules, not overrides to them.

In the document window, an anchor symbol [image] appears at the anchor location in text when View > Text Symbols is turned on. The frame can appear in various positions on the page—including in-line with text, next to or below a paragraph, or in a page margin. You specify an anchoring position relative to the anchor symbol.

Several positions for anchored frames

A graphic element appears in the document’s structure where it is anchored to text, regardless of the frame’s position on the page. In the Structure View, the element is represented by a square-cornered bubble with the snippet <GRAPHIC>.

Graphic element

Insert an anchored frame element

1)Click where you want to anchor the frame.

2)Select an anchored frame element in the Element Catalog and click Insert.

You can also use Special > Anchored Frame to insert an element. If more than one frame element is available, choose the one you want from the Element Tag pop-up menu in the Anchored Frame pod.

3)Choose the frame’s anchoring position and specify its size and formatting properties. The properties that appear in the dialog box depend on the anchoring position you choose. See Inline anchored frames for details.

4)Click New Frame. The anchored frame appears in the document window, with an anchor symbol [image] at the insertion point when View > Text Symbols is turned on. A bubble with the text snippet <GRAPHIC> appears in the Structure View.

If no anchored frame element is available at the location you want, you might use an invalid element. After inserting the element, talk to your developer about making the element valid at this location.

Use an invalid anchored frame element

1)Do one of the following:

•To use an element that is valid in another part of the document, either insert the element in a valid location and then move it, or use the All Elements setting to make the element available everywhere, and then insert the element where you want it.

•To insert an invalid anchored frame element with a default tag, choose Special > Anchored Frame, and choose GRAPHIC from the Element Tag pop-up menu. (This option appears in the menu if no defined frame elements are available.)

6.3.4.Fill and edit anchored frames

You can draw graphics in an anchored frame, drag or paste graphics from another part of the document. Or, import or paste graphics from another document or application. Use these methods to place graphics and text in unanchored graphic frames and in anchored frames.

You can position a graphic in an anchored frame and then use a text frame or text line inside the anchored frame for the figure title. However, you might find it easier to position and number the title consistently if you put the figure in a single-cell table and then set up the table title as a figure title.

An anchored frame’s contents are clipped when they extend into or beyond the frame’s border. Display the frames border by clicking it (if the border isn’t visible, choose View > Borders).

A. Frame border B. Cropped graphic C. Cropped callout

You can change the size of an anchored frame, its anchoring position, and the properties you set when you created the frame. When working with a structured document, these changes do not affect the structure of the document and are independent of the element’s format rules.

You can also manipulate anchored frames as you do other objects. For example, you can change a frame’s drawing properties (such as pen width), and you can duplicate, delete, move, or resize it.

Related links:

Add a title to an illustration

Add text to graphics

Draw objects

Resize and reshape objects

Flip and rotate objects

Move an object

Filling anchored frames in structured documents

In a structured document, you can draw graphics in an anchored frame, drag, or paste graphics from another part of the document, or import or paste graphics from another document or application. Although the graphic element is part of the document’s structure, the contents you put in the frame are not.

You can even use an anchored frame to hold text, such as text in a sidebar. To do this, draw a text frame in the anchored frame. Keep in mind, though, that the text is not part of the document’s structure.

A frame’s contents are preserved when you export to XML or SGML. FrameMaker writes the contents to a separate file and adds an entity reference to it from your XML or SGML file.

important: To prepare for export to XML or SGML, put only one graphic in each frame for the best results. If your graphics are bitmaps, do not use a display bit depth of 1 bit or 24 bits; reset your display to 8 bits. Ask your application developer for other advice to be sure your frames’ contents will be fully preserved.

After filling a frame with graphics, you can edit the graphics in many ways—for example, by changing line widths, applying fill colors, and aligning, stacking, or grouping several objects.

Put graphics or text in a graphic frame

1)Do one of the following:

•To draw a graphic or add text, use one of the tools on the Tools pod.

important: Be sure to start drawing the object inside the frame. Otherwise, the object is placed on the page and not in the frame.

•To move a graphic into a frame, drag the graphic until the pointer is within the frame’s borders. The object jumps into the frame when you drag across the frame’s border.

•To paste a graphic into a frame from the Clipboard, select the frame and choose Edit > Paste.

•To import a graphic into a frame, select the frame and choose File > Import > File. You can also import a graphic in other ways, depending on the platform.

note: If a graphic looks as though it’s in the anchored frame, but it doesn’t move with the frame as you edit the surrounding text, the graphic is probably in front of the frame rather than in the frame—perhaps because you pasted it on the page rather than in the frame. Drag the graphic away from the frame and then drag it back into the frame.

Prevent an anchored frame from clipping its contents

1)Do one of the following:

•If there’s room outside the anchored frame, make the frame larger.

•If there’s room inside the anchored frame, move the object away from the edge of the frame.

•If the contents are clipped only by the width of the border, use the Tools pod to make the anchored frame’s border narrower or to change the pen pattern to None (see Apply and change drawing properties).

•If a frame and its contents are clipped by the edge of a column of text, choose Special > Anchored Frame, turn off Cropped, and then click Edit Frame.

Change a frame’s anchoring position and drawing properties

1)Select the frame and do one of the following: choose Special > Anchored Frame.

•To change the frame’s anchoring position, choose Special > Anchored Frame. Change the settings and click Edit Frame.

•To change the drawing properties, Select the frame and use the Tools pod to specify the properties you want. For example, you can change a frame’s pen pattern to make the frame’s border printable or change its fill pattern to shade the interior of the frame.

Resize an anchored frame

1)Do one of the following:

•To resize the frame quickly but approximately, select the frame and drag one of its handles. The size appears in the status bar as you drag.

•To resize the frame precisely, select the frame and specify its size with the Graphics > Object Properties, Graphics > Scale, or Special > Anchored Frame command.

•To resize an anchored frame to fit the object in the frame, press Esc M P.

•To resize a graphic within an anchored frame, select the object and drag one of its handles, or choose Graphics > Scale and enter the dimensions.

Copy, move, or delete an anchored frame

Copy or move an anchored frame by using copy and paste

1)Select the frame and choose Edit > Copy or Edit > Cut. You don’t need to select the anchor symbol.

2)Click in text where you want to insert the frame and choose Edit > Paste. The anchor symbol appears at the insertion point when text symbols are visible. When working with a structured document, look at the Element Catalog before pasting to verify that the location is valid for graphic elements.

In some cases (for example, when a frame is positioned at the top or bottom of a column), the frame does not change position even though the anchor symbol moves. If you find it difficult to reposition a frame anchored to the outside of a rotated text frame or column, unrotate the text frame, position the anchored frame, and then rerotate the text frame.

tip: If you’re working with a structured document, you can also drag a frame’s bubble in the Structure View to move the frame or Alt-drag the bubble to copy the frame.

Move an anchored frame without moving its anchor symbol

1)Do one of the following:

•For quick but approximate repositioning, drag the frame.

•For more precise repositioning, move the frame in small increments with the arrow keys.

•For greatest precision, specify the location of the frame with the Special > Anchored Frame command.

Some anchored frames cannot be moved without moving their anchor symbols. However, you can move a frame vertically when it’s anchored at the insertion point, outside the column of text, or outside the text frame. When a frame is anchored outside the column or text frame, you can’t move it above the top or below the bottom of the text frame.

note: When you move a frame into a column, the text in the column doesn’t adjust to accommodate the frame. Use the Run into Paragraph anchoring position to move the frame completely inside the column and to run the text around the frame automatically. You can also change the paragraph indents to make room for the frame.

Move a frame’s anchor symbol

1)Select the frame. You don’t need to select the anchor symbol.

2)Choose Edit > Cut, click in text where you want to insert the anchor symbol, and choose Edit > Paste. The anchor symbol appears at the insertion point when text symbols are visible.

In some cases—for example, when the frame is positioned at the top or bottom of a column of text—the frame may not change position even though the anchor symbol moves.

Delete an anchored frame

1)Select the frame and press Delete.

Add object attributes for tagged PDF

If you plan to export your document to a tagged PDF or to XML, you can include object attribute information for your anchored frames.

Alt text is different from graphics or standard text. Alt text is typically used for describing an image so that screen readers can read it aloud. Actual text is for reading aloud the actual text, as in the case of a drop cap. For example, if the author is using a drop cap for the letter A in the word “Adobe” but still wants the screen readers to read the word as “Adobe” and not as “dobe,” this can be done by filling in actual text. The attribute will be saved to alt text and actual text in tagged PDF and XML.

When you provide alternate text attribute on an anchored frame, the corresponding figure elements in PDF and graphic elements in XML get an “alt text” attribute. Actual Text attribute is processed only for tagged PDF. XML export ignores this attribute.

note: Object attributes support the Unicode text encoding standard.

1)Select the frame and choose Special > Anchored Frame.

The Anchored Frame dialog is displayed.

2)Click Object Attributes.

3)In the Text Attributes section, add your alt text and actual text, and then click Set.

note: Screen readers may ignore actual text when alt text is present.


Embed objects

6.4.Embed objects

6.4.1.Embed text and graphics with OLE

You can use OLE to embed text or graphics in a FrameMaker document. Embedded material retains its association with the application that created it (but does not retain a dynamic link to its source document). This lets you double-click an embedded object to open the object in the application that created it. Be sure to use an application that supports OLE as a server to create the object you want to embed.

You can also embed multimedia objects such as video or movie files (.avi or .mov files) and sound files (.wav files).

note: If you specify an HTTP filename when importing a file as an embedded object, you get an error indicating that the file does not exist. It is recommended that you save the file to your computer before importing it as an object.

Embed only part of a file with OLE

1)In its own application, open the file and copy the part you want to embed.

2)In FrameMaker, click where you want to embed the text or graphics, and choose Edit > Paste Special.

3)Click Paste, select a format for the object (look for a format that starts with “embedded”), and then click OK.

Embed an entire file with OLE

1)Click where you want to embed the text or graphics and choose File > Import > Object. You can then embed a new, empty file, or specify an existing one.

Embed by dragging with OLE

1)Do one of the following from an application that supports drag-and-drop features:

•To move text or graphics into a FrameMaker document, drag the object.

•To make a copy of an object instead of moving it, Control-drag the object.

•To choose between moving or copying when you release the mouse button, right-drag the object.

6.4.2.Link to a text or graphic object with OLE

When you link to an OLE text or graphic object in a document, FrameMaker not only maintains information about the application that created the object but also keeps a dynamic association with the source document. If the source material changes, its representation in the FrameMaker document is updated as well. Be sure to use an application that supports OLE as a server to create the object you want to link to.

You edit linked text or graphics by editing the original source document.

Link to part of a file

1)In its own application, open the file and copy the part you want to link to.

2)In FrameMaker, click where you want to place the linked text or graphics, and choose Edit > Paste Special.

3)Click Paste Link, select a format for the object (look for a format that starts with “linked”), and then click OK.

Link to an entire file

1)Click where you want to place the linked file and choose File > Import > Object. Click Create from File and then select Link.

2)Specify the file you want to link to and click OK.

6.4.3.Edit OLE objects

You edit an OLE object by using the application that originally created it. When you finish editing, the changes appear in the FrameMaker window.

Edit an embedded OLE object

1)Double-click it. The object appears in the creating application where you can edit it.

Edit a linked OLE object

1)Do one of the following:

•Double-click the OLE object. Either the object appears in a new window in the application that created it or the menus in the FrameMaker window temporarily merge with the menus of the creating application. In either case, the changes you make are reflected in the original document.

•Edit the original document outside FrameMaker, in the application that created it.

6.4.4.Control the updating of OLE links

You can control how and when OLE linked objects are updated from their source documents. For example, you can specify either automatic or manual updating, and you can manually update a single linked object or several objects in the document.

You cannot specify updating for OLE embedded objects because an embedded object is not dynamically linked with the original document.

Change the updating of a linked OLE object

1)Select the object, and choose Edit > Links.

2)Select the linked source from the list, click either Automatic or Manual as the update type, and then click OK.

Suppress the updating of all linked OLE objects

1)Choose Edit > Update References.

2)Choose Suppress Automatic Updating from the Commands pop-up menu, and then choose the items you don’t want to be updated automatically.

3)Click Set, and then click Done.

Manually update a single OLE link object

1)Choose Edit > Links, select the source file you want to update, and then click Update Now.

Cancel an OLE link

When you break an OLE link, the text or graphic remains in your document, but is no longer updated when the source changes. The text becomes editable.

1)Select the object, choose Edit > Links, and then click Break Link.

6.4.5.Import text into structured documents

You can import text into a structured FrameMaker document from the following sources:

•A text flow from another part of the document, from another structured FrameMaker document, or from a MIF file. Any conditional tags in the flow, cross-references, tables, markers, footnotes, variables, and anchored frames are imported.

•A file created in another application for which an import filter is installed on your system. Special items such as cross-references and tables may also be imported—depending on the application and the filter used.

If the text you import is structured, you can retain or remove the structure. If the text is formatted, you can retain or remove the formatting, or reformat the text using formatting information in the current document.

Imported text can be copied into the document, which is equivalent to using the Copy and Paste commands, or it can be imported by reference as a text inset, in which case it retains a link to its source file. When you import by reference, the text inset displays in the document window but is not editable. If the inset is structured, its structure appears in the Structure View but is not editable.

A text inset remains linked to its source document.

1)Click where you want to insert the text.

2)Choose File > Import > File.

3)Select the file with the text you want to import, and specify whether to import by copying or by reference.

4)If the Unknown File Type dialog box appears, select a file type, and click Convert.

The dialog box that appears next depends on the import method you chose in step 3. The Import Text Flow By Reference dialog box contains settings for updating the imported flow.

Specify how you want to format and update your import text flow.

5)Choose a body page flow or a reference page flow from a pop-up menu. Most often, you import text on body pages. Reference pages can contain flows with boilerplate text for use on body pages.

6)Specify how to handle the structure and formatting of the imported text by doing the following:

•To retain the structure of the flow and apply the current document’s formats and element format rules to the text, select Reformat Using Current Document’s Formats. If element tags in the two documents don’t match, the formatting of the imported text is unchanged. Usually, you would select the options for removing page breaks and other format overrides so that the imported text looks like text in the current document.

•To remove the structure and formatting from the text, and apply the formatting used at the insertion point, select Reformat as Plain Text. (Text in tables or anchored frames retains the formatting it had in the source document.)

•To remove the structure but retain the formatting, select Retain Source’s Formatting. Formats used in the imported text are not added to the current document’s catalogs. If you later modify the current document’s formats, the imported formats won’t be affected—even if the tags in the current document and imported text match.

7)If you’re importing by reference, specify how to update the text inset by doing one of the following:

•To update the text inset whenever you open the document, select Automatic.

•To update only when you specify, select Manual.

8)Click Import.

Related links:

Import text


Change direction of document containing objects

6.5.Change direction of document containing objects

When you change the direction (RTL <-> LTR) of a document that contains graphical objects, anchored frames, or text frames the objects are vertically flipped in the document. This implies that if an object is placed 10 px from the left margin, changing the direction will cause the object to be placed 10 px from the right margin. However, the orientation of the object remains the same.

You can choose to change the orientation of a graphical object that is flipped when the document direction is changed:

To flip and change the orientation of a graphical object, ensure the following maker.ini flags are switched on:

TranslateObjectOnDirectionChange=On
FlipObjectOnDirectionChange=On

If you do not want to flip objects in a document when the direction is changed, switch off the following flag:

TranslateObjectOnDirectionChange=Off


Hotspots

6.6.Hotspots

A hotspot is an active area in a document that you can link to different areas of the document, to another document, or to a URL. You can apply hotspots to the following objects:

1)Graphic objects

2)Images

3)Anchored frame

4)Graphics frame

5)Text frame

6)Text line

7)Equations

FrameMaker supports the following shapes for hotspots:

1)Line

2)Arc

3)Polyline

4)Freehand curve

5)Rectangle

6)Rounded rectangle

7)Oval

8)Polygon

You can create hotspots in graphic objects and link them to textual objects in the same or other documents. You can superimpose an invisible hotspot over an image to link to any relevant text or detail in the document.

With hotspots, you can add multiple links in different parts of a graphic without having to divide the graphic into separate parts. For example, in a world map, you can create hotspots in each of the countries linking to more information about that country within a document, in other documents, or at a web address.

Hotspots in a graphic

Hotspots are supported everywhere in the FrameMaker documents, including the master pages. A use case for hotspots on master page is a clickable logo for every page of the document that takes the user to a URL.

Hotspots look like other graphic objects. In edit mode, you can select the hotspots and edit the hotspot properties. In view mode, when you hover the mouse over the hotspot, the cursor changes to indicate active, clickable area.

You can link a hotspot in one document to another. PDFs support only rectangular hotspots. Hotspots of any other shape are converted to rectangular hotspots when you create the PDFs. Other outputs, such as HTML support hotspots of other shapes such as oval. If you want to scale, rotate, and translate hotspots with the anchor frame, group the hotspots with the anchor frame. While saving XML, FrameMaker saves the graphic containing the hotspots in a MIF file. While opening the XML file again, FrameMaker brings back the hotspot information into the FrameMaker file from the MIF file. Some other output types that support hotspots are: HTML, WebHelp, FlashHelp, Airhelp, and Multiscreen output.

The hotspot pod displays the available hotspots in a document or all open documents. Using the hotspots pod, you can edit/delete/delink the existing hotspots.

6.6.1.Create hotspots using hotspot properties

1)Insert a hypertext marker of type Named Destination. Apart from a Named Destination marker, you can link hotspots to URLs.

2)Right-click an object and in the pop-up menu, select Hotspot Properties.

3)In the Create Hotspot dialog, do one of the following:

a)Specify the target document for the link. FrameMaker displays the available markers (Specify Named Destination command instance) in the selected document. Select the appropriate instance.

b)Enter the target URL. The URL length is limited to 1011 bytes. 1011 bytes can contain 1011 single-byte characters, such as for English, or 506 double-byte characters, such as for Greek.

4)Specify a tool tip. Maximum tool tip length is 1023 bytes. 1023 bytes can contain 1023 single-byte characters, such as for English, or 511 double-byte characters, such as for Greek. Tool tip is optional.

5)Click Save.

You can now test the link by holding Ctrl+Alt keys and clicking the hotspot. You can generate PDF or other outputs.

6.6.2.Create hotspots using graphics toolbar

1)In the Graphics toolbar, click HotSpot Mode ( [image]).

2)Create any graphics object.

FrameMaker launches the Hotspot dialog.

3)In the HotSpot dialog, do one of the following:

a)Specify the target document for the link. FrameMaker displays the available markers (Specify Named Destination command instance) in the selected document. Select the appropriate instance.

b)Enter the target URL. The URL length is limited to 1011 bytes. 1011 bytes can contain 1011 single-byte characters, such as for English, or 506 double-byte characters, such as for Greek.

4)Specify a tool tip. Maximum tool tip length is 1023 bytes. 1023 bytes can contain 1023 single-byte characters, such as for English, or 511 double-byte characters, such as for Greek. Tool tip is optional.

5)Click Save.

You can now test the link by holding Ctrl+Alt keys and clicking the hotspot. You can generate PDF or other outputs.

6.6.3.Delink a hotspot

You can delink a hotspot to remove the hotspot information from graphic object.

•In the Hotspot pod, select the hotspot entry and click Delink.

Or

Select a hotspot and then from the Graphics menu, select Delink Hotspot.

Or

Right click a hotspot and then from the pop-up menu select Delink Hotspot.

6.6.4.Create hotspots in vector graphics

You can create multiple hotspots in vector graphics, such as a CGM file, imported in a FrameMaker document. The various parts of the CGM graphic can be made different hotspots.


Object styles

6.7.Object styles

You can save your frequently used object properties as a style. You can apply these object styles to various objects, such as images, anchored frames, and text frames for consistent size and appearance. For example, you can create and apply an object style to all the anchored frames in a document, or across documents, to make them of the same size.

Object styles include the following properties:

•Position and size (width, height, top, left, and angle)

•Fill (fill pattern, tint, and color)

•Stroke (line and arrow style, line width, pen pattern)

•Text line (alignment)

•Text frame (flow properties and column properties)

•Anchored frame (anchoring position and related properties)

•Graphics (scaling and resolution)

•Equation (alignment, size, and automatic line breaks)

•Runaround type and width

Object styles are relevant for the following objects in FrameMaker:

•Images

•Anchored frame

•Graphic objects

•Text frame

•Text line

•Equations

6.7.1.Object style designer

A. List of object properties B. Reset all properties to default C. Refresh object style properties D. Select an object style name E. Update all F. Apply

6.7.2.Object style catalog

A. Object style names B. Check mark indicates that style is applied in the current document C. Delete a style from the document D. Options to display the styles in the catalog E. Refresh the list of styles displayed in the catalog

6.7.3.Create an object style

1)Select Graphics > Object style designer.

Object Designer appears with all the property values blank.

2)In the Object Designer Dialog, type a name for the object style.

3)Edit the property values and click Save.

6.7.4.Create an object style from an object’s properties

1)Select the object based on which you want to create an object style.

2)Select Graphics > Object Style Designer.

Object Style Designer displays the properties relevant to the selected object and populates the values of these properties from the selected object.

3)In the Object Designer Dialog, type a name for the object style.

4)Edit the property values, if necessary, and click Save.

6.7.5.Apply an object style

1)Select Graphics > Object Style Catalog.

2)Select one or more objects on which you want to apply the style.

3)In the Object Style Catalog, click the name of an object style to apply.

6.7.6.Import object formats from another document

1)Select File > Import > Formats.

2)In the Import Formats dialog, select Object Styles.

3)Select Import.


3D and multimedia objects

6.8.3D and multimedia objects

You can insert links to interactively control embedded U3D (Universal 3D), FLV, and SWF objects in the PDF output. You can insert links to 3D and multimedia objects that control various aspects of these objects:

•View: Calls different views of the 3D\multimedia object. (For 3D only)

•Parts: Focuses on different parts of the 3D\multimedia object. (For 3D only)

•Animation: Calls animation in the 3D\multimedia object. (For 3D only)

•JavaScript™: Attach custom JavaScript™ code to the link.

You can also create a multimedia links table for the 3d\multimedia object of the type View, Parts, or Animation. For example, the multimedia links table of the type parts includes links that focus on different parts of the 3D\multimedia object.

You can also set a poster that appears for SWF, FLV, and MP4 files while the video is not playing.

6.8.1.Insert a link to a 3D object

1)Insert a 3D object in your document.

2)Type text for creating the link.

3)Select Graphics > Create link to graphic.

4)In the Create Multimedia Link dialog, specify the following:

a)Select Object Type: Select U3D.

b)Select an Object: Select the name of the object for which you want to insert the links. If there is only one object of the selected object type, FrameMaker selects the object name automatically.

c)Hypertext Element Tag: If you are working in structured FrameMaker, specify the element tag for the hypertext for the links.

d)Link Type: For U3D, you can select JavaScript™, View, Parts, or Animation. If you select JavaScript™, in the Details field add the JavaScript™ code that you want to execute on the click of hypertext. Otherwise, Details displays the options relevant to the selected link type. Select one of the options.

5)Select Insert.

6.8.2.3D object part links

To link a 3D object’s parts to textual objects in the document, use 3D object part links. A use for adding 3D object part links can be to link them to a description of each of the parts.

A. List of the selected 3D object’s parts B. List of the markers that you can make link destinations for the 3D object’s parts

Create 3D links

You can create 3D object links and link them to Specify Named Destination command or URL.

1)Ensure that your document has Specify Named Destination hypertext. Specify Named Destination hypertext can exist either in the same document or in other documents.

2)Right-click a 3D object and select 3D Menu > Link to Text.

3)In the Link to Text dialog, do the following:

a)To insert a link, select a part of the 3D object, then select a Marker, and click Insert Link to Text.

b)To delete a link, select a part name linked to a marker and click Delete Link to Text.

c)To modify a link, select a part name linked to a marker, select a different marker, and click Update link to Text.

d)To view linked parts, select Show Only Linked Parts. When you select a linked part, the linked marker is selected.

4)Click OK.

6.8.3.Insert links to an SWF file

1)Insert an SWF file in your document.

2)Type text for creating the link.

3)Select Graphics > Create link to graphic.

4)In the Create Multimedia Link dialog, specify the following:

a)Select Object Type: Select SWF.

b)Select an Object: Select the name of the object for which you want to insert the links. If there is only one object of the selected object type, FrameMaker selects the object name automatically.

c)Hypertext Element Tag: If you are working in structured FrameMaker, specify the element tag for the hypertext for the links.

d)Link Type: For SWF, you can select JavaScript™, play, or stop.

5)If you have selected JavaScript™ in Link type, add the JavaScript™ code in Details.

6)Select Insert.

6.8.4.Insert links to an FLV file

1)Insert an FLV file in your document.

2)Type text for creating the link.

3)Select Graphics > Create link to graphic.

4)In the Create Multimedia Link dialog, specify the following:

a)Select Object Type: Select FLV.

b)Select an Object: Select the name of the object for which you want to insert the links. If there is only one object of the selected object type, FrameMaker selects the object name automatically.

c)Hypertext Element Tag: If you are working in structured FrameMaker, specify the element tag for the hypertext for the links in the table.

d)Link Type: For FLV, you can select the following:

•Play: Plays the FLV video

•Pause: Pauses the video

•Rewind: Rewinds the video to the starting point

•Nextcuepoint: Takes the video to the next cue point

•Prevcuepoint: Takes the video to the previous cue point

•Seek: Seek helps you select further options for creating defined points.

5)If you have selected Seek in Link type, do one of the following:

a)Defined Points: This option allows you to use the cue points embedded in the video itself.

b)Create Point: This option allows you to create a seek point in the video. After selecting this option, play the video and click Create Link in the video window to insert a seek point.

6)Select Insert.

6.8.5.Set poster for a SWF, FLV, or MP4 files

You can set a poster that appears for SWF, FLV, and MP4 files while the video is not playing.

1)Select a SWF, FLV, and MP4 file.

2)Right-click the file and from the pop-up menu, select Set Poster.

3)For an FLV, SWF, or MP4 file, the Set Poster dialog appears.

a)Select From Media and click Play.

b)While the video is playing, at the appropriate moment click Capture Frame for Poster.

c)Click Save As and save the poster file (.dib) to disc.

d)Click Apply.

6.8.6.Set poster for a 3D object

You can set a poster that appears for U3D files while the video is not playing.

1)Select a 3D object.

2)Right-click the object and from the pop-up menu, select Set Poster.

The Select Poster File dialog appears.

3)Navigate to a poster file (.jpeg, .png, .gif, .dib, or .bmp format) and select it.

6.8.7.Insert multimedia links table

You can add multimedia links table for U3D and FLV objects.

1)Select Graphics > Create link table for graphic.

note: If the Create link table for graphic command is disabled, place your cursor in a text area in the document.

2)In the Insert Multimedia Link Table dialog, select:

a)Select Object Type: Select U3D or FLV.

b)Select an Object: Name of the object for which you want to insert the links.

c)Table Format: Select a table format for the links table.

d)Table Element Tag: If you are working in structured FrameMaker, specify the element tag for the links table.

e)Hypertext Element Tag: If you are working in structured FrameMaker, specify the element tag for the hypertext for the links in the table.

f)Select Table Type: Select the type of action for the multimedia links. For U3D the options are View, Parts, or Animation. For FLV, you can choose Seek.

3)Select Insert.

6.8.8.Edit multimedia links

You can edit the multimedia links using the markers pod.

1)Select View > Pods > Markers.

2)In the Markers pod, double-click a hypertext marker of type multimedia.

3)In the Edit Multimedia Link dialog, modify the options as required and click Save.

6.8.9.Attach custom JavaScript™ to a 3D object

You can attach custom JavaScript™ to a 3D object to control it.

1)Right-click a 3D object and in the 3D context menu, select 3D Menu > Select JavaScript™.

2)In the Select JavaScript™ file dialog, navigate to a JavaScript™ file and click Select.

note: If you copy-paste a 3D object, the JavaScript™ attached with it is also copied to the new instance of the object.

6.8.10.Use object handle in JavaScript™

You can refer to a 3D, SWF, or FLV object’s name in a JavaScript™ using the FM_ prefix.

The following JavaScript™ example uses the FM_ prefix with the object name. This example JavaScript™ code makes the relevant object transparent.

1)Insert an object in FrameMaker and name it as my3d in properties in the 3D menu.

2)Attach the following JavaScript™ code to the object. The object my3d is referred to in this code as FM_my3d.

var i,count,tempObj;
count=FM_my3d.context3D.scene.meshes.count;
var selObj;
for( i=0;i<count;i++){
selObj=FM_my3d.context3D.scene.meshes.getByIndex(i);
tempObj=FM_my3d.context3D.scene.nodes.getByName(selObj.name);
tempObj.renderMode="transparent";
}

3)Create the PDF and click the link. The 3D object turns transparent.

6.8.11.Activate 3D/multimedia objects by default

When you open a PDF, the 3D/multimedia objects in PDF are not activated by default. Click the objects to activate them. To activate the 3D/multimedia objects in the PDF by default, complete the following steps:

1)Right-click an FLV, SWF, or 3D object and in the context menu, select PDF View Options > Activate by Default.

6.8.12.Display 3D/multimedia objects in pop-up windows

You can choose to display the 3D/multimedia objects in a pop-up, when you click the relevant link. This option is useful when the links and the 3D/multimedia object are on different pages.

1)Right-click an FLV, SWF, or 3D object and in the context menu, select PDF View Options > Open in Pop up Window.

note: You can close the pop-up by clicking the cross in the upper-right corner of the pop-up window.


QR codes

6.9.QR codes

You can generate a QR code in FrameMaker and then insert the code into a FrameMaker document. A QR (Quick Response) code is an optically machine-readable two-dimensional bar code. The code can be scanned by a device, such as a smartphone, that then extracts (and accordingly uses) the information specified in the code.

See the video, QRcodes.

6.9.1.Generate and insert a QR code

1)From the Special menu, choose Generate QR Code.

The QR Code Builder dialog displays.

2)Specify a file name and path to create the QR code file (.png).

The default dimensions of the image is 186 pixels.

3)To change the dimensions of the image, select an alternative dimension from the Image Dimensions drop-down list.

4)To specify the type of information you want to encode, select an option from the Type drop-down list.

SMS:

Send an SMS to the encoded phone number with the encoded text

URL:

Open the encoded URL

Phone:

Make a phone call to the encoded phone number

Email:

Send an email to a specified address

Text:

Read the encoded text

5)For each information type, enter the relevant information and click Insert.

The QR code with the specified information is generated and inserted into the document.

6.9.2.Editing QR codes

You can edit an existing QR code in a document by using the QR Code Builder. FrameMaker also allows you to edit the file in external applications such as Adobe Photoshop and Adobe Illustrator.

To edit the QR code in the QR Code Builder:

1)In the document, select the QR to edit.

2)From the Special menu, choose Edit QR Code.

The QR Code Builder dialog displays.

To open the QR Code Builder dialog on an existing QR code, you can also double-click the QR code in the document. Alternatively, you can right-click the QR code and choose Edit QR Code from the context menu.

3)Edit the relevant code details and click Save.

The QR code with the updated information is saved to the .png file and updated in the document.

To edit the QR code in an external application

1)In the document, select the QR to edit.

2)Right-click on the QR code and from the Edit With menu item select the application in which to edit the code:

•Adobe Captivate

•Illustrator

•Photoshop

•RoboScreenCapture

important: You can only choose an application that is currently installed on your computer.

3)The QR code file is opened in the application that you select.

4)Make changes to the .png file in the external application and save the changes.

As soon as you save the changes to update the .png file, the changes are immediately reflected in the QR code in the document.


Using RoboScreenCapture

6.10.Using RoboScreenCapture

RoboScreenCapture is a screen capture tool that can be used for capturing and editing images. You can use these images in your help systems like online tutorials, manuals, training handouts, presentations, marketing materials, and web pages.

Integration of FrameMaker with RoboScreenCapture helps you do the following:

•Open RoboScreenCapture from FrameMaker.

•Insert images created in RoboScreenCapture into FrameMaker.

•Edit images imported by reference into FrameMaker using RoboScreenCapture. You can use the right-click option Edit with RoboScreenCapture for an image to launch and edit the image in RoboScreenCapture.

Changes made to the image are reflected in FrameMaker after the image is saved and closed in RoboScreenCapture.

note: This option is available only for image formats supported by RoboScreenCapture.

You can use RoboScreenCapture to perform the following tasks:

•Capture screens in 10 modes, including Adobe FreeHand, Virtual Screen, and Multi-Region

•Capture screens using a drop-down menu, assign your own keyboard shortcuts, and even control RoboScreenCapture with voice commands

•Capture difficult-to-grab screens such as DirectX, Direct3D, 3Dfx, Voodoo, and Glide mode games

•Capture more than is visible on the screen, such as long Web pages

•Edit images

•Save your screen capture in over 20 image formats

•Automatically save screen captures to image files

•Quickly add image stamps, frames, drop shadows, and more

•Change image colors, flip or rotate images, and crop images to a smaller size

•Add identifying stamps to each screen capture, such as a company name or logo

•Call-out specific areas of your capture with shapes, shadow effects, and more.

6.10.1.Capturing and inserting images

You can use RoboScreenCapture from FrameMaker to capture a screenshot from an application running on your computer, and save it in RoboScreenCapture. You can then import the file into an open FrameMaker document.

1)Open the FrameMaker document into which you want to insert images.

2)Select File > Launch RoboScreenCapture. The RoboScreenCapture application opens.

3)From RoboScreenCapture, capture a screenshot of the desired application using the various options in the Capture menu.

4)Save the file, and close RoboScreenCapture.

5)In Adobe FrameMaker, select File > Import > File. The Import dialog box appears.

6)Select the file created in RoboScreenCapture.

7)Select Import by Reference from the Import dialog box.

8)Click Import.

6.10.2.Editing imported images

You can use RoboScreenCapture to edit images inserted by reference into FrameMaker documents.

1)Open FrameMaker.

2)Select File > Open, and open a document with the image you want to edit.

3)Select the image you want to edit.

4)Right-click the image, and select Edit With RoboScreenCapture. The RoboScreenCapture application opens with the image open for editing.

5)Edit the image.

6)Select File > Save.

7)Select File > Exit to close the RoboScreenCapture application.

The edited image is updated in FrameMaker and is ready for use in the document.


Edit with Adobe Illustrator

6.11.Edit with Adobe Illustrator

FrameMaker allows you to edit imported graphics with Adobe Illustrator.

note: Adobe Illustrator should be installed on the same system as Adobe FrameMaker for this feature to work.

•Open FrameMaker.

•Select File > Open, and open a document with the image you want to edit.

•Select the image you want to edit.

•Right-click the image, and select Edit With Illustrator. The Illustrator application opens with the image open for editing.note: The image types that can be edited with Illustrator are as follows:

File Type | Saved Directly or Exported?
EPS | Saved Directly. Select File > Save from Illustrator to save the file.
AI
AIT
SVG
PNG | Export the file from Illustrator. Select File > Export from Illustrator and select the right file type and save.
BMP
DXF
EMF
JPG
PSD
PCT
TIF
WMF

•Edit the image.

•Select File > Save or File > Export (depending on the image type) to save the edited image.

•Select File > Exit to close the Illustrator application.

The edited image is updated in FrameMaker and is ready for use in the document.


Insert Photoshop images

6.12.Insert Photoshop images

You can insert native Adobe Photoshop images to your documents. On publishing, the PSD files are rasterized and attributes such as Photoshop filters, layer visibility are maintained. To insert a Photoshop file:

Choose File > Import, and then browse to the PSD file.

6.12.1.Editing Photoshop graphics

You can import native Adobe Photoshop (PSD) files into your documents. You can then open these graphics for editing from within FrameMaker. FrameMaker supports layers, and you can import graphics with multiple layers into your document.

To edit the graphic:

1)Click the imported graphic to select it.

2)Right-click and choose Edit with Photoshop.

3)The graphic opens in the selected application. Edit the graphic and save it.

The graphic is updated in your document.


Insert Adobe Captivate demos

6.13.Insert Adobe Captivate demos

You can include Adobe Captivate demos into your documents to create truly rich and engaging content. Publish an existing Adobe Captivate project as a SWF file, and then import the SWF file into your document. You can also specify poster images for the multimedia demos.

1)Choose File > Adobe Captivate > Insert Adobe Captivate Demo and browse to the location where you want to save the SWF file.

2)Enter a SWF filename and click Save.

Adobe Captivate is launched and a new Adobe Captivate project is created and the SWF content is placed in your document.


Books and long documents

7.Books and long documents

A book file contains the filenames of the documents that make up the book, such as chapters and appendixes, generated files such as a table of contents, and other books. The filename and location of each file are added to the book file and a link is established between the file and the book.

A book can also be organized into a hierarchical setup of related documents using folders and groups. Folders act as chapters, sections, or sub sections depending on their hierarchical level within a book. You can also include related books within a book to build a complex documentation set.

A book file contains pagination and numbering settings for each file in the book. During a book update, FrameMaker updates the numbering throughout the book and can create and update the generated files as well.

Although books can include non-FrameMaker documents, such as .mif or .txt files, their processing is different from .fm files.


Book building workflow

7.1.Book building workflow

1)Create a book and add files to it. These files can be .fm, .xml, .mif, or even .book files.

2)Organize files into folders or groups if necessary.

3)Set up volume, chapter, page, and paragraph numbering.

4)Add generated files, such as a TOC, list of tables or images, or an index.

5)Update the book. This step populates a new TOC and index.

6)Fix broken links and troubleshoot numbering and cross references.

7)After fixing any errors, generate and update the book again.

note: FrameMaker book file references the files included in the book. A file can therefore be included in multiple books.


Set up hierarchical books

7.2.Set up hierarchical books

In FrameMaker, you can create hierarchical books that can include multiple books and files organized under folders or groups.

Hierarchical mixed FrameMaker book

A. Add a file to the book B. Add a folder in the book C. Add a group in the book D. Save the book file E. Delete a file from the book F. Update book G. Arrow keys to move book components H. Display file heading text. Icon changes to Display File Names on clicking. I. Search in a book J. Complete path of the book and book name K. Generated FrameMaker file - TOC L. .fm file M. Folder N. .xml files included in a book O. Group of files P. .mif file in a group Q. Multiple sub-levels of folders R. Status bar for the book

Saving a hierarchical book as a FrameMaker 8 book flattens the hierarchical structure. FrameMaker flattens the hierarchical structure to a single level.


Create books

7.3.Create books

7.3.1.Create a book

1)Choose File > New > Book. If a document is active, an alert message asks if you want to include it in the book. A new book window appears showing the contents of the book.

2)Choose File > Save Book As. A .book extension is added to the filename.

7.3.2.Add files to a book

1)In the book window, choose Add > Files or click [image].

2)Select the document file or files you want to add to the book, and then click Add.

You can add files by dragging them into a book window.

note: You can also add files by specifying an HTTP path and filename in the Add Files to Book dialog box. When doing this ensure that you specify a correct path and filename else you may get a message that the file is not in a recognized format and an uneditable dummy file is added to the book.

Associate a structured application with an XML file

You can associate a structured application with the .xml files included in a book.

1)Right-click the .xml file in the book window and select Properties.

2)Select the structured application name from the Use Structured Application list box and click Continue.

7.3.3.Add generated files to a book

1)Open the book window and select the file next to where you want the generated file to appear.

2)Do one of the following:

•Choose Add > Table of Contents or choose Add > List of, and then choose a type of list from the menu.

•Choose Add > Standard Index, or choose Add > List of, and then choose the type of specialized index you want to create.

note: You can also create TOCs, lists, and index for individual files in a book. For example, choose Special > List of Figures to create a standalone list of figures for the current document. You can also opt to create a book with a copy of the current file and its corresponding generated file. The generated files are always created in the same folder as the source file.

7.3.4.Add a folder

You can add folders to your book and organize related documents in it. FrameMaker treats a folder as a logical container; it does not create a physical folder on the disk. A folder can have one or more folders, groups, or files within it.

Depending on the level at which you add a folder, it can act like a chapter, section, or subsection. You can set special numbering styles for a folder and all its contents. You can also choose to exclude files from being published by selecting Exclude from the context menu.

When you select a file in a book and add another file, the new file is added below and at the same level as the selected file. When you select a folder and add a file, the new file is added at the end of the files in the folder.

A. .Select One.fm and add Four.fm. B. Select Folder1 and add A.fm.

note: If a file is already present in a book, you cannot add it again within a folder.

Rename a folder

1)Right-click the folder and select Properties.

2)Type a new folder name in the Title box and click Set.

Associate a template with a folder

Associate a template with a folder to publish a cover page for the files in the folder. Any template associated with a folder is published like any other file in a book. Use the <$chaptertitlename> variable to include the folder name in the template associated with the folder. You can use this variable for a folder occurring at any level in a book.

1)Right-click the folder and select Properties.

2)Select the Template Path check box, browse, and select the template filename and click Open.

3)Click Set. The folder icon changes to indicate that a template is associated with the folder.

important: A template associated with a folder is published in a PDF like any other file in a book.

To open a template associated with a folder, right-click on the folder and select Open. This opens all the files under the folder including the template file.

Add file information for a folder template

You can specify file information, such as author name, file title, keywords for a template associated with a folder.

1)Right-click the folder that has a template associated with it and select File Info.

2)Specify the file information and click Set.

7.3.5.Add a group

You can create groups in a book file. Like folders, groups are also logical containers in a book file; they do not exist on the disk. The difference between a group and a folder is that a group does not change the hierarchy of the files within it. Also you cannot set up numbering styles for a group.

For example, the chapter number increments sequentially if the chapter is in a group. For files organized under a folder, the chapter number remains the same but the section number can increment sequentially. You cannot explicitly change the chapter number for files in a folder as the files inherit this property from the folder.

7.3.6.Add a child book

You can also add books within books. These can be unstructured book files or DITA maps. You can now include multiple child books at multiple levels in a book.

1)Open the parent book in which to add a child book.

2)In the book window, choose Add > Files or click [image].

3)Navigate to and select the .book file you want to add as a child book and click Add. Double-clicking the child book opens it in a separate Resource Manager pod.

note: You can click the Browse URL button in the Add File dialog box to select a book residing on a WebDAV server.

A child book is treated as a placeholder within the parent book. You cannot edit a child book from within the parent book view. All maintenance tasks must be performed in the child book separately. For example, any book-wide operation on the parent book, such as spell check or find/replace works only on parent book files and not on the child book files. You should search and update child books separately.

Similarly, when updating a parent book for pagination and cross-references, ensure that you first update the child books and then update the parent book. This is because numbering and pagination information is stored at a book level. A book update on the parent book does not affect the page numbering within the files in a child book if the files in the child book are closed.

However, if the files from the child book are already open, then they are updated but not saved. You should always explicitly save all open files after a book update command or after applying a book-wide command.

When saving a parent book file as a PDF, FrameMaker updates information for only those files that belong to the parent book. To ensure that the information is correctly represented in the PDF for child books as well, do one of the following:

•First update all child books and then their parent books before saving a book file as a PDF.

•Open all files, including the files in the child books before saving the parent book file as a PDF. After creating the PDF, ensure that you save all the open files to preserve any updates.

7.3.7.Direction of a book

When you create a book and add documents to the book, the direction (LTR or RTL) of the book depends on the direction of the first non-generatable chapter or component in the book. For example, if a book contains some RTL documents and some LTR documents, the direction of the book is the direction of the first non-generatable document in the book.

Also, the direction of the lists (TOCs) and indexes in a book are based on the direction of the book.


Manage books

7.4.Manage books

7.4.1.Manage book files

Display filenames or heading text in the book window

1)Do one of the following:

•Click the Display Heading Text icon [image].

•Click the Display File Names icon [image].

Exclude book components from output

1)Right-click the book component to exclude and select Exclude.

If you exclude a folder or group, all files within the folder or group are excluded from the outputs. When you update a book, the numbering is automatically updated to account for the excluded files.

Select book components

Select all book components

Choose Edit > Select > All.

Select all generated files in a book

Choose Edit > Select > Generated Files.

Select all nongenerated files in a book

Choose Edit > Select > Nongenerated Files.

Select only FrameMaker files, such as .fm, .book, .mif files

Choose Edit > Select > FrameMaker Files.

Select all excluded files

Choose Edit > Select > Excluded Components

Select all the files that are not marked as Excluded

Choose Edit > Select > Nonexcluded Components.

Select all the book components at the first hierarchical level

Choose Edit > Select > Chapter Components.

Select all book components at the second hierarchical level

Choose Edit > Select > Section Components.

Select all book components at the third hierarchical level

Choose Edit > Select > Sub-section Components.

Rearrange and delete files

When working with structured books, you can rearrange and delete files by working with element bubbles in the Structure View. After you update the book, the text snippets identify the files.

If you delete a file from a structured book you’ve updated, the file may retain some structure information inherited from the book. Remove this information from the file to make it a stand-alone document again.

1)In the book window, select one or more files. Do either of the following:

•Drag the selected files to the desired position in the book window.

•Choose Edit > Delete. Filenames are removed from the book window, but the files remain on the disk.

Rename files

When you rename a file in a book, FrameMaker renames the corresponding file on the disk and updates cross-references, hypertext links, and text inset links in other files in the book.

When you add a generated file (such as a table of contents or index) to a book, the file is assigned a name based on the book’s filename. If you leave generated files with the default filename and rename the book, then the filename is changed in the book, but not on disk. If you rename the generated file so it doesn’t have the default name, renaming the book won’t rename the generated file.

For example, in New.book, you have a generated file with the default name NewTOC.fm. If you rename the book to Samples.book, FrameMaker renames the generated file to SamplesTOC.fm in the book window, but not on disk. But if you rename the generated file as Contents.fm and then rename the book, the generated TOC remains Contents.fm in the book window as well as on disk.

1)Select the file you want to rename, and either choose Edit > Rename or right-click and choose Rename.

2)Type the new name of the file and press Enter. When the alert message appears, click OK to update other files in the book.

Revert to a previously saved version

This procedure affects files that have been added or deleted, as well as settings that have been applied to documents in the book, such as numbering, pagination, color definitions, and file setup specifications. The contents of documents are not changed.

1)Choose File > Revert to Saved Book.

note: This command clears the command history. To undo only selected commands, use the History pod instead of Revert To Saved Book.

Open, close, or save files

You can use a book window to open, save, print, and close individual files in a book. You can also open, save, and close all the files in a book and print and update the format of several files or all files.

When you open a non-FrameMaker document from the book window, the appropriate application, if available, is launched.

1)Do one of the following:

•To open one file in a book or map, make sure only the file is selected and double-click it.

•To open several files in a book, select the files you want to open and press Enter.

•To open all files in the book, hold down Shift and choose File > Open All Files in Book.

note: Using Open All Files in books can be time consuming if there are many cross-references and text insets to update in the file. You can suspend the automatic update of cross-references or text insets by choosing Edit > Suppress Automatic Reference Updating from a book window, selecting the appropriate check box, and then clicking Set. When you open an individual document that has settings for automatic update, cross-references and text insets are still updated.

•To close all files in a book, hold down Shift and choose File > Close All Files In Book.

•To save all files in a book, hold down Shift and choose File > Save All Files in Book. The book file is also saved.

Compare documents

FrameMaker can compare two versions of a document to show you what has changed. FrameMaker compares not only the text in the two versions, but also the footnotes, markers, anchored frames, text insets, variables, and cross-references.

note: For structured documents, FrameMaker additionally compares the structure of the two documents and optionally can compare the attributes within those structures

1)Open both versions of the documents.

2)In the document window of the newer version, choose File > Utilities > Compare Documents.

3)Specify the older version of the document to be compared.

4)Choose the report format. You can either have a summary document or a composite document.

The summary document gives a report of the differences in the files. Composite documents (which have a CMP suffix) show the differences in the files side by side.

5)To set up the comparison options, click Options. The options screen is displayed as follows:

Comparison options

note: To compare attributes within the structures, select Compare Attributes For Elements. If this option is not selected, attributes within the structures are not compared.

6)Click Compare. The results are displayed in the selected reporting format.

7)All differences are displayed with Track Changes. You can accept or reject the changes as desired.

Apply book-wide commands

Many FrameMaker commands can be used across some or all documents in a book. You can change view options, spell-check, or change the page layout of selected files in the book, among other options.

If the document associated with a book is open, FrameMaker applies the book-wide command to the document, but the document is not saved or closed. Therefore, in the case of open documents, you should explicitly save the changes before you close them.

If the document associated with the book is closed, FrameMaker silently opens the document, applies the book-wide commands, then saves and closes the document. If FrameMaker is unable to open a closed file or if other problems occur when you apply the command to a selected file, a message appears in the Book Error Log.

1)In the book window, select the file or files you want to change.

2)Choose the desired command, such as Edit > Spelling Checker.

tip: For .mif and .xml files, open the files before applying a book-wide command.

In structured documents, you can edit attributes, set available elements, and set new element options in the book.

7.4.2.Add metadata to books and documents

Metadata tags travel with a document and describe its content. If you export the file to PDF, much of this metadata will appear in Adobe® Acrobat®.

Metadata, or file information, is descriptive information that can be searched and processed by a computer. Use it to provide information about the contents of a document, and to preserve information about a document that will be opened in other Adobe applications. If you export the file to PDF, much of this metadata will appear in Acrobat.

By embedding them in your documents, you make the documents easier to track, manage, and retrieve.

note: Metadata in a book file sometimes overrides metadata in a document file. If your document is part of a book file, open the book file and select the document before you add metadata.

1)Make the appropriate document window or book window active. If a book window is active, select the documents you want to affect.

2)Choose File > File Info.

3)Enter the desired information in the box next to any or all categories.

4)For Marked, choose Yes if the document is copyrighted, or No if the document is explicitly in the public domain. Choose Unknown if you’re not sure.

5)Click Set.

7.4.3.Document and page numbering

About numbering

Each file in a book can have its own numbering system. For example, you might start page numbering at i on the title page, at 1 in the first chapter, and then number continuously through subsequent chapters. You can also add volume, chapter, section, and sub section numbers to page numbers—for example, the chapter 2in the page number 2-1. All body pages in a document have the same numbering style.

The numbering properties in the book will override the numbering properties in documents that belong to the book. If you are setting up page numbering in a book, make sure you change the numbering properties by selecting documents in the book window instead of making changes in the individual documents.

You can change volume, chapter, section, sub section, page, paragraph, footnote, and table footnote numbering in your documents.

After you set up numbering in books, you can add Volume Number, Chapter Number, Section Number, Sub Section Number, and Current Page # variables to page headers and footers. You can also use the <$volnum>, <$chapnum>, <$sectionnum>, <$subsectionnum>, and <$pagenum> building blocks to cross-reference formats, paragraph auto numbers, or generated files.

Numbering for files in a folder

Numbering for files within a folder is also determined by the level at which the folder exists in the book. For a file inside a first level folder, the chapter number is inherited from the parent book and cannot be edited. You can only set the section number for the files. For a file in a first level folder the Chapter tab is disabled in the Numbering Properties dialog box.

Similarly, a file within a second level folder inherits the chapter and section numbers but you can set the sub section numbers.

Numbering for files in a child book

In case of a book within a book, the number settings are determined by the level at which the child book is included. For example, all files in a child book at the first level inherit the chapter number from the parent book but the section numbers increment for each file in the child book.

note: Generated files, such as the TOC or an Index file for a parent book having child books do not reflect any custom numbering settings on the child book. For example, the TOC of the parent book shows Numeric [14] page numbers even when the numbering for files in the child book is set to Roman [XIV].

Related links:

Numbering in HierarchicalBooks

Set up numbering

1)If the document is part of a book, open the book and select the document in the book window.

2)Choose Format > Document > Numbering.

3)Select an option from the pop-up menu.

4)Set options.

note: If a book window was active when you opened the dialog box, you can select Read From File, which uses the numbering value specified in the associated document. If you selected more than one file in the book window, you can choose As Is to use the numbering values specified in the selected documents.

5)Click Set.

Insert book component numbers in cross-references

1)Create a cross-reference format that includes the volume, chapter, section, or sub section number building block. The cross-reference format might look like this: See page <$chapnum><$sectionnum><$subsectionnum><$pagenum>–

tip: To keep the chapter number on the same line as the page number, use a nonbreaking hyphen in the cross-reference format.

Include book component numbers in headers and footers

To number pages by chapter, you can use a Chapter Number (or Volume Number) variable or a running header/footer variable for the chapter numbers. You can also use Section Number or Sub Section Number variables. The numbers are updated automatically whenever you update the book.

1)Display the master page that contains the header or footer.

2)Place the insertion point in the header or footer where you want to add numbering and double-click the variable you want to add from the Variables pod.

3)Insert the appropriate punctuation, such as a hyphen or period.

4)To add page numbering, choose Format > Headers & Footers > Insert Page #.

The header or footer should look like this on a body page:

A. Chapter number variable (<$chapnum>) B. Current Page # variable

Include the total page count of a book in a header or footer

You may want a header or footer to show the total number of pages of a book—for example, 4 of 200 on page 4 of a 200-page book.

When you insert the page count in a file’s header or footer with the Page Count variable, the header or footer shows the number of pages in that file, not in the entire book. To show the number of pages in a book, you can use a cross-reference to a special paragraph you create.

1)Set up the files in the book for continuous page numbering.

2)Display the master page for the last page of the last file in the book, and place the insertion point in an otherwise empty paragraph of the header or footer.

3)Insert the Page Count variable by choosing Format > Headers & Footers > Insert Page Count.

Page Count variable in a separate paragraph

4)Create a paragraph format for the paragraph with the page count and store it in the Paragraph Catalog. Having a unique format for this paragraph makes it easier to cross-reference it later.

5)If you don’t want the page count to appear where you put it, either resize the text frame so the page count is hidden or set the paragraph’s color to White.

6)In the other files in the book, insert cross-references to the paragraph with the page count on each master page of each document. The cross-reference format should use the <$paratext> building block.

7)Put the cross-references in the header or footer on each master page of each file in the book, including the last one.

Related links:

Set up numbering

7.4.4.Print a book file

In structured documents, element boundaries (either as brackets or as tags) are printable characters. Hide these boundaries before you print.

1)Update the book before you print files from it.

2)In the book window, do one of the following:

•Select the file or files you want to print, and then choose File > Print Selected Files.

•Choose File > Print Book.

3)Specify printing options and click Print.

Related links:

Print documents

Create a PostScript file

You can create a description of a document called a PostScript file (also called a print file). You might use a PostScript file to download the document later to a PostScript printer or to send the document to a service provider for typesetting.

Create a single print file from a document

1)Choose File > Print.

2)Select Print to File and enter the path and filename in the text box, or click Browse to specify a folder and filename.

Create a single print file for a book

1)In the book window, choose File > Print Book, or select the documents you want to print and choose File > Print Selected Files.

2)Select Print to File and enter the path and filename in the text box, or click Browse to specify a folder and filename.

3)Choose Single File from the Save Book As (or Save Selected Files As) pop-up menu. Then click Print.

Create a series of separate print files for a book

1)In the book window, choose File > Print Book, or select the documents you want to print and choose File > Print Selected Files.

2)Select Print to File and enter the path and filename in the text box, or click Browse to select a folder and type a filename.

3)Choose Single File or Separate File for Each Document from the Save Book As or Save Selected Files As pop-up menu. Then click Print.

7.4.5.Change and import formats

You can make format changes in one file and then update all the files in a book by importing the formats from the updated file. To change the format of a subset of files in a book, you can select the files in the book window and then apply the formatting to the selected files.

important: The format rules in element definitions often specify overrides so that a file can use as few catalog formats as possible. Normally, when importing formats into a structured book, you should not remove format overrides.

FrameMaker merges the new formatting information into the document rather than replacing the existing information.

If a file isn’t open, it’s updated on the disk. If a file is open, it’s updated only in your computer’s memory and not on the disk. You must save the file to keep the changes.

Import formats into book files

1)Open or create the file that contains the formats you want to use. The file must be named and saved.

2)In the book window, select the file or files you want to change, and then choose File > Import > Formats.

3)From the Import From Document pop-up menu, select the file or template with the formats you want to import.

4)Select the settings you want to import and update. If you’re updating cross-reference formats, math definitions, or variable definitions that use character formats, also select Character Formats.

5)If you want to remove formatting changes you made but didn’t save in a catalog, do the following:

•To remove page breaks that are not part of a paragraph format, select Manual Page Breaks.

•To remove paragraph, character, page layout, and table formatting overrides, select Other Format/Layout Overrides.

In most cases, you should not select Other Format/Layout Overrides in a structured book because the element definitions may use format overrides. However, you can select Other Format/Layout Overrides in an unstructured book without any repercussions.

6)Click Import.

Related links:

About formatting overrides

Import element definitions into structured books

The definitions are stored in the Element Catalog for the book and the other files. You may need to import element definitions in the following cases:

•To add structure to an unstructured book. After importing the definitions, you can insert elements in the book file.

•To update the element definitions in a book or its files. You need to update definitions whenever the application developer revises the definitions in your template.

•To give a book and all its files the same element definitions. You may want to update a book if its files were created from different templates.

When you import element definitions into a book, FrameMaker replaces the definitions in the book and all its files with the new definitions and reapplies format rules from the definitions. It also validates the book file.

1)Open the book you want to update and the template, document, or book with the definitions to import.

2)In the book window, select the files into which you want to import element definitions, and choose File > Import > Element Definitions.

3)Choose the template or document from the Import From Document pop-up menu. The menu lists all open, saved documents and books.

4)To remove format rule overrides in the files, select While Updating, Remove Format Rule Overrides. Use this setting if you have made text or paragraph formatting changes to elements and now want to return to the formatting described in the element definitions.

5)Click Import. FrameMaker updates the element definitions in the book file and in the files listed in the Update scroll list.

7.4.6.Set up a book file to create a master TOC or index

When you produce several related books, you may want to create a master table of contents (TOC) or index for the books.

1)Create a book file that contains the files in all the books in order.

If you’re adding files that were generated in the original books, add them to the new book as document files. If you need to update those generated files, do so from their original book file, not from the master book file.

2)Add a table of contents, an index, or other generated file to the new book file. This generated file will be the master file.

3)Using the book window, specify how volume, chapter, and page numbers for each document should appear in the master generated file.

note: When you update the book, the book’s numbering options will override the documents’ numbering options, unless you select Read From File.

4)Using the book window, specify the appropriate pagination and page layout options.

5)Generate and update the file.

Related links:

Tables of contents and other lists

Document and page numbering

Page layouts


Generate and update books

7.5.Generate and update books

After setting up a book and specifying page and paragraph numbering for each file in the book, you need to generate and update the files. Although you generate and update in one step, the two processes are different.

Generating creates the table of contents, other generated lists, and indexes in the book file. The first time you generate a list or index, it uses the page layout (master pages) and reference pages of the first nongenerated document in the book file.

Updating corrects numbering, revises cross-references so they reflect the numbering, reimports text insets, and adds or deletes empty pages where required. For structured documents it also revises the book’s element tags from information in the files and reapplies format rules from the book’s element definitions.

Be sure to generate and update a book whenever you make any of the following changes to a document or a book file:

•Editing that affects pagination, such as content addition

•Rearranging, adding, excluding, or removing files in the book

•Changing \ text settings or indicators

•Editing that affects a generated file, such as changing a chapter title or adding a Section element in a structured document

•Changing the setup of documents or generated files

•Changing formatting information in the special text flow on a reference page of a generated file

•Adding a new color (so that color separations will be accurate)

•Importing new or revised element definitions (structured documents)

•Changing the highest-level element in one of the book’s files (structured documents)

7.5.1.Update a book

1)In the book window, choose Edit > Update Book, or click the Update Book icon [image].

2)Select whether you want to update numbering, cross-references, text insets, or generated files, such as tables of contents and indexes.

3)Move the names of the files you want to generate to the Generate scroll list.

To move a filename between scroll lists, select the filename and click an arrow or double-click the filename. To move all filenames from one scroll list to the other, Shift-click an arrow.

note: If no files are present, the book has no generated files. If no files appear in the lists—or if you move all the files to the Don’t Generate list—you should still continue to the next step to update the book’s pagination, numbering, text insets, and cross-references.

4)Click Update.

5)Save the open files to keep the changes. Open files are updated only in your computer’s memory and not on the disk. If a file isn’t open, the changes are made on the disk—even if the file is in the View Only format.

7.5.2.Update a book with child books and XML files

When you update a parent book, the child book files are not automatically updated. To update the numbering and cross-reference information in child book files, make sure all child book files are open before you update the parent book. Updates to the child book files are not saved and you are prompted to save changes when you close them.

Similarly, if an XML file is already open, FrameMaker updates the numbering but does not save the changes. Therefore, when you close the XML file you may be prompted to save changes.

Generated files, such as table of contents or index files from the child book are not included in the published output. This is because the generated files in the parent book contain information for the child book files as well. Also run book-wide operations separately for each book.

7.5.3.Update a structured book

Before you update a structured book the first time, each file in the book is represented by an element called BOOK-COMPONENT. When you update, the element for each structured file changes to the tag of the highest-level element in that file—typically a tag such as Chapter that describes the file as a whole. (If a file has more than one flow, the tag comes from the highest-level element in flow A.)

The elements for any unstructured files in the book are still called BOOK-COMPONENT. To change BOOK-COMPONENT to an element tag, add structure to the files and then generate and update again.

7.5.4.Remove inherited information from structured files

When you generate and update a book, the files in the book inherit structure information from the book file. A file’s Element Catalog may have inclusions and exclusions from the book, and other inherited information in the file may affect the formatting of its text elements.

If you delete a file from a book to use the file as a stand-alone document, reapply the file’s element definitions to remove any structure information that came from the book. If the file’s text formatting was affected by this structure information, reapplying the definitions also restores the file’s original formatting.

1)Make the appropriate document window or book window active. If a book window is active, select the documents you want to affect.

2)In the file, choose File > Import > Element Definitions.

3)Leave the Import from Document pop-up menu set to Current, select While Updating: Remove Information Inherited from Book, and click Import.

7.5.5.Edit and validate book structure

A new book file has a structure with a highest-level element called NoName and an element called BOOK-COMPONENT for each document and generated file you added to the book. When you update the book, the elements for structured files change to the tag of the highest-level element from the file.

In most cases, you need to make a few corrections in the structure of a book file after updating. For example, you should change the NoName element to the highest-level element defined for the book. And if any file elements are still called BOOK-COMPONENT, add structure to those files and then generate and update again.

The book’s element definitions may also require you to group elements in higher-level elements such as FrontMatter, Body, and Appendixes.

Typical structure for a book file

tip: To open a file quickly, double-click its bubble in the Structure View.

You can edit the structure of a book in most of the same ways that you edit a document—by inserting, wrapping, and changing elements; merging and splitting; dragging and deleting bubbles in the Structure View; and so on. However, you cannot merge or split elements that represent files, and you cannot undo a cut or paste in a structured book that contains anything other than the default structure.

Validate structure

You can validate an entire book (including its files), only the book file, or only the current element in the book file. If you validate the entire book, the structure of the book and each file is checked against the Element Catalog for the book.

1)In the book window, choose Element > Validate.

2)Select Entire Book, Book Elements Only, or Current Element to specify the scope of the validation.

3)To exclude missing elements or attribute values from the search, turn on Ignore Missing Elements or Ignore Missing Attribute Values.

If these settings are on, FrameMaker does not look for places where a required child element or a required attribute value is missing. You may want to turn these on if you are not trying to build a complete book at this time.

4)Click Start Validating.

5)If FrameMaker finds an error, specify whether to allow the error to remain, and then click Start Validating again.

The top part of the Element Validation dialog box shows the tag of the element and a brief message about the problem.

6)Repeat step 5 until FrameMaker does not find any more errors.

Related links:

Import element definitions into structured books

Clear all special cases

1)Choose Element > Validate.

2)Click Clear Special Cases. FrameMaker clears the special cases in the entire book, only the book file, or only the current element—whichever scope is selected in the dialog box.

Related links:

Generate and update books


Tables of contents and other lists

7.6.Tables of contents and other lists

7.6.1.About generated files

A generated file is a file FrameMaker creates by extracting paragraphs or marker text from a single source document or from several documents in a book. Each time a generated file is updated, all paragraphs and marker text is updated with the current text from the source documents. This way, FrameMaker keeps generated files, such as tables of contents and indexes current and accurate.

You can generate several types of lists and indexes in addition to a table of contents and standard index. For example, you can generate lists and indexes that contain text from paragraphs or from markers that you inserted in text. The result may be a table of contents based on heading paragraphs, a list of illustrations based on figure titles, or an index based on special author markers. Most lists and indexes fall into three categories: lists of paragraphs (or elements in structured documents), lists of markers, and indexes of markers. A fourth category, lists, and indexes of references, is used less often.

7.6.2.About tables of contents and other lists

In Adobe FrameMaker, tables of contents (TOCs), lists of figures, and other such lists are generated from the text of specified paragraphs in a set of documents. An index is generated from markers you insert in documents.

A table of contents or other generated list is based on the content of its source. The source can be either a single document or a group of documents in a book. In most cases, you must prepare the source documents to get the results you want.

Lists of paragraphs

Lists of paragraphs contain the text of specified paragraphs (those with the tags you specify), with one entry per paragraph (or elements in structured documents). You can generate the following lists of paragraphs (or elements in structured documents):

•Tables of contents, which contain headings of specified levels, listed in the order in which they occur in the source documents

•Lists of figures, tables, or paragraphs (or elements), which contain figure captions, table titles, or the text of other specified paragraphs, listed in the order they occur in the source documents

•Alphabetical lists of paragraphs (or elements), which contain the same information as the other lists but present them in alphabetical order

note: Tables of contents and lists support the Unicode text encoding standard.

Lists of markers

Lists of markers contain entries corresponding to the markers inserted on body pages in the source document. The markers are manually inserted on body pages in the source document (normally as marker elements in structured documents), and the marker text appears in the generated list. For example, you could create a list of reviewers’ comments on a draft by generating a list of markers of type Comment. In a standard list of markers, entries appear in the order that they occur in the source document or book. You can also generate alphabetical lists of markers.

Indexes of markers

Indexes of markers include standard indexes, author and subject indexes, and indexes of other types of markers. The markers are manually inserted on body pages in the source document, and the marker text appears in the index. You can use syntax (building blocks) in the marker text to specify index levels and special page numbering, sorting, and formatting. Entries are sorted alphabetically, and entries with the same text are merged into a single entry with several page references.

An index of Cross-Ref markers

Lists and indexes of references

Lists and indexes of references help you track special categories of information. You can generate lists and indexes of condition tags, external cross-references, unresolved cross-references, fonts, text insets, unresolved text insets, and imported graphics.

7.6.3.Generate a table of contents or list

Before you generate a table of contents or other paragraph list, do the following to avoid problems in generated lists:

•Make sure that tags and elements are applied correctly and consistently. For example, use Heading1 for all first-level headings only.

•Make each item you want to include in the list a single paragraph. For example, you won’t get the desired results if a heading is two lines, with each line in a separate paragraph.

•Validate structured documents to make sure that they do not have structure errors.

note: You usually generate a list of references—such as a list of fonts or unresolved cross-references—for your own use while working with a document. You do not need to prepare the document before generating such a list.

Generate a table of contents or list for a book

1)Open the book window and select the file below where you want the generated file to appear.

2)Do one of the following:

•Choose Add > Table of Contents.

•Choose Add > List of, and then choose a type of list from the menu.

The items you see in the dialog box depend on the type of list you’re generating.

3)In the Add File pop-up menu, specify whether the generated list will appear before or after the current document.

4)Enter a suffix or keep the default one. The suffix indicates the type of generated file. For example, TOC is the usual suffix for a table of contents.

note: The suffix is not the same as the filename’s extension. The suffix is used with paragraph tags in the generated lists, and appears as part of the generated file’s filename, such as UserGuideTOC.fm.

5)Move items to the Include scroll list. To move an item between scroll lists, select the item and click an arrow, or double-click the item. To move all items from one scroll list to the other, Shift-click an arrow.

6)To have each entry in the generated list be linked to its source, select Create Hypertext Links. These links let you jump to the source of an entry by clicking the entry.

7)Click Add, and then click Update. FrameMaker generates the list. You can view the generated list by double-clicking its name in the book window.

8)Save the generated list in the same folder as the source document or book. If you want to rename the generated file, use the book window to do so—FrameMaker will rename it on the disk and update all references.

The first time you generate a list (if you don’t use a template), the list uses the page layout (master pages) of the first non-generated document in the book, and all entries look the same.

If the list already exists in the source document’s folder when you save it, save it in the same folder and don’t change the filename. That way, the list’s formatting is used when you generate the list again. Otherwise, formatting changes won’t be retained when you update the list.

tip: To use a template or an existing generated file in a new book file, add it to the book as a generated file. Then put the existing file in the folder that contains the book file, using the name that appears in the book window.

9)Save any open files in the book. Open files are updated only in your computer’s memory and not on the disk. If a file isn’t open, the changes are made on the disk.

Related links:

Formatting lists and indexes

Generate a table of contents or list for a single document

1)Do one of the following:

•Choose Special > Table of Contents.

•Choose Special > List of, and then choose a type of list from the menu.

2)When prompted, specify whether you want to create the generated file as a stand-alone document or add it to a book.

If you choose Yes to create a standalone document, FrameMaker will create a generated list in the original document’s folder. If you choose No, FrameMaker adds the generated file to an open book, or creates a new book if necessary.

3)Enter a suffix or keep the default one. The suffix indicates the type of generated file. For example, TOC is the usual suffix for a table of contents.

note: The suffix is not the same as the filename’s extension. The suffix is used with paragraph tags in the generated lists, and appears as part of the generated file’s filename, such as Chapter1TOC.fm.

4)Move paragraph tags, marker types, or reference types to the Include scroll list. To move an item between scroll lists, select the item and click an arrow, or double-click the item. To move all items from one scroll list to the other, Shift-click an arrow.

5)To have each entry in the generated list be linked to its source, select Create Hypertext Links. These links let you jump to the source of an entry by clicking the entry.

6)Do one of the following:

•If you are creating a stand-alone list, click Set. FrameMaker generates and displays the list.

•If you are adding the list to a book, click Add, and then click Update. If a new book is created, choose File > Save Book As, and then save the book.

7)Save the generated list in the same folder as the source document or book.

The first time you generate a list (if you don’t use a template), the list uses the page layout (master pages) of the source document or of the first nongenerated document in the book, and all entries look the same. For information on changing the format of a list—changes that won’t be lost when you regenerate the list.

8)Save the list in the same folder as the source document or book.

Related links:

Formatting lists and indexes

Rename files

Generating TOCs and other lists in structured documents

Although the steps for generating TOCs and lists in structured documents are the same as for unstructured documents, consider the following additional points:

•A generated list is initially unstructured, but you can add structure to it. If a generated list is structured, you’ll lose the structure every time you regenerate it. Do not add structure to a list until it is in its final version.

•The items in the scroll lists vary depending on the type of list you’re gathering. For example, the element and paragraph tags in the source document appear for a table of contents. (Paragraph tags appear after element tags and are preceded by a paragraph symbol [image].) For a list of references, the available reference types appear.

•Some element tags may have context labels that provide information about the element’s location in the structure. For example, if Section elements can be nested within other Section elements, context labels might identify whether the elements are first-, second-, or third-level sections.

Context labels

•If an element uses context labels, a <no label> entry also appears in the scroll list for occurrences not described by the labels. In the example above, Section (<no label>) represents Section elements that are at a fourth level or lower in the document.

•If an element has more than one paragraph, only text from the first paragraph will appear in the generated list. For example, the first paragraph within a Section element—usually its Head—will appear.

•The first time you generate a list (if you don’t use a template), it uses the page layout (master pages) of the first non-generated document in the book, and all entries look the same. The list also has element definitions from the source document.

Related links:

Generate indexes

Add a title or other static text to lists and indexes

If you want to add a title or other unchanging text in your list or index, add it after you generate the list or index the first time.

You can also add static text to a template and then use the template to format a list or index.

1)Type the title before the first entry on a body page.

2)Use the Paragraph Catalog to give the text a special paragraph format for static text; or create a new paragraph format for the title.

3)If you create a new paragraph tag, make sure it does not end with the suffix assigned when you created the generated file, such as IX for a standard index or TOC for a table of contents. When you generate the index again, FrameMaker replaces only the paragraphs that have tags ending with the suffix.

Related links:

Format a list or index with a template

7.6.4.Generate a miniature table of contents

FrameMaker allows you to add a miniature table of contents (mini TOC) at a document level. This feature is currently supported for unstructured documents only. A mini TOC improves the readability and eases the navigation in a long document. The mini TOC features eliminates the old manual technique of adding cross-references of each heading in your document to mimic a mini TOC. With this feature you can automatically create, sort, and insert a mini TOC at a specified location in your document.

You can change the formatting and style of a mini TOC in the same way as you would do for a regular TOC. For more information about formatting the mini TOC, see Update a mini TOC. Once a mini TOC is included in a document, you can publish it in all supported output formats.

If you are working in a right-to-left (RTL) document, then the direction of the mini TOC is based on the direction of the document (Format > Document > Direction). This implies that even if all the content in a document is based in a left-to-right (LTR) language, but the direction of the document is RTL, the direction of the mini TOC will also be RTL.

Create a mini TOC

1)Open the document in which you want to insert a mini TOC.

2)Click where you want to insert the mini TOC.

3)Choose Special > Table of Contents > Create Mini TOC.

4)Move paragraph tags to the Include scroll list. To move an item between scroll lists, select the item and click an arrow, or double-click the item. To move all items from one scroll list to the other, Shift-click an arrow.

5)To have each entry in the generated list be linked to its source, select Create Hypertext Links. These links let you jump to the source of an entry by clicking the entry.

6)Click Set.

A new mini TOC is created and placed in your document. Once you save the document, FrameMaker creates new paragraph tags with suffix MTOC for all paragraph tags that were used to make up the mini TOC. Also, a new reference page (MTOC) is added in the document.

Update a mini TOC

If you update a heading or change the formatting of the mini TOC from the reference page, the change is not reflected until you update the mini TOC.

1)Make changes to the headings in your document.

2)Right-click on the mini TOC and select Update Mini TOC from the context menu.

note: You can also choose Special > Table of Contents > Update Mini TOC.

3)Click OK on the alert message.

note: If you want to change the headings that make up your mini TOC, then delete the existing mini TOC and recreate a mini TOC.

You can also update the look and feel of the mini TOC by changing the paragraph formats used to generate the mini TOC. You can simply open the paragraph tag (with MTOC suffix)r in the paragraph designer, make the required changes, and update the paragraph tag definition. You can also use the reference page (MTOC) to make the required changes.

Delete a mini TOC

To delete a mini TOC, right-click on the mini TOC and select Delete Mini TOC from the context menu. Alternatively, choose Special > Table of Contents > Delete Mini TOC to delete the mini TOC.

7.6.5.Embed TOCs in a document

If you want a small table of contents embedded at the beginning of the source document instead of in a file of its own, you can set up the table of contents with cross-references. A special cross-reference element should already be defined for structured documents.

A TOC embedded at the start of a document

FrameMaker does not automatically maintain this type of table of contents. If you change the order of references or delete a heading while editing the document, you’ll need to rearrange the entries or delete an entry in the table of contents yourself.

You can also generate a separate table of contents and then import the generated file by reference at the beginning of the source document. In this case, the text inset with the table of contents is automatically updated when the table of contents changes.

Embed a TOC in a document by using cross-references

1)Create a cross-reference format that formats text the way you want the table of contents entries to look. Typically, this format would contain the <$paratext> and <$pagenum> building blocks.

2)At the start of the document, set up a cross-reference to each paragraph you want to appear in the table of contents. Use the cross-reference format you created in the previous step.

Embed a TOC in a structured document by using cross-references

1)For each item you want to appear in the table of contents, insert a cross-reference element. The document may also have paragraph elements defined for formatting. See your application developer for information.

note: Make sure that the sequence of entries in the table of contents reflects the sequence of source elements in the document. This isn’t automatic as it is with a generated table of contents.

Embed a TOC in a document as a text inset

1)Generate a table of contents.

2)Import the table of contents into a document.

Maintain a TOC embedded in a document

1)Do the following:

•If you change the order of paragraphs or source elements while editing the document, rearrange the cross-references to be in the same order. Then update the cross-references.

•If you delete a paragraph or source element, delete the cross-reference to it.

7.6.6.Update and edit TOCs and lists

You update entries in a list by editing their corresponding paragraphs or markers in the source document and then regenerating the list. If you edit entries by typing directly in the list, your changes will disappear when you regenerate it.

For example, if you fix a typing error directly in a table of contents, that error will reemerge the next time you generate because it still exists in the source paragraph. To permanently fix an error, you must correct it by changing the paragraph or marker text in the source document and then regenerating the list.

important: If a generated list is structured, you’ll lose the structure every time you regenerate it. Do not add structure to a list until it is in its final version.

Update a TOC or list that is part of a book

1)Make changes to the source documents as needed.

2)In the book window, choose Edit > Update Book.

3)Move the lists you want to update to the Generate scroll list, make sure Generate Table Of Contents, Lists, and Indexes is selected, and then click Update.

Add or remove paragraph tags from a TOC or list that is part of a book

1)Select the generated file (such as the table of contents) in the book window.

2)Choose Edit > Set Up Table Of Contents or Set Up List of type.

3)Move items between the list boxes as desired, and click Set. Then click Update.

Update a TOC or list that is a stand-alone document

1)Make changes to the source document as needed.

2)In the source document, choose the command (such as Table Of Contents) from the Special menu, and then choose Yes when prompted to create a standalone document.

3)Move items between the list boxes as desired, and click Set.

Find the source of list entries

When you need to revise an entry, you trace the entry back to the corresponding paragraph or element in the source document.

1)If you did not select Create Hypertext Links when you generated the list or index, select it now and regenerate the list.

2)In the generated list, Alt-Control-click an entry in a list.

FrameMaker opens the source document to the page that contains the corresponding paragraph and selects it. If the element is a marker, the marker text appears in the Marker pod.

Find and select a paragraph by using Find/Change

1)If you’re revising a marker element in a structured document, choose Special > Marker so you can see the marker text.

2)In the source document (not in the generated list), choose Edit > Find/Change.

3)Choose Paragraph Tag (unstructured documents) or Element (structured documents) from the Find pop-up menu. Enter the tag or element you want to find, and then click Find.

note: When a marker element is selected, the marker text appears in the Marker pod. Don’t click Change in the Find/Change dialog box to change the marker text. If you do, FrameMaker replaces the marker itself. Instead, change the text in the Marker pod, and then click Edit Marker.

Edit and delete list entries

1)In an unstructured document, edit or delete the paragraph text.

2)In a structured document, select the element, and do either of the following:

•Change the text in the Marker pod, and click Edit Marker.

•Press Delete.


Creating indexes

7.7.Creating indexes

7.7.1.Create index entries

In a typical index, entries are generated from markers and are sorted alphabetically. Entries with the same text are merged into a single entry with several page references. You can add special building blocks to marker text to control the form of the index entry—for example, to specify that it’s a sub-entry or a cross-reference to another entry.

Index entries

A. Main entry B. Subentries C. Cross-reference to another entry D. Page range

You can also create specialized indexes by using predefined marker types such as Subject or Author, or by using other marker types that you create.

note: Indexes support the Unicode text encoding standard.

Index marker placed in the source document, and the formatted entry appearing in the index

Inserting an index marker

1)Click where you want to insert the marker or select the word that you want to include in the Index and click Insert from the Markers pod. You can insert markers only in text frames.

2)Choose a marker type from the pop-up menu. Typically, you’ll use the Index marker type. To create several indexes for a document—for example, a subject index and an author index—use a different marker type for each.

3)Enter the text of the index entry in the Marker pod. You can enter up to 255 characters (127 Japanese double-byte characters). You can also use any of the following building blocks in marker text to control the form of the index entry and its location in the index.

Building block | Meaning
: (colon) | Separates levels in an entry
; (semicolon) | Separates entries in a marker
[ ] (brackets) | Specifies a special sort order for the entry
<$startrange> | Indicates the beginning of a page range
<$endrange> | Indicates the end of a page range
<$nopage> | Suppresses the page number in the entry
<$singlepage> | In a marker that contains several entries, restores the page number for an entry that follows a <$nopage> building block
Character tag between angle brackets ( < > ) | Changes the character format (for example, <Emphasis>)
<Default Para Font> | Restores the paragraph’s default font

If you’re working in Japanese fonts, enter all these building blocks except the brackets ([ ]) using single-byte characters.

note: To enter a backslash or any special character used in these building blocks—colon, semicolon, bracket, or angle bracket—as regular characters, precede it with a backslash ( \ ).

4)Click New Marker. A marker symbol [image] appears when text symbols are visible.

Related links:

Add, edit, or delete markers and marker types

Insert index marker elements (structured documents)

1)Click where you want to insert the marker.

2)Select a marker element in the Element Catalog and click Insert.

You can also use Special > Marker to insert an element. If more than one marker element is available, choose the one you want from the Element Tag pop-up menu in the dialog box.

3)To change the marker type, choose from the Marker Type pop-up menu. Changing to another type is not a format rule override, even if the element has a type preselected.

Consult your developer before changing a marker type. Your document may have a separate element defined for each marker type you’ll need.

You can generate an index from the predefined Index, Subject, and Author marker types. Some custom types may also be available.

4)Type the text of the index entry. You can enter up to 255 characters (127 Japanese characters). You can also use any of the following building blocks in marker text to control the form of the index entry and its location in the index.

Building block | Meaning
: (colon) | Separates levels in an entry
; (semicolon) | Separates entries in a marker
[ ] (brackets) | Specifies a special sort order for the entry
<$startrange> | Indicates the beginning of a page range
<$endrange> | Indicates the end of a page range
<$nopage> | Suppresses the page number in the entry
<$singlepage> | Restores the page number for an entry that follows a <$nopage> building block in a marker that contains several entries
Character tag between angle brackets ( < > ) | Changes the character format (for example, <Emphasis>)
<Default Para Font> | Restores the paragraph’s default font

note: To enter a backslash or any of the special characters used in these building blocks—bracket, colon, semicolon, or angle bracket—as a regular character, precede it with a backslash ( \ ).

5)Click New Marker. If text symbols are showing, a marker symbol [image] appears in the document window. A bubble for the marker appears in the Structure View, with a text snippet that shows the beginning of the marker’s text.

6)If the Attributes for New Element dialog box appears, enter attribute values for the marker element and click Insert Element.

7)If no marker element is available at the location you want, you might use an invalid element. After inserting the element, talk to your developer about making the element valid at this location.

Insert an index marker without typing

1)To reduce or eliminate typing when creating index markers, do one of the following:

•Insert an empty marker or marker element (with no text in it) at the beginning of the word. When you generate the index, the text to the right of the marker, up to the first space, becomes the text of an entry.

•To use text that appears in the document as the marker text, simply select the text in the document. As long as the selected word or phrase doesn’t contain a marker, it automatically appears in the Marker Text box.

Place several entries in one marker

1)Type several entries in the marker, using a semicolon (;) between entries, as in the following examples.

Marker text | Result in index
Abrasion; Water erosion | Abrasion 10 Water erosion 10
<$nopage>Erosion. See Abrasion;<$singlepage>Abrasion | Abrasion 10 Erosion. See Abrasion

In the second row of the example, the <$nopage> building block affects subsequent entries in the marker. To return to a single page number, <$singlepage> is included with the next entry in the marker.

You can type any number of spaces after the semicolon to improve readability. Initial spaces are ignored when compiling the index unless they’re special ones such as nonbreaking or em spaces. (If you’re working in Japanese fonts, only single-byte space characters are ignored.)

Create an index subentry

You can group several entries under one entry for a larger category of information by marking them as subentries. You can also create subentries to subentries.

Subentries

1)Separate the entry from the subentry with a colon (:). For example, to create the first subentry in the illustration, enter Continental drift:fossil evidence

A subentry is always preceded by the entry to which it is subordinate. If you need two subentry levels, place a colon between the subentry and the sub-subentry. For example, enter Continental drift:fossil evidence:dating of

Create a cross-reference in an index entry

Indexes often contain cross-reference entries to direct readers to related terms. This makes it unnecessary to duplicate the entries and page numbers for related terms that already appear in the index.

Cross-references

Cross-references can also appear as subentries (usually preceded with See also, as in the illustration). You can sort subentries so that they appear at the top or bottom of the list under the same main entry.

1)Insert a marker and use <$nopage> at the beginning of the marker text to prevent a page number from appearing with this entry. For example, to create the first cross-reference in the illustration, enter <$nopage>Abrasion. See also Sandstone

Related links:

Change sort order

Use page ranges in index entries

You can use a page range such as 36–37 to mark information that spans several pages.

You can create a page range in an entry by manually inserting two markers to indicate the range, one at the beginning of the range and the other at the end. You can also have FrameMaker create page ranges for you automatically whenever the same marker text occurs on consecutive pages of a document. For example, instead of 3, 4, 5, the entry would automatically appear as a page range (3–5).

Manually create a page range for an index entry

1)Insert an index marker at the beginning of the information, with <$startrange> at the beginning of the marker text. For example, to create the first page number in a range, enter <$startrange>Continental drift:fossil evidence

2)Add an index marker (or marker element, if working with a structured document) at the end of the information, identical to the first except that you enter <$endrange> rather than <$startrange> at the beginning of the marker text. For example, to create the second page number in a range, enter <$endrange>Continental drift:fossil evidence

If both markers appear on the same page, the page range collapses to a single page number.

Automatically create page ranges in an index

1)Display the reference page that contains the special text flow for indexes.

2)Type the <$autorange> building block at the beginning of the paragraph whose tag begins with the marker type.

To collapse the entries generated from markers of type Index into page ranges when possible, edit the paragraph tag IndexIX to contain the following building blocks: <$autorange><$pagenum>

Related links:

Edit special text flow for a list or index

7.7.2.Format text in an index entry

You can change the character format of specified text or of the page number in an entry. For example, you may want a book title to appear in italics, or you may want a particular page number to appear in bold. The character format must be stored in the Character Catalog of the index.

Character formatting.

1)Enter an index entry.

2)To format part of the entry in a character format, do one of the following:

•To format specific text in an entry, type the character tag between angle brackets ( < and > ) before the text and type <Default Para Font> after it. For example, to create the entry “Tidal Waves See Tsunami,” you might enter this marker text: Tidal Waves <Emphasis>See <Default Para Font> Tsunami

Character format tags affect only the entry they precede. For example, <bold>fruit:strawberry would generate a two-line entry that shows “fruit” as bold and “strawberry” without bold. To format both entries in bold, enter <bold>fruit:<bold>strawberry

•To format only the page number, type the character tag between angle brackets at the end of the marker text. For example, to create the entry “Erosion 24,” you might enter this marker text: Erosion<Bold>

tip: If you’re using a special character format for many—but not all—page numbers in an index (for example, to use bold for principal entries), you may want to create a custom marker type with that formatting.

Related links:

Change paragraph and character formats of entries

Add, edit, or delete markers and marker types

7.7.3.Work with group titles in indexes

Index entries are initially grouped one letter at a time—all the As, all the Bs, and so on—using the uppercase letter as a group title. In a small index or when only a few entries appear under some letters such as X, Y, and Z , you may want to group letters differently and change the group titles.

FrameMaker inserts group titles as if they were index entries but uses a different paragraph format. It uses the labels and sort positions you specify in the GroupTitles paragraph in the special text flow.

An edited GroupTitles paragraph on the IX reference page

A. Sorting information B. Group title

The result in the index

Change the groupings and group titles

1)Choose View > Reference Pages, and display the reference page that contains the special text flow for the index.

2)Edit the GroupTitles paragraph in the special text flow. For example, edit the group titles (the characters between semicolons, excluding bracketed text), or delete group titles you don’t want. Type text between brackets ( [ ] ) to specify where you want the group titles sorted.

For example, to collapse all entries that start with V through Z into a single group whose title sorts under V, edit the GroupTitles paragraph so that its last entry is V–Z[V].

tip: The first two entries in the GroupTitles paragraph define what group titles to use for symbols and numbers and where to place these titles. You can change the titles, but changing the sort information of these two groups might give unexpected results.

Create an index without group titles

1)Edit the GroupTitles paragraph in the special text flow to look like this:

Create an index with neither a group title nor a space between entry groupings

1)Delete all the text in the GroupTitles paragraph in the special text flow, but don’t delete the paragraph symbol.

Create quick access to group titles in a hypertext document

1)Generate clickable thumbtabs to the group titles to make navigating through the index easier.

7.7.4.Change sort order

Indexes are sorted so that special symbols appear first, numbers appear second, and alphabetic characters appear last. By default, a few punctuation characters are ignored in sorting, and alphabetic characters appear in the correct sort order for the English language.

note: When generating indexes in multilingual documents, symbols sort based on the Unicode Collation Algorithm (UCA) of the Unicode text encoding standard.

Specify sort order for an index entry

You can change where an entry appears in the index by specifying a sort order. For example, even though 486 would normally appear with other numbers in the index, you may want it to appear under F (as if it were spelled out as four eighty-six). Similarly, if you’re using a See also cross-reference in a subentry, you can ensure that it is the last one under the main entry.

1)Add text between brackets ([ and ]) at the end of the marker text, indicating exactly how you want the entry sorted.

Index marker text | Result in index | Explanation
1950s[Nineteen fifties] | Neap tides 47 1950s10 North America 21 | Sorts under N (for Nineteen fifties)
Erosion:of soil [Erosion:soil] | Erosion rate 32 of soil 10 | Ignores the word of
<$nopage>Erosion: see also Wind [Erosion:aaa] | Erosion see also Wind rate 16 | Sorts as the first entry under Erosion
<$nopage>Erosion: See also Wind [Erosion:zzz] | Erosion rate 16 See also Wind | Sorts as the last entry under Erosion

note: The sorting information, in brackets, must be the last item in the marker text.

Specify sort order for an index

You change the sort order by specifying a sort order and by editing the contents of the IgnoreChars and the SortOrder paragraphs in the special text flow of the reference page for the index.

The SortOrder paragraph in the special text flow contains building blocks that control how characters are sorted in an index.

SortOrder paragraph

Each sort order building block represents several characters in a particular order. The following table shows the order for U.S. English. The alphabetic sort order differs slightly for other languages.

Building block | Characters, in this order
<$numerics> | 0 1 2 3 4 5 6 7 8 9
<$alphabetics> | A Á À Â Ä Ã Å a á à â ä ã å ª B b C Ç c ç D d E É È Ê Ë e é è ê ë F f ƒ Gg H h I Í Ì Î Ï i ì í î ï J j K k L l M m N Ñ n ñ O Ó Ò Ô Ö Õ Ø o ó ò ô ö õ ø º P p Q q R r S s T t U Ú Ù Û Ü u ú ù û ü V v W w X x Y Ÿ y ÿ Z z
<$symbols> | All other characters in ASCII order

1)Choose View > Reference Pages, and display the reference page that contains the special text flow for the index.

2)Replace a building block in the SortOrder paragraph with the specific characters in the order you want them sorted. Follow these rules when entering a new sort order:

•If you replace <$alphabetics> with individual characters, separate the letter groups with a space. (Letter groups—for example, F f ƒ —are characters that are sorted as if they were the same character, unless they are the only characters that differ in the sorted text. In that case, the first character in the string appears first.)

•If you replace <$symbols> with individual characters, use a backslash before the angle bracket symbols ( < > ).

•Don’t press Return at the end of a line. Let FrameMaker wrap the characters automatically from line to line.

•To indicate that a letter pair should be sorted as a single character, specify the letter pair between angle brackets (< >)—for example, C Ç c ç<CH><Ch><ch>. In this example, all the characters or letter pairs are in the same letter group (the letter C ). The letter pair CH is sorted after the letter C, and uppercase letter pairs are sorted before lowercase letter pairs.

Related links:

Edit special text flow for a list or index

Sort letter by letter instead of word by word

1)Choose View > Reference Pages, and display the reference page that contains the special text flow for the index.

2)Add a space at the beginning of the IgnoreChars paragraph in the special text flow of the index. (The space cannot be at the end of the paragraph.)

Sorted letter by letter | Sorted word by word
Seabed Sea level Seasonal change Sea walls | Sea level Sea walls Seabed Seasonal change

Specify characters to ignore

By default, FrameMaker ignores hyphens, nonbreaking hyphens, en dashes, and em dashes when sorting index entries. You can specify other characters to be ignored—for example, underscore characters, periods, brackets, braces, and quotation marks.

An IgnoreChars paragraph with added characters

1)Choose View > Reference Pages, and display the reference page that contains the special text flow for the index.

2)Edit the IgnoreChars paragraph.

note: If you’re working with Japanese fonts, you may want to include the Chouon character [image] in the IgnoreChars paragraph. The Chouon character is normally used in Japanese to lengthen the vowel sound that it follows, but you probably won’t want it to affect the sort order.

Sort symbols, numbers, or other characters in another location in an index

1)Choose View > Reference Pages, and display the reference page that contains the special text flow for the index.

2)Rearrange the building blocks in the SortOrder paragraph in the special text flow. For example, to put symbols at the end of an English-language index instead of at the beginning, arrange the building blocks as follows: <$numerics><$alphabetics><$symbols>

Specify the sort order for Japanese

Kanji characters always need a special sort order defined.

A document that uses Japanese fonts includes the <$kana> building block, which controls sorting of Japanese kana (hiragana and katakana).

Building block | Characters, in this order
<$kana> |

Single-byte (half-width) katakana are converted to double-byte katakana in the generated file when sorted. The sort order of kanji is determined by its kana pronunciation (yomigana). Because of this, the <$kana> building block also controls how most kanji sort.

The sort order of kanji without yomigana and of Japanese symbols (double-byte numerics and Roman alphabetics) is not included by default in the <$kana> building block. Instead, kanji is sorted by code value and appended after characters sorted by <$kana>.

If you want to sort kanji without yomigana and Japanese symbols differently, add these characters to the <$numerics>, <$alphabetics>, or <$kana> building blocks. For example, double-byte Japanese characters could be added to the <$symbols> building block.

1)Enter its pronunciation (yomigana) in brackets in the marker text. (Double-byte bracket characters may be used.)

Sort order for kanji index entry

7.7.5.Generate indexes

After you insert index markers in your source document, you can generate a standard index or any other index of markers. When you revise your source document, you can generate the index again to update it.

You ordinarily use predefined marker types. However, you can create your own marker types for special effects in indexes, such as displaying principal entries in bold or adding custom text to some page entries but not to others. The custom text might be the word note to follow some page numbers and figure to follow others. Scholarly indexes might use abbreviations, such as ff and passim after page numbers.

You can also generate a special-use index of references, such as an index of fonts used in a document. This type of index is not generated from markers.

note: If you are generating an index for an RTL language such as Arabic or Hebrew, ensure that the locale on your computer is set to the locale for that language.

Generate an index for a book

1)Open the book window and select the file above where you want the generated file to appear.

2)Do one of the following:

•Choose Add > Standard Index.

•Choose Add > Index Of, and then choose the type of specialized index you want to create.

3)Move the marker types you used for the entries to the Include Markers of Type scroll list.

Generating a book index

To move an item between scroll lists, select the item and click an arrow, or double-click the item. To move all items from one scroll list to the other, Shift-click an arrow.

4)In the Add File pop-up menu, specify whether the generated list appears before or after the current document.

5)Enter a suffix or keep the default one. The suffix indicates the type of generated file. For example, IX is the usual suffix for a standard index.

note: The suffix is not the same as the filename’s extension. The suffix is used with paragraph tags in the generated lists, and appears as part of the generated file’s filename, such as UserGuideIX.fm.

6)To link each entry in the generated index to its source, select Create Hypertext Links.

7)Click Add, and then click Update. FrameMaker generates the index and displays it in a separate document.

8)Save the index in the same folder as the source document or book. If you want to rename the generated file, use the book window to do so—FrameMaker will rename it on the disk and update all references.

The first time you generate an index, it uses the page layout of the first nongenerated document in the book, and all entries look the same. (You can avoid this unformatted look by using a template.) For information on making changes to the format of an index—changes that won’t be lost when you regenerate it.

9)Save any open files in the book. Open files are updated only in your computer’s memory and not on the disk. If a file isn’t open, the changes are made on the disk.

Related links:

Formatting lists and indexes

Generate an index for a document

1)Do one of the following:

•Choose Special > Standard Index.

•Choose Special > Index Of, and then choose the type of specialized index you want to create.

2)When prompted, specify whether you want to create the generated file as a standalone document or add it to a book.

If you choose Yes to create a stand-alone document, FrameMaker will create a generated index in the original document’s folder. If you choose No, FrameMaker adds the index to an open book, or creates a new book if necessary.

3)Enter a suffix or keep the default one. The suffix indicates the type of generated file. For example, IX is the usual suffix for a standard index.

note: The suffix is not the same as the filename’s extension. The suffix is used with paragraph tags in the generated lists, and appears as part of the generated file’s filename, such as UserGuideIX.fm.

4)To link each entry in the generated index to its source, select Create Hypertext Links.

5)Do one of the following:

•If you are creating a stand-alone index, click Set. FrameMaker generates and displays the index.

•If you are adding the index to a book, click Add, and then click Update. If a new book is created, choose File > Save Book As, and then save the book.

The first time you generate an index, it uses the page layout of the source document or of the first nongenerated document in the book, and all entries look the same. For information on making changes to the format of an index—changes that won’t be lost when you regenerate it.

6)Save the index in the same folder as the source document or book.

Related links:

Formatting lists and indexes

Rename files

Generate a standard index that displays page numbers in a variety of ways

1)Create one or more custom marker types, and name them in a way that indicates their intended use. For example, if you want to distinguish index entries that refer to footnotes, you might create a marker type called IndexNote.

2)Index your source document, using the Index marker type for regular entries and your custom marker types for the others.

3)Generate the index. Select the Index marker type along with the custom ones.

In the index, edit the special text flow on the reference page for the custom marker (the reference page would be called IX) to add text after the page number or to change character format. For example, you might change the text for IndexNoteIX as follows to have [note] appear after the page number: <$pagenum> [note].

4)Update the index again for your edits to take effect.

Related links:

Add, edit, or delete markers and marker types

Manually add text to entries

Change paragraph and character formats of entries

7.7.6.Update and edit indexes

An index can quickly become outdated. With an index, you typically need to make changes after you review the index for the first time. For example, some entries might not use parallel phrasing, or you may decide to change the organization of some entries.

You edit entries in an index by editing their corresponding paragraphs or markers in the source document and then regenerating the index. If you revise entries by typing directly in the index, your changes will disappear when you regenerate it.

For example, if you fix a typing error directly in an index, that error will reemerge the next time you generate because it still exists in the source marker. To permanently fix an error, you must correct it by changing the marker text in the source document and then regenerating the index.

Related links:

Update and edit TOCs and lists

Update an index that is part of a book

1)Make changes to the source document as needed.

2)In the book window, choose Edit > Update Book.

3)Move the lists you want to update to the Generate scroll list, make sure Generate Table of Contents, Lists, and Indexes is selected, and then click Update.

Add or remove items included in an index that is part of a book

1)Select the generated index in the book window.

2)Choose Edit > Set Up Standard Index (or Set Up Index of type).

3)Move items between the list boxes as desired and click Set. Then click Update.

Update an index that is a stand-alone document

1)Make changes to the source document as needed.

2)In the source document, choose the command (such as Standard Index) from the Special menu, and then choose Yes when prompted to create a stand-alone document.

3)Move items between the list boxes as desired, and click Set.

7.7.7.Find the source of index entries

When you need to revise an entry, you must trace the entry back to its source—the corresponding marker (or marker element, if working with a structured document) in the source document.

The quickest way to find the source of an index entry is to use the hypertext link on the entry in the generated file. This hypertext link can display and select the corresponding information in the source document. If you’re working with a structured document, you can select the element in the Structure View if you can see its bubble.

Another simple way to find and select a marker in the source document is through the Markers pod. The Markers pod displays marker text, the marker type, and document in which the marker is. You can sort the list on marker type to view all the index marker entries in a document. Selecting an entry in the Markers pod automatically highlights the marker in the document. Double-clicking an entry opens the Markers pod for quick editing.

Using the Markers pod makes it easier to select a specific marker if there are multiple markers at exactly the same location in a document.

important: If you’re generating extremely large indexes (indexes of more than 50,000 markers), don’t use Create Hypertext Links. Generating indexes of this size with Create Hypertext Links selected takes a long time or might not succeed.

Find the source of an index entry by using a link

1)If you did not select Create Hypertext Links when you generated the index, select this option and regenerate.

2)Choose Special > Marker.

3)In the generated index, Alt-Control-click a page reference in an index.

FrameMaker opens the source document to the page that contains the corresponding marker and selects it. The marker text appears in the Marker pod.

Select a marker by using Find/Change

1)In the source document (not in the generated list), choose Edit > Find/Change.

2)Do one of the following:

•If you’re working in an unstructured document, choose Any Marker, Marker of Type, or Marker Text from the Find pop-up menu. Enter the marker type or marker text as needed.

•If you’re working in a structured document, choose Element from the Find pop-up menu, enter the tag of the element you want to find, and click Set.

3)Click Find.

note: When a marker is selected, the marker text appears in the Marker pod. Don’t click Change in the Find/Change dialog box to change the marker text. If you do, FrameMaker replaces the marker itself. Instead, change the text in the Marker pod and then click Edit Marker.

7.7.8.Add, edit, or delete markers and marker types

You can create your own marker types and then use them in lists or indexes just as you would any other type of marker. After a new marker type has been created, it can be shared with other documents and books.

Edit or delete a marker

1)Select the marker (or element) you want to delete and do one of the following:

•Click Delete from the Markers pod.

•Click Delete Marker from the Marker pod.

2)Select the marker (or element) you want to edit, change the text in the Marker pod, and click Edit Marker.

Add or delete a custom marker type

1)Choose Special > Marker and choose Edit from the Marker Type pop-up menu.

2)Do one of the following:

•Type a new name and click Add.

•Choose a name from the pop-up menu and click Delete.

3)Click Done.

tip: You can also use the book window to edit custom marker types. Select the documents you want to affect, and then press Esc e m t.

Copy a marker type from one document to another

1)Do one of the following:

•Copy a marker or text containing a marker and paste it in another document.

•Choose File > Import > Formats and import Document Properties.

Rename a marker type

1)Choose Special > Marker and choose Edit from the Marker Type pop-up menu.

2)Choose the marker type you want to rename from the pop-up menu and click Change.

3)Do one of the following:

•To rename the specified markers with a new name, enter the new name in the To text box.

•To rename the specified markers with the name of another marker type, choose the new marker type from the To pop-up menu.

4)Click OK, and then click Done.


Formatting lists and indexes

7.8.Formatting lists and indexes

7.8.1.Format a list or index with a template

The first time you generate a list or index (if you don’t use a template), it uses the page layout of the source document or the first nongenerated document in the book, and all entries look the same. You can change the page design and the formats in the list or index after you generate it, just as you do in any other document. When you generate the file again, your changes are retained.

1)Copy the template to the source document’s folder using the same filename as the list or index.

2)Generate the list or index.

tip: You can also use File > Import > Formats to import a template’s formats. Then generate the list or index again so any changes in the special text flow are reflected in the generated file.

7.8.2.Edit special text flow for a list or index

Many formatting aspects of a list or index are controlled by a special text flow on a reference page in the generated file. The name of the reference page matches the default suffix, such as TOC for a table of contents or IX for a standard index.

For generated lists, each paragraph in the flow corresponds to a paragraph tag or marker type you included in the list. These paragraphs have tags that use the default suffix. For example, a paragraph tagged Heading1TOC in the text flow for a table of contents corresponds to the entries for first-level headings (tagged Heading1 in the source document).

Special text flow on reference page for a table of contents

For indexes, the paragraphs in the flow correspond to the marker types you included in the index, the levels of entries and subentries, the sort order, the separator text used, and several other index properties.

Special text flow for an index

A. Separators placeholder B. Levels of entries C. Group titles placeholder D. Sort order E. Ignore characters placeholder

If the list or index was created with hypertext links, the special text flow also contains a paragraph that specifies the form of the hypertext commands in the generated file. The paragraph’s tag begins with the word Active.

Special text flows for lists and indexes have special paragraphs with placeholder text. This placeholder text lets you specify how your entries will look when you regenerate the file.

Building blocks placed in each paragraph of the special text flow determine the information that appears in the list or index, and the order in which the information appears. You can use the following building blocks in the special text flow.

Building block | Meaning
<$autorange> | Automatically creates index page ranges
<$numerics> <$alphabetics> <$symbols> <$kana> | Specifies the overall sort order in an index
<$pagenum> | Displays the page number on which the source paragraph or marker appears
<$volnum> | Displays the volume number of the document in which the source paragraph or marker appears
<$chapnum> | Displays the chapter number of the document in which the source paragraph or marker appears
<$paratext> | Displays the text of the paragraph, excluding any autonumber
<$paranum> | Displays the paragraph’s entire autonumber, excluding spaces and tabs at the end of the autonumber (for example, Section 2.1.1)
<$paranumonly> | Displays the paragraph’s autonumber counters and the characters between them (for example, 2.1.1)
<$paratag> | Displays the source paragraph’s tag

1)In the list or index, choose View > Reference Pages.

2)Display the reference page that contains the text flow you want.

3)Edit the appropriate paragraphs in the text flow.

4)Choose View > Body Pages.

5)Generate the index again to see the effect of your changes.

note: Make sure that you generate the list or index from the source document, not from the generated file.

Related links:

Use page ranges in index entries

Change paragraph and character formats of entries

7.8.3.Change paragraph and character formats of entries

You can change the look of entries in a generated list and index by modifying their paragraph formats.

You can also change the character format of any text appearing in a list and of all index page numbers created with the same marker type. For example, you could make all page numbers italic.

note: If you create a new character format in the source document after you generate the list or index, you may have to use File > Import > Formats to import the character format into the generated list. This is necessary only if you use the new character format in a paragraph or marker that’s part of the list or index. If you created the character format before first generating the list or index, FrameMaker imports it for you into the generated file.

Change the paragraph format of entries

1)In the list or index, display the reference page that contains the special text flow. Usually this is TOC for a table of contents and IX for a standard index.

2)Locate the placeholder paragraphs that have paragraph formats corresponding to the list or index entries. (For example, Level1IX is the format for the placeholder text for the first-level index entry, and Head1TOC is the format for a Head1 entry in a table of contents.)

3)Change the properties of the paragraph formats, such as indents and font size, and update the paragraph formats, so that they are available the next time you generate the file. The placeholder paragraphs show you how the entries will look.

Formatted placeholder paragraphs

Change the character format of entries

1)In the list or index, create a new character format and store it in the Character Catalog.

2)Choose View > Reference Pages and display the reference page that contains the special text flow.

3)In the paragraph whose tag corresponds to the entries you want to change, do the following:

•In a list, enter the character tag between angle brackets (< >) before the text you want to change. To change back to the paragraph’s default font, enter <Default Para Font>. For example, you could define a format tagged ChapNumFont, and then use it to format chapter numbers in a larger font in a table of contents.

Reference page and resulting TOC

•In an index, enter the character tag, between angle brackets (< >), to the left of <$pagenum>. For example, if IndexPgNum is a character format defined for italic page numbers in a standard index, you could use it to format just the page numbers in the paragraphs tagged IndexIX.

Reference page and resulting index

tip: You can also change the character format of text that appears in a list or index by applying a character format directly to the building block rather than preceding the building block with a character tag enclosed in angle brackets. Be careful not to apply the character format to the paragraph symbol.

7.8.4.Include book component and paragraph autonumbers

In a generated list, you can include autonumbers—text and numbers inserted automatically as part of a paragraph format—in addition to (or instead of) page numbers in entries. In an index, you can use autonumbers instead of page numbers if all paragraphs that contain index markers are also autonumbered.

Index using section symbols and section numbers instead of page numbers

You can use the following building blocks to add autonumbers:

•<$volnum>, <$chapnum>, <$sectionnum>, <$subsectionnum> which include the volume, chapter, section, and sub section counters.

Building block for volume and chapter autonumbering, and resulting index

•<$paranumonly>, which includes the counters and the characters between them (for example, 2.2for a paragraph whose autonumber is Section 2.2).

Building block for paragraph autonumbering using section numbers, and resulting index

•<$paranum>, which includes the counters and all text in the autonumber (except for spaces or tab characters at the end).

Building block for paragraph autonumbering using “Section” text and section numbers, and resulting index

Related links:

Document and page numbering

Include volume and chapter autonumbers

1)Choose View > Reference Pages and display the reference page that contains the special text flow.

2)In a list or index, type the <$volnum> or <$chapnum> building block where you want to insert the autonumber.

For example, to include the chapter number along with the page number (such as 3-1) in entries generated from markers of type Index, type <$chapnum>- before the <$pagenum> building block in the paragraph tagged IndexIX.

tip: To make sure numbers such as “3-1” don’t break between lines, insert a nonbreaking hyphen by pressing Esc hyphen h.

Include paragraph autonumbers

1)Choose View > Reference Pages and display the reference page that contains the special text flow.

2)Do one of the following:

•In a list, type the <$paranumonly> or the <$paranum> building block where you want to insert the autonumber.

•In an index, replace the <$pagenum> building block with <$paranum> or <$paranumonly> in the paragraph with the tag that begins with the marker type. For example, to include the paragraph autonumber rather than the page number in entries generated from markers of type Index, replace the <$pagenum> building block in the paragraph tagged IndexIX.

7.8.5.Change page number separators

A typical index entry such as Erosion 1, 23–includes a space after the entry text, a comma and a space between page numbers, an en dash to show a page range, and nothing after the last number. You can change the en dash to the word to, or change this separator text in any other way. For example, you could change the separator text so that a comma appears after the entry, such as Erosion, 1.

1)Choose View > Reference Pages, and display the reference page that contains the special text flow.

2)Edit the Separators paragraph. (Look for the paragraph containing 1, 23–.) You can change any separator, but you must use the placeholder numbers 1, 2, and 3.

A custom Separators paragraph on the IX reference page

A. En dash B. Em space

7.8.6.Manually add text to entries

You can add text to all entries generated from paragraphs with a particular tag or markers of a particular type. For example, you can enclose page numbers in brackets.

Brackets added in a TOC

You can also use custom marker types with added text to display page numbers in a variety of ways in an index. For example, suppose you want to generate the following scholarly index.

Custom page numbers added in an index

To do this, you need two custom markers: one for page numbers followed by ff, and one for page numbers followed by note. You might call these markers Indexff and IndexNote.

When generating the index, you include all three marker types (Index plus the two new ones). After generating the index for the first time, you can edit the special text flow for the marker types on the reference page.

Marker type | Edit to the reference page | Result
Indexff | <$pagenum> ff | 15 ff
IndexNote | <$pagenum> note | 15 note

The next time you generate the index, the changes appear in the generated index.

1)Choose View > Reference Pages, and display the reference page that contains the special text flow for the list or index.

2)Enter the text where you want it to appear. For example, to enclose all page numbers in brackets, enter brackets around the page number building blocks: <$paratext>[<$pagenum>]

7.8.7.Use tabs and tab leaders in a list or index

You can use tabs to align page numbers in a list or index. You can also use tabs to add tab leaders, such as a row of dots, between entry text and page numbers.

Right-aligned tab stop with leader dots in a TOC

Tab stops make index page numbers line up in columns.

1)Choose View > Reference Pages and display the reference page that contains the special text flow.

2)Do one of the following:

•For a list, select the space between the <$paratext> and <$pagenum> building blocks in the paragraph whose tag matches the entries you want to change.

•For an index, select the space before the number 1 in the Separators paragraph.

3)Press Tab.

4)Change the paragraph format by adding a tab stop where you want to align the page numbers. Define the format to include leader dots, if you want. Then update the paragraph formats so the changes are available the next time you generate the list or index.

7.8.8.Rearrange information in list entries

You can specify the order in which the parts of a list entry appear. For example, you can specify that the page number appear first, followed by the paragraph text.

1)Choose View > Reference Pages, and display the reference page that contains the special text flow for the table of contents or list.

2)Rearrange the building blocks. For example, to put the page number first, followed by the paragraph text, rearrange the building blocks: <$pagenum> <$paratext>.

7.8.9.Resolve cross-references

Resolve a cross-reference when a marker has been deleted

1)Choose Unresolved Cross Reference from the cross-references pod. Ensure that you have the correct filename selected. The pod shows all unresolved cross-references.

2)Do one of the following:

•If you do not need the cross-reference, delete it.

•If FrameMaker finds an unresolved paragraph cross-reference, double-click the cross-reference to display the cross-reference dialog box, specify a different source, and click Replace.

•If FrameMaker finds an unresolved spot cross-reference, insert a new cross-reference marker in the source text. Select the new marker from the cross-reference dialog box and click Replace.

Resolve a cross-reference when the ID and ID Reference values do not match (structured documents)

1)Edit the ID or the ID Reference value so the two values match. (ID attributes are often read-only, so you may have to edit the ID Reference.)


Glossaries

7.9.Glossaries

You can define glossary terms of a document using the Markers in FrameMaker. You can then use the feature to publish a document that contains the glossary of the defined terms. In the published output, if a user encounters a glossary term, the user can find the definition.

To publish output that contains a glossary of terms, you need to:

• Create the glossary term definition

• Apply the glossary marker to the occurrences of the term

7.9.1.Create the glossary term definition

In your document, you need to provide definitions for the terms that you plan to include in the glossary.

1)In the document, place the pointer in the paragraph containing the definition of the term.

For example, you can define the term PDF as Portable Document Format. In this case, you need to place the pointer in the paragraph containing the definition of Portable Document Format in the document.

2)In the Marker dialog (Special > Marker), select the marker type as Glossary.

3)Specify the marker text as the term.

For example, specify the marker text as PDF.

7.9.2.Apply the glossary marker to the occurrences of the term

The glossary term is defined. Next, you need to apply this definition to occurrences of the term in the document.

1)Select the term to which you want to apply the glossary definition. In the published output, if a user selects this term, the user is presented with the definition.

For example, if the document contains the term PDF, you need to select the text PDF.

2)In the Marker dialog (Special > Marker), select the marker type as Glossary Term.

3)Specify the marker text as the term.

By default, FrameMaker displays the marker text as the text selected in the previous step.

note: It is not necessary to specify the marker text as the term. However, you need to ensure that the marker text that you specify is the same as the first word in marker text defined when you Create the glossary term definition (Step 3).

After you create you glossary term definition and apply the definition to the occurrences of the term in the document, you can then publish the document. When you publish the document, you can specify how to display the glossary definition when a user selects a term in a document. For details, see the Customize Other Settings


Footnotes and endnotes

7.10.Footnotes and endnotes

Footnotes are notes placed at the bottom of a page that comments on or cites a reference for a designated part of the text. Endnotes are notes placed at the end of a chapter or book that comments on or cites a reference for a designated part of the text.

7.10.1.Create and edit footnotes

Insert, edit, and delete footnotes

When you insert a footnote reference and footnote, FrameMaker gives it a number, formats the text of the footnote, and inserts a separator if the footnote is the first one in a column.

A. Footnote B. Footnote separator C. Footnote reference

As you insert, move, and delete footnotes, FrameMaker adjusts the numbering. As you edit the surrounding text, FrameMaker moves the footnotes from page to page as needed. FrameMaker allows document footnotes to be numbered consecutively across all files in a book.

The footnote reference and the footnote itself usually appear in the same column. When you insert a footnote reference in a table, the footnote appears at the end of the table. If the table flows onto a second page, all the footnotes appear on the second page regardless of the page on which the footnote reference appears.

Insert a footnote

note: The Footnotes feature supports the Unicode text encoding standard.

1)Click where you want the footnote reference to appear. You can insert a footnote reference in a column of text or in a table cell.

2)Choose Special > Footnote. FrameMaker inserts the footnote reference, displays the footnote number at the bottom of the column or below the table, places the insertion point after the footnote number, and renumbers any footnotes that follow. (Footnotes are numbered consecutively in a text flow. If your document contains several text flows, footnote numbering in each flow will be independent of the others.)

3)Type the text of the footnote at the insertion point. When you finish typing the footnote, return to the main text by clicking in it or by choosing Special > Footnote again.

tip: To place two footnote references together, place a space or a comma between them—for example,references 5 6 or references 5,6. Otherwise, the second footnote won’t be created. If you place a comma between the footnote references, you should manually format the comma in superscript.

Insert a footnote element (structured documents)

1)Click where you want the footnote reference to appear.

2)Select a footnote element in the Element Catalog and click Insert.

FrameMaker inserts the footnote reference, displays a footnote number at the bottom of the column or end of the table, and renumbers any footnotes that follow. A bubble for the footnote appears in the Structure View, with a text snippet that shows the beginning of the footnote text.

You can also use Special > Footnote to insert a footnote element. If more than one footnote element is available, choose one from the Element Tag pop-up menu in the dialog box that appears.

3)If the Attributes for New Element dialog box appears, enter attribute values for the element and click Insert Element.

4)Type the text of the footnote at the insertion point. When you finish typing the footnote, return to the main text by clicking in it or by choosing Special > Footnote.

Use an invalid footnote element

If no footnote element is available at the location you want, you might use an invalid element. After inserting the element, talk to your developer about making it valid at this location.

1)Do one of the following:

•To use an element that is valid in another part of the document, either insert the element in a valid location and then move it, or use the All Elements setting to make the element available everywhere and then insert the element where you want it.

•To insert an invalid footnote with the default tag FOOTNOTE, choose Special > Footnote. (A default footnote is created if no defined footnote elements are available.)

Edit a footnote

1)Select the footnote text and edit it as you do other text. You can’t change a footnote number, because FrameMaker maintains the numbering.

Duplicate, move, or delete a footnote

1)Select the footnote reference (not the footnote text). Alternatively, in Structure View, click the footnote’s bubble.

2)Do one of the following:

•To duplicate or move the footnote, use Edit > Copy or Edit > Cut, and then Edit > Paste.

•To delete the footnote, press Delete.

Keeping a footnote in the same column as its reference

FrameMaker sometimes can’t keep footnotes in the same column as the corresponding footnote reference. For example, if you insert a footnote reference at the bottom of a column of text so there is no space for the footnote below it, FrameMaker moves the footnote to the bottom of the next column. In such cases, you can force a column or page break before the footnote reference to keep the reference and the footnote together in the same column.

Adding text to a footnote may cause the last footnote in a column or on a page to move to the bottom of the next column or page. To reduce the chance of a footnote not fitting in a column, allocate more space for footnotes in a column.

Related links:

Change footnote properties

Insert multiple references to a footnote

You can create a single footnote that has several footnote references—for example, a table footnote with references in several cells.

Two references for one footnote

important: If you add or remove a footnote that appears before the footnote being cross-referenced, the cross-reference may refer to the wrong number. Choose Edit > Update References to update the numbering.

1)Insert the first footnote reference.

2)If necessary, create a cross-reference format for additional footnote references.

The cross-reference format must display the footnote number correctly. For example, if footnote references are displayed in superscript, and if the document contains a Superscript character format, a cross-reference format defined as <Superscript><$paranumonly> displays the autonumber of a paragraph as a superscript. When you use it to refer to a paragraph that contains a footnote, it displays the footnote number in superscript.

3)Click where you want to insert the additional footnote reference.

4)Choose Special > cross-reference to insert a cross-reference to the footnote where you clicked. Use the cross-reference format you created in step 2.

5)Click Insert. FrameMaker inserts a cross-reference that is identical to the original footnote reference.

Insert multiple references to a footnote (structured documents)

You need to have a special cross-reference element already defined for the additional references. The element should display a reference number in the same way that the original footnote reference does. For example, if the number is in superscript in the original reference, the number in the cross-reference element should also be in superscript.

1)Insert the footnote element.

2)Where you want an additional footnote reference, insert a cross-reference element that was defined to display only a footnote reference.

Format footnotes

You can change any of the footnote properties—for example, the style of numbers, the numbering format, or the paragraph format to use for footnote text.

FrameMaker uses different formats for document and table footnotes.

Change footnote properties

Changes except the paragraph format are applied to both new and existing footnotes.

1)Make the appropriate document window or book window active. If a book window is active, select the documents you want to affect.

2)Choose Format > Document > Footnote Properties. To edit table footnote properties, choose Table Footnote from the pop-up menu.

3)Do the following:

•To adjust the maximum height allowed for footnotes in a column, enter a value in the Maximum Height Per Column text box.

•To use a different paragraph format for new footnotes, enter the format’s tag in the Paragraph Format text box. (The format must be stored in the document’s Paragraph Catalog.) To use a different format for an existing footnote, apply the format to it directly.

tip: By default, documents may include paragraph formats named Footnote and TableFootnote to be used for new footnotes. To change the look of footnotes, change these formats.

•Specify the format of the footnote reference in the main text and of the footnote number in the footnote. Either number can be in the superscript, baseline, or subscript position, and either can have a prefix and suffix.

4)Click Set.

Change footnote numbering style

note: If you’re working with documents that are part of a book, it’s a good idea to set the properties from the book window rather than directly from the document window. When the book is updated, the book properties will override the document properties.

1)Make the appropriate document window or book window active. If a book window is active, select the documents you want to affect.

2)Choose Format > Document > Numbering. Choose either Footnote or Table Footnote from the pop-up menu.

3)Choose a numbering style from the Format pop-up menu. If you choose Custom, you can specify a set of custom footnotes in the Custom Numbering dialog box; click Set when you’re done.

Your custom style can use any combination of numbers, letters, and symbols, which will be used in the order you enter them. If you use symbols in a custom style and your document contains more footnotes than symbols, the symbols are repeated. For example, if you use the two symbols * and †, and the document contains three footnotes, the third footnote is marked **. The footnote number will appear in the default font of the footnote’s paragraph format.

Custom footnote numbering

note: Some special characters are entered or displayed differently in dialog boxes. You enter a sequence of characters beginning with a backslash (\).

4)Choose whether you want document footnote numbers to be restarted on each page, start numbering footnotes at a specific number, or be continued from the previous chapter in the book. When you number sequentially, you can start from any number. The numbering of table footnotes always starts over with each table.

5)Click Set.

Change the footnote separator

The footnote separator is a graphic frame automatically placed between the bottom of the body text or table and the first footnote. It usually contains a line or other design element to provide visual separation between the body text and footnotes. The height of the frame determines the space between the body text or table and the footnote.

Separator frames for document and table footnotes are stored on a reference page. Their names are the same as the paragraph formats used for these footnotes—by default, Footnote and TableFootnote.

Reference page

Footnote separator on body page

1)Choose View > Reference Pages and display the page that contains the footnote separator frame.

2)Resize the frame or edit its contents. You can change the size or position of the line in the frame, or remove or replace the line. If you reduce the height of the frame, the first footnote is positioned closer to the bottom of the text or table. If you move the line downward in the frame, the first footnote stays in the same position but the line moves closer to it.

tip: To add space, but not a line, between the body text or table and the footnotes, leave the separator frame empty.

3)Choose View > Body Pages.

Using footnotes in multicolumn layouts

The placement of footnotes in multicolumn layouts depends on the location of the footnote reference and on the presence or absence of side heads or text that straddles columns.

Side heads

In a single-column document with side heads, footnotes in the body column run the width of the body column, but footnotes in a side head span the side-head area and the body column.

Footnotes in side head span body column and side-head area.

If you want a footnote in a side head to be aligned with footnotes in the body column, change the indents of the footnote in the side head area by adding a distance equal to the width of the side-head area plus the gap.

Straddles

In a multicolumn format where some text straddles all columns and other text does not, footnotes may or may not straddle the columns. Footnotes whose references appear in straddle text always straddle the columns, and these footnotes appear at the bottom of the text frame. Footnotes whose references appear in nonstraddle text straddle the columns if the footnotes’ paragraph format is set to Across All Columns (in the Pagination properties of the Paragraph Designer).

Footnote across all columns

If the paragraph format is set to In Column, the footnote appears either just above the next straddle paragraph (if there is one on the page) or at the bottom of the column.

Footnote in column

If the footnotes appear out of order, select Across All Columns for the footnote paragraph format to force all footnotes to appear in numerical order at the bottom of the page.

7.10.2.Create and maintain endnotes

Create an endnote

1)Type the first endnote at the end of the document and assign it the paragraph format for endnotes. The paragraph format should include an autonumber so the endnotes will be numbered consecutively.

2)Click where you want to insert the endnote reference and cross-reference the endnote. Use the cross-reference format you created for endnotes.

For example, if endnote references are to be displayed in superscript, and if the document contains a Superscript character format, the cross-reference format <Superscript><$paranumonly> displays the autonumber of the endnote paragraph as a superscript.

Create an endnote in structured documents

1)Insert the endnote element at the end of the document, and type the text of the note.

2)Click where you want to insert the reference to the endnote.

3)Insert a cross-reference element that was defined to display an endnote reference.

note: Make sure that the sequence of endnotes is the same as the sequence of references in the document. FrameMaker does not automatically sequence endnotes as it does with footnotes.

Maintain endnotes

•If you change the order of endnote references while editing the document, rearrange the endnotes to match the order of the references. Then update the cross-references to update the endnote reference numbers.

•If you delete an endnote, delete all references to it. Otherwise, the reference will be an unresolved cross-reference.


Troubleshooting books

7.11.Troubleshooting books

Even though you can update and generate a book without error messages, the book may still have some problems that need correcting.

Generated file is empty

Make sure the name of the generated file is preceded by a generated files icon [image] in the book window. If it isn’t, the file was added as a document to the book file rather than as a generated file (see Create a book). When a file is added as a document file, FrameMaker won’t generate it. Also check that the setup of the generated file is correct.

Slow performance

To improve performance, open as many files in the book as possible before you use Edit > Update Book or File > Import > Formats in a book window. After using the command, save all the files in the book.

note: In addition, if you experience slow performance while working with books, minimize or remove the Show/Hide Conditional Text pod from your workspace.

Chapter starts on wrong side

You need to correct your documents’ pagination.

7.11.1.Interpreting error messages

The Book Error Log reports all errors that occur when you apply a command to a book. In addition, many error messages contain hypertext links so that you can click the message in the Error Log to display the location of the error.

Unresolved Cross-Refs

The Book Error Log lists all files that contain unresolved cross-references.

Inconsistent Show/Hide Settings, Inconsistent Use Condition Indicators, or Inconsistent Condition Indicator

The indicated file contains conditional text settings that differ from those in the previous file in the book. You can make the settings in each file the same (by using Special > Conditional Text) or you can update the settings throughout the book at once. To do this, change the settings in one file and then use File > Import > Formats to apply the settings to the entire book.

Inconsistent Numbering Properties

The numbering properties specified in the component are different from the book’s numbering properties. The book’s numbering properties override those of the document. See Document and page numbering.

Inconsistent Color Settings

The indicated file contains color separation settings or color definitions that differ from those in the previous file in the book.

Couldn’t Open File

The Book Error Log will indicate if the file was saved using an older format, if it used unavailable fonts, or if it cannot locate the file. For more information on the problem, open the file to see the alert message that appears.

Book Not Self-Consistent

The contents of generated files, the page count, or cross-references continued to change while generating and updating files in the book. For example, if a book contains both a list of markers and an alphabetical list of markers, and if both contain hypertext links, the number of markers grows each time the files are generated. If this happens, move one of the generated lists out of the Include scroll list when you use the Generate/Update command again.

Inconsistent Element Boundary Settings

In a structured book, element boundaries are showing in some files in the book but not in others. Fix the settings in individual files to make them consistent.

7.11.2.Troubleshooting TOCs and lists

Minor problems in the source document may cause corresponding problems in the list. For example, an incorrectly tagged paragraph may cause an extra entry to appear in the list or to be missing from it. Or an empty paragraph may cause an extra line to appear in the list.

Extra entries or lines

Incorrect formatting in the source document can cause extra paragraphs to appear in a list such as a table of contents. To correct this, do the following:

•If the list contains an entry that doesn’t belong there, check the corresponding paragraph tag or marker type in the source document and either apply a different format to the paragraph or change the marker type.

•If the list contains an extra line with only a page number, delete the corresponding empty paragraph in the source document. If you need extra space between paragraphs in the source document, use the spacing properties of the paragraphs’ formats rather than insert an empty paragraph.

Missing entries

To include entries that appear in the source document, but not in the list, do one of the following:

•If all entries with a particular paragraph tag or marker type are missing, make sure the Include scroll list in the Set Up dialog box contains the correct items.

•If an occasional entry is missing, check the tag of the corresponding paragraph or element, or the type of the corresponding marker in the source document. If any of these are incorrect, the information won’t be included in the list.

Split entries

A multiline heading in the source document can be a problem if the line breaks were created by pressing Return so that each line is a separate paragraph. The list will contain an entry for each paragraph in the heading. Fixing the list requires using only one paragraph for the heading in the source document.

Avoid using forced returns in a heading; forced returns appear in the generated TOC. Instead, to force a heading to break into two lines where you want, change the right indent of the heading paragraph in the source document. If the heading is centered, you may want to change both the left and right indents. You can also use nonbreaking spaces to force a heading to break acceptably.

Incomplete entries (unstructured documents)

When an element contains more than one paragraph, the list includes an entry for only the first paragraph. A multiline heading in the source document can be a problem if each line is a separate paragraph.

Avoid using forced returns in a heading; forced returns appear in the generated TOC. Instead, to break a heading into two lines (while still including all of its text in the list), use nonbreaking spaces to force a break. Or you can adjust the right indent for the heading to force a break, or the right and left indents if the heading is centered, though this will be a format rule override.

note: Be aware that these techniques create overrides to both paragraph styles and element definitions. As such, they may not be retained when importing formats or element definitions, or when changing the context of the element by editing other parts of the structured document.

Incorrect pagination (books with XML components)

If you have a mix of structured XML and unstructured files in a book, sometimes the page numbers are incorrect when you generate a PDF. This problem could be because the pagination information for XML files is obtained from the template and the template could have a dual pagination setting.

To avoid this problem, always open the XML files and then update the book. This way all the components in the book have correct pagination information and the PDF that you then generate also has correct page numbers.

Bad line breaks

Bad line breaks in the list or its source document may separate information that belongs together in the list. To correct this, do one of the following:

•Change the characters after which FrameMaker allows line breaks. For example, FrameMaker normally allows a line break after an en dash (–). To disallow breaks after an en dash, use Format > Document > Text Options.

•In the special text flow on the reference page, use nonbreaking spaces between the text and page number for each entry so that a page number does not appear on a line by itself. See Edit special text flow for a list or index.

Disappearing titles

A title you entered may disappear when you regenerate, unless you give the title a paragraph format.

Disappearing formatting

If your formatting changes aren’t retained when you regenerate (see Formatting lists and indexes), do the following:

•If you changed the filename or location of the list, change the name and location back. FrameMaker won’t find any formatting changes unless you save the list in the same folder as the source document and use the filename that FrameMaker assigns.

•To retain paragraph and character format changes, store them in the list’s Paragraph Catalog or Character Catalog, making them available the next time you generate the list.

•To retain other changes, make them in the special text flow, as described in Edit special text flow for a list or index.

7.11.3.Troubleshooting indexes

Missing entries

If an entry is missing entirely from the generated index, do the following:

•Check whether the corresponding marker (or marker element) is an incorrect marker type. You can do this by generating a list of markers that includes all marker types and then searching the list for the entry you want.

•Check whether the corresponding marker (or marker element) is in hidden conditional text by using Special > Conditional Text to show all conditional text, and then generating the index again.

•Check whether the marker (or marker element) was deleted accidentally.

Entries containing double question marks

Double question marks (??) in a page range indicate that FrameMaker can find only one of the two markers that define the range. If you see double question marks, do the following:

•Check that neither marker (or marker element) is missing.

Missing <$startrange> and the resulting page range

•Check that the spelling, punctuation, and capitalization of the marker text match exactly.

Inconsistent spelling and the resulting page range

•Check that <$startrange> appears in the first marker (or marker element) and that <$endrange> appears in the second marker (or marker element).

<$endrange> comes first and causes the resulting page range

Missorted entries

Most sorting problems are the result of incorrect marker text. If you see missorted entries, do the following:

•Check that the colons and semicolons are used correctly. If a semicolon appears where a colon belongs, two main entries appear rather than one subentry. If a colon is missing, a subentry appears incorrectly as a main entry.

Missing colon and the resulting missorted entry

•Check that sorting information is present and correct, and appears between brackets ([ ]) at the very end of the marker text (see Change sort order). For example, if you want to sort a cross-reference as the last subentry, the sorting information in the marker text for it should end with :zzz.

Missing :zzz and the resulting missorted entry

•If sorting errors occur in a pattern—for example, if all numeric entries appear at the end of the index rather than at the beginning—check that the sorting information in the special text flow on the reference page is correct.

Page numbers with See or See also cross-references

A cross-reference index entry may incorrectly contain a page number. Make sure that <$nopage> appears at the beginning of the marker text for the cross-reference entry.

Missing <$nopage> and the page number wrongly appears

Bad line breaks

If entries break between numbers in a page range or between the end of the entry and the first page number, do the following:

•Change the characters after which FrameMaker allows line breaks. To disallow line breaks after certain characters, such as an en dash (–), use Format > Document > Text Options.

•To force the end of an entry to appear on the same line as the page number, use a nonbreaking space, an en space, or an em space as the separator between them.

•If you specified in the special text flow on the reference page that spaces or hyphens appear between page numbers in a range, make sure they are nonbreaking (see Edit special text flow for a list or index).

•Change the volume or chapter numbering for the source document’s page numbers (see Set up numbering). If the book’s pages are numbered by chapter (11, 12, …, 21, 22, …),---- the volume or chapter number should be followed by a nonbreaking hyphen.

Bad line breaks

Disappearing titles

A title you entered may disappear the next time you generate the index, unless you follow the steps in “Add a title or other static text to lists and indexes”.

Disappearing formatting

If your formatting changes aren’t retained when you regenerate (see Formatting lists and indexes), do the following:

•If you must rename a generated file, do so using the book window. FrameMaker will rename the file in the book window and on disk.

•To retain paragraph and character format changes, store them in the index’s Paragraph or Character Catalog, making them available the next time you generate the index. For details, see “Redefining (updating) formats”.

•To retain other changes, make them in the special text flow, as described in Edit special text flow for a list or index.


Single-sourcing content

8.Single-sourcing content

When writing documentation, you often need to provide multiple different output for the same content. For example, you may need to publish the same document online or to PDF. Also, different documents may contain common content that you can reuse. FrameMaker provides a number of different single-sourcing techniques such as conditional text, text insets, content references, and variables that allow you to easily reuse content within a document or across documents.


Conditional text

8.1.Conditional text

Sometimes you author different types of content for different output formats using the same FrameMaker document. This document can contain conditional tags and conditional graphics for each type of output. For example, to create both a PDF print version and an HTML Help version of a document, mark the different content for each using condition tags.

You can also use conditional tags to include comments to yourself or to your reviewers. You can hide the comments before you print the final copy.

Conditional tags differ from one version of a document to another. Unconditional text is common to all versions.

Conditional text is content that you can show or hide, depending on the condition or conditions applied to a the book or an individual document. You can write in one document, and then use conditional text to create multiple outputs.

You can specify conditional tags in FrameMaker at the book level or at an individual chapter level. If there is a condition that is applicable to all chapters in a book, then you can easily apply that condition to all chapters with a single click. See Applying conditional tags at book level.

While the conditional text in a document differs from one output of the document to another, the unconditional text is common to all output.

You can make any unit of text conditional, from a single character to entire sections. Anchored frames, images, tables, cross-references, footnotes, markers, and table rows and columns can be made conditional.

note: The conditional tag state for a table row or column overrides any conditional tags that are applied to the text in the individual cells in the column.

Two versions of a data sheet: Conditional tags can be used to create two data sheets in one document. The text and graphics common to both data sheets are unconditional. The text and graphics that appear in only one data sheet are assigned a condition tag that identifies the data sheet.

A. The art and first paragraph contain both conditional and unconditional information. B. Unconditional text.

8.1.1.Manage conditional tags

Create conditional text in FrameMaker by creating and applying conditional tags.

Use the Conditional Tags pod to work with conditional text in your documents. From this pod, you can add, modify, delete, apply, or remove conditional tags in a document.

This section covers the following topics:

•

• Creating and editing conditional tags

• Importing conditional tags and expressions

• Deleting conditional tags

• List Conditional tags in a document

Conditional Tags pod

To open the Conditional Tags pod:

•From the View menu, choose Pods > Conditional Tags.

•Alternatively, from the Special menu, choose Conditional Text > Conditional Tags.

Conditional Tags pod

The Conditional Tags pod displays the list of conditional tags in the current document.

To sort the list of conditional tags, click a column header in the list. The list is sorted by the header that you click.

To resize a column:

1)Hover the mouse between two columns until the cursor is a bi-directional arrow.

2)Hold down the left mouse button, drag, and release the mouse button when the column is sized as required.

Use the Conditional Tags pod to:

A (Select):

Select from the list of open documents to display the conditional tags available in that document.

important: You can create and use conditional tags at a document level. This implies that tags created in one document can be used in that document. However, you can import tags from one document to another. For details, see Importing conditional tags and expressions.

B (Create New Tag):

Open the Add/Edit Condition Tag dialog to create a tag. See Creating and editing conditional tags.

C (Edit):

Open the Add/Edit Condition Tag dialog to edit a selected tag. See Creating and editing conditional tags.

D (Delete):

Delete a selected tag. See Deleting conditional tags.

note: You will be prompted if the tag is currently used.

E (Show/Hide):

Open the Show / Hide Conditional Text dialog.

F (Apply):

Select text in a document, change the state (applied or not applied) of one or more tags and then click Apply. See Apply conditional tags.

G (Uncheck All):

Remove all conditional tags applied to the selected text.

H (Refresh):

Refresh the list of available tags.

I (Search text):

Search for a conditional tag in the list. The SAYT (search as you type) functionality works on all the columns in the list.

Creating and editing conditional tags

To apply conditions to the text in a document, you need to first create conditional tags. You then need to apply the tags to text in the document.

To create a conditional tag:

1)In the Conditional Tags pod, click Create New Tag.

The Add/Edit Condition Tag dialog displays.

Add/Edit Condition Tag dialog

2)In the Tag Name field, enter the name of the tag.

3)Specify conditional indicators:

When you apply a tag to text in a document, you can use conditional indicators as visual cues. For example, when you apply a tag to a paragraph of text, you can specify that the paragraph of text displays underlined or the text color is red.

Conditional indicators also are visual cues for other authors who have not necessarily created the document or applied the conditions to the text. With the help of these visual indicators, authors can easily identify which conditions have been applied to various types of content, such as text, images, tables, graphics, and anchored frames.

note: The conditional indicators that you specify for a conditional tag displays in your PDF output. To ensure that the indicators do not display in the PDF output, uncheck the Show Condition Indicators option in the Show / Hide Conditional Text dialog.

Style:

Apply styles such as underline, strikethrough, or change bar to the conditionally applied text.

Color:

Apply text color to the conditionally applied text.

Background

Apply background color to the conditionally applied text.

4)Click Create.

The newly created conditional tag in the Conditional Tags pod shows the defined style, text color, and background color. It also displays the document in which the tag is created.

tip: If you add or edit a conditional tag and the changes are not immediately visible in the pod, click the Refresh button on the pod.

To edit a conditional tag:

1)Select a tag in the Conditional Tags pod and click the Edit button.

The Add/Edit Condition Tag dialog displays the selected tag properties.

2)Update the properties of the tag and click Update.

important: If you change the name of a tag and click Add, a new tag is created.

If you change the conditional indicator properties on an existing tag, these are immediately reflected in the document content. For example, if you change the Color indicator on the PrintOnly tag from blue to green, the text on which this tag is applied changes to green.

Importing conditional tags and expressions

You can import conditional tags and expressions from one document to another.

In a team of authors, you can create one document that defines all the tags and conditional expressions that will be used by the team. All the authors in the team can then import and use those tags and conditional expressions. For more information on conditional expressions, see Show / hide conditional text using conditional expressions.

To import conditional tags and expressions:

1)Open the source and the target documents and go to the target document.

2)From the File menu, choose Import > Formats.

3)In the Import from Document list, choose the source document.

4)Click Deselect All and choose Conditional Text Settings.

5)To import the tags and expressions, click Import.

The conditional tags and expressions defined in the source document are imported into the target document.

important: If the target document defines a conditional expression with the same name as an expression in the source document, the target document expression is overridden.

Deleting conditional tags

You can delete a conditional tag if it is no longer required to be applied.

1)Select a tag and click Delete in the Conditional Tags pod.

2)Click OK to confirm the delete operation.

3)If the tag is used in a document, you are prompted to choose how to resolve the content to which the tag is applied.

You can choose to set the content as unconditional or you can choose to delete the content.

important: When you delete a tag, it will be deleted from the document catalog and will no longer be available for use in the document. If you need to remove a condition from content, do not delete the applied tag or tags. For details on how to remove conditions from content, see Removing conditional tags from text.

How to check if a tag is used in a document

Before you delete a conditional tag, you can check if the tag is currently applied to text.

To check if a tag is applied to text in the document:

1)Select the tag in the Conditional Tags pod.

2)Click Edit to display the Add/Edit Condition Tag dialog.

List of locations in the document for the selected conditional tag

3)To go to the location in the document where the tag is applied, double-click on the Conditional Text in the Location list.

List Conditional tags in a document

To generate a report of all conditional tags applied to text in the document:

1)From the Special menu, choose List Of > References.

2)From the prompt, choose how to create the report.

3)Add Condition Tags to the Include References list and click Set to generate the report.

8.1.2.Apply conditional tags

After you have created conditional tags, you apply these tags to conditionalize text in your document. For example, if an image applies only to the print output of a document, apply the PrintOnly tag. Also, specify the conditional tag at book level without the need to apply conditions or expressions to individual chapters.

Applying conditional tags to text

1)Select the text on which to apply the tag.

The following table details the FrameMaker elements that you need to select to apply conditional tags to the corresponding types of FrameMaker content:

To apply a tag to the following content | Select
Text in a text frame, table cell, or footnote | Text
Anchored frame and its contents | Frame border or anchor symbol
Table | Table anchor symbol
Table row | Whole row
Cross-reference or variable | Cross-reference or variable text
Footnote | Footnote reference (the number in the main text)
Marker | Marker symbol

note: To make a graphic, image, or picture conditional, you need to add these in an anchored frame and then apply a conditional tag to the anchored frame.

2)Open the Conditional Tags pod.

The State column in the list of tags grid displays the state of the tag (applied or not applied) with respect to the current selected text.

3)To apply a tag to the selected text, click to select the State check box.

note: As soon as you click the State check box, an asterisk displays to the right of the check box. This indicates that you have changed the tag state of the selected text but you have not applied (or saved) the changes.

4)To apply the tag to the text, click Apply in the Conditional Tags pod.

If you have defined conditional indicators for the tag, the applied text reflects these indicators. For example, if you apply the tag to a paragraph of text and text color for the tag is defined as red, the text color of the applied text immediately changes to red.

You can apply multiple tags to a piece of text by selecting the text and selecting the tags in the Conditional Tags pod. You can also select text to which a tag is applied and then apply more tags to the text. For more details, see Applying multiple conditional tags.

Keyboard shortcut to apply a conditional tag

You can use the Smart Catalog shortcut to apply a conditional tag:

1)Press Ctrl + 4 to display the Smart Catalog to apply a conditional tag.

2)From the Smart Catalog select the tag to apply.

The state of the tag is updated in the Conditional Tags pod.

Applying conditional tags to tables and anchored frames

FrameMaker gives you visual indicators to identify and distinguish between the various conditional tags applied to tables and anchored frames.

Tables

If you choose the Color conditional indicator when you create the conditional tag, the table border is displayed with a hash of the selected color.

If you choose the Background conditional indicator when you create the conditional tag, the table border is displayed with a solid border of the selected color.

If you do not select either the Color or Background indicators, the table border is displayed with a black colored hash.

Anchored frames

If you choose the Color or Background conditional indicators when you create the conditional tag, the anchored frame border is displayed with a hash of the selected color.

If you do not select either the Color or Background indicators, the anchored frame border is displayed with a black colored border.

Applying multiple conditional tags

You can apply any number of tags to a single piece of text in structured or unstructured documents. You can also overlap tags across text.

If you apply multiple tags on the same text in a document, the following conditions hold:

Conditional indicators behavior:

If each tag has different conditional indicators, FrameMaker attempts to combine the indicators. For example, if you apply two tags with Color set to blue and yellow to a paragraph of text, the resultant text displays in green.

Show tag precedence:

The show tag takes precedence. If multiple tags are applied to a piece of text, and at least one tag is marked as show, the text will display.

If you apply multiple tags on overlapping text in a document, the faaollowing conditions hold:

Apply Show tag to a large piece of text and Hide tag to its subset:

If you apply a Show tag on a large piece of text and a Hide tag on a subset of text, all the text displays. The reason for this behavior is based on the Show tag precedence. Take the following unstructured document example:

If you apply a Show tag to a paragraph of text (large piece of text), each sentence (subset) inherits the Show tag. So, if you apply a Hide tag on one sentence, that sentence now has a Show tag and a Hide tag applied. The paragraph displays because it has a Show tag applied. Also, based on the Show tag precedence, the sentence also displays along with the paragraph.

Apply Hide tag to a large piece of text and Show tag to its subset:

If you apply a Hide tag on a large piece of text and a Show tag on a subset of text, only the subset displays. The reason for this behavior is based on the Show tag precedence. Take the following structured document example:

If you apply a Hide tag to an ordered (ol) list (large piece of text), each list (li) item (subset) inherits the Hide tag. So, if you apply a Show tag on one list item, that item now has a Show tag and a Hide tag applied. The other list items do not display because each of them have inherited the ordered list Hide tag. However, based on the Show tag precedence, the list item on which the Show tag is applied displays.

Applying conditional tags at book level

To apply one or more conditions that are common across chapters in your book:

note: Your .book file can be a mix of both structured (.XML) and unstructured (.fm) files. However, you cannot apply conditions at the book level for .ditamap and .bookmap files.

1)Select the .book file.

2)Choose View > Show/Hide Conditional Text.

3)Select the condition(s) that you want to apply to all files in the book.

4)Select the Update Book After Apply option.

5)Click Apply and click OK on the alert dialog.

6)Click Update on the Update Book dialog.

The selected condition(s) are applied to all files in the book.

Applying conditional tags in structured documents

In a structured FrameMaker document, elements are arranged hierarchically. FrameMaker allows you to apply conditional tags to any element in the document hierarchy. For example, you can apply a conditional tag to the definition list (dl) or to any element contained within the list.

You need to take care not to break the structure of the document. If you apply a conditional tag to a mandatory child element and mark tag as hidden, the document structure is broken. FrameMaker does not prevent you from doing this; however, the Structure View will indicate the break in the document.

Broken structure when the dt tag is marked as hidden

Apply conditional tag to elements in a structured document

To apply a conditional tag to an element, by default, you need to select the entire element (in the Structure View pod) and then apply the conditional tag (in the Conditional Tags pod or by using Ctrl+4). However, if you set (or add) the following maker.ini flag, you can apply a tag to an element by placing the cursor anywhere within the element:

ApplyCondTillElementBoundaries=On

Processing instructions for conditional tags

When you apply conditional tags to a structured document, the processing instructions to handle the tags are defined in the structured application. For details, see the Specifying conditional text output section of the FrameMaker StructureApplicationDeveloper'sReference.

Processing instructions for conditional tags applied to table columns

When you apply conditional tags to the columns in a table, FrameMaker adds processing instructions to enable round-tripping in the XML.

For example, the following processing instruction indicates that the condition ConditionCol1, is applied to first column of the table:

<?Fm TableColumnCond start=0 end=0 ConditionCol1?>

The following processing instruction indicates that the condition ConditionCol1, is applied to first column of the table:

<?Fm TableColumnCond start=1 end=2 ConditionCol2?>

Removing conditional tags from text

If you need to make a specific piece of text unconditional, you can remove the conditional tags applied to that text. In this case, FrameMaker does not delete the tags from the document catalog. This implies that can apply the tags to other text in the document. To delete conditional tags from a document, see Deleting conditional tags.

1)Select the text from which you want to remove the applied conditional tag.

2)Open Conditional Tags pod and deselect the State check box for the required Conditional Tag.

note: As soon as you click the State check box, an asterisk displays to the right of the check box. This indicates that you have changed the tag state of the selected text but you have not applied (or saved) the changes.

3)Click Apply in the Conditional Tags pod.

If you have defined conditional indicators (such as style, color, or background) for the conditional tag, the indicators are removed from the text from which you remove the tag.

Keyboard shortcut to remove a conditional tag

You can use the Smart Catalog shortcut to a remove conditional tag:

1)Press Ctrl + 5 to display the Smart Catalog to remove a conditional tag.

2)From the Smart Catalog select the tag to remove.

The state of the tag is updated in the Conditional Tags pod.

Removing all conditional tags from text

You can choose to remove all conditional tags that are applied to a piece of text in a document.

1)Select the text from which to remove all the tags.

2)Click Uncheck All in the Conditional Tags pod.

note: As soon as you click Uncheck All, an asterisk displays to the right of the check box for each Conditional tag applied to the text. This indicates that you have changed the tags state of the selected text but you have not applied (or saved) the changes.

3)To remove all the tags from the text, click Apply in the Conditional Tags pod.

If you have defined conditional indicators (such as style, color, or background color) for the tags, the indicators are removed from the text from which you remove the tags.

Keyboard shortcut to remove all conditional tags

1)Press Ctrl + 6 to remove all conditional tags from the selected text.

The state of the tags is updated in the Conditional Tags pod.

Identifying the state of conditionalized text

The conditional tag State check box in the Conditional Tag pod has two functions:

1)The State check box allows you to apply or remove conditional tags from text in a document.

2)If you select text, the check box indicates the current state of the text. This implies that if you select a piece of text to which one or more tags is applied, the State check boxes appear checked for the corresponding tags.

However, the check boxes also have an As Is state. This state indicates that one or more tags are applied to part of the text. For example, if a tag is applied to a sentence and you select the entire paragraph, the tag displays the As Is state. Similarly, if you select two paragraphs to which two different tags are applied, both the tags display the As Is state.

Conditional tag intermediate state

Copying conditions across text

You can copy the conditions applied to one piece of text to other pieces of text. For example, say two conditional tags are applied to one paragraph of text. You can use the special Copy - Paste functionality to apply both these tags to another piece of text.

To copy conditions across text:

1)Select the text from which to copy the condition or conditions.

note: To check that you have selected the text correctly, ensure that the State checkbox in the Conditional Tags pod displays as checked.

2)From the Edit menu, choose Copy Special > Conditional Tag Settings.

3)Select the text to which to apply the tags.

4)From the Edit menu, choose Paste.

8.1.3.Show or hide conditional text

Conditional text in FrameMaker allows you to apply conditions to text. Once you have applied conditions, you can then decide, based on the applied conditions, the text to show or hide.

When you apply a tag to text in a document, the text is marked as conditional. If you have defined Conditional Indicators (such as style, color, or background color), the text on which the tags is applied is conditionally formatted based on the indicators. However, all text displays in FrameMaker. You still need to specify the text to show and text to hide based on the applied tags.

To show or hide conditional text, use the Show / Hide Conditional Text dialog.

Show / Hide Conditional Text dialog

After applying conditional tags to the text in a document, you use the Show / Hide Conditional Text dialog to set up and define the text to show or hide.

Show / Hide Conditional Text dialog

Show All:

Default. All text in the document is displayed (unconditionally) irrespective of the conditions applied.

note: The Show All option ensures that all text is displayed. However, the conditionalized text displays with the specified conditional indicators.

Show as per Condition:

Select this option and move conditional tags between the Show and Hide tag lists to specify the tagged text to show or hide, respectively. For details, see Show / hide conditional text using conditional tags.

Show if all Conditions Applied:

Select this option to ensure that any tagged text in the document displays only if all conditional tags selected in the Show list are applied to that text.

Show as per Expression

Select this option and choose a conditional expression that defines the show and hide conditions. For details, see Show / hide conditional text using conditional expressions.

Show Conditional Indicators:

When you define conditional indicators for the conditional text in a document, by default, the text displays and outputs (PDF) with the indicators. You can choose to turn off this option.

Condition indicators (strikethrough and underline) identify two conditions.

Apply Show/Hide settings to Nested Books

If you have nested books in your main book file, then select this option to ensure that the conditional tags are applied to all nested books.

Update Book after Apply

Select this option to apply conditional tags to all files in your book. For details, see

Applying conditional tags at book level.

Show / hide conditional text using conditional tags

1)Open the Show / Hide Conditional Text dialog.

2)To show or hide text in the document using conditional tags, select Show as per Condition.

3)Use the arrows to move tags between the Show and Hide conditional tag lists.

For example, to show only text tagged as print; ensure the PrintOnly tag is in the Show list. Move all other tags to the Hide list.

To show text tagged as PrintOnly and MobileOnly; ensure only these tags are in the Show list.

4)To show and hide the conditionalized text depending on the list to which you add them, click Apply.

The conditional text is hidden or displayed.

If conditional indicators are applied to tags in the Show list, the corresponding tagged text displays with the specified indicators. You can choose to remove the indicators by unchecking the Show Conditional Indicators option in the Show / Hide Conditional Text dialog.

important: If you plan to publish generate a Apply conditional tags of a document on which conditional text is applied, you need to turn off this option. If you keep the Show Conditional Indicators option on, the PDF output will display with the indicators.

Show / hide conditional text using conditional expressions

Using conditional tags, you can show or hide text depending on the tags you place in the Show and Hide tag lists, respectively. This means that any tag in the Show list causes the corresponding tagged text to display. However, consider the following example:

A document defines the Comment, PrintOnly, and MobileOnly conditional tags. Paragraphs in the document are tagged with different combinations of these tags:

•Paragraph one is tagged as PrintOnly.

•Paragraph two is tagged as PrintOnly and MobileOnly.

•Paragraph three is tagged PrintOnly and Comment.

You need to set up the document to display only text tagged as PrintOnly and MobileOnly. If you move the PrintOnly and MobileOnly tags to the Show list, all three paragraphs display since all have either one of these tags associated. To handle this, you create conditional expressions that allow you to combine multiple tags with the and, or, and not operators.

In the above example, the expression “PrintOnly” and “MobileOnly” ensures that only text with both PrintOnly and MobileOnly tags is included.

To create a conditional expression:

1)In the Show / Hide Conditional Text dialog, click Build Expression.

In the Manage Conditional Expression dialog, you can create or edit conditional expressions.

2)To create an expression, enter a name for the expression.

You build an expression using the available tags in combination with the and, or, and not operators.

3)In the above example, click the PrintOnly tag and click the arrow to add the tag to the expression box at the insertion point.

Alternatively, you can double-click the PrintOnly tag.

4)Click and to add the operator after the PrintOnly tag.

5)Click the MobileOnly tag and click the arrow to add the tag to the expression.

6)Click Save.

The conditional expression displays in the list.

7)On the Show / Hide Conditional Text dialog, select Show as per Expression.

8)From the Build Expression list, choose the required expression and click Apply.

The text is displayed based on the conditional expression.

Conditional expression might require grouping of sub-expressions in brackets. Take the example of a document with the following tags:

Platforms:

Win, Mac, and Unix

Versions:

Version 1.0, Version 2.0, and Version 3.0

Output:

PDF, HTML, ePub, and RTF

To display text tagged as Win or Mac with all versions except Version 1.0 and output PDF or HTML, create the following expression:

Using parentheses to simplify conditional expressions

When you create conditional expressions:

•Tag names display in green text.

•Tag names must be included in double-quotes.

If you select a tag name from the Condition Tag list, the name displays in double-quotes. However, you can also enter the tag name manually. In this case, ensure that you enter the name in double-quotes.

•Misspelled tag names are underlined with a red squiggly.

•And, or, and not operators display in blue text.

•Syntax errors display with a yellow background.

•The Save button is disabled if there are errors in the expression.

8.1.4.Finalizing conditional documents

Before you produce a finished version of a conditional document, follow these guidelines:

•Change your view of the document to include only the version you want to print, and turn off condition indicators.

•If your document contains variables, make sure that the variable definitions are correct for the version you’re printing.

•Spell-check the document. This feature finds double spaces and punctuation problems caused by incorrectly tagged with conditional tags.

•Update cross-references. If the document contains unresolved cross-references, perhaps they point to cross-reference markers in hidden conditional tags. Show the version and update the cross-references again.

•Create a copy of the document for each version before manually adjusting line and page breaks. Use the copy for each version for making the adjustments and for printing. These adjustments differ with each version. Use the original document for future edits.

•If the document is part of a book, update the book and its generated files. If the book contains documents with different condition indicators for the same tag, FrameMaker displays an alert message. It also alerts you if some condition tags are displayed in one document but are hidden in another. If this situation occurs, click Cancel to stop book generation. Correct the conditional tags settings of your documents.

•After generating an index, check it for double question marks (??), which indicate missing or incorrect index markers.

8.1.5.FAQ and troubleshooting

I have applied conditional tags to the text, but all of the text is being displayed.

You need to use the Show/Hide Conditional Text pod to specify the text to show or hide. For details, see Show / Hide Conditional Text dialog.

Can I apply two conditional tags to the same sentence.

You can apply any number of tags to text. For details, see Applying multiple conditional tags.

The tables cannot be tagged as conditional text.

You can apply conditional tags to a table or to the rows in a table. For details, see Applying conditional tags to text.

I want to use the same conditional setting across all my books. How can I reuse the settings from one book to another?

You can import conditional tags and expressions from one document into another. For details, see Importing conditional tags and expressions.

Why does nothing happen when I change the state in the conditional text pod?

After you change the state of a tag in the Conditional Tag pod, you need to click Apply to apply the updates to the document text. For details, see Applying conditional tags to text.

How do I avoid unresolved cross-references

Sometimes you insert a cross-reference to a paragraph, and the first word in the paragraph is conditional. The Cross-Ref marker that FrameMaker inserts is also conditional (with the condition tag settings of the first word). The marker is hidden when you hide the conditions of the first word. As a result, the cross-reference is sometimes unresolved if condition tag settings of the cross-reference and of the cross-reference marker differ.

To avoid this situation, select just the Cross-Ref marker at the beginning of the source paragraph, and make it unconditional. Then the marker is always visible. The cross-reference is resolved no matter which version is visible.


Cross-references

8.2.Cross-references

You can provide your readers with links from one document to another or from within one part of a document to another. In FrameMaker, you can create links using cross-references. Since cross-references in FrameMaker are based on markers, if the position of a cross-reference in the document changes, the link remains intact as long as the marker remains intact. For example, say you create a cross-reference to a heading in a document and then include or remove content before the heading. The cross-reference remains intact, even though the location of the destination header has changed.

To open the Cross-References pod:

•From the View menu, choose Pods > Cross-References.

Cross-References pod

The Cross-References pod displays the list of cross-references in the current document.

To sort the list, click a column header in the list. The list is sorted by the header that you click.

To resize a column:

1)Hover the mouse between two columns until the cursor is a bi-directional arrow.

2)Hold down the left mouse button, drag, and release the mouse button when the column is sized as required.

Use the Cross-References pod to:

A (Select):

Select from the list of open documents to display the cross-references available in that document.

B (References)

Select from the list to display, in the current document:

•All the cross-references

•Unresolved cross-references. See Managing unresolved cross-references

•External cross-references. See Deleting cross-references in a document.

C (Insert):

Insert a cross-reference in the document. See Insert cross-references.

D (Edit):

Open the Cross-Reference dialog to edit a cross-reference. See Editing cross-references in a document.

E (Delete):

Delete a selected cross-reference. See Deleting cross-references in a document.

F (Go to Location):

Go to the selected cross-reference in the current document.

G (Convert To Text):

Convert the selected cross-reference to editable text.

note: The visible text of the cross-reference is converted to editable text. For example, if you choose to include the page number in the cross reference text, this will be retained as editable text. For details on cross-reference formats, see Managing cross-reference formats.

H (Refresh):

Refresh the list of available cross-references.

I (Search text):

Search for cross-references in the list. The SAYT (search as you type) functionality works on all the columns in the list.

8.2.1.Insert cross-references

You can insert cross-reference in a document to point to another section of the current document or you can point to a section in another document. You can Insert cross-references in documents or Insert a cross-reference to an element in structured documents.

Cross-Reference dialog

You use the Cross-Reference dialog to insert a cross-reference in a document.

Cross-reference dialog

In the Cross-Reference dialog

Document drop-down list

Select the document containing the destination location for the cross-reference.

note: If the cross-reference is pointing to location in another document, you need to open the document.

Go to Source

Navigate to the location of the cross-reference. If the cross-reference is located in another document, open the document and navigate to the selected paragraph tag.

Source Type drop-down list

Choose the type of content of the destination location:

Paragraph

To Insert a cross-reference to a paragraph in a document

Cross-Reference Markers

To Insert a cross-reference to a Cross-Ref marker in a document

Elements Listed in Order / Elements Sorted by ID

To Insert a cross-reference to an element in structured documents.

You can choose to list the elements in the document by the order in which the elements appear in the document. Alternatively, you can list the elements by the unique ID applied to each element.

Source Type lists

Depending on the source type selected above, the list on the left below display the paragraph tags, cross-references, or element types in the selected document.

The list box on the right displays the specific paragraphs, cross-references, or elements.

Element Tag

Choose the element tag (for example XRef) to use for the cross-reference. For details, see Insert a cross-reference to an element in structured documents.

Format drop-down list

Choose a format to display the cross-reference in the current document. For details, see Managing cross-reference formats.

Edit Format

By default, FrameMaker provides a list of cross-reference formats. Choose this option to add, edit, or delete from this list. For details, see Managing cross-reference formats.

Convert to Text

Displays the Convert Cross-Reference to Text dialog.

In this dialog, you can convert to editable text:

•selected cross-references

•cross-references with a specific Format

•cross-references with a specific Element tag

•all cross-references in the current document

Insert / Replace

Insert a cross-reference at the specific location. See Insert cross-references in documents. If you select an existing cross-reference, the Replace option is available to update the cross-reference. See Updating cross-references in a document.

Insert cross-references in documents

In documents, you can insert a cross-reference to a paragraph (for example, headings) in a document or a text inset within the document. You can also insert a cross-reference to a word or phrase in a document. In structured document, you can also insert cross-references to elements in the structured hierarchy.

Insert a cross-reference to a paragraph in a document

1)Place the insertion point at the location in the current document where you want to insert the cross-reference.

2)Click Insert on the Cross-References pod.

Alternatively, you can choose Cross-Reference from the Special menu.

The Cross-Reference dialog is displayed.

3)In the Document drop-down list, select the document containing the destination paragraph.

important: To insert a cross-reference to another document, you need to open the destination document in FrameMaker.

4)Select the paragraph type and the specific paragraph.

5)From the Format list, choose the format to display the cross-reference.

For example, the See Heading & Page format displays as:

See “Creating cross-references” on page 1

6)Click Insert.

If you move the paragraph from one document to another, FrameMaker uses the marker Resolve unresolved cross-references in a document.

tip: To maintain cross-references that you move across document, you need to also move the Cross-Ref markers.

important: If the destination paragraph exists in a separate document, you need to ensure that you have write-permissions on that document. For example, if you are using a content management system, you might be required to check-out both the source and destination documents.

Insert cross-reference to a paragraph in a text inset

If you have a document that includes a text inset reference to another document, you can insert a cross-reference to paragraphs that are contained in the text inset. If a user follows the cross-reference link in the main document, the user is directed to the text inset within the document itself.

1)Place the insertion point at the location in the current document where you want to insert the cross-reference.

2)Click Insert on the Cross-References pod.

Alternatively, you can choose Cross-Reference from the Special menu.

The Cross-Reference dialog is displayed.

3)In the Document drop-down list, select the document that is referenced in the text inset that contains the destination paragraph.

important: To insert a cross-reference to another document, you need to open the destination document in FrameMaker.

4)Select the paragraph type and the specific paragraph.

5)From the Format list, choose the format to display the cross-reference.

For example, the See Heading & Page format displays:

See “Creating cross-references” on page 1

6)Click Insert.

If you insert a paragraph cross-reference to a text inset, the cross-reference marker is sometimes lost when the text inset is updated. To prevent the marker from being lost, first insert a cross-reference to the paragraph in the text inset’s source document.

1)Open the source of the inset by double-clicking the inset and then clicking Open Source from the Text Inset Properties pod.

2)Insert a cross-reference to the paragraph anywhere in the source document.

3)Delete the cross-reference text. The marker remains.

4)Save the source document, and then in the document that contains the text inset, update the text inset by choosing Edit > Update References.

5)Insert a spot cross-reference, this time in the document that contains the inset. The cross-reference uses the marker in the updated inset.

Insert a cross-reference to a Cross-Ref marker in a document

You can insert a cross-reference to any location in a document by using the Cross-Ref type marker. Using the Cross-Ref marker, you can link to a word or phrase in a paragraph or to an anchored frame. You even can link to the text in a cell in a table. You can link to any location in a document where you can insert a Cross-Ref marker.

1)Place the insertion point at the destination location and open the Marker dialog (Special > Marker).

2)In the Marker dialog, choose the Cross-Ref marker type.

3)Specify a marker text and click New Marker.

The marker text can be any name that you specify for the name. You will select this in the Cross-Reference dialog when you insert the cross-reference.

A new marker is inserted at the destination location.

4)Place the insertion point at the location to create the cross-reference.

note: The cross-reference and the marker locations can be in the same or separate documents.

5)Open the Cross-Reference dialog.

6)In the Source Type drop-down list, choose Cross-Reference Markers.

7)In the Maker Type list, choose Cross-Ref.

8)In the Cross-References Markers list, choose the marker (by name) that you created in Steps 1 through 3.

To insert the cross-reference perform the remainder of the steps as per the procedure in Insert a cross-reference to a paragraph in a document.

important: If the destination cross-reference exists in a separate document, you need to ensure that you have write-permissions on that document. For example, if you are using a content management system, you might be required to check-out both the source and destination documents.

Insert a cross-reference to an element in structured documents

In structured document, besides cross-references to paragraphs and Cross-ref markers, you can also insert cross-references to elements in the current or other structured documents.

1)Place the insertion point at the location in the current document where you want to insert the cross-references.

2)Click Insert on the Cross-References pod.

Alternatively, you can choose Cross-Reference from the Special menu.

The Cross-Reference dialog is displayed.

3)Select the document containing the destination element.

4)In the Source Type drop-down list, choose Elements Listed in Order or Elements Sorted by ID to view the list of elements in the destination document.

note: If you have specified the ID attribute values for element, use the Elements Sorted by ID. This option displays the elements with defined ID attributes at the top of the list.

5)Choose the element tag (for example, Para or Section) and the specific Element.

Some elements use context labels to provide information about the element’s location in the structure. For example, if Section elements can be nested within other Section elements, the labels identify whether the elements are first-, second-, or third-level sections.

Context labels

6)In the Element_Tag drop-down list, choose the type of cross-reference element to insert at the current location.

note: The items in this list depend on the cross-reference elements that are defined in the structured app.

7)From the Format list, choose the format to display the cross-reference.

For example, the See Heading & Page format displays:

See “Creating cross-references” on page 1

8)Click Insert.

When you insert a cross-reference to an element in a structured document, FrameMaker user the ID and IDRef attributes of the destination and source elements, respectively.

If you insert a cross-reference to an element whose ID attribute is not currently assigned a value, FrameMaker assigns a unique value to the attribute. However, if the ID attribute is not read-only, you can manually set the attribute value.

You need to ensure that the destination element has the ID attribute defined. Else, you need to use another element or the structured app definition will need to be changed.

important: If the destination element exists in a separate document, you need to ensure that you have write-permissions on that document. For example, if you are using a content management system, you might be required to check-out both the source and destination documents.

8.2.2.Manage cross-references

You can edit (see Editing cross-references in a document) or delete (see Deleting cross-references in a document existing cross-references in a document. You can also, edit the cross-reference formats to change the way the cross-reference displays in the document output. For example, you can choose to only display the heading text, and not include the page number in the cross-reference. For details, see Managing cross-reference formats. You can update the cross-references in a document. For example, if the destination content is changed. See Updating cross-references in a document. Also, changes in the destination content can cause the cross-references in the current document to be broken. To identify and handle unresolved cross-references, see Managing unresolved cross-references.

Editing cross-references in a document

You can change any of the properties associated with an existing cross-reference, including the destination of the cross-reference, using the Cross-Reference dialog.

Edit the cross-reference in a document

1)For an existing cross-reference, double-click the cross-reference in the document.

Alternatively, open the Cross-References pod (View > Pods > Cross-References), select the cross-reference in the pod and click Edit.

The Cross-Reference dialog is displayed.

2)In the Cross-Reference dialog, you can update:

•The destination document and paragraph, cross-reference, or element

•Element_Tag - If the cross-reference is an element in a structured document

•The format of the cross-reference

Click Edit Format to open the Edit Cross-Reference Format dialog. Use this dialog to add, edit, or delete cross-reference formats. For details, see Managing cross-reference formats.

•Convert the cross-references in the document to text.

3)To update the cross-reference, click Replace.

Deleting cross-references in a document

If you delete a cross-reference in a document, the cross-reference as well as the associated text is deleted. For example, if the following cross-reference is inserted in a document:

See “Creating cross-references” on page 1

If you delete the cross-reference, the cross-reference is removed from the document catalog and the text “See “Creating cross-references” on page 1” is deleted from the document.

Delete a cross-reference in a document

1)Open the Cross-References pod (View > Pods > Cross-References).

2)Select the cross-reference in the pod and click Delete.

You can also, select the cross-reference in the document and press the Delete key on the keyboard. However, in this case, you might inadvertently also delete any adjoining text.

Managing cross-reference formats

When you insert a cross-reference in a document, you need to select a format to associated with the document.

For example, the See Heading & Page format displays:

See “Creating cross-references” on page 1

The Format drop-down list display the available formats. You can choose any of the formats when you insert a cross-reference in a document. Alternatively, you can edit these formats or create new formats. Cross-reference formats are specific to a FrameMaker document. However, you can use the updated formats in another document, by, Importing cross-reference formats.

Edit Cross-Reference Format dialog

Use the Edit Cross-Reference Format dialog to create, edit, or delete cross-reference formats in the current document.

Edit Cross-Reference Format dialog

Use the Edit Cross-Reference dialog to:

Name:

Update the name of an existing format or specify a name for a new format.

Definition:

Define the cross-reference format.

To define a format, you can enter any fixed text - for example, Figure that will display as you specify the text in the definition. You can also use the definitions Building Blocks list to display contextual information.

For example, the default Heading & Page format is defined as:

“<$paratext>” on page\ <$pagenum>

The building block parts of the definition are included in angle brackets (<>) and preceded by a dollar ($) sign. When FrameMaker encounters this nomenclature in a cross-reference format, it interprets this according to the building block definitions. In the above example, FrameMaker interprets:

<$paratext>

Paragraph text of the cross-referenced paragraph

<$pagenum>

Page number of the cross-referenced paragraph

The resulting cross-reference is displayed as:

“Inserting cross-references” on page 25

For details, see Cross-reference format building blocks.

If the definition contains characters that are not as per the building block nomenclature, these characters are displayed as they are written in the definition. Say in the above example, you defined the Heading and Page format as:

“<$paratext>” on page\ <$PageNum>

The resulting cross-reference is displayed as:

“Inserting cross-references” on page <$PageNum>

Add

Create a format. See Creating cross-reference formats.

Change

Edit an existing format. See Editing cross-reference formats.

Delete

Delete an existing format. See Deleting cross-reference formats.

Creating cross-reference formats

You can create cross-reference formats and then use these in the current document. To use the new formats in another document, see Importing cross-reference formats.

1)In the Edit Cross-Reference Format dialog, enter a name the cross-reference in the Name field.

2)In the Definition field, define the cross-reference format.

To define the format, you can enter any text (letters, characters, or numbers) that display as they are in the cross-reference.

Use the building blocks to display contextual information in the cross-reference.

To add a building block to the definition, place the insertion point at the appropriate location and click the definition in the Building Blocks list.

You can also, type the building block definition by including the definition in angle brackets (<>) and preceding the definition by a dollar ($) sign.

For details, see Cross-reference format building blocks.

3)To create a cross-reference format, click Add.

Editing cross-reference formats

You can change existing cross-reference formats and then use these in the current document. To use the updated formats in another document, see Importing cross-reference formats.

1)In the Edit Cross-Reference Format dialog, select an existing format from the Formats list.

note: You can edit the name of the format in the name field.

2)In the Definition field, edit the cross-reference format definition.

You can enter any text (letters, characters, or numbers) that display as they are in the cross-reference.

Use the building blocks to display contextual information in the cross-reference.

To add a building block to the definition, place the insertion point at the appropriate location and click the definition in the Building Blocks list.

You can also, type the building block definition by including the definition in angle brackets (<>) and preceding the definition by a dollar ($) sign.

For details, see Cross-reference format building blocks.

3)Click Change and to update the selected cross-reference format, click Done.

The Update Cross-References dialog is displayed.

4)If you update the format definition, you need to choose to update the references:

•In the current document

•In all open documents that are referenced by the cross-references in the current document

•In all documents that are referenced by the cross-references in the current document

Or click Cancel to not reflect the format changes in any cross-references.

Deleting cross-reference formats

You can choose to delete cross-reference formats that are not used in the document. You can also choose to delete cross-reference formats that are currently used. If you delete a cross-reference format that is used in the current document, you are prompted that all cross-references that use the format will be converted to editable text.

1)In the Edit Cross-Reference Format dialog, select an existing format from the Formats list.

2)Click Delete and to remove the selected cross-reference format from the document catalog, click Done.

You are prompted to change all cross-references that use the deleted format to editable text.

Importing cross-reference formats

The cross-reference formats that you add or edit are available for use in the current document. To make these formats available in other documents you need to import the formats.

1)Open the document containing the cross-reference format to be imported into other documents.

2)Open the document into which you need to import the formats.

Ensure that the document into which you need to import the formats is currently selected.

3)Open Import Formats dialog (File > Import > Formats).

4)In the Import from Document drop-down list, choose the source document and ensure that only the Cross-Reference Formats check box is checked.

You can use the Deselect All button to first uncheck all the boxes and then check Cross-Reference Formats check box.

5)To import the cross-reference formats, click Import.

Cross-reference format building blocks

When you add or edit cross-reference format, you can choose to use building blocks to display contextual information in the cross-reference. The following sections describe the building blocks that you can use to create cross-reference formats.

Source file information building blocks

The following building blocks provide information about the source file of the document containing the cross-reference:

Building block | Description
<$filename> | The name of the source document
<$fullfilename> | The full path of the source document
<$volnum> | The volume number of the document that includes the source paragraph
<$chapnum> | The chapter number of the document that includes the source paragraph

Source paragraph

The following building blocks provide information about the source paragraph referenced by the cross-reference:

Building block | Description
<$pagenum> | The page number of the source paragraph
<$paratext> | The text of the source paragraph, excluding its autonumber (If the character format of text in the source paragraph was changed by applying a Character Catalog format, the font family, superscript, and subscript properties are preserved in the text of the cross-reference.)
<$paratag> | The tag of the source paragraph
<$paranum> | The source paragraph’s entire autonumber, including any text in the autonumber format
<$paranumonly> | The source paragraph’s autonumber counters, including any characters between them

Paragraph preceding the source paragraph

A cross-reference to a subsection often identifies the section that contains it. For example, this cross-reference to a subheading identifies the main heading under which it is found: See “Types of Plate Boundaries” in “Plate Tectonics.”In the example, Types of Plate Boundariesis the source paragraph, and Plate Tectonics is the main heading under which the source paragraph appears.

In each of the building blocks, replace tag (in brackets) with the tag of the paragraph to which you want to refer, but don’t delete the brackets. For example, if you want to refer to the text of the preceding paragraph tagged Head1, use <$paratext[Head1]>.

Building block | Description
<$pagenum[tag]> | The page number of the preceding paragraph with the specified tag
<$paratext[tag]> | The text of the preceding paragraph with the specified tag, excluding its autonumber (If the character format of text in the source paragraph was changed by applying a Character Catalog format, the font family, superscript, and subscript properties are preserved in the text of the cross-reference.)
<$paratag[tag]> | The tag of the preceding paragraph with the specified tag
<$paranum[tag]> | The entire autonumber of the preceding paragraph with the specified tag, including any text in the autonumber format
<$paranumonly[tag]> | The autonumber counters of the preceding paragraph with the specified tag, including any characters between them

important: Don’t use a paragraph tag that includes brackets ([ ]).

Structured document elements

Use the following building blocks to create cross-reference formats that refer to structured document elements

Building block | Description
<$elempagenum> | The page number of the source element
<$elemtext> | The text of the source element (up to the first paragraph break), excluding its autonumber, but including any prefix and suffix specified in the element definition
<$elemtextonly> | The text of the source element (up to the first paragraph break), excluding its autonumber and any prefix and suffix specified in the element definition
<$elemtag> | The tag of the source element
<$elemparanum> | The entire autonumber of the source element’s first paragraph (or of the paragraph containing the source element), including any text in the autonumber format
<$elemparanumonly> | The autonumber counters of the source element’s first paragraph (or of the paragraph containing the source element), including any characters between the counters
<$attribute[name]> | The value of the attribute with the specified name (or, if no value is specified, the default value)

Updating cross-references in a document

If the source content of cross-references is updated, you need to update the cross-references in the current document. For example, if you create a paragraph cross-reference to a heading and then change the heading text, you will need to update the cross-reference in the document containing the cross-reference.

The cross-references in the document are updated every time the document is opened. Alternatively, you can manually update the references in an already opened document. Also, you can prevent FrameMaker from updating the cross-references in a document every time it is opened.

Update the cross-references in a document

1)From the Edit menu, choose Update References.

2)In the Update References dialog, check All Cross-References and click Update.

If FrameMaker can not resolve the cross-references, the Update Unresolved cross-references dialog box appears. For details on unresolved cross-references, see Managing unresolved cross-references.

Suppress automatic cross-reference updating

By default, FrameMaker updates the cross-references in a document every time the document is opened. However, if a document contains a large number of cross-references, the validation for the cross-references in the document can cause a sufficient delay in the document load time.

To stop FrameMaker from updating cross-references when a document is opened:

1)From the Edit menu, choose Update References.

2)In the Update References dialog, open the Commands drop-down in the upper right corner and select Suppress Automatic Updating.

3)In the Suppress Automatic Reference Updating dialog, check Suppress Automatic Updating of All Cross-References and click Set.

Managing unresolved cross-references

If the source of a cross-reference is changed and FrameMaker is unable to update the reference in the destination, FrameMaker reports the cross-reference as unresolved. This can happen, for example, if the source document or content is deleted.

FrameMaker reports a cross-reference as unresolved if:

•The marker or source of the cross-reference has been moved to a different file, or the file itself has been moved or renamed.

•The source has been deleted, or if the source is a paragraph or Cross-Ref marker, the marker indicating the source has been deleted.

•The file containing the marker is currently open by another user.

•The value for the source element ID attribute or the cross-reference ID Reference attribute (IDRef) has been changed or deleted.

Identify unresolved cross-references in a document

You can view the list of unresolved cross-references in a document in the:

1)Open the Cross-References pod (View > Pod > Cross-References).

2)In the References drop-down list, choose Unresolved Cross-References.

The list displays the unresolved cross-references. Use the Update References dialog to Resolve unresolved cross-references in a document.

You can also generate a list of unresolved cross-references in a document:

1)From the Special menu, choose List Of > References.

2)Choose to create the list as standalone index of references or include the index in a new book.

3)Move the Unresolved Cross-Refs to the Include References list and click Set.

The generated list includes the page number of each unresolved cross-reference and indicates whether each missing source is internal (in the current document) or external (in a different document). The list includes additional information - for example, the tag and text of the source paragraph (unstructured documents), or the ID, element tag, and text of the source element (structured documents). For Cross-Ref marker cross-references, the list includes the marker text.

note: The tag and text are not always accurate because they are not updated after you initially insert the cross-reference.

Resolve unresolved cross-references in a document

To resolve unresolved external cross-references in a document:

1)Open the Update References dialog (Edit > Update References).

2)Click the Commands drop-down list and select Update Unresolved Cross-References.

Update Unresolved Cross-References dialog is displayed.

3)In the Total of Unresolved cross-references scroll list, select the file that previously contained the source of the unresolved cross-reference. The text below the scroll list indicates how many cross-references to the selected file are unresolved.

4)Navigate to and select the alternate document containing the cross-reference.

5)To resolve cross-references to any other file listed in the Total of Unresolved cross-references scroll list, repeat steps 3 and 4. Then click Done.

To resolve cross-references to Cross-Ref markers, you need to re-create the Cross-Ref marker and the cross-reference. For details, see Insert a cross-reference to a Cross-Ref marker in a document.

Similarly, to resolve cross-references to elements in structured documents, you need to re-create the cross-reference. For details, see Insert a cross-reference to an element in structured documents.


Text insets

8.3.Text insets

A text inset is used to insert content from an external source into a FrameMaker document. The text inset feature of FrameMaker allows you to easily reuse text across documents and books. You can store such reusable content in an external document (such as a text file or FrameMaker document), and then import the content across one or more documents.

You import plain text from a text file or you can import text and formatted content from a FrameMaker document (.fm or .mif).

Use the Insets pod to work with text and graphic insets in your documents. From this pod, you can import insets into a document, view inset properties, or delete insets from a document.

To open the Insets Tags pod, from the View menu, choose Pods > Insets.

Insets pod

The Inset pod displays the list of insets in the current document.

To sort the list of insets, click a column header in the list. For example, you can sort by the referenced file or page number.

To resize a column:

1)Hover the mouse between two columns until the cursor is a bi-directional arrow.

2)Hold down the left mouse button, drag, and release the mouse button when the column is sized as required.

Use the Insets pod to:

A (Select):

Select from the list of open documents to display the insets available in that document. You can also choose to view the insets in all the open documents.

B (List all, text, or graphic insets):

Select from the list to view the text or graphic insets included in the current document.

C (List all, resolved, or unresolved insets):

Select from the list to view the resolved or unresolved insets included in the current document. See Fixing unresolved text insets.

D (Import New):

Import an inset into the current document. See Insert text insets.

E (Properties):

Open the Text Inset Properties dialog. See Viewing and editing inset properties.

F (Delete):

Delete the selected inset from the current document. See Deleting text insets.

G (Delete with Anchored Frame):

Delete the selected graphic inset (along with the anchored frame) from the current document.

H (Go to Location):

Go to the location where the text inset is included in the current document.

I (Convert to Text):

Convert the selected inset to inline text. See Viewing and editing inset properties.

J (Refresh):

Refresh the list.

K (Search text):

Search for an inset in the list. The SAYT (search as you type) functionality works on all the columns in the inset list.

8.3.1.Insert text insets

You can import the following file formats as text into a document:

Text file:

Import plain text from a text file.

FrameMaker document (.fm or .mif):

Import plain or formatted text from a FrameMaker document.

Microsoft Word:

Import plain or formatted text from a Microsoft Word document.

Microsoft Excel:

Import plain or formatted text from a Microsoft Excel book.

note: If you import an Excel book with multiple sheets, the text from all the sheets is imported.

PDF

Import a selected page from a PDF as an image.

To import a text into a document:

1)In the Insets pod, click Import New.

Alternatively, from the File menu, choose Import > File.

The Import dialog is displayed.

2)Select a file to import.

3)Select the mode in which you want to import the content of the selected file.

By Reference

The content of the selected file is inserted into the current document as a text inset. If the source file is updated, the content in the inset is also updated.

Copy Into Document

The content of the selected file is inserted into the current document as FrameMaker content. This implies that you can update the content in the FrameMaker document. Any changes to the source document are not reflected in the current document.

4)If you choose a file format other than MIF or FM, the Unknown File Type dialog is displayed.

Select the application filter to use to convert the file before importing the content into the current document.

5)If you choose to import a text file, the Import Text File by Reference or Import Text File by Copy dialog is displayed.

Import Text Flow by Reference (or Copy) dialog

Merge Lines into Paragraphs

Break the text into paragraphs only at blank lines. Use this option for a paragraph-oriented text file, such as a file containing document text.

Treat Each Line As A Paragraph

Break the text into paragraphs at the end of each line. Use this option for a line-oriented text file such as a file containing code.

Convert To Table

Convert the imported text to a table. You will be prompted to select the table format. Ensure that the text in the file contains a defined delimiter to separate columns. When you choose this option, the Convert to Table dialog display.

Convert to Table

Updating of Imported Text

If you are importing the text by reference, you can choose to update the text inset every time you open the document, or only when you manually update the inset. For details, see Updating text insets.

If you choose a Word, Excel, or MIF file format, the Import Text Flow by Reference or Import Text Flow by Copy dialog is displayed.

Import Text Flow by Reference (or Copy) dialog

Flow to import

In this section, you can choose to import either the body page flow or the reference page flow.

note: The body or reference pages of a document can contain multiple flows.

Body Page Flow:

Import the selected flow from the body page of the document.

By default, the body pages contain one flow: A (Main Flow). If a document contains multiple flows, you need to choose the flow to import.

Reference Page Flow

Similar to the body page import, you can choose the flow in the references page to import. By default, the reference pages contain the following flows:

•TOC

•IX

•HTML

•Heading

You can also add a user-defined flow to the reference document. You can then add this reference page flow as a text inset to your document.

Formatting of Imported Flow

In this section, you choose the formatting option of the text inset.

Reformat Using Current Document's Formats

Use the settings defined in the source document catalog.

When you import using the current document formats, you can also choose to remove:

Manual Page Breaks:

The inset in the container document will not include the any manual page breaks included in the source content.

Other Overrides:

If the source content includes any paragraph or character overrides, these will be ignored in the inset.

Reformat as Plain Text

Does not include any formatting from the source document.

Retain Source’s Formatting

Discard the structure of the source content but retain the formatting. If you later modify the formatting of the container document, the imported formats are not affected—even if the formatting tags in the current document and imported text match.

Updating of Imported Flow

Automatic

The references to text insets in the document are updated every time the document is opened.

Manual

The references to text insets in the document are not updated when the document is opened. For details on how to update the references manually, see Working on an open document.

8.3.2.Manage text insets

From the Insets pod, you can import text into a document. You can also manage the insets that are currently included in the document.

This section covers the following topics:

• Viewing and editing inset properties

• Deleting text insets

• Updating text insets

• Fixing unresolved text insets

Viewing and editing inset properties

You can view and edit the properties on a text inset included in a document.

To view the properties of a text inset:

1)In the Insets pod, select an inset, and then click Properties.

Alternatively, you can double-click the inset in the document.

The Text Inset Properties dialog is displayed.

Text Inset Properties dialog

2)In the Text Inset Properties dialog you can perform the following tasks:

Settings:

Open the Import Text Flow by Reference dialog.

In this dialog, you can update the way the text from the source is imported into the document. For details on this dialog, see Insert text insets.

Convert:

Convert the text inset to text in the document.

The Convert Text Insets to Text dialog is displayed.

You can choose to convert the Selected Text Inset to text.

Alternatively, you can choose to convert All Text Insets in the document to text. This is the same as choosing the Copy Into Document option in the Import dialog when you are Insert text insets.

After you convert the text inset to text in the document, the reference to the source document is broken. Also, the text inset is removed from the list in the Insets pod.

note: To convert the text inset to text, you can also use the Convert to Text button in the Insets pod.

Update:

Update the selected text inset. Use this option if you have made changes to the source of the inset. For more details on updating text insets, see Updating text insets.

Open Source:

Open the source file of the text inset. Use this option to open inset source files that are of type MIF. If you open a text, Microsoft Word, or Microsoft Excel source file, FrameMaker will attempt to convert the file to a .fm file and then open the .fm file.

Deleting text insets

When you delete a text inset from a document, the source file remains intact. However, the reference to the text inset is removed from the document.

To delete a text inset

1)Select the text inset in the Insets pod.

You can also select the inset inside the document. However, to ensure that you have selected the inset correctly, select the inset in the Insets pod.

2)Click Delete.

Updating text insets

After you import text into a FrameMaker document by reference, when you update the source file, the updates are reflected in the document. FrameMaker allows you to specify how the updates to source files are reflected in the text insets included in a document.

Opening a document

When you open a document, by default, FrameMaker updates all text insets included in the document. However, since this can cause performance issues while opening the document, you can choose to not update text insets when opening a document.

In the Import Text Flow by Reference dialog, you can choose:

Automatic:

To update all text insets in a document every time the document is opened.

Manual

To force the document author to update text insets manually.

For details on how to set these properties when importing a text inset, see Insert text insets

For details on how to update this property for text inset included in a document, see Viewing and editing inset properties.

Working on an open document

You can also update a text inset in an open document. For example, if you have included a text inset in a document and you then update the text inset. You can immediately update the document to reflect the updates in the source file.

For details on how to update a document manually, see Viewing and editing inset properties.

Fixing unresolved text insets

If the name or location of the source file for a referenced text inset changes, the text inset is marked as unresolved in the Insets pod.

To fix unresolved text insets

1)If you open a document that contains unresolved insets, you are prompted to fix the errors.

2)After closing the alert, go to the Insets pod (View menu > Pods > Insets) and filter the list of insets to display only the unresolved insets.

Filter to view unresolved insets

3)Select each unresolved inset and click Go to Location.

The unresolved text inset in the document is selected.

4)Check the properties of the existing (unresolved) inset from the properties displayed in the list.

For more details on the inset click Properties to open the Text Inset Properties dialog.

5)Re-import the text inset into the document.

8.3.3.Insert a cross-reference to a paragraph in a text inset

If you insert a paragraph cross-reference to a text inset, the cross-reference marker is sometimes lost when the text inset is updated. To prevent the marker from being lost, first insert a cross-reference to the paragraph in the text inset’s source document.

1)Open the source of the inset by double-clicking the inset and then clicking Open Source from the Text Inset Properties pod.

2)Insert a cross-reference to the paragraph anywhere in the source document.

3)Delete the cross-reference text. The marker remains.

4)Save the source document, and then in the document that contains the text inset, update the text inset by choosing Edit > Update References.

5)Insert a spot cross-reference, this time in the document that contains the inset. The cross-reference uses the marker in the updated inset.

8.3.4.FAQ and troubleshooting

Can I use the variables that are defined in a text inset source document in the container document?

Yes. If the variables are used in the source document, they will be available for use in the container document.

Can I use the formats that are defined in a text inset source document in the container document?

No. The formats defined in the source document are not available in the container document.

Does the Find / Change feature work in the text insets inserted in a document?

No. The Find / Change feature does not searching inside the text contained in the text insets.

Can I spell check the content of a text inset feature work in the text insets inserted in a document?

No. The spell check feature does not check text contained in the text insets.

Can I create a cross-reference from a text inset to the container document?

Yes. However, after you create the cross-reference, you need to update the text inset in the container document. For details, see Updating text insets.


Variables

8.4.Variables

A variable in FrameMaker allows you to define a name-value pair of data that can then be reused across a document. For example, you can create a variable author_name that defines the name of the document author. If the value of the variable is changed, this change is reflected across the occurrences of that variable in the document.

System variables

FrameMaker provides a set of pre-defined system variables. You use system variables to add information to a document that is specific to the FrameMaker or current computer environment. For example, the Chapter Number variable, if included in a page, displays the chapter number to which the page belongs. The Modification Date (Long) variable that displays the last date the document was modified.

User variables

You can also create user variables to define custom values. For example, you can create a user variable, author_name for the name of the document author. Besides the value that you assign to a user variable, you can also assign a character format to display variable value. For details, see Creating user variables.

To open the Variables pod:

•From the View menu, choose Pods > Variables.

•Alternatively, from the Special menu, choose Variables.

Variables pod

The Variables pod displays the list of system and user variables that you can add to the current document.

To sort the list, click a column header in the list. The list is sorted by the header that you click.

To resize a column:

1)Hover the mouse between two columns until the cursor is a bi-directional arrow.

2)Hold down the left mouse button, drag, and release the mouse button when the column is sized as required.

Use the Variables pod to:

A (Select):

Select from the list of open documents to display the variables available in that document.

important: You can use variables at a document level. This implies that variables available in one document can be used in that document. However, you can import variables from one document to another. For details, see Importing variables from one document to another.

B (Create New user Variable):

Open the Add/Edit Variable dialog to create a user variable. See Creating user variables.

C (Edit):

To edit the selected variable, open the Add/Edit Variable dialog (for user variables) or Edit System Variables dialog (for system variables). See Editing user and system variables.

D (Delete user variable):

Delete a selected user variable. See To delete a user variable.

note: You cannot delete a system variable.

E (Insert):

Insert the selected variable at the insertion point in the current document. See Insert variables.

To insert a variable, you can also double-click the variable in the pod.

F (Update System Variables):

If you edit the definition of a system variable, use this command to update the definitions of the variables used in the current document. For details, see Editing user and system variables.

G (Convert to Text):

Convert the variable to text. In the Convert Variables to Text dialog, you can choose to convert the selected variable, named variables, or all variables to text. See Converting variables to text.

H (Refresh):

Refresh the list of available variables.

I (Search text):

Search for a variable.

I (Search text):

Search for a variable in the list. The SAYT (search as you type) functionality works on all the columns in the variable list.

J (blue icon)

The blue icon indicates a user variable.

K (red icon)

The red icon indicates a system variable.

8.4.1.Insert variables

You can insert a variable in the body or master pages of a document. For example, to display the last modified date in the footer of a document, add the Modification Date to the footer section of the master page of the document. You can also display a variable value at a specific location of the content of a document by inserting the variable in the body page of the document.

To insert a variable in a document

1)Place the insertion point at the point in the document to insert the variable.

note: The Variables pod displays only the variables that are relevant to the position in the document of the current insertion point. For example, the Running H/F variables are displayed in the pod only if the master page of a document is in focus.

2)To insert the variable at the insertion point, select the variable in the pod and click Insert or double-click the variable.

How variables display in a document

When you insert a variable in a document, whether the variable name or value displays depends on the type of variable. All user variables and most system variable display the value on both the master and body pages of a document. However, the following system variables display the name on the master page and the value on the body page:

•Current Page #

•Running H/F variables

Inserting variables into structured documents

When you insert a variable into a structured document, FrameMaker inserts an XML variable and creates an XML entity element. FrameMaker then uses this combination of XML variable and entity to maintain the variable.

To view the XML variable and entity created in the XML, go to the XML view.

For example, if you insert the Modification Date (Long) variable in a structured document, FrameMaker inserts a &fm.lmdate; variable and a corresponding entity element.

fm.lmdate; variable and corresponding entity element

8.4.2.Manage variables

From the Variables pod you can create and delete user variables, edit user and system variables, or convert variables inserted in a document to editable text.

This section covers the following topics:

• Creating user variables

• Editing user and system variables

• Deleting variables in a document

• Converting variables to text

• Importing variables from one document to another

Creating user variables

You create and add user variables, to display custom information in a document. For example, you can create a variable, author_name, that specifies the name of the document author. Or, you can create a variable, product_name, to specify the name of the product.

To create a user variable:

1)In the Variables pod, click Insert.

The Add/Edit Variables dialog is displayed.

Add/Edit Variables dialog

2)Enter a name for the variable: product_name.

important: If you enter name that is used by an existing variable (system or user), the definition of the existing variable is overwritten.

3)Enter a definition for the variable.

For example, you can enter the definition as Adobe FrameMaker for the variable product_name.

You can also specify a character format for the variable by preceding the variable definition with the character format.

To apply a character format to the definition of a variable:

a)Click a character format in the list.

The character format is added to the variable definition.

b)Follow the character format by the variable value. For example:

<Callout>Adobe

You can also add multiple character formats to the different text in the variable definition. For example:

<Callout>Adobe <emphasis>FrameMaker

4)To create the variable, click Create.

After you create a user variable, you can insert the variable into your document. See Insert variables.

Editing user and system variables

You can edit the definition of a system or user variable. A User Variable definition can include character formats of the document. A System Variable definition can contain FrameMaker building blocks other than character formats. For example, the default format for the Creation Date (Short) system variable is: <$monthnum>/<$daynum>/<$shortyear>. You can edit this to any other format such as: <$daynum>/<$monthnum>/<$shortyear>. Similarly, you can change either the definition and / or the character format applied to a user variable.

To edit a variable

1)Select the variable in the Variables pod and click Edit.

The Add/Edit Variable dialog is displayed.

Add/Edit Variables dialog

2)Edit the definition of the variable:

User variables:

You can edit the name, definition, or the character format of a user variable. For example, you can update a product_name variable: <Callout>Adobe <emphasis>Frame to <Default ¶ Font>Adobe <Emphasis>RoboHelp.

System variables:

You can edit the definition of a system variable using the variable definitions available in the Building Blocks list.

You can include character formats to System variables as you do when Creating user variables.

note: You cannot change the name of a system variable.

3)To save the update to the variable, click Update.

note: When you edit a user variable, the Add/Edit Variable dialog displays the Add and Edit buttons. If you change the name of the user variable and click Add, a new user variable is created. However, since you cannot create system variables, the Add button does not display in the Add/Edit Variable dialog.

Deleting variables in a document

You can delete the user variables that are no longer required for use in the document. You can also delete the occurrences of a system or user variable added in a document.

To delete a user variable

When you delete a user variable, the variable definition is removed from the document catalog. After this, the variable is no longer available for use in the document.

1)Select the user variable in the Variables pod and click Delete.

note: If you select a system variable, the Delete button is disabled.

2)If the variable is used in the current document, you are prompted with the message that all occurrences in the document will be converted to editable text. Click OK to delete the variable and convert all its occurrences to text.

To delete a variable occurrence

You can choose to delete specific occurrences of a variable in a document. This retains the definition of the variable in the document catalog and other occurrences of the variable in the document.

1)Select the user or system variable occurrence in the document and click Edit in the Variables pod.

The list at the bottom of the dialog, displays the occurrences of the selected variable in the current document. Also, the currently selected occurrence is highlighted in occurrences list:

Selected product_name occurrence on page 6 highlighted

2)To remove the selected occurrence, press the Delete key or click Delete below the occurrence list.

In this case, the variable occurrence and the associated text is removed from the document.

note: If you use the Delete key to remove the occurrence, you can inadvertently delete adjoining content. Use the Delete button on the dialog to ensure that you only delete the variable occurrence.

You can also select an occurrence in the list and click Go to Location to navigate to the location in the document where the occurrence is located.

Converting variables to text

You can covert the variables in a document to text. This removes the reference of the variable from the document and makes the converted text editable.

1)In the Variables pod, click Convert to Text.

The Convert Variables to Text dialog displays.

Convert Variables to Text dialog

2)You can choose to convert:

Selected Variable:

All occurrences of the variable selected in the Variables pod.

Variable Named:

All occurrences of the variable selected in the variable list.

Variables with Element Tag

All occurrences of an element tag assigned to a variable.

All Variables

All occurrences of all variables in the document.

3)Click Convert.

Importing variables from one document to another

The variables in a document are available for use in the document where they are created (user variables) or edited (user and system variables). You can make these changes available to other documents by importing the variables definitions.

To import variable from one document to another

1)Open the document containing the variable definitions that you need to make available in one or more other documents.

Open the document into which to import the variable definitions from the source document.

If you are working in a FrameMaker book, you can multi-select the documents in the book into which you want to import the definitions.

2)From the File menu, choose Import > Formats.

3)In the Import Formats dialog, click Deselect All, check Variable Definitions, and click Import.

important: If the destination documents contain user variables with the same names as the source document, the user variable definitions are overwritten. Also, if the definitions of system variables in the source document are updated, the definitions of the corresponding variables in the destination documents are overwritten.

8.4.3.Add variables to headers and footers

When you add a variable to a running header or footer on the master page of a document, the variable definition displays across pages of the document. For example, in the Chapter FrameMaker template, the Running H/F 1 (chapter title) and Running H/F 2 (level 1 heading) variables are inserted in the odd and even page headers, respectively.

This section covers the following topics:

• Running H/F variables in FrameMaker

• Using markers to display text in a running header or footer

• Creating a dictionary-style header or footer

Running H/F variables in FrameMaker

The following table describes the Running H/F variables available in FrameMaker:

Running H/F variable | Description
Running H/F 1 | Chapter title
Running H/F 2 | First level heading. For example, Heading 1.
Running H/F 3, H/F 4, H/F 13 through H/F 18 | Marker text defined for markers of type Header/Footer $1 through $8. For details, see Using markers to display text in a running header or footer.
Running H/F 5 through H/F 12 | Paragraph text as defined by the paratag part of the definition. For example, see Creating a dictionary-style header or footer

Using markers to display text in a running header or footer

You can use the Running H/F variables (4, 5, and 13 through 18) to add marker text to a running header or footer. Use these variables to display text in a header or footer that is not available in the content or in a system variable.

1)Go to the body pages of a document (View > Body Pages>).

2)Place the insertion point at any location in the document and open the Marker dialog (Special > Marker).

note: The location of the marker in the document is not relevant. For example, you can place all the markers to include header or footer text at one location in the document.

3)In the Maker Type pop-up list, choose Header/Footer $1.

4)In the Marker Text box, enter the text to display in the header or footer.

5)Open the master pages of the document (View > Master Pages) and insert the Running H/F 3 variable in the header or footer.

Similarly, use the Running H/F 4 and H/F 13 through H/F 18 with the corresponding Header/Footer $2 through Header/Footer $8 marker type to add additional marker text to a running header or footer.

Creating a dictionary-style header or footer

The term displayed in the header or footer of an odd numbered page of a dictionary is the first term described on the odd number page. Similarly, the term displayed in the header or footer of an even number page is the last term described on the even number page. To create a dictionary-style header or footer, use one of the paratext (Running H/F 5 through H/F 12) variables:

1)Open the master page of the document (View > Master Pages) and go to the odd master page.

2)Select a paratext variable and click Edit in the Variables pod.

3)In the Add/Edit Variable dialog, edit the definition of the variable to specify the paragraph tag that is used by the dictionary terms in the document. For example, edit the definition of Running H/F 5 to <$paratext[Heading3]>.

4)Insert the variable into the odd page header.

5)Go to the even page header.

6)In the Add/Edit Variable dialog, edit the definition of the variable to specify the paragraph tag that is used by the dictionary terms in the document. For example, edit the definition of Running H/F 5 to <$paratext[+Heading3]>.

important: The plus (+) sign preceding the paragraph tag indicates that the variable displays the content from the last paragraph on the page.

The odd page headers of the document display the first paragraph tag defined in the Running H/F variable and the even pages display the last paragraph tag.


Review and collaboration

9.Review and collaboration

FrameMaker supports many ways of setting up review and collaboration. Factors such as extent of changes and type of review or collaboration help you determine the method that is most suitable for your requirements. For example, if a document requires an editorial review by a language expert and the reviewer has access to FrameMaker, Track Text Edits is likely the most preferred option for reviewing the document. Alternatively, if a document requires technical validation by more than one subject matter expert, setting up a shared PDF review is likely the most preferred option.

Create a document

Show or hide conditional text

Besides Track Text Edits and support for PDF review, FrameMaker offers features such as change bars and version comparison to help authors and reviewers track and manage changes in a document.

Apply conditional tags

Document comparison


Text edit tracking

9.1.Text edit tracking

The Track Text Edits option in the Special menu lets you enable a mode in which FrameMaker highlights added and deleted text for visual distinction. Editors and reviewers can use this feature to track, display, and preview changes by showing or hiding the edits.

FrameMaker tracks the changes with a user name and timestamp of the changes. If you share the document with other writers, such as in a team environment, you can determine the author and time of edits in the document. By default, FrameMaker uses the login name of the current user as the user name.

9.1.1.Tracked and untracked text edits: Examples

The following table shows examples of types of text edits that FrameMaker tracks or excludes from tracking:

Tracked text edits | Untracked text edits
Adding and deleting text using the keyboard | Adding rows in tables
Adding text between deleted text | Modifying content in cross-references
Cutting, copying, and pasting text | Modifying content in markers
Inserting and deleting anchored frames | Modifying content in equations
Adding, editing, and deleting headers and footers | Adding or deleting text using APIs
Inserting and deleting footnotes | Inserting, modifying, and deleting graphics
Adding, editing, or deleting text within footnotes | Changing formatting
Modifying text using the Find/Change feature | Text within hypertext marker
Correcting spelling errors using the Spelling Checker feature | Adding and removing page breaks
Replacing text using the Thesaurus feature | Converting table to text
Inserting, deleting, and pasting cross-references | Replacing variables
Adding and deleting markers | Replacing cross-references
Importing and deleting file by reference or by copying | Adding and deleting the Conditional Tags marker
Inserting, pasting, and deleting variables | Importing by copying into MIF files
Editing text within a table cell |
Inserting, pasting, and deleting tables |
Inserting and deleting equations |
Inserting Rubi |
Changes to text in Rubi |

9.1.2.Set scope for tracking text edits

You can set the scope for tracking edits for the current book, DITA map, the current document, or selected documents. When you open a book or DITA map, the scope is set to Book or DITA Map by default.

To set the scope explicitly, do the following:

1)Do one of the following:

•From the book or DITA map view, choose View > Track Text Edits > Scope.

•If the focus is in the document, choose Special > Track Text Edits > Scope.

2)Select one of the following:

•Book

•DITA Map

•Document

•Selected Documents

note: You can set the scope to Book or DITA Map only when they are open.

9.1.3.Set color preferences for tracking text edits

You can set the color preferences for text that is added or deleted in addition to the default formatting that FrameMaker applies: text that you add is underlined; deleted text is shown with strikethrough. Avoid setting the same text color that you defined for conditional tags so that text edits are clearly visible. In addition, when you preview or view the text edits, turn off conditional tag indicators to clearly differentiate the text edits.

1)Do one of the following:

•In the Book window, choose View > Track Text Edits > Configure Color.

•When in the document view, choose Special > Track Text Edits > Configure Color.

2)Select or define the colors that you want for added text and deleted text, and click Set.

9.1.4.Display Track Text Edits toolbar

The Track Text Edits toolbar provides quick access to various commands for text edit tracking.

To display the Track Text Edits toolbar, do the following:

1)Choose View > Toolbars > Track Text Edits.

9.1.5.Turn text edit tracking on or off

By default, the Track Text Edits feature is turned off.

1)To enable Track Text Edits, do one of the following:

•In the book or DITA map window, choose View > Track Text Edits > Enable.

•In the document window, choose Special > Track Text Edits > Enable. This option toggles on and off.

note: It is recommended that you have the documents open when you enable text edit tracking. FrameMaker cannot enable text edit tracking if the document has errors that prevent FrameMaker from opening it.

The Disable option in the Track Text Edits menu lets you disable Track Text Edits.

9.1.6.Manage track text edits in a document

Various options in the Track Text Edits menu or on the Track Text Edits toolbar help you manage text edits.

•To find specific text edits, choose Special > Track Text Edits, and then select Show Next or Show Previous.

•To accept or reject individual text edits, select the text edit, and then choose Special > Track Text Edits > Accept Edit or Reject Edit.

•To accept or reject all text edits, choose Special > Track Text Edits, and then select Accept All or Reject All.

Once you accept a text insertion or deletion, that text edit becomes part of the file. If you accept an insertion of text, the inserted text is retained. If you accept a deletion of text, the deleted text is removed. If you reject an insertion of text, the inserted text is removed. If you reject a deletion of text, the deleted text is retained in the file. The inserted or retained text acquires the formatting of its surrounding text.

•To filter edits by author or reviewer name, choose Special > Track Text Edits > Show Reviewer Name > [user name].

After selecting the reviewer name, you can do the following operations:

•Show Next/Previous: Displays changes made by the selected reviewer.

•Accept/Reject All: Accept all changes or reject all changes made by the reviewer.

note: To populate the reviewer names in a book or a DITA map, open the book or the DITA map, choose the desired scope and click Update User List. The reviewer names are automatically populated for a document.

9.1.7.Preview a document with track text edits

Before you accept all text edits, preview the final document to see how the text edits are incorporated in the document. You can also preview the original document without the text edits highlighted in the document.

Preview operations can also be done on all/selected documents of the book or DITA map by selecting the appropriate scope.

When you preview a document with text edits, the document display switches from the Tracking mode to the Preview mode. In the Preview mode, avoid making Conditional Tags pod to your document. For example, do not edit or apply conditions to text in the Preview mode. Such changes are not tracked and you may get an unexpected result in the final document.

By default, the preview of a tracked document is turned off.

note: When you select the Preview Final or Preview Original option for the first time in your document, the Preview Off option is enabled. You can’t undo the Preview Final or Preview Original command in a document.

•To preview the final document with text edits, choose Special > Track Text Edits > Preview Final.

•To preview the original document with text edits, choose Special > Track Text Edits > Preview Original.

FrameMaker incorporates accepted edits in the document. It deletes rejected edits and restores the document to its original state.

If you modify the document with the Track Text Edits feature on and Preview Final or Preview Original selected, FrameMaker switches from Preview mode to Tracking mode. In this case, you can’t undo the changes you make.

•To turn off Preview mode, choose Special > Track Text Edits > Preview Off.

9.1.8.Saving and publishing a document with track text edits

When you save a document after inserting text edits, the suggested edits are retained. When you print the document, FrameMaker prints the text edits as they appear in the document.

When you publish the document as a PDF, the text edits are retained and published to the output. If you publish a FrameMaker document to HTML or RTF, the text edits are accepted, and the document is published with the edited content. If the Preview mode is turned on, the document is published based on the Preview Final or Preview Original option you selected.

Saving a document with tracked text edits as XML

You can save a document with tracked text edits as XML. You can open the XML document in FrameMaker, enable tracking of text edits, and then edit the document. When you save the FrameMaker document back to XML, the edited information is preserved through the XML roundtrip.

If Conditional Tags roundtripping is disabled, all Track Text Edits information is lost during the XML roundtrip. By default, Conditional Tags roundtripping is enabled for any XML application.

Related links:

Print documents

Using Save As to export to other formats


Change bars

9.2.Change bars

Change bars help you automatically or manually indicate the changed lines or paragraphs in a document.

A change bar is a vertical line that visually identifies new or revised text. You can have change bars appear automatically whenever you insert, change, or delete text.

Change bar applied to the left of revised text

Sometimes, you want to flag only important changes to your document rather than flag every change. If you’re sending out the second revision of a document for review, you probably want reviewers to focus on substantive changes. In these situations, you can select specific text to mark with change bars rather than add the change bars automatically.

You can remove the change bars from text later. For example, between drafts of a manual, you can remove the old change bars before adding new ones.

You can insert change bars in the newer of two versions of a document by comparing the versions.

note: Sometimes you add change bars to an entire paragraph of text and then update the paragraph format, for example, by importing formats from another document. Don’t remove format overrides during the update if you want to retain the change bars. Adding change bars to an entire paragraph alters the paragraph format, and the alteration counts as a format override.

Related links:

Document comparison

9.2.1.Apply change bars automatically

1)Make the appropriate document window or book window active. If a book window is active, select the documents you want to affect.

2)Choose Format > Document > Change Bars.

3)Specify the thickness of the change bars and the distance from the column of text to the change bars.

4)Choose the position of the change bars from the Position pop-up menu. Choose Side Closer To Page Edge or Side Farther From Page Edge to vary the position of the change bars from side to side based on the page layout.

The position is relative to the edges of the column that contains the changed text, regardless of the number of columns on the page.

5)Choose a color for the change bars from the Color pop-up menu.

6)Select Automatic Change Bars, and click Set.

Automatic Change Bars don’t detect changes in graphics imported by reference unless the name of the imported file has been changed. Automatic change bars also don’t detect changes that affect only formatting. For example, if you only change the tag of a paragraph from Body to Bullet, no change bar appears. In this case, you can add a change bar manually if necessary.

note: If cross-references are updated when Automatic Change Bars is selected, change bars appear next to all changed cross-references.

9.2.2.Apply change bars manually

1)To apply change bars to selected text, choose Format > Style > Change Bar.

2)To apply change bars to paragraphs, click in a paragraph or drag through several paragraphs.

3)Choose Format > Paragraphs > Designer and display the Default Font properties.

4)Select Change Bar, and click Apply To Selection.

9.2.3.Create and apply change bar character format

You can also apply change bars to text using a change bar character format that you create and apply as a character format. You can set the change bar character format to remain active when you update your document with new formats and remove format overrides.

1)Click in any paragraph and choose Format > Characters > Designer.

2)In the Character Designer, choose Set Window to As Is from the Commands pop-up menu.

3)Select Change Bar, and then choose New Format from the Commands pop-up menu.

4)Enter a tag name and click Store in Catalog.

5)Click Create.

9.2.4.Remove change bars

You can remove all the change bars in a document at the same time or selectively. You can remove the change bars from a single document or from selected files in a book.

Clear all change bars in a document

1)Make the appropriate document window or book window active. If a book window is active, select the documents you want to affect.

2)Choose Format > Document > Change Bars.

3)Select Clear All Change Bars, and click Set.

Remove specific change bars

1)Do one of the following:

•Select the text and choose Format > Style > Change Bar. If some of the selected text isn’t marked with a change bar, choose Format > Style > Change Bar twice to remove the change bars.

•To remove a change bar applied by a character format, select the text and apply the Default Font from the Character Catalog.

tip: To examine and change text marked with change bars, use the Find/Change command. You can search for text that has the Change Bar property set or for text that uses a character format that sets the Change Bar property.


PDF review

9.3.PDF review

PDF review is a suitable collaboration option in environments in which reviewers are not required to make changes directly in the source document. Instead, they can use Acrobat Professional or Adobe Reader to review the PDF file created from the source document.

You can create PDFs and set up PDF review from within FrameMaker. FrameMaker supports importing comments from a reviewed PDF into the source document, which helps you speed up the process of addressing feedback.

You can send a PDF file for shared review to allow reviewers to build on one another’s comments. Acrobat Professional lets you easily add reviewers, monitor the status of shared reviews, and send updates or reminders.

note: After creating a PDF and initiating a review, avoid updating the FrameMaker document until you have imported the comments.

When you plan to send a document for PDF review, keep the following considerations in mind before creating the PDF:

•Difference between a simple PDF and a review PDF

Any FrameMaker document that you save as a PDF using the File > Save As PDF option can be opened in Adobe Acrobat Professional and reviewed. However, when you import comments from such PDFs, FrameMaker does not have information about the structure of the source documents to place the comments and changes reliably.

On the other hand, if you save a FrameMaker document using the File > Save As Review PDF option, FrameMaker creates a review PDF. A review PDF is a tagged PDF, which means that the logical structure of the document and specific metadata is maintained in the PDF. This information helps FrameMaker to import comments reliably into the document.

•Reviewing in Acrobat Professional and Adobe Reader

Acrobat Professional provides a range of commenting and markup tools to review PDFs. In Adobe Reader, which all reviewers are likely to have on their computers, only the Sticky Note and Highlight Text tools are available by default. To make all commenting and markup tools available for reviewing a PDF in Adobe Reader, you need to enable commenting in Adobe Reader for the PDF.

Related links:

Tagged PDF output

9.3.1.Send a review PDF through email

Save a FrameMaker document as a review PDF and send it for review through email.

1)Open the document and choose File > Save As Review PDF.

2)Select Send Through Email.

3)In the Save Document dialog box, specify a location and name for the PDF and click Save.

4)Modify the PDF settings if required. For example, specify Start Page and End Page if you want to save a part of the document as PDF (and not the entire document).

note: Do not deselect the Generate PDF For Review Only option on the Settings page and the Generate Tagged PDF option on the Tags page. By default, these options are selected to ensure that FrameMaker saves the PDF with enough information to import comments reliably into the source document.

5)Click Set.

FrameMaker creates the review PDF, opens the PDF in Acrobat Professional, and prompts you to initiate an email-based review.

6)Click Next to proceed.

7)To invite reviewers, specify the email address of each reviewer. Click Next.

8)A default message for the reviewers is displayed. Modify the invitation if required and click Send Invitation.

9)Specify whether you would like to send the invitation using your default email application (for example, Microsoft Outlook) or web mail (for example, Gmail). Click Continue.

10)Check the outgoing message notification and click OK. If the email application you selected is not configured to send messages, send the invitation manually from the Outbox folder of the application.

9.3.2.Create a ubiquitous PDF

A PDF that is enabled for commenting in Adobe Reader is called a ubiquitous PDF. Save a FrameMaker document as a review PDF and make sure that the PDF can be reviewed in Acrobat Professional or Adobe Reader with the complete range of commenting and markup tools.

1)Open the document and choose File > Save As Review PDF > Enable Commenting In Reader.

2)Specify a filename and click Save.

Create a simple PDF in FrameMaker and make it ubiquitous in Acrobat Professional

In FrameMaker, open the document and choose File > Save As PDF. In Acrobat Professional, choose File > Save As > Reader Extended PDF > Enable Commenting & Measuring.

9.3.3.Set up shared review

Setting up shared review of a PDF enables you to create a collaborative environment for reviewers.

1)In Acrobat Professional, open the PDF file to distribute for review.

2)At the top right in Acrobat, click the Comment pane. Open the Review panel, and click Send For Shared Review.

3)Select where you would like to internally host your shared review file. Click Next and provide the path to a shared network folder, SharePoint workspace (Windows® only), or web server folder.

Once you’ve configured where to host a shared review, the location will appear as an option in the drop-down menu.

4)Enter the email addresses of the reviewers. Type a summary message.

5)Revise the review deadline. Acrobat automatically picks a deadline; it may need to be adjusted to fit your review schedule.

6)Click Send. Acrobat adds “_Review” to the filename. The reviewers receive a link to the file and instructions on how to publish their comments.

9.3.4.Import PDF comments

You can import comments from a review PDF directly into the source FrameMaker document and reduce the time taken to fix comments. You can incorporate suggestions and edits from multiple reviewers participating in a shared PDF review much faster into the source document.

You can import comments only from PDFs created using FrameMaker 9 or above.

Importing comments from PDF after changing the source document

You can change the source in FrameMaker while its PDF output is being reviewed and still import PDF review comments.

You can make the following changes to the source FrameMaker content and still import the PDF review comments:

•Change in the relative position (as per the line numbers) of the paragraph in the source FrameMaker document

•Change in the text around (before\after) the commented text in the paragraph in the source FrameMaker document

Change bar applied to the left of revised text

See the video: PDF Review Enhancements.

Importing PDF comments in an edited unstructured source document

When saving a FrameMaker file as a PDF, ensure that you select the Generate For Review option in the PDF Setup For Selected File dialog. Selecting this option creates a tagged PDF.

Import PDF comments in edited structured content

To use PDF import comments in the XML content:

1)Assign the IDs to all the elements in your content before you create a PDF for review.

2)Ensure that you select the Generate For Review option in the PDF Setup For Selected File dialog.

For assigning the IDs, you need to ensure that all your elements have an ID attribute (not case-sensitive - could be id, Id, ID, or iD) or an attribute with the type UniqueID.

If any of the elements in the document does not have these IDs, you need to make changes to your XML structured application to include the ID or UniqueID attributes in the elements.

Related links:

Getting started with structured applications

Conditions for importing PDF comments in edited documents

1)In .fm and .mif documents, if you drag-and-drop any para anywhere in the document, the import PDF comments functionality does not work correctly.

2)If a PDF review comment spans over two paragraphs and you edit the source within the comment, the comment gets imported on the edited content as well.

3)If due to copy pasting, duplicate IDs exist for multiple elements in the source document, the PDF comments will be imported for the first instance of the ID and the subsequent, duplicate instances are ignored.

4)In a book, if chapters are moved up and down after generating PDF for review, Import PDF comments do not work correctly.

5)If the text that is commented on in the PDF is changed in the source, the comment is imported as a marker with the type comment. You can view these markers in the marker pod.

Types of comments supported

FrameMaker can import the following types of PDF comments and annotations:

•Text additions

•Text deletions

•Text replacements

•Sticky notes

•Underlined text

•Highlighted text

Other types of comments or annotations are not imported.

Placement of comments

When you import the PDF comments, they are inserted at the same location in the source FrameMaker document as tracked text edits, tracked markers, or simple text formatting. Text additions, deletions, and replacements are inserted as text edits. Sticky notes are inserted as comment type markers. FrameMaker tracks these text edits and markers irrespective of whether the feature is enabled or disabled.

PDF comments of type Highlight are imported with the highlighting retained due to the implementation of the Text Background Color feature.

If the source document has changed after you sent the PDF for review, the exact insertion points for some comments can be indeterminable. FrameMaker inserts such comments as tracked markers in approximate locations. Comments applied to unnamed text flows, non-text objects, or objects locked for editing are also inserted in approximate locations as markers.

note: FrameMaker does not allow insertions into objects like variables, text lines, and graphics. Also, cross-references, text insets, bullets, and numbering are locked for editing in FrameMaker. Comments on these objects are inserted as markers. If a reviewer adds a comment in response to another comment in the PDF, it is inserted as a marker.

Import comments

1)Open the document or book file to import PDF comments.

2)Click File > Import > PDF Comments.

3)Read the instructions in the Import Comments From Adobe Acrobat dialog box. Click Yes to proceed.

4)In the Import Comments From PDF dialog box, choose the PDF file from which you want to import comments.

5)Select the types of comments that you want to import.

All comments

Select to import all supported types of comments from the PDF.

Only Insert, Delete, and Replace type of comments

Select to import only text additions, deletions, and replacements.

Apply custom filters

Select to specify filters for the comments that you want to import. You can filter comments by parameters like type, author, status set by the author, checking state, and insertion date.

6)If the source document was modified after you created the PDF for review, FrameMaker confirms whether you want to proceed with the import.

If the modification date of the source file is newer than the creation date of the tagged PDF, FrameMaker confirms whether you want to proceed with the import.

7)FrameMaker imports the comments from the PDF and displays an import summary. The summary displays the number of comments that FrameMaker imported and placed in their exact locations, imported and placed in approximate locations, and failed to import.

8)Click OK to close the Import Summary dialog box and return to the document window.


Create packages

9.4.Create packages

You can package a FrameMaker book, Ditamap, .xml, mif, or .fm file with all its related files into a zip file for distribution or backup. When you choose to create a package with a book or Ditamap in focus, FrameMaker automatically picks up the related files, such as chapter files, images, text insets, conrefs, crossrefs, to a .zip file.

The packaged zip file contains:

1)The book\Ditamap

2)Chapter\Topic files

3)Files referenced in the chapters\topic files, such as text insets, conrefs, and images

note: When packaging structured files, their application setup files, such as DTD, structapps.fm, read-write rules, and templates, are not packaged.

To create a package, place all their topic, chapter, and dependent files in the same folder or its subfolders. Any files outside the folder are treated as missing files and are not copied in the zip file.

1)With a book or Ditamap in focus, select File > Package.

2)In the Package dialog, do the following:

a)Edit the filename and path of the zip file, if required. By default, the name and location of the package zip file is the same as the book or Ditamap file.

b)Click Settings to exclude one or more of the following types of files from the package (zip file): Multimedia, Images, and 3D files, Content References and Cross References, Text Insets, and OLE objects.

c)Select Create Package Even If Files Are Missing to create a package even if chapter, topic, or dependent files are missing.FrameMaker treats the topic, chapter, or dependent files that exist outside the folder (or subfolders) of the book or Ditamap as missing files. To package a book or Ditamap, you need to have all their topic, chapter, and dependent files in the same folder or its subfolders. Select this option to package a book or Ditamap without their chapter\topic or dependent files in the same folder. Otherwise, package fails for such a book or Ditamap.

d)To view the package file after it is created, select Open Containing Folder After Packaging. After the package is created, the folder containing the zip file opens in Windows® Explorer.

e)To generate an issue log about the package, select Generate Log File.

f)Click Package.

FrameMaker processes the book file and creates a package. Now you can share the zip file with others or back it up.


Dropbox integration

9.5.Dropbox integration

FrameMaker allows you to share and maintain topics and related files using Dropbox. Using Dropbox functionality as supported in FrameMaker, you can share files for:

•Review with Subject Matter Experts and other stakeholders

•Shared work with technical writers while they are traveling or are located outside your network

See the video: Dropbox.

Using the Dropbox app with FrameMaker involves:

• Configure Dropbox

• Add files to Dropbox

• Share Dropbox location (writers and Subject Matter Experts)

• Open and save files

9.5.1.Configure Dropbox

To use Dropbox to share files, the users need to download and set up Dropbox on the machines and create Dropbox accounts:

1)Download and install the Dropbox app on your machine.

2)In FrameMaker, select Edit > Preferences.

3)Click Dropbox and set up the following:

a)Dropbox folder path: Once you have installed Dropbox, the default path is automatically there as an option in the drop-down.

b)Delete files from Dropbox after copying locally: When this option is selected, on selecting save locally or save locally with dependencies, the files are deleted from the Dropbox folder on your machine.

c)Create folder structure for dependencies while uploading or downloading: FrameMaker creates a folder structure in the Dropbox folder similar to the one you are uploading or downloading. When this option is not selected, FrameMaker creates the folder structure only for folders that exist at the same level or below as per the document\book\ditamap that you are uploading or downloading. When selected, FrameMaker creates a similar folder structure from the topmost component (folder\file) even for the folders that exist outside or above the file that you are uploading or downloading.

9.5.2.Add files to Dropbox

Add files to Dropbox to share with other users. After you’ve added the files to Dropbox, you can Share Dropbox location.

1)Open a file in FrameMaker.

2)Select File > Dropbox > Save to Dropbox folder with Dependencies. When you select Save to Dropbox folder with Dependencies, the following assets also get uploaded to Dropbox:

a)Chapter files for a book file being uploaded

b)Book file for relevant to a chapter file being uploaded

c)Image files

d)Text insets

9.5.3.Share Dropbox location

For other users to be able to share files with you, share a Dropbox location with them. Create a shared folder in Dropbox and share it with other users who need to set up Dropbox in FrameMaker. Or, you can share link to a single file with other users through Dropbox.

9.5.4.Open and save files

To open a file from the Dropbox folder.

•Select File > Dropbox > Open.

FrameMaker opens the file from Dropbox. You can edit or save the file.


Document comparison

9.6.Document comparison

9.6.1.About compare documents

Sometimes you receive a revised document with unmarked changes. You can get specific information on the changes by comparing the new version to an older version. When you compare two versions of a document, FrameMaker creates a composite document and a summary document.

Composite document

The composite document is a conditional document that combines the newer and older versions; it shows the differences side by side. You can specify the condition tag to apply to changed text. You can also specify whether FrameMaker marks changes with change bars.

In the composite document, FrameMaker considers differences to be insertions or deletions. For example, if the contents of a graphic frame have changed, both versions appear in the composite. The older version is marked as deleted; the newer version is marked as inserted. Variables in the composite document use the newer definitions, but they aren’t marked as changed. Only inserted and deleted variables are considered changes.

Summary document

The summary document contains a general summary and a revision list for each type of item being compared. You can create the summary as a hypertext document, with links to the actual pages where the changes occurred. By creating a hypertext summary document, you can quickly display changed pages for reading or editing.

In the summary document (named Summary.fm), differences are considered insertions, deletions, or changes. If an item has moved, it’s marked as deleted and inserted. FrameMaker displays the number of the page on which the change occurs in the newer version, the older version, and the composite document. For insertions, the page number given for the older version is the page where the item would be inserted to match the newer version. For deletions, the page number for the newer version is the page where the item would have appeared if it hadn’t been deleted

9.6.2.Types of items compared

When comparing two versions of a document, FrameMaker checks the contents of flows with the same names on body and reference pages. It looks at text, footnotes, anchored frames, tables, variables and their definitions, cross-references and their formats, footnote text, marker types, and marker text. FrameMaker doesn’t compare structure elements; it does compare the element contents.

The following are some specific differences that FrameMaker can find:

Anchored frames

FrameMaker compares the objects in the frame. If the objects are different, or if they are in different positions, FrameMaker marks the entire anchored frame as changed.

Cross-references

FrameMaker checks whether a cross-reference is external or internal. It also checks the cross-references format name, the marker text at the source, and the path of the referenced file (for external cross-references). If any of these properties are different, FrameMaker marks the cross-reference as changed.

Text insets

FrameMaker compares the modification date, the filename, the relative paths of text insets, and the way the inset was imported. For example, for imported insets, it checks whether the lines were merged into paragraphs. If any of these items are different, it marks the entire text inset as changed.

Imported graphics

FrameMaker compares the contents and dpi scaling of the imported graphic. For example, it checks whether the object has been flipped or rotated, and compares the size of the bounding box. It also compares how the graphic was imported—by reference or by copying. When you import a graphic by reference, FrameMaker compares the paths. If any of these properties are different, it marks as changed the line that contains the anchored frame of the imported graphic.

Equations

FrameMaker compares the size of the equation, the location of the equation within its graphic frame, and the math expressions. If any of these items are different, it marks the entire equation as changed.

Tables

FrameMaker checks the number of rows and columns, whether cells are straddled, and whether cells are rotated. If any of these properties is different, FrameMaker marks the line that contains the table anchor as changed. If text in cells has changed, only the new table appears in the composite document. FrameMaker marks the line in the cell that has changed as changed. If more than 75% of the cells have changed, it marks the entire table as changed.

FrameMaker doesn’t compare these items:

•Master page flows, header and footer flows, or untagged flows

•Graphic objects or text lines not in anchored frames

•Anchored frame positions

•Footnote properties or numbers

•Paragraph, character, or table tags

•Text or table formatting

•Tags in the Paragraph Catalog, Character Catalog, or Table Catalog

•Contents of text insets

FrameMaker doesn’t check the formatting of text or tables. Therefore, it doesn’t notice different ruling or shading in a table or a different color assigned to text.

Both the English version of FrameMaker and the Japanese version running on a Japanese OS can compare Japanese text.

9.6.3.Compare two versions of a document

1)Open both versions of the document. If the documents contain conditional tags, all conditions must be visible.

2)In the newer version, choose File > Utilities > Compare Documents.

3)Choose the older version from the pop-up menu, and specify the documents you want FrameMaker to create. All open, named documents, except the current document, are listed in the Older Document pop-up menu.

4)Click Options, do the following, and click Set:

•Specify how to display inserted text in the Mark Insertions With area. Select the default condition tag (Inserted) or a different condition tag. You can choose not to mark inserted text.

•Specify how to display deleted text in the Mark Deletions With area. Select the default condition tag (Deleted), a different condition tag, or text that you specify. To omit deleted text from the composite document, click Replacement Text and leave the box empty.

•To mark all changes (insertions and deletions) with change bars in the composite document, select Mark Changes With Change Bars. FrameMaker uses the current change bar settings for the document.

tip: To add change bars to the newer version of a document, select Mark Changes With Change Bars. Choose Replacement Text in the Mark Deletions With area and leave the Replacement box empty.

5)Click Compare. When the comparison is complete, FrameMaker displays the summary and composite documents. If the two versions are the same, neither document is created.

6)To make the summary report a hypertext document, select Create Hypertext Links In Summary. When you click the page number of a change in the summary, FrameMaker displays the page. You can display pages of the newer version, the older version, or the composite document that contains that change.

9.6.4.Compare documents that contain conditional tags

You can compare documents with multiple flows. To prevent FrameMaker from comparing the wrong flows, make sure that each flow has a unique tag and that the flows have the same tag.

A document can contain different flows with the same name, such as separate flows named “A” on disconnected pages. In such cases, an alert message lists the duplicate flows when you try to compare the documents. FrameMaker compares flows only if each document contains one flow of the same name.

9.6.5.Compare documents that contain conditional tags

FrameMaker ignores hidden text and graphics that are not showing.

1)Do one of the following:

•To compare the full texts of two documents that contain conditional tags, show all conditions before performing the comparison.

•To compare specific texts of two documents that contain conditional tags, show conditions based on a specific expression before performing the comparison.

•To ignore conditional tags while comparing documents, hide all conditions before performing the comparison.

2)Compare the documents.

Any hidden conditional items in the newer document remain, hidden, in the composite document that is produced.


Word and character count

9.7.Word and character count

When authoring or revising a document, you sometimes want to find out the number of words and characters in the document. For Asian-language documents with double-width (multibyte) characters, counting the number of characters in a document is useful.

•Choose File > Utilities > Document Reports.

•Select Asian Character Count or WordCount, and then click Run.

note: The Asian Character Count report gives the number of single-width characters, double-width characters, and the total number of characters.


FAQ & troubleshooting

9.8.FAQ & troubleshooting

I have selected enable Track Text Edits. The document does not open.

If the document you want to edit has errors, FrameMaker might experience problems in opening the document. It is recommended that you open the document first and then enable Track Text Edits.

The Save As Review PDF option in the File menu is disabled. How do I create a PDF for review?

The Save As Review PDF option in the File menu is enabled if you have the Technical Communication Suite license. If you don’t have this license, create a simple PDF using File > Save As PDF. If you want that the reviewers should be able to review the PDF even in Adobe Reader, open the PDF in Acrobat and enable commenting in Reader.

See Show / Hide Conditional Text dialog

Change bars have disappeared from paragraphs.

Check if you updated the paragraph formats after applying the change bars. If you need to update paragraph formats after applying change bars, make sure you don’t remove format overrides.

I forgot to turn on change bars before making changes to a document. Is there a way I can identify the changes I have made?

If you have maintained the version of the document before making changes, you can compare that version with the current version of the document and identify the changes you have made.

See Compare two versions of a document


Structured authoring

10.Structured authoring

Structured authoring is a publishing workflow that lets you define and enforce consistent organization of information in documents. In unstructured publishing, content is written according to rules and approved styles described in style guides and enforced by editors.

In an unstructured authoring workflow, you create relatively free-flow narrative based documents. For example, you can have headings, followed by paragraphs, or graphics with captions or alternate text. In case of structured authoring, the content rules enforce a consistent structure across similar pieces of information. For example, you can decide to enforce the following content rules:

•A bulleted list must contain at least two items.

•A heading must be followed by a paragraph.

•A table must have a heading row.

•A graphic must have a caption.

These content rules are defined in either a document type definition (DTD) or an XML schema. Conformance to these content rules is automatically checked against the DTD or schema.

For example, consider the structure of a home address. Suppose that the content rules require address to contain an employee name, house number, street, city, and ZIP code. In unstructured authoring, an address without a house number can be discovered only through editing or review. In structured authoring, the structure is validated and automatically checked for completeness. Consistent organization and sequence are therefore enforced and assured.


Benefits

10.1.Benefits

Enforces a consistent organization of information

You can create a structured application to ensure that a bulleted list must contain at least two items. Or an image must include a caption.

Automatically validates the organization of information

FrameMaker provides visual cues to indicate when the structure of a document is broken.

Title element removed from DITA Topic

Consistency of content

Imposing structure results in improved consistency of content across multiple documents in a document-set.

Supports content reuse

FrameMaker provides user interface based content reuse functionality such as DITAVAL, Filter By Attribute, relationship tables, to allow users to easily reuse content.

Supports metadata to add information to documents

Besides content such as text and images, you can also associate metadata with a structured document. For example, the author of a document. You can also use attributes to associate metadata with specific elements in a document. The Filter by Attribute feature in FrameMaker allows you to set attribute values and then filter the content in a structured document based on these attributes.

Separating content and formatting

The writers focus on content. Formatting and the appearance of the final output is controlled by the publishing workflow. For example, print output may use a different font from online.

However, FrameMaker supports formatting in structured applications. This implies that the FrameMaker structured authoring environment displays formatted content. This provides visual cues to users regarding the formatting of a document.

XML View

WYSIWYG View

Reduces localization effort

Since structured document separate formatting from content, the use of localization technologies substantially reduce localization effort and cost.


SGML, XML, and XHTML

10.2.SGML, XML, and XHTML

Using FrameMaker, you can import and export structured documents in either SGML or XML (including XHTML 1.0) format. Once you import a structured file, it is no longer an SGML or XML file; it is a structured FrameMaker document. To return it to its original format, save it as an SGML or XML file.

SGML

Standard Generalized Markup Language (SGML) is the international standard for all markup languages for data exchange and storage.

SGML is a descriptive, rather than procedural, markup language, meaning the same document can be processed by different systems. Each system applies different processing instructions to relevant sections. You can transfer SGML documents from one system (hardware and software environment) to another without any loss of data.

SGML was the first language to implement the Document Type Definition (DTD), which formally defines the document by its components and structure. Documents of the same type can then be verified and processed uniformly.

A document that conforms to the structure of a DTD is said to be valid.

XML

Extensible Markup Language (XML) is a generalized format for representing structured information, especially for the web. Like HTML and SGML, XML requires the use of elements and structure.

However XML differs from HTML in that it is extensible. You can define not only your tags but also their order, relationships among them, and the way they are processed and displayed. In terms of markup, XML has tags or elements which are similar to HTML markup except that they are defined by you.

Use XML to define and implement a structure that is appropriate for your content. An XML document that conforms to the structure of a DTD is said to be valid. An XML document that uses tags that conform to the standard XML specifications is said to be well-formed.

XHTML 1.0

Extensible Hypertext Markup Language (XHTML) is an extension of HTML that is based on XML and is designed to work with XML-based applications. It can be viewed, edited, and validated with standard XML tools. Using XHTML is an easy way to migrate from HTML to XML while retaining forward and backward compatibility of your content.

XML vs XHTML 1.0

Whereas HTML describes formatting, XML describes content itself. Humans can read HTML documents rendered in a browser. Both machines and humans can read XML.

Instead of style-based, paragraph-oriented word processing and desktop publishing, XML provides a foundation for structured authoring. XML describes content according to elements that are organized in a hierarchical tree. In word-processing environments (such as unstructured FrameMaker), the relationship among the various document components is apparent through formatting on the page. The document file, however, does not capture these relationships because a word processor document is made up of a string of paragraphs. For example, unstructured FrameMaker does not capture the subordination of a Body paragraph tag to its preceding Heading1 tag. Structured authoring, however, does capture the hierarchical relationships among the document components.


DITA and DocBook

10.3.DITA and DocBook

Two off-the-shelf structured applications available for technical documentation are DITA and DocBook.

DITA

DITA or Darwin Information Typing Architecture provides an off-the-shelf DTD and set of rules designed specifically for writing online documentation, such as software help files. It defines a tag structure suited to authoring, producing, and delivering technical documentation. The types of tags in DITA include <topic>, <title>, <shortdesc>, <prolog>, <body>, and <concept>. Following are some distinguishing DITA features:

•DITA is topic-oriented. Each topic can be a piece of modular writing that can be reused in multiple contexts.

•Because DITA separates content from context, multiple architectures of information are possible in DITA. DITA can also be extended to allow for the definition of information types.

•DITA is topic-based. It provides three basic topic types but it allows for specialization of these topic types for individual needs.

•DITA uses a ditamap which contains links to the XML files in the documentation set. Each XML file can be a topic or a collection of topics.

•DITA outputs can be multiple ranging from PDF and HTML to variable documents. However, all output forms require some development work.

•DITA is better suited for larger documentation sets.

DocBook

DocBook is also an open standard, designed for technical articles and documentation. DocBook provides a DTD for writing technical books and articles, with a structure that such forms imply. DocBook tags include <article>, <section>, <title>, <articleinfo>, and <pubdate>.

Following are some distinguishing DocBook features:

•DocBook is more book or section oriented.

•DocBook is hierarchical by nature and has to be developed for true single-sourcing. The content is not independent of its context.

•DocBook has a fixed but a large set of elements and attributes.

•DocBook provides an XML include file that contains all the other files.

•DocBook outputs include PDF, HTML, and HTMLHelp. It can be extended for other output forms with some development work.

•DocBook is easy to set up and is better suited for small to medium documentation sets.


User interface

10.4.User interface

The Structured FrameMaker authoring interface provides the following tools to enable authoring in structured (hierarchical) documents:

Structure View, Elements, and Attributes pods

Structured View

Displays the hierarchical structure of the document. You can add, remove and move elements in this pod as you author your structured document.

Elements catalog

Displays the list of elements available for use in the current document. The elements in the list are defined in the structured application on which the current document is based. By default, the elements that display in the list are based on the insertion point in the document. This ensures that you do not inadvertently place elements at invalid locations in the structured hierarchy. For more details, see Working with elements.

Attributes pod

Displays the list of attributes for the currently selected element. Set or remove values for the attributes of an element. For details, see Working with attributes.

10.4.1.Views

FrameMaker has three views that help you author your content:

•XML View allows you to work with the plain XML code of your structured FrameMaker XML files.

•Author View simplifies structured authoring by keeping out unstructured FrameMaker features and features not relevant for XML authors, such as page numbers.

•WYSIWYG View is classic FrameMaker, unstructured and structured. This view displays page breaks, headers and footers, all keyboard shortcuts, and all menus.

XML View

XML View allows you to work with the plain XML code of your structured FrameMaker XML files. In XML View, you can expand and collapse elements.

XML View

A. Collapsed elements B. Errors console C. Tree view

FrameMaker indents the child elements by one tab space compared to their parent elements. Word wrap keeps the content of the elements visible in the width of the window. The XML view supports Unicode. You can edit multilingual content in XML View. You can also copy/paste content from the clipboard.

When you edit or change references, such as conrefs, links, and cross references, in XML View, FrameMaker updates them in WSIWYG View also. XML View automatically validates the XML content with the DTD and helps you ensure that the content is well-formed at all times. While you are working in XML View, FrameMaker automatically inserts attribute values and close tags for the tags you insert in the file.

A Find/Change dialog in XML View helps you search through the XML code. You can also use regular expressions, such as with ampersand and pipeline, to search through text. XML View also has support for XPath. You can build and use XPath expressions to locate XML content. For more information on XPath, see XPath.

The following features can be accessed using XML View only:

•

• XSL Transformation

Errors console

The Errors console in XML View describes the errors, if any, in the open XML files. The Errors console also displays the filename of the error. To go to the file and location of the error, click an error row.

•To display the Errors pod, select View > Pod > Errors.

Tree view

XML View provides a treelike outline that allows you to navigate and view the structure of your XML document. The Up and Down arrow keys let you move up and down in the tree view. Left and Right arrow keys allow you to collapse and expand the elements.

To display the tree view, select View > Outline.

Author View

Author View provides a WYSIWYM (What You See Is What You Mean) view of your structured FrameMaker documents. The WYSIWYM environment of structured FrameMaker simplifies structured authoring by keeping out unstructured FrameMaker and features not relevant for XML authors.

Author View

Author View includes the visual tools for structured authoring, such as the element tags, Structure View, the Elements catalog, and Attributes Editor.

Author View does not have the following features that are relevant only for unstructured FrameMaker authoring:

•Page breaks (no pagination for up to 20 pages)

•Headers and footers

•Master pages

•Keyboard shortcuts and menus related to content formatting and unstructured workflows, which are not retained when a document is saved as XML

•Menus not relevant to structured authoring

Using Author View, you can concentrate on the structure and content of the document rather than on the appearance.

note: For more information about Form View, see Conditional text.

WYSIWYG View

WYSIWYG View is the classic FrameMaker view, which supports structured and unstructured authoring. WYSIWYG View has all the features of FrameMaker.

Click a FrameMaker mode in the following figure to see the corresponding WYSIWYG view:

The following can be managed using WYSIWYG View only:

• Templates

• Formats

• Master and reference pages

• Page layouts

• Multiflow documents

Switch between the views

You can switch between the three views by clicking the relevant icon in the Application bar.

Icons of the three views in the Application bar

A. XML view B. Author view C. WYSIWYG view

Author View and XML View support only structured files. When you have unstructured files open and you switch from WYSIWYG View to Author View or XML View, FrameMaker hides the unstructured files. When you quit FrameMaker from Author View or XML View and there are unsaved unstructured files, FrameMaker alerts you.

10.4.2.Structured authoring mode

The first time you open FrameMaker, you are prompted to choose the interface.

Choose Structured FrameMaker

Alternatively, if you are currently working in FrameMaker, to change the interface:

1)Open the Preferences dialog (Edit > Preferences) and go to the Global > General tab.

2)In the Product Interface list, choose Structured FrameMaker and click OK.

You need to restart FrameMaker for the change of interface to take effect.

When you open FrameMaker in the Structured FrameMaker mode, the menu options specific to structured FrameMaker are available. The following interface options are only available in the Structured FrameMaker interface:

•Elements, StructuredTools, and DITA menus

•File > New > XML menu option

•New XML dialog used in Author content.

10.4.3.Working with the Structure View

Expand or collapse structure

In the Structure View, you can expand or collapse elements, showing or hiding a detailed outline of your document. (When elements are expanded or collapsed in Structure View, text in the document window does not change.)

An element is sometimes defined to have attributes, which provide supplemental information about the element. You can also expand and collapse the attributes associated with an element.

tip: Collapse elements to get a higher-level look at the document structure. Collapsed elements are also easier to move around. It’s especially helpful to collapse long lists of items and procedures with many steps.

•To expand or collapse elements, click the plus (+) or minus (-) symbol on the left side of element bubbles.

•To expand or collapse attributes, click the plus (+) or minus (-) symbol on the right side of element bubbles.

•To expand or collapse all child elements or attributes, hold down Shift while you click a plus or minus sign.

View element boundaries in the document window

Element boundaries shown in the document window mark the beginning and end of each element. Working with visible boundaries helps you see how the document content is divided into elements. Viewing the boundaries also makes it easier to place an insertion point properly or to make the right selection.

For most elements, the boundaries appear as opening and closing brackets ( [ ] ) or as two boxes with an element tag. For some elements (graphics, footnotes, markers, tables, and equations), the element location is marked only by one box with a tag.

When elements are inside other elements, their brackets or tags nest to show the hierarchy.

•To surround each element with brackets, choose View > Element Boundaries.

•To surround each element with a text label, choose View > Element Boundaries (As Tags).

•If the book window is active, select View > Show Element Boundaries or View > Hide Element Boundaries.

•To hide element boundaries, choose View > Hide Element Boundaries or Element Boundaries (As Tags).

note: The brackets and tags that mark element boundaries are characters that both print and occupy document space. Hide them before printing to suppress them in print output. Also hide them to see the document layout unaltered by element boundaries.

Expand and collapse elements in document window

If you are viewing element boundaries as tags in the document window, you can perform the following operations:

•Collapse all elements, even in the document view.

•Collapse a parent element to hide the child elements, without collapsing them.

•Collapse child elements, when collapsing the parent element.

•Collapse all elements to the same level, when collapsing an element.

•Select the element, by clicking the element tag.

•Toggle the collapsed state of an element, by double-clicking the element tag.

•View expanded element structure, when any operation (for example, Find/Change) results in a selection, within a collapsed element structure.

•Have the document view and structure view synchronized with respect to the collapsed state of the elements.

Show and hide attributes for new elements

You can show or hide attributes for new elements in Structure View. The view can display all the attributes in the flow, none of the attributes, or only required attributes or attributes that have a value. This setting applies to new elements as you enter them.

1)Make the appropriate document window or book window active. If a book window is active, select the documents you want to affect.

2)Select View > Attribute Display Options, choose the display option you want, and click Set.

Change the scope of elements available in a structured document

When adding elements to a structured document, insert only elements that are valid at the current location. (Valid elements have heavy check marks, heavy check marks and a plus sign, and question marks in the Element Catalog.) If you add elements this way, you can work from the beginning of a document to the end and be sure that its structure is valid at every point along the way.

Sometimes you want to work more loosely, and in these cases you can make more elements available. For example, some draft documents must adhere strictly to a predefined structure but follow the structure only as a guideline. Or, you can plan your document to conform to a structure without having all the information to complete it from start to finish.

When more elements are available, the additional elements appear in the Element Catalog and are available if you insert elements from the keyboard. You can also list inclusions after other valid elements in the catalog.

1)Make the appropriate document window or book window active. If a book window is active, select the documents you want to affect.

2)Select Element > Set Available Elements. You can also click Options in the Element Catalog.

3)Select one of the following options in the Show Tags For area:

•To show only elements that are valid for the current location, select Valid Elements for Working Start to Finish. Use this option if you plan to go through a document from start to finish and fill in the elements in their correct order and hierarchy.

•To show elements that are valid for the current location or later in the current element, select Valid Elements for Working in Any Order. Use this setting if you plan to build a valid document but not necessarily by working from start to finish. This is helpful if you don’t have all the information you need.

•To show elements allowed anywhere in the current element, select Elements Allowed Anywhere in Parent. Use this setting if you want more flexibility for filling in elements. You can insert elements that are invalid and correct the errors later.

•To show all elements defined for the document, select All Elements. Use this setting if you’re not building a valid document, if you want flexibility and will correct errors later, if you’re wrapping elements around contents, or if you want to see what’s available elsewhere in the document.

•To show a set of elements that you specify, select Customized List. Use this setting to work with a subset of the elements, to display elements in a fixed order, or to work with a list that is static instead of context sensitive.

4)If you selected Customized List, click Edit and create or change a list of elements.

To move element tags between the Show and Don’t Show lists, use the arrow buttons or double-click the element tags. Transfer all of the elements from one list to another by holding down Shift as you click an arrow button. Click the Move Up and Move Down buttons to arrange the elements in the Show list in the order you want them to appear in the Element Catalog. Click Set when the list is the way you want it.

note: A customized list of tags is always the same regardless of the location of the insertion point, so be careful to include all the tags you need. The only indication of validity is a check mark next to a tag.

5)To list inclusions separately in the Element Catalog, turn on List after Other Valid Elements.

This groups the inclusions right after the other valid elements. Use this setting if you have a large number of inclusions that you rarely need.

6)Click Set.

Structure View pod

The Structure View pod displays the underlying XML structure. The view uses bubbles to represent elements and their relationship to one another. It also identifies errors in the document structure. In Structure View, you can insert, select, expand, collapse, move, merge, or split elements. When you work with structured documents, you’ll use the document window and Structure View together. These windows help you organize elements in a valid structure.

Both windows are editable, and anything you do in one is mirrored in the other. You can have the two views open side by side, to keep track of both contents and structure. If you click or select in one view, an insertion point or selection appears at the equivalent place in the other view. Any editing you do in one is reflected in the other. It’s easier to make your changes in Structure View, where you can drag-and-drop bubbles to rearrange elements or select bubbles to edit them in other ways. If you click or select in an unstructured flow in a document window, Structure View is empty.

To display, choose Structure Tools > Structure View.

Elements catalog

The Elements catalog lists the elements you can use at the current location and provides commands for adding and editing elements. It also displays other information about the current location, such as whether you can type text there. The information in the Elements catalog comes from content rules in the definition for the current element.

The catalog is preset to show only the elements that are valid at the current location, though you can have it display more elements if you want greater flexibility. The catalog is empty if you click or select in an unstructured flow, if the document has no element definitions, or if no more elements are required at the current location.

To display, click the Element Catalog button at the upper-right corner in the document window.

The Elements catalog uses the following symbols to identify whether an element is valid:

Heavy check mark

The element is valid at the current location. If you insert the element, the current (parent) element will be correct and complete up to this location.

Plus sign (+)

The element is an inclusion (SGML only) in the current element and is valid at the current location. The plus sign always appears next to a heavy check mark. Inclusions are valid only in SGML documents, so this sign does not appear in XML documents.

tip: Although inclusions are as valid as elements identified with just a heavy check mark, you might find it helpful to list inclusions separately. If a document has many inclusions, it can be difficult to find other valid elements in the catalog.

Question mark (?)

The element is a possible replacement for the element right after the insertion point or for the selected elements. It is valid at the current location, but will make child elements after it invalid. If you insert an element with a question mark, the current (parent) element will be complete and correct up to this location, but you’ll have to correct errors after the new element.

Light check mark

The element is valid later in the current element. If you insert one of these elements, the current (parent) element will be correct but incomplete up to this location. You’ll have to go back and fill in missing child elements.

No symbol

If an element in the catalog has no symbol, it is not valid at the current location or later in the current element. It may be valid earlier in the current element or outside the element.

The Elements catalog may also include the following indicators to provide other information about the current location:

<TEXT>

You can type text at this point.

<UNDEFINED>

The current element does not have a definition in the document. The element was probably pasted from a document with different element definitions. (This does not appear when the catalog is set to display all elements.)

<INVALID>

The contents of the current element are invalid. (This does not appear when the catalog is set to display all elements.)

You can use buttons in the Element Catalog to insert an empty element, wrap an element around contents, and change the type of an existing element.

10.4.4.Working with elements in structured documents

The basic unit of information in structured documents is called an element. Elements hold other elements, text, graphics, tables, cross-references, and markers.

You can add elements to a document to build its structure, and you can edit existing elements in many ways.

If you create a FrameMaker document by opening a structured file, you do not need to add elements to it. The document already contains elements. You can edit the document’s elements, and add more elements.

To build a document’s structure, you can either add elements to the document and then fill in the contents, or select existing contents and wrap them in elements.

A structured document has element definitions stored in its Element Catalog. These definitions describe the allowable contents for each type of element the document can have. They sometimes specify attributes and formatting for the elements. If all the elements in a document have contents and attributes that meet these specifications, the document is valid.

Valid contents for elements

An element’s definition has content rules that determine what the element can contain. For example, perhaps the definition of a Section element specifies that a Section must begin with a Head element, then must have a Para element, and then can have any combination of Para, Figure, and other Section elements. A Para element sometimes allows text and CrossRef elements, in any order.

The Element Catalog indicates valid elements for the current location with a heavy check mark. It shows that text is allowed with the <TEXT> tag.

Two classes of elements

Elements fall into two basic classes determined by their allowable contents:

•A container element can hold text, other elements, or both. Container elements, such as heads and paragraphs, build the document’s structure.

•Anobject element is a single object—a marker, cross-reference, system variable, equation, or anchored frame. You cannot type in these elements or add child elements to them.

A. Containers have round-cornered bubbles. B. Object elements have square-cornered bubbles.

A container element can be defined to remain empty. For example, perhaps a table cell is empty as part of a table’s design. If an element contains only spaces or non-printable characters such as tabs, its text snippet in the Structure View is <WHITESPACE>.

Attributes for elements

An element can have attributes, which provide information about the element that is not part of the element’s contents. Your document uses attributes for several purposes:

•To control the formatting of an element. For example, perhaps a Type attribute in a List element has two possible values—Bulleted and Numbered.

Attributes can provide formatting information.

•To record descriptive information about an element, such as level of classification. An attribute value can even trigger a custom routine that hides the element when the document is displayed.

•To store source and destination information for elements, typically for cross-referencing. A Section element sometimes has an ID attribute that stores a unique value. A cross-reference element that points to the Section stores the same value in a Reference attribute, to maintain the connection between the elements.

You typically enter and edit the values for attributes, unless the attributes are defined to be read-only. Cross-reference IDs are often read-only and are generated by FrameMaker.

Import element definitions

If you’re not sure whether a document has element definitions, open the Element Catalog and click in a text flow. If you see elements in the catalog, the document has definitions. You sometimes must select the All Elements option to get elements to appear. Select Element > Set Available Elements for the All Elements option.

If you are using a structured template, then element definitions are usually defined in it. However, sometimes your application developer may provide you with an EDD or DTD that you can directly import into your documents.

1)Open the template, EDD, or DTD with the element definitions. The template, EDD, or DTD must be named and saved.

2)Create a blank document or open the document or book that you want to update. If a book window is active, select the documents you want to update.

3)In the document or book you’re updating, choose File > Import > Element Definitions.

4)Choose the template, EDD, or DTD from the Import From Document pop-up menu. The pop-up menu lists all open and named documents.

5)To remove special formatting and book-related changes in the document, do the following:

•To remove format rule overrides, select While Updating, Remove Format Rule Overrides. Use this setting if you have made text or paragraph formatting changes to elements and now want to return to the formatting described in the EDD or DTD.

•To remove element information derived from a book file, select While Updating, Remove Information Inherited from Book. Use this setting if the document used to be included in a book but is now a stand-alone document.

6)Click Import. FrameMaker adds the element definitions to the document’s Element Catalog, replacing existing definitions.

Insert elements

To add an element to a document, you either insert an empty element and enter contents, or wrap an element around existing contents. Before you can begin, your document must have element definitions in its Element Catalog.

If you haven’t yet fully planned your document, consider inserting just the high-level elements, such as Section and Head elements, and then use this structure as an outline for developing the document.

You can also enter all the elements in their correct order and hierarchy as you go, or concentrate on contents rather than on structure, and then validate later to correct errors.

The Element Catalog shows the elements that are available at the current location. You can change the scope of elements available—for example, to show elements that are not valid at the current location. Ask your application developer for a summary of what each element can contain.

If you have turned on element boundaries, then once you insert or wrap an element, a pair of element boundaries appears in the document window, and a new bubble appears in the Structure View.

Empty element boundaries (left) and bubble for the new element (right)

Insert an element using the Element Catalog

1)If the document does not have element definitions, import the definitions from a structured template, EDD, or a DTD.

2)Specify the scope of elements available.

3)Click where you want to insert the element. If you’re inserting it between other elements, work in the Structure View rather than the document window.

4)Select an element tag in the Element Catalog, and click Insert. If only one element appears in the catalog, you can click Insert without selecting it.

You can also double-click an element tag to insert the element.

note: The Element Catalog always displays only those elements that are valid at the insertion point.

5)If the Attributes For New Element dialog box appears, enter attribute values for the element and click Insert Element.

This dialog box appears only if the element has attributes and if an option is set in the New Element Options dialog box to prompt for attribute values when you insert new elements.

6)If you insert a table, a marker, a graphic, or a cross-reference, provide more information about the element in the dialog box that appears.

7)Add content to the elements. You can add content as you insert elements, or after you build the structure of your document.

Press Return to insert elements

In many cases, pressing Return inserts an element automatically. Whenever you press Return, FrameMaker checks the current element’s definition for the following conditions—in the following order—and sometimes inserts a child element:

One valid element

If only one child element is valid at the current location, pressing Return adds that element. For example, after you add a Section, perhaps a Head is the only element permitted next. You can also use this technique to create repeating elements, such as body paragraphs and list items.

More than one valid element

If more than one child element is valid, pressing Return highlights the Tag area to prompt you for an element tag. Type until the tag you want appears, and then press Return to insert the element.

End of an element

If the insertion point is at the end of an element and no more child elements are valid, pressing Return looks for valid elements in ancestors after this location. If a valid element is found, the insertion point moves to the ancestor and the element is inserted (if only one is valid) or the Tag area is highlighted (if more than one element is valid).

Other conditions

If none of the preceding conditions are true, pressing Return causes a beep and no element is inserted.

Set options for inserting new elements

1)Make the appropriate document window or book window active. If a book window is active, select the documents you want to affect.

2)Choose Element > New Element Options.

3)Specify how you want to be prompted for attribute values when you add new elements:

•To enter all possible attribute values as you add elements, select Always Prompt for Attribute Values.

•To enter only required attribute values as you add elements, select Prompt for Required Attribute Values.

•To enter attribute values after adding elements, select Do Not Prompt for Attribute Values.

4)To allow FrameMaker to insert child elements automatically for new elements, select Allow Automatic Insertion of Children.

5)Click Set.

tip: To speed up the process of adding new elements, select the Do Not Prompt for Attribute Values and Allow Automatic Insertion of Children options.

Add text in a structured document

Place the insertion point anywhere inside a text frame in a document window. An insertion point also appears at the corresponding place in the Structure View. To place the insertion point in the middle of text, use the document window rather than the Structure View. When placing the insertion point at the beginning or end of an element, or between elements, click in the Structure View.

The Element Catalog describes what the current element can contain. You can enter text whenever <TEXT> appears in the catalog.

1)Place the insertion point:

•To place at the beginning or end of text, click to the left or right in the first or second half of the text snippet. After you click, a line on the left or right side of the triangle insertion point indicates that the point is at the beginning or end of text.

•To place between two elements, click to the right of the vertical line connecting the elements, between the two bubbles.

Insertion point between two elements

2)Begin typing. Don’t press Return unless you want to insert a new element, or begin a new paragraph in an unstructured flow.

Edit elements

You can edit a document’s structure in many ways—including changing an element to a different type, rearranging elements, and splitting and merging elements.

After editing one part of a document, sometimes you edit the document further to correct content errors. For example, if you split a Section element in two, you sometimes need to add a Head element for the new second Section. Use the Structure View as a guide for finding errors as you work, or validate the document when you’re finished.

Change elements

You can change an existing element to another element of the same type. For example, you sometimes want to convert a Para element into a Note element, or a series of Para elements into ListItem elements that you can include within a List element.

However, not all elements can be converted to other elements. For example, if you change a Para element containing text to a Marker element containing the same text, the name of the element changes, but the text is not converted to marker text.

note: If you want to change contents to a table, use Table > Convert to Table to convert text rather than changing an element.

Changing elements to another type

1)Select the element. You can select more than one element, even if the elements do not have the same tag. All the elements are changed to the new type of element. However, the elements’ children are not changed, but they sometimes become invalid because the parent changed.

2)Select an element tag in the Element Catalog and click Change. Sometimes attributes in the element become invalid and need to be corrected.

Merge elements

You can merge two or more elements into a single element. Merging places the contents of the second element (including any child elements) at the end of the first element.

Merging two Sections, before and after

You sometimes must edit the document after merging elements.

note: If you want to combine table cells, use Table > Straddle rather than merging the cells. You cannot combine other table parts.

1)Select the elements you want to merge. The elements can be of different types, but they must be siblings and next to each other in their parent element.

2)Choose Element > Merge.

Merging retains the attributes for the first element only.

Split an element

You can split an element into two elements that have the same tag and are at the same level. For example, perhaps you split a Section element in two.

Splitting a Section, before and after

You sometimes must edit the document after splitting an element. In the example above, after splitting you would add a Head for the new second Section.

note: You cannot split an element that is a table part (such as a row or cell).

1)Click where you want to split the element. The contents after the insertion point go in the new second element.

2)Choose Element > Split.

Splitting sometimes results in two elements with identical attributes. However, if the original attribute had a Unique ID attribute, the second element loses its ID value.

Wrap elements around existing content

You can add structure to content already in a document by wrapping a new element around the content. The content can be any part of a document, including other elements. The element’s content is formatted as specified in the element’s format rules.

note: You cannot wrap content in elements that are for parts of tables (such as rows or cells), but you can wrap text or other elements that are within a cell or a table title element. If you want to convert text and elements to a table, use Table > Convert to Table rather than wrapping.

After wrapping an element, you sometimes must edit the document to correct structure errors. For example, if you wrap Para elements in a Section element that requires a Head element, you’ll need to insert the Head element.

Wrap an element using the Element Catalog

1)Select the contents you want to wrap in an element. If you’re selecting text, use the document window. If you’re selecting entire elements, use the Structure View.

2)Select an element tag in the Element Catalog, and click Wrap.

3)If the Attributes For New Element dialog box appears, enter attribute values for the element and click Insert Element.

This dialog box appears only if the element has attributes and if an option is set in the New Element Options dialog box to prompt for attribute values when you insert elements.

Wrap elements throughout a document

1)In the document window, wrap text ranges, system variables, and other items that are inside paragraphs. Don’t worry about errors you see in the Structure View. You’ll correct many of these errors when you wrap the lowest levels in parent elements. You can correct the other errors when you’re finished.

2)Wrap paragraphs, headings, and other paragraph-level items in their elements.

3)In the Structure View, wrap the elements you have so far in parent elements, such as Section and List.

Wrapping helps in manually providing a structure to an existing unstructured document. When you wrap the first element in the document, the Structure View immediately changes to show a default invalid structure, as follows:

•A highest-level element is added with the tag NoName, unless you begin by wrapping the contents in a valid highest-level element. NoName is a placeholder for your valid highest-level element.

•All tables become structured and are given default element tags, such as TABLE and ROW.

•Objects become elements with default tags such as CROSSREF, GRAPHIC, and EQUATION.

•Footnotes become FOOTNOTE.

•Rubi text becomes RUBI and RUBIGRP elements.

note: Variables and markers do not become structured object elements.

You can correct the structure of the document when you’re finished wrapping elements.

tip: If your application developer has set up a conversion table for the document, you can apply the table to wrap elements throughout the document all at one time. This is much faster than wrapping text manually.

Unwrapping the contents of elements

Unwrapping deletes an element but leaves its contents in the same place in the document. You usually unwrap elements as part of a larger editing process. For example, if you plan to convert ListItem elements into Para elements, sometimes you must unwrap the parent List element first. Then use Edit > Find/Change to convert the ListItem elements to Para elements.

Unwrapping ListItems, before and after

You sometimes must edit the document after unwrapping an element. For this example, you would change the ListItem elements to valid elements or rewrap them.

note: You cannot unwrap an element that is a table part (such as a row or cell).

1)Select the element with the contents you want to unwrap.

2)Choose Element > Unwrap.

Move or copy elements

You can move an element to another location in a document by dragging its bubble in the Structure View. When you move or copy an element, its contents, including descendants, all move along with it. This does not affect the contents of the clipboard.

tip: If you’re moving an element that has many descendants, collapse the element first. In Structure View, Shift-click an element to collapse/expand all its sibling elements. Alt-click an element to expand or collapse its child elements.

You can also move or copy an element by cutting or copying it to the clipboard and pasting it in a new location, even across documents. If you paste an element from another document, sometimes the element is not defined in your document. If you don’t plan to add a definition for the element, change the element to a valid one. You cannot cut and paste elements in a book file.

1)Do one of the following:

•To move an element, drag the bubble to the location you want.

•To copy an element, hold down Alt and drag the bubble to the location.

As you drag the bubble to copy, the pointer changes to a hollow, stacked up-and-down arrowhead, and a horizontal arrow moves to indicate where the copy goes if you release the mouse button.

As you drag the bubble to move, the pointer changes to a solid up-and-down arrowhead, and an arrow moves to indicate where the bubble goes if you release the mouse button.

If the element is valid in the location where the arrow points, a check mark or question mark appears in the bubble.

Nudge an element one place

1)Drag the element’s bubble slightly to one side or up or down. As you drag a small distance, the pointer changes to a single arrow. (If you drag too far, the arrow changes to an up-and-down arrowhead.)

Nudging a List one place, before and after

When you release, the element moves one place in the indicated direction, as follows:

•Moving an element up places it right above the sibling right before it. Moving an element down places it below the sibling after it.

•Moving an element to the left makes it a sibling of its parent. Moving an element to the right makes it a child of the sibling before it.

Hierarchical element insert

Using the Elements quick catalog, you can select and insert multiple levels of elements. When you select an element in the quick catalog, FrameMaker displays the elements available within the selected element.

Hit Enter and use the pointer or the arrow keys (or the pointer) to select a hierarchy of elements that you want to insert. When you hit Enter, if there is only one valid element at the pointer’s position, FrameMaker inserts the element.

Use the following keys to navigate through the hierarchy of elements in quick catalogs:

Key\Key action | Type of navigation\action
Place cursor in an element and hit Enter | Display the quick catalog
Right arrow | Display the elements available within the selected element
Left arrow | Hide one level hierarchy of elements
tab | scroll down
shift+tab | scroll up
Alphabets\combination of alphabets | Type an alphabet or combination of alphabets to select an element. For example, press B to select Body and Type T,O to go to Topic.

The list of elements in the quick catalog appears according to the settings in the Set Available Elements dialog. If Show Element Descriptive Tags is selected, the element tool tips in the catalog display the element descriptions.

Hierarchical element insert takes care of auto insertions for the last selected element in the hierarchy, as specified in the EDD. If there are auto insertion rules in place for elements apart from the last element, they are ignored.

Hierarchical element insert

A. Select a hierarchy of elements B. Elements get inserted as a group

Select and edit text

Select text in flow

1)To select all the text in a flow, click in the flow and choose Edit > Select All In Flow.

Select text in structured document window

You can select entire elements and any part of the document contents in a document window. A corresponding selection also appears in the Structure View.

If an element has contents, you can select all or part of the contents without selecting the element itself. If an element consists of a single object, such as a graphic or a cross-reference, select the entire element.

When you select an entire element, its contents are selected along with it.

tip: Work with element boundaries showing, so that you can see the beginning and end of each element. After selecting, check the status bar for the correct tag name of the selection parent element. The tag name appears following the “E:” text.

1)To select text in an element, do one of the following:

•To select text without selecting the whole element, drag through the range of text. Be careful not to drag across an element boundary. If you do, you select the entire element.

•To select one element, drag from anywhere inside the element to outside one of its element boundaries.

•To select more than one elements, drag through the elements. FrameMaker selects each element as you drag across one of its boundaries.

Select element content in Structure View

You can select entire elements or the element contents in the Structure View. A corresponding selection also appears in the document window.

If an element has contents, you can select all of the contents without selecting the element itself. If an element is a single object, such as a graphic or a cross-reference, you select the entire element. (Elements that are allowed contents have round-cornered bubbles; elements that are a single object have square-cornered bubbles.)

When you select an entire element, its contents are selected along with it.

1)To select element content, do one of the following

•To select an element, click the middle of its bubble.

•To select more than one element, click the first bubble and then Shift-click the other bubbles. You can also drag to the right of the vertical line connecting the elements. Start above the first element you want to select, and drag down to the last element you want to select.

•To select contents of an element without descendants but not select the entire element, double-click the text snippet.

•To select the contents of an element with descendants but not select the entire element, double-click to the right of the vertical line connecting the first level of descendants.

Remove elements

You can remove any element, with or without its contents. For example, you sometimes want to delete a Section element and its contents, or delete the Section but leave the contents in place, so you can place them in a different element.

For elements that are defined to contain text or other elements, you can also delete the contents and leave the empty element in the document. For elements that are single objects without contents, you must delete the entire element.

•To remove an element and its contents, select the element and press Delete.

•To remove an element but not its content, select the element and choose Element > Unwrap. FrameMaker reformats the contents based on the new context, if necessary.

•To remove the contents of an element but not the element itself, select the contents and press Delete.

•To remove an element and its contents and replace it with another element, select the element. Then select the replacement element in the Element Catalog, and click Insert. A new empty element replaces the selected element and its contents.

•To remove all elements from a document to base it on paragraph and character formats, choose Special > Remove Structure From Flow. If the document has additional structured flows, repeat this command for each flow.

FrameMaker removes all elements from the current text flow. If the formatting was created or modified by format change lists in the element catalog, the removed elements become format overrides in the document.

note: To create named formats for each removed element variation and save them in the catalog, use the Create And Apply Formats command.

Assign attribute values

Attributes store supplementary information about an element that does not appear with the contents of the document. You can see attributes and their values in the Structure View.

Attributes in the Structure View

An attribute’s definition specifies the type of values that are acceptable (such as text or numeric) and sometimes includes a list of possible values or a numeric range.

The definition also determines whether the value is optional, required, or read only. It sometimes provides a default value. You can assign values to an attribute if the attribute is not read only.

If an attribute’s current value does not conform to the specifications in its definition, the attribute is invalid.

note: FrameMaker can provide the values for ID and ID Reference attributes used in cross-referencing. (These attributes are often defined to be read only.)

Enter attribute values as you insert elements

You enter some attribute values as you insert elements, particularly for required attributes and attributes that affect formatting. Optional attributes can perhaps wait for a later pass.

Some font property values used in an element definition document (EDD) require that you use specific units. For example, if the Offset Horizontal value is set as a percentage of an em space, typing 5pt creates an offset of 5 em spaces instead of 5 points.

Do not use multibyte (Asian-language) characters when entering attribute values. Sometimes these characters are not exported to SGML correctly because multibyte characters are not supported in the SGML workflow.

note: Attribute names support the Unicode text-encoding standard.

1)Make sure you are prompted for attribute values when you insert elements.

2)Insert the element. If attributes are defined for the element, the Attributes For New Element dialog box appears, listing all the attributes (except read-only ones) defined for the element.

3)For each attribute value to provide, select the attribute in the Attribute Name scroll list, enter the value in the Attribute Value box, and click Set Value. If an attribute is required, you must enter a value for the element to be valid.

If an attribute has a set of predefined values, choose from the Attribute Value pop-up menu rather than entering a value.

The value you can enter, such as text or a number, is determined by the attribute’s type.

A description of the selected attribute (its type, whether a value is required, and so on) appears in the dialog box below the Attribute Value area.

4)Click Insert Element.

Enter or edit attribute values for elements already in a document

To change an attribute name rather than a value, use Edit > Find/Change. Sometimes this is necessary if you imported element definitions that use different attribute names with identical meanings, such as Security instead of SecurityLevel. The new attribute name must be defined for the element.

1)Select the element with the attribute value you want to change.

You can select more than one element of the same type, and apply the change to all. The elements must be contiguous. For example, if several Para elements in a row have a Security attribute, you can change the value of that attribute for all the Para elements at one time.

2)Double-click an attribute name or value in the Structure View to display the Attributes dialog box.

Alternatively, access the Attributes modal pod from Elements > Edit Attributes.

3)For each attribute value to enter or edit, select the attribute in the Attribute Name scroll list, enter the value in the Attribute Value box, and click Set Value.

If an attribute has a set of predefined values, choose from the Attribute Value pop-up menu rather than entering a value.

4)Click Done.

Types of attributes

An attribute’s type determines the kind of values that are allowed in the attribute. For example, the value version 1 is not valid for an attribute defined as an integer, but the value 1 is valid. Numeric types (such as integer or real number) can also be limited to a predefined range by their attribute definition.

Choice

An attribute with a list of predefined values.

ID Reference

An attribute with a value that is a Unique ID value from another element. It is typically used for element-based cross-references.

ID References

An attribute with a value of one or more Unique ID values from another element. (Sometimes the developer specifies this attribute if you’re exporting to a structured application that uses multiple values for source information.)

Integer

An attribute with a whole number value (no decimal parts). Examples of valid integers are 22, -22, and +322. An integer can be defined to fall within a range.

Integers

An attribute with a value of one or more integers. Enter each number on a separate line in the Attribute Value box.

Real

An attribute with a real number value, with or without a decimal part (the value can also be expressed in scientific notation). Examples of valid real numbers are 2, 22.4, -0.22, and 2.3e-1. A real number can be defined to fall within a range.

Reals

An attribute with a value of one or more real numbers. Enter each number on a separate line in the Attribute Value box.

String

An attribute with a value of a series of characters (text).

Strings

An attribute with a value of one or more strings. Enter each string on a separate line in the Attribute Value box.

Unique ID

An attribute with a value of a unique text string. An element can have only one ID attribute (which can be of type Unique ID or Unique IDs). All ID values must be unique in the document or book. An element with a Unique ID attribute can be the source for an element-based cross-reference.

Unique IDs

An attribute with a value of one or more unique text strings. Enter each string on a separate line in the Attribute Value box. (Sometimes the developer specifies this attribute if you’re exporting to a structured application that uses multiple values for source information.)

Copy attribute values

You can use the clipboard to copy and paste attribute values from one element to another. If you paste values to an element that does not have corresponding attributes defined, the attributes are invalid. To preserve element-based cross-references, an ID attribute value is not pasted.

If you copy an attribute from another document, the attribute sometimes is not defined in the current document.

1)Select the element with the attribute values you want to copy, and choose Edit > Copy Special > Attribute Values. All attribute values associated with the element are copied to the clipboard.

2)Select a different element and choose Edit > Paste.

3)(Optional) To delete an undefined attribute copied from another document, select the element with the undefined attribute, open the Attributes dialog box, select the attribute, and click Delete Attribute. In the next dialog box that appears, remove the attribute for the current element or for all elements that have the attribute.

Find and edit elements and attributes

You search for elements and attributes in a structured document to keep track of them or to make changes to them quickly. Searching is especially useful when you want to apply the same change to more than one occurrence of an element or attribute.

You can also search for many other items in FrameMaker, including strings of text, specific formatting, unresolved cross-references, and objects (such as anchored frames) that are not elements.

note: The Find/Change feature supports the Unicode text-encoding standard.

Search for element tags, attribute names, or attribute values

You can search for an element tag, attribute name, and attribute value either separately or in combination. For example, you can search for an element tagged List to find each List element, or perhaps you limit the search to find only List elements that have a Security attribute set to Classified.

1)Choose Edit > Find/Change.

2)Choose Element from the Find pop-up menu.

3)Select the options you want in the Find Element dialog box.

The settings can be used in many combinations. These are a few examples:

•To find any element, leave all three boxes empty.

•To find a specific element, type an element tag but leave the Attribute Name and Attribute Value boxes empty.

•To find any element with a specific attribute, type an attribute name but leave the Element Tag and Attribute Value boxes empty.

•To find any element with a specific attribute value, type an attribute value but leave the Element Tag and Attribute Name boxes empty.

•To find a specific combination of element and attribute, type an element tag and choose an attribute name.

•To find a specific combination of element and attribute value, type an element tag and choose an attribute name and an attribute value. (If the attribute type is Choice, type the value.)

•To find a specific element with an attribute that has no value, type an element tag, choose an attribute name, and choose <No Value> from the Attribute Value pop-up menu.

Leave a box empty if you do not want to restrict the search. An empty box has the same effect as searching for any element, or choosing either <Any Attribute> or <Any Value>.

4)Click Set.

5)In the Find/Change dialog box, select Consider Case, Whole Word, Use Wildcards, or Find Backward.

6)Click Find.

note: After searching the main flow, FrameMaker looks at other text frames and text lines. Because a search is flow by flow, it sometimes appears to jump around the document.

Change elements or attributes you find

After you find an element, attribute, or attribute value, you can change it to another element, attribute, or value. For example, you can quickly and globally change the value of a SecurityLevel attribute from Declassified to Top Secret.

When changing items in a document, you can change each occurrence of the item as it is found or have FrameMaker automatically make the change throughout the document.

tip: After pasting material from another document or importing new element definitions, use the Find/Change command to clean up your document. For example, pasting a table from an unstructured document gives the table and its parts default, invalid element tags. You can use Find/Change to change CELL elements, for example, to TableCell elements.

1)Choose Edit > Find/Change.

2)In the Find/Change dialog box, choose Element from the Find pop-up menu.

3)Select the options you want in the Find Element dialog box, and click Set. Then choose an option from the Change pop-up menu in the Find/Change dialog box, and type the replacement tag or value.

The Find Element dialog box and the Change pop-up menu work together. These are a few examples of combinations you can use:

•To change one element to another, type an element tag in the Find Element dialog box but leave Attribute Name and Attribute Value empty. Then choose Element Tag To in the Change pop-up menu and type an element tag.

•To change one attribute to another, type an attribute name but leave Element Tag and Attribute Value empty. Then choose Attribute Name To and type an attribute name that is defined for this element.

•To change one attribute value to another, type an attribute value but leave Attribute Name and Attribute Value empty. Then choose Attribute Value To and type a value.

•To change an attribute with a specific name to a certain value, type an attribute name but leave Element Tag and Attribute Value empty. Then choose Attribute Value To and type a value.

•To change a specific element with a specific attribute value to another element, type an element tag and choose an attribute name and attribute value. Then choose Element Tag To in the Change pop-up menu and type an element tag.

•To remove an attribute value, type an attribute value but leave Element Tag and Attribute Name empty. Then choose Attribute Value To and leave the Choose box empty.

If you try to make a change that is not allowed—for example, if you try to remove an element tag—an alert message appears explaining the problem.

4)Click Find.

5)When FrameMaker finds the element or attribute, do one of the following:

•To make the change but not continue searching for other occurrences of the item, click Change.

•To make the change and continue searching for other occurrences, click Change & Find.

•To change all occurrences of the item, specify all occurrences in the document or only occurrences in the current selection and click Change All.

Find and correct errors in document structure

An error in a structured flow can be a structure problem, such as an element in an invalid location, or an invalid attribute, such as an attribute with a missing required value. In Structure View, when a collapsed element has invalid content in its structure, the plus sign on the left of the element name is red.

You can also validate a document to find errors. After you know where the errors are located, use the Element Catalog and the Structure View as guides to help you correct them.

If you’ve made any formatting changes to text in elements, the elements perhaps do not conform to their format rules.

Use the Structure View to find errors

When an element doesn’t conform to content rules and attribute descriptions in the document’s element definitions, the Structure View identifies the error for you.

Missing elements

If an element is missing one or more child elements required by the element definitions, a small red hole appears on the vertical line where the child element should be.

At least one required child element is missing.

Elements at an invalid location

If an element is at a location not allowed by the content rules, the vertical line next to it is broken from the position of that element to the end of the parent element.

The Para element is invalid at this location.

Undefined elements

If an element is not defined for the document, its bubble is red. This sometimes happens if you have pasted the element from another document.

Invalid attributes

If an attribute has an invalid value or is not defined for the document, it appears with a red x to the left of the attribute name and its value is red.

The DraftVersion attribute is invalid.

Attributes missing a required value

If an attribute does not have a value, <no value> appears to the right of the attribute name. If the attribute requires a value, <no value> is red and a red hole appears to the left of it.

The XRefLabel attribute is missing a required value.

Validate a document

When FrameMaker validates a document, it searches for elements that do not conform to content and attribute rules in the document’s element definitions. If FrameMaker finds an error, it selects the element and describes the error.

You can validate an entire document, the current flow, or the current element. If you validate the current element, FrameMaker does not check the descendants of the element’s child elements. For example, if you validate the Section element below, FrameMaker makes sure that the Head element, the two Para elements, and the List element are valid, but does not check the List Item elements in List.

Only the section’s child elements are validated.

If the document has conditional text, only the versions that are showing are validated.

You can also validate an entire book including all its files, only the book file, or only the current element in the book file.

1)Choose Element > Validate.

2)Select Entire Document, Entire Book, Current Flow, or Current Element to specify the scope of the validation.

3)To exclude missing elements or attribute values from the search, select Ignore Missing Elements or Ignore Missing Attribute Values.

If these settings are selected, FrameMaker does not look for places where a required child element or a required attribute value is missing. Consider selecting these if you are not trying to build a complete document yet.

4)Click Start Validating.

FrameMaker starts checking at the beginning of the current element. If you’re validating only the current element, it checks the element with the insertion point or the selected element. If more than one element is selected, it checks the first element in the selection.

5)If FrameMaker finds an error, click Start Validating again when you’re ready to continue validating.

The top of the Element Validation dialog box shows the tag of the element and a brief message about the problem.

You can correct the error, ignore it, or click Allow As Special Case. If you mark it as a special case, FrameMaker won’t identify the error the next time you validate the document.

6)Repeat step 5 until FrameMaker does not find any more errors.

When FrameMaker reaches the end of the document, it returns to the beginning and continues validating. When FrameMaker reaches the end of a flow, it continues to the next one.

note: When validating a book, FrameMaker tells you if a file in the book has invalid content, but for a more detailed evaluation, you must open and validate the file.

Validation of the elements in an EDD includes attributes in if-then clauses. For example, suppose that the possible values of an attribute are A or B or C, and a context rule says If [attrval = “D”]. This is flagged as an error and reported as an invalid structure when the element definitions are imported.

Similarly, if an element’s text formatting rules or prefix/suffix rules use attribute names in the context specifications, the attribute name and case must match the attribute definition in the element’s definition.

If an attribute’s value is changed to the same value it previously had, the action is not flagged as a change. This enhances performance by eliminating unnecessary value checking.

Clear all special cases

1)Choose Element > Validate.

2)Click Clear Special Cases. FrameMaker clears the special cases in the document, the flow, or the element—whichever scope is selected in the dialog box.

Validation error messages

The following error messages can appear at the top of the Element Validation dialog box. (In the descriptions, tag represents an element tag, name represents an attribute name, and value represents an attribute value.)

Current flow is unstructured

The current flow does not have elements in it.

Element is undefined

The element is not defined in the document. You perhaps copied this element from another document.

Missing element before tag

At least one required element is missing before the specified element.

More contents required at end

At least one more child element is required at the end of the current element.

No current element

There is no insertion point or selection. (This message appears when the scope is set to Current Element.)

No current flow

There is no insertion point or selection. (This message appears when the scope is set to Current Flow.)

Not highest-level element

The element is not permitted at the highest level in the document.

<TEXT> not permitted in this element

The element contains text, but text is not allowed.

<TEXT> not valid at this position

The element is allowed to have text but not at this location.

The name attribute refers to an undefined ID value

The attribute is an ID Reference and refers to a Unique ID value that doesn’t exist in the document (or in the book, if you’re validating a book).

The name attribute is undefined for this element

The definition of this element does not include a name attribute.

This element should be a type

The element is the wrong type, where type can be graphic, marker, cross-reference, equation, or system variable. For example, a cross-reference element sometimes consists of text instead of a cross-reference.

Value must be a type for name attribute

The attribute value is the wrong type for the attribute.

Value for name attribute must be in the range from n to n

The attribute’s numeric value is out of the specified range.

Value for name attribute is not one of the allowed choices

The attribute’s value must match a value from the pop-up menu of valid choices.

Value for name attribute must be unique

A Unique ID value must be unique for all elements in the document or book.

Value required for name attribute

The attribute does not have a required value.

tag excluded in this element

The tag element is not allowed because of an exclusion rule for the parent or one of its ancestors.

tag not permitted in this element

The tag element is not allowed anywhere in the parent element.

tag not valid at this position

The tag element is allowed in the parent element but not at the current location.

Correct errors in elements

After you have identified errors in elements and attributes, use the Element Catalog and Structure View as guides for correcting them:

•To correct an element in an invalid location, move the element to a valid location, or change it to an element that is valid for its current location.

You can select an invalid element, or if you’re validating, FrameMaker selects the element for you. When the element is selected, the Element Catalog shows which elements are valid at that location.

li or ListItem is valid at this location.

•To correct an element with invalid contents (with the text snippet <INVALID CONTENT>), change it to an element that allows those contents.

•To correct a structure with a missing child element, insert the required element.

You can click where an element is missing, or if you’re validating, FrameMaker places the insertion point there for you. When the insertion point is at the location of the missing element, the Element Catalog shows which elements are valid at that location.

Title is required at this location.

•To correct an invalid attribute value, change the value to one that is valid for the attribute.

•To remove an undefined attribute, select the element with the undefined attribute, open the Attributes dialog box, select the attribute, and click Delete Attribute. In the next dialog box that appears, remove the attribute for the current element or for all elements that have the attribute.

•To resolve a cross-reference with an invalid ID, select the cross-reference, choose Special > Cross-Reference, and change to a source that has a valid ID.

10.4.5.Quick Element Toolbar

The Quick Element Toolbar contains commands that allow users to quickly insert (list, table, image) and wrap (bold, insert) commonly used elements in a structured authoring document.

The toolbar is supported for Structured FrameMaker and XML Author (not supported for the code view). It is specific to a structured workspace-view combination. The icons in the toolbar are enabled / disabled based on the current context (cursor position) of the application.

See the video, Quick Element Toolbar.

Using the Quick Element Toolbar

The out-of-the-box functionality provided by FrameMaker supports the DITA element structure. To use this toolbar, you will need to create a DITA document.

1)Create a new DITA topic.

From the File menu, choose New -> XML.

2)In the New XML dialog, go to the DITA tab, select Topic, and click OK.

3)To display the Quick Element Toolbar, from the View menu, choose Toolbars -> Quick Element Toolbar.

Quick Element Toolbar

4)As you place the document insertion point at a section in the document, the relevant options in the toolbar are enabled.

This functionality is the same as the elements that are displayed (or hidden) in the Elements catalog.

5)If you hover the mouse pointer over a button on the toolbar, the tooltip displays the name and description of the element as it displays in the Elements catalog.

6)To insert an element (example: ol, ul, table) in the document, place the insertion point at the relevant point in the document and choose the element on the Quick Element Toolbar.

7)To wrap an element (example: bold, italic) in the document, select the element and click the element on the Quick Element Toolbar.

Customization

The out-of-the-box functionality provided by FrameMaker supports the DITA element structure. However, you can customize the toolbar to associate the commands with any custom structured application.

You can customize the commands in the Quick Element Toolbar by adding commands associated with other elements from the Element catalog of the structured application. For example, you can add a command to insert a ph (phrase) element in the current document.

Each FrameMaker view-workspace combination has an associated Quick Element Toolbar configuration XML file (quick_element.xml). Each configuration file contains the information that associates the toolbar with one or more structured applications. The file also contains information that associates toolbar commands with the corresponding elements in the Elements catalog.

Configuration XML file locations

The following table lists the locations for the quick_element.xml for the corresponding FrameMaker mode / view:

FrameMaker Mode - View | Quick Element Toolbar config file location
Structured FrameMaker - Author view | fminit\WorkSpaces\Structured\AuthorView\toolbars
Structured FrameMaker - WYSIWYG view | fminit\WorkSpaces\Structured\WYSIWYGView\toolbars
FrameMaker XML Author - Author view | fminit\WorkSpaces\XMLAuthor\AuthorView\toolbars
FrameMaker XML Author - WYSIWYG view | fminit\WorkSpaces\XMLAuthor\WYSIWYGView\toolbars

important: To make changes to the Quick Element Toolbar, you can edit the corresponding configuration files for each workspace-view. Alternatively, you can make changes only to the toolbar in a specific view.

Create a Quick Element Toolbar

The following steps include associating a new toolbar with a custom structure application. It also includes associating the commands in the toolbar with elements in the Element catalog of the structured application.

1)Open the quick_element.xml file in a text or XML editor.

note: To include the toolbar in all the views, you will need to update the quick_element.xml files in all the above locations.

The XML file contains one STRUCTURED_APPLICATION node for each structured application.

This node contains one ELEMENT node for each command in the Quick Element Toolbar.

2)To create a toolbar for the custom application, you can simply duplicate one of the existing STRUCTURED_APPLICATION nodes.

3)Set the app_name attribute to the name of the custom application.

<STRUCTURED_APPLICATION app_name="<Custom app name>">

From the Element catalog for the custom application, choose the elements for which you want to create commands in the custom application Quick Element Toolbar.

For each element, create one ELEMENT node in the STRUCTURED_APPLICATION node.

4)Set the elemTag attribute to the new command.

For example, to add a command to insert the ph (phrase) element:

<ELEMENT elemTag="ph">

5)You also need to associate each command to an icon. The steps to set the icon for a command is described in the Customize icons section.

10.4.6.Error console

While working on a document, the FrameMaker error console displays structural and other issues in a document, if any. This console also provides the following information about document issues:

•Exact location of the issue within the document

•Name of invalid elements, if any

Error console displaying error details


Author content

10.5.Author content

You can create structured document as structured XML documents or as .fm documents.

Structured authoring is based on elements. An element in a document contains text, image, or other elements. A structured document is made up of a hierarchy of elements.

Element hierarchy

The elements in a structured document depend on the structured application on which the document is based. A structured application defines the structural and formatting rules that are then used by the structured documents that use the application. For details, see Getting started with structured applications.

When you create a structured document in FrameMaker, you need to specify the structured application to use.

10.5.1.Create XML documents

You can create a blank XML document that is not based on a structured application. You can also create an XML document that is based on an existing DTD (Document Type Definition). Or you can create structured XML documents that are based on structured applications.

Create a blank XML

You can create a blank XML document from scratch. This document only contains a single root element (ROOT).

1)Open the New XML dialog (File > New > XML).

2)In the Other XML tab, select Empty XML and click OK.

3)Open the Elements catalog to view the list of elements in the catalog (Element > Element Catalog).

note: The Elements catalog contains a TEXT and a ROOT element.

In the WYSIWYG view, you can only add ROOT elements or text to the root elements.

In the XML view, you are able to add elements to the XML structure. For example, you can add a p element within a ROOT element:

p tag added in XML view

In the WYSIWYG view, the Elements catalog now displays the p element. You can now add this element in the XML document. This document is not based on any structured application, so FrameMaker does not enforce any structural rules on the document. FrameMaker, however, ensures that the structure of the XML is maintained.

Create an XML based on a DTD

You can create a XML document based on an existing DTD (Document Type Definition).

1)Save the following snippet into a text file.

<!ELEMENT BOOK (CHAPTER+)>
<!ELEMENT CHAPTER (HEADLINE,BODY)>
<!ELEMENT HEADLINE (#PCDATA)><!ELEMENT BODY (#PCDATA)>
<!ATTLIST CHAPTER AUTHOR CDATA #REQUIRED>

2)Save the text file with the .dtd extension.

3)Open the New XML dialog (File > New > XML).

4)In the Other XML tab, select DTD based XML and click OK.

5)In the New XML dialog:

Root Element

Specify the name for the root element of the XML document. This is the topmost element in the hierarchy.

Public ID

A public ID in an XML document makes it portable to other computers.

System ID

Path to the DTD. This can be a path on your file system or a URL.

note: If you view the document in the XML view, the public ID and the System ID are stored in the DOCTTYPE declaration at the top of the file.

6)Click OK.

The BODY, CHAPTER, and HEADLINE elements defined in the DTD are available in the Elements catalog.

7)Insert the CHAPTER element into the document.

The Attributes for New Element dialog prompts you to specify the value of the AUTHOR attribute.

Create an XML based on a structured application

A structured application defines structural rules (using EDD or DTD), content formatting (using templates), read/write rules for the documents that are based on the application. FrameMaker provides a set of out-of-the-box structured applications that you can use to create documents. These applications are based on the following open standards:

DITA

Darwin Information Typing Architecture (DITA) provides an off-the-shelf DTD and set of rules designed specifically for writing online documentation, such as software help files. It defines a tag structure suited to authoring, producing, and delivering technical documentation. The types of tags in DITA include <topic>, <title>, <shortdesc>, <prolog>, <body>, and <concept>.

xDocBook

DocBook is also an open standard, designed for technical articles and documentation. DocBook provides a DTD for writing technical books and articles, with a structure that such forms imply. DocBook tags include <article>, <section>, <title>, <articleinfo>, and <pubdate>.

XHTML

Extensible Hypertext Markup Language (XHTML) is an extension of HTML that is based on XML and is designed to work with XML-based applications. It can be viewed, edited, and validated with standard XML tools. Using XHTML is an easy way to migrate from HTML to XML while retaining forward and backward compatibility of your content.

S1000D

For performance considerations, FrameMaker does not run the associated S1000D scripts at startup. Before creating document based on S1000D applications, you need to:

a)Open the Preferences dialog box (Edit > Preferences).

b)Go to the General > Launch tab and remove the following entries from the Don’t Load Startup Scripts field:

S1000dUtilities and S1000Dmenu

c)Click OK and restart FrameMaker.

In addition, you can create your own structured application. You can then create documents based on this application.

1)Open the New XML dialog (File > New > XML).

2)Select a structured application from the Structured Applications tab or select a DITA structured application in the DITA tab.

note: The DITA structured applications are also available in the Structured Applications tab.

3)Click OK.

The elements in the Elements catalog and the attributes defined for each element are based on the structured application on which the document is based.

Since structured documents enforce structural rules, the elements in the Elements catalog are based on the current context.

Save an XML document

When you save an XML document, if you prompted with the following dialog, you need to select the associated structured application.

Choose structured application

If you choose an incompatible structured application, the errors are logged to the message console.

When you open a structured document, the FrameMaker error console displays structural and other issues in a document, if any. This console also provides the following information about document issues:

•Exact location of the issues within the document

•Name of invalid elements, if any

Open an XML document

When you open an XML document, if you are prompted with the following dialog, you need to select the associated structured application.

Choose structured application

If you choose an incompatible structured application, the errors are logged to the error console. In addition, if the XML document hierarchy does not follow the structural rules defined in application, the document is displayed with errors in the Structure View.

10.5.2.Working with elements

The elements in a structured document depend on the structured application on which the document is based. When you create a structured document, the element catalog for the document is populated with the elements defined in the application.

Elements catalog

You use the Elements catalog to view and work with the elements defined in the associated structured application.

To open the Elements catalog for the current document, choose Element > Element Catalog.

Element pod

To maintain the structure of the document, the Elements catalog displays only valid elements. This implies that the catalog displays only elements

•defined in the associated structured application

•valid at the current location

For example, say a structured application defines a table element that contains row elements. The row element is displayed in the Elements catalog only if the insertion point is placed at the appropriate location in the table element.

Elements catalog displaying valid row element

Use the Elements catalog to:

Insert

Insert an element into the document hierarchy. See Insert an element.

Wrap

You can change the format of content within an existing element. For example, you can set one or more words in the paragraph to bold. Since structured documents are element-based, the structured application needs to enclose the word or words within an appropriate element. See Wrap an element

Change

You can choose to change the enclosing element in the hierarchy. For example, you can change a paragraph (p) to a note (Note). See Change an element.

Options

You can customize the display of elements in the Elements catalog based on the options in the Set Available Elements dialog. See Configure the Elements catalog.

Insert an element

1)Place the insertion point at a location in the document hierarchy.

2)Select the required element in the pod.

3)Click Insert to insert the element in the document hierarchy.

4)If the Attributes for New Element dialog is displayed, specify the required attributes and click Insert Element.

You can also click Insert Element and specify any attributes later. For details on attributes of elements in a document, see Working with attributes.

note: Double-click an element in the dialog as a shortcut to insert.

If the element is text-based (paragraph or note), you can start typing into the document. FrameMaker ensures that the text is inserted within the element boundaries.

If the element is image-based, the file selection dialog box is displayed.

If the element is table-based, the Insert Table dialog box is displayed.

note: The file selection or Insert Table dialog boxes display only if the functionality to display the dialog boxes is implemented in the structured application on which the current document is based.

To change how FrameMaker functions when you insert an element into the hierarchy, use the options in the New Element Options dialog (Element > New Element Options):

Always Prompt for Attribute Values

Display the Attributes for New Element dialog every time you insert an element into the document.

Prompt for Required Attribute Values

Display the dialog only if the associated structured application specifies mandatory attribute values for an element. If you do not specify the values, the structure of the document is broken. However, you can specify the values later.

Do Not Prompt for Attribute Values

Does not display the dialog when a new element is inserted in the hierarchy.

Allow Automatic Insertion of Children

If an element contains child elements, insert the child elements when the parent element is inserted.

The child elements inserted along with the parent depends on the rules defined in the associated structured application. For example, in a DITA topic, if you insert an ordered list (ol) element, one list item (li) element is also inserted. If you disable this option, an empty ordered list element is inserted.

Process AutoInsertion Rule Recursively

If an element contains descendant elements (child elements that also contain children), insert all the descendant elements when the parent element is inserted.

The descendent elements inserted along with the parent depends on the rules defined in the associated structured application. For example, in a DITA topic, if you insert an ordered list (ol) element, one list item (li) element is also inserted. Inside the list item element, a paragraph element is inserted. If you disable this option, an ordered list element is inserted along with the list item element.

Keyboard shortcut to insert an element

1)Press Ctrl + 1 to display the Smart Catalog of valid elements.

2)From the Smart Catalog select the required element and press Enter.

Wrap an element

1)Select the content and click the element in the dialog.

2)Click Wrap to enclose the selected content within the element boundaries.

note: If you are sure that the selected element in the dialog is a format-based element, such as bold or italic, the double-click shortcut will work. However, if the element is not format-based, FrameMaker will try to insert the element (for example a table) at the selected location. You can verify the validity of the document structured in the Structure View.

Keyboard shortcut to wrap an element

1)Select the element in the document to apply a format.

2)Press Ctrl + 2 to display the Smart Catalog of valid elements.

3)From the Smart Catalog select the required element and press Enter.

Change an element

1)Select the element in the Structure View pod that you want to change.

2)Select the element in the Elements catalog to which you want to change and click Change.

note: FrameMaker will make the best effort to change the element.

Keyboard shortcut to change an element

1)Select the element in the document to change.

2)Press Ctrl + 3 to display the Smart Catalog of valid elements.

3)From the Smart Catalog select the required element and press Enter.

Configure the Elements catalog

Click Options to open the dialog to:

Valid Elements for Working Start to Finish

Displays only elements that are valid at the current insertion point in the hierarchy. The order of the elements in the pod is the same as they are defined in the structured application.

Choose this option if you plan to go through a document from start to finish and fill in the elements in their correct order and hierarchy.

Valid Elements for Working in Any Order

Displays only elements that are valid at the current insertion point in the hierarchy.

Choose this setting if you plan to build a valid document but not necessarily by working from start to finish. This is helpful if you do not have all the information you need.

Elements Allowed Anywhere in Parent

Displays all elements that are valid for the current parent.

Choose this option if you want more flexibility for filling in elements. You can insert elements that are invalid and correct the errors later.

All Elements

Displays all elements available in the element catalog defined in the structured application. However, the valid elements at any insertion point are preceded with a check mark.

Choose this option if you:

a)are not building a valid document

b)want flexibility and will correct errors later

c)are wrapping elements around contents

d)want to see what is available elsewhere in the document

Check mark against valid elements

Customized List

Click Edit to open the Customized List of Available Element dialog. You can then choose the elements to show or hide. Use the Move Up and Move Down buttons to specify the order in which the elements display in the pod.

Choose this option to:

•work with a pre-defined subset of the elements

•display elements in a specific order

•work with an element list that is static and not context specific

important: This is a fixed list so the list does not also include elements valid at the current insertion point unless you have selected the elements when creating the list.

Show Element Description Tags

Displays the description of an element, in brackets, to the right of the element.

List After Other Valid Elements

Depending on the options selected above, the pod may contain elements that are invalid at the specified location. Choose this option to display valid elements first, followed by invalid elements.

Manage elements

When working with elements in a document, you use the Elements catalog to insert, wrap, and change the elements. However, you can also, merge multiple elements in a document, you can split a single element into multiple elements, and unwrap elements in a document.

Merge elements

You can merge multiple similar and contiguous elements in a document. For example, you can merge two or more p tags to include the contents into one p tag. You can merge multiple lists (ordered or unordered) to include the elements of the different lists into one list.

1)To select multiple similar elements in the Structure View pod, click the first element then keeping the Shift key pressed, click the other elements that you want to merge.

note: The elements that you want to merge must be contiguous (placed next to each other in the document hierarchy).

2)From the Element menu, choose Merge.

Alternatively, you can right-click the selection and choose Merge from the pop-up menu.

The multiple elements are merged into a single element of the same type.

Split an element

You can split a single element into two elements. For example, if a list contains multiple list items, you can split the list into two lists. The list items in the two new lists depends on the item you selected to split the list. Also, if a paragraph of text contains a piece of text that is wrapped in an element, you can split the paragraph at the wrapped element.

1)Select the element at which point you want to split the parent.

For example, select the list item at the point where you want to split a list.

Or select the wrapping element at the point where you want to split a paragraph.

2)From the Element menu, choose Split.

Alternatively, you can right-click the selection and choose Merge from the pop-up menu.

The parent element is split at the selected child element.

note: You cannot split the contents of a table. Also you need to ensure that the splitting of an element does not break the structure of the document.

Unwrap element text

If you can wrapped text inside an element (Wrap an element), you can choose to remove the text from with the wrapping element.

1)Select the element that wraps text in a document.

2)From the Element menu, choose Unwrap.

Alternatively, you can right-click the selection and choose Unwrap from the pop-up menu.

The wrapping element is removed from the text.

Banner text

Banner text in a document acts as a visual cue to working with the element in a document. For example, the following document based on the DITA topic structured application, displays banner text:

Banner text indicates what you should enter in various elements

When you place the cursor on the banner text, the entire text is selected, you can then start typing and the banner text is replaced.

Show or hide banner text

You can choose to display or hide the banner text in a document. By default, the banner text is displayed.

To show or hide the banner text, from the View menu, choose Element Banner Text.

Remove banner text on delete

If you select the banner text in an element and press the Delete key, the banner text is removed. However, if you do not type any text in place of the banner text, as soon as you move to another element, the deleted banner text is displayed in the element.

You can choose to override this default behavior and ensure that the banner text, if deleted, does not reappear. The banner text will not reappear even if you close and reopen the document.

To ensure that the banner text remains deleted, you need to set the RedisplayBannerTextForemptyElements flag in the maker.ini file to OFF.

Banner text settings

Besides the RedisplayBannerTextForemptyElements flag described above, you can also configure banner text using the following settings in the maker.ini file:

Property | Description
BannerTextFontFamily | Font family of banner text
BannerTextFontWeight | Font weight of the banner text
BannerTextFontAngle | Angle of the banner text,
BannerTextFontVariation | Any variation of the font width
BannerTextBKcolor | Banner text background color

Element boundaries

When you are working on a structured document in the WYSIWYG view, you can use the element boundaries as visual cues. An element boundary marks the beginning and end of an element in the WYSIWYG view. You can then use these boundaries as a visual cue to place the insertion point or select the text within a boundary. If you want to insert another element before or after an element in the document, you can place the insertion point before or after the opening or closing boundary of the element and Insert an element .

To place element boundaries as square brackets around the content, choose View > Element Boundaries.

Document with element boundaries in WYSIWYG view

To display the tag names of the element in the element boundaries, choose View > Element Boundaries (as Tags).

Document with element boundaries with tags in WYSIWYG view

Create output with banner text and element boundaries

Banner text and element boundaries are part of the WYSIWYG view of a FrameMaker document but are not included as part of the document content. For example, if you are working in an XML document, the banner text and element boundaries are not available in the XML View.

Save as PDF

Since banner text and element boundaries are part of the WYSIWYG view, they are included in the PDF output, if you use the Save As PDF functionality of FrameMaker.

Multi-Channel Publishing

Since banner text and element boundaries are not part of the document content, they are not included in any of the Multi-Channel publishing output formats.

10.5.3.Working with attributes

The elements in a structured document define the content in the document. You can also use element attributes to include additional information (metadata) to element. An attribute is a name-value pair associated with a specific element. For example, say the content elements in a structured application have an audience attribute. You might use this attribute to single-source content. You can set the attribute of elements to, say admin and enduser. Your publishing solution can then use these attributes to publish documents based on the attribute values of the elements. In this case, one document for administrators and another document for end users. A similar approach can be used for print and online output.

note: The elements that display in the elements catalog are defined in the structured application on which the document is based. Similarly, attributes for each element are also defined in the associated structured application.

Set attribute values for elements

1)Select an element in the document hierarchy.

2)Open the Attributes dialog (Element > Edit Attributes).

3)Click on an attribute in the dialog.

At the bottom of the dialog, information about the attribute is displayed:

Name

The name of the attribute as it appears on the dialog.

Type

If the attribute value is optional or required. Also, the type of the value:

String

Enter a value for the attribute

Choice

Select a value from the available drop-down list.

Default value

Displays the default value, if any. Or specifies that no default value is required.

4)For String type attributes, you can enter a text value.

For Choice type attributes, you need to select a value from the value drop-down list.

View the attributes of an element

You can view the attribute values set for an element in the Attributes dialog (Element > Edit Attributes).

Alternatively, you can view the attribute values set for an element in the Structure View. To view the attribute values:

1)Click the plus (+) sign to the right of the element in the Structure View.

If one or more attribute value is set for the element, the list displays only those attributes. However, the plus sign remains.

Click the plus sign again to display the complete list of attributes.

2)If no attribute value is set for the element, the complete list of attributes is displayed.

Set attributes display options on element insertion

You can specify how the attributes display in the Structure View when an element is inserted in the document hierarchy. To specify the display options open the Attribute Display Options dialog (View > Attribute Display Options).

Required and Specified Attributes

The required and specified attributes of the element display when the element is inserted into the document.

All Attributes

All attributes of the element display when the element is inserted into the document.

No Attributes

No attributes of the element display when the element is inserted into the document.

note: If you change the options in the Attribute Display Options dialog, the settings are applied to the currently opened document. For example, if you change the option from No Attributes to All Attributes, all the elements in the documents in the Structure View are expanded to display all the attributes.

Copy the attribute values from one element to another

You can copy all the attribute values set on one element to other elements in a document.

1)Right-click on the element from which you want to copy attribute values and choose Copy Attribute Values from the pop-up menu.

2)Right-click on the element to which you want to copy the attribute values and choose Paste from the pop-up menu.

To copy the attribute values to multiple elements, use the Shift + click to select multiple contiguous elements in the document and choose Edit > Paste.

10.5.4.Create equations using the Equations pod

You create an equation by inserting an equation element and then entering the mathematical expressions for the equation. To insert an element, you can use the Element Catalog. You can also use a New Equation command from the Equations pop-up menu in the Equations pod.

note: The term “math element” refers to part of an expression, such as an operator. It is not a structural element.

You can use any equation element for both inline and display equations. Some documents also have a paragraph element defined that provides formatting properties for the display equations.

The format rules for an equation element suggest a set of font sizes for the equation: Small, Medium, or Large. You can change to a different set of font sizes. This change is not considered a format rule override. If you remove format rule overrides in the document, the equation does not return to its original font size.

Create an inline equation using an element

1)Click in text where you want to insert the equation. If the text is in a rotated text frame, unrotate the frame first by pressing Esc g 0 (zero).

2)Select an equation element in the Element Catalog and click Insert.

The first math item that you enter replaces the question mark prompt of the new equation object.

New equation object

3)Enter the equation by typing numerals and other items or by clicking items on the Equations pod.

4)Choose Shrink-Wrap Equation from the Equations pop-up menu in the pod.

Shrink-wrapped frame around an inline equation

5)If the equation seems too close to the text on either side, insert a space before or after the frame. FrameMaker treats a frame that contains an inline equation as a character and doesn’t provide extra space around it.

If an inline equation is too tall for its line, perhaps turn off fixed line spacing for that paragraph.

Create a display equation using an element

1)If your document has a paragraph element defined for formatting display equations, click where you want the equation paragraph. Select the paragraph element in the Element Catalog, and click Insert.

This element sometimes defines space above and below the equation, alignment in the text column, and an autonumbered caption.

2)Click in an empty paragraph element where you want to insert the equation.

3)Select an equation element in the Element Catalog, and click Insert.

New equation object

4)Enter the equation.

5)Choose Shrink-Wrap Equation from the Equations pop-up menu.

Shrink-wrapped frame around a display equation

6)If no equation element is available at the location that you want, perhaps you can use an invalid element. Do one of the following:

•To use an element that is valid in another part of the document, insert the element in a valid location and then move it. You can also use the All Elements setting to make the element available everywhere and then insert the element where you want it.

•To insert an invalid equation element with the default tag EQUATION, choose a New Equation command from the Equations pop-up menu in the Equations pod. The element has a default tag if no defined equation elements are available.

After inserting the element, talk to your developer about making the element valid at this location.

Create an equation in an anchored frame element

1)Select an anchored frame or a graphic object in the frame.

2)Choose a New Equation command from the Equations pop-up menu in the pod.

The first math item you enter replaces the question mark prompt of the new equation object. The equation does not appear in the document structure.

New equation object in a frame with graphic objects

3)Enter the equation.

Related links:

Equations pod overview

Change the scope of elements available in a structured document

Create equations

10.5.5.Create equations using MathML

In addition to using the FrameMaker Equation pod to add equations to your documents, you can also use the MathFloweditorfromDesignScience to design complex mathematical equations. You can then add these equations to your FrameMaker documents. You also have the option to later modify these equations in the same MathFlow editor and publish documents containing MathML equations.

MathML equations are available for use in FrameMaker structured and unstructured documents. These equations are also available for use in FrameMaker XML Author.

If you generate Apply conditional tags for a document containing MathML equations, a reader can search for the contents of these equations.

FrameMaker ships with a trail version of the following MathFlow editors:

•MathFlow™ Style Editor is for content authors and subject matter experts (SME). It provides precise control over the visual appearance of math expressions, a style toolbar for quickly adjusting fonts, and an easy to use interface for modifying a wide range of equation properties from operator spacing to matrices/table appearance.

Style Editor

•MathFlow™ Structure Editor is for XML content professionals. It provides fine control over visual presentation and its underlying MathML structure. There is a Source View enabling the user to add processing instructions and comments directly to the MathML, a ruler for precise layout of the equation, and a tabbed toolbar for storing commonly used equations or fragments.

Structure Editor

For a feature comparison of the editors, see MathFlow Editors. Also, for the procedure to upgrade to the full version of the MathFlow editor, see Configure the installation settings.

See the video, MathML in Unstructureddocuments.

Create and insert a MathML equation into a document

1)On the Special menu, choose MathML Equation.

2)Create an equation in the MathFlow Editor window.

For details on how to create equations in the MathFlow see the MathFlow help. You can launch the MathFlow help from within the MathFlow Editor window.

3)To add the equation to the document, click OK.

The equation is inserted into the document.

When the MathML equation is created, an image (.PNG) file is inserted in the document.

note: FrameMaker does not support the .EPS file format for MathML images.

Edit a MathML equation in a document

1)Double-click the equation in the document or right-click on the equation and choose Edit with MathFlow.

2)Edit the equation in the MathFlow Editor window.

3)To update the equation in the document, click OK.

FrameMaker also supports the copy-paste and undo-redo operation on equations on MathML equations in a document.

important: For unstructured document, you can insert MathML equations at any appropriate location of the document. However, in the case of structured documents, you will need to first define an element in the Elements catalog that supports this type of object. FrameMaker ships with a sample structured app that includes a MathML element. For details how to use this element, seeSample DITA MathML structured app.

Configure the MathFlow settings in FrameMaker

To configure MathML settings in FrameMaker, open the Preferences dialog and go to the MathML tab.

Configure the installation settings

FrameMaker ships with a 30 day trial version of Style and Structure editor of MathFlow from Design Science. You can obtain the full version of the Style or Structure editor from Design Science and integrate that with FrameMaker.

1)After you have installed the full version of the Style or Structure editor, go to the MathFlow section of the MathML tab.

2)The trial version that ships with FrameMaker is installed in the Adobe FrameMaker installation path. If you have installed MathFlow in an alternative path, specify that path.

3)In the License File Path text box, specify the path to the license file and click OK.

You need to restart FrameMaker to ensure these changes take effect.

note: The MathFlow 30 day trial period starts from the first time to invoke the editor. Not from the day you install the version of FrameMaker that includes the editor.

Format a MathML equation

You can update the formatting of a selected MathML equation in a document or you can change the preferences for all MathML equations. By default, the font size of the equations is set to 14 px. DPI for the images that FrameMaker inserts into a document for each equation defaults to 300 dpi. Also, you can choose to place an equation inline with the enclosing paragraph and you can apply the formating of the enclosing paragraph to the equation.

To update the formatting of the current selected MathML equation:

1)Select the MathML equation and choose Graphic > Object Properties.

Or choose Graphic > Object Style Designer.

These options are also available in the right-click menu.

2)Update the formatting for the current selected MathML equation in the MathML Equation Properties dialog.

MathML Equation Properties dialog

DPI and Font

Change the DPI and Font size settings.

Inline

Place the image inline with the enclosing paragraph.

Apply Paragraph Style

Apply the following formats of the enclosing paragraph to the equation:

•Font

•Font family

•Background color

•Foreground color

You can also apply these settings globally to all MathML equations created subsequently.

1)Open the Preferences dialog (Edit > Preferences).

2)In the MathFlow settings section of the MathML tab, change the equation settings.

These settings take effect immediately. So you do not need to restart FrameMaker.

Configure the MathFlow editor

The trial version of the MathFlow editor includes the Style and Structure editors. During this period, you can choose between either of these editors.

1)To change the MathFlow editor, go to the Editor Type section of the MathML tab.

2)Choose the required MathFlow editor and click OK.

You need to restart FrameMaker to ensure these changes take effect.

note: When installing the full version of MathFlow, you need to choose between the Style and Structure editors. The MathFlow trial integration with FrameMaker includes both the editors. So you are recommended to use both these editors when trying out this feature.

Sample DITA MathML structured app

FrameMaker includes a sample DITA MathML application named DITA_1.2_MathML_Sample. This mathml element has complete support for the MathML equations that are rendered by the MathFlow Style and Structure editors. To add MathML to a document, you can create a file based on this application and then use the MathML element in it.

See the video, MathML in Structureddocuments.

Insert a MathML type element

1)From the File menu, choose New -> XML.

2)In the New XML dialog, go to the Structured Applications tab and choose DITA_1.2_MathML_Sample and click OK.

A new document is created.

3)Go to any part of the document where you want to insert a MathML equation.

The MathML element, mathml, is available in the Elements catalog of the sample structured app.

note: A mathml element is available at any point in the document where a foreign element is available.

4)Double-click the mathml element to insert it at the point in the document.

5)Go to the XML view of the current document.

The XML of the structured document contains a MathML node at the location where you inserted the MathML element.

note: Each element within the mathml node has an mml prefix. This prefix is used to avoid name conflicts with other elements used in the XML either from the Elements catalog of the structured app or from elements defined in the MathML structure.

You also have the option to edit the equation within the mathml node in the XML view. The changes can then be seen in the WSIYWIG view.

10.5.6.Change text direction

The direction (LTR or RTL) of a structured document is defined in the associated structured application. If the structured application supports document direction, you can change the direction of the text in supported elements in the document.

To change the direction of the text of an element:

1)Select the element in the Structure View.

2)Open the Attributes editor and change the dir attribute.

FrameMaker provides out-of-the-box direction support for DITA topics (topic, task, concept, and reference). However, you can create your own structured application with direction support.

FrameMaker now includes a new direction property. That you can use in your structured application.

For example, you can create a read-write rule such as the following to specify that the FrameMaker direction property maps to the structured document dir attribute:

attribute "dir"{ is fm attribute; is fm property direction;}

note: If you change the direction attribute of a element in a non-DITA XML file, the direction of the contents does not immediately change. You will need to close and open the XML file to reflect the changes.

For more details on adding direction support to your own structured applications, see the FDK Programmer’s Guide.

10.5.7.Smart paste

FrameMaker allows you to paste HTML, MS® Word, MS® Excel, and MS® Outlook content as DITA content. You can also create and configure XSLs for other FrameMaker structured applications. Using XSL, FrameMaker identifies the content while it is in the clipboard and structures it with the most appropriate hierarchy or sequence of elements. Then you can use the smart paste command to paste it to FrameMaker as DITA content.

note: When you paste text of a specific direction (LTR or RTL) into a FrameMaker document, you need to ensure the text direction of the destination location (document, table, or paragraph) is set to the same direction.

The content you paste is structured according to an XSL specified in the relevant structured application. In FrameMaker, the XSLs are specified for the following DITA documents:

•Topic

•Task

•Concept

•Reference

The XSL filename and path are specified using the Stylesheet element (Stylesheets > XSLTPreferences > SmartPaste > Stylesheet).

The smart paste XSLs for DITA are at: $STRUCTDIR\xml\DITA_1.2\app\technicalContent\xslt\.

The XSL added in the DITA_1.2_topic application for smart paste

Smart paste content in a DITA file

1)Copy HTML, MS® Word, MS® Excel, or MS® Outlook content.

2)Place your cursor in one of the following types of DITA topics: topic, task, concept, or reference.

3)Select Smart Paste from the context menu. (keyboard shortcut for Smart Paste: Esc+s+p+t)

The pasted content is structured in appropriate elements that the structure allows.

Add smart paste XSL for a custom XML application

You can also create an XSL for smart pasting content for your custom structured application.

1)Create an XSL appropriate for your EDD.

2)Open the structapps.fm file.

3)Under Stylesheets > XSLT preferences, add the SmartPaste element and the following elements under it:

a)Stylesheet: Path to the relevant XSL file.

b)StylesheetParameters: This element has two child elements: ParameterName and ParameterExpression. See a DITA application in structapps.fm for details.

4)Save the file.

5)Select StructuredTools > Read Application Definitions.

Now you can use smart paste for an XML file based on your custom application.

10.5.8.Conditional text in XML

Structured FrameMaker allows you to export and import all conditional text (visible and hidden), along with information about the condition tags, such as their show/hide status, color, and style.

To preserve conditional text when saving and opening XML files, the XML file that FrameMaker generates contains the following:

•Conditional text tags corresponding to the conditional text present in the document.

•Condition indicators—color and effect— associated with each conditional text tag.

•The status—show or hide—for each condition tag.

•Start and end markers for sections corresponding to each tag.

In addition to normal text, support for conditional text in XML allows an entire table or table rows to be conditional. The same applies to footnotes, markers, and anchored graphics. Also, conditional text can be inside a text inset (XML or text).

10.5.9.OLE object support

Structured FrameMaker supports round-tripping OLE objects, such as Visio objects and PowerPoint presentations. FrameMaker uses an XML Processing Instruction to handle the OLE object roundtripping.

You can control the OLE support using the DirectOLESupportInXml flag in the maker.ini file. To enable this feature, set the flag as On. The default value of this flag is Off; when this flag is Off, the OLE is saved as a .miffile.

Also, notice the following entries in the maker.ini file:

53="pptx" OLE2 OLE2 OLE2 FMGFXImport "pptx" frame.exe ^.pptx
54="VSD" OLE2 OLE2 OLE2 FMGFXImport "VSD" frame.exe ^.vsd

These entries assign an automatic filetype filter to a file when it is imported. If necessary, you can add more filters (with respective OLEs).

Insert an OLE object

1)Select File > Import > Object. The Insert Object dialog appears.

2)Navigate to the OLE object and select:

•Create from File

•Link

3)Click OK.

note: You can also paste an OLE object using the Paste Special command and selecting Paste Link.

10.5.10.Whitespace handling

When you open an XML file in FrameMaker’s WYSIWYG or Author view, the white spaces get normalized.

White space in XML is any character from the following set: space, tab and blank line/new line (except hard return). White space serves the following purposes:

1)Visually format the document in its source form, such as for code, to denote semantic significance for the XML document.

2)While using a text editor to edit XML, add spaces and line breaks into the element content model for better readability of the XML. This white space is not part of the information conveyed by the document and has no semantic significance for the XML application.

note: Default pretty printing is disabled in XML view for new and modified documents.

W3C has defined how white space in XML documents should White-space XML applications.

White-space normalization standard

FrameMaker uses the following rules for white space normalization according to the standard:

1)XML ignores the first sequence of white space immediately after the opening tag and the last sequence of white space immediately before the closing tag.

2)XML translates non-space characters (tab and new-line) into a space character and consolidates all multiple space characters into a single space.

3)XML ignores the sequence of white space occurring between two elements if the parent element is defined to have element content.

4)You can set the xml:space attribute of an element to preserve to retain the white spaces.For example, if we normalize the following (as appearing in the XML code view):

Hickory[SPACE][SPACE][SPACE]dikory dock.
The mouse[TAB][SPACE]ran up the clock.

It appears as (in WYSIWYG view):

Hickory[SPACE]dikory dock.
The mouse[SPACE]ran up the clock.

5)White space introduced through expansion of character references (for example Space =&#32; Tab= &#9; Newline=&#10;) is preserved on XML open. It is not considered white space per the above rules.

For example, if FrameMaker normalizes the following (as appearing in the XML code view):

Hickory&#32;&#32;&#32;dikory dock.
The mouse&#9;&#32;ran up the clock.

After normalization, tt appears as the following (in WYSIWYG view):

Hickory[SPACE][SPACE][SPACE]dikory dock.
The mouse[TAB][SPACE]ran up the clock.

Disable dropping whitespaces on import

To disable dropping whitespaces, set the property RemoveExtraWhiteSpacesOnXMLImport in maker.ini to FALSE. note: Use caution while editing an ini file.

Preserve whitespaces for specific elements

If the xml:space attribute is set to preserve (xml:space=”preserve”), then FrameMaker preserves all whitespaces. You can use this setting to preserve whitespaces for certain elements alone. This setting lets FrameMaker drop whitespaces for all other elements in the WYSIWYG and Author views.

10.5.11.Cross-references in XML

Structured FrameMaker allows you to generate and retain external cross-references when saving and opening XML files.

For example, if your FrameMaker file contains a cross-reference to another file, when you save your file in XML, FrameMaker generates tags representing the cross-reference along with information about the referenced file. When opening the same XML file, FrameMaker converts the cross-reference tags and the information they contain into a FrameMaker cross-reference.

FrameMaker supports a new attribute, srcfile, to retain external cross-reference information when generating XML documents.

When you export a file containing an external cross-reference to XML, the srcfile attribute of the cross-reference contains the name of the referenced file and the ID of the referenced element in the file.

note: FrameMaker converts file paths in the generated XML to URIs.

10.5.12.Round trip table properties

Read-write rules handle the roundtripping of table formatting properties. New R/W rule mapping for the table cell properties is as follows:

Property | Non-CALS R/W Rule | CALS R/W Rule | Attribute Value
FP_CellAngle | cell angle | rotate | Integer
FP_CellOverrideFill | fill override | NA | Integer corresponding to FDK values
FP_CellUseOverrideFill | use fill override | NA | 0 = False Nonzero value = True
FP_CellOverrideShading | shading override | NA | Tag of FO_Color
FP_CellUseOverrideShading | shading override | NA | 0 = False Nonzero value = True
FP_CellOverrideBottomRuling | bottom ruling override | NA | Tag of FO_RulingFmt
FP_CellUseOverrideBRuling | bottom ruling override | NA | 0 = False Nonzero value = True
FP_CellOverrideLeftRuling | left ruling override | NA | Tag of FO_RulingFmt
FP_CellUseOverrideLRuling | left ruling override | NA | 0 = False Nonzero value = True
FP_CellOverrideRightRuling | right ruling override | NA | Tag of FO_RulingFmt
FP_CellUseOverrideRRuling | right ruling override | NA | 0 = False Nonzero value = True
FP_CellOverrideTopRuling | top ruling override | NA | Tag of FO_RulingFmt
FP_CellUseOverrideTRuling | top ruling override | NA | 0 = False Nonzero value = True

The read-write rule mapping for the table row properties is as follows:

Property | Non-CALS R/W Rule | CALS R/W Rule | Attribute Value
FP_RowKeepWithNext | keep with next | NA | 0 = False Nonzero value = True
FP_RowKeepWithPrev | keep with next | NA | 0 = False Nonzero value = True
FP_RowStart | row placement | NA | Integer corresponding to FDK values

In the following example, the prop5 attribute controls the bottom ruling of the table.

element "tablecell"
{
is fm table cell element;
attribute "prop1" is fm property right ruling override;
attribute "prop2" is fm property use right ruling override;
attribute "prop3" is fm property top ruling override;
attribute "prop4" is fm property use top ruling override;
attribute "prop5" is fm property bottom ruling override;
attribute "prop6" is fm property use bottom ruling override;
attribute "prop7" is fm property left ruling override;
attribute "prop8" is fm property use left ruling override;
attribute "prop9" is fm property cell angle;
}

In the following example, the att1, att2, att3, and att4 attributes control the shading properties of the table cell:

element "tablecell2"
{
is fm table cell element;
attribute "att1" is fm property shading override;
attribute "att2" is fm property use shading override;
attribute "att3" is fm property bottom ruling override;
attribute "att4" is fm property use bottom ruling override;
attribute "att5" is fm property fill override;
attribute "att6" is fm property use fill override;
}

10.5.13.Round trip equations and anchored frames

You can roundtrip equations and anchored frames between Structured FrameMaker and XML. When you save a Structured FrameMaker document to XML, FrameMaker creates MIF files for the equations and anchored frames in the document. FrameMaker saves every anchored frame and equation in a different MIF file.

note: To test this feature, you can use the ReportPlain XML application in the samplesStructapps.fm file at: <installation_directory>/Adobe/AdobeFrameMaker12/Structure. This XML application has Equation and Frame elements.

You can change the type of files that are created for storing equations and anchored frames by specifying the following flag in the maker.ini file.

To specify the default vector format for xml, edit maker.ini (user area) file and add flag DefaultvectorformatforXMLexport flag. For example, the following sets default vector format for xml to CGM.

DefaultvectorformatforXMLexport= CGM


Filter by attribute

10.6.Filter by attribute

You can filter the elements in a DITA topic by the attribute values. You can write a single topic, and set the required attributes to the conditional elements. You can then use the filter by attribute feature to filter elements based on the attribute values.

For example, in a specifications topic, you can set the product attribute to framemaker and robohelp on elements in the topic. Also, if the topic contains conditional content based on output, set the audience attribute to print (for PDF output) and web (for Web output). You then produce different output, based on the filters that you apply on the product and audience attributes.

10.6.1.Apply filtering attributes

You can make elements in a DITA topic conditional by applying values to the attribute of the elements. You then create a filter in which you define the rules to include and exclude content based on the element attribute values.

Before you create topics with conditional content, you need to first plan the criteria for the output. For example, say that a topic has content that is conditionally targeted at administrators and end users. In the topic, you apply attribute values based on the target audience of the content (see Create filters). You then create a filter in FrameMaker in which you specify the elements to include and exclude based on the attribute value defined in the topic (see Create filters.

Set attribute values for elements

To allow FrameMaker to conditionally process elements in a DITA topic, you need to specify the elements to include or exclude from the output based on the attribute values. For example, you can set the audience attribute values for the content (elements) to admin, end_user, and author depending on the target audience.

You can set a value to any attribute in the elements in a DITA topic. You can then filter the content based on the specified attribute values.

important: You can apply a filter to any element in a DITA topic. This implies that if you apply a filter that hides a mandatory element (such as Title), the structure of the topic will be broken.

To apply attributes to an element

1)Select the element in the topic.

You can select the element in the structure view or in the Document view.

2)Open the Attributes pod (Element > Edit Attributes) and enter the value for the specific element attribute.

You do not need to apply attributes to every element in your topic. You only need to apply attributes to elements that need to be conditionally filtered.

tip: In the Attributes pod, choose the Required and Specified option to filter the attribute list to display the attributes that you have defined.

Keyboard shortcut to apply an attribute

You can use the Smart Catalog shortcut to apply attribute values to an element:

1)Press Ctrl + 7 to display the Smart Catalog to set one or more attribute values for the current element.

2)From the Smart Catalog select the required attribute.

The Attributes pod displays with the attribute selected.

3)Enter the attribute value.

note: With the attribute selected in the Attributes pod, you do not need to select the attribute. You can simply type to enter the attribute value.

10.6.2.Create filters

After setting up your content using attribute values to create conditional content, you create filters based on the content to show and hide. For example, you can filter your content to target administrators and authors and exclude end-users by creating the following filter:

(audience=”admin” or audience=”author”)

Create a filter

1)From the Special menu, choose Filter by Attribute.

The Manage Attribute Expressions dialog is displayed.

Manage Attribute Expressions dialog

Use this dialog to create, edit, delete and apply filters to DITA topics.

2)To create a filter, click New.

The Build Expression dialog is displayed.

Build Expression dialog

3)In the Expression Tag text box, enter a name for the filter.

4)In the Attributes list, choose an attribute to create the filter.

5)In the New Value text box, enter a value for the selected attribute, and then click Add. Repeat this step to add the values that are assigned to the selected attribute in the topic. For details, see Set attribute values for elements.

6)Select the type of rule Equal, Any, or Contains Only and click Add Rule.

Equal:

Filter content that is assigned the values in the Defined Values list for the selected attribute. Evaluates to true if any of the attribute values matches the specified value.

For example, if the selected attribute is audience and the values in the Defined Values list are admin and authors, the rule defined is:

(audience=”admin” or audience=”author”)

Any:

Filter content for any value of the selected attribute. Evaluates to true if any of the attribute values contains the specified value.

For example, if the selected attribute is audience, the rule defined is:

(audience #ANY)

Contains Only:

Filter content with the only attribute values that are defined in the list. Evaluates to true if any of the attribute values only contains all of the specified values.

For example, the following rule filters content that is tagged with the admin and end_user values:

(audience # "admin", "end_user")

This syntax is used as a shortcut to using the OR operator. The above example can also be defined using the OR operator:

(audience = “admin” OR audience=”end_user")

important: The options described in the above steps are tools that enable you to create rules. However, you can enter the rule in the Expression text box.

Guidelines for creating filter rules

When you create a filter rule, you can choose to use the Add Rule button or you can enter the rule in the Expression box manually. When you choose to save a rule, FrameMaker checks the rule syntax. You cannot save a rule with an incorrect syntax.

Case of attribute name-value

The name of an attribute in a rule is case-sensitive. However, the value of the attribute is case-insensitive.

Correct:

(audience=”ADMIN” OR audience=”end_user”)

The above rule will filter content that is tagged with the attribute value ADMIN, Admin, or admin.

Incorrect:

(audience=”admin” OR Audience=”end_user”)

The attribute name must be defined with the same case as defined in the Attributes pod.

Attribute value

The value of an attribute must be enclosed within double-quote and cannot be empty.

Incorrect:

(audience=””)

Do not use this rule to filter elements having any value for attribute. Instead, use the ANY operator described above.

Use of parenthesis

Each attribute name-value pair must be included within parenthesis.

Include only the same attribute within the same parenthesis.

Correct:

(audience=”admin” OR audience=”end_user” OR audience=”author”)

Incorrect:

(audience=”admin” AND product=”framemaker”)

Only the same attributes can be included in the same parenthesis.

Incorrect:

audience=”admin” OR audience=”end_user” OR audience=”author”

The name-value pairs must be included in parenthesis. Even a single name-value pair must be included in parenthesis.

Use of AND operator

The AND operator cannot be used to filter the same attribute. It can only be used to filter different attributes.

Incorrect:

(audience=”admin” AND audience=”end_user”)

Correct:

(audience=”admin” OR audience=”end_user”) AND (product=”framemaker”)

Use of NOT operator

The NOT operator must be included before the opening parenthesis of an attribute name-value group.

Incorrect:

(audience=”admin”) AND (NOT product=”framemaker”)

Correct:

(audience=”admin”) AND NOT (product=”framemaker”)

Correct:

NOT (product=”framemaker”)

Use of ANY operator

To filter the content tagged with any value of an attribute.

Correct:

(audience #ANY)

The above rule includes all content tagged with the audience attribute irrespective of the value of the attribute.

Correct:

NOT (audience #ANY)

The above rule excludes all content tagged with the audience attribute irrespective of the value of the attribute.

10.6.3.Manage filters

Use the Manage Attribute Expressions dialog for:

• Edit filters

• Delete filters

• Import filters

Edit filters

You can edit the name and definition of a filter. You can edit a filter that is currently applied to a topic. However, you will need to re-apply the filter to the topic. For details, see Set attributes.

To edit a filter

1)In the Manage Attribute Expression dialog (Special > Filter by Attribute), select the expression and click Edit.

The Build Expression dialog is displayed.

2)In the Build Expression dialog, edit the name and, or the rule of the filter.

3)Click OK to save the changes.

Delete filters

If you delete a filter, the definition of the filter is removed from the topic catalog and can no longer be used in the topic. Also, if a delete filter that is currently applied to the topic, the filter is removed from the content in the topic. Since you can only apply one filter to a topic at a time, if you delete the currently applied filter, the topic displays all content. For details on applying filters to a topic, see Set attributes.

1)In the Manage Attribute Expression dialog (Special > Filter by Attribute), select the expression.

2)Click Delete.

If the filter is not currently applied to the topic, you are prompted to confirm to delete operation.

If the filter is currently applied to the topic, you are prompted with the corresponding message. If you confirm the delete operation the filter is removed from the content.

Import filters

The filters in a topic are available for use in the topic where they are created. You can make these filters available to other topics by importing the definitions into other topics.

To import a filter

1)Open the topic containing the filters that you need to make available in one or more other topics.

Open the topic into which to import the filters from the source topic.

If you are working in a FrameMaker book, you can multi-select the topics in the book into which to import the filters from the source topic.

2)From the File menu, choose Import > Formats.

3)In the Import Formats dialog, click Deselect All, check Filter by Attribute, and click Import.

When you import filters from one topic to another, besides the filters, the filter condition (Show All or Show as per Expression) is also imported. For details, see Set attributes.

If the destination topics contain filters with the same names as the source topic, these filters are overwritten.

After you import the filters from one topic to another, you will need to apply the filters to the destination topic content.

10.6.4.Set attributes

After you create the filters in a topic, you can use these filters to show or hide content based on applied attributes. To filter content in a topic, you apply attribute values to the elements in the content (Set attribute values for elements). You then create filters based on the attributes applied to the content (Create filters). To show or hide the content based on the filters, you need to apply the specific filter to the content.

important: An element that is not tagged with any attribute is unconditional. This implies that the content within elements that are not tagged is shown irrespective of the filter applied to the topic. The benefit of this functionality is that you do not need to tag every element in a topic. Elements that are not tagged with any attribute are not effected by any filter.

For example, say you apply the audience attribute (with values: admin, author, and end_user) to different parts of the content. You then create multiple filters:

(audience=”admin” or audience=”author”)

Filter content targeted at administrators and authors.

(audience #ANY)

Filter content targeted at administrators, authors, and end users.

This means that you will apply a different filter depending on the required output.

At any point, you can apply only one filter to a topic. This means that you can create any number of filters and then depending on the required output, you apply the appropriate filter.

Apply a filter

1)Open the Manage Attribute Expressions dialog (Special > Filter by Attribute).

2)To filter the content, choose Show as per Expression and select the required expression.

For example, the following expression filters content that is tagged with the audience attribute set to admin or author:

(audience=”admin” or audience=”author”)

This implies that any element tagged with the audience attribute set to any other value is excluded. However, if an element is not tagged with the audience attribute, it is not excluded.

In the Filtered Text group, you choose how to filter the content:

Hide

Hide content as per the filter expression.

Preview with color

Display the font color of text as per filter expression with the selected color. Use this option for review purposes.

note: Use this option for content that is text-based. For example, if you apply this option to a table element, the font color of text in the table is not applied.

Apply Condition Tag

Apply a conditional tag to the filtered content.

From the drop-down list, choose the conditional tag. The selected conditional tag is then applied to the filtered content.

For example, say the audience attribute of conditional elements in a topic are tagged as admin, author, and end_user. If you apply the following filter to a topic:

(audience=”admin” or audience=”author”)

The filter excludes elements tagged as end_user. If you choose the Apply Condition Tag option, the selected conditional tag is applied to the excluded elements. For details on how to apply conditional tags and show / hide content using conditional text, see Conditional text.

3)Click Apply.

10.6.5.FAQ and troubleshooting

I set an attribute for an element and then applied a filter that excluded the element based on the attribute. However, the element is still visible:

If you make changes in the content or the filter expression, you will need to apply the filter to the topic. For example, if you apply a filter to the topic and then tag an element with an attribute that is included in the filter, the filter is not immediately applied to the updated content. You need to apply the filter to the topic.

I applied a filter to a topic and the structure of the topic is now broken:

You need to take care not to break the structure of the topic. If the filter that you apply to a topic causes a mandatory element to be hidden, the topic structure is broken. FrameMaker does not prevent you from doing this; however, the Structure View will indicate the break in the topic.

Broken structure caused because the dt tag is hidden by the applied filter

What happens if I apply different attributes to child and parent elements in a topic?

If a filter causes a parent element to be hidden then the child elements are hidden, irrespective of the attributes applied to the child elements. However, if a filter causes a parent to be shown and a child to be hidden, the child is hidden.


Search

10.7.Search

When you are working on a structured XML document, you can use the FrameMaker Find/Change dialog in the WYSIWYG view.

However, if you are working the XML view, you can search Complex Expressions or XPath queries.

The XML-specific search functionalities (Complex Expression and XPath search); perform the search in the XML content of a document. This implies that if you are searching for content across elements in the XML, you will need to specify the element tags in the search.

For example, the following sample paragraph (p) text contains a word marked as bold.

<p>The quick <b>brown</b> fox.</p>

The WYSIWYG view provides the functionality to search for text as it displays in the FrameMaker window. This implies that the search for The quick brown fox will find the text. However, in the XML view, the same search does not find any results.

In the XML view, you will need to include the <b> (opening) and </b> closing tags in the search.

10.7.1.Complex Expressions

1)In the XML view for the current XML document, open the Find / Change dialog (Edit > Find / Change or Ctrl + F).

The dialog includes a Complex Expressions option.

Find / Change dialog in XML view including the Complex Expressions option

2)Check the Complex Expressions option and enter an expression in the Find Text field.

3)Click Find.

Complex expressions are similar to regular expressions. The following table contains a list of sample complex expressions:

Complex expression sample | Locates
Licen[sc]e | License and Licence
e{2} | Words with two consecutive ‘e’s, such as in freeand week
[2-3][0-2] | Numbers where 20, 21, 22, 30 , 31, or 32 exist, such as 2055, 3155, and 2255.
[a-c][a-c][a-c] | Words where a, b, and/or c occur back to back, such as in accompanying, applicable, backup, and abbreviation

10.7.2.XPath queries

An XML document consists of a hierarchy of elements. An XPath query is used to navigate through elements and attributes in an XML document.

For example to search for the paragraphs in the following XML document:

<body>
<p>The quick brown fox.</p>
<p>Jumped over the lazy dogs.</p>
</body>

The XPath search returns two results for the following XPath query:

body/p

If you have specified an attribute value for one of the elements:

<body>
<p>The quick brown fox.</p>
<p audience = "admin">Jumped over the lazy dogs.</p>
</body>

Include the attribute value in the search:

body/p[@audience='admin']

The XPath search returns one result.

The following table contains a list of sample XPath queries:

XPath Query | Locates
/task | The <task> element where it is a top-level node in an XML file
//task | The <task> element anywhere in an XML file
//task[@id='shovellingsnow'] | A <task> element where the id attribute has the value shovellingsnow
task/title | All the <title> elements that are direct decedents of <task> elements
task//title | All the <title> elements that occur anywhere in a <task> element

For more information on XPath, see http://www.w3.org/TR/xpath/

XPath toolbar

1)Open the XPath toolbar (View > Toolbars > XPath).

XPath toolbar

2)In the XPath field, enter the query and click Run.

The results of the query display in the XPath Builder pod.

XPath Builder pod

The Query Builder is also a convenient interface to build XPath queries. In the Query Builder, you can create (using Auto-Suggest functionality) and run an XPath query.

You can also specify the scope of the search:

•Current File

•All Open Files

•Selected folder

•DITA Map or Book - This option is available if you select a DITA Map or book in the Resource Manager

Auto-Suggest

The Auto-Suggest feature provides suggested components that you can add to the XPath query as you create the query.

For example, in the following XML:

<body>
<p>The quick brown fox.</p>
<p audience = "admin">Jumped over the lazy dogs.</p>
</body>

1)In the Query Builder field start with entering a forward slash (/).

As soon as you enter the forward slash, the following suggestions display:

Auto-Suggestions

2)Use the up and down arrow keys to select the option and press enter to insert the component into the query.

3)To add another element to the query, enter a forward slash.

Alternatively, to add an attribute, enter an opening square bracket ([).

The Auto-Suggest list contains the following components of an XPath query:

Element (Orange indicator)

Elements at the current position in the current document.

Attribute (Blue indicator)

Attributes at the current position in the current document.

Axes (Green indicator)

An axis is a node definition relative to the current node. For example, parent, child, ancestor.

Click the drop-down list to the right of the Enable Auto-Suggest option and un-check the Axes option to hide the available axes in the Auto-Suggest list.

note: You can choose to disable the Auto-Suggest feature in the Query Builder.

Click the Save icon to save the current results of the XPath query.


XSL Transformation

10.8.XSL Transformation

FrameMaker provides options for processing XML. FrameMaker also allows XML import and export to support XSL transformations (see ), and the Schema language for grammar and rule definition (see XML with schema). You can import an XML document that uses schema, automatically creating a Document Type Definition (DTD) from the referenced schema, or you can create an Element Definition Document (EDD) directly from a schema definition. This release also enables validation against an associated schema upon both import and export.

XSL (EXtensible Stylesheet Language) is a style sheet language for XML documents. XSLT (Extensible Stylesheet Language Transformation) is the means by which transformations defined in XSL are applied to XML documents.

XSL is a set of the following three specifications:

XSLT

A language for transforming XML documents.

XPath

A language for navigating in XML documents.

XSL-FO

A language for formatting XML documents.

FrameMaker includes an XSLT processor that allows you to associate an XSLT file with an XML structure application or XML document, and apply the transformations defined in that document when importing from or exporting to XML. FrameMaker supports W3C XSLT 1.0 recommendations. You can Upgrade to Saxon 2.0 processor by editing the maker.ini file.

•New elements in the structure application (XSLTPreferences in the stylesheets element of XMLApplication) allow you to specify an XSLT file as part of your XML structure application, to be used for both import and export.

•The xml-stylesheet processing instruction (PI) now allows you to specify an XSL file in an XML markup document, which supersedes any XSLT specified in the structure application when importing that document.

Upon import, XSL transformations are applied before the default read rules or any additional read rules you have defined. That is, the result of applying an XSL transformation on import is a new file, which (if it is an XML file) is passed to the read/write rules.

Upon export, XSL transformations are applied after the default or explicit write rules. The result of applying read/write rules on export is a new XML file, which, if it is valid, is passed to the XSLT processor.

You can create a hypertext output (XML or HTML) from an XML file using an XSL. You can create and save reusable transformations in an XML file. The reusable transformations include information such as the name and path of the XSLT and the path of the input and output files.

The output is created using a parser installed on the machine and registered with FrameMaker through maker.ini settings. XALAN and SAXON are installed by default on your machine with FrameMaker. XALAN supports XSLT 1.0 and SAXON supports XSLT 2.0. Both XALAN and SAXON are JAXP compliant.

SAXON is the default parser used when XSL is run directly or no transformation-specific parser is specified. However, you can specify a new default processor in the maker.ini file using the following flags:

[XSLTProcessors]
;------------------------------ XSLT Processor------------------------------
;processorName=jar path(all dependent jars should be in same dir), TransformerFactory class, default if default processor(if not
specified - 1st processor would become default.)
XALAN=fminit\XSLTProcessors\xalan\xalan-j_2_7_1-bin\xalan.jar, org.apache.xalan.processor.TransformerFactoryImpl
SAXON=C:\saxonhe9-3-0-5j\saxon9he.jar, net.sf.saxon.TransformerFactoryImpl, Default

An XSL transformation includes information such as XSL, Parser, and Output folder, to create an output from XML files. The transformation that you create are stored in an XML file. There are two types of transformations: default and application-specific. The default transformations are stored in the file as specified in the maker.ini file using the TransformationFilePath flag. The application-specific transformations are stored in an XML file that you specify for the structured application in the structapps.fm file.

The XSLT toolbar maintains a history of the transformations you use and lets you use Advanced Run feature to create output from multiple XML files. From the toolbar, you can also choose and run a transformation\XSL on the open file. For more information, see Create output from multiple files using Advanced Run.

A. Click to select an XSL file B. Click to select a transformation C. Run the selected transformation or XSL D. Click to display the Advanced Run dialog

10.8.1.Upgrade the Saxon processor

1)In the maker.in file, locate the XSLTProcessors section.

2)The entry for the Xalan processor has the suffix: , Default.

XALAN=fminit\XSLT\XSLTProcessors\xalan\xalan-j_2_7_1-bin\xalan.jar,
org.apache.xalan.processor.TransformerFactoryImpl, Default
SAXON=fminit\XSLT\XSLTProcessors\saxon\saxonhe9-3-0-5j\saxon9he.jar,
net.sf.saxon.TransformerFactoryImpl

3)Cut and paste to shift the suffix to the Saxon processor’s entry as following:

SAXON=fminit\XSLT\XSLTProcessors\saxon\saxonhe9-3-0-5j\saxon9he.jar,
net.sf.saxon.TransformerFactoryImpl, Default

10.8.2.Create transformations

1)Select XSLT > Manage Transformation.

2)In the Manage Transformations dialog:

To use the default transformation file, select Default Transformation File and then click New.

To create a new transformation file, select Transformation File, click New.

note: If you already have an existing Transformation file, click Browse and select it.

3)Click New.

4)In the New Transformation dialog, specify the following information and click SaveAs to create a Transformation file:

note: If you selected an existing Transformation file in Step 1 using Browse button, save the new transformation in the selected transformation file.

a)Transformation Name: A name for the transformation setting.

b)Use: Either select an XSL file or choose to use the processing instructions (PI) inside the XML file.

c)Processor: Saxon, Xalan, or any other parser registered with FrameMaker.

d)Output: Settings related to the output file, such as location to save, suffix, and how to open the output file.

10.8.3.Edit transformations

Once you have created a transformation, you can associate the transformation file to one or more XML applications in structapps.fm.

1)In the WYSIWYG view, select StructureTools > Edit Global Application Definitions.

2)In a structured application, locate the TransformationFile element and specify the path and name of the transformations file.

3)Save the StructApps.fm file and select StructureTools > Read Application Definitions.

Now, you can choose to generate file output with the relevant application transformation.

10.8.4.Application-specific transformation

1)With an XML file in focus in XML View, in the XSLT toolbar select Transformation from the Choose drop-down.

2)In the Choose Transformations dialog, select Structured Applications.

3)The relevant application, as specified in structapps.fm, is selected from the drop-down list and the relevant transformations appear in the Transformations field.

4)In Transformations, select the transformation using which you want to generate the output and click OK.

5)In the XSLT toolbar, click Run.

FrameMaker generates the hypertext output and displays the file.

10.8.5.Transform multiple files using Advanced Run

Using the XSLT toolbar, you can run a transformation on multiple files.

1)In the XSLT toolbar, select Advanced Run.

2)In the Advanced Run dialog, select a scope for running the transformation:

a)Current File: Generate output from the XML file open in FrameMaker.

b)Select Include Child Elements if the active document is a book or a map. When this option is selected, the XSLT is applied to the child elements, together with the parent element.

c)All Open Files: Generate output from all the XML files open in FrameMaker using a transformation transformations or XSL.

d)Folder: Generate output from all the XML files in a folder using a transformation or XSL. Select Include Sub-Folders, if necessary.

3)Select a transformation or XSL and click Run.

The output files are launched in the associated application.


Getting started with structured applications

10.9.Getting started with structured applications

In unstructured FrameMaker, setting up an authoring environment requires only a template file. The template file defines the formats and the styles and a style guide defines how to work correctly with the template. In structured FrameMaker, you require more than just a structured template.

To establish a basic structured authoring environment in FrameMaker, you require an EDD or a DTD. You can create custom EDDs and DTDs or use off-the-shelf EDDs and DTDs. Additionally, you need to link the element definitions with formatting information. You can link elements in the EDD to formatting in three ways:

Formatting template

You can assign formatting based on the various tags (paragraph tags, character tags, and so on) in a template. If you already have a formatting template, you can reuse information in that template.

Format change lists

You can create named formatting definitions in the EDD. The format change lists let you provide partial formatting specifications and inherit the rest from a few base paragraph tags. You can reuse format change lists for related elements.

Embedded formatting

You can specify formatting by writing the formatting into each element definition.

After you create the EDD and the formatting, you combine the two components to create a single structured template. To create the structured template, you open the formatting template and import element definitions (File > Import > Element Definitions) from the EDD. The resulting file is your structured template.

Apart from the EDD and the structured template, you also need:

read/write rules

The read/write rules control translation from FrameMaker structure to XML and back. Specifically, read/write rules help manage table translation and other complex formatting.

Structured application

The structured application lists all of the component files in your structure implementation and provides configuration information. For example, you can use the structured application to specify whether and how to export conditional text tagging.

10.9.1.Structured templates

All FrameMaker structured applications require a structured template. Structured FrameMaker templates contain definitions of all the elements that can be used in the document as well as the document’s page layout and formatting.

Structured templates are like unstructured templates with the most obvious difference being the element catalog.

The element catalog displays the element definitions defined in the EDD. To create a structured document as a first step, you import the definitions from either an EDD or a DTD. The element definitions in an EDD or DTD are populated in the element catalog. You use the element catalog dialog to insert valid elements in your document and build a structure that complies with the rules in the EDD.

10.9.2.Content analysis

The term content analysis describes a process in which you review existing documents to understand how they are designed and what implicit structure they contain. Begin your analysis by making a list of the documents your organization produces. Your list might include user guides, reference guides, white papers, tutorials, training manuals, and online help. Make a list of the major components for each document type. For each component, list whether the item is required, optional, and how often it occurs in that document. The following table shows a high-level analysis for a book:

Component | Requirement | Occurrence
Front matter | Mandatory | 1
Table of contents | Mandatory | 1
Preface | Optional | 0 or 1
Chapter | Mandatory | 2 or more
Appendix | Optional | 0 or more
Glossary | Optional | 0 or 1
Index | Mandatory | 1

For major components, such as lessons (for training manuals) or chapters (for books), work your way down the document hierarchy into smaller and smaller chunks, until you reach the bottom level of the hierarchy.

You must do a content analysis for every document type you want to create in your structured environment. Once you have developed a content model for each document, you can look for opportunities to refine the model and reuse names. For example, suppose that a Help deliverable consists of topics and the chapters in a book also consist of topics. If you create a Topic element that is usable for both printed and online materials, you can minimize the number of elements in your structure definition and perhaps reuse information in both output formats.

Printed Topic | Online Topic | Combined Topic
Topic | Topic | Topic
Title | Title | Title
Para | Para | Para
Steps | Steps | Steps
Can contain Para, List, Table, Graphic, Note | Can contain Para, List, Table | Can contain Para, List, Table, Graphic, Note
 | RelatedTopics | RelatedTopics

It’s unlikely that your documents are perfectly consistent. You need to decide whether to create a structure that is loose (allowing many variations) or strict (very few variations are permitted). You will have problems at both ends of the spectrum:

•A very loose structure is quite complex, and can be difficult to maintain because so many variations are permitted.

•A very strict structure may disallow element combinations that are needed.

It’s very difficult to find the right balance between these two extremes. One approach is to allow variations only where they add value.

note: A similar problem occurs when creating unstructured FrameMaker templates. You want to minimize the number of tags that must be maintained while providing all of the tags that are needed to create your content.

Once the analysis is complete, you can decide whether to use an existing structure or to build your own. Numerous XML implementations are available; DocBook and the Darwin Information Typing Architecture (DITA) are specifications used for technical documentation. Standard structures are also defined for military documents (mil-specs or mil-standards), aircraft maintenance manuals, and others. The following table describes some of the factors that influence whether you will use a standard specification or build your own structure.

Use a standard | Build your own
You are required to deliver content that follows the standard. For example, many U.S. military contractors are required to deliver documentation that follows a published standard | You want to create a structure that matches your content analysis precisely.
Your content requirements closely match an existing structure. You only need to make minimal changes to the standard structure. | Your content analysis indicates that your information does not match existing structures very well.
You do not want to spend a significant amount of time building a structure, and you are willing to change the organization of your content to fit it into an existing structure. | The structure needs to match the content precisely. A longer implementation period is an acceptable cost to ensure you can build exactly what you need
You do not have the technical expertise or resources available to build your own structure. | You have resources available, whether in-house or as consultants, who can build the structure.

10.9.3.Elements

The basic building blocks of structured documents are elements. Elements represent pieces of a document's content (its text, graphics, and so on) and together make up the document's structure. Elements can be simple elements or complex elements.

A simple element in XML contains just text. A complex element can have attributes and can:

•be empty.

•contain other elements.

•contain only text.

•contain both elements and text.

Elements can have values within a specified range of valid values.

All structured documents in FrameMaker use elements. Each element has a name, or tag, such as Section, Head, or List. The element tags that are available are determined by the document element definitions.

10.9.4.Attributes

Attributes supply additional information about an element. For example, the DTD designer for a manual could use an attribute called version for its book element to allow the user to specify a book’s revision status. In FrameMaker, the attributes for an element are a part of the definition of the element itself. In XML or SGML, the attributes of an element occur separately in an attribute definition list declaration (ATTLIST) in the DTD.

Attributes can have a default value or a fixed value. Attributes can also be either mandatory or optional. For example, if you have a topic element, the topic ID could be a mandatory attribute for topics being cross-referenced. You can also have value ranges for attributes or enumerate the legal values for an attribute.

10.9.5.Element rules

Following seven rules control how the elements are used in terms of their sequence, number of occurrences, and group.

All

Indicates that child elements can appear in any sequence but must appear at least once.

Choice

Indicates one or the other child element can occur.

Sequence

Indicates the order in which the child elements appear.

minOccurs

Indicates the minimum number of times a child element can occur.

maxOccurs

Indicates the maximum number of times a child element can occur.

Element Groups

Elements can be grouped under a group declaration.

Attribute Groups

Attributes can be grouped under a attributeGroup declaration.

10.9.6.XML schema

An XML schema defines the legal building blocks of an XML document. Unlike the EDD, DTDs and schema files do not provide formatting information.

XML schemas define the following:

•List of elements that can appear in a document

•Attributes that can appear in a document for an element

•Hierarchy of elements - which elements can appear as child elements

•Sequence of child elements

•Number of child elements

•The data types for elements as well as attributes

•Default and fixed values for elements and attributes

XML namespaces allow the same document to contain XML elements and attributes taken from different vocabularies, without naming collisions.

XML namespace

Opening or importing a schema

You can import an XML document that references a schema file, and you can specify a schema file in your structure application to use for validating a document upon export to XML.

To specify a schema file for use in exporting to XML, modify the structapps.fm file. The element schema, a child of the XMLApplication element, specifies the schema file path for export.

10.9.7.Create an EDD

An EDD is a structured document. Use the structured editing features to create and edit the EDD.

The EDD contains both structural rules for the document (Document Type Definition or DTD) and styling rules, which dictate how elements of a specific type are styled. An application developer generally creates the EDD from an existing DTD file or from scratch. For more information, see the Structured Application Developer’s Guide located in the OnlineManuals folder.

Following are the basic steps to get started with structured authoring in FrameMaker.

Analyze requirements

Before building the proposal template, analyze existing proposals to identify their components. Based on this analysis, you create a content map. The proposal example results in the following sequence:

1)Title

2)Executive summary: Title, One paragraph

3)Project description: Title, One or more paragraphs

4)Cost: Title, One or more paragraphs

5)Schedule: Title, One or more paragraphs

note: You could probably build the EDD for this simple example without formal content analysis. For larger projects, though, content analysis is critical.

Choose an EDD strategy

You can build an EDD in multiple ways:

•Create the entire EDD yourself.

•Import a DTD or schema to create an EDD that contains structure definitions.

•Use a conversion rules table to structure an existing sample document. Then create a first draft of the EDD that contains basic element definitions and formatting that matches your unstructured template.

•Modify an existing EDD— one of the samples supplied with FrameMaker or an EDD from another source.

Build the proposal EDD

Based on the content analysis, you can now create the proposal EDD.

1)Make sure you are in structured FrameMaker. To switch from unstructured to structured FrameMaker, select File > Preferences > General. In the Product Interface pop-up menu, select Structured FrameMaker. Close and restart FrameMaker.

2)Select StructureTools > New EDD to create an EDD file. Default elements are inserted in the EDD.

note: The EDD is itself a structured FrameMaker document. You use the same guided editing environment to create the EDD that you use to edit other structured documents.

3)Select StructureTools > Structure View to display the Structure View pod.

4)Create the top-level Proposal element. Position your cursor to the right of the Tag bubble in the Structure View, and type in Proposal. As you type, the letters appear in both the Structure View and the document window.

5)Click the Elements Catalog button to display the Elements catalog.

6)In the Structure View, click to the right of the red box (which indicates that additional information is required). Notice that the contents of the Elements catalog change because of the new cursor location. In the Elements catalog, select Container and click Insert. The Container element and a child GeneralRule elements are inserted. The general rule specifies which elements are allowed inside the proposal element. During the content analysis, you identified the following: title, executive summary, project description, cost, and schedule.

7)Type a general rule for Proposal: Title, ExecSummary, ProjectDescription, Cost, Schedule

note: Element names cannot contain spaces.

8)Insert a ValidHighestLevel element as a sibling of the GeneralRule element. To do so, click underneath the GeneralRule element to position your cursor, click the ValidHighestLevel element in the Elements catalog, and then click Insert.

The Proposal element is complete. You must now provide definitions for each of the child elements: ExecSummary, ProjectDescription, Schedule, and Cost.

Define child elements

1)Position your cursor at the bottom of the structure.

2)Using the Elements catalog, insert an Element bubble. Name the element ExecSummary, make it a container, and specify the following as the general rule: Title, Para+

3)Repeat step 2 to define the remaining elements. The general rules are shown in the following table:

Element | General Rule
ProjectDescription | Title, Para+
Cost | Title, Para+
Schedule | Title, Para+
Title | <TEXT> (Type the word TEXT with angle brackets around it.)
Para | <TEXT> (Type the word TEXT with angle brackets around it.)

4)Save your EDD file as proposal_EDD.fm.

Add formatting to the EDD

You have now built an EDD that provides structure for a simple proposal. However, when you type content, no formatting is applied. Following section describes how to provide formatting, and how to automatically insert the correct text for the various titles. By default, text uses the Body paragraph tag.

Change the Body tag definition

1)In structured_proposal.fm, select Format > Paragraphs > Designer and change the default definitions of the Body and Heading1 paragraph tags. For example, change the font or place a line above the Heading1. To make your changes obvious, you may also want to assign unique colors to the two tags.

2)In proposal_EDD.fm, modify the Para element definition to include a formatting rule. To specify that Para should always use the Body paragraph tag, click under the GeneralRule element, add a TextFormatRules element, and then add an ElementPgfFormatTag element. Type Body as the text for the ElementPgfFormatTag element.

For the Title element, you need more complex formatting rules. Title should automatically display section titles, such as Executive Summary, Project Description, and so on. You must write a context rule that specifies what text to display for each type of heading, and specify that Title uses the Heading1 paragraph tag.

3)In proposal_EDD.fm, modify the Title element definition to use the Heading1 paragraph tag. Add the same TextFormatRules and ElementPgfFormatTag elements as you did for the Para element.

note: Like the paragraph tags, the information you enter is case-sensitive and space-sensitive. For example, “Heading1” is not the same as “heading1” or “Heading 1.”

Next, add a prefix rule to the Title element. Prefix rules let you specify text that should appear at the beginning of the element. Based on the Title’s position, you’ll specify which text should be displayed.

Add a prefix rule

1)Position your cursor in the Title element to insert a child of Container after TextFormatRules.

2)Insert a PrefixRules element.

3)Insert a ContextRule element. The If and Specification elements are inserted automatically. For the Specification text, type ExecSummary.

4)Position your cursor underneath the Specification element and insert a Prefix element.

5)For the Prefix element text, type: Executive Summary

6)Repeat steps 3– 5 for the other elements that need titles—ProjectDescription, Schedule, and Cost—and insert the appropriate text for each prefix.

Test the results

1)Save the EDD.

2)Import the element definitions into your structured_proposal.fm file to test the results. Each section should display the title text you’ve specified. The completed EDD is available at the Adobe website, www.adobe.com/go/lr_FrameMaker_support_en.

Test the EDD

To test the EDD, you import it into a document and then verify that you can create the structure you expect. At this point, the document does not have any formatting, but you can still verify the structure.

1)Create a new, blank, portrait document by selecting File > New > Document, and then click Portrait.

2)Make sure that the EDD and the new document file are both open. From the new document, select File > Import > Element Definitions. In the Import from Document pop-up menu, select the proposal_EDD.fm file and click Import.

note: If your EDD is not displayed in the list, make sure that the EDD file is open and that you have saved it. Until you save a document, it is not available in this list.

The structure definitions in your EDD are imported into the blank document. To verify that the definitions were imported, position your cursor in the main text flow and then display the Elements catalog. You should see the Proposal element.

3)Insert a Proposal element. The Title element, which is required as the first child of Proposal, should now appear in the Elements catalog.

4)Insert the Title element. Continue inserting elements until your proposal structure is complete.

note: If your structure is incorrect, go back to your EDD, correct it, and then reimport the element definitions. You can also check your EDD against the online proposal_edd, which is available at the Adobe website, www.adobe.com/go/lr_FrameMaker_support_en.

5)Save your file as structured_proposal.fm.

10.9.8.Create a DTD from an EDD

DTDs or Document Type Definitions define the elements that you can include in a structured document. It defines the elements, their attributes, order of elements and what elements can contain other elements.

1)Open the EDD.

2)Add the StructuredApplication element, then type in the name of the XML application that you created in the previous section.

3)Select StructureTools > Save as DTD.

4)Enter a filename. Ensure that you specify the .dtd extension.

If your EDD is valid, you should not see an error log. However, it is possible to build SGML style General rules in FrameMaker that are not permitted in XML.

5)A message dialog box provides you with information that FrameMaker has finished writing the DTD.

6)Open the DTD. If you have not specified the StructuredApplication in step 2, you can select it from the Use Structured Application dialog box that is displayed.

The DTD is now ready to be used.

10.9.9.Build a structured application

To enable XML import and export for structured proposals, you need to set up a structured application, which lists the components of the structured authoring environment.

First, you need to create a document type definition (DTD) that matches the EDD.

Create a DTD

1)Open the proposal_edd.fm file in structured FrameMaker.

2)Select StructureTools > Save As DTD. Specify the filename (proposal.dtd) and where you want to save the file, and then click Save.

3)In the Use Structured Application dialog box, leave the default selection, <No Application>, and click Continue.

4)In the Select Type dialog box, select XML and then click OK. The DTD file is written out to the location you specified.

You also need a structured template that contains formatting and EDD information.

Create a structured template

1)Open the structured_proposal.fm file.

2)Delete all content from the file. A structured template must be empty.

3)Save the file as proposal_template.fm.

Now, you are ready to configure the structured application.

Configure the structured application

1)Select StructureTools > Edit Application Definitions. This command opens the structapps.fm file - in which application definitions are stored— from the following location:

%appdata%\Adobe\FrameMaker\12\

note: Like the EDD, the application definition file is itself structured.

2)Insert an XMLApplication element as a child of the StructuredSetup element.

3)Type Proposal for the application name.

4)Insert a DTD element and specify the following as the DTD element text:

$STRUCTDIR/proposal/proposal.dtd

5)Insert a Template element and specify the following as the Template element text:

$STRUCTDIR/proposal/proposal_template.fm

6)Select File > Save to save the structapps.fm file.

7)Select StructureTools > Read Application Definitions to update FrameMaker with the new application definition.

note: To verify that the application is installed correctly, select StructureTools > Set Structured Application to display the Set Structured Application dialog box. If you set up the applications definitions correctly, Proposal appears in the drop-down list object.

Finally, you need to copy the application files into the directory where the structured application definition expects them.

Copy the application files

1)Locate your FrameMaker installation folder using the file explorer (the default FrameMaker installation path on a Windows computer is Program Files\Adobe\AdobeFrameMaker12), and navigate to the Structure\xml folder.

2)In the xml folder, create a proposal folder.

3)Copy the proposal.dtd and proposal_template.fm files into the proposal folder.

Build structure files

Decide whether to use an existing standard or create your own structure.

Create structure files without using an existing standard

1)In FrameMaker, create an EDD that matches your structure requirements.

2)Test the EDD to verify that the structure definitions are correct.

3)Add formatting to the EDD, and test the EDD to verify that the formatting works correctly.

4)Create a DTD from the EDD.

You now have the two structure definition files you need—one for FrameMaker (EDD) and one for XML (DTD).

Use an existing standard

1)Obtain a copy of the standard files, and modify the provided DTD or schema file to match your requirements.

2)Open the completed structure file in FrameMaker to create an EDD, and add formatting to the EDD.

note: FrameMaker includes several variations of DocBook as sample structured applications. If you plan to create DocBook-based structure, consider modifying one of the provided applications.

Once you have your structure definitions, you need to set up the structured application.

Set up the structured application

1)Open the structapps.fm file (select StructureTools > Edit Application Definitions).

2)Add a new application definition to the file with pointers to your EDD and DTD/schema files.

After setting up the application, you’ll want to fine-tune the import/export settings.

Using the Structured Application Designer

The Structured Application Designer allows you to create a structured application using a graphical wizard.

To launch the structured application designer, click StructureTools > Structured Application Designer. The Structured Application Designer is displayed as follows:

Structured Application Designer

1)Select a base application on which the new application is based. To load a new set of base applications, click Load Applications... and select the relevant structured application file. The list of applications is automatically populated from the selected structured application file.

2)Optionally, enter the DTD, the read/write Rule file, the EDD, and the template files, along with any document type specifications.

3)Enter the name for the new application.

4)By default, the application is saved in the structapps.fm file in your application directory. To change the filename, click Save As and select or enter a new filename.

5)Optionally, to set advanced settings, click Advanced Settings... and make your desired selections.

To create a read/write Rule file, based on an existing DTD, specify the DTD and click New from the RW Rules section. The read/write Rule File Maker is then displayed.

note: If you do not specify a DTD, an empty read/write Rule File is created. You can then add rules using the read/write Rule File Maker.

•To update an existing read/write Rule file, select the file and click Update. Make your changes in the read/write Rule File Maker.

•To generate a new EDD, select the DTD and click new from the EDD section. All elements are loaded in the EDD interface. From the EDD interface, you can select Element Paragraph Format Tags for every element.

•Click Import Format settings to import format settings from another EDD.

•Click Save to save your changes or Reset to roll back to the last saved state.

•To update an EDD, select the EDD and click Update.

•To generate a new template, select the corresponding EDD file and click New from the Template section.

Fine-tune the import/export settings

1)Set up a read/write rules file with the necessary mappings, and set up XSL transformation files with any additional changes.

2)Add a reference in the structured application definition to the read/write rules file and the XSL transformation files.

3)Add any other required configuration settings, such as handling of conditional text and external cross-references, in the structured application definition.

Using the read/write Rule File Maker

FrameMaker includes a powerful read/write Rule File Maker that helps you author rules easily. This helps simplify rule generation, since you have all the settings at one place, and do not have to remember any rule syntax.

To launch the read/write Rule File Maker, click StructureTools > New Read/Write Rules. Select the Launch Rule File Maker option and click OK.

note: Optionally, you can specify the DTD to be used when creating the rules.

The Rule File Maker dialog is displayed as follows:

Rule File Maker

The Rule File Maker has two basic sections:

•Import-Export Settings: These settings are applicable for the reading and writing operation.

•Export-Only Settings: These settings are not covered in the Import - Export Settings and are only applicable for the writing operation.

The Import-Export Settings section is divided into four sections:

1)Markup Elements: Allows editing of all markups present in the specified DTD. To see a list of all elements, select ‘select from DTD’ from the value drop-down. FrameMaker, then displays a list of elements. You can select multiple elements from the list and click OK to insert the selected elements into the read/write Rule File Maker.

2)Global Settings: Displays the list of settings that are applied to ALL elements globally.

3)Entities: Displays the list of all entities that are present in the DTD.

4)Advanced Settings: Contains advanced settings for Books and Character Maps.

The Export Only Settings section is divided into three sections:

1)FM Objects: Lists the type of FM Objects present. In addition, each FM Object category lists the markups mapped as that object. For example, if you map markup M1 to the Table FM Object in the Import-Export Settings section, the Table list in the Export Only Settings section displays the markup M1.

2)Global Settings: Displays the list of settings that are applied to ALL elements globally.

3)Advanced Settings: Contains advanced settings for SGML, DITA, Variables, and Character Maps.

When saving the rules, FrameMaker saves only the elements and the rules that have been modified (modified elements have their values marked in bold, on the right pane). Default behaviors are not saved.

10.9.10.Test XML roundtripping

Once you have configured the structured application, you can test XML roundtripping.

1)Create a valid structured proposal in FrameMaker.

2)Export the FrameMaker file to XML. To do so, select File > Save As and choose XML as the output format. If prompted, select the Proposal application.

3)Open the exported XML file in a text editor or an XML editor and verify that you have a valid XML file.

4)In an XML or a text editor, modify the file you just exported. You can also create an XML file that validates against the proposal DTD. Save the new XML file.

5)In FrameMaker, open the XML file. Verify that the XML file imports correctly and that formatting is applied automatically.

10.9.11.Configuration file editor

Every structured application may include an XML configuration file. The configuration file is optional and contains attributes and their suggested and default values. To call the editor, click Element > Launch Config File Maker... The configuration editor is displayed as follows:

Configuration File Settings

•To load an existing configuration file, click Load Configuration File and select the file.

•Set the configuration values as desired. Click the value column of the choice or default to be changed and enter the new value.

•To insert a new choice, right click the row above which the choice is to be placed, and select Insert Above.

•To delete a choice, right click the choice and select Delete.

•To save the configuration, click Save.

•To save the configuration as a new configuration file, click Save As and enter the new filename.

When opening a structured application, FrameMaker reads the corresponding configuration file (if it exists) and populates the attribute values automatically.

The attribute editor allows you to change these values, when using the structured application.

10.9.12.XML with Cascading Style Sheets

When an XML document is opened in FrameMaker, FrameMaker processes the Cascading Style Sheets 2 (CSS2) by mapping the CSS information to appropriate EDD rules in the EDD document.

The following scenarios describe the processing of CSS2 in FrameMaker:

•You open an EDD in FrameMaker and use the Import CSS Styles option in the StructureTools menu. FrameMaker checks whether the current document is an EDD. If so, the Open dialog box appears and you can specify the CSS file path. The CSS is then imported into the EDD. You can then import the element definitions from the EDD into a template to use when you open an XML file. If the EDD contains formatting rules, the CSS properties are appended to the existing rules if the properties are unique. Alternatively, the CSS properties you import will overwrite the existing formatting rules of the EDD. You can also export XML style information to an EDD for all elements in a document that use the CSS2 format, using the Generate CSS2 option in the StructureTools menu.

•When you open an XML file that is associated (using xml-style sheet PI) with style sheets, FrameMaker reads the DTD and the style sheet associated with the XML document, and then generates a temporary template to use for opening the XML file. However, if a template is already specified in the “Structured Application” (used to open the XML file), FrameMaker uses that template to open the XML file and will not generate any new template from the DTD and style sheets.

note: An XML file opened in FrameMaker can contain multiple CSS files. FrameMaker supports the author’s style sheet only, and not the user’s style sheet.

Import CSS element styles into an EDD file

You can import element formatting from CSS into EDD to ensure consistent formatting across different XML applications. The CSS file can be referenced in the XML document or manually imported. Multiple CSS files can be imported sequentially for multi-level formatting.

When importing element styles, FrameMaker retains the context information (element property or selector) from the CSS and imports it into the appropriate EDD contexts.

note: FrameMaker imports style information only at the element level.

You can also set CSS preferences in XML using Structured FrameMaker. For more information, see the Structured FrameMaker Developer's Guide, located in the Documents folder.

1)Open the EDD file in structured FrameMaker.

2)Select StructureTools > Import CSS Styles. The Import CSS dialog box appears.

3)Select a CSS file, and click Open.

4)If the Structured Application element in the EDD file doesn’t define an application name, the Use Structured Application dialog box appears. Select the application that was used to create the EDD file. Click Continue.

The CSS file is imported into the EDD file.

note: If the EDD already contains formatting rules, the CSS properties are appended to the existing rules. If the CSS properties overlap some of the existing rules, the CSS properties replace the existing rules in the EDD. The EDD doesn’t support all properties and selectors defined in CSS 2.0. If a property or selector in the CSS file can’t be mapped to an equivalent EDD rule, that property or selector is ignored. No error is displayed when this happens, and no error log is created.

After importing the CSS styles, you can import element definitions from the EDD into a template and use the template to open an XML file.

As an alternative to the CSS import process, you can use FrameMaker to open an XML file that already has CSS styles associated with it. When you open the XML file, FrameMaker reads the DTD and CSS files and generates a temporary template that is used to open the XML file.

Export CSS for a FrameMaker XML file

You can export XML style information available in your document for all elements using the Cascading Style Sheets 2 (CSS2) format, to an EDD file. You can then import these CSS Style definitions from the EDD file to new XML files. Cascading Style Sheets let authors attach styles, such as fonts and spacing, to structured XML files. CSS2 format is a W3C standard.

When you choose the Generate CSS2 command, styles from well-formed structured documents are generated, based on the formatting information available in the EDD associated with the source document. FrameMaker exports style information only at the element level. For example, if you apply a style to only one particular word in the Text element, that one instance of style is not exported.

You can set CSS 2 preferences in the XML application. For example, you can determine whether the CSS 2 file is automatically generated when you export to XML. For more information, see the online manual,Developing Structured Applications with Adobe FrameMaker on the Adobe website, www.adobe.com/go/lr_FrameMaker_support_en.

1)Open the template or document with an associated EDD in Structured FrameMaker.

2)Select StructureTools > Generate CSS2.

10.9.13.XML with schema

FrameMaker allows you to import XML markup documents that are associated with W3C's XML Schema language. FrameMaker automatically creates a DTD and EDD from the schema. FrameMaker validates the document structure against the associated schema upon both import and export to XML, but does not retain all schema information upon export.

For complete details of how schema is mapped to DTD, see the Structure Application Developer’s Guide.

note: This release offers support for schema that is equivalent to what was previously available for DTD. That is, EDD has not been extended to accommodate features in schema that are not available in DTD. For this reason, schemas are read-only, and you cannot export the EDD back out to schema.

Schema workflow

You can import an XML document that references a schema file, and you can specify a schema file in your structure application, to use for validating a document upon export to XML.

1)For a specific XML document, you can include the path of the schema file in the XML using attributes - noNamespaceSchemaLocation or schemaLocation depending on whether your schema includes a target namespace or not.

2)To specify a schema file for use in exporting XML, modify the structapps.fm file. Use the Schema element as part of the XMLApplication to provide the schema file path for export.

3)Open the XML in FrameMaker using a structured application. Edit it.

4)Save the XML using a structured application. The Schema element in the structapps.fm file is output in the file and validation is performed against it.

In this workflow, a DTD is generated automatically as an intermediary file from the schema given in the XML document, and you do not modify it. However, you can also use a schema file to generate an EDD; see Generate an element catalog (EDD) from a schema.

Changes to the structure application for schema support

The new element Schema, a child of the XmlApplication element, specifies the path of a schema file in the structapps.fm structure application file. If instance documents use namespaces, the property Namespace in XmlApplication must be set to true.

In order for a structure application to be selectable in the Use Structured Application list while importing a document that is associated with a schema, the schema’s root element must be included in the application’s DOCTYPE in the XmlApplication element.

Generate an element catalog (EDD) from a schema

You can create an EDD from a schema definition, or import the elements from a schema definition into an existing EDD. FrameMaker converts the schema definition to DTD first, and then creates or imports elements to an EDD.

Use the following commands in the StructureTools menu:

•Open schema: This command converts a specified schema to DTD, and creates an EDD from the DTD.

•Import schema: This command converts a specified schema to DTD, and imports elements from the DTD into an existing EDD.

Each command opens a File Choose dialog box that allows you to specify the schema file, then a Save dialog box in which you specify where to save the resulting DTD file.

1)In Structured FrameMaker, select StructureTools > Open Schema.

2)Choose a schema file.

3)Choose a path for the DTD to be output.

4)Examine the resulting DTD and make any modification you want.

5)Create an EDD from the generated DTD, as described in the Structure Application Developer’s Guide.

6)Use this EDD to create a template that can be included in the Structured Application.

7)Provide your DTD path along with the Schema Location in the input XML. This will make sure that FrameMaker works correctly with your template. Validation of input and output XML is still performed against the schema.

View or edit XML namespaces

An XML namespace is a collection of names for specific element types and attribute names within an XML document. The scope of a namespace extends beyond its containing document.

Because a single XML document can contain elements and attributes that can be used by multiple software applications, you can use namespaces to differentiate which elements and attributes are to be used by which applications. Software applications that process XML use namespaces to recognize which tags and attributes they are designed to process.

Names from XML namespaces may appear as qualified names, which contain a single colon, separating the name into a namespace prefix and a local part. The prefix, which is mapped to a Uniform Resource Identifier (URI) reference, selects a namespace. The combination of the universally managed URI namespace and the document's own namespace produces identifiers that are universally unique.

Using XML namespaces in FrameMaker

FrameMaker supports namespace usage for all elements in an XML document. When you import an XML document containing namespaces, all namespace information is preserved.

You can view, edit, add, or delete namespaces to an XML document in Structured FrameMaker using the Namespaces command. You can also use this command to view the definition of the prefix on an element tag and select the element that defines the prefix.

By default, namespaces in FrameMaker are handled as namespaces, appearing in the Namespaces dialog box. However, you can disable namespaces in the application and have them handled as attributes instead, appearing in the Structure View.

1)Open the document in Structured FrameMaker.

2)Select an element in the Structure View.

note: Elements that contain namespaces appear in Structure View with an asterisk (*) next to their names.

3)Choose Element > Namespaces.

4)In the Namespaces dialog box, click Select Defining Element to view the namespace for the selected element in the Structure View.

5)Make any desired changes to the Declared Namespaces, Prefix, or Path and then click Add, Change, or Delete. To close without saving your changes, close the dialog box without clicking an option.


Convert unstructured documents

10.10.Convert unstructured documents

FrameMaker provides a mapping feature to help you transfer your unstructured documents into structure. Your results depend on the following factors:

•Document consistency. Documents that implement a formatting template consistently, with few or no formatting overrides, will convert better than documents that are full of overrides and custom paragraph or character tags.

•Similarity between unstructured and structured documents. A new document structure that is similar to the organization in the unstructured documents eases the conversion process.

10.10.1.Conversion workflow

The conversion process creates structured elements from FrameMaker formatting components, such as paragraph tags, character tags, markers, cross-references, and table components.

To begin the conversion process, select an unstructured document that is representative of your typical content. Ideally, this document should contain examples of all of the formatting tags that would occur in your documents. These tags should be shown in logical sequences (as they would occur in documents), so a formatting template that shows examples of each paragraph tag in alphabetical order is not a good example document.

1)Open the example document.

2)Import element definitions from the EDD into the example document.

3)Select StructureTools > Generate Conversion Table. Select Generate New Conversion Table, then click Generate.

FrameMaker scans the document and creates a list of the formatting components that occur in this document. Tags that are defined in the formatting catalogs but not used in the document are not included in the list.

note: FrameMaker assumes that the name of the formatting component will be the same as the name of the structure element.

4)Modify the mapping rules to match the structure. For example, FrameMaker assumes that the formatting tag names match the element names, so in the preceding example, the Body paragraph (P:Body) is mapped to the Body element. To change this mapping, change the second column (“In this element”) to read Para instead of Body.

5)Once you have mapped all of the formatting components, add additional entries to the table to create hierarchy. For example, if a Section element typically contains a Heading and one or more Para elements, you add a row to the table and specify how to create the Section element.

6)Add a root element mapping that specifies the top-level tag in the document, as shown here:

RE:RootElement Proposal

7)Save the conversion rules table.

8)To test the conversion rules table, open your example document, then select StructureTools > Utilities > Structure Current Document. Select the conversion rules table document in the pop-up menu, and then click Add Structure.

FrameMaker creates a new, untitled, structured document. Keep refining and testing your conversion rules until you are satisfied with the document produced. You can add tags to the conversion rules table by typing them or by scanning additional documents.

9)To add tags automatically:

a)Make sure that the conversion rules table is open. Open the file that contains additional formatting components.

b)Select StructureTools > Generate Conversion Table. Select Update Conversion Table and select your conversion rules document in the pop-up menu.

c)Click Generate. FrameMaker scans the second sample document and adds additional formatting components to the end of the conversion rules table.

10.10.2.Conversion rule examples

The order in which conversion rules are listed is significant. You must go from lower-level elements to higher-level elements. For example, assume that you have the following mapping rules:

G: Graphic
P:caption Caption
E:Graphic,E: Caption Figure

The rule in which Graphic and Caption are wrapped into a Figure element must occur after the rules in which Graphic and Caption are created.

If you need to map several paragraph tags to the same element and then wrap them into different parents, you use the third column for a qualifier. It’s common, for example, to have a ListItem element that’s used for both bulleted lists and numbered lists. Once the bullet and step paragraphs are wrapped in the ListItem element, you need a way to distinguish whether they belong in OrderedList or UnorderedList. To make this distinction, you use the qualifier column, as shown in the following example:

bullet ListItem b
step1 ListItem st
step2+ ListItem st
E:ListItem[b]+ UnorderedList
E:ListItem[st]+ OrderedList

To specify the root element of a document, you use the following:

RE:RootElement Chapter

You can only specify one root element per conversion table.

Graphics and tables are often anchored into the preceding paragraph in the unstructured document. When you structure the document, the Graphic and Table elements end up as children of the preceding Para element.

If you want the Graphic element to be converted as a sibling of Para (shown in the preceding figure on the right) rather than a child, use the “promote” command:

G: Graphic(promote)


Simplified XML

10.11.Simplified XML

The structured authoring environment allows you to enforce consistent structure across similar types of information. To use the structured authoring environment, an author must have a good understanding of the content rules and XML.

The Simplified XML feature eliminates the need to know the underlying content rules or the XML structure to create or work on a structured document. The Simplified XML view (referred to as Simplified View) provides an interface that is very similar to the WYSIWYG View. However, it contains form fields for every element that an author can work with. The Quick Element Toolbar is also customized for authoring in Simplified View, which allows you to easily insert valid objects in your structured document.

This section covers the following topics:

• Simplified XML user interface

• Use the Simplified XML view

• Customize the Simplified XML authoring environment

10.11.1.Simplified XML user interface

The structured application for DITA 1.2 has been updated to support the Simplified View. The following DITA topics are supported in the Simplified View:

•Topic (File > New > XML > DITA > topic)

•Task (File > New > XML > DITA > task)

•Concept (File > New > XML > DITA > concept)

•Reference (File > New > XML > DITA > reference)

However, to create or view your DITA topics in the Simplified View, you need to first enable this feature in FrameMaker.

1)Open the Preferences dialog (Edit > Preferences) and go to the Simplified XML tab.

2)Select the Enable Simplified XML view option to enable the Simplified View.

3)Configure the following options for the Alert messages:

Alert before inserting at the next valid location

Select this option to show an alert when you try to insert an element not valid at the current location. If you do not select this option, then you can specify whether to always insert the element at the next valid location, or not to insert the element at all.

Show alert when typing at invalid location

Select this option to show an alert when you try to type or insert content at a location where direct typing is not allowed. In such scenario, the alert will prompt you to either press Enter to view a list of valid objects or insert an object from the Quick Element Toolbar.

Show alert when deleting objects not available in the Quick Element toolbar

Select this option to show an alert when you try to delete an object that cannot be inserted by using the Quick Element toolbar.

4)Click OK to save your preferences.

You need to restart FrameMaker for the change to take effect

After enabling the Simplified XML feature, you can start authoring the structured documents in the Simplified View. You can either create a document or open an existing XML file and click the Author View button in the Application bar to switch to the Simplified View.

The following figure shows a DITA topic in the Simplified View.

A. Form field name B. Form data entry field C. The Quick Element Toolbar in Simplified XML authoring environment

A form-like view of the DITA topic is presented with the form field name on the top followed by the data entry field. For more information about customizing the form fields, see Customize the Simplified XML authoring environment.

To enter data in a field, click inside the field and start typing. For example, if you want to type a title, place the insertion point inside the Title of your topic field and enter a title for your document. The title that you enter is wrapped inside a valid element in the background.

10.11.2.Use the Simplified XML view

The Simplified XML view allows you to easily author DITA topics without requiring the knowledge of how your document structure is set up. This view allows for faster authoring as you are given a simple form-like easy-to-fill authoring environment. Also, the structure of your application is maintained by placing elements at the right location and within valid XML tags.

To author content in the Simplified View:

note: The following procedure uses the example of authoring in a DITA topic. However, the steps are applicable for other types of DITA topics (task, concept, or reference).

1)Select the Enable Simplified XML View option in the Preferences dialog.

2)Create a new DITA topic and switch to the Author View.

The view changes to the Simplified View containing the form fields.

note: By default, the insertion point is placed in the Title field.

3)Enter the topic title.

note: If you invoke the Insert Object pop-up by pressing Crtl+1, you are shown a list of all elements that are available in the current document. However, if you try to insert an invalid element, FrameMaker blocks the insertion.

4)Move the cursor to the Short description field and enter a short description for the topic. In the case of a short description, however, you can apply character formatting such as bold, italic, and underline. To do so, select the text in the Short description field and change the formatting.

For example, to mark a part of the text as bold, select the text and do one of the following:

•Press Ctrl+b.

•Press Ctrl+1 and choose Bold.

•Click B in the Quick Element toolbar.

To remove the bold formatting from the text, select the text and use any of the above mentioned ways.

Perform the same steps to enter the author name in the Enter your name field.

note: You can move in between the various form fields by using the arrow keys.

5)Move the cursor to the Content of your topic field.

By default, the first element available in the Content field is the paragraph. This implies that if you start typing, the text is wrapped inside the paragraph tag in the background.

note: If the cursor is visible but you are unable to type text, this implies that typing text is not valid at the current location. You are shown a pop-up prompting you to either press Enter and select an object or select an object from the Quick Element toolbar.

6)Use the Quick Element toolbar or the Insert Object pop-up to insert elements.

note: If you try to insert an item that is not valid at the current location, then the authoring environment automatically identifies such operation and allows you to add the selected element at the next valid location.

The following section provides more details on inserting and using the available objects.

Working with objects in Simplified View

This section explains the various ways to work with the most commonly used objects.

Work with ordered and unordered list

•To create an ordered or unordered list in the document, choose the corresponding icon in the Quick Element toolbar.

•To create a new list item, place the insertion point at the end of the current item and press Enter.

•Within a list item, to insert an object (such as an image or a table), use the Quick Element toolbar or the Insert Object pop-up.

•To convert between ordered list and unordered lists, place the insertion point anywhere inside the list and choose the alternate list type from the Quick Element toolbar.

•To exit a list, place the insertion point at the end of the last list item and press the Enter key twice.

•To insert a list item between two lists, either place the insertion point at the end of the first list item or at the start of the second list item and press Enter.

•To split a list item into two items, place the insertion point where you want to split an item and press Enter.

•To split a list into two, place the insertion point at the end of the first list item and press Enter twice. A new paragraph is created between the lists.

You can use the Tab and Shift tab keys to indent and nest list items:

•To indent a list item, place the insertion point at the start of the list item and press Tab.

•To reduce the indent of the list item, place the insertion point at the start of the list item and press Shift + Tab.

•If a list has multiple items, to nest some of the items in the list, select the items and press Tab.

•To reduce the indent of any item in a nested list, place the insertion point at the start of the list item and press Shift + Tab.

If you reduce the indent of any item in a nested list, the other items remain nested.

Work with tables

•If you insert a table in your topic, the Simplified View displays a table anchor that allows you to easily select, expand, or collapse the table.

•To insert elements after the table, place insertion point after the table anchor and start typing or insert an object from the Quick Element toolbar.

•To add rows or columns to the table, click in a table cell next to where you want to add the row or column, choose Table > Add Rows or Columns, and specify the number of rows or columns you want to add. You can also move rows or columns within the same or different tables, and sort the rows or columns in a table. For more information, see Rows and columns in the Tables chapter.

•To move the table, you need to click on the table anchor and then drag-and-drop the table. You can also select and move (drag-and-drop or copy/cut/paste) table rows and columns, within or across tables.

Work with images

•When you are working in a DITA topic, concept, or reference document, then click the Figure icon in the Quick Element toolbar or select the Figure object from the Insert Object pop-up to insert an image.

•When you are working in a DITA task document, then click the Image Data icon in the Quick Element toolbar or select the Image Data object from the Insert Object to insert an image.

•In the Insert Graphic dialog, enter the following details:

File Path: click Browse and select the image file that you want to insert.

DPI: select the DPIs (or resolution) from the drop-down menu or enter the resolution at which you want to insert the image.

Title: (optional) For a DITA topic, concept, or reference document, enter the title or caption for the image. The Title field is not available when you are working on a DITA task type document.

note: If you do not specify the Title, then the graphic is wrapped inside the Image element in the background and you will not be able to add a Title later on. However, if you add a Title, then the graphic is wrapped inside the Figure element allowing you to change the Title anytime later.

Alternate text: (optional) enter the text that is displayed in case the image is not published.

•If you create a DITA task topic, then you are allowed to insert a graphic in the Procedure title, Short description, and Procedure steps fields. This is because in the task topics, the graphic is wrapped inside the image element.

•If you insert an image, the Simplified View displays an anchor that allows you to easily select, expand, or collapse the image.

•To move the image, you need to click on the image anchor and then drag-and-drop the image.

•To resize an image, click to select the image object (not the image anchor) and drag a side handle to change either the width or height.

•To view the object properties of the imported graphic, right click the graphic and choose Object Properties. To view object properties of the anchored frame, click on the anchor and choose Graphic > Object Properties.

Use Paste and Smart Paste

FrameMaker automatically creates valid structure if you copy and paste content from external applications such as MS Word, Excel, or a browser. However, if pasting an external content results in an invalid DITA file, a prompt appears asking you to either copy the content without formatting or copy one block at a time.

You can also drag-and-drop content within a document. However, if you try to place the dragged content at an invalid location, FrameMaker will show a red icon and block the operation.

Open and save XML files in the Simplified View

You can open any DITA topic in the Simplified View. If the topic includes elements that are not defined in the form, then these elements will be shown but they will be uneditable. You can make changes to the editable content and then save the topic.

FrameMaker provides out-of-the-box support for DITA topic, task, reference and concept. However, any XML file for which the corresponding structured application is configured with the Simplified View configuration file can be opened in this view. If the configuration file is defined but template is not specified, the default template defined in the structured application is used and a message is shown in the console when you switch to the Simplified View. For more details, see Customize the Simplified XML authoring environment.

note: You cannot open DITA maps, FrameMaker books, or .fm files in the Simplified View.

10.11.3.Customize the Simplified XML authoring environment

You can specify the fields (and their appearance) in the Simplified View for a specific structured application. For example, in the DITA topic structured application, you can choose to hide the short description field or show only the topic title and body fields. FrameMaker also allows you to specify a custom template file that is used to render the form fields in the Simplified View.

Customize the Simplified View form fields

Each structured application that supports the Simplified View includes a configuration file (.ini). You can work with the flags in this file to customize the fields in the corresponding Simplified View.

note: If you are currently working in the Simplified View of a topic, switch to the WYSIWYG view.

1)Open the following document:

<Fm Install directory>\Structure\structapps.fm

The structured application for each DITA topic type (topic, task, reference and concept) in this file includes a Form View field.

The Form View contains two flags:

Configuration File: defines the configuration file for the corresponding structured application.

Template: defines the template file associated with the structured application to render the user interface for the Simplified View.

2)To customize the .ini file, you need to copy it to a location outside the current FrameMaker install directory.

3)In the form Configuration File field, update the location of the file according to the previous step.

4)The configuration file allows you to work with the following fields.

FormElements

Specify the structured application elements you want to show in the Simplified View. The syntax for specifying the FormElements is:

body,Body,1,1|

Where,

body: Name of the element defined in the structured template.

Body: Label that appears at the top of the form field in the Simplified View.

0,1: Specify whether this element is optional (0) or mandatory (1). If you specify an element as mandatory, the user must enter a value for that element before saving the document.

0,1: (Optional) Specify whether a field is the body field and Insert Objects catalog is shown on pressing the Enter key in this field. By default, a value of 0 is assigned to a field where this value is not specified.

| : (Pipe) Delimiter for specifying more elements.

Example: FormElements=title,Title of your topic,1|shortdesc,Short description - one paragraph,0|author,Enter your name,1|body,Content of your topic,1,1

FormLabelPgfFormat

The paragraph format defined in the template that is used to display the form labels.

Example: FormLabelPgfFormat=fm-title

RequiredFormLabelPgfFormat

The paragraph format defined in the template that is used to display the mandatory form labels.

Example: RequiredFormLabelPgfFormat=fm-titlerequired

FormFieldColor

Specify the default boundary color for the form field boundary.

Example: FormFieldColor=GrayDark

RequiredFormFieldColor

Specify the color for the mandatory field boundary.

Example: RequiredFormFieldColor=Red

SelectedFormFieldColor

Specify the color for the currently selected field boundary.

Example: SelectedFormFieldColor=Blue

ParaElements

Specify the element to create when the Enter key is pressed in a paragraph element. You can also specify multiple elements separated by a pipe (|). If you have specified multiple elements, FrameMaker will insert the first valid element in the current context. For example, in case of a DITA task, you can map this flag to a paragraph and information elements (p|info). When a user hits the Enter key, FrameMaker will first try to insert a paragraph element at the current location, but if the paragraph is not valid then it will insert the information (info) element.

Example: ParaElements=p|info

OrderedListElement

Specify the element that is mapped to the ordered list. For example, in a DITA topic, you can map this flag to the ol element to create a new ordered list. However, in case of a DITA task, you can map this flag to the steps element to create a new procedure.

Example: OrderedListElement=ol

OrderedListItemElement

Specify the default element to create when the Enter key is pressed in an ordered list item. For example, in a DITA topic, you can map this flag to the li element to create a new list item within an ordered list. However, in case of a DITA task, you can map this flag to the step element to create a new step within a procedure.

Example: OrderedListItemElement=li

UnorderedListElement

Specify the element that is mapped to the unordered list. For example, in a DITA topic, you can map this flag to the ul element to create a new unordered list. However, in case of a DITA task, you can map this flag to the steps-unordered element to create a new nested procedure.

Example: UnorderedListElement=ul

UnorderedListItemElement

Specify the default element to create when the Enter key is pressed in an unordered list item. For example, in a DITA topic, you can map this flag to the li element to create a new list item within an unordered list. However, in case of a DITA task, you can map this flag to the step element to create a new step within a nested procedure.

Example: UnorderedListItemElement=li

BoldElement

Specify the element to be used (b) to apply bold formatting on text when the key combination Ctrl+b is used.

Example: BoldElement=b

ItalicElement

Specify the element to be used (i) to apply italic formatting on text when the key combination Ctrl+i is used.

Example: ItalicElement=i

UnderlineElement

Specify the element to be used (u) to apply underline formatting on text when the key combination Ctrl+u is used.

Example: UnderlineElement=u

5)After making the required changes to the configuration file, save the file.

6)Reload the current structured application.

Go to the structapps.fm and choose StructureTools > Read Application Definitions.

7)If any structured topic is currently open, go to the topic and switch to the Author View.

Any changes to the configuration file are immediately reflected.

Customize the Simplified View template

Each structured application that supports the Simplified View includes a FrameMaker template. This template defines how the various form elements are presented in the Simplified View. For example, you can customize the font size and color of the mandatory field labels in your form or define the auto-insertion rules for the elements. Whatever changes you make to this template file are reflected in the Simplified View.

note: If you are currently working in the Simplified View of a topic, switch to the WYSIWYG view.

1)In the structapps.fm, the Form View > Template field defines the Simplified View template file for the corresponding structured application.

2)To customize the template file, you need to copy it to a location outside the current FrameMaker install directory.

3)In the Template field, update the location of the file according to the previous step.

4)Update the template file as required and save the file.

5)Reload the current structured application.

Go to the structapps.fm and choose StructureTools > Read Application Definitions.

6)If any structured topic is currently open, go to the topic and switch to the Author View.

Any changes to the template file are immediately reflected.


Structured authoring using DITA

11.Structured authoring using DITA

Structured authoring enforces structure to the authoring of documents. When you create a structured document in FrameMaker, you are required to select a structured application on which you want to base the document. The structured application defines the structure and formatting rules that are enforced when creating your document. The Darwin Information Typing Architecture (DITA) is an open XML standard for structured authoring. When authoring in DITA, you can also use the DITA Open Toolkit for published output. See DITA Open Toolkit.

DITA Topics

DITA topics are the most granular units of DITA content. Each topic should be authored around a single subject of content. For details, see DITA topics.

See the specifications on DITA topics.

Information typing

Information typing is the practice of identifying types of topics that contain distinct kinds of information, such as concepts, tasks, and reference information. Topics that answer different kinds of questions can be categorized as different information types. The base topic types provided by DITA (a generic topic, plus concept, task, and reference) provide a usable starter set that can be adopted for immediate authoring. For details, see DITA topics.

See the specifications on Information typing.

DITA Maps

The DITA map is like a table of contents listing and linking the topics for a specific output. DITA maps assemble topics into sequence and hierarchy tailored to specific delivery requirements. You can have multiple maps, each one arranging the topics for different requirements, such as a reference manual, a tutorial, or online Help. A DITA map file has the extension .ditamap.

For details, see DITA topics.

See the specifications on DITA maps.

Bookmaps

A bookmap is a specialization of a DITA map. You can save a DITA map as a bookmap. In a bookmap, highest-level topicref elements in your DITA map become chapters in the FrameMaker book, containing any nested topicref elements. Formatting is determined according to which structured application you have selected for books in the DITA Options dialog box. For details, see Bookmaps.

See the specifications on Bookmaps.


Why DITA

11.1.Why DITA

DITA changes the way content is created, stored, managed, and consumed. It also changes the tools that are used and the way authors have to think about content.

11.1.1.Content reuse and modularity

You can reuse content not just for print and the web but also for multiple custom outputs. Reuse at a heading or line level can be chaotic and challenging to implement and manage, especially at an enterprise-wide level. DITA facilitates reusability at a more manageable content level: the topic. A topic is the smallest chunk of information that can stand alone as meaningful information. Topics are then assembled into documents using Ditamaps, which are hierarchical lists of pointers or links to topics. These pointers are called <topicref> elements.

Topics can also be reused in other topics. Each topic is assigned a unique ID. From a topic, you can include a content reference (conref) to another topic using its unique ID. At a finer level of granularity, you can also assign property tags to individual topic elements for conditional assembly.

11.1.2.Multichannel publishing

Modular topics allow for dynamic assembly of content at any level of granularity. You can create multiple documents from reusable topics. Assembly can be conditional, dependent on properties or metadata tags that you attach to a topic. For example, the audience property can be <beginner> or <advanced>, and the platform property <Windows> or <Solaris>.

11.1.3.Ease of authoring and publishing

By segregating content from presentation, DITA allows you to reuse modular topics. You can reuse a topic by specifying it in multiple topic maps. For example, you can have the same topic appearing in multiple topic maps and set a new context by using a relationship table. This also aids publishing because the content is independent of format definitions.

11.1.4.Minimalism in content

Minimalism in documentation means providing users only the information they need for accomplishing a specific task. This approach requires the breakdown of sequential information into smaller, concise, and consistent chunks that can be reused.

11.1.5.Reduced localization costs

Modular, topic-based content with unique topic IDs allows concurrent authoring and localization of Ditamap content. This approach reduces localization costs as well as time to market. In addition to topic orientation and content reuse, these DITA features also reduce localization costs.

•All DITA topics are stored in Unicode.

•DITA provides the ability to specify the language setting on nearly every element in a DITA topic.

•The <translate> attribute allows you to indicate items ready for translation.

11.1.6.Challenges in implementing DITA

Some challenges in migrating to DITA:

•Repurposing existing content

•Preparing content for reuse

•Breaking down sequential content into modular, reusable components

•DITA specialization for specific needs

•Post-processing of outputs


DITA topics

11.2.DITA topics

DITA uses a topic-based approach to authoring. A topic in DITA is the most granular entity of information. According to the DITA specifications, a topic should be short enough to be easily readable, but long enough to make sense on its own.

To cover separate content such as concepts, tasks, reference, the DITA standard specifies different information types. Each information type defines structured elements that aid in authoring the relevant content. For example, the task type defines elements such as context, example, steps, and result.

11.2.1.Create a DITA topic

1)On the DITA menu, go to New DITA File.

The New DITA File sub-menu displays the types of DITA topics and map types that you can create.

FrameMaker supports the following DITA topic types:

topic

For specific content, use task, concept, reference, glossentry, glossgroup types.

See the specifications on DITA topics.

task

For task related content such as how-to or procedures.

See the specifications on Task topics.

concept

For content such as “what is?”. It covers conceptual information about a feature or function.

See the specifications on Concept topics.

reference

For reference content. For example, product specifications, API reference, and equipment or part lists.

See the specifications on Reference topics.

glossentry

For a single glossary term and definition.

See the specifications on Glossary Entry topics.

glossgroup

For a group of glossentry elements.

The glossgroup can also contain other glossgroup elements to create a hierarchical glossary structure.

See the specifications on Glossary Group topics.

dita

A top-level container element that can include the topic types described above.

See the specifications on DITA container.

2)Select a topic type.

3)To view the hierarchical structure of the created topic, choose StructureTools > Structure View.

4)A DITA topic is a structured document. This means that in FrameMaker you work with the DITA topic structure in the same way that you work with the structured documents based on other structured applications.

For details on how to create content in a structured topic, see Structured authoring.

11.2.2.Add links to related content

The topic, task, concept, and reference types define a related-links element that you can use to add links to related content.

DITA Link dialog

Use the DITA Link dialog to insert direct and indirect link to DITA content.

Dita Link dialog

Use the DITA Link dialog to:

A (Refer to Key):

Check this option to create a link using indirect referencing and choose a key from the drop-down list. See Create a DITA link.

B (Keyspaces):

Open the DITA Keyspace Manager dialog. In this dialog, you Create a keyspace and Set the default keyspace for the current topic.

C (Refer to File):

Check this option to create a link using direct referencing. See Create a DITA link.

D (Browse):

Browse for a DITA topic containing the reusable elements.

E (DITA topic list):

Select a DITA topic from the list of currently opened topics for direct references.

F (Edit):

Open the source DITA topic in FrameMaker to edit.

G (Element Tags):

Select an element tag to list the elements of that tag in the Element Data list.

H (Element Data):

Select an element to include as a link. The link element defines a relationship to another topic.

I (Show All):

Show all elements of the element type. The Element Data list also displays elements that are not assigned unique identifiers. You can select to create a link of elements that are not currently assigned a unique ID. In this case, FrameMaker assigns a unique ID to the element in the source topic.

J (DITA link Element):

Choose the link element to use. By default, the element is link.

See the specifications on link.

K (DITA linktext Element):

Choose the element that provides the literal label or line of text for a link. By default, the element is linktext.

See the specifications on linktext.

L (Text)

Specify the link text to display as literal text,

M (Format)

Or, choose Format and select a format from the drop-down list:

DITA Default Format

Display the title of the reference topic.

See_Title_and_Page

Display See <topic title> on <page number>.

Title_and_Page

Display <topic title> on <page>

N (External Link)

Insert a link to an external (non-DITA) resource. In the DITA External Link dialog, enter the external link in the Link Target (href) field. Optionally, you can specify a link text. Else, the link entered in the Link Target (href) field is used for the link text.

Create a DITA link

1)If you are inserting the first link in the related-links element, place the insertion point to the right of the related-links element.

Place insertion point to the right of related-links element

2)From the Elements pod (Element > Element Catalog), insert the link element.

The DITA Link dialog is displayed.

3)Choose a link target.

You can choose to add a link as a direct or indirect reference to the target content. For details, see DITA referencing.

To add an indirect link, you need to use DITA key-references. For more details on key-references, see Using keyspaces to manage DITA key references.

a)Click Refer to Key and click Keyspaces.

b)In the DITA Keyspace Manager dialog, select the key in the Defined Keys list and click OK.

To add a direct link, you choose the DITA topic (.xml file) to which you want to create the link:

a)Check Refer to File and choose the file containing the reference topic.

You can select a reference topic from the current topic, any currently opened topic, or use the browse button to select an unopened topic.

b)In the Element Tags list, select the topic type to reference.

c)In the Element Data list, select the topic to reference.

4)Choose the link element to use.

5)Choose the element to display the link text.

6)In the Display Using section, specify the text or format to display in the link.

7)Click Insert.


DITA maps

11.3.DITA maps

A DITA map allows you to organize DITA topics in a hierarchical structure. You can then create output for your organized content using different output formats.

For details on generating DITA output, see Publishing. You can also use DITA maps to create keyspaces that you can use for indirect referencing. See Using keyspaces to manage DITA key references.

See the specifications on DITA maps.

11.3.1.Create a DITA map

1)Choose DITA > New DITA File > New <map>.

Alternatively, choose File > New > XML. In the New XML dialog, go to the DITA tab and choose map.

2)By default, a DITA map is opened in the Resource Manager.

You can use the Resource Manager to:

•Insert topics in the DITA map

•Save the DITA map

•Switch to the Document view to display the DITA map contents.

3)You can use the available FrameMaker tools, such as the Structure View and Elements pod, to work with a DITA map.

note: In the Resource Manager view, the StructureTools menu is not available. To open the Structure View, you can either switch to the Document view or choose View > Structure View

4)You can also include relationship tables to a DITA map.

For details, see Relationship tables.

11.3.2.Insert topicref elements in a DITA map

You can add topics to a DITA map by using the topicref elements in the Elements catalog. You can also add topics using Insert Child in the Resource Manager.

FrameMaker supports the following topicref elements that you can insert in a DITA map:

topicref

Identifies topics such as dita, topic, concept, task, reference, glossary entry, and glossary group. A topicref element can also contain other topicref elements to create a hierarchal structure.

See the specifications on topicref elements.

mapref

A convenience element that is equivalent to a <topicref> element with the format attribute set to "ditamap".

See the specifications on mapref elements.

topicset

A set of topicref elements that can be reused in DITA maps and other topicset elements.

See the specifications on topicset elements.

keydef

A convenience element that is used to define keys without any of the other effects that occur when using a topicref element: no content is included in output, no title is included in the table of contents, and no linking or other relationships are defined.

See the specifications on keydef elements.

topicsetref

References a topicset element.

See the specifications on topicsetref elements.

To insert a topicref element in a DITA map:

1)Place the insertion point at the root level of the map element, in the Structure View.

2)Choose DITA > Insert Topicref.

3)If you select topicref, mapref, topicset, or keydef, the Insert Element dialog displays:

Insert Element dialog

4)To use the inserted topicref as a key reference, enter a key name.

For details, see Using keyspaces to manage DITA key references.

5)In the HRef box, enter the location of the topic to reference.

Or click Browse to navigate and select the topic.

The topic is added as a direct reference.

Alternatively, if you have defined a keyspace for the current topic, you can select a key reference in the KeyRef drop-down list.

The topic is added as an indirect reference.

For details on key references and indirect referencing, see Using keyspaces to manage DITA key references.

11.3.3.Display DITA map content

After you have inserted one or more topicref elements in a DITA map, you can choose to view the content of the referenced topics in the Document view. You can also open the referenced DITA topics as separate documents in FrameMaker.

Show or hide the preview of topicref elements content

1)To preview the contents on a single reference element, select the topicref element in the Structure View.

To preview the contents of all reference elements, click anywhere in the topic but ensure that no element is selected. You are prompted to show content for all topicrefs. Also, you can choose to display referenced child maps.

2)To preview the content, choose DITA > Resolve Topicref (s) > Show Content.

3)To hide the preview, choose DITA > Resolve Topicref (s) > Hide Content.

tip: To show or hide the preview for a single element, you can also right-click the element and choose Resolve Topicref (s) > Show Content or Resolve Topicref (s) > Hide Content.

note: If a DITA map includes references to child maps, the Show and Hide options in the DITA map will show or hide the topics referenced in the child maps.

In the Document view, FrameMaker displays > to denote that a topic is a top-level topic in the DITA map. >> denotes a topic is a second-level topic and >>> denotes the topic is at level 3 (and beyond) in the DITA map.

Topic levels as denoted by >, >>, and >>>

Open all topics referenced in a DITA map

If a DITA map contains references to one or more topics, you can open all the referenced topics in FrameMaker.

1)Ensure the DITA map is selected.

2)Press the Shift key and choose File > Open All Files in Ditamap.

Alternatively, in the DITA map, choose DITA > Open All Topicrefs.

To close all topic references, press the Shift key and choose File > Close All Files in Ditamap.

note: To open a single topic, double-click the topic in the DITA map.

11.3.4.Save a DITA map

The Save Ditamap As functionality in FrameMaker (File > Save Ditamap As) allows you to save the DITA map to multiple outputs. When you save a DITA map as a book, you can take advantage of the FrameMaker book hierarchical features such as folders and groups. You can use FrameMaker book functionality such as page numbering and table of contents.

The following list of outputs, provide specific functionality:

Composite Document <Version> (*.fm)

A single self-contained FrameMaker document file (.fm). The document contains all the content from the DITA map. For example, the topic references. The topic references are embedded within the document. This implies that any changes to the topic files are not reflected in the composite document. If you share this document with another author, the author does not require the referenced topic documents. However, you can continue to work on the composite document using the available structure tools in FrameMaker.

Book <Version> (*.book)

The DITA map is saved as a .book file that includes each referenced topic file as a document within the book.

Book <Version> with fm components (*.book)

The DITA map is saved as a .book file. Each referenced topic file is converted to a .fm file.

When you save a DITA map as a composite document or book with FrameMaker components, you can use the DITAval conditional output functionality. In the Save Document dialog, if you check the Prompt For DitaVal File option, you are prompted for a DITAval file that you can use to conditionally output the contents to the selected output format. For details on DITAval, see DITAval.

important: You cannot round-trip the DITA map to book conversion. This implies that any changes that you make in the book cannot be cycled back to the DITA map.

11.3.5.DITA referencing

DITA referencing (also known as DITA addressing) provides the capability to reference or link among DITA elements and between DITA elements and non-DITA resources.

You reference DITA content by Content references. You create links to DITA or non-DITA resources, by Using DITA cross-references to single source content. You can also use DITA links to Add links to related content.

The DITA specifications define two types of referencing:

Direct referencing (URI-based addressing)

References are established by pointing direct to the target. For example, in FrameMaker, when you create a conref using direct referencing, you navigate to and choose the DITA topic (.xml file). Similarly, you point directly to the DITA topic (.xml file) to create a DITA link or a DITA cross-reference. Direct referencing requires authors to explicitly choose the file containing the content to reference or link. This can be cumbersome and confusing if you have a large set of related content. Direct referencing is preferred if you do not have a large set of documents that reference or link to.

See the specifications on URI-based (direct)addressing.

Indirect referencing (key-based addressing)

References are established globally at the DITA map level using keys. For example, in FrameMaker, when you create a conref using indirect referencing, you do not point directly to the DITA topic. Instead, you point to a key that is defined Using keyspaces to manage DITA key references. Indirect referencing requires authors to choose user-defined keys when creating references or links. When setting up the keyspaces, a well defined nomenclature should be used to name keys. Indirect referencing is recommended if you are authoring in a large set of related content.

See the specifications on Key-based addressing.

Set up reference content

To create a conref in your DITA topics, you first need to create a DITA topic (direct referencing) or a DITA map (indirect referencing) that contains the content (elements) that you plan to reuse. For example, say you plan to reuse a table, an ordered list, and an image across multiple topics. You will need to add these elements to the source topic. If you are using indirect referencing, the topic is then added to the DITA map. For details, see Using keyspaces to manage DITA key references.

To make an element reusable, you need to assign a unique identifier to the element. For details, see DITA ID attribute. FrameMaker uses this unique identifier to differentiate the conref elements. For example, if you update the source element, FrameMaker uses the unique identifier to identify the elements in the container topics that need to be updated.

DITA ID attribute

The DITA ID attribute provides a method to uniquely identify content (topics or elements) to reference.

In a DITA topic, you can assign a unique ID to an element to use the element when you are creating a conrefs (Content references) or cross-references (Cross-references) to the element from another topic. By default, FrameMaker assigns a unique ID to the topic, when you Create a DITA topic.

See the specifications on ID attribute.

Assign a unique ID to an element

1)In the Structure View, select an element in the source topic.

2)From the DITA menu, select Assign ID to Element.

Alternatively, right-click on the element and choose Assign ID to Element from the pop-up menu.

To check if an element has an ID assigned to it, in the Structure View, click the + (plus) sign to the right of the element.

Unique ID assigned to entry (table cell) element

If you assign a unique ID to an element to which an ID is previously assigned, you will be prompted to replace the existing ID.

Assign IDs to all instances of an element

1)Select an instance of the element for which you want to assign IDs.

2)Select DITA > Assign ID to Elements.

a)If necessary, select the element name in the drop-down. By default, the element selected before selecting Assign ID to Elements is selected in the drop-down.

b)Select Include specialization to assign IDs to specializations of the selected element. If you are in a DITAMAP, select Process Topicrefs in Ditamap to assign IDs to all instances of the selected element in the topics in the ditamap.

c)If you have multiple files open, select All Open Files to assign IDs to all the instances of the selected element in all the open files.

d)Select Assign.

Using keyspaces to manage DITA key references

In a DITA topic, you can directly reference content by specifying the DITA topic file (.xml). For example, to add links in the related links section, of a DITA topic, you can choose the topic files to reference (see Add links to related content).

However, DITA also provides the specifications for using keys to indirectly reference content. See the specifications on Key-based addressing.

Using keys, adds a degree of indirection to the referenced content. When working with keys, the author does not reference topic files directly. The author is provided with a keyspace, a collection of user-defined keys to reference. The keyspace internally references any number of topics. The author is then concerned only with the keys in the provided keyspaces. Also, since the keys are user-defined, they can be named appropriately to allow author to easily recognize them.

The keydef elements are used to create keymaps since, by default, these elements are not generated in DITA output.

Create a keyspace

A keyspace is created using a DITA map. To create a DITA map to use as a keyspace, you need to add keydef elements to the DITA map.

1) Create a DITA map.

2)Add keydef elements to the DITA map. For details, see Insert topicref elements in a DITA map.

The keys attribute is used to identify a specific keydef in a keyspace. Since the keys attribute is mandatory for a keydef element, you can specify the attribute value in the Attributes for New Elements dialog or in the Key Name field in the Insert Element dialog.

An author using the keyspace then will only refer to the key names and not directly to the associated DITA topics. For this reason, you should specify key values that are clearly indicative of the referenced (underlying) topic content.

3)Save the DITA map.

Set the default keyspace

An author uses keyspaces to create indirect references to content. If multiple keyspaces are loaded in the FrameMaker environment, you need to specify the default keyspace to use for the current or all the open documents.

1)Open the Set Keyspace dialog (DITA > Keyspace > Set Keyspace).

Set Keyspace dialog

2)In the Keyspace drop-down, select from the list of keyspaces.

To add or remove keyspaces in the environment, click Keyspaces. For details, see Manage keyspaces.

3)Choose to apply the selected keyspace to the current topic or to all the currently opened documents.

4)To set the selected keyspace as the default, click OK.

Manage keyspaces

To use a key reference in your DITA topic, you need to load the container keyspaces in FrameMaker authoring environment. After you have loaded the keyspaces in the environment, you can Set the default keyspace.

1)Open the DITA Keyspace Manager dialog (DITA > Keyspace > Manage Keyspaces).

DITA Keyspace Manager dialog

2)From the Keyspace drop-down list, select a DITA map that is defined as a keyspace. For details, see Create a keyspace.

If the required DITA map is not available in the list, click Load Keyspace and select the DITA map file.

The key references defined in the keyspace are displayed in the Defined Keys list.

If you make changes to the keyspace (DITA map) after loading the keyspace in the current environment, click Refresh to view changes to the key references.

3)To specify the default keyspace, click Set as Default.

After you have loaded multiple keyspaces into the environment, you can Set the default keyspace from the Set Keyspace dialog.

Update DITA references

You can create references in DITA topics or map, by any of the following methods:

•Conrefs (See Content references)

•Cross-references (See Cross-references)

•Topicrefs (See Insert topicref elements in a DITA map)

If you update the referenced content, the references in the current topic are not immediately updated. For example, if a DITA map references a specific topic and the title of the topic is changed, the updated title does not immediately display in the DITA map.

To update the references in a selected topic or map, use the DITA Update References dialog:

1)Choose DITA > Update References.

The DITA Update References dialog is displayed:

DITA Update References dialog

2)To update the references in the current topic or map, check the specific options and click OK.

Find References

You can search through a document or recursively through multiple files in a folder for links such as conref, topicref, link, or xref. By default, the Find References dialog box populates the ID of the current topic and element, if any is selected. Typically, you select the element which is referenced elsewhere, and then call this option.

1)Select DITA > Find References. Or, to find the reference of the current element, right-click within the element, and select Find References. The element ID is populated automatically.

2)On the Find References box, enter the ID of the element, if necessary.

3)Optionally, to limit the search within a keyspace, select the keyspace for the current document.

4)Set the search scope. If you select a folder, you can recursively search for references to the element in all the files in the folder.

5)Click Search.


Bookmaps

11.4.Bookmaps

A bookmap is a specialized DITA map that allows you to organize and print your DITA topics as a book. A bookmap defines elements such as chapter and appendix. A DITA map does not impose structural rules with regards to the sequence of the topic references. However, to maintain a book structure, the bookmap defines rules such as disallowing a chapter element after the appendix element.

See the specifications on Bookmaps.

The FrameMaker user interface elements for a bookmap are identical to the elements for a DITA map. For example, by default, the bookmap opens in the Resource Manager.

1)Choose DITA > New DITA File > New <bookmap>.

2)The chapter, part, appendix, and appendices elements are referenced elements.

To add these elements, follow the procedure used to Insert topicref elements in a DITA map.

3)You can include relationship tables in a bookmap.

For details on relationship tables, see Relationship tables.


DITAval

11.5.DITAval

In FrameMaker, you use a ditaval file to generate conditional output. You write a single document with conditional content (using element attributes). You then create a ditaval file in which you specify the content to create multiple outputs versions of the document based on the applied attributes.

11.5.1.Set up DITA topics to use DITAval

You can make elements in a DITA document conditional by applying condition attributes to the elements. You then define, in a ditaval file, the elements to exclude or include in the output based on the condition attributes.

Before you create documents with conditional content, you need to first plan the criteria for the output. For example, say that a document has content that is conditionally targeted at administrators and end users. In the document, you apply condition attributes based on the target audience of the content (see Applying condition attributes to elements). You then create a ditaval file in which you specify the elements to include and exclude based on the attribute value defined in the document (see Creating a ditaval file to create conditional output.

Applying condition attributes to elements

To allow FrameMaker to conditionally process elements in a DITA document, you need to specify the elements to include or exclude for the output. In the document, you apply one or more of the following conditional attributes to the elements that you need to conditionally process:

audience:

Example: Administrators, authors, or end users.

platform:

Example: Windows, MAC, or Linux

product:

Example: FrameMaker, RoboHelp, or Captivate.

otherprops:

Use this attribute to define any other property that you need to use to enable conditional processing for the document. A few examples:

delivery

Example: Print, PDF, or Web

model

hatchback or sedan

You can apply multiple attributes to an element. For example, you can apply audience: administrator and platform: windows to an element. You can also add multiple values (each separated by a space) to a single attribute. For example, you can set platform: windows linux for content targeted at both Windows and Linux.

important: The attributes listed above are recommended for use when working with Ditaval to single-source content. However, you are not restricted to only using these attributes. You can use any attribute defined for the selected element in a document.

To apply condition attributes to an element

1)Select an element in the Structure view of the document.

2)Open the Attributes pod (Element > Edit Attributes).

Update one or more of the following attributes:

•audience

•platform

•product

•otherprops

3)Specify the above condition for each of the element in the document that needs to be processed conditionally.

After you apply the attributes to the specific elements in the document, you conditionally output the content in your document depending on how you set up your ditaval file.

Creating a ditaval file to create conditional output

After setting up your content using condition attributes (audience, platform, product, and otherprops) to define the elements that FrameMaker conditionally processes for output, you need to create a ditaval file. In a ditaval file, you define, based on an attribute name - value pair, the conditional processing of your document. For example, you can specify that content targeted at administrators must exclude from the output content targeted at end users or authors.

To create a ditaval file:

1)Open the New XML dialog (File > New > XML).

2)In the Structured Applications section, select DITA_1.2_DITAVAL and click OK.

The top element of a ditaval file is the val element.

To define conditions, you need to create prop elements.

3)Add one or more prop elements:

Double-click the prop element in the Element pod (Element > Element Catalog).

Or press Ctrl+1 to display the Smart Catalog and choose prop and press Enter.

The Attributes for New Element dialog is displayed.

Attributes for New Element dialog

4)In the Attributes for New Element dialog, specify the following attributes:

action

Choose to include or exclude the specified attribute (att, below) from the output.

att

The condition attribute name applied to the element in your document.

Enter the attribute name exactly as it is defined in the document element.

val

The condition attribute (att) value as defined in the element.

Enter the value exactly as you specify it for the attribute in the element.

For example, say that you apply the audience attribute to an element for conditional output and you set the value as admin. You need to enter audience in the attr field for the prop element in the ditaval file. Also, you need to enter admin in the val field. To exclude the element with the audience attribute set to admin, specify the action as exclude.

5)Click Insert Element and save the ditaval file.

6)Save the document with the .ditaval extension.

11.5.2.Generate conditional output

This section covers, with a sample use-case, the steps to generate a PDF output containing conditional content.

note: The sample used in this section includes content only in paragraph (p) tags. You can, however, create conditional output from any DITA element in a document.

1)Create a DITA topic with four paragraph (p) elements:

a)Content ONLY for administrators.

Set the audience attribute to admin.

b)Content ONLY for authors.

Set the audience attribute to author.

c)Content for administrators and authors

Set the audience attribute to admin author.

d)Content for end users and authors.

Set the audience attribute to end_user author.

2)Save the document.

3)Create ditaval file with four prop elements:

a)attr: audience

val: admin

action: include

b)attr:audience

val:author

action: exclude

c)attr:audience

val:end_user

action: exclude

The above ditaval will output all content targeted at administrators.

4)Create a ditamap and include the above document and save the ditamap as a PDF (File > Save).

5)In the Save Document dialog, check the Prompt For DitaVal File option and click Save.

6)Select the ditaval file created in step 4 and click Choose.

The Apply As Condition option will output the entire contents. However, the contents that is marked as excluded in the ditaval file is output with a strike-through. You choose this option for document review. For example, use this option to indicate to a reviewer the contents that is marked as excluded.

7)In the PDF Setup dialog, click Set.

The output PDF file includes and excludes content based on the attributes that are set up in the document and the corresponding ditaval file.


Content references

11.6.Content references

A content reference (conref) is used to create a reference to content (elements) from a DITA topic or DITA map in another DITA topic. Using a conref you can reuse content (elements) across DITA topics. A conref is based on the DITA ID attribute assigned to the element. This implies that if the position of an element in the topic changes, the reference remains intact as long as the ID remains intact.

You can use direct referencing to point directly to the DITA topic (.xml file) containing the target topics or elements. Alternatively, you can use indirect referencing to point to keys defined in keyspaces. For more details, see DITA referencing.

You can create conrefs for almost any element in the DITA element catalog. You create conrefs for a DITA topic to make an entire topic reusable. You can also create a conref for a keyword or ph element to reuse a term or even word. The only requirement to create a conref is that the element must define the DITA ID attribute.

11.6.1.Set up a topic to use conrefs

To create a conref in your DITA topics, you first need to create a DITA topic (direct referencing) or a DITA map (indirect referencing) that contains the content (elements) that you plan to reuse. For example, say you plan to reuse a table, an ordered list, and an image across multiple topics. You will need to add these elements to the source topic. If you are using indirect referencing, the topic is then added to the DITA map. Also, to make an element reusable, you need to assign a unique identifier to the element. For details, on how to make DITA content reusable, see Set up reference content.

11.6.2.DITA conref dialog

Use the DITA conref dialog to add direct and indirect conrefs to DITA content.

To open the DITA conref dialog:

•From the DITA menu, choose Insert Conref.

DITA conref dialog

Use the DITA Conref dialog to:

A (Refer to key):

Check this option to insert a conref using DITA referencing. See Create a DITA link.

B (Edit):

Open the Key Reference dialog. In this dialog, select the key from the Key drop-down list. The keys in the drop-down list are defined in the keyspace assigned to the current topic. For details, see Set the default keyspace. For details on how to create keyspaces, see Create a keyspace.

C (Refer to file):

Check this option to insert a conref using DITA referencing. See Create a conref.

D (Browse):

Browse for a DITA topic containing the reusable elements.

E (DITA topic list):

Select a DITA topic from the list of currently opened topics for direct references.

F (Edit):

Open the source DITA topic in FrameMaker to edit.

G (Element Tag):

Select an element tag to list the elements of that tag in the Element Data list.

H (Element Data):

Select an element to include as a conref in the current topic.

I (Show All):

Show all the elements for the selected element tag. Show all elements of the element type. The Element Data list also displays elements that are not assigned unique identifiers. You can select to create a conref of elements that are not currently assigned a unique ID. In this case, FrameMaker assigns a unique ID to the element in the source topic.

J (Conref End Element):

Select an element as the last element in the range of elements to conref. For details, see Creating a conref to a range of elements.

11.6.3.Working with conrefs

You can create a conref in a DITA topic or map using the DITA conref dialog.

This section covers the following topics:

• Create a conref

• Creating a conref to a range of elements

• Updating conrefs

Create a conref

To create a conref to a DITA topic or map in your current topic or map, you first need to Set up reference content in the target topics or maps

Next, you create a direct or indirect reference to the target DITA content.

1)Place the insertion point at the location to insert the conref in a topic or map.

To insert a conref at a location in the topic, you need to place the insertion point relevant to the conref element:

An li (list) conref element must be placed in an ol or ul list.

A table row must be placed in a table or simpletable.

In the case of a table entry, you cannot place the insertion point in the table row; you need to select the existing entry that you want to replace.

2)From the DITA menu, choose Insert Conref.

The DITA conref dialog is displayed.

3)You can choose to add a link as a direct or indirect reference to the target content. For details, see DITA referencing.

To create a direct reference to the target content:

a)Check Refer to file.

b)In the drop-down list, choose from the available DITA topics that contain conref elements.

If the topic is not available in the list, browse for the topic.

note: To open the selected topic in the drop-down list, click Edit.

c)After you select the DITA topic, the Element Tag list displays the elements to which unique identifiers are assigned.

The elements in the DITA topic of the selected element tag that are assigned a unique identifier are displayed in the Element Data list. If an element is not assigned a unique ID, you can Assign a unique ID to an element or check Show All to display all elements of the element type.

d)Select an element to insert as a conref in the current topic.

The elements in the DITA topic of the selected element type that are assigned a unique identifier are displayed in the Element Data list.

The list also displays the ID and the contents (in the case of text elements) of the elements.

If you make changes to a conref element in the source topic, you will need to save the source topic and update the container topic to view the updates.

To create an indirect reference to the target content:

a)Check Refer to key and click Edit.

b)In the Key References dialog, select the required key from the Key drop-down list.

For details on how to add key references, see Using keyspaces to manage DITA key references.

After you select the key, the Element Tags list displays the DITA topic types included in the keyspace. You can read more on how to Create a keyspace.

c)Select an element tag.

The elements in the DITA topic of the selected element type that are assigned a unique identifier are displayed in the Element Data list. If an element is not assigned a unique ID, you can Assign a unique ID to an element or check Show All to display all elements of the element type.

d)Select an element to insert as a conref and click OK.

4)Click Insert.

Creating a conref to a range of elements

You can create a conref to a range of elements. For example, say you have number of p (paragraphs) elements that you want to conref in a range. You can create one conref to all the p elements.

note: To specify a range for the content reference, the elements within the range must be of the same type. At least the start and end elements must have unique identifiers.

1)To select the first element in the range perform steps in the section Create a conref but do not click Insert.

2)In the Conref End Element drop-down list, choose the last element in the range to include in the conref.

3)Click Insert.

Updating conrefs

If you update a reusable element after you reference it in another topic, you need to update the conrefs in the topic to view the updates.

To update the conrefs in a topic:

1)From the DITA menu, choose Update References.

The DITA Update References dialog is displayed.

2)Check Update All Conrefs in File.

3)Click OK.

All the conrefs in the current topic are updated.


Cross-references

11.7.Cross-references

You can provide your readers with links to elements contained in the same topic or to elements in other topics. In FrameMaker, you can create links using DITA cross-references. A DITA cross-reference is based on the DITA ID attribute assigned to the element. This implies that if the position of an element in the topic changes, the link remains intact as long as the ID remains intact.

You can use direct referencing to point directly to the DITA topic (.xml file) containing the target topics or elements. Alternatively, you can use indirect referencing to point to keys defined in keyspaces. For more details, see DITA referencing.

You can create cross-references to almost any element in the DITA element catalog. You create cross-references to a DITA topic to make an entire topic reusable. You can also create a cross-reference to a keyword or ph element to link to a term or even word. The only requirement to create a cross-reference is that the element must define the DITA ID attribute.

11.7.1.Set up topics to use cross-references

To create a cross-reference in your DITA topic, you first need to create a DITA topic (direct referencing) or a DITA map (indirect referencing) that contains the content (elements) that you plan to reuse. For example, say you plan to reuse a table, an ordered list, and an image across multiple topics. You will need to add these elements to the source topic. If you are using indirect referencing, the topic is then added to the DITA map. Also, to make an element reusable, you need to assign a unique identifier to the element. For details, on how to make DITA content reusable, see Set up reference content.

11.7.2.DITA Cross-Reference dialog

Use the DITA Cross-Reference dialog to add direct and indirect cross-references to DITA content.

DITA cross-reference dialog

Use the DITA Cross-Reference dialog to:

A (Refer to Key):

Check this option to insert an indirect cross-reference. See Create a cross-reference.

B (Edit):

Open the Key Reference dialog. In this dialog, select the key from the Key drop-down list. The keys in the drop-down list are defined in the keyspace assigned to the current topic. For details, see Set the default keyspace. For details on how to create keyspaces, see Create a keyspace.

C (Refer to File):

Check this option to insert an direct cross-reference. See Create a cross-reference.

D (Browse):

Browse for a DITA topic containing the reusable elements.

E (DITA topic list):

Select a DITA topic from the list of currently opened topics for direct references.

F (Edit):

Open the source DITA topic in FrameMaker to edit.

G (Element Tags):

Select an element tag to list the elements of that tag in the Element Data list.

H (Element Data):

Select an element to include as a cross-reference in the current topic.

I (Show All)

Show all the element tags defined in the selected DITA content. Includes elements that are not used in the content.

J (Show All):

Show all the elements for the selected element tag. Show all elements of the element type. The Element Data list also displays elements that are not assigned unique identifiers. You can select to create a conref of elements that are not currently assigned a unique ID. In this case, FrameMaker assigns a unique ID to the element in the source topic.

K (DITA xref Element):

Choose the cross-reference element to use. By default, the element is xref.

See the specifications on link.

L (Text)

Specify the link text to display as literal text,

M (Format)

Or, choose Format and select a format from the drop-down list:

DITA Default Format

Display the title of the reference topic.

See_Title_and_Page

Display See <topic title> on <page number>.

Title_and_Page

Display <topic title> on <page>.

N (External Xref)

Insert a cross-reference to an external (non-DITA) resource. In the DITA External Xref dialog, enter the external cross-reference in the Xref Target (href) field. Optionally, you can specify a link text. Else, the link entered in the Xref Target (href) field is used for the link text.

11.7.3.Create a cross-reference

To create a cross-reference from one DITA topic in another topic or map, you first need to Set up reference content in the target topics or maps.

Next, you create a direct or indirect cross-reference to the target DITA content.

1)Place the insertion point at the location to insert the cross-reference in a topic or map.

A cross-reference is an inline DITA element. This implies that you need to insert the element inline with an existing element. You can insert a cross-reference in elements such as the paragraph (p) or list item (li).

2)From the Elements catalog, choose the xref element.

The DITA Cross-Reference dialog is displayed.

3)You can choose to add a cross-reference as a direct or indirect reference to the target content. For details, see DITA referencing.

To create a direct reference to the target content:

a)Check Refer to File.

b)In the drop-down list, choose from the available DITA topics that contain cross-reference elements.

If the topic is not available in the list, browse for the topic.

note: To open the selected topic in the drop-down list, click Edit.

c)After you select the DITA topic, the Element Tag list displays the elements to which unique identifiers are assigned.

If an element is not assigned a unique ID, you can Assign a unique ID to an element. Alternatively, check Show All to display all elements of the element type.

d)Select an element to insert as a cross-reference in the current doc.

The elements in the DITA topic of the selected element type that are assigned a unique identifier are displayed in the Element Data list.

The list also displays the ID and the contents (in the case of text elements) of the elements.

e)Select the cross-reference element.

If you make changes to a cross-reference element in the source topic, you will need to save the source topic and update the container topic to view the updates.

To create an indirect reference to the target content:

a)Check Refer to Key and click Edit.

b)In the Key References dialog, select the required key from the Key drop-down list.

For details on how to add key references, see Using keyspaces to manage DITA key references.

After you select the key, the Element Tags list displays the DITA topic types included in the keyspace. You can read more on how to Create a keyspace.

c)Select an element tag.

The elements in the DITA topic of the selected element type that are assigned a unique identifier are displayed in the Element Data list. If an element is not assigned a unique ID, you can Assign a unique ID to an element or check Show All to display all elements of the element type.

d)Select an element to insert as a cross-reference and click OK.

4)Choose the link element to use.

5)Choose the element to display the link text.

6)In the Display Using section, specify the text or format to display in the link.

7)Click Insert.


Relationship tables

11.8.Relationship tables

In a set of DITA topics, you often have topics that are related to each other. In this case, you might want to include a set of related (see also) links at the end of each topic. This provides your readers with further reading reference, if required.

For example, if you are covering the Save As options in FrameMaker as separate topics:

•Save As

•Save As PDF

•Save As Review PDF

•Save As XML

In this case, at the end of each of these topics, you might include related links to the other three topics.

Using DITA maps

Relationship tables in FrameMaker allow you to create related links in DITA topics. You use relationship tables in DITA maps. This implies that you need to create a DITA map and then include the topics in your topic set in the DITA map. You then add relationship tables to the map. In the relationship tables you define the related topics contained in the DITA map.

DITA types to add

You can add the following DITA topic types to a relationship table:

•Topic

•Task

•Concept

•Reference

Adding related topics to a relationship table row

To specify that two or more topics in a DITA map are related, you need to add these to a single row in a relationship table. For the steps to create a relationship table, see Create a relationship table.

For example, to specify that the topics Save As, Save As PDF, Save As Review PDF, and Save As XML are related topics:

Relationship table in Document view

note: A relationship table in FrameMaker, when viewed in the Document view has the same appearance as a FrameMaker table that you include as part of your content.

You can add any number of rows to a relationship table. FrameMaker treats all topics in a row as related.

You can add any number of relationship tables to a DITA map. You might do this to group together sets of related topics.

Specifying the order of related topics in a relationship table row

The order of the related topics in a table row defines the sequence in which the topics display in the Related Links section of the DITA map output.

In the following example, the Related Links section of the Save As PDF topic will display as:

•Save As

•Save As Review PDF

•Save As XML

Relationship table in Document view

This implies that if you change the order of the topics in the table, the sequence in the Related Links section will display differently.

11.8.1.Create a relationship table

1)In the Structure View of a DITA map, place the insert point at end of the topic and at the same level as the topicref elements.

2)To display the Smart Catalog, press Ctrl + 1 and choose reltable.

The Insert Table dialog is displayed.

3)Specify the number of columns and rows.

The number of columns depends on the number of related topics that you plan to group together.

The number of rows depends on the number of groups of related topics that you plan to create.

note: You can also choose to create multiple relationship tables for multiple groups of related topics.

4)Click Insert.

A relationship table is added to the DITA map.

5)To display the relationship table in a tabular view, go to the Document view.

While you can add topics to a relationship table from the Structure view, the tabular view provides a more convenient mode to work with.

Default relationship table (with 4 columns and 1 body row)

In each cell of the relationship table header, you specify the DITA topic type of the related topics that you plan to include in body cells of the column.

FrameMaker allows you to add the following DITA topic types to a relationship table:

•Topic

•Task

•Concept

•Reference

note: By default, FrameMaker supports the Topic type. So if you plan to only include topic types in the table, you do not need to set the type attribute.

6)To add a specific DITA topic type to a column in the table:

a)Place the insertion pointer in the table header cell.

b)Open the Attribute dialog (Element > Edit Attributes).

c)Set the type attribute to the DITA topic type:

Topic type - attribute value: topic

Task type - attribute value: task

Concept type - attribute value: concept

Reference type - attribute value: reference

important: The attribute values are case-sensitive.

If you set type attribute as described above, the column title is updated:

Updated type attributes

7)In each cell of a row in the relationship table, you add a topic reference of the related topics. This implies that, one set of related topics need to be included in the cells of one row of the table.

To add topic references of related topics in the table body cells:

a)Place the insertion point in the a cell of a row, in the Elements catalog (Element > Element Catalog), double-click the topicref element to add it to the cell.

The Insert Element dialog is displayed.

You can also use the Smart Catalog to insert the topicref element.

Press Ctrl+1 to display the Smart Catalog. Select and add the topicref element.

b)In the HRef field, enter the path to a topic file and click OK.

Alternatively, use the Browse button to navigate to and select the topic.

The topic reference is added to the table row.

tip: If you are unable to add a topic reference to a table cell, check the topic type specified in the column header.

c)Add one topic reference (to a related topic) to each cell of the table row.

If the table included multiple rows, you can add multiple groups of related topics (references) to each row.

Sample relationship table workflow

To test the output after Create a relationship table in a DITA map, you can use the Save As PDF option in FrameMaker.

1)Ensure that the DITA map is selected.

2)From the File menu, choose Save As PDF.

3)In the PDF Setup dialog, click Set.

The PDF output of the DITA map displays the Related Links sections for the topics that you include in the cells of the relationship tables in the DITA map.

important: The PDF Save As functionality is used in this section as an example. You can also publish the DITA map to the output formats available in FrameMaker’s Multi-Channel publishing feature.

The topics display in the same order as which you specify them in the cells of the table row.

Also, related topics that display do not include the current topic. In the sample relationship table described below:

Relationship table in Document view

The Save As topic Related Links section displays:

•Save As PDF

•Save As Review PDF

•Save As XML

It does not display the Save As (current) topic.


Publishing

11.9.Publishing

From FrameMaker you can use the following processes to generate output for your DITA content.

• Save as PDF

• Multi-channel publishing

• DITA Open Toolkit

11.9.1.Save as PDF

The FrameMaker Save As PDF feature allows you to output a DITA topic or DITA map (including bookmap) as a PDF. The PDF output that is created uses the display of the WYSIWYG view. This means that the structured application formatting rules applied to the topic or map are output to the PDF.

To create a PDF output of a DITA topic, choose File > Save As PDF.

If you use the Save As PDF feature to create a PDF output of a map, in the Save Document dialog, you can choose the option Prompt For DitaVal File.

You can use the DitaVal feature to conditionally output the contents of the topics in the map. For details, see DITAval.

11.9.2.Multi-channel publishing

The multi-channel publishing feature of FrameMaker allows you to output DITA topic or map to the following output formats:

•Responsive HTML 5

•WebHelp

•EPUB

•Kindle

•Microsoft HTML Help

11.9.3.DITA Open Toolkit

The DITA Open Toolkit (DITA-OT) is a set of Java-based, open source tools that provide processing for DITA maps and topic content.FrameMaker has out-of-the-box support for DITA Open Toolkit 1.8. DITA OT transforms DITA content (maps and topics) into deliverable formats.

By default, FrameMaker allows you to output your DITA content to the following three outputs:

1)PDF2

2)XHTML

3)CHM (Install HTML Help Workshop to generate CHM)

You can also generate output for formats such as Docbook, Java help, and RTF. To enable other output formats, see Change the output type list.

Generate output using DITA OT

1)With the appropriate DITA file in focus, select DITA > Generate DITA OT Output.

The Generate DITA-OT dialog is displayed.

Generate DITA-OT Output dialog

2)Select an output type.

3)By default, the DITA-OT is installed when you install FrameMaker. However, if you have separately installed the toolkit, you can specify the install location in the DITA-OT Directory field. The change to the field is only applicable for the current output. The next time you open the Generate DITA-OT Output dialog, the directory is reset to the FrameMaker default. To change the default directory, see Use a different DITA-OT package.

4)Choose a DitaVal file to specify conditional filtering of content using attribute-value pairs defined in the DitaVal file. For more information on using DitaVal files, see DITAval.

If you plan to use the same DitaVal file when generating out for multiple documents, you can specify the file name and location in the ditafm.ini. In this case, you do not need to choose a DitaVal file every time you generate the output.

note: If you specify a DitaVal file in both locations (ditafm.ini and Generate DITA-OT dialog), the file chosen in the Generate DITA-OT take precedence.

5)Click Build.

FrameMaker invokes DITA-OT and generates the output in the same folder as the source topic or map.

Change the output type list

By default, FrameMaker allows you to use the DITA-OT to generate output for PDF2, XHTML, and HTML help. However, you can use the toolkit to generate output for a number of other formats. To generate output in other formats, you need to update the ditafm.ini.

important: The following procedure requires changes to the ditafm.ini file. Before making any changes, you are recommended to take a backup of this file.

1)Open the ditafm.ini file. (<FrameMaker install location>\fminit\ditafm\ditafm.ini)

2)Locate the following text in the file:

Count=3
DitaDir=%FMHOME%\fminit\ditafm\DITA-OT
1=xhtml
2=htmlhelp
3=pdf2

note: The numbered list above is the same as the list of output formats available in the Generate DITA-OT Output dialog.

3)To add or remove output types from the Generate DITA-OT Output dialog, you need to specify the Count as the number of types to display in the list.

4)The following list is the list of all available output types that you can include. To include one or more of the following types, you need to add these to the numbered list and ensure that the number sequence is maintained:

•docbook

•eclipsecontent

•eclipsehelp

•htmlhelp

•javahelp

•net.sourceforge

•html

•odt

•pdf

•tocjs

•troff

•wordrtf

•xhtml

note: The output type entries in the ditafm.ini file are case-sensitive. You need to make the entries as list above.

The following example adds the Eclipse help and Word RTF formats to the existing list.

Count=5
DitaDir=%FMHOME%\fminit\ditafm\DITA-OT
1=xhtml
2=htmlhelp
3=pdf2
4=eclipsehelp
5=wordrtf

note: You can completely change the list to include any set of output types.

5)Restart FrameMaker for the changes to take effect.

Use a different DITA-OT package

FrameMaker has integrated DITA Open Toolkit 1.8. If you already have a different version of DITA Open Toolkit installed, you can customize the DITA Open Toolkit path by editing the dita initialization file. For a one-time change, you can change the directory path when you generate the output using the DITA Open Toolkit.

To change the FrameMaker default DITA-OT directory:

1)Open the ditafm.ini file. (<FrameMaker install location>\fminit\ditafm\ditafm.ini)

2)Locate the following text in the file:

DitaDir=%FMHOME%\fminit\ditafm\DITA-OT

3)Modify the value of DitaDir to point to the alternative DITA-OT folder.

For example, c:\DITA-OT1.7.5_standard_bin.

4)Restart FrameMaker.

The new DITA OT path is populated in the DITA Generate Output dialog.


DITA specialization

11.10.DITA specialization

FrameMaker facilitates automatic conversion of base files to specialized files, after the user inputs the specialized DTD. To perform the conversion:

1)Click DITA > DITA Specialization. The conversion screen is displayed as follows:

DITA Specialization wizard

2)Specify the source files (Read/Write Rules, EDD and Template File). Specifying these files is optional. However, for proper specialization, specify these files.

3)Specify a Public ID as desired. Specifying a Public ID is optional.

note: If you do not provide a Public ID, the XML files created from these specialized files may not be portable to other systems. The XML files will contain the absolute path of the DTD that may not be available on other systems.

4)Specify the destination folder and the names of the corresponding output files and click OK.

The conversion can take a couple of minutes depending on the size of the input files.

note: When you select the Create New Structured Application option, the system opens the structured application dialog. The user selects the desired base application. The system then automatically adds the document types and advanced settings to the new application.

note: Logs are generated and shown on screen during the conversion process.

Related links:

Integrating DITA SpecializationwithFrameMaker

r


Customization

11.11.Customization

The DITA Options dialog in FrameMaker allows you to configure options such as the DITA version and auto-load settings to open DITA topic files.

Use the DITA Options dialog to set general, import, and export-related DITA options. DITA options are global settings for the authoring environment. This means that changes to the option affect all DITA files that you work on.

To open the DITA Options dialog, choose DITA > DITA Options.

DITA Options dialog

DITA Version

By default, FrameMaker is set to use DITA 1.2. With this option, you can open and work on documents created with earlier version DITA. However, if you add any elements or attributes that are available only with DITA 1.2 and save the topic, the topic is converted to DITA 1.2. If you open that topic later with an earlier version of DITA, you will get validation errors.

New Type

You can set the default file type that FrameMaker will use when you create a new topic. The default ‘New’ Type specifies the filename extension for a new topic (.xml or .dita). This extension is applied only if you do not specify an extension for the new file.

ID Prefix

If the Auto-Add IDs If Required By Element option is checked, you can specify a prefix to the topic ID that is auto-generated by FrameMaker. By default, FrameMaker adds id as the prefix to the topic ID.

Auto-Load Topicrefs On File Open

Load the Topicrefs in a DITA map when you open the file in FrameMaker. See DITA maps

Auto-Load Conrefs On File Open

Load the conrefs in a topic when you open the file in FrameMaker. See Content references.

Auto-Load Xrefs On File Open

Load the cross-references in a topic when you open the file in FrameMaker. See Cross-references.

Auto-Load Graphics (Documentum Only)

Load the images in a topic when you open the file in FrameMaker.

Conditionalize Prolog On File Open

Conditionally show or hide the prolog elements in a DITA topic. When you check this option, the next time FrameMaker launches, the DITA-Prolog conditional tag is applied to the prolog elements. The DITA-Prolog conditional tag is then set to hide.

In addition, the conditionalized text is saved (exported) regardless of whether it is showing (“OutputAllTextWithoutPIs”). If, on import, no associated conditional tag is found in the structured template, the conditional tags are added and set to Show (in red).

If the Conditionalize option is not selected, all prolog elements are imported and displayed using the formatting from the EDD and structured template with no conditional tags applied.

Conditionalize Comments On File Open

Conditionally show or hide the comment elements in a DITA topic. When you check this option, the next time FrameMaker launches, the DITA-Comment conditional tag is applied to the comment elements. The DITA-Comment conditional tag is then set to hide.

In addition, the conditionalized text is saved (exported) regardless of whether it is showing (“OutputAllTextWithoutPIs”). If, on import, no associated conditional tag is found in the structured template, the conditional tags are added and set to Show (in red).

If the Conditionalize option is not selected, all comment elements are imported and displayed using the formatting from the EDD and structured template with no conditional tags applied.

Count Columns In Tables On File Open

Ensures FrameMaker tracks the number of columns across tables while importing a file into a structured topic.

Auto-Add IDs If Required By Element

By default, FrameMaker assigns a unique ID when an element is added if the ID attribute on the element is mandatory. You can deselect this option and later Assign IDs to all instances of an element.

Always Update Navtitle While Updating TopicRef

If the navtitle element is defined for a DITA topic and the topic is referenced in a DITA map, update the title when the updating references in the selected topic or DITA map.

Always Display Navtitle On File Open

If the navtitle element is defined for a DITA topic, display the element when the topic is opened.

Indexterm To Index Marker Conversion

Ensures FrameMaker converts the indexterm elements in a DITA file to FrameMaker index maker entries when opening a DITA file. FrameMaker then converts the markers back to indexterm elements when exporting the FrameMaker document to DITA file.

URI notation for paths

If you specify external references, cross-references or conrefs, select this option to use the forward slash character as the directory delimiter in the path.


Print and publish

12.Print and publish

FrameMaker provides you with a number of options to create output for the documents and books that you author.

FrameMaker allows you to publish content to any one or more of the following output formats:

•PDF

•Responsive HTML5

•Mobile App

•WebHelp

•EPUB

•Kindle

•Microsoft HTML Help

When authoring in XML, you can use XSL Transformation to generate XML or HTML output. FrameMaker also provides a number of options and settings for Print output.


PDF output

12.1.PDF output

The Save as PDF functionality in FrameMaker allows you to create PDF output for your FrameMaker content. When you create PDF output for FrameMaker content, the PDF Setup dialog provides options such as page size, PDF bookmarks, and tagged PDF.

12.1.1.Save as PDF

The Save As PDF functionality in FrameMaker allows you to generate a PDF from the selected FrameMaker document or book.

1)Ensure the required book or document is selected.

2)Choose File > Save As PDF.

3)In the Save Document or Save Book dialog specify a name and location to create the PDF output and click Save.

4)Click Set in the PDF Setup dialog box.

The PDF Setup dialog allows you to Configure PDF settings.

12.1.2.Configure PDF settings

You can customize PDF output settings such as bookmarks, page size, and named destinations in the PDF Setup dialog.

The PDF Setup dialog is opened when you choose File > Save As PDF.

However, to customize the PDF output without creating a PDF for the current document, choose Format > Document > PDF Setup.

In this dialog:

•In the Settings tab, Update general settings.

•In the Bookmarks tab, Customize PDF bookmarks.

•In the Tags tab, Tagged PDF output.

•In the Links tag, Add links from other documents.

Update general settings

In the Settings tab of the PDF Setup dialog, you customize settings such as page size and the options to open the generated PDF.

PDF Job Options

Choose from the available list depending on the required output. For example, for print output, choose High Quality Print. You can choose to keep the PDF file size minimum by selecting Smallest File Size.

note: If you are creating PDF output for a book, select the first file in the book.

Open PDF Document on Page

Choose to open the output PDF at a specific page location and with a defined zoom factor.

View Generated PDF in Acrobat

By default, the output PDF is opened in Adobe Reader. You can choose to open the PDF in Acrobat.

Registration Marks

To print a document with crop marks and registration marks, choose an option from the Registration Marks pop-up menu. In some instances, you may want to scale down the printed page image so that crop marks and registration marks fit on the page.You can choose between Western and Tombo (Japanese) crop marks.

Page Size

Specify the output page’s width and height.

Page Range

Specify to create PDF output for all the pages or a range of pages in the source.

note: If you select a PDF range, bookmarks, tags and hypertext links are excluded from the output.

RGB or CMYK

Select Convert CMYK Colors To RGB to convert CMYK colors to RGB when FrameMaker prints and creates PDF files.

By default, FrameMaker converts CMYK colors to RGB when it prints and creates PDF files. To convert CMYK colors to sRGB, CalRGB, or another type of RGB, set this option. Also set the values in the Acrobat Distiller PDF joboptions file. If you deselect this option, FrameMaker preserves CMYK colors.

note: The setting in the PDF joboptions file takes precedence over the option in the PDF Setup dialog box. So, if your documents still print RGB, correct the settings in the PDF joboptions file.

The CMYK route has a few advantages over the RGB route in that it also provides support for spot colors. The RGB route does not support bigger page sizes but this is not a limitation in the CMYK route.

Customize PDF bookmarks

You can customize the way PDF Bookmarks are generated in the PDF output of a FrameMaker document or book.

Generate PDF Bookmarks

Choose to generate bookmarks in the output PDF.

Bookmarks Expanded through Level

Specify the level to which the bookmarks are expanded when the PDF is opened.

Choose Default to open the PDF with the bookmarks expanded using the default setting of the PDF reader.

Choose None to open the PDF with all bookmarks collapsed.

Choose All to open the PDF with all bookmarks expanded.

You can also enter a number to open the PDF with bookmarks expanded to the specific level.

Bookmark source

Choose paragraphs for FrameMaker documents and Elements for Structured FrameMaker documents.

Bookmark Level

Use the double-arrow buttons below the Include Paragraphs list to increase or decrease the indentation of the bookmarks.

Include Paragraph or Elements in Bookmark Text

Move paragraphs or elements between the Include and Don’t Include list to specify the paragraphs or elements to include in the bookmarks.

To move all paragraphs or elements from one list to the other, press the Shift key and click the arrow.

Articles

Set up article threading:

Thread by Text Frame: To have the reading order of each article follow the same order that the insertion point moves, select Articles and choose Thread by Column from the pop-up menu. This setting is usually the most appropriate in multicolumn formats.

Thread by Column: For a reading order of text frame to text frame, select Articles and choose Thread by Text Frame from the pop-up menu. This setting is usually the most appropriate in single-column formats.

Tagged PDF output

The tagged PDF feature creates PDF files from FrameMaker with logical document structure and extensive metadata for repurposing content. Logical structure refers to the organization of the document, such as the title page, chapters, sections, and subsections.

Tagged PDF provides the following capabilities:

•Ensures that information is in the correct reading order on a page

•Includes paragraph attributes used to correctly re-flow the document contents into different-sized devices, such as eBook reading devices

•Ensures the reliable translation of text into Unicode. This approach recognizes ligatures and hyphens, so that a Windows screen reader can correctly read all characters and words

•Recognizes alternative text descriptions for graphics in anchored frames

•Enables the document to be exported more reliably to Rich Text Format (RTF) and XML from Acrobat 7.0 for reuse in other documents�

Tagged Adobe PDF files include author content, such as pages, articles, paragraphs, tables, and graphics in anchored frames.

Tagged PDF files do not include the following information found in standard PDF files:

•Comments, such as online notes, graphic markups, and text markups

•Pagination artifacts, including all content that comes from master pages (such as page numbers and running headers), and any graphic objects outside anchored frames

•Layout and typographic artifacts, such as colored bars between columns of text, horizontal lines separating footnotes from text, and table borders

•Printing artifacts, such as crop marks, registration marks, and page information printed outside the crop marks

Create a tagged PDF

In the PDF Setup dialog, go to the Tags tab:

Generate Tagged PDF

Check this option to generate a tagged PDF.

Include Paragraphs

To indicate the paragraphs to include in the PDF structure, move paragraph tags between scroll lists. The paragraphs in the Include Paragraphs scroll list are used to define the structural relationship between FrameMaker paragraph tags in the PDF file. To move a tag between scroll lists, select the tag and click an arrow or double-click the tag.

Logical Structure Level

To change structure levels for the included paragraphs, select a paragraph tag and click a Logical Structure Level arrow. To change the level of all items by one level, Shift-click a Logical Structure Level arrow. If the indent for a tag exceeds six levels, n> precedes the paragraph tag, where n is the indentation level of the paragraph tag.

Add links from other documents

You can add a named destination in a PDF in FrameMaker to ensure that external resources can link directly to specific elements or paragraphs within the PDF.

Say, you create PDF from a FrameMaker document and you link from one to the other document. By default, if you to add a link from another document to the target, you will need to re-create both the PDFs from FrameMaker. However, if you create the target PDF to include named destinations, you do not need to re-create the target PDF every time you create a new link to the target.

Import PDF Settings

If you have customized the PDF settings for a document, you can import these settings into one or more documents.

1)Open the source document with the preferred PDF output settings.

2)Open the document or book into which you want to import the preferred settings.

If you are importing the settings into:

•A single document, ensure the document is currently active.

•All documents in a book, ensure the book is selected in the Resource Manager.

•Some of the documents in a book, ensure the documents are selected in the Resource Manager.

3)Choose File > Import > Formats.

The Import Formats dialog is displayed.

4)In the Import Formats dialog, click Deselect All and check Document Properties.

5)To import the formats into the selected documents or book, click Import.

12.1.3.Optimize files created in previous versions

You can create named destinations only for paragraphs referenced in hypertext links or cross-references, thereby reducing file size. However, documents created in versions of FrameMaker earlier than 6.0 undergo a special conversion to take advantage of this method of marking.

The Options command changes the default optimization options, which remain in effect until you change them, even if you exit and restart FrameMaker. The Optimize File command uses the settings specified in the Optimization Options dialog box to prepare your documents for reducing PDF file size.

Optimization options

To open the Optimization Options dialog, choose Format > Document > Optimize PDF Size > Options.

In the Optimization Options dialog:

Optimize PDF Size

Choose to optimize the size of all linked documents or only the current document.

Force Optimization

For a previously optimized document, select Force Optimization to re-optimize.

Optionally, select Clear Existing Optimization Info to remove previous optimization changes.

Prompt When Opening

Prompt to open linked files.

Prompt When Saving

Prompt to save a linked document opened for optimization.

Also, prompt to save every or only previously optimized files.

Optimized Files

Specify whether to overwrite existing files (recommended), or to write files to a directory you specify (for testing) when you click Browse.

Cancel On Error

Stop optimization in case of an error.

12.1.4.PDF conversion guidelines

Follow these guidelines to manage PDF conversion issues such as performance, broken links, image content:

•For the best display of bitmap graphics, import them into the FrameMaker document at a dpi value that divides evenly into the resolution of the intended display device.

•To improve the display performance of PDF files, avoid using complex master pages that contain multiple complex graphics. You can also improve graphics display and reduce file size by selecting Optimize when saving a PDF file in Acrobat.

•To convert a book that has a table of contents or an index, include the TOC or index file in the book file before you save as PDF.

•If performance is slow when viewing a large document converted to PDF, reopen the FrameMaker document or book and deselect Articles. Then convert to PDF again.

•To print a book as separate files, all PDF files are created in the same folder, regardless of the location of the original documents. For this reason, give all the original documents in the separate folders unique names before saving as PDF. Otherwise, some files overwrite others.

•Do not create hypertext links to filenames that use accented characters in their names. Such filenames can change when you save as PDF, causing the hypertext links to fail.

•To include image content in tagged Adobe PDF files, place graphic objects in anchored frames. Add alternate text descriptions for the graphics.


Multichannel publishing

12.2.Multichannel publishing

The increasing number and variety of devices (smartphones, tablets, eBook readers) on which users view documents demands that writers publish content that is readable across these devices. However, the limited resources of people and time makes it extremely expensive to build a different authoring or publishing system for each output format. To enable its users to write once and publish to multiple formats, FrameMaker provides a stand-alone multi-channel, multi-device publishing solution. This solution allows you to publish to the following output formats - providing your readers with access to your documents across different devices and different form factors:

•Responsive HTML5

•WebHelp

•EPUB

•Kindle

•Microsoft HTML Help

When you publish your FrameMaker content to one or more of the output formats, the styles and settings of the published output is defined by the FrameMaker template and content that you use. For example, the style of the Heading1 format in your template mapped to the H1 tag in HTML5 output is black, Times New Roman, 18 px. Or the output format name (Responsive HTML5 or WebHelp) is the title of the HTML output. However, you are not restricted to the out-of-the-box styles and settings. The publishing solution allows you to easily customize the output styles and settings on-the-fly from the same publishing interface.

The Publish dialog allows you to publish FrameMaker content to one or more of the available output formats.

A (Source list)

Select the document or book to publish.

B (Generate selected output)

Select the output format to publish. For details, see Generate output.

C (Generate multiple outputs)

Open the Generate Multiple Outputs dialog and select one or more formats to publish simultaneously. For details, see Generate output.

D (View Output)

View the published output for the selected format if you have previously generated output for the format.

E (Settings)

The Settings drop-down list provides the following options that allow you to edit, create, and browse publish settings for the current document. For details, see Configure publish settings.

The drop-down list also provides the option to an ISF file. For details, see Use the RoboHelp settings (isf) file.

F (Output format list)

Choose an output format.

G & H (Output location)

Enter or choose an output location.

12.2.1.Generate output

The FrameMaker publishing solution allows you to publish content (.ditamap, .xml, .book, .fm, .mif) to any of the available output formats:

1)Choose File > Publish.

The Publish dialog is displayed.

note: When you open the Publish dialog, the drop-down list defaults to Current. This is the file currently in focus. Keep in mind that if you change the focus to another file (book or document) in your workspace, the newly selected file will be published.

2)If required, change the output location.

3)You can publish the content to a single format or multiple formats.

To publish the content to a single output format:

a)Click the format in the list and click Generate Selected Output.

Alternatively, double-click the required output format.

When the publish process is complete, the Publish Result dialog displays the location of the output.

b)You can view the output in the default application (a web browser or an eBook reader) or you can view the log details of the process.

To publish the content to multiple formats:

a)Click Generate Multiple Outputs.

The Generate Multiple Outputs dialog is displayed.

In the Generate Multiple Outputs dialog:

•The Last Generated column displays the last generated date of the specific format

•The Status column displays whether or not the specific format has been published

b)Check the output format to publish and click Generate.

As soon as the Progress dialog closes, notice that the Status column of the selected formats is now set to Generated.

c)To view the output in the default applications (for example HTML in a browser) for the selected formats, click View.

12.2.2.Configure publish settings

When you publish content, the style settings such as heading and body, are defined by the FrameMaker template that is associated with the published document. Also, the output format settings such as the favicon and the search options are defined for each output format. However, the publishing solution provides a number of options to customize the style mapping and output format settings for the publish output.

You can customize the output settings from the Publish dialog, which is accessible from the main menu (File > Publish).

To customize the output settings:

1)Open the Publish dialog (File > Publish) and click Settings.

In the Settings drop-down list, choose:

Edit Settings

To edit the style and output format settings.

New Settings

To create new output settings.

Browse Settings

To browse for an existing setting file.

Import ISF File

To import RoboHelp specific settings into the current settings. For details, see Use the RoboHelp settings (isf) file.

2)Choose Edit Settings.

In the Publish Settings dialog, the Style Mapping tab provides the options to customize the mapping of source FrameMaker styles and the styles for the selected output. By default, the style mapping is obtained from the associated FrameMaker template.

In the Style Mapping tab, you can customize:

• Customize Paragraph styles

• Customize Character styles

• Customize Table styles

• Customize Cross Reference styles

• Customize Other Settings

3)The FrameMaker template for the selected document defines the default styles for the publish output.

a)To use the styles in any other FrameMaker template, click Set Template.

important: Ensure that the template is currently selected.

b)In the Manage Publish Settings Template dialog, select the alternate FrameMaker template.

tip: If you print a book that contains multiple documents, choose the template in this option to ensure that all the documents use the same style mapping.

note: The template that you select is used by the publish process. This means that the styles and settings of the FrameMaker source remains unchanged. The FrameMaker source continues to use the previously assigned template.

4)Click Export Styles, to export the style settings of the selected content to a .CSS file.

a)Open the exported .CSS file in any CSS or text editor. You can edit the styles defined in this class.

b)Click Import Styles, to import the style settings from an existing .CSS file.

The file defines a set of CSS styles that map to the output styles as defined in the Styles option in the Publish Settings dialog.

important: The styles that you have customized in the Publish Settings dialog are defined as overriding styles at the end of the .css file. Each overriding style is defined with a FM_ prefix. The Output Style displayed is appended with an asterisk (*) to indicate a customization to the selected style.

5)To Customize output specific settings, go to the Outputs tab. This tab provides options to:

• Customize Responsive HTML5 output format settingsl

• Customize WebHelp output format settings

• Customize the EPUB and Kindle output format settingse

• Customize the Microsoft HTML Help output settings

6)After you complete the style mapping and output setting customizations, save the updated settings to a STS Settings File (.sts).

important: The settings file is a FrameMaker-specific file. This means that you cannot edit this file in any other program.

Style mapping

The Style Mapping WYSIWYG editor, allows you to map the formats that are available in the current document template to alternative output styles. For example, from the available paragraph formats, you select Heading1. In the FrameMaker template the heading is associated with a specific style. You can then associate Heading1 with alternative output styles.

note: When you associate a template format with an alternative output style, the source document style remains unaffected.

Customize Paragraph styles

1)In the Style Mapping tab of the Publish Settings dialog, click Paragraph.

2)Click Automap Paragraph Styles to map the paragraph styles in the selected content to the paragraph styles defined in the CSS selected for style mapping.

3)To customize the individual styles in the paragraph, expand the Paragraph list and select the style to customize.

The custom options for the selected paragraph style are displayed:

The Style Preview allows you to compare the source style (defined in the Output Style list prior to any customization) with the custom style (defined in the Output Style list, and displayed with an appending asterisk, after customization using the CSS Rule definition dialog).

4)To customize the output style for the selected format, choose an alternative style from the Output Style list.

5)Alternatively, to choose from an expanded list of CSS styles, click the Edit Style button to open the CSS Rule definition dialog.

note: Say, the selected Output Style is [Source] and you use the CSS Rule definition dialog to customize the style. In this case, the Output Style displayed is appended with an asterisk (*) to indicate customization to the selected style.

6)To revert style changes click Clear Source.

note: The asterisk (*) appended in the Output Style is removed to indicate that the style customization is reverted.

7)You can also use the following options:

Exclude from Output:

Exclude the selected tag from the generated output.

Pagination (Paragraph only):

Create a Help topic at each occurrence of the selected MS Word paragraph style. For example, if you select Heading 1 and Pagination (Split into topics based on this style), FrameMaker starts a new topic at every instance of Heading 1.

User Defined HTML Tag:

Select or enter a user-defined HTML tag for the selected paragraph style.

For example:

A paragraph with style ParaStyleOne is imported in FrameMaker as <p class=ParaStyleOne> Paragraph Text </p>.

Specifying this string as Pre for the style ParaStyleOne causes FrameMaker to import the paragraphs with the style ParaStyleOne as <pre> Paragraph Text </pre>.

Autonumber (Paragraph only):

Ignore

Choose this option if the autonumber text is relevant only in print format. The converted paragraph does not contain autonumbering. For example, suppose you ignore autonumbering for the FrameMaker paragraph format "Section2 Level." In this case, "Section 1.1: System Requirements" in the source appears as "System Requirements" in the published output.

Convert to HTML List

Convert the autonumber to HTML lists using HTML tags such as <ol>, <ul>, and <li>.

Convert to Text

Retain the appearance of the FrameMaker numbered lists. The autonumber part loses its sequencing properties and appears as part of the paragraph text in FrameMaker topic.

Customize Character styles

1)In the Style Mapping tab of the Publish Settings dialog, click Character.

2)Click Automap Character Styles to map the character styles in the selected content to the character styles defined in the CSS selected for style mapping.

3)To customize the individual styles in the character, expand the Character list and select the style to customize.

The custom options for the selected character style are displayed:

The Style Preview allows you to compare the source style (defined in the Output Style list prior to any customization) with the custom style (defined in the Output Style list, and displayed with an appending asterisk, after customization using the CSS Rule definition dialog).

4)To customize the output style for the selected format, choose an alternative style from the Output Style list.

5)Alternatively, to choose from an expanded list of CSS styles, click the Edit Style button to open the CSS Rule definition dialog.

note: Say, the selected Output Style is [Source] and you use the CSS Rule definition dialog to customize the style. In this case, the Output Style displayed is appended with an asterisk (*) to indicate customization to the selected style.

6)To revert style changes click Clear Source.

note: The asterisk (*) appended in the Output Style is removed to indicate that the style customization is reverted.

7)You can also use the following options:

Exclude from Output:

Exclude the selected tag from the generated output.

User Defined HTML Tag:

Select or enter a user-defined HTML tag for the selected character style.

For example:

A character with style ParaStyleOne is imported in FrameMaker as <p class=ParaStyleOne> Paragraph Text </p>.

Specifying this string as Pre for the style ParaStyleOne causes FrameMaker to import the paragraphs with the style ParaStyleOne as <pre> Paragraph Text </pre>.

Customize Table styles

1)In the Style Mapping tab of the Publish Settings dialog, click Table.

2)Click Automap Table Styles to map the table styles in the selected content to the table styles defined in the CSS selected for style mapping.

3)To customize the individual styles in the table, expand the Table list and select the style to customize.

The custom options for the selected table style are displayed:

The Style Preview provides a preview of the table with the customized styles that you have selected.

4)Choose a table format from the Output Style list.

5)Alternatively, to choose from an expanded list of CSS styles, click the Edit Style button to open the CSS Rule definition dialog.

6)You can also customize the following table property settings:

Caption Style:

Select the caption style name to map to the selected table format caption. Or select [Source]. FrameMaker retains the appearance of the table caption in the online Help format. You can also select Automap for an individual table caption style.

Table Size:

Specify a preferred table width and / or height (in px).

Cell Size:

Specify a preferred column width and / or row height (in px).

Customize Cross Reference styles

1)In the Style Mapping tab of the Publish Settings dialog, expand the Cross Reference list and select the style to customize.

The custom options for the selected cross-reference style are displayed:

The Style Preview allows you to compare the source style (defined in the Output Style list prior to any customization) with the custom style (defined in the Output Style list, and displayed with an appending asterisk, after customization).

2)To build the cross reference format, place the cursor in the Output Style box and double-click on a format in the Building Blocks table.

The available formats are called building blocks, because you create a custom format by using any combination of the available formats. To do this, double-click a building block to place the format in the Output Style list. You can then keep adding to the format by placing the insertion point before or after any selected building block.

Customize Other Settings

1)In the Style Mapping tab of the Publish Settings dialog, click Other Settings.

The custom options are displayed:

2)Customize the following settings:

Topic Name Pattern:

Specify the topic name pattern for topics generated from the added FrameMaker document.

Split Topics Using Marker:

Specify a marker that is used in the FrameMaker document for pagination.

Style:

Specify how glossary terms display:

Hyperlink | Display as a hyperlink and navigates the user to the definition in the glossary.
Pop-up | Displays a pop-up on the page.
Expanding Text | Displays in-line expanding text on the page.
Tooltip | Displays as a tooltip if the user hovers the mouse over the term.

For details on creating a FrameMaker glossary, see Glossaries.

DHTML Effects:

Define DHTML effects to be applied to the drop-down lists and expanding text.

Customize output specific settings

The Outputs tab of the Publish Settings dialog provides options to customize publish output format settings such as the title, favicon, layout, and table of contents (for eBook output formats).

Customize Responsive HTML5 output format settingsl

In the Outputs tab of the Publish Settings dialog, click Responsive HTML5.

The Responsive HTML5 section of the Output tab allows you to customize the following settings:

In the General tab:

Title:

Specify a title for your HTML output. You can use variables to dynamically generate titles. For example:

Variable | Definition
<OutputName> | (Default) Name of the output being published.
<SourceFilename> | Name of the FM file/book being published.
<$VarName> | Value of variable VarName as defined in the FrameMaker source document/book. note: VarName cannot contain the / (front-slash) character.

Favicon:

Specify an icon to associate with the output. The icon appears in the browser tab or the address bar depending on the browser being used.

Language:

Specify the output language for the layout if the language is different from the language of the project. FrameMaker uses this language setting for the UI strings and language-related UI elements in the preview and generated output.

Encoding:

Specify the character encoding format if the web server to which you are publishing has character encoding different from UTF-8.

Layout:

Click Edit to customize the layout.

a)The Layout Customization dialog displays a preview of the look-and-feel of the layout.

b)Select a layout component from the Layout Components list.

Each component has a set of customizable properties associated with the component.

c)To edit a property, go to the property value in the Properties pane.

d)You can go to a property in the Property pane by clicking the property in the Property pane and editing the value of the property.

Alternatively, notice the Component preview pane displays the preview of the component. In addition, the preview pane displays buttons pointing to each property in the preview pane.

You can click a property button in the preview pane to go to the property in the Properties pane.

This will allow you to identify (from the preview) the property that you are editing.

e)Click Save to save the updates.

f)To reset all the component properties, click Reset component.

g)To reset a specific component property, select the component (either from the Property pane or from the preview pane) and click Reset property.

h)After you have completed the layout customization, click Close.

Click Gallery to open the New Screen Layout selection dialog. In the New Screen Layout dialog:

a)Select a screen layout from the available list in the Gallery.

b)Click OK to select a new screen layout for your output.

HTML Page Template:

Import a .htt, .htm, or .html template file to define and create a mini-TOC in the published Responsive HTML5 output. For details on how to define the HTML page template, see Create an HTML page template.

Override Style:

Import a .css file to override the defined output styles.

Enable Browse Sequence:

Specify whether the output should display browse sequences.

In the Optimization tab:

Convert absolute image size to relative image size:

Convert the actual width and height of images into percentages. In this way, you can make images used in your project device-friendly and adapt to different device sizes.

Convert absolute table size to relative table size:

Convert the actual width and height of tables into percentages. By allowing FrameMaker to optimize the tables in this way, you ensure that the tables adapt to different device sizes.

Enable zoom on iOS devices:

Enable or disable pinch zoom on the iPad and the iPhone. When this option is enabled, users can zoom in on a FrameMaker output displayed on an iPad or iPhone by pinching the device screen.

In the Search tab:

Enable Substring Search:

If you enable this feature, a search for "log" returns topics containing the words "catalog" and "logarithm." Substring search takes longer than whole-string search.

Show Context in Search Results:

Select to have the search results displayed along with the first specified number of characters of the topic.

Number of Characters in Search Context:

Number of characters to display as defined in Show Context in Search Results above.

Number of Results on a Page

The number of search results to display on each page.

Customize Mobile App output format settings

In the Outputs tab of the Publish Settings dialog, click Mobile App.

The Mobile App section of the Output tab allows you to customize the following settings:

In the General tab:

Language:

Specify the output language for the layout if the language is different from the language of the project. FrameMaker uses this language setting for the UI strings and language-related UI elements in the preview and generated output.

Encoding:

Specify the character encoding format if the web server to which you are publishing has character encoding different from UTF-8.

Layout:

Click Edit to customize the layout.

a)The Layout Customization dialog displays a preview of the look-and-feel of the layout.

b)Select a layout component from the Layout Components list.

Each component has a set of customizable properties associated with the component.

c)To edit a property, go to the property value in the Properties pane.

d)You can go to a property in the Property pane by clicking the property in the Property pane and editing the value of the property.

Alternatively, notice the Component preview pane displays the preview of the component. In addition, the preview pane displays buttons pointing to each property in the preview pane.

You can click a property button in the preview pane to go to the property in the Properties pane.

This will allow you to identify (from the preview) the property that you are editing.

e)Click Save to save the updates.

f)To reset all the component properties, click Reset component.

g)To reset a specific component property, select the component (either from the Property pane or from the preview pane) and click Reset property.

h)After you have completed the layout customization, click Close.

Click Gallery to open the New Screen Layout selection dialog. In the New Screen Layout dialog:

a)Select a screen layout from the available list in the Gallery.

b)Click OK to select a new screen layout for your output.

HTML Page Template:

Import a .htt, .htm, or .html template file to define and create a mini-TOC in the published Responsive HTML5 output. For details on how to define the HTML page template, see Create an HTML page template.

Override Style:

Import a .css file to override the defined output styles.

Use Dynamic Content Filter in the output:

Assign a dynamic content filter to the current output. For details on how to create a user dynamic content filters, see Generate dynamic content output.

In the Optimization tab:

Convert absolute image size to relative image size:

Convert the actual width and height of images into percentages. In this way, you can make images used in your project device-friendly and adapt to different device sizes.

Convert absolute table size to relative table size:

Convert the actual width and height of tables into percentages. By allowing FrameMaker to optimize the tables in this way, you ensure that the tables adapt to different device sizes.

Enable zoom on iOS devices:

Enable or disable pinch zoom on the iPad and the iPhone. When this option is enabled, users can zoom in on a FrameMaker output displayed on an iPad or iPhone by pinching the device screen.

In the Search tab:

Enable Substring Search:

If you enable this feature, a search for "log" returns topics containing the words "catalog" and "logarithm." Substring search takes longer than whole-string search.

Show Context in Search Results:

Select to have the search results displayed along with the first specified number of characters of the topic.

Number of Characters in Search Context:

Number of characters to display as defined in Show Context in Search Results above.

Number of Results on a Page

The number of search results to display on each page.

Customize WebHelp output format settings

In the Outputs tab of the Publish Settings dialog, click WebHelp.

The WebHelp section of the Output tab allows you to customize the following settings:

In the General tab:

Title:

Specify a title for your HTML output. You can use variables to dynamically generate titles. For example:

Variable | Definition
<OutputName> | (Default) Name of the output being published.
<SourceFilename> | Name of the FM file/book being published.
<$VarName> | Value of variable VarName as defined in the FrameMaker source document/book. note: VarName cannot contain the / (front-slash) character.

Favicon:

Specify an icon to associate with the output. The icon appears in the browser tab or the address bar depending on the browser being used.

Language:

Specify the output language for the layout if the language is different from the language of the project. FrameMaker uses this language setting for the UI strings and language-related UI elements in the preview and generated output.

Encoding:

Specify the character encoding format if the web server to which you are publishing has character encoding different from UTF-8.

HTML Page Template:

Import a .htt, .htm, or .html template file to define and create a mini-TOC in the published output. For details on how to define the HTML page template, see Create an HTML page template.

Override Style:

Import a .css file to override the defined output styles.

Use Lowercase File Names:

Create filenames that use only lowercase letters. This option is recommended for UNIX users.

In the Navigation tab:

Skin Selection:

(Optional) Apply skins to the published output to customize the colors, buttons, text, fonts, and icons in the output.

In the Skin Selection drop-down list, choose:

Default:

To use the FrameMaker’s default skin.

Traditional style - no skin:

To use no skin.

Alternatively, click Gallery to choose from a list of skins that are shipped with the FrameMaker publishing solution.

In the Skin Gallery dialog, choose:

Preview:

To preview the skin in a separate window.

OK

To use the skin.

You can also import WebHelp or compressed WebHelp skins defined in .skn or .zkn files, respectively. To import a skin, click Import and then select the .skn or .zkn file from the file system.

For more details, see the Skins section in the Using RoboHelp guide.

Toolbar Buttons:

Select navigation toolbar buttons to appear in the left pane.

Synchronize Table of Contents:

Synchronize the TOC with the topic in the right pane so that users see where they are in the structure.

•To synchronize the TOC automatically, click the pop-up menu and select Automatically.

•To add a button that users can click to synchronize the TOC, click the pop-up menu and select Manually.

note: If you use custom skins, provide a button icon in the WebHelp Skin Editor.

Add Breadcrumbs Links:

Add breadcrumbs in the topic pages.

Format:

Change the format of breadcrumbs.

Enable Browse Sequence:

Specify whether the output should display browse sequences.

Show Navigation Pane Link in Topics:

Select to include a link to the navigation pane in topics that are opened through the context-sensitive Help calls.

Search Input Field in Toolbar:

Include a search field in the main toolbar.

Add About Box:

Set up information that appears in a dynamic window when users click the image in the main toolbar.

In the Search tab:

Enable Substring Search:

If you enable this feature, a search for "log" returns topics containing the words "catalog" and "logarithm." Substring search takes longer than whole-string search.

Enable Highlighting in Search Results:

Select to enable highlighting of search results. From the color selection dialog, select a color for the highlight.

Show Context in Search Results:

Select to have the search results displayed along with the first few lines of the topic.

Hide Rank Column in Search Results:

Select not to display the Rank column in search results.

Show Total Number of Search Results:

Select to show the number of search results for a specific search string.

Show AND Search in Output

Select to display only those topics that have all the words that are specified without using quotation marks in the Search box. By default, FrameMaker performs OR search when a user types multiple words without enclosing them in quotation marks. This means that FrameMaker finds all topics that have any of the word specified in the Search box.

note: AND search can be used in combination with phrase search.

Select the Enable AND Search by Default option, if required. By default, if you disable the AND search option, end users have the option to enable it in the output.

Customize the EPUB and Kindle output format settingse

In the Outputs tab of the Publish Settings dialog, click EPUB or Kindle.

The EPUB and Kindle sections of the Output tab allows you to customize the following settings:

In the General tab:

The Title, Language, and Override Style options are described above in the General tab of the Responsive HTML5 settings.

The Convert absolute image size to relative image size and Convert absolute table size to relative table size options are described above in the Optimization tab of the Responsive HTML5 settings.

Table of Content Settings:

A table of content to display in the generated Help.

Validate EPUB 3 Output:

(EPUB format) Set FrameMaker to validate the EPUB output using the standard EPUB validation tool EpubCheck. EpubCheck requires Java Runtime 1.5 or above installed on the computer.

note: If the EpubCheck.jar file is not available on your computer, download it from the link provided in the EPUB Validation dialog box. Validation messages are available only in English.

Embed Fonts

Embed the selected fonts into the eBook. Use this optoin , if you are creating content that includes uncommon fonts, or if you are using custom fonts that may not be available on the end-users’ environment.

Since the fonts will be included as part of the eBook output, the user experience will be uniform even if some users do not have the font installed.

When you check this option, the Embed Font dialog is displayed. In this dialog, you can choose to embed fonts that are currently included in your RoboHelp project. You can also choose embed system fonts that are not currently included.

Manage

Open the Embed Fonts dialog to make changes to the currently embedded fonts.

Show KindleGen Logs

(Kindle format) Select to display the errors, warnings, and status messages generated by the KindleGen converter in the Output View pod.

In the Meta Information tab, specify metadata to conform to the Open Packaging Format(OPF)specification:

Author(s):

(Optional) The name of the author. To specify multiple author names, use comma as the separator.

Publisher(s):

(Optional) The name of the entity responsible for making the output available, for example, the author or the organization.

Rights:

(Optional) A statement about rights, for example, a copyright notice.

Description:

(Optional) A description of the content.

Publication Identifier:

An identifier conforming to specifications, such as ISBN.

Publish Date:

(Optional) The date of publishing the output. Follow the format specified in Date and Time Formats.

Cover Image:

(Optional) Specify the path for a JPG, JPEG, or PNG image that you want to use as the cover page of the eBook and the dimensions (use percentage values to allow browsers to optimize display for different-sized screens). You can also specify a GIF image. However, in the case of a GIF animation, only the first frame is used as the cover page.

note: If you do not specify a cover image, FrameMaker uses the first topic in the TOC as the cover page.

Custom Metadata:

Specify additional EPUB 3-specific metadata in XML format. For more information on specifying metadata for EPUB, refer to EPUB 3 specificationformetadata.

For example, if you want to add the identifier type (ISBN, UUID, DOI, etc.) for a Publication Identifier, you can use the XML format below:

<dc:identifier id="pub-id">urn:doi:10.1016/j.iheduc.2008.03.001</dc:identifier>
<meta refines="#pub-id" property="identifier-type" scheme="onix:codelist5">06</meta>

Customize the Microsoft HTML Help output settings

In the Outputs tab of the Publish Settings dialog, click Microsoft HTML Help.

The Microsoft HTML Help section of the Output tab allows you to customize the following settings:

Title:

Specify a title for your HTML output. You can use variables to dynamically generate titles. For example:

Variable | Definition
<OutputName> | (Default) Name of the output being published.
<SourceFilename> | Name of the FM file/book being published.
<$VarName> | Value of variable VarName as defined in the FrameMaker source document/book. note: VarName cannot contain the / (front-slash) character.

Language:

Specify the output language for the layout if the language is different from the language of the project. FrameMaker uses this language setting for the UI strings and language-related UI elements in the preview and generated output.

Add Breadcrumbs Links:

Add breadcrumbs in the topic pages.

HTML Page Template:

Import a .htt, .htm, or .html template file to define and create a mini-TOC in the published output. For details on how to define the HTML page template, see Create an HTML page template.

Override Style:

Import a .css file to override the defined output styles.

Optimize CHM File Size:

Reduces the size of the CHM file.

TOC/Index Settings:

Open the HTML Help - Advanced Settings dialog

In the Index tab:

Default Window:

To display the topic in a custom window, select the window name.

Default Frame:

To display the topic in a custom frame, select the frameset name.

Font:

Use Select Font to choose a font. Click Default Font to set the selected font as the default font.

In the TOC Styles tab:

Border:

Add a border around the table of contents.

Dialog Frame:

Add a frame around the table of contents.

Lines From Root

Displays lines connecting books and pages starting at root.

Plus/Minus Squares

Display plus and minus icons that open and close books.

Always Show Selection

Display the topic selected from the Contents tab (even if this tab is not the left-pane focus).

Folders Instead Of Books

Display folder icons instead of book icons.

Lines Between Items

Add lines between books and pages.

Single-Click To Open Book

Enable books to open with one click.

Raised Edge or Sunken Edge

Create a three-dimensional appearance.

Binary TOC

Create a binary TOC.

note: The binary TOC option is recommended only for large Help systems. It requires compiled HTML Help and does not support customization or external TOC files.

Use the RoboHelp settings (isf) file

You can use the RoboHelp Import Settings (.isf) file that defines project-wide settings for each FrameMaker document. To apply these settings in your FrameMaker publish output, export the settings file from RoboHelp. Then use the defined settings in your FrameMaker published output by importing the ISF file.

When you export an ISF file from RoboHelp, the file includes the following settings:

•Cascading style sheets (CSS) for RoboHelp projects

•Style mapping between FrameMaker styles and RoboHelp styles

•Style conversion and other settings

•FrameMaker Template

For more details on FrameMaker - RoboHelp conversion, see FrameMaker document components converted to RoboHelp in the Using RoboHelp guide.

important: When you import an ISF file, the RoboHelp settings included in the file overwrite the corresponding FrameMaker STS file settings.

To import an ISF file:

1)In the Publish dialog, click the Settings button and choose Import ISF File.

2)In the Select ISF File dialog, choose the settings file.

When you import an ISF file, the settings contained in this file are imported into the publish settings (.sts) file.

3)You are prompted to import the ISF settings into the current settings file or create a new settings file.

The Publish Settings dialog displays the imported ISF settings.

4)In the previous step if you chose to import the ISF settings into a new publish settings file, specify a location for the new file.

If you chose to import the ISF settings into the existing publish settings file, save the updated publish settings.

12.2.3.HTML page templates

The FrameMaker publishing solution allows you to create an HTML page template to customize your page layout. The page template allows you to add the following components to the published output:

Mini-TOC:

Add a table of contents of the sub-topics within the current topic.

Breadcrumb

Add a navigation trail of the current topic.

Header and footer

Add headers and footers that contain dynamic content defined by variables in the FrameMaker source.

To try out the examples in this topic, create a FrameMaker document using the Reference Card standard FrameMaker template. This template uses the paragraph styles and variables used in the samples in this topic.

After you create the HTML page template, you can set the HTML Page template in the Output tab for any of the available outputs (see Customize output specific settings).

important: All the components in the HTML page template are optional. You can define a page template with any combination of the components.

Create an HTML page template

1)To create a page template, create a file with a .htt, .htm, or .html extension and open the file in any text editor.

2)Paste the following HTML content into the text file:

<html>
<body>
</body>
</html>

3)To add dynamic content to a page header, specify the HTML page template attribute data-type as fm_variable.

To define a header that uses the FrameMaker user-defined variable Chapter Title Name, add the following p tag after the opening body tag (<body>):

<p data-type="fm_variable">Chapter Title Name</p>

important: The data-type HTML page template attribute is used by the publish solution to identify the type of content described by the enclosing tag. In the above example, the p tag contains a FrameMaker variable.

For more details, see Define a header and footer.

4)To add a navigation trail to the output, specify the HTML page template attribute data-type as breadcrumbs.

Add the following after the opening body tag (<body>):

<p data-type="breadcrumbs"><a data-type=”home_link” href=”#”>Home</a><span data-type=”separator”>:&gt;</span></p>

In the above example, specify the character (in this case, greater than symbol) that separates each item of the breadcrumb. The other parts of the definition are required by the publishing solution to create the breadcrumb.

For details and more options in the breadcrumb, see Define a breadcrumb.

5)To define a mini-TOC, add the following after the breadcrumb described in the previous step:

<div data-type=”minitoc”>
<p data-type=”minitoc-level1”>
<span data-type=”minitoc-selector”>’H1_Heading1’</span>
</p>
<p data-type=”minitoc-level2”>
<span data-type=”minitoc-selector”>’H2_Heading2’</span>
</p>
</div>

To define the mini-TOC, specify the data-type attribute as minitoc. For each level, use the data-type attribute for the specific level. Specify the required FrameMaker paragraph style name to display at the corresponding level of the min-TOC.

You can create multi-level mini-TOCs of up to 20 levels. For more details, see Define a mini-TOC.

6)To specify the location where the FrameMaker source content is displayed, use a div tag with the data-type attribute as body. Add the following after the mini-TOC:

<div data-type=”body”></div>

7)To define a footer, add the following before the close body tag (</body>):

<p data-type="fm_variable">Creation Date (Long)</p>

Creation Date (Long)is the name of a variable defined in the document. For more details, see Define a header and footer.

8)After you create the page template, you need to include the template in the Outputs tab of the Publish Settings dialog. The publish procedure then creates the mini-TOC in the specified output.

important: All page template components are defined within HTML tags. This means that you can add CSS styling (using the style or class tags) to any of the components.

Define a mini-TOC

To define a mini-TOC, use a div tag with data-type attribute minitoc:

<div data-type=”minitoc”></div>

Use the data-type-after attribute to specify the location of the mini-TOC in the published output. For example, the following data-type-after definition specifies that the mini-TOC will appear after the first occurrence of a H1_Heading paragraph in the published output.

<div data-type=”minitoc” data-type-after=”H1_Heading1”></div>

Specify multiple paragraphs in the data-type-after attribute for a mini-TOC. The following sample will publish the mini-TOC after the first occurrence of an H1_Heading1 style or H2_Heading2 style, whichever appears first in the source. Define multiple paragraphs if, for example, the book contains multiple documents. Where documents can start with a different heading paragraph style.

<div data-type=”minitoc” data-type-after=”H1_Heading1 H2_Heading2”></div>

To specify data-type-after paragraphs:

•Enclose the paragraph(s) in double quotes

•Separate multiple paragraphs with commas or spaces

•Use the backslash escape character if a paragraph name contains a single of double quote.

•If a paragraph and a character style have the same name, fully qualify the style name using p and span, respectively.

<div data-type=”minitoc” data-type-after=”p.H1_Heading1 p.H2_Heading2”></div>

note: The data-type-after attribute is optional. If you do not specify the attribute, the mini-TOC appears at the point in the output where it is defined in the template.

To define an element in the mini-TOC, add a p or div tag with the data-type attribute to specify the level of the element inside the minitoc div tag.

For example, to define a two-level mini-TOC:

<div data-type=”minitoc”>
<p data-type=”minitoc-level1”></p>
<p data-type=”minitoc-level2”></p>
</div>

You can create a multi-level mini-TOC of up to 20 levels. Also, the levels in the mini-TOC must be placed in ascending order.

You can add a caption at the top of the mini-TOC that contains a specific literal value. To add the caption “This section covers the following:”, add a p or div tag with data-type minitoc-caption at the top of the mini-TOC definition:

<div data-type=”minitoc”>
<p data-type=”minitoc-caption”>This section covers the following:</p>
<p data-type=”minitoc-level1”></p>
<p data-type=”minitoc-level2”></p>
<p data-type=”minitoc-level3”></p>
</div>

To specify the paragraph to be displayed at a level of the mini-TOC, add a tag with the data-type attribute as minitoc-selector:

<div data-type=”minitoc”>
<p data-type=”minitoc-caption”>This section covers the following:</p>
<p data-type=”minitoc-level1”><span data-type=”minitoc-selector”>’H2_Heading2’</span></p>
<p data-type=”minitoc-level2”><span data-type=”minitoc-selector”>’H3_Heading3’</span></p>
<p data-type=”minitoc-level3”><span data-type=”minitoc-selector”>’H4_Heading4’</span></p>
</div>

You can specify multiple paragraphs at the same level of the mini-TOC:

<p data-type=”minitoc-level1”><span data-type=”minitoc-selector”>’H2_Heading2’ ‘H3_Heading3’</span></p>

If you specify multiple paragraphs at the same level of the mini-TOC:

•The published content displays the paragraph that was found.

•If multiple paragraphs are found, the published content displays the paragraphs at the same level.

important: Add CSS styles to any of the HTML tags used in the mini-TOC definition by using the style of class attributes.

Define a breadcrumb

To define a breadcrumb, use the data-type attribute as breadcrumbs. For example:

<p data-type="breadcrumbs"></p>

You can add static text to display at the start of the breadcrumb. For example, to display “Start of Breadcrumb: ”:

<p data-type="breadcrumbs">Start of Breadcrumb:</p>

Use the anchor (a) tag to specify the home location of the breadcrumb. You can specify any static text as anchor text.

<p data-type="breadcrumbs">Start of Breadcrumb:<a data-type=”home_link” href=”#”>Home</a>

Besides the text of the anchor, the other attributes and values must be added as they are defined above. The publisher uses the exact attributes and values to create the breadcrumb.

Define the separator character to display between the elements of the breadcrumb using the data-type attribute as separator. In the following sample, the separator is the greater than (>) symbol.

<p data-type="breadcrumbs">Start of Breadcrumb:<a data-type=”home_link” href=”#”>Home</a><span data-type=”separator”>:&gt;</span></p>

Like the text at the start, you can also add a static text at the end of the breadcrumb. For example, to display “ :End of Breadcrumb”:

<p data-type="breadcrumbs">Start of Breadcrumb:<a data-type=”home_link” href=”#”>Home</a><span data-type=”separator”>:&gt;</span> :End of Breadcrumb</p>

Define a header and footer

Use FrameMaker variables to define headers and footers in the HTML output.

To define a header or footer, use an HTML tag with the data-type attribute specified as fm_variable. For example, to define a header with the Chapter Title Name variable:

<p data-type="fm_variable">Chapter Title Name</p>

You can also mix static text and variables in a header or footer. The following example displays the last modified date of the current document.

<p>Last modified date:<span data-type="fm_variable">Modification Date (Short)</span></p>

Define the body content

To place the FrameMaker topic content dynamically in the published output, define a div tag and use the data-type attribute specified as body. For example, to create a template with a header, the body, and then a footer:

<p data-type="fm_variable">Chapter Title Name</p>
<div data-type=”body”>[The FrameMaker topic content will be placed here]</div>
<p>Last modified date:<span data-type="fm_variable">Modification Data (Short)</span></p>

Sample HTML page template

The following sample HTML page template defines the following components.

•A header at the top of the page body

•A breadcrumb trail

•A mini-TOC

•The topic content

•A footer after the topic content

To try out this sample, create a document using the Reference Card standard FrameMaker template.

<html>
<body>
<!-- Header using FM variable -->
<p data-type="fm_variable">Chapter Title Name</p>
<!-- Breadcrumb -->
<p data-type="breadcrumbs">Start of Breadcrumb: <a data-type=”home_link” href=”#”>Home</a><span data-type=”separator”>:&gt;</span></p>
<!-- Mini-TOC -->
<div data-type=”minitoc”>
<p data-type=”minitoc-caption”>This section covers the following:</p>
<p data-type=”minitoc-level1”><span data-type=”minitoc-selector”>’H2_Heading2’</span></p>
<p data-type=”minitoc-level2”><span data-type=”minitoc-selector”>’H3_Heading3’</span></p>
<p data-type=”minitoc-level3”><span data-type=”minitoc-selector”>’H4_Heading4’</span></p>
</div>
<!-- Footer using FM variable -->
<p>Last modified date:<span data-type="fm_variable">Modification Date (Short)</span></p>
</body>
</html>

12.2.4.Microsoft HTML Help distribution

If you publish your output to Microsoft HTML Help, use the following instructions to distribute your help to your end users.

1)Distribute the following system Help files to the developer for installation with the program executable (EXE) file. Or, distribute the files for stand-alone use.

note: Users can run stand-alone Microsoft HTML Help by double-clicking the CHM file in Windows Explorer.

CHM

A single distributed Help system in a single Help file, in addition to any CHM files for sub-projects to the master project. These child CHM files are not compiled into the master CHM.

HLP, CNT

If the project includes links to topics in a compiled WinHelp file, distribute the HLP and CNT files. They are not compiled into the master CHM file.

DOC, PDF, XLS

If the project include links to external files, distribute the external files. They are not compiled into the master CHM file unless they are added to the Baggage Files folder.

2)The application developer distributes the following support files, depending on the features used in the project and the versions of Windows that users have.

•Microsoft HTML Help Support Files Built-in components.

•HHActiveX.DLL is an Adobe ActiveX control that provides support for online glossaries and browse sequences. Install and register the HHActiveX.DLL file on user systems. Copy this file from the appropriate location into the same folder as the CHM.

For 32 bit systems:

<FrameMaker Install directory>\fminit\Publisher\Redist\32bit

For 64 bit systems:

<FrameMaker Install directory>\fminit\Publisher\Redist\64bit

•If the Help system includes third-party ActiveX controls, install and register the component support files on the user systems. Users copy the ActiveX control files into a custom folder, placing the path of the alternate folder before the .ocx or .dll extension, and then register the files.

note: The Adobe licensing agreement lets you redistribute Microsoft HTML Help and Internet Explorer files with the HTML Help output.

Register ActiveX controls

If the project provides ActiveX controls, provide these instructions to users so they can register the controls that you distribute with the Help system.

1)Choose Start > Run.

2)To register the HHActiveX.DLL file, type the following command, specifying the HHActiveX.DLL path, and click OK:

regsvr32 [path] hhactivex.dll

3)To register third-party ActiveX controls, type the following command:

regsvr32 [activex_name.dll or activex_name.ocx]

12.2.5.Generate dynamic content output

The dynamic content feature allows you to create output that your users can easily filter based on parameters that you define using Conditional tags. For example, you can create a filter that allows your users to filter the output by region (US, UK, or Canada) and by audience (end-user, online, and print). Dynamic content also allows your writers to easily single-source content with the help of Conditional tags.

With this feature a writer creates Conditional tags depending on the filter criteria that you want to provide to your users. For example, you can create conditional tags: US, UK, and Canada for region and End-user, Online, and Print for audience.

When you generate the output using the filter, the filter tab is displayed that allows users to filter the contents based on the criteria (tag/expression) selected in the filter in the output SSL.

Also, a user can then use the search functionality to find content within the filtered results.

note: Dynamic content filters can be applied to Responsive HTML5 and Mobile outputs.

Tag content

To create a dynamic content filter in your output, you apply Conditional tags to the required parts of your project on which you want your users to filter.

You can apply multiple conditional tags to the same section of your content. For example, you can apply the US and Canada tags to a topic that you want to target at your North American customers. You can then tag an alternate topic to target your UK customers. In the output, a user then has the option to filter content based on the region. You can also use an expression such as US AND Canada to create a filter criteria titled North America.

Also, you can apply tags to content in any combination. For this reason, when you apply tags, you need to keep in mind how the output will display based on the output filtering mechanism. For an example on how filtering works, see .

Untagged content

When you use dynamic filters in a document, you are not required to tag all your content. Any content that is untagged is unconditional. This implies that untagged content will display to the user regardless of the filter.

Create a dynamic content filter

You can create one dynamic filter for each layout.

1)In the Output tab, click a layout.

2)In the layout settings dialog, check Use Dynamic Content Filter in the output and click Customize.

The Dynamic Content Filter dialog is displayed.

3)When you create a filter, you can define groups that include the filter criteria (tags and expressions).

For example, you can create a Region group that includes the US, Canada, and UK conditional tags.

You can also use expressions as criteria in a filter. For example, you can create a filter US AND Canada and then provide your users with a North America criteria option in the output.

note: You can add tags and expressions to your filter without including them in any group. This implies that you can create a filter that does not include any groups. Or you can create a filter that contains one or more groups and tags or expressions that are not included in any of the groups.

important: You cannot create nested groups. This implies that a group cannot contain another group.

4)To add a tag or expression to a group, click the Add Criteria and select the tags and expressions from the Tags and Expressions dialog.

note: You can add one instance of a tag or expression in a dynamic filter. For this reason, if you add a tag or expression to the filter, notice the tag or expression does not display in the Tags and Expressions dialog.

When you add a tag or expression to a filter, the display name for the tag or expression displayed in the filter is the name that you give when you create it. However, you can change the display name in the filter for output display purposes. Also, the display name that you specify in the filter does not change the name of the tag or expression in the project.

5)You can choose to filter content by default. This implies that when the output displays, the content is filtered to a predefined criteria .To set the default tag or expression in the filter, right-click the tag or expression and choose Select Default.

6)To change the display name of tag or expression in the filter, right-click the tag or expression and choose Rename.

note: When you rename a tag, the status message that displays at the bottom of the Edit Filter dialog displays the name of the tag and not the display name.

note: Group names within a filter must be unique. Tag or expression display names within a group must be unique. The check for unique display names is case-insensitive. For example, you cannot create two display names End-User and END-USER within the same group.

7)To allow your users to select multiple filter criteria in one group in the output, check Allow multiple selection in output.

8)Use the navigation arrows to move the groups, tags, and expressions within a filter.

For example, to move a tag out of a group, click the left arrow. This moves the tag to the same level as the containing group and just above the group. Use the right arrow to move a tag that is outside any group into the next group. You can also move the tags up and down in the group.

9)Click Save.

10)In the layout settings dialog, click Save and Generate.

Use a dynamic content filter in the output

This section uses an example to describe how to use the dynamic content filter in the output and what to expect when you apply tags to the content and use the tags in the filter.

After you assign a dynamic content filter to a layout, you can generate the output for the layout.

The output now contains a filter icon. Click the filter icon to display the dynamic content filter assigned to the current layout.

important: If a tag is not assigned to any content in the output, the tag is not displayed in the filter. So, if all the tags within a group are not displayed in the filter, the group is not displayed. Also, if a tag is not used in the filter (as tag or as part of an expression), then this tag is removed from the content it is applied on in the project.

By default, all the groups and criteria in the filter are unselected. This implies that all content is currently displayed (unconditionally) since no filter criteria is currently applied. However, if you set a default while creating the filter, the default group displays selected.

To filter the contents, you check and un-check the groups or criteria in the filter.

The following sections detail two scenarios to describe how the dynamic content filtering mechanism works:

Select one criteria (tag or expression) in a group

In Sales Builder filter, if you check US in the Region group:

•All content marked with the US tag displays.

•All content marked with a combination of the US tag and any other tag displays.

Content marked with the US and UK tag displays. But a topic marked with the UK tag is hidden. Also, content marked with the UK and Canada tags will be hidden.

•All content marked with tags in the Audience group are not displayed unless the content is combined with the US tag.

Content marked with the US and PDF tag will display. But content marked with the PDF tag is hidden. Also, content marked with the UK and Print tags is hidden.

•All untagged content displays.

Select one criteria in one group and another criteria in a second group

In Sales Builder filter, if you check US in the Region group and Print in the Audience group:

•All content marked with only the US tag displays.

•All content marked with only the PDF tag displays.

•All content marked with any other tag or combination of other tags is hidden.

•All content marked with a combination of the US and PDF tags displays. However, content marked with a combination of a US tag with any other tag is hidden. Similarly, content marked with a combination of a PDF tag and any other tag is hidden.

•Content marked with the US, Print, and Online tags displays. However, content marked with US and Online or Print and Online is hidden.

•All untagged content displays.

Test the dynamic content filter

After you create and apply a dynamic content filter to the output, you can use Show Tagged Output option to test your filters. This option generates the output with the tags displayed in the contents at the applied locations. You can then select the filter criteria and test how your filter works.

To generate the tagged output:

1)In the Publish pod, right-click on the required output (Responsive HTML5 / Mobile App).

2)Select Show Tagged Output.

The tagged output is generated.


Print output

12.3.Print output

12.3.1.Prepare color documents for output

Prepare color documents for commercial printing

You can print each page of a document as a series of color separations. Color separation splits color images into several pages. Each page contains one component color. A commercial printer uses the separations to make printing plates, one for each color.

You can also print mirror and negative images, which is sometimes required when commercially printing to film.

If color objects overlap in your document, you can overprint.Overprinting prints an object (most often a dark one) on top of another color object. You can also create a knockout, in which the top color is printed but colors behind it are not. You can use trapping to ensure that no gap exists between objects.

Print color separations

When you print color separations, choose which colors to print as spot colors, which to print as process colors, and which not to print at all. Text and graphic objects are printed in black for each separation, with shades of gray indicating the percentages of color saturation. The color name of each separation is printed outside the registration marks (if registration marks are on and if there is room on the page).

note: For best results, print CMYK colors as process rather than spot-color inks. You can check plate assignments in the Separations Setup dialog box (File > Print and click Separations Setup).

A. Composite image B. Black separation C. Spot color separation

Imported color graphics are separated if they are in CMYK, TIFF, DCS, or EPS line art format. Also, bitmap images in EPS graphics can be separated as long as they can also be separated in Adobe Illustrator.

You can also separate a document by printing to a single PostScript file and then having a commercial printer separate the file for you.

Make sure that spot colors with identical definitions have the same names. Spot colors with the same definition but with different names appear on different plates when you print color separations.

Process color separations are printed using grids of black dots for each color the larger the dots, the more color is printed. The halftone screen settings control how close together the dots appear, the orientation of the grid (the screen angle), and the dot shape. For information, consult your printer documentation and your commercial printer.

Creating color separations

1)Make sure that you have not set colors to print as black and white instead of shades of gray.

2)Choose File > Print.

3)Choose an option from the Registration Marks pop-up menu.

4)To print all pages for one plate and then all pages for the next plate, deselect Collate. Select Collate to print all plates for one page before printing all plates for the next page, and so on.

5)Click Separations Setup. If necessary, move the color names to the appropriate scroll lists and click Set. To move a color, double-click the color. To move all colors, select a color in the list and Shift-click an arrow.

Tints do not appear in this dialog box; they print on the same plate as the base color.

If your printer cannot print process color separations, the dialog box contains only the Print As Spot and Don’t Print scroll lists. The scroll list where each color appears by default depends on how the color was defined on its Print As setting.

6)To specify halftone screen settings, click Halftone Screens, adjust the settings, and then click Set.

7)In the Print dialog box, select Print Separations, set the remaining print options as necessary, and then click Print.

Knock out and overprint colors

When one color object overlaps another, FrameMaker normally knocks out the overlapped portion so that it does not print in a color separation. It appears as the color of the paper. If you are producing color separations and printing commercially, registration errors sometimes occur, and small gaps between colors appear.

Accurate and inaccurate registration

To avoid gaps between colors, you can apply overprinting to the top object so that the overlapped portion is not knocked out.

Knocked out (left) and overprinted (right)

You can also use overprinting to combine two colors for special effects.

Knock out or overprint all objects of a particular color

1)Define a color.

2)To make this color print on top of other colors when printing separations, do one of the following:

•To have any object that uses this color overprint, choose Overprint.

•To have any object that uses this color knock out, choose Knock Out.

Apply knock out or overprint to objects

1)Select the object and open the Tools palette or choose Graphics > Object Properties.

2)Choose one of the following from the Overprint pop-up menu:

•To have this object overprint objects beneath it, choose Overprint.

•To have this object knock out objects beneath it, choose Knock Out from.

•To have this object use the overprint setting defined for the color, choose From Color. This option is the recommended setting.

Overprinting images created in other applications

If you want images created in other applications to overprint other objects when printed from FrameMaker, note these special cases:

•CMYK TIFF files overprint objects on spot color plates under all of the following conditions: if printed as separations, if their Overprint attribute is set to True, and if their Fill property is set to None.

•EPS files do not overprint other objects when printed as separations.

Print negative and mirror images

Your commercial printer sometimes asks you to print negative images in which all text and objects are inverted when you submit printing files on film. Sometimes you print flipped images with the emulsion side down. Emulsion is the photosensitive substance on the film surface. These flipped images mirror the normal appearance of the pages.

note: Sometimes the settings differ depending on the printer driver you are using, and are unavailable with non-PostScript printer drivers.

1)Choose File > Print Setup. Click Properties to access the printer driver options. Locate and set the options that control negative and mirror images.

Trap objects

In commercial printing, overprinting to compensate for registration errors sometimes produces unacceptable color mixing. In this case, perhaps you trap the object instead of overprinting it. A trap is a line bordering the object on top. It is wide enough to fill the color gap and to overprint the other object along the border of its cutout.

Without trapping and with trapping

Having a commercial printer trap your documents saves you the effort of hand-trapping each object individually. Also, manual trapping sometimes must be undone if you later decide to have a commercial printer do the trapping.

1)Create a border for the object on top by duplicating the object and setting the duplicate fill pattern to None. Be sure that the duplicated object is exactly over the original.

2)Set the line width of the border as appropriate. Consider the size and contour of the object, the type of printing paper, and the accuracy of the printing press. Consult your commercial printer for information on suitable line widths for trapping.

The stroke of a line is always centered on an object edge. Therefore, double the line width specification that the commercial printer gives you.

3)Select the border and choose Overprint from the Tools palette.

Processing color documents using OPI

You can have a document color separated, or have all objects in a document or book trapped by printing to a PostScript file. Then have a commercial printer process the PostScript file for you. Creating a PostScript file in this way embeds instructions in the file. These instructions conform to the Adobe Document Structuring Convention (DSC). DSC enhances the performance of postprocessing products that perform trapping and imposition. DSC also lets you take full advantage of products that support Open Prepress Interface (OPI) version 1.3. OPI reduces the hardware overhead for working with high-resolution color images.

OPI-enhanced PostScript files contain information that the commercial printer software uses to match the placeholder images with the high-resolution ones at print time.

note: Before beginning, ask your commercial printer for any special instructions for producing PostScript files.

1)Ask your service bureau or commercial printer to make high-quality scans of your artwork and keep the high-resolution images. You take the OPI-ready low resolution EPS or TIFF versions of the images to work with.

2)Import (by reference or by copying) the low resolution images into your document.

3)Create a print file, or a series of print files for a book.

Print to Linotronic typesetters

Here are some tips for printing to Linotronic typesetters:

•Some Linotronic typesetters automatically place registration marks on the page. Check with your service bureau to see whether to use the Registration Marks setting when you print.

•Not all Linotronic models support thumbnails. Test various thumbnail settings to find the optimum setting. Some Linotronic models print 1 x 2 thumbnails correctly, but not 2 x 2 thumbnails.

•Some Linotronic drivers fail to let you enter a custom paper size even after you have chosen User Defined Size in the Paper Size pop-up menu. To enter a custom paper size, right-click the Linotronic driver and choose Properties. Click the Paper tab, and then select the custom paper size icon from the scroll list of icons.

12.3.2.Print documents

When you print a document, you can specify options such as how many copies to print and whether to print crop marks and registration marks. The available options vary slightly with the platform and the printer you are using. You can also print a book made up of several documents.

When you are working with structured documents, element boundaries, either as brackets or as tags, are printable characters. If you are showing these boundaries in the document window, you should hide them before you print.

If you have turned off graphics in the View Options dialog box, graphics will not appear in the printed document.

The printing feature supports the Unicode text encoding standard.

note: For PostScript printing, use a PostScript Level 2 or higher output device and make sure that you use a print driver and PPD for such a device.

Related links:

View element boundaries in the document window

Print a book file

Prepare color documents for output

Print to a desktop printer

You can print each page of a document as a composite. A composite page contains all the colors that are used on the page. You print a composite color document when printing to a desktop color printer.

1)Choose File > Print.

2)Specify the page range that you want to print.

3)Make sure that Print Separations is unselected.

4)Set the remaining print options as necessary and click Print.

Print options

The following print options are available for all printers. All these options are in the Print dialog box. For information on additional options available for your printer, see your printer documentation.

note: FrameMaker products for Windows have no control over the abilities or limitations of any printer driver. FrameMaker products can only support printer drivers that have been approved for use in the version of Windows where FrameMaker is running. If you are using an outdated printer driver, you may experience problems, such as lost graphics and characters and the inability to open documents. See the Adobe website for information on installing the latest PostScript drivers.

Collating

To print one complete copy before printing the next copy, select Collate when you are printing multiple copies. Printing might be slower when Collate is selected.

Printing double-sided

To print a double-sided document when you are not using a duplex printer, print the odd-numbered pages, turn the paper over in the printer, and print the even-numbered pages. Depending on how your printer produces pages, you may need to select Last Sheet First before you click Print, because turning the paper over in the printer may reverse the page order.

Changing page order

To print a document starting with the last page, select Last Sheet First.

Printing more quickly

To print a document more quickly, select Low-Resolution Images. The imported images are printed as gray boxes.

Printing crop marks and registration marks

To print a document with crop marks and registration marks, choose an option from the Registration Marks pop-up menu. In some instances, you may want to scale down the printed page image so that crop marks and registration marks will fit on the page.

You can choose between Western and Tombo (Japanese) crop marks.

Western and Tombo crop marks

Reducing or enlarging the page image

To print a reduced or enlarged page image centered on the page, enter a percentage in the Scale box.

Printing thumbnails

To print thumbnails (small images of several pages on one page), enter values in the Thumbnails text boxes. In the Rows box, enter the number of thumbnails you want to print down the page. In the Cols box, enter the number of thumbnails you want to print across the page.

Skipping blank pages

To prevent printing blank pages, select Skip Blank Pages.

Printing colors in black and white

To ensure that colored items (FrameMaker drawn images and text) are printed in black and white rather than in shades of gray, select Spot Color As Black/White.

Feeding paper manually

To print the document on paper that is not in your printer paper cassette, choose File > Print Setup. Choose Manual Feed from the Source pop-up menu, and click OK.

note: The Print Document dialog box in FrameMaker contains some options that may also appear in the Windows printer Properties dialog box, such as the number of copies. When you print a document, FrameMaker printer settings override Windows printer settings.

Create PostScript files

You can create a description of a document called a PostScript file (also called a print file). You can use a PostScript file to download the document later to a PostScript printer or to send the document to a service provider for typesetting. In addition, you can create an Adobe PDF file.

Related links:

Save as PDF

Create a single print file from a document

1)Choose File > Print.

2)Select Print to File and enter the path and filename in the box, or click Browse to specify a folder and filename.

tip: You can enter a .ps extension for your PostScript file.

Create a single print file for a book

1)In the book window, choose File > Print Book, or select the documents you want to print and choose File > Print Selected Files.

2)Select Print to File and enter the path and filename in the box, or click Browse to specify a folder and filename. Choose Single File from the Save Book As (or Save Selected Files As) pop-up menu. Then click Print.

Create a series of separate print files for a book

1)In the book window, choose File > Print Book, or select the documents you want to print and choose File > Print Selected Files.

2)Select Print to File and enter the path and filename in the box, or click Browse to select a folder and type a filename. Choose Single File or Separate File for Each Document from the Save Book As or Save Selected Files As pop-up menu. Then click Print.


Content Management Systems

13.Content Management Systems

When working with documents, you often find the need to maintain versions of document. This is helpful to manage content, compare changes across document versions. Also, maintaining versions is relevant and imperative in a collaborative authoring environment. In a collaborative environment, more than one writer can be working on the same document. Often even on same parts of one document. To allow you to work in this type of an environment, FrameMaker ships with connectors to the following content management systems (CMS):

Adobe Experience Manager

Documentum and SharePoint

WebDAV


Adobe Experience Manager

13.1.Adobe Experience Manager

Built atop the industry-leading JSR-283-compliant CRX content repository, Adobe Experience Manager (AEM and formerly CQ) provides a complete suite of applications for the Web Experience Management (WEM) of organizations. FrameMaker ships with an out-of-the-box connector to AEM. FrameMaker also provides you with an easy-to-use interface that allows you to maintain versions of your documents in a distributed and collaborative environment.

13.1.1.Set up the AEM connector

AEM is a Web content management system that allows you to store digital assets in its DAM (digital asset management) repository. The AEM connector allows you to manage your FrameMaker documents using the DAM.

note: You can choose to store your documents in any AEM folder. However, if you use the AEM DAM, you will be able to take advantage of DAM features such as searching for digital assets.

To set up the AEM connector:

1)In FrameMaker, from the CMS menu, choose Connection Manager.

2)In the Choose Connection drop-down, choose Adobe Experience Manager.

3)In the Connection Details section, enter the following details:

Name

A friendly name for your FM - AEM connection.

Server

Name of the AEM server:

http://<server name>:<port number>/crx/server

User name and password

User name and password.

Workspace

AEM workspace.

Default workspace: crx.default.

You are recommended to create a folder with the DAM workspace. However, you can create a folder at any location in the repository.

4)Click Connect to set up the FM - AEM connector.

The AEM connector displays in the Repository Manager.

13.1.2.Create a CRX folder and upload files

You have the option of adding files at any level of the content folder hierarchy. However, to take advantage of the AEM DAM functionality, you are recommended to a create folder within the dam folder. After you have created a folder, you can then upload files and folders to the repository.

1)To create a sub folder within the dam folder, right-click on the dam folder and choose New Folder.

2)Enter the new folder name and click OK.

Before, you can start working with files in the repository, you need to first upload the files.

You can choose to upload a file or upload a folder. If you upload a folder, all the sub-folders and files within the selected folder are uploaded.

3)To upload a file or folder, right-click on the folder into which you want to upload, point to Upload and choose one of the following:

File:

Upload a single file without its dependencies

File With Dependencies

Upload a single file with the following dependencies:

•Text Insets

•Cross references

•Graphics

Folder

Upload a folder and its contents

4)Choose the file or folder to upload and click Select.

The file or folder is uploaded to the folder in the AEM repository.

note: When you upload an asset (file\folder) already present in DAM, FrameMaker creates a minor version of the asset. This happens only if the present asset in DAM is not locked by a user.

Other operations on the folder

Besides creating folder, uploading files / folders to a folder in the AEM repository, you can also perform the following operations at a folder level:

Cut, Copy, Paste

You can perform these operations to move or replicate folders in your repository.

Delete:

Delete a folder and its contents.

Show Checkout Files:

Display the list of checked out file in the folder

Properties:

Display properties of the folder

Refresh:

Refresh the contents of the folder

13.1.3.Working with files

After you upload a file to the repository, you can perform CMS file operations on the file such as check-out, open read-only, and check-in.

Check out a file

When working with files, you can choose to only check out a file or check out and open the file in FrameMaker.

You check out a file and work on it later. Or you check out a file and open the file in another application. For example, you check out an XML file and choose to open it in an XML editor.

Also, when you check out a file, you also need to choose if you want to check out the selected file or you want to check out the file and its dependencies.

To check out a file:

1)Right-click on a file and point to one of the following:

Checkout and Edit:

Check out the file and open the file in FrameMaker

Checkout:

Check out the file

2)In the submenu, choose one of the following:

File:

Check out the selected file but not its dependencies

File With Dependencies:

Check out the selected file with its dependencies

If you choose to check out a book with its dependencies, the Select File (s) dialog box allows you to selectively check out the dependent files in the book.

3)Choose the dependent files to checkout and click OK.

You are prompted to select from the list of dependencies:

•Text Insets

•Cross references

•Graphics

When you check out a file, notice the check indicator against the file icon in the Repository Manager.

Check in a file

After you are done with making changes to a checked out file, check the file back into the repository. Check in allows other users to now work with the updated file.

To check in a file:

1)Right-click on a file and point to CheckIn.

2)In the submenu, choose one of the following:

File:

Check in the selected file but not its dependencies

File With Dependencies:

Check in the selected file with its dependencies

If you choose to check in a book with its dependencies, the Select File (s) dialog box allows you to selectively check in the dependent files in the book.

3)Choose the dependent files to checkin and click OK.

You are prompted to select from the list of dependencies:

•Text Insets

•Cross references

•Graphics

4)In the Check-in dialog, you can, optionally, set a version label for the check in.

When you later view the version list of this file, you can use this label as an indicator of the version that you checked in. For example, you might choose to use a specific label for files checked in at the end of a project milestone.

Cancel Check-out of a file

After making changes to a checked out file, you can choose to not check these changes back into the repository. However, you want to release the file for other users to check out. In this case, you can choose to cancel the file check-out.

To cancel the file check out:

1)Right-click on a file and point to Cancel Checkout.

2)In the submenu, choose one of the following:

File:

Cancel checkout the selected file but not its dependencies

File With Dependencies:

Cancel the check out of the selected file with its dependencies

If you choose to cancel the check out of a book with its dependencies, the Select File (s) dialog box allows you to selectively cancel the check out of the dependent files in the book.

3)Choose the dependent files to cancel the checkout and click OK.

You are prompted to select from the list of dependencies:

•Text Insets

•Cross references

•Graphics

4)In the Cancel Checkout dialog, check the Cancel checkout unchanged file(s) to cancel the checkout of only unchanged files.

In this case, any files that have been changed after checkout will not be reverted.

The file check out is canceled and other users can now check out this file.

Other operations on a file

Besides for the operations described above, you can perform the following operations files in the AEM repository:

Cut, Copy, Paste:

You can perform these operations to move or replicate files in your repository.

Show Metadata:

Display the metadata associated with the file. You can also associate XMP metadata with a FrameMaker file, for details see Associate XMP Metadata.

Open (Read Only):

Open the file in the read-only mode without checking out the file.

Edit:

If the file is checked out but not open, open the file for updates

Delete:

If the file is not checked out, delete the file from the repository

Show Dependents:

Display the list of dependent or missing files

Show Versions:

Display the list of versions

Properties:

Display the list of file properties such as created date, created by, server path

Refresh:

Refresh the current state of the file. For example, you view the file as checked out by another user. The user then checks the file in. Refresh the state of the file after the other user checked the file in.

13.1.4.Searching in the AEM repository

The AEM search functionality allows you to search for files in the selected AEM folder. The functionality includes:

Repository search

Advanced search

Repository search

To search for a file in the repository:

1)Select a folder in which to search.

2)Enter the search string in the Enter Search String in the Repository Manager and click Search Repository.

The Search Result dialog displays the filename, server path, version, and date created for each file returned in the search results.

3)Right-click a file to perform the required operation on the file. For operations that you can perform on a file, see Working with files.

Advanced search

Advanced search allow users to perform a search based on criteria like name, path, modified date, file type, and tags. Such functionality is useful when you have a large number and variety of files in your repository. To perform an advanced search for files in the AEM repository:

1)Click the Advanced Search button on the Repository Manager.

AEM Advanced Search dialog

important: None of the search fields in the Advanced Search dialog are mandatory. Also, if you specify a search filter for more than one field, the search uses the AND criteria to perform the search.

2)In the Full Text box, enter the search string.

3)The Path box displays the name of the currently selected folder. Use the Browse button to choose an alternative AEM folder to search.

4)Click the Modified check box to enable the From and To fields.

Use the Calendar controls in these fields to specify the file modified date range to search.

5)Click the File Types check box to enable the file type fields.

You can choose to include (check) or exclude (uncheck) the file type from the search.

•FrameMaker Files

•Images

•Multimedia

•Documents

For each of the above file type groups, click the Browser button and choose the file types to include or exclude. For example, from the FrameMaker Files list, you can choose to include or exclude FrameMaker Documents, FrameMaker MIF, and XML.

You can also enter a file type not defined above in the Other Types box.

To define other files type, you will need to specify the mime type of the file. Also, you can specify multiple file types separated by comma.

6)Click the Tags check box to enable the metatag fields.

You can choose to include (check) or exclude (uncheck) the metatag from the search.

•Business

•Industry

•Lifestyle

•Nature

•Illustrations/Vectors

For each of the above metatag groups, click the Browser button and choose the metatag to include or exclude. For example, from the Business tag group, you can choose to include or exclude business-related metatags such as Business Abstract, Business Backgrounds, Business Concept.

You can also enter a metatag not defined above in the Other Tags box.

To define multiple metatags, you can specify the metatags separated by comma.

7)After you have filtered the search, click the Search button.

The Search Result dialog displays the file name, server path, version, and date created for each file returned in the search results.

8)Right-click a file to perform the required operation on the file. For operations that you can perform on a file see, Working with files.

13.1.5.Associate XMP Metadata

FrameMaker provides you support for editing and updating AEM metadata of DAM FrameMaker assets, which simplifies file and version management. XMP metadata is platform independent and you can customize it to meet your CMS needs. For more information about XMP metadata, see ExtensibleMetadataPlatform (XMP).

Both FrameMaker and AEM support XMP. When you upload a FrameMaker binary file (.fm, .mif, or .book) to the AEM repository using DAM, the FrameMaker file information (File -> File Info...) is added to the AEM metadata of the file.

If you right-click and choose Show Metadata on a file in the AEM repository, you can view the XMP metadata associated with the file.

13.1.6.Manage AEM preferences

You can manage the FrameMaker AEM connector preferences using the CQPreference.xml (located in the FrameMaker install directory).

To update the preferences, open the XML file in an XML or text editor and make change to the following properties, as needed:

Preference

Values

Default

ShowOnlyDam

true displays only the DAM related folders\assets for which you have read permissions in Repository Manager.

false displays all the folders in Repository Manager.

For example, if this field is set to true, and folders is set to "content,apps" FrameMaker displays only two folders in the content repository: content and apps. If this field is set to true and folders is set to “content/dam” the content repository displays content as top level folder and dam as a sub-folder.

true

SetUserArea folders

Specify the AEM application folder where all the FrameMaker files are downloaded from AEM to the local disk.

This field is blank by default. When you do not edit this field and keep it blank, the default folder is: %APPDATA%\ Adobe\Frame Maker\CQ

SuppressAlert

true suppresses the alert messages, such as missing dependent file alerts while uploading/checkin/checkout files, and displays the message content in the FM console window file.

false does not suppress the alert messages.

false

FileNameRestrictions

anychar="true" allows all the characters and special characters in the filenames in the repository.

anychar="false" lets you specify the allowed characters in the repository filenames using AlphaNumeric and OtherCharsSpecialChars values.

note: By default, Unicode is not supported in filenames. To enable Unicode characters in new folder and filenames, switch off the restrictions. (set FileNameRe- strictions anychar = true).

false

AlphaNumeric

true allows alphanumeric characters in filenames.

This preference is relevant only when FileNameRestrictions anychar is set to false.

true

SpecialChars values

List the other characters that are allowed. For example, to allow “-” and “:” in the repository filenames set the value if this field to: “-:”.

This preference is relevant only when FileNameRestrictions anychar is set to false.

none

ShowProgressBar value

true shows a progress bar for indicating the progress of operations, such as check in, check out, download.

false does not display the progress bar.

false

AddHiddenDependencies value

true uploads dependencies, such as cross-references, text inset, graphics, hidden through conditional text or filter attribute while uploading a file.

false ignores all hidden dependencies while uploading a file

false

ManageReferences value

true allows you to customize reference handling with menu and UI options

false maintains existing behavior

true

AutoRefreshParent value

true refreshes the parent node (file or folder) in the Repository Manager after each operation, such as check out.

false does not refresh the parent node automatically.

Set it to false, if better performance is required.

true

To effect these changes, you need to restart CMS session.


Documentum and SharePoint

13.2.Documentum and SharePoint

FrameMaker provides connectors that enable integration with the following content management systems (CMS):

•Documentum 6.5 SP1, SP2, and SP3 and Documentum 6.7

•Microsoft SharePoint Server 2007 SP 2, Microsoft SharePoint Server 2010, and Microsoft SharePoint Server 2013.

Once configured, FrameMaker allows you to perform search, read, write, delete, update, check in, and check out operations on the configured CMS repository.

note: FrameMaker also provides SharePoint support for Claim-based authentication.

13.2.1.Configure the connectors

To set up the connectors, complete the following tasks:

Set default file versioning

You can specify the versioning scheme to be applied when you use FrameMaker to upload a document that exists in a Documentum or SharePoint repository. The document is overwritten and the specified file versioning settings are applied to the document.

1)In FrameMaker, Click Edit > Preferences.

2)In CMS, ensure that Overwrite existing object and save as is selected.

3)Select the versioning option per your requirement. You can choose to have the same (Documentum only), next major, or next minor version for the uploaded document.

4)Click OK.

Setup and configure the Documentum connector

Set the Repository Manager view

1)In FrameMaker, Click Edit > Preferences.

2)In CMS > Documentum, select Show Hidden Objects to view the hidden files (contained in a repository) in the Repository Manager window.

3)Select Show Private Cabinets to view the private cabinets (contained in a repository) in the Repository Manager window.

4)Click OK.

Download the Powerlink SDK

Download the Documentum Foundational Services SDK from the EMC website.

note: You need an EMC powerlink login to download the SDK.

Specify the DFS SDK path

1)Download the Documentum Foundation Services (DFS) SDK from EMC Community Network.

2)Extract the zip file.

3)In FrameMaker, Click Edit > Preferences.

4)In CMS > Documentum, click Browse.

5)In the Browse For Folder window, navigate to the SDK (e.g. emc-dfs-sdk-6.5) folder.

6)Click OK in the Browse For Folder window.

7)Click OK in the CMS Preferences window.

A message box prompts you to restart FrameMaker.

8)Restart FrameMaker.

Add the FrameMaker types and formats on the Server

You can add the FrameMaker types and formats on the Content server using a .dar file.

Add the FrameMaker types on the Server using the .dar file

To add the FrameMaker types on the Content server, you need Administrator or Create Type privilege.

1)Download the .dar file from the following location and use it to add the FrameMaker types on the Server:

www.adobe.com/go/learn_fm_dar_file_en.

Set up sample Adobe FrameMaker DITA Applications for Documentum Server

A FrameMaker sample application pack is available at www.adobe.com/go/learn_fm_sample_dita_app_pack_en. The application pack includes an indicative set of applications to help content administrators configure FrameMaker to author files on Documentum server. Download and install the sample application pack to avoid the warnings and XML parser logs when you work with XML files from Documentum server.

13.2.2.Connect to the content management system

1)In FrameMaker, select CMS > Connection Manager.

2)Choose the connection type — Documentum or SharePoint.

3)Specify the connection details, such as server name, user name, and password to connect to your CMS. Also, specify a unique name for the connection.

note: The value in the Name field uniquely identifies each connection. All connections are added to the favorites list. The list can store a maximum of sixteen favorites. If you try to store the seventeenth connection, the first connection on the list is removed to accommodate it. The connection list works in a first in, first out manner.note: To delete a listed connection, select it from the list and click Remove.

4)(Documentum only) Specify the name of the Documentum repository to which FrameMaker will connect using this connection.

5)Click Connect.

The Repository Manager lists the contents of the selected server.

13.2.3.Using Repository Manager

Select CMS > Open Repository to view the Repository Manager window. Use the Repository Manager to:

•Switch between repositories

•Browse files within a repository

•Manage resources

Repository Manager

A. Search the repository B. Perform advanced search C. Add a connection D. Close a connection E. Delete F. Cancel checkout G. Select repository H. Checkin item I. Checkout item

13.2.4.Upload files and folders

Using FrameMaker, you can upload files and folders to a Documentum or SharePoint server.

Upload files

note: You can upload XML, DITA, FM, MIF, and book files.

note: Ensure that the required applications are configured on the CMS server to upload DITA and XML files. If DITA applications are not available on your CMS, contact your Administrator.

1)Select the server from the Repository Manager window.

You can choose to upload an open (step 2) or closed (step 3) file.

2)Upload an open file.

a)Switch between the open documents to select the document to upload.

b)Select CMS > Upload Active Document.

The Select CMS Item window is displayed.

c)Specify the upload location.

note: Save the file before uploading. If the file is not saved, the dependencies list may not be correctly updated.

d)Click OK.

The selected document and its direct dependencies are uploaded. A message is displayed when the file is successfully uploaded.

e)Click OK.

3)Upload a closed file.

a)Perform one of the following:

•Right-click a list or folder for SharePoint.

•Right-click a cabinet or folder for Documentum.

b)Select Upload Document.

The Select the file to upload window displays.

c)Specify the file to upload.

d)Click Select.

The selected file and its direct dependencies are uploaded. A message is displayed when the file is successfully uploaded.

e)Click OK.

note: The uploaded file remains on the disk and a copy of it is uploaded to the server. To work on the file again, first check out the file from the server.

Upload folders

1)Select the server from the Repository Manager window.

2)Perform one of the following:

•Right-click a cabinet or folder for Documentum.

•Right-click a list or folder for SharePoint.

3)Select Upload Folder.

The Browse For Folder window displays.

4)Navigate and select the folder to upload.

5)Click OK.

The selected folder and all its dependencies are uploaded. A message is displayed when the directory is successfully uploaded.

6)Click OK.

13.2.5.Manage resources

Using FrameMaker, you can manage the resources, such as cabinets (Documentum), folders, and files, of your configured Documentum or SharePoint server.

Manage Documentum cabinets, folders, and files

You can perform the following operations on your CMS resources.

Add a cabinet

Right-click the root node of the Documentum server and select New Cabinet.

Delete a resource

Right-click a cabinet (Documentum only), folder, or file and select Delete.

When deleting a file in SharePoint, a dialog prompts you to keep just the current version of the file and delete all other versions, or to delete all the versions of the file.

SharePoint deletion dialog

When deleting a file in Documentum, a dialog prompts you to delete just the file, all versions of the file, or the file and all its dependencies.

Documentum deletion dialog

Upload a file

Right-click a cabinet, list, or folder and select Upload Document. FrameMaker uploads the file and all its dependencies, if any.

Upload a folder

Right-click a cabinet, list, or folder and select Upload Folder.

Add a folder

Right-click a cabinet, list, or folder select New Folder.

Show checked out files

Right-click a cabinet, site, list, or folder and select Show Checkout Files.

View attributes

Right-click a cabinet, site, list, or folder and select Properties. The attributes panel is displayed as follows:

View attributes dialog

The dialog allows you to modify the value of an attribute. To modify a value, click the value of the desired attribute and modify it.

Click OK to save the modified value.

Refresh the view

Right-click a cabinet, site, list, folder, or the root node and select Refresh.

Check out files

1)In the Repository Manager dialog, select the repository.

2)Right-click the file and do one of the following:

•Select Checkout and Edit to check out and open the file.

•Select Checkout to check out the file.

Checkout dialog

3)Specify whether to check out all dependent files.

4)Click OK.

Check in files

1)In the Repository Manager dialog, select the repository.

2)Right-click the file and select Checkin.

3)Specify the version details.

4)Click OK.

note: Select Cancel Checkout to undo the checkout and discard changes made to the file. For SharePoint, check out of all dependent files will also be automatically canceled.

note: Save the file before checking in to ensure that all the changes are uploaded correctly. If a file is checked out with its dependents, then all dependent files will also be automatically checked in.

Manage files

Using FrameMaker you can manage XML, DITA, FM, MIF, and book files. In addition to checking out and checking in files, you can perform the following tasks:

Open a file

Right-click and select Open (read only) to view the file in read-only mode. If the file is not checked out, double-clicking or pressing Enter on the file, opens the file in read-only mode, and also downloads all the dependents of the file.

Delete a file

Right-click, select Delete. Select Delete all versions to delete all versions of the file.

View various versions

Right-click and select Show Versions.

View dependencies

Right-click and select Show Dependents. note: View dependencies is only valid for virtual documents in the case of Documentum.

View properties

Right-click and select Properties.

Refresh the view

Right-click and select Refresh.

13.2.6.Search files

FrameMaker allows you to perform basic and advanced search in the configured Documentum and SharePoint repositories.

Basic search

Basic search searches on the name of the file. To perform a basic search:

1)In the Repository Manager, select the repository.

2)Enter the search term in the search field and click the search icon.

Basic search tab

The results are displayed in the search results window.

note: Basic search searches the selected item in the repository. If the selected item is a top-level container, then all files and subcontainers within the main container are searched.

Search results window

Advanced search in SharePoint

To perform an advanced search on a SharePoint repository:

1)In the Repository Manager, select the repository.

2)Click the advanced search icon. The advanced search window is displayed as follows:

Advanced search window (SharePoint)

3)Enter the search term in the search pane.

4)The condition builder allows you to perform complex searches by combining two or more search criteria.

a)Build a criteria by selecting the property (for example, Created By), the relevant condition (for example, =), and specify a value (for example, Jones). Click Add.

b)Build another criteria by selecting the operator (AND or OR), the property (for example, File Type), the desired condition (for example, =), and specify a value (for example PDF).

5)Click Search.

Search results are displayed based on the specified search criteria. In this example, the PDF files created by Jones are displayed.

Advanced search in Documentum

To perform an advanced search on a Documentum repository:

1)In the Repository Manager, select the repository.

2)Click the advanced search icon. The advanced search icon is displayed as follows:

Advanced search window (Documentum)

3)Enter the search term in the search pane.

4)Select the location, file type, date, and file size values as required.

5)The condition builder allows you to perform complex searches by combining two or more search criteria.

a)Build a criteria by selecting the property (for example, Title) and the condition (for example, begins with), and specify a keyword (for example, Troubleshooting). Click Add.

b)Build another criteria by selecting the operator (AND or OR), property (for example Modified By), condition (for example, begins with), and specify a keyword (for example, Daniel).

6)Click Search.

Search results are displayed based on the specified criteria. In this example, elements that have their titles beginning with Troubleshooting and are modified by users that have their names beginning with Daniel are displayed.

13.2.7.Add custom CMS attributes

You may need to create custom attributes according to your unique requirements in SharePoint or Documentum. Once you have created these custom attributes, you can provide support for them in FrameMaker. You can add the custom attributes in FrameMaker that exist on your Documentum or SharePoint CMS. You can add the following attribute types in FrameMaker CMS preferences for SharePoint:

•Text

•Note

•Number

•Currency

•Integer

•Boolean

•DateTime

•Lookup

•Choice

•URL

•User

You can add the following data types for Documentum:

•Boolean

•Integer

•String

•Double

•Time

•ID

On file upload, the attributes specified in the CMS preferences are populated in connection manager and search.

Adding custom properties in SharePoint

A. Properties added in Sharepoint using the Preferences dialog of FrameMaker B. Adding custom properties in FrameMaker (SingleLine, MultiLine, and curr)

Add a custom property for SharePoint

1)Select Edit > Preferences.

2)In the Preferences dialog, expand CMS and select SharePoint and enter the following:

a)Name: Enter a name for the new property.

b)Data Type: Enter data type of the new property: Boolean, Date, Double, Integer, or String.

c)Attribute Type: Enter one of the following: Text, Note, Number, Currency, Integer, Boolean, DateTime, Lookup, Choice, URL, or User.

3)Click OK.

Add a custom property for Documentum

1)Select Edit > Preferences.

2)In the Preferences dialog, expand CMS and select Documentum.

3)In List of Attributes, enter the name of the new property and click Add. Repeat to add more properties.

4)Click OK.

To view the added property, right-click a folder or document within the relevant cabinet. Also, when you use Advanced Search, the Add Criteria area has the new property listed in the Property drop-down.


WebDAV

13.3.WebDAV

WebDAV technology enables you to read and write files over a modified hypertext transfer protocol. Files reside on the server within a directory structure and are checked out to your local machine. Your local machine has a directory structure that mirrors the WebDAV server structure, so when you check out files, the files are downloaded to your machine and placed in the mirrored folder.

FrameMaker has built-in support for Web Distributed Authoring and Versioning (WebDAV) server technology. WebDAV is a standard protocol that is supported by most Content Management Systems (CMS). Use WebDAV to download and upload documents, and lock documents so others cannot modify them at the same time as you do. Use a WebDAV enabled CMS to work in a collaborative environment without worrying about version control.

In FrameMaker, you can author and edit XML files, FrameMaker books and files, and MIF files, located on the WebDAV server. For more information about WebDAV, visit www.webdav.org.

WebDAV server

A server implementing the WebDAV protocol. You can store and access files on any WebDAV server using FrameMaker and a WebDAV client, assuming you have login access to the server.

URL

In the context of WebDAV, URL refers to the path to a file (asset) on a WebDAV server. You can open any file on a WebDAV server by specifying its URL in the Browse URL dialog box.

WebDAV offers distinct advantages over traditional file servers.

Multiple users can download copies of a file managed by a WebDAV server, but only one user at a time can check-out the file. Users who check out a file can share their work with other users while keeping a file checked-out by updating the file on the server. However, other users can’t change a checked-out file until it is checked in. This check out/check in system allows multiple users to access the same file but prevents users from overwriting each other’s work.

Because WebDAV works over web accessible networks, location doesn’t matter. Team members can share files regardless of their proximity.

13.3.1.Getting started

You can directly open, update, and save files to the server by specifying the URL of a file.

Advantages of using Browse URL

•You don't have to explicitly set up the server connection.

•You don't have to explicitly download all linked and associated files, such as referenced images when you download a file.

•You don't have to download all book components or files associated with a .xml, such as schema, DTD, or EDD.

•You don't have to explicitly update or upload a file. A file is automatically updated on the server when you save it and checked-in to the server when you close it.

The Browse URL workflow is also Unicode and IPv6 compliant and integrated with all FrameMaker workflows.

13.3.2.Using the Browse URL workflow

The Browse URL dialog box is integrated in all FrameMaker workflows. The Browse URL button appears in all FrameMaker dialog boxes related to file management.

New

You can specify the HTTP URL of the template you want to use for a new document. You can either type the complete URL of the template in the New dialog box or use the Browse URL dialog box to select the template.

Open

You can open any HTTP file on a server by typing its URL in the filename of the file Open dialog box. You can open all the FrameMaker file types supported through local file paths using HTTP paths. These file types include .fm, .book, .mif, .xml, .ditamap, and .bookmap. You can also open text file, Microsoft Office file formats, such as RTFs, and QuarkXPress documents.

Import

You can import files by specifying their HTTP paths. You can import them by reference or copy them into your document. You can import an HTTP text inset, add a cross-reference to an HTTP file, import graphics, U3D objects, or SWF files by specifying their HTTP paths.

Save

You can specify a URL in the Save As dialog to upload the file to a WebDAV enabled server. You can save a file in all FrameMaker formats.

note: You cannot do a batch conversion of documents for HTTP WebDAV directories.

Browse URL

A. Store the URL path by specifying a nickname to the server B. Delete the stored URL path C. Look In list displays the recently accessed file D. Move up one folder level E. Create a folder on the server F. Rename a file or folder G. Delete selected file or folder H Stored server name I. File details that you can sort according to any column J. Specify the complete URL for a file

Save a WebDAV server connection

When working with Browse URL you don’t have to explicitly set up a server. If a WebDAV server has an authentication process setup, you need to provide login credentials the first time you access a file on the server. If you work frequently with a server, you can save the server connection in the Browse URL for quicker access.

1)Access the Browse URL dialog box and type the HTTP path to the WebDAV enabled server in the filename box.

2)If prompted, specify your login ID and password.

3)To save the server connections, click the Store URL [image] button.

4)Specify a nickname for the server connection and click OK.

Once saved, the server connection is displayed each time you access the Browse URL dialog box.

To delete a saved server connection, click the Remove URL [image] button.

Setting preferences

1)Choose Edit> Preferences and set the following options.

Checkout HTTP Files On Open

Clear this option if you do not want to check out a file from a WebDAV server when opening the file.

Upload HTTP Files On Save

Clear this option if you want to check in a file only once when you close the file.

Using HTTP paths to open files

You can open any file on a WebDAV server by specifying its URL.

For xml files, FrameMaker silently downloads all HTTP references, such as the xml schema or the DTDs associated with the xml file. Other references, such as text or graphic insets or cross-referenced files are also downloaded.

You can also reference or import graphic file objects in your documents by specifying their URLs. You can include links to documents by specifying their HTTP paths in hypertext markers.

Add, open, and save documents

You can create, save, or open files directly from a WebDAV server by specifying the file URL.

Create a file

1)Choose File > New > Document and click the Browse URL button.

2)Select the server name from the right panel or specify the HTTP path to the server.

3)Specify a filename and click OK.

You can create a DITA topic, Ditamap, or a bookmap on a WebDAV server.

1)Choose DITA > New DITA File and select any option from the menu.

2)Click the Browse URL button in the new file dialog boxes to create a DITA file on a WebDAV server.

Open a file

If you selected the Checkout HTTP Files On Open option from the Preferences dialog box, a file is automatically locked and checked-out when you download it. An asterisk symbol appears against the filename indicating that it is checked-out.

Open a n unstructured FrameMaker file

1)Choose File > Open and click the Browse URL button.

2)Select the server name from the right panel, navigate to the folder, and double-click the file to open it.

Alternatively, specify the complete HTTP path to the file and click Open.

Open a DTD

1)Choose Structure Tools > Open DTD and click the Browse URL button.

2)Select the server name from the right panel, navigate to the folder, and double-click the file to open it.

Alternatively, specify the complete HTTP path to the DTD file and click Open.

Open a schema

1)Choose Structure Tools > Open Schema and click the Browse URL button.

2)Select the server name from the right panel, navigate to the folder, and double-click the file to open it.

Alternatively, specify the complete HTTP path to the schema file and click Open.

Save a file

You can automatically upload changes to the WebDAV server. To do so, ensure that you have selected the Upload HTTP Files On Save option in the Preferences dialog box.

1)Choose File > Save As and click the Browse URL button.

2)Select the server name from the right panel, navigate to the folder, and click Save.

Save a DTD

1)Choose Structure Tools > Save As DTD and click the Browse URL button.

2)Select the server name from the right panel, navigate to the folder, and click Save.

Import files

Import a file:

Choose File > Import > File and click the Browse URL button.

Import a DTD:

Choose Structure Tools > Import DTD and click the Browse URL button.

Import a schema:

Choose Structure Tools > Import Schema and click the Browse URL button.

Import a CSS file:

Choose Structure Tools > Import CSS and click the Browse URL button.

Close a file

By default, when you close a file the file is automatically checked-in.

Associate a template with a folder

You can specify the HTTP path of the template when associating it with a folder in a hierarchical book.

1)In the book window, right click the folder for which you want to specify a template and click Properties.

2)Select the Template Path option and click the add template button [image] to browse for a file.

3)Specify the complete HTTP path in the filename box or click Browse URL to locate the file on the server.

4)Click OK, Open, and Set to associate a template for the selected folder.


Scripting in FrameMaker

14.Scripting in FrameMaker


What is scripting?

14.1.What is scripting?

Scripting is a powerful tool that can be used to control and automate many features of Adobe FrameMaker—saving you so much time and effort that it can completely change the way you approach your work.


Why use scripting?

14.2.Why use scripting?

Your work is characterized by creativity, but many of the actual hands-on tasks are anything but creative. Most likely, you spend much time doing the same or similar procedures over and over again. Would it not be great to have an assistant—one that happily does the mind-numbing tasks, follows your instructions with perfect and predictable consistency, is available any time you need help, works at lightning speed, and never even sends an invoice? Scripting can be that assistant. With a small investment of time, you can learn to script the simple but repetitive tasks that eat up your time. However, while it’s easy to get started, FrameMaker scripts provide the necessary depth to handle sophisticated jobs. As your scripting skills grow, you may move on to more complex scripts that work all night while you’re sleeping.


Getting started with scripting

14.3.Getting started with scripting

A script is a series of statements that tells an application to perform a set of tasks. The trick is writing the statements in a language that the applications understand. FrameMaker support ExtendScript as its scripting language.

There are two ways of running scripts: from within FrameMaker and by using the ExtendScript Toolkit (ESTK).

14.3.1.Run scripts

FrameMaker includes a menu entry that makes it easy to manage and run scripts.

•To run a script:

a)Click File > Script > Run.

b)From the Script browser, select the script to be run.

c)Click Open. The script is run from within FrameMaker.

•To create a script:

a)Click File > Script > New Script

b)Compose your script in the ExtendScript TookKit (ESTK) that is opened.

c)Save the script. Either run the script from within ESTK or run it from within FrameMaker.

14.3.2.Manage scripts

FrameMaker includes a script catalog that allows you to easily manage your scripts. Launch the catalog from File > Script > Catalog.

The Catalog looks as follows:

Scripts Catalog

The catalog lets you manage favorite scripts, autorun scripts, and registered (notification) scripts.

Select the Favorites option in the catalog to manage your favorite scripts.

You can perform the following operations from this screen:

•To add a script as a favorite, click Add. Select the script from the script browser and click Select. The script is then added as a favorite.

•To remove a script from the Favorites list, select the script and then click Remove.

•Click Refresh to refresh the list of favorite scripts.

•To mark a script as an Autorun script, select the script and click Move To AutoRun. The script is then copied from its exiting location into the autorun (startup) folder.

Manage favorite scripts

Select the Favorites option in the catalog to manage your favorite scripts.

You can perform the following operations from this screen:

•To add a script as a favorite, click Add. Select the script from the script browser and click Select. The script is then added as a favorite.

•To remove a script from the Favorites list, select the script and then click Remove.

•Click Refresh to refresh the list of favorite scripts.

•To mark a script as an Autorun script, select the script and click Move To AutoRun. The script is then copied from its exiting location into the autorun (startup) folder.

Manage autorun scripts

Select the Autorun option in the catalog to manage your autorun scripts.

Autorun scripts are run automatically each time FrameMaker is launched. Any script that is placed in the following directories, becomes an autorun script.

•<FrameMaker installation folder>\startup

•<user’s home folder>\startup

All scripts are run in alphabetical order.

You can perform the following operations:

•To add a script as an autorun script, click Add. Select the script from the script browser and click Select. The script is then placed in the startup folder and added to the autorun list.

•To delete a script from the autorun list, select the script and click Delete.

•Click Refresh to refresh the list of favorite scripts.

Manage registered (notification) scripts

Select the Registered option in the catalog to manage your registered scripts. Registered scripts are also called as notification scripts. These scripts are run when the events for which they are registered are triggered.

Notification is the internal mechanism through which a script registered for a particular event is run when the event is triggered.

Any script that is registered to run when an event is triggered is displayed in the notifications list in the catalog.

To unregister a notification script, select the script and click Unregister. The script is then unregistered. Once a script is unregistered, the script is not run, when the event for which it was previously registered is triggered.

note: To add a notification script, see the section on notifications in the appendix.

Other features

There are two features that are common to every script type that you can manage through the catalog: view and delete broken scripts and select, edit and run a script.

View and delete broken scripts

When a script that has already been added to the catalog is moved or deleted from its current location in the file system, it is termed as a broken script.

To view such scripts, select the Show Broken only option in the catalog. The catalog then displays all the scripts that are broken.

You can then delete such scripts from the catalog. When you delete a script, it is only deleted from the catalog and not from its location in the file system.

Select, edit, and run a script from the catalog

•To run a script from within the catalog, select the script from the list and click Run.

•To edit a script from within the catalog, select the script from the list and click Edit. The script is opened in the ExtendScript ToolKit editor.

•To run a new script (not added to the catalog yet), select the option marked New and click Run. Then, select the script from the script browser and click Open.


Using ExtendScript Toolkit

14.4.Using ExtendScript Toolkit

FrameMaker includes the ExtendScript ToolKit (ESTK). The ESTK is a development and debugging tool for ExtendScript scripts.

The ESTK has many features that make it easier to use than a text editor, including a built-in syntax checker that identifies where the problems are in your script and tries to explain how to fix them, and the ability to run your scripts right from the ESTK without saving the file.

All ExtendScript scripts are JavaScripts. The ESTK also includes a JavaScript debugger that allows you to:

•Single-step through JavaScript scripts (JS or JSX files) inside an application.

•Inspect all data for a running script.

•Set and execute breakpoints.

note: For more information on ESTK, navigate to http://www.adobe.com/devnet/scripting.

note: For more information on using ESTK in Technical Communication Suite, see Working with ExtendScript, in the Technical Communication Suite Using Guide.


Appendix

15.Appendix


Keyboard shortcuts

15.1.Keyboard shortcuts

About keyboard shortcuts

You can perform many tasks by using keyboard shortcuts. The plus sign (“+”) indicates that each key must be pressed simultaneously. For example, Control+z means to press the Control key and the z key simultaneously. If the shortcut keystroke does not contain the plus sign (+), press each key in the order the shortcut states. For example, “Esc m p” means to press and release the Esc (Escape) key, then the m key, and then the p key.

Conventions and function keys

When you use keyboard shortcuts, Caps Lock must be off and, unless otherwise noted, a document window must be active.

The following table lists the terms used for special keys:

Notation | Press
arrow key | Up, down, right or left arrow keys
Esc | The key labeled Esc
Control | The key labeled Ctrl or Control
Alt | The key labeled Alt
Shift | The key labeled Shift
F2 | The function key labeled F2. (If you should type F followed by 2, the characters are shown as F 2)
space | The space bar
plus | The key labeled with a plus sign (+)
minus or hyphen | The key labeled with a hyphen (-)
period | The key labeled with a period (.)
comma | The key labeled with a comma (,)
zero | The key labeled with the numeral 0
one | The key labeled with the numeral 1
Win | The key with the Windows logo

Keyboard shortcut sequences

The following table explains the conventions for showing key sequences and key combinations. When an uppercase letter appears in a shortcut, use the Shift key when typing the letter.

When one or more shortcuts accomplish the same action, the shortcuts are separated by commas; for example: Control+n, Shift+Down Arrow. You can use either Control+n or Shift+Down Arrow to accomplish the same action.

Keyboard shortcut sequence | Action
Esc Shift+t r | Press and release these keys in succession: the Esc key,the uppercase letter T, and the letter r
Control+e | Press Control and type the letter e
Control+ Shift+hyphen | Press Shift and Control and type a hyphen

Function keys

This table shows the result of pressing a function key or pressing a function key and either the Control, Shift, or Alt key simultaneously.

Key | Function | Control | Shift | Alt
F1 | Help | Align top |  |
F2 | Plain text | Align middle |  |
F3 | Underline | Align bottom | Overline |
F4 | Bold |  | Cascade | Exit
F5 | Italic |  | Tile |
F6 | Repeat Last Operation |  |  |
F7 |  |  | Point on document window |
F8 | Choose character format by typing |  | Change dialog box settings to As Is |
F9 | Choose paragraph format by typing | Transpose characters | Change dialog box settings to match current text |
F10 |  |  | Display context menu |

Mouse

The following table lists the terms used for mouse actions.

Instruction | Action
Click | Click the mouse button.
Right-click | Click the right mouse button.
Double-click | Click the mouse button twice rapidly without moving the mouse.
Triple-click | Click the mouse button three times rapidly without moving the mouse.
Shift-click | Hold down Shift and click the mouse button.

Navigating through documents

To go to | Keyboard shortcut
Last viewed and open document | Control+Tab
Previous page | Esc p p, Pg Up
Next page | Esc p n, Pg Dn
First page | Esc p f, Alt+Pg Up, Shift, and click the Previous Page button
Last page | Esc p l (lowercase L), Alt+Pg Dn, Shift, and click the Next Page button
Go To Page dialog box | Esc v p, Control+g
Source of a cross-reference | Press Alt+Control and click an active area
A specific page | Press Control+g or click the Page Status area and then type the page number
Page containing the insertion point | Press Control+g or click the Page Status area and then click Page Containing the Insertion Point
Start of a word | Control+left arrow
End of a word | Control+right arrow
Start of the next word | Esc b w
Start of a sentence | Control+Home
End of a sentence | Control+End
Start of a paragraph | Control+up arrow
End of the current paragraph | Control+Down Arrow
Start of the next paragraph | Esc b p
Top of a column | Control+Pg Up
Bottom of a column | Control+Pg Dn
Start of a flow | Alt+ Shift+Pg Up
End of a flow | Alt+ Shift+Pg Dn
Start of a line | Control+Pg Up
End of a line | Control+Pg Dn

Book commands

Task | Keyboard shortcut
New Book | Esc f Shift+n
Save Book | Esc f s, Control+s
Rename File | Esc f e or F2
Update Book | Esc e Shift+u,Esc f g
Display filenames (in book window) | Esc Shift+v Shift+m
Display paragraph headings (in book window) | Esc Shift+v Shift+x
Delete File from Book | Esc f x
Select All Files | Esc e a
Save all files in book | Esc f Shift+s
Close all files in book | Esc f Shift+c
Select All FrameMaker Files | Esc e Shift+a Shift+f
Select All Non-Generated FrameMaker Files | Esc e Shift+a Shift+n
Select All Generated FrameMaker Files | Esc e Shift+a Shift+g
Select a range of files | Shift+click
Select discontiguous files | Control+click
Move up a file in book | Esc m u
Move a file down in book | Esc m d
Print Book | Esc f p, Control+p
Print Selected Files in Book | Esc f Shift+f

Documents

Help

Task | Keyboard shortcut
Display online Help | Esc f h, F1
Adobe Online | Esc w w w
Display Help on using the templates provided with FrameMaker | Press Control+n and click Explore Standard Templates

Open

Open | Keyboard shortcut
A document in a book file | Double-click the filename in the book window
All files in an active book window | Esc f Shift+o, or press and choose Open All Files in Book from the File menu
A MIF or an MML file as a text file | Press Control and click Open in the Open dialog box

Save and Close

Task | Keyboard shortcut
Display the Save Document dialog box | Esc f a
Save a document or book | Esc f s, Control+s
Save all open files | Esc f Shift+s, or press and choose Save All Open Files from the File menu
Save all open files in an active book window in a book | Esc f Shift+s, or press and choose Save All Files in Book from the File menu
Close all open files | Esc f Shift+c, or press and choose Close All Open Files from the File menu
Close all open files in an active book window in a book | Esc f Shift+c, or press and choose Close All Files in Book from the File menu

Cancel and Undo

Task | Keyboard shortcut
Cancel some FrameMaker commands | Esc
Undo some FrameMaker commands | Esc e u, Control+z

Navigation within a document

Display | Keyboard shortcut
Previous page | Esc p p, Page Up
Next page | Esc p n, Page Down
First page | Esc p f, Alt+Page Up, or press and click the Previous Page button
Last page | Esc p l (lowercase L), Alt+Page Down, or press and click the Next Page button
Go to Page dialog box | Control+g

Document redisplay

Task | Keyboard shortcut
Redisplay a document | Esc w r, Control+l (lowercase L)

Zoom

Zoom | Keyboard shortcut
In one zoom setting | Esc z i
Out one zoom setting | Esc z o
To fit page in window | Esc z p
To fit window to page | Esc z w
To fit window to text frame | Esc z f
To 100 percent | Esc z z

Hypertext documents

Task | Keyboard shortcut
Go to previous location on the hypertext stack | Esc v Shift+p
Go to next location on the hypertext stack | Esc v Shift+n
Activate a hypertext command without locking a document | Press Control+Alt and click an active area
Lock or unlock a document | Esc Shift+f l (lowercase L) k
Open Hypertext dialog box | Esc s h
Move focus to Hypertext dialog box | Esc Shift+f i h
Close Hypertext dialog box | Esc Shift+c h
Validate a hypertext command | Esc v h
Toggle FluidView locked format | Esc Shift+v Shift+f

Dialog boxes

Typing in dialog boxes

In some cases, you must type a character sequence beginning with a backslash (\) to enter a character in a dialog box. The sequence appears in the dialog box, but the character appears correctly in the document. The following table shows the sequences to type in a dialog box.

All key sequences described— here– begin with a backslash (\). To indicate a literal backslash in a dialog box, enter two backslashes (\\). In a few cases, you can choose between two backslash sequences for a character. In these cases, the sequences are separated by a comma.

Character name | Graphic | Backslash sequence
Bullet |  | \b
Circumflex |  | \@
Dagger | † | \d
Dagger (double) | ‡ | \Shift+d
Dash (em) |  | \m
Dash (en) |  | \=
Ellipsis | … | \e
Florin | ƒ | \Shift+f
Forced return |  | \r
Fraction |  | \ /
Grave |  | \{
Guilsingl left |  | \(
Guilsingl right |  | \)
Hungarumlaut |  | \&
Hyphen (discretionary) | - | \- (hyphen)
Hyphen (nonbreaking) | - | \+
OE ligature |  | \Shift+o Shift+e
oe ligature |  | \oe
Per thousand | ‰ | \%
Quote (base single) |  | \ ,
Quote (base double) |  | \g
Quote (double left) |  | \`
Quote (double right) |  | \'
Quote (single) |  | \"
Space (em) |  | \sm, \Shift+m
Space (en) |  | \sn, \Shift+n
Space (nonbreaking) |  | \space
Space (numeric) |  | \s#, \#
Space (thin) |  | \st, \i
Suppress hyphenation |  | \_ (underscore)
Tab |  | \t
Trademark serif |  | \Shift+t Shift+m
Y dieresis |  | \Shift+y : (colon)

Window manipulation

To use these shortcuts, click in any FrameMaker window.

Task | Keyboard shortcut
Redisplay a document window | Esc w r, Control+l (lowercase L)
Close the active window or modeless dialog box | Alt+F4
Close the document window | Esc f q, Esc f c, Control+F4, Control+w, Control+Shift+w
Minimize the document window | Esc w c

Display and activation

Use these shortcuts to display a window or dialog box and make it active. If it is already open but is behind another window, these shortcuts bring it to the front.

To display this window and make it active | Keyboard shortcut
Current document window | Esc Shift+f i d, Shift+F7
Find/Change | Esc Shift+f i f
Hypertext | Esc Shift+f i h
Marker | Esc Shift+f i m
Spelling Checker | Esc Shift+f i s
Paragraph Designer | Esc Shift+f i p
Character Designer | Esc Shift+f i c
Conditional Text | Esc Shift+f i o
Custom Ruling and Shading | Esc Shift+f i r
Table Designer | Esc Shift+f i t
Structure View | Esc Shift+f i v
Element Validation | Esc Shift+f i w

Navigation within dialog boxes

Use these shortcuts to move to settings within dialog boxes and pods. When you use a keyboard shortcut in a window or dialog box, the shortcut’s effect depends on the active setting. The active setting is highlighted, has a dotted rectangle around it, or both.

Task | Keyboard shortcut
Move to the next setting | Tab
Move to the previous setting | Shift+Tab

Command buttons

Task | Keyboard shortcut
Click the default button | Return
Click the active button | space
Cancel a dialog box (but not a window) | Esc

Radio buttons and checkboxes

Task | Keyboard shortcut
Navigate through a group of radio buttons to turn on a radio button | arrow keys
Cycle through checkbox states (off, on, As Is) | space

Pop-up menus

Task | Keyboard shortcut
Move to the previous menu item | up arrow
Move to the next menu item | Down Arrow
Search forward and select an item starting with a typed letter | Unshifted key

Scroll lists

Task | Keyboard shortcut
Move to the previous item in a list | up arrow
Move to the next item in a list | Down Arrow
Search forward and select an item starting with a typed letter | Unshifted key
Move an item in a scroll list to the opposite scroll list | Double-click the item
Move all items in a scroll list to the opposite scroll list | Press and click arrow between scroll lists

Custom menus

Task | Keyboard shortcut
Display a custom menu bar | Esc v m u

Document design

Master and reference pages

Task | Keyboard shortcut
Rename a master or reference page (display the master or reference page before using this shortcut) | Esc p Shift+n
Create a master page (display a body or master page before using this shortcut) | Esc o m p or Esc p m

Page layout

Task | Keyboard shortcut
Update page layouts (display a body page before using this shortcut) | Esc o u p

Import formats

Task | Keyboard shortcut
Import the formats from another document | Esc f i o

Side-head area

Task | Keyboard shortcut
Turn side-head area on or off | Esc j p Shift+s

Text flows

Task | Keyboard shortcut
Split a text frame below the insertion point | Esc Shift+c Shift+s
Disconnect the text frame with the insertion point from the previous frame in a flow | Esc Shift+c Shift+p
Disconnect the text frame with the insertion point from the next frame in a flow | Esc Shift+c Shift+n
Disconnect the text frame with the insertion point from both the previous and next frames | Esc Shift+c Shift+b
Connect two selected text frames | Esc Shift+c Shift+c

Document utilities

Spelling Checker

Task | Keyboard shortcut
Check selected text or a word containing the insertion point | Esc l (lowercase L) s, or press Control and click Start Checking in the Spelling Checker dialog box
Check the entire document | Esc l (lowercase L) e
Check the current page | Esc l (lowercase L) p
Correct a word | Esc l (lowercase L) c w
Add a word to your personal dictionary (learn) | Esc l (lowercase L) a p
Add a word to the document dictionary | Esc l (lowercase L) a d
Add a word to automatic corrections | Esc l (lowercase L) a c
Delete a word from your personal dictionary (unlearn) | Esc l (lowercase L) x p
Delete a word from the document dictionary | Esc l (lowercase L) x d
Clear automatic corrections | Esc l (lowercase L) c a
Display the Spelling Checker Options dialog box | Esc l (lowercase L) Shift+o
Display the Dictionary Functions dialog box | Esc l (lowercase L) c d
Create a file of unknown words | Esc l (lowercase L) b
Mark all paragraphs for rechecking | Esc l (lowercase L) r
Show a word’s hyphenation | Esc l (lowercase L) hyphen
Rehyphenate a document | Esc l (lowercase L) Shift+r
Replace a questioned word | Double-click the word in the Correction scroll list in the Spelling Checker dialog box

Thesaurus

To use this shortcut, the document window, not the Thesaurus, must be active.

Task | Keyboard shortcut
Replace a selection with the Thesaurus selection | Esc Shift+t r

Document comparison

Task | Keyboard shortcut
Display the Compare Documents dialog box | Esc f t c

Document reports

Task | Keyboard shortcut
Display the Document Reports dialog box | Esc f t r

HTML and PDF export

Task | Keyboard shortcut
Create and apply formats | Esc f t f
Open the HTML Setup dialog box | Esc f t h
Open the PDF Setup dialog box | Esc o d a

Reference Updating

Task | Keyboard shortcut
Display the Suppress Automatic Reference Updating dialog box | Esc e Shift+s

Drawing

Tool | Keyboard shortcut
Arc | Esc one a
Graphic Frame | Esc one m
Adobe FreeHand | Esc one f
Last tool selected | Esc one one
Line | Esc one l (lowercase L)
Object Selection | Esc one o
Oval | Esc one e
Polygon | Esc one p g
Polyline | Esc one p l (lowercase L)
Rectangle | Esc one r
Rounded Rectangle | Esc one Shift+r
Smart Selection | Esc one s
Text Frame | Esc one t f
Text Line | Esc one t l (lowercase L)
Vertical, horizontal, or diagonal line | Press Shift and draw a line
Square | Press Shift and draw a rectangle
Circle | Press Shift and draw an oval
Circular arc | Press Shift and draw an arc
Display the Tools palette | Esc one w, Esc g Shift+t
Keep a tool active after use | Press Shift and click a drawing tool
Return to the Object Selection tool after drawing | Press Shift and click the Object Selection tool

Pen patterns

“First,” “last,” “next,” and “previous” refer to positions in the Pen pop-up menu.

To change pattern to | Keyboard shortcut
First pen pattern (solid) | Esc zero p
Last pen pattern (none) | Esc 9 p
Next pen pattern (if at the last pattern, this does nothing) | Esc plus p
Previous pen pattern (if at the first pattern, this does nothing) | Esc minus p

Fill patterns

“First,” “last,” “next,” and “previous” refer to positions in the Fill pop-up menu.

To change pattern to | Keyboard shortcut
First fill pattern (solid) | Esc zero f
Last fill pattern (none) | Esc 9 f
Next fill pattern (if at the last pattern, this does nothing) | Esc plus f
Previous fill pattern (if at the first pattern, this does nothing) | Esc minus f

Line widths

“Next” and “previous” refer to positions in the Line Widths pop-up menu.

To change width to | Keyboard shortcut
Thinnest line width | Esc zero w
Thickest line width | Esc 9 w
Next line width | Esc plus w
Previous line width | Esc minus w

Line styles

To change an object’s line style, select the style from the Line Styles pop-up menu.

To change the current dashed line style, choose a pattern in the Dashed Line Options dialog box. “First,” “last,” “next,” and “previous” refer to positions in this dialog box.

Task | Keyboard shortcut
Apply the solid line style to an object | Esc one d s
Apply the dashed line style to an object | Esc one d d
Display the Dashed Line Options dialog box | Esc one d i
Change to the first dashed line pattern | Esc zero d
Change to the last dashed line pattern | Esc 9 d
Change to the next dashed line pattern (if at the last pattern, this does nothing) | Esc plus d
Change to the previous dashed line pattern (if at the first pattern, this does nothing) | Esc minus d

Adding color

Color selection

Task | Keyboard shortcut
Keep a color selected after use | Press Shift and choose a color from the Color pop-up menu
Assign a color to all objects in a document, including text | Press Alt+ Shift and choose a color from the Color pop-up menu in the Tools palette
Display the Color Definitions dialog box | Press Esc v c d

Color views

Task | Keyboard shortcut
Display Define Color Views dialog box | Press Esc v c v
Choose view number (1, 2, 3, 4, 5, or 6) from the Define Color Views dialog box | Press Esc v and then the number

Editing objects

Object selection

Use these shortcuts to select objects on the current page.

Task | Keyboard shortcut
Select a text line or text frame | Press Control and click the text line or text frame
Extend or shorten the selection | Press and click an object
Force selection border to appear (when dragging from outside all objects is not possible) | Press Control+ and drag diagonally
Select the first object in the draw order | Esc o Shift+f
Select the next object in the draw order | Esc o n
Extend the selection to the next object in the draw order | Esc o e
Deselect a text frame or text line and put the insertion point inside it instead | Double-click in the text frame or text line

Object manipulation

Task | Keyboard shortcut
Move an object horizontally or vertically | Press and drag the object
Maintain an object’s proportions while resizing | Press and drag a corner handle
Pick up the properties of the currently selected object in the Tools palette | Esc g Shift+o, or press and choose Pick up Object Properties from the Graphics menu
Display the reshape handle and control points for the line, polyline, polygon, or freehand curve currently selected | Esc g r, Control+r, Control+Shift+r
Move the control point horizontally or vertically | Press and drag the control point
Change the curve on only one side of a reshape handle (crimp curve) | Drag the control point with the right mouse button
Run text around the contour of a selected graphic | Esc g w
Run text around the bounding box of a selected graphic | Esc g Shift+w
Turn text runaround off for a selected graphic | Esc g q
Quick-copy a selected object | Press Alt and drag the object
Turn display of graphics off or on | Esc v v
Add a reshape handle and control points | Press Control and click a line, polyline, polygon, or freehand curve with reshape handles and control points currently displayed
Delete a reshape handle | Press Control and click the reshape handle
Drag and drop between open or applications | Drag (Control-drag to copy)

Object movement

Use these shortcuts to move selected objects.

To move objects | Keyboard shortcut
One point in specified direction (at 100 percent zoom setting) | Alt+arrow key
Six points in specified direction (at 100 percent zoom setting) | Alt+Shift+arrow key

Object alignment

If only one object is selected, the object is aligned to the page or to the anchored or graphic frame that encloses the object.

To align object along | Keyboard shortcut
Tops | Esc j t, Control+F1
Top/bottom centers | Esc j m,Control+F2
Bottoms | Esc j b, Control+F3
Left sides | Esc j l (lowercase L)
Left/right centers | Esc j c
Right sides | Esc j r

Object rotation

Task | Keyboard shortcut
Rotate 90 degrees clockwise | Esc g plus
Rotate 90 degrees counterclockwise | Esc g minus
Rotate precisely by using the Rotate Selected Objects dialog box | Esc g t
Rotate again | Esc g x
Return object to its unrotated orientation (zero degrees) | Esc g zero
Rerotate object from its unrotated orientation to its previous orientation | Esc g one
Set the current orientation of an object as the new unrotated orientation | Esc g 9
Rotate an object arbitrarily | Press Alt and drag a corner or reshape handle
Constrain rotation to 45-degree increments | Press Alt+ and drag a corner or reshape handle
Rotate a page clockwise | Esc p Shift+o
Rotate a page counterclockwise | Esc p o
Unrotate a page | Esc p Shift+u

Graphic frames

Task | Keyboard shortcut
Shrink-wrap an anchored frame (shrink the frame to an object and position the frame at the insertion point) | Esc m p
Unwrap an anchored frame (enlarge the frame) | Esc m e
Rename a selected reference frame | Click frame name in status bar

Editing text

Task | Keyboard shortcut
Cut | Esc e x, Shift+Delete, Control+x
Copy | Esc e c, Control+c
Paste | Esc e p, Control+y, Control+v
Undo/Redo | Esc e u, Control+ Shift+z, Control+ z
Quick-copy text | Click where you want to put the copied text and then press Alt and drag through the text
Transpose characters | Click between characters and then press Control+F9
Make selected text lowercase | Alt+Control+l (lowercase L)
Make selected text uppercase | Alt+Control+u
Make selected text initial caps | Alt+Control+c
Select a word | Double-click it
Select a word, then next words | Double-click it and drag, double-click it and Shift -click
Select current sentence, then next | Press Esc h s, press Control+ Shift+End
Select current sentence, then previous | Press Esc Shift+h Shift+s, press Control+ Shift+Home
Select a paragraph | Triple-click it
Select a paragraph, then next paragraphs | Triple-click it and drag, triple-click it and Shift -click
Delete previous character | Backspace
Delete backward to start of the previous word | Esc k b
Delete backward to end of the previous sentence | Esc k a
Delete next character | Delete
Delete forward to end of a word | Esc k f, Control+Delete
Delete forward to end of a line | Control+Shift+Delete
Delete forward to start of the next sentence | Esc k s

Element menu

Task | Keyboard shortcut
Merge | Esc Shift+e m
Split | Esc Shift+e s
Unwrap | Esc Shift+e u
Edit Attributes | Esc Shift Shift+e Shift+a
Choose namespaces | Esc Shift+e Shift+n
Choose the Element Catalog | Esc Shift+e Shift+c
Choose Set Available Elements | Esc Shift+e Shift+o Shift+c
Choose New Element Options | Esc Shift+e Shift+o Shift+i
Validate | Esc Shift+e v

Entering special characters

Character | Keyboard shortcut
(bullet) | Control+q %
† (dagger) | Control+q space
‡ (double dagger) | Control+q `
™ (trademark) | Control+q *
© (copyright) | Control+q )
® (registered trademark) | Control+q (
¶ (paragraph symbol) | Control+q &
§ (section symbol) | Control+q $
… (ellipsis) | Control+q Shift+i
(em dash) | Control+q Shift+q
(en dash) | Control+q Shift+p
‘ | Control+'
" | Esc "
(with Smart Quotes off) | Control+q Shift+t
(with Smart Quotes off) | Control+q Shift+u
(with Smart Quotes off) | Control+q Shift+r, Alt+Control+‘
(with Smart Quotes off) | Control+q Shift+s, Alt+Control+'
Em space | Esc space m, Control+ Shift+space
Insert | Keyboard shortcut
En space | Esc space n, Alt+Control+space
Nonbreaking space | Esc space h, Control+space
Numeric space | Esc space 1 (one)
Thin space | Esc space t
Nonbreaking hyphen | Esc hyphen h
Suppress hyphenation symbol | Esc n s
Discretionary hyphen | Esc hyphen Shift+d, Control+hyphen
Forced return | Shift+Return
Accent | Press Esc, then type this | Followed by one of these | Example
´ (acute) | ' (apostrophe) | a, A, e, E, i, I, o, O, u, U | É, é
` (grave) | ` (left quote) | a, A, e, E, i, I, o, O, u, U | È, è
˜ (tilde) | ~ (tilde) | a, A, n, N, o, O | Ñ, ñ
¨ (dieresis) | % (percent) | a, A, e, E, i, I, o, O, u, U, y, Y | Ü, ü
ˆ (circumflex) | ^ (caret) | a, A, e, E, i, I, o, O, u, U | Ê, ê
° (ring) | * (asterisk) | a, A | Å, å
¸ (cedilla) | , (comma) | c, C | Ç, ç

Equations

Equations pop-up menu

Command | Keyboard Shortcut
New Small Equation | Esc m s
New Medium Equation | Esc m m
New Large Equation | Esc m l (lowercase L)
Shrink-Wrap Equation | Esc m p
Unwrap Equation | Esc m e
Equation Sizes | Esc p e
Equation Fonts | Esc m f
Insert Math Element | Esc m i
Add Definition to Catalog | Esc m c
Update Definition | Esc m Shift+u

Symbols page

Greek letters

Press Return to end the backslash sequence shown in the third column.

Element | Keyboard shortcut | Backslash sequence
 | Control+Alt+a | \alpha
 | Control+Alt+b | \beta
 | Control+Alt+Shift+g | \Gamma
 | Control+Alt+g | \gamma
 | Control+Alt+Shift+d | \Delta
 | Control+Alt+d | \delta
 | Control+Alt+e | \epsilon
 | Control+Alt+z | \zeta
 | Control+Alt+h | \eta
 | Control+Alt+Shift+q | \Theta
 | Control+Alt+q | \theta
 | Control+Alt+Shift+j | \vartheta
 | Control+Alt+i | \iota
 | Control+Alt+k | \kappa
 | Control+Alt+Shift+l (L) | \Lambda
 | Control+Alt+l | \lambda (lowercase L)
 | Control+Alt+m | \mu
 | Control+Alt+n | \nu
 | Control+Alt+Shift+x | \Xi
 | Control+Alt+x | \\x
 | Control+Alt+Shift+p | \Pi
 | Control+Alt+p | \pi
 | Control+Alt+r | \rho
 | Control+Alt+Shift+s | \Sigma
 | Control+Alt+s | \sigma
 | Control+Alt+Shift+e | \varsigma
 | Control+Alt+t | \tau
 | Control+Alt+Shift+u | \Upsilon
 | Control+Alt+u | \upsilon
 | Control+Alt+Shift+f | \Phi
 | Control+Alt+f | \phi
 | Control+Alt+j | \varphi
 | Control+Alt+c | \chi
 | Control+Alt+Shift+y | \Psi
 | Control+Alt+y | \psi
 | Control+Alt+Shift+o | \Omega
 | Control+Alt+o | \omega
 | Control+Alt+Shift+i | \varpi
 | Control+Alt+7 | \cpartial

Other special symbols

Press Return to end the backslash sequence shown in the third column.

Element | Keyboard shortcut | Backslash sequence
 | Control+Alt+1 | \infty
 | Control+Alt+2 | \bot
... | Control+g period | \ldots
 | Control+Alt+3 | \aleph
 | Control+Alt+4 | \Im
 | Control+m $ | \Re
 | Control+Alt+5 | \wp
 | Control+Alt+0 | \emptyset
 | Control+Alt+6 | \nabla
° | Control+m ) | \degree
‘ | Control+Alt+` | \prime
“ | Control+m " | \pprime

Strings

Command | Keyboard shortcut
Start String | ' or "
End String | Return

Diacritical marks

Element | Keyboard shortcut
 | ` (grave)
 | ~ (tilde)
 | Control+g hyphen
 | Control+Alt+Shift+v
 | Control+g ^
 | period
 | Control+g ~ (tilde)
 | Control+g _ (underline)
 | Control+g right arrow
 | Control+g @

Operators page

Press Return to end the backslash sequence shown in the third column.

Element or command | Keyboard shortcut | Backslash sequence
+ | plus | \plus
_ | minus (after an operand) |
?x? | Control+m * (asterisk) | \cross
 | Control+m period | \cdot
 | Control+8 | \bullet
Toggle Format | Control+Shift+t, Esc m T |
 | Control+Alt+/ | \fract
 | Control+m / | \div
 | / | \over
?=? | = | \equal
 | Control+g = | \uequal
 | Control+j | \jotdot
?,? | comma | \comma
 | <Use the Backslash sequence> | \otimes
 | <Use the Backslash sequence> | \oplus
 | <Use the Backslash sequence> | \wedge
 | <Use the Backslash sequence> | \vee
 | Control+m i | \cap
 | Control+m u | \cup
 | Control+m comma | \ucomma
 | ; | \semicolon
 | Control+m n | \neg
- | Control+hyphen | \minus
 | Control+m 1 | \mp
 | Control+q 1 | \pm
 | <Use the Backslash sequence> | \grad
 | Control+q Shift+q (and add operand) |
 | Control+m Control+d | \change
 | Control+m x | \box
 | Control+m o | \boxdot
 | Control+m 2 | \box2
 | Control+m a | \forall
 | Control+m e | \exist
 | Control+m t | \therefore
 | Control+a, Esc m v l | \atop (lowercase L)
 | Control+m ; (semicolon), | \list Esc m h l (lowercase L)
 | * (asterisk) | \times
 | Control+g | (bar) | \abs
 | Esc m ^ |
 | Esc m Control+Shift - (hyphen) |
 | Control+m Control+^ |
 | Control+m Control+ Shift - (hyphen) |
 | Control+r | \sqrt
 | Control+r (and add operand) |
 | Control+Shift+e | \sn
 | ^ | \power
 | Control+m d | \dagger
 | ! | \fact
 | Control+m s | \ast
 | Control+q Shift+p | \angle

Large page

Press Return to end the backslash sequence shown in the third column.

Use these shortcuts to type each element on the Large page with only one operand. Then use Add Operand and Toggle Format as needed.

Element or command | Keyboard shortcut | Backslash sequence
 | Control+Shift+s | \sum
 | Control+Shift+p | \prod
 | Control+i | \int
 | NA | \oint
 | Control+m Shift+i | \bigcap
 | Control+m Shift+u | \bigcup
Add Operand | Control+Shift+n, Esc m n |
Toggle Format | Control+Shift+, Esc m Shift+t |

Delimiters page

Press Return to end the backslash sequence shown in the third column.

Element or command | Shortcut | Backslash sequence
( ? ) | ( | \id
[ ? ] | [ (left bracket) |
? } | { (left brace) |
? | | | (bar) | \substitution
< ? > | Control+m < | \dangle
|?| | Control+g | (bar) | \abs
( ? | Control+m ( | \lparen
[ ? | Control+m [ (left bracket) |
{ ? | Control+m { (left brace) |
? | | | (bar) (and add operand) |
|? > | Control+m k | \ket
||?|| | Control+m | (bar) | \norm
? ) | ) | \rparen
? ] | ] (right bracket) |
? } | } (right brace) |
? | | | (bar) (and add two operands) |
< ? | | Control+m b | \bra
 | Control+q i | \ceil
( ?, ? ) | Control+m Shift+n | \inprod
[ ?, ? ] | Control+m Shift+c | \cmut
{ ?, ? } | Control+m Shift+a | \acmut
 | _ (underline) | \overline
< ? | ?> | Control+m Shift+b | \bket
 | Control+q k | \floor
 | Control+m h | \choice
 | Control+m Shift+d | \downbrace
 | Control+m Shift+p | \upbrace
Toggle Format | Control+Shift+t, Esc m T |
Remove Parentheses | Esc m r p |

Relations page

Press Return to end the backslash sequence shown in the third column.

Element | Shortcut | Backslash sequence
? < ? | < | \lessthan
? > ? | > | \greaterthan
? = ? | = | \equal
? ~ ? | Control+m ~ (tilde) | \sim
 | Control+q Shift+l (L) | \subset
 | Control+q Shift+i | \supset
 | Control+q comma | \leftarrow
 | Control+q period | \rightarrow
 | Control+q plus | \lrarrow
 | Control+m r | \perp
 | Control+g < | \leq
 | Control+g > | \geq
 | Control+q : (colon) | \equiv
 | Control+q ; (semicolon) | \approx
 | Control+q Shift+j | \subseteq
 | Control+q Shift+m | \supseteq
 | Control+q \ | \Leftarrow
 | Control+q ^ | \Rightarrow
 | Control+q [ (left bracket) | \LRarrow
 | Control+m p | \parallel
 | Control+q l (lowercase L) | \ll
 | Control+q g | \gg
 | Control+q = | \notequal
 | @ | \cong
 | Control+q Shift+n | \in
 | Control+' | \ni
 | Control+q Shift+o |
= ? | Control+g = | \uequal
 | Control+q Shift+k | \notsubset
 | Control+q 5 | \propto

Calculus page

Press Return to end the backslash sequence shown in the third column.

Use these shortcuts to type each element on the Large page with only one operand. Then use Add Operand and Toggle Format as needed.

Element or command | Shortcut | Backslash sequence
 | Control+i | \int
 | Control+Shift+i | \oint
Add Operand | Control+Shift+n, Esc m n |
Toggle Format | Control+Shift+t, Esc m T |
 | Control+g t | \optotal
 | Control+g Shift+t |
 | Control+g p | \oppartial
 | Control+g Shift+p |
 | Control+g t (and add operand) |
 | Control+g Shift+t (and add operand) |
 | Control+g p (and add operand) |
 | Control+g Shift+p (and add operand) |
 | Control+Alt+d | \var
 | Control+q Shift+q | \grad
 | Control+d | \diff
 | Control+m c | \curl
 | Control+Shift+d | \partial
 | Control+m v | \diver
 | Control+Shift+l (L) | \lim
 | Control+m l (lowercase L) | \lap

Matrices page

To insert a matrix of any size, first insert a 1 by 1 matrix. Then add rows and columns one at a time.

Command | Shortcut
Add/Remove Brackets | Control+Shift+t

Matrix commands pop-up menu

Command | Shortcut
Create 1 x 1 Matrix | Esc x m
Add Row | Esc x r
Add Column | Esc x c, Control+Shift+c
Matrix Transpose | Esc x t
Matrix Algebra | Esc x a

Matrix row height pop-up menu

Command | Shortcut
Toggle fixed/proportional | Esc m t r

Matrix column width pop-up menu

Command | Shortcut
Toggle fixed/proportional | Esc m t c

Functions page

To insert each function (except the general function and limit) from the keyboard, type its name as shown.

Element | Shortcut | Backslash sequence
? ( ? ) | Control+f | \function
 | Control+Shift+l (L) | \lim

Addition pop-up menu

Command | Shortcut
Add Fractions | Esc m a a
Order Sum | Esc m a o
Order Sum Reverse | Esc m a Shift+o

Multiplication pop-up menu

Command | Keyboard shortcut
Factor | Esc m u f
Factor Some | Esc m u Shift+f
Multiply Out | Esc m u m
Multiply Out Once | Esc m u Shift+m
Distribute | Esc m u d
Distribute Over Equality | Esc m u Shift+d

Division pop-up menu

Command | Keyboard shortcut
Long Division | Esc m d l (lowercase L)
Remove Division | Esc m d d
Remove Division 1 Level | Esc m d Shift+d
Remove Negative Powers | Esc m d n
Remove Negative Powers 1 Level | Esc m d Shift+n

Evaluation pop-up menu

Command | Keyboard shortcut
Number Crunch | Esc m v n
Show All Digits | Esc m v period
Evaluate | Esc m v e
Evaluate Substitution | Esc m v s
Evaluate Integrals | Esc m v i
Evaluate Derivatives | Esc m v d
Evaluate Derivatives 1 Level | Esc m v Shift+d

Rules pop-up menu

Command | Keyboard shortcut
Enter Rule | Esc m r e
Apply Rule | Esc m r a
Designate Dummy | Esc m r d

Other rewrites pop-up menu

Command | Keyboard shortcut
Simplify | Esc m o s
Simplify Some | Esc m o Shift+s
Isolate Term | Esc m o i
Expand First Term | Esc m o e
Expand All Terms | Esc m o Shift+e

Positioning pages

Micropositioning

The number of points shown in the following table is based on a zoom setting of 100 percent.

Task | Keyboard shortcut
Move up 1 point | Alt+up arrow
Move down 1 point | Alt+Down Arrow
Move left 1 point | Alt+left arrow
Move right 1 point | Alt+right arrow
Move up 6 points | Alt+Shift+up arrow
Move down 6 points | Alt+Shift+Down Arrow
Move left 6 points | Alt+Shift+left arrow
Move right 6 points | Alt+Shift+right arrow
Remove micropositioning | Alt+Home

Left/right (alignment) pop-up menu

Command | Keyboard shortcut
Left | Esc m a l (lowercase L)
Center | Esc m a c
Right | Esc m a r
Left of = | Esc m a plus
Right of = | Esc m a =
Set Manual | Esc m a s
Clear Manual | Esc m a d
Reset Alignment | Esc m a Shift+r

Up/down (alignment) pop-up menu

Command | Keyboard shortcut
Top | Esc m a t
Baseline | Esc m a Shift+b
Bottom | Esc m a b

Line breaking pop-up menu

Command | Keyboard Shortcut
Set Manual | Esc m b s
Clear Manual | Esc m b c

Navigating in an equation

Moving the insertion point

Move | Keyboard shortcut
Left | left arrow
Right | Right arrow
From beside a fraction to the numerator | Down Arrow

Changing the selection

Task | Keyboard shortcut
Select next prompt | Tab
Increase scope of selection | space
Select next element to the left | left arrow
Select next element to the right | Right arrow

Moving math elements while retaining algebraic equivalency

Move | Keyboard shortcut
Left | Shift+left arrow
Right | Shift+right arrow
Up | Shift+up arrow
Down | Shift+Down Arrow
To far left | Control+Alt+left arrow
To far right | Control+Alt+right arrow
Left into expression | Control+Shift+left arrow
Right into expression | Control+Shift+right arrow

Moving math elements without retaining algebraic equivalency

Swap | Keyboard shortcut
With element on left | Control+m Control+left arrow
With element on right | Control+m Control+right arrow

Filter By Attribute

Task | Keyboard shortcut
Open the Manage Attribute Expressions dialog box | Esc a c

Find and change

Task | Keyboard shortcut
Search forward | Esc f i n,Esc e Shift+f, Control+ Shift+f, Alt+Control+s
Search backward | Esc f i p, Alt+Control+f, Alt+Control+r
Change current selection | Esc r o
Change all occurrences of Find text in document | Esc r g
Change and search again | Esc r a
Change settings to As Is in Find Character Format and Change To Character Format dialog boxes | Shift+F8
Change settings to match selected text in Find Character Format and Change To Character Format dialog boxes | Shift+F9
Display Set Find/Change Parameters dialog box | Esc f i s
Find | Keyboard shortcut
Tab symbol | \t
Forced return | \r
End-of-paragraph symbol | \p
Start of paragraph | \P
Nonbreaking space | \ (space)
Thin space | \i, \st
Find | Keyboard shortcut
En space | \N, \sn
Em space | \M, \sm
Numeric space | \#, \s#
End-of-flow symbol | \f
` (grave) | \{
\ (backslash) | \\
Discretionary hyphen | \- (hyphen)
Nonbreaking hyphen | \+
Suppress hyphenation symbol | \_ (underscore)
Start of word | \<
End of word | \>
With Use Wildcards turned on... |
Any number of characters | *
Spaces or punctuation | | (bar)
Any one character | ?
The beginning of a line | ^
The end of a line | $
Any one of the bracketed characters ab | [ab]
Any character except ab | [^ab]
Any character from a tof | [a-f]

Function keys

Key | Function | Control | Shift | Alt
F1 | Help | Align top |  |
F2 | Plain text | Align middle |  |
F3 | Underline | Align bottom | Overline |
F4 | Bold |  | Cascade | Exit
F5 | Italic |  | Tile |
F6 |  |  |  |
F7 |  |  | Point on document window |
F8 | Choose character format by typing |  | Change dialog box settings to As Is |
F9 | Choose paragraph format by typing | Transpose characters | Change dialog box settings to match current text |
F10 |  |  | Display context menu |

Hierarchical element insert

Key\Key action | Type of navigation\action
Place cursor in an element and hit Enter | Display the quick catalog
Right arrow | Display the elements available within the selected element
Left arrow | Hide one level hierarchy of elements
tab | scroll down
shift+tab | scroll up
Alphabets\combination of alphabets | Type an alphabet or combination of alphabets to select an element. For example, press B to select Body and Type T,O to go to Topic.

Markers and variables

Marker insertion

Task | Keyboard shortcut
Insert a marker | Esc m k
Insert a hypertext marker | Esc m h
Open the Edit Marker Types dialog box | Esc e m t

Variable insertion

Task | Keyboard shortcut
Insert a variable by typing the first characters of its name and pressing Return | Esc q v, Control+zero

Menu commands

Context menus

Task | Action
Display a pop-up menu of commands that apply to the current selection or context | Right-click on an object, in a document margin, or in a book window

File menu (document window)

Task | Keyboard shortcut
New>Document | Esc f n, Control+n
New>Book | Esc f Shift+n
Open | Esc f o, Control+o
Close | Esc f c, Esc f q, Control+w, Control+F4, Control+Shift+w
Close All | Esc f Shift+c, Esc f Shift+q
Save | Esc f s, Control+s
Save All | Esc f Shift+s
Save As | Esc f a
Save As PDF | Esc f w p
Save As XML | Esc f w x
Revert to Saved | Esc f r
Import>File | Esc f i f
Import>Formats | Esc f i o
Import>Object | Esc f i b
Import>Element Definitions | Esc f i e
Print | Esc f p, Control+p
Print Setup | Control+ Shift+p
Send | Esc f m
Send All Open Files | Esc f Shift+m
Utilities>Compare Documents | Esc f t c
Utilities>Document Reports | Esc f t r
Utilities>HTML Setup | Esc f t h
Utilities>Create and Apply Formats | Esc f t f
Utilities>Hex Input | Win h
Utilities>Character Palette | Win i
Preferences | Esc f Shift+p
Exit | Alt+F4

File menu (book window)

Task | Keyboard shortcut
New Document | Esc f n, Control+n
New Book | Esc f Shift+n
Open | Esc f o, Control+o
Open All Files in Book | Esc f Shift+o
Close Book | Esc f c, Control+w
Close All Files in Book | Esc f Shift+c
Save Book | Esc f s, Control+s
Save All Files in Book | Esc f Shift+s
Save Book As | Esc f a
Revert to Saved Book | Esc f r
Import>Formats | Esc f i o
Import>Element Definitions | Esc f i e
Print Selected Files | Esc f Shift+f,
Print Book | Esc f p, Control+p
Print Setup | Control+ Shift+p
Utilities>Compare Books | Esc f b
Preferences | Esc f Shift+p
Exit | Alt+F4

Edit menu (document window)

Task | Keyboard shortcut
Undo/Redo | Esc e u, Control+z, Control+ Shift+z
Cut | Esc e x, Control+x, Shift+Delete
Copy | Esc e c, Control+c, Control+Insert
Paste | Esc e p, Control+v, Shift+Insert
Paste Special | Control+ Shift+v
Clear | Esc e b
Copy Special>Attribute Values | Esc e y a
Copy Special>Paragraph Format | Esc e y p
Copy Special>Character Format | Esc e y c
Copy Special>Conditional Text Settings | Esc e y d
Copy Special>Table Column Width | Esc e y w
Select All in Flow | Esc e a, Control+a
Find/Change | Esc e f, Control+f
Find Next | Esc f i n, Esc e Shift+f, Control+ Shift+f
Spelling Checker | Esc e s
Thesaurus | Esc e t
Text Inset Properties | Esc e i
Update References | Esc e Shift+u
History | Ctrl K, Esc e h
Auto Spell Check On/Off | Esc a u s
Repeat | F6
Links | Esc e k
Object | (No shortcut available)

Edit menu (book window)

Task | keyboard shortcut
Undo/Redo | Esc e u, Control+z, Control+ Shift+z
History | Esc e h
Cut | Esc e x, Control+x, Shift+Delete
Copy | Esc e c, Control+c
Paste | Esc e p, Control+v
Clear | Esc e b
Copy Special>Attribute Values | Esc e y a
Select>All | Esc e a
Select>Generated Files | Esc e Shift+a Shift+g
Select>Nongenerated Files | Esc e Shift+a Shift+n
Select>FrameMaker Files | Esc e Shift+a Shift+f
Select>Excluded Components | Esc e Shift+a Shift+e
Select>Non-Excluded Components | Esc e Shift+n Shift+e
Select>Chapter Components | Esc c l
Select>Section Components | Esc s l
Select>Sub-Section Components | Esc s s l
Find/Change | Esc e f, Control+f
Find Next | Esc f i n, Esc e Shift+f, Control+ Shift+f
Spelling Checker | Esc e s
Set Up Generated File | Esc f d
Rename | Esc f e, F2
Delete | Esc f x
Suppress Automatic Reference Updating | Esc e Shift+s
Update Book | Esc e Shift+u, Esc f g

Add menu (book window)

Menu command | Keyboard shortcut
Files | Esc f f
Table of Contents | Esc t o c
List of>Figures | Esc l (lowercase L) o f
List of>Tables | Esc l (lowercase L) o t
List of>Elements & Paragraphs | Esc l (lowercase L) o p
List of>Elements & Paragraphs (Alphabetical) | Esc l (lowercase L) o Shift+p
List of>Markers | Esc l (lowercase L) o m
List of>Markers (Alphabetical) | Esc l (lowercase L) o Shift+m
List of>References | Esc l (lowercase L) o r
Standard Index of Authors | Esc i x
Index of>Authors | Esc i o a
Index of>Subjects | Esc i o s
Index of>Markers | Esc i o m
Index of>References | Esc i o r

Element menu

Task | Keyboard shortcut
Merge | Esc Shift+e m
Split | Esc Shift+e s
Unwrap | Esc Shift+e u
Edit Attributes | Esc Shift+e Shift+a
Namespaces | Esc Shift+e Shift+n
Element Catalog | Esc Shift+e Shift+c
Set Available Elements | Esc Shift+e Shift+o Shift+c
New Element Options | Esc Shift+e Shift+o Shift+i
Validate | Esc Shift+e v
Launch the Configuration File Settings dialog | Esc Shift+c f m

Format menu

Menu command | Keyboard shortcut
Font | (No shortcut available)
Size | (No shortcut available)
Style>Plain | Esc c p, F2
Style>Bold | Esc c b, F4, Control+b, Control+ Shift+b
Style>Italic | Esc c i, F5, Control+i
Style>Underline | Esc c u, Control+u, Control+ Shift+u
Style>Double Underline | Esc c d
Style>Overline | Esc c o
Style>Strikethrough | Esc c s, Control+/
Style>Change Bar | Esc c h, Control+ Shift+h
Style>Superscript | Esc c plus
Style>Subscript | Esc c minus
Style>Small Caps | Esc c m, Control+e
Characters>Designer | Esc o c d, Control+d
Characters>Catalog | Esc o c c
Characters>Default Paragraph Font | Esc o c p
Paragraphs>Designer | Esc o p d, Control+m, Control+ Shift+m
Paragraphs>Catalog | Esc o p c
Page Layout>Column Layout | Esc o c l (lowercase L)
Page Layout>Line Layout | Esc o l l (lowercase L)
Page Layout> Page Size | Esc o p s
Page Layout>Pagination | Esc o p i
Page Layout>Master Page Usage | Esc o m u
Page Layout>New Master Page | Esc o m p
Page Layout>Update Column Layout | Esc o u p
Customize Layout>Customize Text Frame | Esc o c f
Customize Layout>Connect Text Frames | Esc Shift+c Shift+c
Customize Layout>Disconnect Previous | Esc Shift+c Shift+p
Customize Layout>Disconnect Next | Esc Shift+c Shift+n
Customize Layout> Disconnect Both | Esc Shift+c Shift+b
Customize Layout> Split Text Frame | Esc Shift+c Shift+s
Customize Layout>Rotate Page Clockwise | Esc p Shift+o
Customize Layout>Rotate Page Counterclockwise | Esc p o
Customize Layout>Unrotate Page | Esc p Shift+u
Customize Layout>Combined Fonts | Esc o c o
Document>Numbering | Esc o d n, Esc e n
Document>Change Bars | Esc o b
Document>Footnote Properties | Esc o f
Document>Text Options | Esc o t o
Document>PDF Setup | Esc o d a
Document>Rubi Properties | Esc o r
Headers & Footers>Insert Page # | Esc o h p
Headers & Footers>Insert Page Count | Esc o h c
Headers & Footers>Insert Current Date | Esc o h d
Headers & Footers>Insert Other | Esc o h o

View menu (document window)

Menu command | Keyboard shortcut
QuickAccess Bar | Esc v q
Paragraph Formatting Bar | Esc V p a
Text Formatting Bar | Esc V t e
Table Formatting Bar | Esc V t a
Object Alignment | Esc V o a
Object Properties Bar | Esc V o p
Track Text Edit Bar | Esc Shift+v e
Borders | Esc v b
Text Symbols | Esc v t
Rulers | Esc v r
Grid Lines | Esc v g
Element Boundaries | Esc v Shift+e
Element Boundaries (as Tags) | Esc v Shift+t
Options | Esc v o
Attribute Display Options | Esc v Shift+a
Go to Page | Esc v p, Control+g, Control+ Shift+g
Body Pages | Esc v Shift+b
Master Pages | Esc v Shift+m
Reference Pages | Esc v Shift+r
Color>Views | Esc v c v
Color>Definitions | Esc v c d
Menus>Quick | Esc v m q
Menus>Complete | Esc v m c
Menus>Modify | Esc v m m

View menu (book window)

Menu command | Keyboard shortcut
QuickAccess Bar | Esc v q
Text Formatting | Esc V t e
Table Formatting | Esc V t a
Paragraph Formatting | Esc V p a
Object Alignment | Esc V o a
Object Properties | Esc V o p
Track Text Edit | Esc Shift+v e
Borders | Esc Shift+v b s
Hide Borders | Esc Shift+v b h
Show Text Symbols | Esc Shift+v t s
Hide Text Symbols | Esc Shift+v t h
Show Rulers | Esc Shift+v r s
Hide Rulers | Esc Shift+v r h
Show Grid Lines | Esc Shift+v g s
Hide Grid Lines | Esc Shift+v g h
Show Graphics | Esc Shift+v v s
Hide Graphics | Esc Shift+v v h
Filter By Attribute | Esc a c
Show Element Boundaries | Esc Shift+v Shift+e s
Hide Element Boundaries | Esc Shift+v Shift+e h
Show Element Boundaries (as Tags) | Esc Shift+v Shift+t s
Options | Esc v o
Attribute Display Options | Esc v Shift+a
Zoom>In | Esc z i
Zoom>Out | Esc z o
Zoom>100 percent | Esc z z
Zoom>Fit Page in Window | Esc z p
Zoom>Fit Window to Page | Esc z w
Zoom>Fit Window to Text Frame | Esc z f
Color>Views | Esc v c v
Color>Definitions | Esc v c d
Menus>Quick | Esc v m q
Menus>Complete | Esc v m c
Menus>Modify | Esc v m m

Special menu

Menu command | Keyboard shortcut
Page Break | Esc s p b
Anchored Frame | Esc s a
Footnote | Esc s f
Cross-Reference | Esc s c
Variable | Esc s v
Hypertext | Esc s h
Marker | Esc s m
Equations | Esc s e
Filter By Attribute | Esc a c
Conditional Text | Esc s Shift+c
Manage Conditional Text | Esc m Shift+c
Apply Conditional Text | Esc s Shift+c
Show/Hide Conditional Text | Esc v Shift+c
Show Condition Indicator | Esc Shift+v Shift+o s
Hide Condition Indicator | Esc Shift+v Shift+o h
Toggle Conditional Indicators On/Off | Esc v Shift+o
Show One Conditional Text Tag | Esc q Shift+s
Select Same Condition Tags | Esc h Shift+c
View the condition applied to the text where the cursor is placed | Esc q Shift+c
Focus in Conditional Text | Esc Shift+f i o
Close Conditional Text dialog box | Esc Shift+c o
Turn on or off the Track Text Edit feature | Esc s t o
Show Next | Esc s t n
Show Previous | Esc s t p
Accept Edit | Esc s t a
Reject Edit | Esc s t r
Accept All | Esc s t Shift+a
Reject All | Esc s t Shift+r
Preview Final | Esc s t Shift+f
Preview Original | Esc s t Shift+o
Preview Off | Esc s p o
Rubi | Esc s r
Table of Contents | Esc t o c
List of>Figures | Esc l o f
List of>Tables | Esc l o t
List of>Elements & Paragraphs | Esc l o p
List of>Elements & Paragraphs (Alphabetical) | Esc l o Shift+p
List of>Markers (Alphabetical) | Esc l o m
List of>Markers | Esc l o Shift+m
List of>References | Esc l o r
Standard Index | Esc i x
Index of>Authors | Esc i o a
Index of>Subjects | Esc i o s
Index of>Markers | Esc i o m
Index of>References | Esc i o r
Add Disconnected Pages | Esc s p a
Delete Pages | Esc s p d
Remove Structure from Flow | Esc s s f

Graphics menu

Menu command | Keyboard shortcut
Tools | Esc g Shift+t, Esc one w
Group | Esc g g
Ungroup | Esc g u
Bring to Front | Esc g f
Send to Back | Esc g b
Align | Esc g a
Distribute | Esc g d
Reshape | Esc g r
Smooth | Esc g s
Unsmooth | Esc g m
Flip Up/Down | Esc g v
Flip Left/Right | Esc g h
Rotate | Esc g t
Scale | Esc g z
Set # Sides | Esc g n
Join | Esc g j
Object Properties | Esc g o
Pick up Properties | Esc g Shift+o
Runaround Properties | Esc g Shift+r
Gravity | Esc g y
Snap | Esc g p
3D Menu Background Color option | Alt + g + 3 + b
3D Menu Lighting option | Alt + g + 3 + l (lowercase L)
Lights From File | Alt + g + 3 + l + (lowercase L) + l (lowercase L)
No Lights | Alt + g + 3 + l (lowercase L) + n
White Lights | Alt + g + 3 +l (lowercase L) +w
Day Lights | Alt + g + 3 + l (lowercase L) + d
Bright Lights | Alt + g + 3 + l (lowercase L) + b
Primary Color Lights | Alt + g + 3 + l (lowercase L) + p
Night Lights | Alt + g + 3 + l (lowercase L) + i
Blue Lights | Alt + g + 3 + l (lowercase L) + u
Red Lights | Alt + g + 3 + l (lowercase L) + r
Cube Lights | Alt + g + 3 +l (lowercase L) +c
CAD Optimized Lights | Alt + g + 3 + l (lowercase L) + o
Headlamp | Alt + g + 3 + l (lowercase L) + h
Show Existing Views | Alt + g + 3 + s
Render Mode option | Alt + g + 3 +r
Bounding Box | Alt + g + 3 +r + b
Transparent Bounding Box | Alt + g + 3 + r + t
Transparent Bounding Box Outline | Alt + g + 3 + r + o
Vertices | Alt + g + 3 + r + v
Shaded Vertices | Alt + g + 3 + r + s
Wireframe | Alt + g + 3 + r +w
Shaded Wireframe | Alt + g + 3 +r + h
Solid | Alt + g + 3 + r + l (lowercase L)
Transparent | Alt + g + 3 + r + r
Solid Wireframe | Alt + g + 3 +r + i
Transparent Wireframe | Alt + g + 3 +r + a
Illustration | Alt + g + 3 + r + u
Solid Outline | Alt + g + 3 + r + d
Shaded Illustration | Alt + g + 3 + r + e
Hidden Wireframe | Alt + g + 3 +r + n

Table menu

Task | Keyboard shortcut
Insert Table | Esc t i
Table Designer | Esc t d, Control+t, Control+Shift+t
Row Format | Esc t r
Custom Ruling & Shading | Esc t x
Add Rows or Columns | Esc t a
Resize Columns | Esc t z
Straddle/Unstraddle | Esc t l (lowercase L)
Convert to Table/Convert to Paragraphs | Esc t v
Sort | Esc t s

StructureTools menu

Menu command | Keyboard shortcut
StructureTools>Set Structured Application | Esc f + Shift+a, Alt + r + u
StructureTools>Utilities | Alt + r + l
StructureTools>Utilities>Convert Structured Documents | Esc f + t + s, Alt + r + l + c
StructureTools>Utilities>Convert Documents to Structured Format | Esc f + t + d, Alt + r + l + d
StructureTools>Utilities>Structure Current Document | Esc f + t + Shift+c, Alt + r + l + s
StructureTools>Utilities>Structure Documents | Esc f + t + Shift+d, Alt + r + l + t
StructureTools>New EDD | Esc f Shift+d Shift+n
StructureTools>Export Element Catalog as EDD | Esc f Shift+d Shift+x
StructureTools>Import CSS Styles | Esc f Shift+d Shift+j
StructureTools>Show Element context | Esc f Shift+d Shift+e
StructureTools>Open DTD | Esc f Shift+d Shift+o
StructureTools>Import DTD | Esc f Shift+d Shift+m
StructureTools>Save as DTD | Esc f Shift+d Shift+s
StructureTools>Open Schema | Esc f Shift+d Shift+y
StructureTools>Import Schema | Esc f Shift+d Shift+z
StructureTools>Edit Application Definitions | Esc f Shift+d Shift+a
StructureTools>Read Application Definitions | Esc f Shift+d Shift+r
StructureTools>New read/write Rules | Esc f Shift+d Shift+w
StructureTools>Check read/write Rules | Esc f Shift+d Shift+c
StructureTools>Parse Structured Document | Esc f Shift+d Shift+p
StructureTools>Generate Conversion Table | Esc f Shift+d Shift+g
StructureTools>Generate CSS2 | Esc f Shift+d Shift+h

DITA menu

Menu command | Keyboard shortcut
DITA>New DITA File>New <mapi> map<i> refers to an element whose class attribute starts with map/map and can vary from 1 to i. | Esc Shift+n Shift+m i
DITA>New DITA File>New <topici> DITA>New DITA File>New <concepti> DITA>New DITA File>New <taski> DITA>New DITA File>New <referencei> topic<i> refers to an element whose class attribute starts with topic/topic and can vary from 1 to i. | Esc Shift+n Shift+t 1 Esc Shift+n Shift+t 2 Esc Shift+n Shift+t i
DITA>New DITA File>Refresh Menu | Esc Shift+r Shift+m
DITA>Insert Conref | Esc Shift+i Shift+c
DITA>Assign ID to Element | Esc Shift+a Shift+i
DITA>Update References | Esc Shift+u Shift+r
DITA>Open all Topicrefs | Esc Shift+o Shift+a
DITA>Insert Topicref | Esc Shift+i Shift+t
DITA>Build FM Document From DITA Map | Esc Shift+g Shift+d
DITA>DITA Options | Esc Shift+d Shift+o

Window menu

Menu command | Keyboard shortcut
Cascade | Shift+F4
Tile | Shift+F5
Arrange Icons | (No shortcut available)
Refresh | Control+l (lowercase L)

Screen modes

Task | Keyboard shortcut
Standard screen mode | Esc S M s
Full screen with user interface | Esc S M u
Full screen mode | Esc S M f
Toggle screen mode | Esc S M t

Selection

Use these shortcuts to select objects on the current page.

Task | Keyboard shortcut
Select a text line or text frame | Press Control and click the text line or text frame
Extend or shorten the selection | Press Shift and click an object
Force selection border to appear (when dragging from outside all objects is not possible) | Press Control+ Shift and drag diagonally
Select the first object in the draw order | Esc o Shift+f
Select the next object in the draw order | Esc o n
Extend the selection to the next object in the draw order | Esc o e
Deselect a text frame or text line and put the insertion point inside it instead | Double-click in the text frame or text line

Tables

Selection in tables

To select | Keyboard shortcut
A cell | Press Control and click the cell
A row | Press Control and double-click column (vertical) border in the row
A column | Press Control and double-click row (horizontal) border in the row
Text in the cell above the current cell | Esc t m u a
Text in the cell below the current cell | Esc t m d a
All text in current cell | Esc t h a
Current cell, then next cell | Esc t h e
Current row, then next row | Esc t h r
Current column, then next column | Esc t h c
Body cells in current column, then next body cells | Esc t h b
Current table | Esc t h t, or press Control and triple-click a cell
Extend or shorten the election | Press Control+- and click the last cell you want in the selection

Navigating through tables

Use these shortcuts to move to the indicated cell.

To move to the | Keyboard shortcut
Cell to the right | Esc t m r
Cell to the left | Esc t m l (lowercase L)
Cell below | Esc t m d
Cell above | Esc t m u
Rightmost cell in the current row | Esc t m e
Leftmost cell in the current row | Esc t m a
Top cell in the current column | Esc t m t
Bottom cell in the current column | Esc t m b
Top-left selected cell | Esc t m s, Esc t h zero
Top-left cell | Esc t m Shift+t
Beginning of cell | Control+Page Up
End of cell | Control+Page Down
Next cell and select all text in cell | Tab, Esc t m n
Previous cell and select all text in cell | Shift+Tab, Esc t m p
Cell below and select all text in cell | Control+Alt+Tab
Cell above and select all text in cell | Control+Alt+Shift+Tab
Anchor point of a table | Esc t Shift+i

Tab characters in cells

To | Keyboard shortcut
Type a tab character in a cell | Esc Tab

Row and column manipulation

FrameMaker adds or deletes as many rows or columns as are currently selected.

Task | Keyboard shortcut
Add rows above top selected row | Esc t Shift+r a
Add rows below bottom selected row | Esc t Shift+r b, Control+Return, Control+j
Add columns to left of leftmost selected column | Esc t c l (lowercase L)
Add columns to right of rightmost selected column | Esc t c r
Delete contents of selected rows or columns, but leave cells in table | Esc t c e
Delete selected rows or columns from table | Esc t c x
Sort rows and columns | Esc t s

Row and column replacement

If the Clipboard doesn’t contain whole rows or columns, these shortcuts always replace the selected cells.

To paste whole rows or columns | Keyboard shortcut
By replacing selected rows or columns | Esc t p r
Before current selection (above top selected row or to left of leftmost selected column) | Esc t p b
After current selection (below bottom selected row or to right of rightmost selected column) | Esc t p a

Vertical alignment in cells

To use these shortcuts, click in the first paragraph in a cell.

Alignment | Keyboard shortcut
Top alignment | Esc j t, Control+F1
Middle alignment | Esc j m, Control+F2
Bottom alignment | Esc j b, Control+F3

Column width

To resize | Keyboard shortcut
Columns so no paragraphs in selected cells wrap | Esc t w
Selected column without changing table’s width | Press Alt and drag selected cell’s handle
Copy column width to Clipboard | Esc e y w

Table Designer

To use these shortcuts, click in the Table Designer.

Task | Keyboard shortcut
Change all settings to As Is | Shift+F8
Change all settings to match the selected table | Shift+F9
Display previous page of properties | Page Up
Display next page of properties | Page Down
Apply only the current group of properties | Press Control and click Apply

Table formats

Task | Keyboard shortcut
Apply the current table’s format to the catalog and to all tables that have the same tag | Esc t u t
Display the Edit Ruling Style dialog box | Esc t e

Text

Insertion point movement

Use these shortcuts to move the insertion point.

To move to | Keyboard shortcut
Next character | Right arrow
Previous character | left arrow
Beginning of a word | Control+left arrow
End of a word | Control+right arrow
Beginning of the next word | Esc b w
Beginning of a line | Home
End of a line | End
Previous line | up arrow
Next line | Down Arrow
Beginning of a sentence | Control+Home
End of a sentence | Control+End
Beginning of the next sentence | Esc b s
Beginning of a paragraph | Control+up arrow
End of the current paragraph | Control+Down Arrow
Beginning of the next paragraph | Esc b p
Top of a column | Control+Page Up
Bottom of a column | Control+Page Down
Beginning of a flow | Alt+Shift+Page Up
End of a flow | Alt+Shift+Page Down
Start of first visible text flow | Control+Shift+i

Insertion point placement

Use these shortcuts to put the insertion point in an unrotated text frame on the current page. The draw order is the order in which FrameMaker displays objects on a page; the first object in the draw order is the one at the back.

To put the insertion point in the | Keyboard shortcut
First column of the first text frame in the draw order | Esc b f
Next column, traversing text frames in the draw order | Esc b n

Text selection

Click in text before using these shortcuts. If you use a shortcut with text already selected, FrameMaker extends the selection.

To select | Keyboard shortcut
Next character | Esc h c, Esc Shift+h c,Shift+right arrow
Previous character | Esc Shift+h Shift+c, Shift+left arrow
Current word, then next word | Esc h w, Esc Shift+h w, Control+Shift+right arrow
Current word, then previous word | Esc Shift+h Shift+w, Control+Shift+left arrow
Current sentence, then next sentence | Esc h s, Esc Shift+h s, Control+Shift+End
Current sentence, then previous sentence | Esc Shift+h Shift+s, Control+Shift+Home
Current line, then next line | Esc Shift+h l (lowercase L) Esc h l (lowercase L)
Current line, then previous line | Esc Shift+h Shift+l (L)
Current paragraph, then next paragraph | Esc h p, Esc Shift+h p, Control+Shift+Down Arrow
Current paragraph, then previous paragraph | Esc Shift+h Shift+p, Control+Shift+up arrow
One line width of text, starting at insertion point | Esc h d, Shift+Down Arrow
One line width of text, ending at insertion point | Esc h u, Shift+up arrow
To top of a column | Esc h t, Shift+Page Up
To bottom of a column | Esc h m, Shift+Page Down
To beginning of flow | Esc h g, Control+Shift+Page Up
To end of flow | Esc h n, Control+Shift+Page Down
All text around the insertion point that has the same character format | Esc h +Shift+f
To Shift the selection | Keyboard shortcut
Right one character | Esc h f
Left one character | Esc h b
To select | Keyboard shortcut
Extend or shorten a text selection | Press and click where you want the selection to begin or end
Remove highlighting | Esc h zero
Select a word | Double-click the word
Select a word, then next words | Double-click the word and then drag
Deselect a text frame or text line and place the insertion point in it | Double-click in the text frame or text line

Text editing

To | Keyboard shortcut
Select a paragraph | Triple-click the paragraph
Select a paragraph, then next paragraphs | Triple-click the paragraph and then drag
Transpose characters | Control+F9
Cut | Esc e x, Control+x, Shift+Delete
Copy | Esc e c, Control+c
Paste text that you cut or copied | Esc e p, Control+v, Control+y
Quick-copy text | Click where you want to place the copied text. Then press Alt and drag through the text you want to copy.

Asian text

To | Keyboard shortcut
Type rubi text | Esc s r
Display the Rubi Properties dialog box | Esc o r
Define a combined font of Western and Japanese characters | Esc o c o

Text deletion

To delete | Keyboard shortcut
Previous character | Backspace
Backward to the end of the previous word | Control+h
Backward to the end of the previous sentence | Esc k a
Next character | Delete
Forward to the end of a word | Esc k f, Control+Delete
Forward to the end of a line | Control+Shift+Delete
Forward to the start of the next sentence | Esc k s

Capitalization

Use these shortcuts to change the capitalization of selected text.

Task | Keyboard shortcut
Change the current word to all lowercase | Control+Alt+l (lowercase L), Control+Alt+Shift+L
Change the current word to all uppercase | Control+Alt+u, Control+Alt+Shift+u
Change the current word to initial caps | Control+Alt+c
Display the Capitalization dialog box | Esc e Shift+c

Text formatting

Character and Paragraph Designers

Task | Keyboard shortcut
Change all settings to As Is | Shift+F8
Change all settings to match selected text | Shift+F9
Display the previous set of properties | Page Up
Display the next set of properties | Page Down
Apply only the current group of properties | Press Control and click Apply

Paragraph formats

Use these shortcuts to format selected paragraphs or the paragraph containing the insertion point.

Task | Keyboard shortcut
Apply a paragraph format by typing the first characters of its tag and pressing Return | Esc q p, F9, Control+9
Center a paragraph | Esc j c
Left-align a paragraph | Esc j l (lowercase L)
Right-align a paragraph | Esc j r
Justify a paragraph (left and right) | Esc j f
Position the current paragraph in the column, removing any straddling or run-in formatting | Esc j p n
Change current paragraph to a run-in head | Esc j p r
Change current paragraph to a side head | Esc j p s
Make current paragraph straddle all columns | Esc j p t
Make current paragraph straddle both the side-head area and columns | Esc j p Shift+t
Change line spacing to single spacing | Esc j one
Change line spacing to 1-1/2 spacing | Esc j /
Change line spacing to double spacing | Esc j 2
Change line spacing to fixed (default font size plus leading) | Esc j x
Change line spacing to floating (largest font size plus leading) | Esc j o
Increase line spacing 1 point | Esc j plus, Esc plus one
Decrease line spacing 1 point | Esc j minus, Esc minus one
Make paragraphs with the current paragraph’s tag and the Paragraph Catalog definition match the current paragraph’s format (unify) | Esc j Shift+u
Start a paragraph anywhere | Esc j Shift+a
Start a paragraph at the top of a column | Esc j Shift+c
Start a paragraph at top of a page | Esc j Shift+p
Start a paragraph at the top of a left page | Esc j Shift+l (L)
Start a paragraph at the top of a right page | Esc j Shift+r
Turn on hyphenation | Esc j h
Turn off hyphenation | Esc j n
Repeat last paragraph-related command | Esc j j
Display Paragraph Catalog | Esc o p c
Display Update Paragraph Format dialog box | Esc o p u
Display Space Between Paragraphs dialog box | Esc j w
Display Custom Line Spacing dialog box | Esc j u

Character formats

Use these shortcuts to change the character format of selected text or of text you are about to type.

Task | Keyboard shortcut
Apply a character format by typing the first characters of its tag and pressing Return | Esc q c, F8, Control+8
Change text to default paragraph font; remove character tag from text in a text line | Esc o c p
Turn bold on or off | Esc c b, F4, Control+b, Control+Shift+b
Turn italic on or off | Esc c i, F5, Control+i
Turn underline on or off | Esc c u, F3, Control+u, Control+Shift+u
Turn double underline on or off | Esc c d
Turn numeric underline on or off | Esc c 2
Turn strikethrough on or off | Esc c s, Control+/
Turn overline on or off | Esc c o, Shift+F3
Change text to plain | Esc c p, F2
Turn superscript on or off | Esc c plus
Turn subscript on or off | Esc c minus
Put text on baseline | Esc c =
Change text to small caps | Esc c m, Control+e
Turn change bars on or off | Esc c h, Control+Shift+h
Turn pair kerning on or off | Esc c k
Manually kern text 1 point in specified direction (at 100 percent zoom setting) | Alt+arrow key
Manually kern text 6 points in specified direction (at 100 percent zoom setting) | Alt+Shift+arrow key
Remove all manual kerning | Alt+Home
Increase size 1 point | Esc c ] (right bracket)
Decrease size by 1 point | Esc c [ (left bracket)
Squeeze 20 percent of an em space | Esc [ (left bracket) Shift+d
Spread 20 percent of an em space | Esc [ (left bracket) Shift+c
Set font stretch to 100 percent | Esc [ (left bracket) n
Reduce font stretch by 5 percent | Esc [ (left bracket) c
Increase font stretch by 5 percent | Esc [ (left bracket) e
Repeat the last font-related command | Esc c c
Toggle Tsume | Esc c t
Display the Character Catalog | Esc o c c

Object styles

Action | Shortcut
Launch the Object Style designer with all the properties, while maintaining selection Launch the Object Style designer with just the object properties. The Object Style designer does not display the object style. The Object Style drop-down is disabled. | Esc g o
Launch the Object Style designer with just the style associated with the selected object | Esc g i Ctrl y
Display style catalog | Esc g e

Track Text Edit

Task | Keyboard shortcut
Turn on or off the Track Text Edit feature | Esc s t o
Show Next Text Edit | Esc s t n
Show Previous Text Edit | Esc s t p
Accept Edit | Esc s t a
Reject Edit | Esc s t r
Accept All | Esc s t Shift+a
Reject All | Esc s t Shift+r
Preview Final | Esc s t Shift+f
Preview Original | Esc s t Shift+o
Preview Off | Esc s p o

Conditional text display

Task | Keyboard shortcut
Display the Show/Hide Conditional Text dialog box | Esc v Shift+c
Turn condition indicators on or off | Esc v Shift+o
Select all text around the insertion point that has the same condition tag settings | Esc h Shift+c

Conditional text window

To use these shortcuts, click in the Conditional Text window.

Task | Keyboard shortcut
Move all condition tags to the As Is scroll list | Shift+F8
Change the scroll lists to match the condition tag settings of selected text | Shift+F9
Move a condition tag between the In and the Not In scroll lists | Double-click the tag
Move a condition tag from the As Is to the In scroll list | Double-click the tag in the As Is scroll list

Condition tags

Use these shortcuts to change the condition tag settings of selected text or table rows.

Task | Keyboard shortcut
Apply a condition tag to selected text by typing the first characters of the tag and then pressing Return | Esc q Shift+c, Control+4
Remove a condition tag from selected text by typing the first characters of the tag and then pressing Return | Esc q Shift+d, Control+5
Make the selected text unconditional | Esc q Shift+u, Control+6

Views

Display | Keyboard shortcut
WYSIWYG view | Esc S 1
Author view | Esc S 2
XML view | Esc S 3

Working with structure

Move the insertion point | Keyboard shortcut
To start of the current element | Esc s Shift+s
To end of the current element | Esc s Shift+e
After the next element | Esc s Shift+d, Alt+Control+Down Arrow
Before the previous element | Esc s Shift+u, Alt+Control+up arrow
Before the current element’s parent | Esc s Shift+b, Alt+Control+left arrow
To start of the next element’s contents | Esc s Shift+n, Alt+Control+right arrow
Select | Keyboard shortcut
Current element | Esc h Shift+e
Next element | Esc h Shift+n, Alt+Control+Shift+Down Arrow
Previous element | Esc h Shift+p, Alt+Control+Shift+up arrow
Siblings of the current element | Esc h Shift+s
Parent of the current element | Esc h e Shift+p, Alt+Control+Shift+left arrow
Up by one element | Alt+Control+Shift+up arrow
Down by one element | Alt+Control+ Down Arrow
Structure view | Keyboard shortcut
Expand/Collapse all elements under the selected element | Esc E r
Expand/Collapse selected element | Esc E x
Expand / Collapse all sibling elements | Esc E X
Task | Keyboard shortcut
To include the parent | Alt+Control+Shift+left arrow
Insert element | Esc Shift+e i, Control+1 (one)
Wrap element | Esc Shift+e w, Control+2
Unwrap element | Esc Shift+e u
Change element | Esc Shift+e c, Control+3
Merge into first element | Esc Shift+e m
Merge into last element | Esc Shift+e Shift+m
Move element up one level | Esc Shift+e Shift+p
Move element down one level | Esc Shift+e Shift+d
Transpose element with previous element | Esc Shift+e Shift+t
Transpose element with next element | Esc Shift+e t
Split element | Esc Shift+e s
Edit attribute value | Control+7
Repeat last Element Catalog command | Esc e e
Toggle display of element boundaries (as brackets) | Esc v Shift+e
Toggle display of element boundaries (as tags) | Esc v Shift+t
Validate a document | Esc Shift+e v
Display Structure View | Esc Shift+e Shift+v

Other useful shortcuts

Task | Keyboard shortcut
Redraw the document display | Control+l (lowercase L)
Quick-copy a selected object | Alt and drag the object
Rotate an object arbitrarily | Alt and use the left or right mouse button to drag a corner or reshape handle
Move an object along vertical or horizontal axis | Shift and drag object
Nudge an object 1 point/6 points | Alt+arrow key/Alt+Shift+arrow key
Fit page in window | Esc z p
Fit window to page | Esc z w
Zoom to 100 percent | Esc z z
Lock or unlock a document or book | Esc Shift+f l (lowercase L) k


Character sets

15.2.Character sets

This section describes support for the Unicode character sets in FrameMaker.

FrameMaker supports the Unicode Character Set and uses UTF-8 encoding to provide Unicode support. For information about Unicode character sets, see www.unicode.org.

When working with a FrameMaker document, you can insert characters in different languages by using the Input Method Editor (IME) of the relevant language. To insert a specific character you can use:

•Character palette utility (Select File > Utilities > Character palette from FrameMaker 9)

•Hex Input palette (Select File > Utilities > Hex Input from FrameMaker 9)

•Windows Character Map utility (Select Programs > Accessories > System Tools > Character Map)

If a character glyph is not available for the selected font, FrameMaker displays a question mark (?) in its place. However, because FrameMaker preserves the original code point, the glyph is displayed when you apply the correct font.

important: To type characters in the Symbol or Dingbats font, select the desired font, and type the content.

Because some special characters can no longer be represented by their character names in MIF documents, you must enter the UTF-8 code points of such characters. For more information, see the FrameMaker MIF ReferenceGuide or the FDK Programmer’sGuide.

FrameMaker uses code points below ‘\x20’ (referred to as control codes) for internal purpose. Control codes specify how the surrounding text is formatted.

Windows character sets

The Windows character set is based on the ANSI character set, and includes some additional characters not in the ANSI set.

The tables in this section list the supported character sets, and the unsupported keyboard shortcuts in FrameMaker 7.x and FrameMaker 8 and above.

Standard character set for special hyphens, spaces, returns, and undisplayed characters

The following table lists the special hyphens, spaces, returns, and undisplayed characters supported in FrameMaker 7.x and above.

Special hyphens, spaces, returns, and undisplayed characters
Standard character set |  |  |  | Symbol and Dingbats character sets
Hex code | Key or key sequence | Standard character set: graphic and name |  | Hex code | Key or key sequence | Standard character set: graphic and name |  | ZapfDingbats: graphic
\x04 | Esc hyphen Shift+d or Control+hyphen |  | discretionary hyphen | \x04 | Esc hyphen Shift+d or Control+hyphen |  | discretionary hyphen |
\x05 | Esc n s |  | suppress hyphenation | \x05 | Esc n s |  | suppress hyphenation |
\x15 | Esc hyphen h |  | nonbreaking hyphen | \x15 | Esc hyphen h |  | nonbreaking hyphen |
\x08 | Tab |  | tab | \x08 | Tab |  | tab |
\x09 | Shift+Return |  | forced return | \x09 | Shift+Return |  | forced return |
\x0a | Return |  | end of paragraph | \x0a | Return |  | end of paragraph |
\x10 | Esc space 1 (one) |  | numeric space | \x10 | Esc space 1 (one) |  | numeric space |
\x11 | Esc space h or Control+space |  | nonbreaking space | \x11 | Esc space h or Control+space |  | nonbreaking space |
\x12 | Esc space t |  | thin space | \x12 | Esc space t |  | thin space |
\x13 | Esc space n or Alt+Control+space |  | en space | \x13 | Esc space n or Alt+Control+space |  | en space |
\x14 | Esc space m or Control+Shift+space |  | em space | \x14 | Esc space m or Control+Shift+space |  | em space |
\x27 | Control+' | ' | quotesingle | \x27 | Control+' |  | ‘ such that | '
\x60 | Control+‘ | ` | grave | \x60 | Control+' |  | ‘ radiclex | `
\xda | Control+q Shift+z | / | fraction | \xda |  |  |  |
\xde | Control+q Shift+w | Þ | Reserved | \xde |  |  |  |
\xdf | Control+q ‘ | ß | Reserved | \xdf |  |  |  |
\xf5 | Control+q Shift+m | õ | Reserved | \xf5 |  |  |  |
\xf9 | Control+q t | ù | Reserved | \xf9 |  |  |  |
\xfa | Control+q r | ú | Reserved | \xfa |  |  |  |
\xfe | Control+q Shift+j | þ | Reserved | \xfe |  |  |  |
\xfd | Control+q Shift+f | ý | hungarumlaut | \xfd |  |  |  |

Standard character set

The following table lists the supported standard character set:

note: The list is sorted by the ANSI number.

Standard character set
ANSI no. | Hex code | Key or key sequence | Standard character set: graphic and name
032 | \x20 | space |  | space
033 | \x21 | ! | ! | exclaim
034 | \x22 | " (Smart Quotes off ) | " | quotedbl
035 | \x23 | # | # | numbersign
036 | \x24 | $ | $ | dollar
037 | \x25 | % | % | percent
038 | \x26 | & | & | ampersand
040 | \x28 | ( | ( | parenleft
041 | \x29 | ) | ) | parenright
042 | \x2a | * | * | asterisk
043 | \x2b | + | + | plus
044 | \x2c | , (comma) | , | comma
045 | \\ | - (hyphen) | - | hyphen
046 | \x2e | . (period) | . | period
047 | \x2f | / | / | slash
048 | \x30 | 0 | 0 | zero
049 | \x31 | 1 | 1 | one
050 | \x32 | 2 | 2 | two
051 | \x33 | 3 | 3 | three
052 | \x34 | 4 | 4 | four
053 | \x35 | 5 | 5 | five
054 | \x36 | 6 | 6 | six
055 | \x37 | 7 | 7 | seven
056 | \x38 | 8 | 8 | eight
057 | \x39 | 9 | 9 | nine
058 | \x3a | : | : | colon
059 | \x3b | ; | ; | semicolon
060 | \x3c | < | < | less
061 | \x3d | = | = | equal
062 | \x3e | > | > | greater
063 | \x3f | ? | ? | question
064 | \x40 | @ | @ | at
065 | \x41 | A | A | A
066 | \x42 | B | B | B
067 | \x43 | C | C | C
068 | \x44 | D | D | D
069 | \x45 | E | E | E
070 | \x46 | F | F | F
071 | \x47 | G | G | G
072 | \x48 | H | H | H
073 | \x49 | I | I | I
074 | \x4a | J | J | J
075 | \x4b | K | K | K
076 | \x4c | L | L | L
077 | \x4d | M | M | M
078 | \x4e | N | N | N
079 | \x4f | O | O | O
080 | \x50 | P | P | P
081 | \x51 | Q | Q | Q
082 | \x52 | R | R | R
083 | \x53 | S | S | S
084 | \x54 | T | T | T
085 | \x55 | U | U | U
086 | \x56 | V | V | V
087 | \x57 | W | W | W
088 | \x58 | X | X | X
089 | \x59 | Y | Y | Y
090 | \x5a | Z | Z | Z
091 | \x5b | [ | [ | bracketleft
092 | \x5c | \ | \ | backslash
093 | \x5d | ] | ] | bracketright
094 | \x5e | ^ | ^ | asciicircum
095 | \x5f | _(underline) | _ | underscore
097 | \x61 | a | a | a
098 | \x62 | b | b | b
099 | \x63 | c | c | c
0100 | \x64 | d | d | d
0101 | \x65 | e | e | e
0102 | \x66 | f | f | f
0103 | \x67 | g | g | g
0104 | \x68 | h | h | h
0105 | \x69 | i | i | i
0106 | \x6a | j | j | j
0107 | \x6b | k | k | k
0108 | \x6c | l | l | l
0109 | \x6d | m | m | m
0110 | \x6e | n | n | n
0111 | \x6f | o | o | o
0112 | \x70 | p | p | p
0113 | \x71 | q | q | q
0114 | \x72 | r | r | r
0115 | \x73 | s | s | s
0116 | \x74 | t | t | t
0117 | \x75 | u | u | u
0118 | \x76 | v | v | v
0119 | \x77 | w | w | w
0120 | \x78 | x | x | x
0121 | \x79 | y | y | y
0122 | \x7a | z | z | z
0123 | \x7b | { | { | braceleft
0124 | \x7c | | | | | bar
0125 | \x7d | } | } | braceright
0126 | \x7e | ~ | ~ | asciitilde
0130 | \xe2 | Control+q b | ‚ | quotesinglbase
0131 | \xc4 | Control+q Shift+d | ƒ | florin
0132 | \xe3 | Control+q c | „ | quotedblbase
0133 | \xc9 | Control+q Shift+i) | … | ellipsis
0134 | \xa0 | Control+q space | † | dagger
0135 | \xe0 | Control+q ` | ‡ | daggerdbl
0136 | \xf6 | Control+q v | ˆ | circumflex
0137 | \xe4 | Control+q d | ‰ | perthousand
0138 | \xb3 | Control+q 3 | š | Reserved
0139 | \xdc | Control+q \ | ‹ | guilsinglleft
0140 | \xce | Control+q } Shift+n | Œ | OE
0145 | \xd4 | Control+q Shift+t or ` | ‘ | quoteleft
0146 | \xd5 | Control+q Shift+u | ’ | quoteright
0147 | \xd2 | Alt+Control+` or Control+q Shift+r | “ | quotedblleft
0148 | \xd3 | Control+Alt+' or Control+q Shift+s | ” | quotedblright
0149 | \xa5 | Control+q % | • | bullet
0150 | \xd0 | Control+q Shift+p | – | endash
0151 | \xd1 | Control+q Shift+q | — | emdash
0152 | \xf7 | Control+q w | ~ | tilde
0153 | \xaa | Control+q * | ™ | trademarkserif
0154 | \xf0 | Control+q p | š | Reserved
0155 | \xdd | Control+q ] | › | guilsinglright
0156 | \xcf | Control+q Shift+o | œ | oe
0159 | \xd9 | Esc % Shift+y | Ÿ | Ydieresis
0161 | \xc1 | Control+q Shift+a | ¡ | exclamdown
0162 | \xa2 | Control+q " | ¢ | cent
0163 | \xa3 | Control+q # | £ | sterling
0164 | \xdb | Control+q [ | ¤ | currency
0165 | \xb4 | Control+q 4 | ¥ | yen
0166 | \xad | Control+q hyphen | ¦ | pipe
0167 | \xa4 | Control+q $ | § | section
0168 | \xac | Control+q , | ¨ | dieresis
0169 | \xa9 | Control+q ) | © | copyrightserif
0170 | \xbb | Control+q ; | ª | ordfeminine
0171 | \xc7 | Control+q Shift+g | « | guillemetleft
0172 | \xc2 | Control+q Shift+b | ¬ | logicalnot
0173 | \x2d | - (hyphen) | - | hyphen
0174 | \xa8 | Control+q ( | ® | registerserif
0175 | \xf8 | Control+q x | ¯ | macron
0176 | \xfb | Control+q { | ° | ring
0177 | \xb1 | Control+q 1 | ± | plusminus
0178 | \xb7 | Control+q 7 | 2 | Reserved
0179 | \xb8 | Control+q 8 | 3 | Reserved
0180 | \xab | Control+q + | ´ | acute
0181 | \xb5 | Control+q 5 | µ | Reserved
0182 | \xa6 | Control+q & | ¶ | paragraph
0183 | \xe1 | Control+q a | · | periodcentered
0184 | \xfc | Control+q ¦ | ¸ | cedilla
0185 | \xb6 | Control+q 6 | 1 | Reserved
0186 | \xbc | Control+q < | º | ordmasculine
0187 | \xc8 | Control+q Shift+h | » | guillemetright
0188 | \xb9 | Control+q 9 | ¼ | Reserved
0189 | \xba | Control+q : | ½ | Reserved
0190 | \xbd | Control+q = | ¾ | Reserved
0191 | \xc0 | Control+q @ | ¿ | questiondown
0192 | \xcb | Esc ` Shift+a | À | Agrave
0193 | \xe7 | Esc ' Shift+a | Á | Aacute
0194 | \xe5 | Esc ^ Shift+a | Â | Acircumflex
0195 | \xcc | Esc ~ Shift+a | Ã | Atilde
0196 | \x80 | Esc % Shift+a | Ä | Adieresis
0197 | \x81 | Esc * Shift+a | Å | Aring
0198 | \xae | Control+q . | Æ | AE
0199 | \x82 | Esc comma Shift+c | Ç | Ccedilla
0200 | \xe9 | Esc ` Shift+e | È | Egrave
0201 | \x83 | Esc ' Shift+e | É | Eacute
0202 | \xe6 | Esc ^ Shift+e | Ê | Ecircumflex
0203 | \xe8 | Esc % Shift+e | Ë | Edieresis
0204 | \xed | Esc ` Shift+i | Ì | Igrave
0205 | \xea | Esc ' Shift+i | Í | Iacute
0206 | \xeb | Esc ^ Shift+i | Î | Icircumflex
0207 | \xec | Esc % Shift+i | Ï | Idieresis
0208 | \xc3 | Control+q Shift+c | Ð | Reserved
0209 | \x84 | Esc ~ Shift+n | Ñ | Ntilde
0210 | \xf1 | Esc ` Shift+o | Ò | Ograve
0211 | \xee | Esc ' Shift+o | Ó | Oacute
0212 | \xef | Esc ^ Shift+o | Ô | Ocircumflex
0213 | \xcd | Esc ~ Shift+o | Õ | Otilde
0214 | \x85 | Esc % Shift+o | Ö | Odieresis
0215 | \xb0 | Control+q zero | × | Reserved
0216 | \xaf | Control+q / | Ø | Oslash
0217 | \xf4 | Esc ` Shift+u | Ù | Ugrave
0218 | \xf2 | Esc ' Shift+u | Ú | Uacute
0219 | \xf3 | Esc ^ Shift+u | Û | Ucircumflex
0220 | \x86 | Esc % Shift+u | Ü | Udieresis
0221 | \xc5 | Control+q Shift+e | Ý | Reserved
0222 | \xd7 | Control+q Shift+w | Þ | Reserved
0223 | \xa7 | Control+q ' | ß | germandbls
0224 | \x88 | Esc ` a | à | agrave
0225 | \x87 | Esc ' a | á | aacute
0226 | \x89 | Esc ^ a | â | acircumflex
0227 | \x8b | Esc ~ a | ã | atilde
0228 | \x8a | Esc % a | ä | adieresis
0229 | \x8c | Esc * a | å | aring
0230 | \xbe | Control+q > | æ | ae
0231 | \x8d | Esc comma c | ç | ccedilla
0232 | \x8f | Esc ` e | è | egrave
0233 | \x8e | Esc ' e | é | eacute
0234 | \x90 | Esc ^ e | ê | ecircumflex
0235 | \x91 | Esc % e | ë | edieresis
0236 | \x92 | Esc ` i | ì | igrave
0237 | \x93 | Esc ' i | í | iacute
0238 | \x94 | Esc ^ i | î | icircumflex
0239 | \x95 | Esc % i | ï | idieresis
0240 | \xb2 | Control+q 2 | ð | Reserved
0241 | \x96 | Esc ~ n | ñ | ntilde
0242 | \x98 | Esc ` o | ò | ograve
0243 | \x97 | Esc ' o | ó | oacute
0244 | \x99 | Esc ^ o | ô | ocircumflex
0245 | \x9b | Esc ~ o | õ | otilde
0246 | \x9a | Esc % o | ö | odieresis
0247 | \xd6 | Control+q Shift+v | ÷ | Reserved
0248 | \xbf | Control+q ? | ø | oslash
0249 | \x9d | Esc ` u | ù | ugrave
0250 | \x9c | Esc ' u | ú | uacute
0251 | \x9e | Esc ^ u | û | ucircumflex
0252 | \x9f | Esc % u | ü | udieresis
0253 | \xc6 | Control+q Shift+f | ý | Reserved
0254 | \xca | Control+q Shift+j | þ | Reserved
0255 | \xd8 | Esc % y | ÿ | ydieresis

Symbol and ZapfDingbats character sets

The following table lists the Symbol and Dingbats character set supported in older versions of FrameMaker as well as FrameMaker 9 in their Hex order.

Symbol and ZapfDingbats character sets
ANSI no. | Hex code | Key or key sequence | Symbol set: graphic and name |  | ZapfDingbats: graphic
032 | \x20 | space |  | space |
033 | \x21 | Shift+! | ! | exclaim | ✁
034 | \x22 | Shift+" | ∀ | universal | ✂
035 | \x23 | Shift+# | # | numbersign | ✃
036 | \x24 | Shift+$ | ∃ | existential | ✄
037 | \x25 | Shift+% | % | percent | ☎
038 | \x26 | Shift+& | & | ampersand | ✆
040 | \x28 | Shift+( | ( | parenleft | ✈
041 | \x29 | Shift+) | ) | parenright | ✉
042 | \x2a | Shift+* | ∗ | asteriskmath | ☛
043 | \x2b | Shift++ | + | plus | ☞
044 | \x2c | , (comma) | , | comma | ✌
045 | \x2d | - (hyphen) | − | minus | ✍
046 | \x2e | . (period) | . | period | ✎
047 | \x2f | / | / | slash | ✏
048 | \x30 | 0 | 0 | zero | ✐
049 | \x31 | 1 | 1 | one | ✑
050 | \x32 | 2 | 2 | two | ✒
051 | \x33 | 3 | 3 | three | ✓
052 | \x34 | 4 | 4 | four | ✔
053 | \x35 | 5 | 5 | five | ✕
054 | \x36 | 6 | 6 | six | ✖
055 | \x37 | 7 | 7 | seven | ✗
056 | \x38 | 8 | 8 | eight | ✘
057 | \x39 | 9 | 9 | nine | ✙
058 | \x3a | : | : | colon | ✚
059 | \x3b | ; | ; | semicolon | ✛
060 | \x3c | , | < | less | ✜
061 | \x3d | = | = | equal | ✝
062 | \x3e | > | > | greater | ✞
063 | \x3f | ? | ? | question | ✟
064 | \x40 | @ | ≅ | congruent | ✠
065 | \x41 | A | Α | Alpha | ✡
066 | \x42 | B | Β | Beta | ✢
067 | \x43 | C | Χ | Chi | ✣
068 | \x44 | D | Δ | Delta | ✤
069 | \x45 | E | Ε | Epsilon | ✥
070 | \x46 | F | Φ | Phi | ✦
071 | \x47 | G | Γ | Gamma | ✧
072 | \x48 | H | Η | Eta | ★
073 | \x49 | I | Ι | Iota | ✩
074 | \x4a | J | ϑ | theta1 | ✪
075 | \x4b | K | Κ | Kappa | ✫
076 | \x4c | L | Λ | Lambda | ✬
077 | \x4d | M | Μ | Mu | ✭
078 | \x4e | N | Ν | Nu | ✮
079 | \x4f | O | Ο | Omicron | ✯
080 | \x50 | P | Π | Pi | ✰
081 | \x51 | Q | Θ | Theta | ✱
082 | \x52 | R | Ρ | Rho | ✲
083 | \x53 | S | Σ | Sigma | ✳
084 | \x54 | T | Τ | Tau | ✴
085 | \x55 | U | Υ | Upsilon | ✵
086 | \x56 | V | ς | sigma1 | ✶
087 | \x57 | W | Ω | Omega | ✷
088 | \x58 | X | Ξ | Xi | ✸
089 | \x59 | Y | Ψ | Psi | ✹
090 | \x5a | Z | Ζ | Zeta | ✺
091 | \x5b | [ | [ | bracketleft | ✻
092 | \x5c | \ | ∴ | therefore | ✼
093 | \x5d | ] | ] | bracketright | ✽
094 | \x5e | ^ | ⊥ | perpendicular | ✾
095 | \x5f | _(underline) | _ | underscore | ✿
097 | \x61 | a | α | alpha | ❁
098 | \x62 | b | β | beta | ❂
099 | \x63 | c | χ | chi | ❃
100 | \x64 | d | δ | delta | ❄
101 | \x65 | e | ε | epsilon | ❅
102 | \x66 | f | φ | phi | ❆
103 | \x67 | g | γ | gamma | ❇
104 | \x68 | h | η | eta | ❈
105 | \x69 | i | ι | iota | ❉
106 | \x6a | j | ϕ | phil | ❊
107 | \x6b | k | κ | kappa | ❋
108 | \x6c | l | λ | lambda | ●
109 | \x6d | m | μ | mu | ❍
110 | \x6e | n | ν | nu | ■
111 | \x6f | o | ο | omicron | ❏
112 | \x70 | p | π | pi | ❐
113 | \x71 | q | θ | theta | ❑
114 | \x72 | r | ρ | rho | ❒
115 | \x73 | s | σ | sigma | ▲
116 | \x74 | t | τ | tau | ▼
117 | \x75 | u | υ | upsilon | ◆
118 | \x76 | v | ϖ | omega1 | ❖
119 | \x77 | w | ω | omega | ◗
120 | \x78 | x | ξ | xi | ❘
121 | \x79 | y | ψ | psi | ❙
122 | \x7a | z | ζ | zeta | ❚
123 | \x7b | { | { | braceleft | ❛
124 | \x7c | | | | | bar | ❜
125 | \x7d | } | } | braceright | ❝
126 | \x7e | ~ | ∼ | similar | ❞

Unsupported keyboard shortcuts for the Symbol and Dingbats character set in FrameMaker 8

The following table lists the Symbol and Dingbats character set supported in older versions of FrameMaker. In FrameMaker 9, you can insert the corresponding Unicode characters, but the keyboard shortcuts are no longer supported:

Symbol and Dingbats character set
Ansi no. | Hex code | Key or key sequence | Symbol set: graphic and name |  | Dingbats: graphics
0130 |  |  |  | Reserved |
0131 |  |  |  | Reserved |
0132 |  |  |  | Reserved |
0133 |  |  |  | Reserved |
0134 |  |  |  | Reserved |
0135 |  |  |  | Reserved |
0136 |  |  |  | Reserved |
0137 |  |  |  | Reserved |
0138 |  |  |  | Reserved |
0139 |  |  |  | Reserved |
0140 |  |  |  | Reserved |
0145 |  |  |  | Reserved |
0146 |  |  |  | Reserved |
0147 |  |  |  | Reserved |
0148 |  |  |  | Reserved |
0149 |  |  |  | Reserved |
0150 |  |  |  | Reserved |
0151 |  |  |  | Reserved |
0152 |  |  |  | Reserved |
0153 |  |  |  | Reserved |
0154 |  |  |  | Reserved |
0155 |  |  |  | Reserved |
0156 |  |  |  | Reserved |
0157 |  |  |  | Reserved |
0158 |  |  |  | Reserved |
0159 |  |  |  | Reserved |
0161 | \xa1 | Control+q ! | ϒ | Upsilon1 | ❡
0162 | \xa2 | Control+q " | ′ | minute | ❢
0163 | \xa3 | Control+q # | ≤ | lessequal | ❣
0164 | \xa4 | Control+q $ | ⁄ | fraction | ❤
0165 | \xa5 | Control+q % | ∞ | infinity | ❥
0166 | \xa6 | Control+q & | ƒ | florin | ❦
0167 | \xa7 | Control+q ' | ♣ | club | ❧
0168 | \xa8 | Control+q ( | ♦ | diamond | ♣
0169 | \xa9 | Control+q ) | ♥ | heart | ♦
0170 | \xaa | Control+q * | ♠ | spade | ♥
0171 | \xab | Control+q + | ↔ | arrowboth | ♠
0172 | \xac | Control+q , | ← | arrowleft | ①
0173 | \xad | Control+q - | ↑ | arrowup | ②
0174 | \xae | Control+q . | → | arrowright | ③
0175 | \xaf | Control+q / | ↓ | arrowdown | ④
0176 | \xb0 | Control+q 0 | ° | degree | ⑤
0177 | \xb1 | Control+q 1 | ± | plusminus | ⑥
0178 | \xb2 | Control+q 2 | ″ | second | ⑦
0179 | \xb3 | Control+q 3 | ≥ | greaterequal | ⑧
0180 | \xb4 | Control+q 4 | × | multiply | ⑨
0181 | \xb5 | Control+q 5 | ∝ | proportional | ⑩
0182 | \xb6 | Control+q 6 | ∂ | partialdiff | ⑩
0183 | \xb7 | Control+q 7 | • | bullet | ❷
0184 | \xb8 | Control+q 8 | ÷ | divide | ❸
0185 | \xb9 | Control+q 9 | ≠ | notequal | ❹
0186 | \xba | Control+q : | ≡ | equivalence | ❺
0187 | \xbb | Control+q ; | ≈ | approxequal | ❻
0188 | \xbc | Control+q < | … | ellipsis | ❼
0189 | \xbd | Control+q = |  | arrowvertex | ❽
0190 | \xbe | Control+q > |  | arrowhorizex | ❾
0191 | \xbf | Control+q ? | ↵ | carriagereturn | ❿
0192 | \xc0 | Control+q @ | ℵ | aleph | ➀
0193 | \xc1 | Control+q Shift+a | ℑ | Ifraktur | ➁
0194 | \xc2 | Control+q Shift+b | ℜ | Rfraktur | ➂
0195 | \xc3 | Control+q Shift+c | ℘ | weierstrass | ➃
0196 | \xc4 | Control+q Shift+d | ⊗ | circlemultiply | ➄
0197 | \xc5 | Control+q Shift+e | ⊕ | circleplus | ➅
0198 | \xc6 | Control+q Shift+f | ∅ | emptyset | ➆
0199 | \xc7 | Control+q Shift+g | ∩ | intersection | ➇
0200 | \xc8 | Control+q Shift+h | ∪ | union | ➈
0201 | \xc9 | Control+q Shift+i | ⊃ | propersuperset | ➉
0202 | \xca | Control+q Shift+j | ⊇ | reflexsuperset | ➊
0203 | \xcb | Esc ` Shift+a | ⊄ | notsubset | ➋
0204 | \xcc | Esc ~ Shift+a | ⊂ | propersubset | ➌
0205 | \xcd | Esc ~ Shift+o | ⊆ | reflexsubset | ➍
0206 | \xce | Control+q Shift+n | ∈ | element | ➎
0207 | \xcf | Control+q Shift+o | ∉ | notelement | ➏
0208 | \xd0 | Control+q Shift+p | ∠ | angle | ➐
0209 | \xd1 | Control+q Shift+q | ∇ | gradient | ➑
0210 | \xd2 | Control+q Shift+r | ® | registerserif | ➒
0211 | \xd3 | Control+q Shift+s | © | copyrightserif | ➓
0212 | \xd4 | Control+q Shift+t | ™ | trademarkserif | ➔
0213 | \xd5 | Control+q Shift+u | ∏ | product | →
0214 | \xd6 | Control+q Shift+v | √ | radical | ↔
0215 | \xd7 | Control+q Shift+w | ⋅ | dotmath | ↕
0216 | \xd8 | Esc % y | ¬ | logicalnot | ➘
0217 | \xd9 | Esc % Shift+y | ∧ | logicaland | ➙
0218 | \xda | Control+q Shift+z | ∨ | logicalor | ➚
0219 | \xdb | Control+q [ | ⇔ | arrowdblboth | ➛
0220 | \xdc | Control+q \ | ⇐ | arrowdblleft | ➜
0221 | \xdd | Control+q ] | ⇑ | arrowdblup | ➝
0222 | \xde | Control+q ^ | ⇒ | arrowdblright | ➞
0223 | \xdf | Control+q _ | ⇓ | arrowdbldown | ➟
0224 | \xe0 | Control+q ` | ⋄ | lozenge | ➠
0225 | \xe1 | Control+q a | 〈 | angleleft | ➡
0226 | \xe2 | Control+q b |  | registersans | ➢
0227 | \xe3 | Control+q c |  | copyrightsans | ➣
0228 | \xe4 | Control+q d |  | trademarksans | ➤
0229 | \xe5 | Esc ^ Shift+a | ∑ | summation | ➥
0230 | \xe6 | Esc ^ Shift+e |  | parenlefttp | ➦
0231 | \xe7 | Esc ' Shift+a |  | parenleftex | ➧
0232 | \xe8 | Esc % Shift+e |  | parenleftbt | ➨
0233 | \xe9 | Esc ` Shift+e |  | bracketlefttp | ➩
0234 | \xea | Esc ' Shift+i |  | bracketleftex | ➪
0235 | \xeb | Esc ^ Shift+i |  | bracketleftbt | ➫
0236 | \xec | Esc % Shift+i |  | bracelefttp | ➬
0237 | \xed | Esc ` Shift+i |  | braceleftmid | ➭
0238 | \xee | Esc ' Shift+o |  | braceleftbt | ➮
0239 | \xef | Esc ^ Shift+o |  | braceex | ➯
0240 | \xf0 |  |  | Reserved |
0241 | \xf1 | Esc ` Shift+o | 〉 | angleright | ➱
0242 | \xf2 | Esc ' Shift+u | ∫ | integral | ➲
0243 | \xf3 | Esc ^ Shift+u | ⌠ | integraltp | ➳
0244 | \xf4 | Esc ` Shift+u |  | integralex | ➴
0245 | \xf5 | Control+q u | ⌡ | integralbt | ➵
0246 | \xf6 | Control+q v |  | parenrighttp | ➶
0247 | \xf7 | Control+q w |  | parenrightex | ➷
0248 | \xf8 | Control+q x |  | parenrightbt | ➸
0249 | \xf9 | Control+q y |  | bracketrighttp | ➹
0250 | \xfa | Control+q z |  | bracketrightex | ➺
0251 | \xfb | Control+q { |  | bracketrightbt | ➻
0252 | \xfc | Control+q ¦ (pipe) |  | bracerighttp | ➼
0253 | \xfd | Control+q } |  | bracerightmid | ➽
0254 | \xfe | Control+q ~ |  | bracerightbt | ➾
0255

Support for FrameMaker 7.x character set

When you open a FrameMaker 7.x document in FrameMaker 8 or above, font encoding is used to convert the characters to Unicode encoding.

In FrameMaker 7.x or earlier, if you open a document on a platform (operating system and locale) that is different from the one used to create it, a rectangular box appears for characters that are not available in the ANSI character set. However, because FrameMaker preserves the character codes, the correct characters appear when you re-open the document on the platform that was used to create it.

If you open a FrameMaker 7.x or earlier document in FrameMaker 9 or above, it converts the unavailable characters to Unicode and assumes that the converted characters are displayed correctly.

FrameMaker versions 9 and above support three character sets: ZapfDingbats (Dingbats), Symbol, and Standard (the platform-dependent legacy character set). Some of the keyboard shortcuts used to enter the characters from these sets continue to be supported in FrameMaker 9 and above.

This document provides tables for each character set to list the supported keyboard shortcuts. The tables also provide hexadecimal code values. “Hex code” is used to represent each character internally.

Instructions for typing quotation marks and apostrophes assume that Smart Quotes is off. For information about Smart Quotes, see the FrameMaker User Guide.

Keyboard shortcut support

Standard character set All keyboard shortcuts are supported in FrameMaker 9 and above.

Symbol and Dingbats character sets Keyboard shortcuts with a Hex code below 127 are supported in FrameMaker 9 and above. Keyboard shortcuts with Hex code above 127 are not supported in FrameMaker 9 and above.

note: For more information, see Standard character set and Symbol and ZapfDingbats character sets.

Using key sequences

Many characters are generated by a key sequence. This key sequence often uses the Control, Esc, or Meta key. This document uses the following conventions for key sequences:

Example | Action
Control+q | Hold down Control while pressing the lowercase letter q.
Control+q Shift+a | Hold down Control while pressing the letter q, then release both keys, and then hold down Shift while pressing the letter a.
Esc ~ Shift+a | Press and release Esc, then press and release ~ (tilde), then hold down Shift while pressing the letter a.

On Windows, you can also type a character in a document by using its ANSI number as described below:

1)Press the Num Lock to activate the numeric keypad.

2)Hold down the Alt key while typing the ANSI number (including the leading zero) using the keys on the numeric keypad.

For example, to enter the “questiondown” character (¿) using its ANSI number, hold down Alt while typing 0191 from the numeric keypad, and then release Alt. Be sure to include the leading zero.


Additional resources

15.3.Additional resources

You’ve now reached the end of this user’s guide. This appendix lists additional resources that help you learn more about specific areas in FrameMaker.

General resources

Resource | URL
Video tutorials | http://tv.adobe.com/product/framemaker/
Frequently Asked Questions | http://www.adobe.com/in/products/framemaker/faq.html
System Requirements | http://www.adobe.com/products/framemaker/systemreqs.html
FrameMaker forum | https://forums.adobe.com/community/framemaker/

Structured authoring

Resource | URL
Integrating DITA Specialization with FrameMaker | http://help.adobe.com/en_US/framemaker/dita/index.html
Developing Structured Applications with FrameMaker (PDF) | http://help.adobe.com/en_US/FrameMaker/12.0/StructuredDev/Structure_Dev_Guide.pdf
Structured Application Developer’s Reference Guide (PDF) | http://help.adobe.com/en_US/FrameMaker/12.0/StructuredDev/Structure_Dev_Reference.pdf
FrameMaker XML Author Help | http://help.adobe.com/en_US/framemaker/xmlauthor/index.html

FrameMaker Publishing Server

Resource | URL
FrameMaker Publishing Server Help | http://help.adobe.com/en_US/framemaker/server/index.html

INI and MIF Reference

Resource | URL
INI Reference Guide | http://help.adobe.com/en_US/framemaker/ini/index.html
MIF Reference Guide (PDF) | http://help.adobe.com/en_US/framemaker/mifreference/mifref.pdf

Programming and scripting

Resource | URL
FDK Installation Guide (PDF) | http://wwwimages.adobe.com/www.adobe.com/content/dam/Adobe/en/devnet/framemaker/pdfs/fdkinstallguide.pdf
FDK Programmer’s Guide (PDF) | http://wwwimages.adobe.com/www.adobe.com/content/dam/Adobe/en/devnet/framemaker/pdfs/fdkprogrammerguide.pdf
FDK Programmer’s Reference (PDF) | http://wwwimages.adobe.com/www.adobe.com/content/dam/Adobe/en/devnet/framemaker/pdfs/fdkreference.pdf
FrameMaker Scripting Guide | http://help.adobe.com/en_US/framemaker/scripting/index.html
FrameMaker Developer Center | http://www.adobe.com/devnet/framemaker.html


Legal notices

16.Legal notices

Follow the links: Legal Notices